#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2023]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2023 
#au titre des revenus perçus en 2022. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
 #
  ####   #    #    ##    #####         #####      #
 #    #  #    #   #  #   #    #        #          #
 #       ######  #    #  #    #        #          #
 #       #    #  ######  #####         #####      #
 #    #  #    #  #    #  #                 #      #
  ####   #    #  #    #  #     #####   #####      #
 #
 #
 #
 #
 #
 #
 #           CALCUL DES DROITS SIMPLES RESULTANT DU TAUX PROGRESSIF
 #
 #
 #
 #
 #
 #
regle 511000:
application : bareme, iliad ;


IMT11 = max(ID11-ADO1 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;

regle 511002:
application : bareme, iliad ;

IMT12 = max(ID11 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;

regle 511004:
application : bareme, iliad ;

IMTANT11 = max(IDANT11-ADO1 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;

regle 511006:
application : bareme, iliad ;

IMTANT12 = max(IDANT11 , IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ;

regle 511008:
application : bareme, iliad ;

IPHQ = arr(IMT11 * (IMPFHQ1 / ID11)) ;

regle 511010:
application : bareme, iliad ;

IPHQ2 = arr(IMT12 * (IMPFHQ1 / ID11)) ;

regle 511012:
application : bareme, iliad ;

IPHQANT2 = arr(IMTANT12 * (IMPFHQANT1 / IDANT11)) ;


regle 511014:
application : bareme, iliad ;

IPQT = IMT11 - IPHQ ;

regle 511016:
application : bareme, iliad ;

IPQT2 = IMT12 - IPHQ2 ;

regle 511018:
application : bareme , iliad ;


ID11 =  arr( IPQ1 * arr(RI1+REVQUOQHT) / arr(RB01+TONEQUO) );
IDANT11 =  arr( IPQANT1 * arr(RI1+REVQUOQHT) / arr(RB01+TONEQUO) );
ID14 = IN04;
ID16 = IN06;

IMPFHQ1 = (1 - positif(VARIPTEFN)) * arr(ID11 * IPQ01 / IPQ1) ;

IMPFHQANT1 = (1 - positif(VARIPTEFN)) * arr(IDANT11 * IPQANT01 / IPQANT1) ;

regle 511020:
application : bareme , iliad ;


IPQ1 = IPQ01 + IPQ1001 ;

IPQANT1 = IPQANT01 + IPQANT1001 ;

IPQ5 = IPQ05 + IPQ1005 ;

regle 511050:
application : bareme ;

EXO1 = present(V_9ZZ) ;

regle 511060:
application : iliad ;


IMI = arr(min(LIM_BAR3 , BMI) * TX_MIN_MET / 100
          + max(0 , BMI - LIM_BAR3) * TX_MIN_MET2 / 100
          + min(LIM_BAR3 , arr(PRODOM + PROGUY)) * TX_MIN_DOM / 100 
          + max(0 , arr(PRODOM + PROGUY) - LIM_BAR3) * TX_MIN_DOM2 / 100) * V_CNR ;

IMO = arr(BMI * TMOY / 100) * V_CNR ;

BRASAR = arr(BRAS * TX_RASAR / 100) ;

regle 511070:
application : bareme , iliad ;


BMI = arr( RI1 + REVQUO - PRODOM - PROGUY ) ;

regle 511080:
application : iliad ;


TMOY = inf(IPQ5/(max(0,RB05 + TONEQUOM)) * 10000) / 100 * V_CNR ;

regle 511090:
application : bareme , iliad ;

IQUOTOT1 = IN51 - IN01;
IQUOTOT5 = IN55 - IN05;
IQUOTOTANT1 = INANT51 - INANT01;
regle 511097:
application : bareme , iliad ;


RASIQUOTOT = IRINDPASQ - IRINDPAS + 0 ;

regle 511100:
application : bareme , iliad ;


ZIPQRWB1 =  (IQUOTOT1 * TERPQRWB / TETONEQUO1);
ZIPQANTRWB =  (IQUOTOTANT1 * TERPQRWB / TETONEQUO1);
ZIPQRWB5 =  (IQUOTOT5 * TERPQRWBM / TETONEQUOM1);
         
ZIPQRWA1 =  (IQUOTOT1 * TERPQRWA / TETONEQUO1);
         
ZIPQANTRWA =  (IQUOTOTANT1 * TERPQRWA / TETONEQUO1);
         
ZIPQRWA5 =  (IQUOTOT5 * TERPQRWAM / TETONEQUOM1);
         
ZIPQRVG1 =  (IQUOTOT1 * TERPQRVG / TETONEQUO1);
ZIPQRUA1 =  (IQUOTOT1 * TERPQRUA / TETONEQUO1);
         
ZIPQANTRVG =  (IQUOTOTANT1 * TERPQRVG / TETONEQUO1);
ZIPQANTRUA =  (IQUOTOTANT1 * TERPQRUA / TETONEQUO1);
         
ZIPQRUA5 =  (IQUOTOT5 * TERPQRUAM / TETONEQUOM1);
         
ZIPQ11 =  (IQUOTOT1 * TERPQ1 / TETONEQUO1);
       
ZIPQANT11 =  (IQUOTOTANT1 * TERPQ1 / TETONEQUO1);
         
ZIPQ15 =  (IQUOTOT5 * TERPQ1M / TETONEQUOM1);
       
ZIPQ21 =  (IQUOTOT1 * TERPQ2 / TETONEQUO1);
       
ZIPQANT21 =  (IQUOTOTANT1 * TERPQ2 / TETONEQUO1);
         
ZIPQ25 =  (IQUOTOT5 * TERPQ2M / TETONEQUOM1);
       
ZIPQ31 =  (IQUOTOT1 * TERPQ3 / TETONEQUO1);
       
ZIPQANT31 =  (IQUOTOTANT1 * TERPQ3 / TETONEQUO1);
         
ZIPQ35 =  (IQUOTOT5 * TERPQ3M / TETONEQUOM1);
       
ZIPQ41 =  (IQUOTOT1 * TERPQ4 / TETONEQUO1);
       
ZIPQANT41 =  (IQUOTOTANT1 * TERPQ4 / TETONEQUO1);
         
ZIPQ45 =  (IQUOTOT5 * TERPQ4M / TETONEQUOM1);
       

regle 511110:
application : bareme , iliad ;

ZIPQ1TOT= somme(i=1..4 : ZIPQi1) + ZIPQRVG1 + ZIPQRVG1 + ZIPQRWB1 + ZIPQRWA1 ;
ZIPQ5TOT= somme(i=1..4 : ZIPQi5) + ZIPQRVG5 + ZIPQRVG5 + ZIPQRWB5 + ZIPQRWA5 ;
ZIPQANT1TOT= somme(i=1..4 : ZIPQANTi1) + ZIPQANTRVG + ZIPQANTRVG + ZIPQANTRWB + ZIPQANTRWA ;

regle 511120:
application : bareme , iliad ;


ZIPQFV1 =  (IQUOTOT1*TERPQFV/TETONEQUO1);
ZIPQFANTV1 =  (IQUOTOTANT1*TERPQFV/TETONEQUO1);
ZIPQFV5 =  (IQUOTOT5*TERPQFVM/TETONEQUOM1);
ZIPQFC1 =  (IQUOTOT1*TERPQFC/TETONEQUO1);
ZIPQFANTC1 =  (IQUOTOTANT1*TERPQFC/TETONEQUO1);
ZIPQFC5 =  (IQUOTOT5*TERPQFCM/TETONEQUOM1);
ZIPQF11 =  (IQUOTOT1*TERPQF1/TETONEQUO1);
ZIPQFANT11 =  (IQUOTOTANT1*TERPQF1/TETONEQUO1);
ZIPQF15 =  (IQUOTOT5*TERPQF1M/TETONEQUOM1);
ZIPQF21 =  (IQUOTOT1*TERPQF2/TETONEQUO1);
ZIPQFANT21 =  (IQUOTOTANT1*TERPQF2/TETONEQUO1);
ZIPQF25 =  (IQUOTOT5*TERPQF2M/TETONEQUOM1);
ZIPQF31 =  (IQUOTOT1*TERPQF3/TETONEQUO1);
ZIPQFANT31 =  (IQUOTOTANT1*TERPQF3/TETONEQUO1);
ZIPQF35 =  (IQUOTOT5*TERPQF3M/TETONEQUOM1);
ZIPQF41 =  (IQUOTOT1*TERPQF4/TETONEQUO1);
ZIPQFANT41 =  (IQUOTOTANT1*TERPQF4/TETONEQUO1);
ZIPQF45 =  (IQUOTOT5*TERPQF4M/TETONEQUOM1);

ZIPQF1TOT= somme(i=V,C,1..4 : ZIPQFi1) ;
ZIPQF5TOT= somme(i=V,C,1..4 : ZIPQFi5) ;
ZIPQFANT1TOT= somme(i=V,C,1..4 : ZIPQFANTi1) ;

regle 511130:
application : bareme , iliad ;


ZIPQPALIMV1 = (IQUOTOT1*TERPQPALIMV/TETONEQUO1);
ZIPQPALIMANTV1 = (IQUOTOTANT1*TERPQPALIMV/TETONEQUO1);
ZIPQPALIMV5 = (IQUOTOT5*TERPQPALIMVM/TETONEQUOM1);
ZIPQPALIMC1 = (IQUOTOT1*TERPQPALIMC/TETONEQUO1);
ZIPQPALIMANTC1 = (IQUOTOTANT1*TERPQPALIMC/TETONEQUO1);
ZIPQPALIMC5 = (IQUOTOT5*TERPQPALIMCM/TETONEQUOM1);
ZIPQPALIM11 = (IQUOTOT1*TERPQPALIM1/TETONEQUO1);
ZIPQPALIMANT11 = (IQUOTOTANT1*TERPQPALIM1/TETONEQUO1);
ZIPQPALIM15 = (IQUOTOT5*TERPQPALIM1M/TETONEQUOM1);
ZIPQPALIM21 = (IQUOTOT1*TERPQPALIM2/TETONEQUO1);
ZIPQPALIMANT21 = (IQUOTOTANT1*TERPQPALIM2/TETONEQUO1);
ZIPQPALIM25 = (IQUOTOT5*TERPQPALIM2M/TETONEQUOM1);
ZIPQPALIM31 = (IQUOTOT1*TERPQPALIM3/TETONEQUO1);
ZIPQPALIMANT31 = (IQUOTOTANT1*TERPQPALIM3/TETONEQUO1);
ZIPQPALIM35 = (IQUOTOT5*TERPQPALIM3M/TETONEQUOM1);
ZIPQPALIM41 = (IQUOTOT1*TERPQPALIM4/TETONEQUO1);
ZIPQPALIMANT41 = (IQUOTOTANT1*TERPQPALIM4/TETONEQUO1);
ZIPQPALIM45 = (IQUOTOT5*TERPQPALIM4M/TETONEQUOM1);

ZIPQPALIM1TOT= somme(i=V,C,1..4 : ZIPQPALIMi1) ;
ZIPQPALIM5TOT= somme(i=V,C,1..4 : ZIPQPALIMi5) ;
ZIPQPALIMANT1TOT= somme(i=V,C,1..4 : ZIPQPALIMANTi1) ;

regle 511140:
application : bareme , iliad ;


ZIPQRCMDC1 = (IQUOTOT1*TERPQRCMDC/TETONEQUO1);
ZIPQRCMDCANT1 = (IQUOTOTANT1*TERPQRCMDC/TETONEQUO1);
ZIPQRCMDC5 = (IQUOTOT5*TERPQRCMDCM/TETONEQUOM1);

regle 511150:
application : bareme , iliad;


ZIPQRCMFU1 = (IQUOTOT1*TERPQRCMFU/TETONEQUO1);
ZIPQRCMFUANT1 = (IQUOTOTANT1*TERPQRCMFU/TETONEQUO1);
ZIPQRCMFU5 = (IQUOTOT5*TERPQRCMFUM/TETONEQUOM1);

regle 511160:
application : bareme , iliad ;


ZIPQRCMCH1 =  (IQUOTOT1*TERPQRCMCH/TETONEQUO1);
ZIPQRCMCHANT1 = (IQUOTOTANT1*TERPQRCMCH/TETONEQUO1);
ZIPQRCMCH5 =    (IQUOTOT5*TERPQRCMCHM/TETONEQUOM1);
regle 511170:
application : bareme , iliad ;


ZIPQRCMTR1 = (IQUOTOT1*TERPQRCMTR/TETONEQUO1);
ZIPQRCMTRANT1 = (IQUOTOTANT1*TERPQRCMTR/TETONEQUO1);
ZIPQRCMTR5 = (IQUOTOT5*TERPQRCMTRM/TETONEQUOM1);

regle 511175:
application : bareme , iliad ;


ZIPQRCMYY1 = (IQUOTOT1*TERPQRCMYY/TETONEQUO1);
ZIPQRCMYYANT1 = (IQUOTOTANT1*TERPQRCMYY/TETONEQUO1);
ZIPQRCMYY5 = (IQUOTOT5*TERPQRCMYYM/TETONEQUOM1);

regle 511185:
application : bareme , iliad ;


ZIPQRCMGO1 = (IQUOTOT1*TERPQRCMGO/TETONEQUO1);
ZIPQRCMGOANT1 = (IQUOTOTANT1*TERPQRCMGO/TETONEQUO1);

ZIPQRCMGO5 = (IQUOTOT5*TERPQRCMGOM/TETONEQUOM1);

regle 511190:
application : bareme , iliad;


ZIPQRCMTS1 = (IQUOTOT1*TERPQRCMTS/TETONEQUO1);
ZIPQRCMTSANT1 = (IQUOTOTANT1*TERPQRCMTS/TETONEQUO1);
ZIPQRCMTS5 = (IQUOTOT5*TERPQRCMTSM/TETONEQUOM1);

ZIPQRCM1TOT = ZIPQRCMDC1 + ZIPQRCMFU1 + ZIPQRCMCH1 + ZIPQRCMTS1 + ZIPQRCMGO1 + ZIPQRCMTR1 + ZIPQRCMYY1;
ZIPQRCM5TOT = ZIPQRCMDC5 + ZIPQRCMFU5 + ZIPQRCMCH5 + ZIPQRCMTS5 + ZIPQRCMGO5 + ZIPQRCMTR5 + ZIPQRCMYY5;
ZIPQRCMANT1TOT = ZIPQRCMDCANT1 + ZIPQRCMFUANT1 + ZIPQRCMCHANT1 + ZIPQRCMTSANT1 + ZIPQRCMGOANT1 + ZIPQRCMTRANT1 + ZIPQRCMYYANT1;

regle 511200:
application : bareme , iliad ;


ZIPQPRRV1 = (IQUOTOT1*TERPQPRRV/TETONEQUO1);
ZIPQPRRANTV1 = (IQUOTOTANT1*TERPQPRRV/TETONEQUO1);
ZIPQPRRV5 = (IQUOTOT5*TERPQPRRVM/TETONEQUOM1);
ZIPQPRRC1 = (IQUOTOT1*TERPQPRRC/TETONEQUO1);
ZIPQPRRANTC1 = (IQUOTOTANT1*TERPQPRRC/TETONEQUO1);
ZIPQPRRC5 = (IQUOTOT5*TERPQPRRCM/TETONEQUOM1);
ZIPQPRR11 = (IQUOTOT1*TERPQPRR1/TETONEQUO1);
ZIPQPRRANT11 = (IQUOTOTANT1*TERPQPRR1/TETONEQUO1);
ZIPQPRR15 = (IQUOTOT5*TERPQPRR1M/TETONEQUOM1);
ZIPQPRR21 = (IQUOTOT1*TERPQPRR2/TETONEQUO1);
ZIPQPRRANT21 = (IQUOTOTANT1*TERPQPRR2/TETONEQUO1);
ZIPQPRR25 = (IQUOTOT5*TERPQPRR2M/TETONEQUOM1);
ZIPQPRR31 = (IQUOTOT1*TERPQPRR3/TETONEQUO1);
ZIPQPRRANT31 = (IQUOTOTANT1*TERPQPRR3/TETONEQUO1);
ZIPQPRR35 = (IQUOTOT5*TERPQPRR3M/TETONEQUOM1);
ZIPQPRR41 = (IQUOTOT1*TERPQPRR4/TETONEQUO1);
ZIPQPRRANT41 = (IQUOTOTANT1*TERPQPRR4/TETONEQUO1);
ZIPQPRR45 = (IQUOTOT5*TERPQPRR4M/TETONEQUOM1);

ZIPQPRR1TOT = somme(i=V,C,1..4 : ZIPQPRRi1) ;
ZIPQPRR5TOT = somme(i=V,C,1..4 : ZIPQPRRi5) ;
ZIPQPRRANT1TOT = somme(i=V,C,1..4 : ZIPQPRRANTi1) ;
ZIPQRAL1 = (IQUOTOT1*TERPQRAL/TETONEQUO1);
ZIPQRALANT1 = (IQUOTOTANT1*TERPQRAL/TETONEQUO1);
ZIPQRAL5 = (IQUOTOT5*TERPQRALM/TETONEQUOM1);
ZIPQRAI1 = (IQUOTOT1*TERPQRAI/TETONEQUO1);
ZIPQRAIANT1 = (IQUOTOTANT1*TERPQRAI/TETONEQUO1);
ZIPQRAI5 = (IQUOTOT5*TERPQRAIM/TETONEQUOM1);
ZIPQRBL1 = (IQUOTOT1*TERPQRBL/TETONEQUO1);
ZIPQRBLANT1 = (IQUOTOTANT1*TERPQRBL/TETONEQUO1);
ZIPQRBL5 = (IQUOTOT5*TERPQRBLM/TETONEQUOM1);
ZIPQRBI1 = (IQUOTOT1*TERPQRBI/TETONEQUO1);
ZIPQRBIANT1 = (IQUOTOTANT1*TERPQRBI/TETONEQUO1);
ZIPQRBI5 = (IQUOTOT5*TERPQRBIM/TETONEQUOM1);
ZIPQRCL1 = (IQUOTOT1*TERPQRCL/TETONEQUO1);

ZIPQRCLANT1 = (IQUOTOTANT1*TERPQRCL/TETONEQUO1);
ZIPQRCL5 = (IQUOTOT5*TERPQRCLM/TETONEQUOM1);
ZIPQRCK1 = (IQUOTOT1*TERPQRCK/TETONEQUO1);

ZIPQRCKANT1 = (IQUOTOTANT1*TERPQRCK/TETONEQUO1);
ZIPQRCK5 = (IQUOTOT5*TERPQRCKM/TETONEQUOM1);
ZIPQRDL1 = (IQUOTOT1*TERPQRDL/TETONEQUO1);
ZIPQRDLANT1 = (IQUOTOTANT1*TERPQRDL/TETONEQUO1);
ZIPQRDL5 = (IQUOTOT5*TERPQRDLM/TETONEQUOM1);
ZIPQREL1 = (IQUOTOT1*TERPQREL/TETONEQUO1);
ZIPQRELANT1 = (IQUOTOTANT1*TERPQREL/TETONEQUO1);
ZIPQREL5 = (IQUOTOT5*TERPQRELM/TETONEQUOM1);
ZIPQRFL1 = (IQUOTOT1*TERPQRFL/TETONEQUO1);
ZIPQRFLANT1 = (IQUOTOTANT1*TERPQRFL/TETONEQUO1);
ZIPQRFL5 = (IQUOTOT5*TERPQRFLM/TETONEQUOM1);

ZIPQRAM1 = (IQUOTOT1*TERPQRAM/TETONEQUO1);
ZIPQRAMANT1 = (IQUOTOTANT1*TERPQRAM/TETONEQUO1);
ZIPQRAM5 = (IQUOTOT5*TERPQRAMM/TETONEQUOM1);
ZIPQRBM1 = (IQUOTOT1*TERPQRBM/TETONEQUO1);
ZIPQRBMANT1 = (IQUOTOTANT1*TERPQRBM/TETONEQUO1);
ZIPQRBM5 = (IQUOTOT5*TERPQRBMM/TETONEQUOM1);
ZIPQRCM1 = (IQUOTOT1*TERPQRCM/TETONEQUO1);
ZIPQRCMANT1 = (IQUOTOTANT1*TERPQRCM/TETONEQUO1);
ZIPQRCM5 = (IQUOTOT5*TERPQRCMM/TETONEQUOM1);
ZIPQRDM1 = (IQUOTOT1*TERPQRDM/TETONEQUO1);
ZIPQRDMANT1 = (IQUOTOTANT1*TERPQRDM/TETONEQUO1);
ZIPQRDM5 = (IQUOTOT5*TERPQRDMM/TETONEQUOM1);
ZIPQREM1 = (IQUOTOT1*TERPQREM/TETONEQUO1);
ZIPQREMANT1 = (IQUOTOTANT1*TERPQREM/TETONEQUO1);
ZIPQREM5 = (IQUOTOT5*TERPQREMM/TETONEQUOM1);
ZIPQRFM1 = (IQUOTOT1*TERPQRFM/TETONEQUO1);
ZIPQRFMANT1 = (IQUOTOTANT1*TERPQRFM/TETONEQUO1);
ZIPQRFM5 = (IQUOTOT5*TERPQRFMM/TETONEQUOM1);
ZIPQRAI1 = (IQUOTOT1*TERPQRAI/TETONEQUO1);
ZIPQRAIANT1 = (IQUOTOTANT1*TERPQRAI/TETONEQUO1);
ZIPQRAI5 = (IQUOTOT5*TERPQRAIM/TETONEQUOM1);
ZIPQRBI1 = (IQUOTOT1*TERPQRBI/TETONEQUO1);
ZIPQRBIANT1 = (IQUOTOTANT1*TERPQRBI/TETONEQUO1);
ZIPQRBI5 = (IQUOTOT5*TERPQRBIM/TETONEQUOM1);
ZIPQRCK1 = (IQUOTOT1*TERPQRCK/TETONEQUO1);
ZIPQRCKANT1 = (IQUOTOTANT1*TERPQRCK/TETONEQUO1);
ZIPQRCK5 = (IQUOTOT5*TERPQRCKM/TETONEQUOM1);


regle 511210:
application : bareme , iliad ;


ZIPQPRRZV1 = (IQUOTOT1*TERPQPRRZV/TETONEQUO1);
ZIPQPRRANTZV1 = (IQUOTOTANT1*TERPQPRRZV/TETONEQUO1);
ZIPQPRRZV5 = (IQUOTOT5*TERPQPRRZVM/TETONEQUOM1);
ZIPQPRRZC1 = (IQUOTOT1*TERPQPRRZC/TETONEQUO1);
ZIPQPRRANTZC1 = (IQUOTOTANT1*TERPQPRRZC/TETONEQUO1);
ZIPQPRRZC5 = (IQUOTOT5*TERPQPRRZCM/TETONEQUOM1);
ZIPQPRRZ11 = (IQUOTOT1*TERPQPRRZ1/TETONEQUO1);
ZIPQPRRANTZ11 = (IQUOTOTANT1*TERPQPRRZ1/TETONEQUO1);
ZIPQPRRZ15 = (IQUOTOT5*TERPQPRRZ1M/TETONEQUOM1);
ZIPQPRRZ21 = (IQUOTOT1*TERPQPRRZ2/TETONEQUO1);
ZIPQPRRANTZ21 = (IQUOTOTANT1*TERPQPRRZ2/TETONEQUO1);

ZIPQPRRZ25 = (IQUOTOT5*TERPQPRRZ2M/TETONEQUOM1);
ZIPQPRRZ31 = (IQUOTOT1*TERPQPRRZ3/TETONEQUO1);
ZIPQPRRANTZ31 = (IQUOTOTANT1*TERPQPRRZ3/TETONEQUO1);
ZIPQPRRZ35 = (IQUOTOT5*TERPQPRRZ3M/TETONEQUOM1);
ZIPQPRRZ41 = (IQUOTOT1*TERPQPRRZ4/TETONEQUO1);
ZIPQPRRANTZ41 = (IQUOTOTANT1*TERPQPRRZ4/TETONEQUO1);
ZIPQPRRZ45 = (IQUOTOT5*TERPQPRRZ4M/TETONEQUOM1);

ZIPQPRRZ1TOT = somme(i=V,C,1..4 : ZIPQPRRZi1) ;
ZIPQPRRZ5TOT = somme(i=V,C,1..4 : ZIPQPRRZi5) ;
ZIPQPRRANTZ1TOT = somme(i=V,C,1..4 : ZIPQPRRANTZi1) ;

regle 511220:
application : bareme , iliad;


ZIPQRF11 = (IQUOTOT1*TERPQRF1/TETONEQUO1);
ZIPQRFANT11 = (IQUOTOTANT1*TERPQRF1/TETONEQUO1);

ZIPQRF15 = (IQUOTOT5*TERPQRF1M/TETONEQUOM1);

ZIPQRF21 = (IQUOTOT1*TERPQRF2/TETONEQUO1);
ZIPQRFANT21 = (IQUOTOTANT1*TERPQRF2/TETONEQUO1);
ZIPQRF25 = (IQUOTOT5*TERPQRF2M/TETONEQUOM1);

ZIPQRF31 = (IQUOTOT1*TERPQRF3/TETONEQUO1);
ZIPQRFANT31 = (IQUOTOTANT1*TERPQRF3/TETONEQUO1);
ZIPQRF35 = (IQUOTOT5*TERPQRF3M/TETONEQUOM1);

ZIPQRF1TOT = somme(i=1,2,3 : ZIPQRFi1) ;
ZIPQRF5TOT = somme(i=1,2,3 : ZIPQRFi5) ;
ZIPQRFANT1TOT = somme(i=1,2,3 : ZIPQRFANTi1) ;

regle 511230:
application : bareme , iliad ;


ZIPQRVO1 = (IQUOTOT1*TERPQRVO/TETONEQUO1);
ZIPQRVOANT1 = (IQUOTOTANT1*TERPQRVO/TETONEQUO1);
ZIPQRVO5 = (IQUOTOT5*TERPQRVOM/TETONEQUOM1);
ZIPQRVO1R = (IQUOTOT1*TERPQRVOR/TETONEQUO1);
ZIPQRVOANT1R = (IQUOTOTANT1*TERPQRVOR/TETONEQUO1);
ZIPQRVO5R = (IQUOTOT5*TERPQRVORM/TETONEQUOM1);

regle 511240:
application : bareme , iliad ;


ZIPQRVO51 = (IQUOTOT1*TERPQRVO5/TETONEQUO1);
ZIPQRVO5ANT1 = (IQUOTOTANT1*TERPQRVO5/TETONEQUO1);
ZIPQRVO55 = (IQUOTOT5*TERPQRVO5M/TETONEQUOM1);
ZIPQRVO51R = (IQUOTOT1*TERPQRVO5R/TETONEQUO1);
ZIPQRVO5ANT1R = (IQUOTOTANT1*TERPQRVO5R/TETONEQUO1);
ZIPQRVO55R = (IQUOTOT5*TERPQRVO5RM/TETONEQUOM1);

regle 511250:
application : bareme , iliad;


ZIPQRVO61 = (IQUOTOT1*TERPQRVO6/TETONEQUO1);
ZIPQRVO6ANT1 = (IQUOTOTANT1*TERPQRVO6/TETONEQUO1);
ZIPQRVO65 = (IQUOTOT5*TERPQRVO6M/TETONEQUOM1);
ZIPQRVO61R = (IQUOTOT1*TERPQRVO6R/TETONEQUO1);
ZIPQRVO6ANT1R = (IQUOTOTANT1*TERPQRVO6R/TETONEQUO1);
ZIPQRVO65R = (IQUOTOT5*TERPQRVO6RM/TETONEQUOM1);

regle 511260:
application : bareme , iliad ;


ZIPQRVO71 = (IQUOTOT1*TERPQRVO7/TETONEQUO1);
ZIPQRVO7ANT1 = (IQUOTOTANT1*TERPQRVO7/TETONEQUO1);
ZIPQRVO75 = (IQUOTOT5*TERPQRVO7M/TETONEQUOM1);
ZIPQRVO71R = (IQUOTOT1*TERPQRVO7R/TETONEQUO1);
ZIPQRVO7ANT1R = (IQUOTOTANT1*TERPQRVO7R/TETONEQUO1);
ZIPQRVO75R = (IQUOTOT5*TERPQRVO7RM/TETONEQUOM1);

regle 511270:
application : bareme , iliad ;


ZIPQTSV1 = (IQUOTOT1*TERPQTSV/TETONEQUO1);
ZIPQTSANTV1 = (IQUOTOTANT1*TERPQTSV/TETONEQUO1);
ZIPQTSV5 = (IQUOTOT5*TERPQTSVM/TETONEQUOM1);
ZIPQTSC1 = (IQUOTOT1*TERPQTSC/TETONEQUO1);
ZIPQTSANTC1 = (IQUOTOTANT1*TERPQTSC/TETONEQUO1);
ZIPQTSC5 = (IQUOTOT5*TERPQTSCM/TETONEQUOM1);
ZIPQTS11 = (IQUOTOT1*TERPQTS1/TETONEQUO1);
ZIPQTSANT11 = (IQUOTOTANT1*TERPQTS1/TETONEQUO1);
ZIPQTS15 = (IQUOTOT5*TERPQTS1M/TETONEQUOM1);
ZIPQTS21 = (IQUOTOT1*TERPQTS2/TETONEQUO1);
ZIPQTSANT21 = (IQUOTOTANT1*TERPQTS2/TETONEQUO1);
ZIPQTS25 = (IQUOTOT5*TERPQTS2M/TETONEQUOM1);
ZIPQTS31 = (IQUOTOT1*TERPQTS3/TETONEQUO1);
ZIPQTSANT31 = (IQUOTOTANT1*TERPQTS3/TETONEQUO1);
ZIPQTS35 = (IQUOTOT5*TERPQTS3M/TETONEQUOM1);

ZIPQTS41 = (IQUOTOT1*TERPQTS4/TETONEQUO1);
ZIPQTSANT41 = (IQUOTOTANT1*TERPQTS4/TETONEQUO1);
ZIPQRAF1 = (IQUOTOT1*TERPQRAF/TETONEQUO1);
ZIPQRAFANT1 = (IQUOTOTANT1*TERPQRAF/TETONEQUO1);
ZIPQRAF5 = (IQUOTOT5*TERPQRAFM/TETONEQUOM1);
ZIPQRBF1 = (IQUOTOT1*TERPQRBF/TETONEQUO1);
ZIPQRBFANT1 = (IQUOTOTANT1*TERPQRBF/TETONEQUO1);
ZIPQRBF5 = (IQUOTOT5*TERPQRBFM/TETONEQUOM1);
ZIPQRCF1 = (IQUOTOT1*TERPQRCF/TETONEQUO1);
ZIPQRCFANT1 = (IQUOTOTANT1*TERPQRCF/TETONEQUO1);
ZIPQRCF5 = (IQUOTOT5*TERPQRCFM/TETONEQUOM1);
ZIPQRDF1 = (IQUOTOT1*TERPQRDF/TETONEQUO1);
ZIPQRDFANT1 = (IQUOTOTANT1*TERPQRDF/TETONEQUO1);
ZIPQRDF5 = (IQUOTOT5*TERPQRDFM/TETONEQUOM1);
ZIPQREF1 = (IQUOTOT1*TERPQREF/TETONEQUO1);
ZIPQREFANT1 = (IQUOTOTANT1*TERPQREF/TETONEQUO1);
ZIPQREF5 = (IQUOTOT5*TERPQREFM/TETONEQUOM1);

ZIPQRFF1 = (IQUOTOT1*TERPQRFF/TETONEQUO1);
ZIPQRFFANT1 = (IQUOTOTANT1*TERPQRFF/TETONEQUO1);
ZIPQRFF5 = (IQUOTOT5*TERPQRFFM/TETONEQUOM1);
ZIPQRAG1 = (IQUOTOT1*TERPQRAG/TETONEQUO1);
ZIPQRAGANT1 = (IQUOTOTANT1*TERPQRAG/TETONEQUO1);
ZIPQRAG5 = (IQUOTOT5*TERPQRAGM/TETONEQUOM1);
ZIPQRBG1 = (IQUOTOT1*TERPQRBG/TETONEQUO1);
ZIPQRBGANT1 = (IQUOTOTANT1*TERPQRBG/TETONEQUO1);
ZIPQRBG5 = (IQUOTOT5*TERPQRBGM/TETONEQUOM1);
ZIPQRCG1 = (IQUOTOT1*TERPQRCG/TETONEQUO1);
ZIPQRCGANT1 = (IQUOTOTANT1*TERPQRCG/TETONEQUO1);
ZIPQRCG5 = (IQUOTOT5*TERPQRCGM/TETONEQUOM1);
ZIPQRDG1 = (IQUOTOT1*TERPQRDG/TETONEQUO1);
ZIPQRDGANT1 = (IQUOTOTANT1*TERPQRDG/TETONEQUO1);
ZIPQRDG5 = (IQUOTOT5*TERPQRDGM/TETONEQUOM1);
ZIPQRGG1 = (IQUOTOT1*TERPQRGG/TETONEQUO1);
ZIPQRGGANT1 = (IQUOTOTANT1*TERPQRGG/TETONEQUO1);
ZIPQRGG5 = (IQUOTOT5*TERPQRGGM/TETONEQUOM1);

ZIPQRFG1 = (IQUOTOT1*TERPQRFG/TETONEQUO1);
ZIPQRFGANT1 = (IQUOTOTANT1*TERPQRFG/TETONEQUO1);
ZIPQRFG5 = (IQUOTOT5*TERPQRFGM/TETONEQUOM1);

regle 511280:
application : bareme , iliad ;


ZIPQTSREMPV1 = (IQUOTOT1*TERPQTSREMPV/TETONEQUO1);
ZIPQTSREMPANTV1 = (IQUOTOTANT1*TERPQTSREMPV/TETONEQUO1);
ZIPQTSREMPV5 = (IQUOTOT5*TERPQTSREMPVM/TETONEQUOM1);
ZIPQTSREMPC1 = (IQUOTOT1*TERPQTSREMPC/TETONEQUO1);
ZIPQTSREMPANTC1 = (IQUOTOTANT1*TERPQTSREMPC/TETONEQUO1);
ZIPQTSREMPC5 = (IQUOTOT5*TERPQTSREMPCM/TETONEQUOM1);
ZIPQTSREMP11 = (IQUOTOT1*TERPQTSREMP1/TETONEQUO1);
ZIPQTSREMPANT11 = (IQUOTOTANT1*TERPQTSREMP1/TETONEQUO1);
ZIPQTSREMP15 = (IQUOTOT5*TERPQTSREMP1M/TETONEQUOM1);
ZIPQTSREMP21 = (IQUOTOT1*TERPQTSREMP2/TETONEQUO1);
ZIPQTSREMPANT21 = (IQUOTOTANT1*TERPQTSREMP2/TETONEQUO1);
ZIPQTSREMP25 = (IQUOTOT5*TERPQTSREMP2M/TETONEQUOM1);
ZIPQTSREMP31 = (IQUOTOT1*TERPQTSREMP3/TETONEQUO1);
ZIPQTSREMPANT31 = (IQUOTOTANT1*TERPQTSREMP3/TETONEQUO1);
ZIPQTSREMP35 = (IQUOTOT5*TERPQTSREMP3M/TETONEQUOM1);
ZIPQTSREMP41 = (IQUOTOT1*TERPQTSREMP4/TETONEQUO1);
ZIPQTSREMP45 = (IQUOTOT5*TERPQTSREMP4M/TETONEQUOM1);


ZIPQTSREMP1TOT = somme(i=V,C,1..4 : ZIPQTSREMPi1) ;
ZIPQTSREMP5TOT = somme(i=V,C,1..4 : ZIPQTSREMPi5) ;
ZIPQTSREMPANT1TOT = somme(i=V,C,1..4 : ZIPQTSREMPANTi1) ;
RASZIPQRWB1 = arr(RASIQUOTOT * TERASRPQRWB / (RASTONEQUO1V * (1-null(TXPASMIN-1)) + RASTONEQUO1C * (1-null(TXPASMIN-2))));
RASZIPQRWA1 = arr(RASIQUOTOT * TERASRPQRWA / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRVG1 = arr(RASIQUOTOT * TERASRPQRVG / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRUA1 = arr(RASIQUOTOT * TERASRPQRUA / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQ41V = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT * TERASRPQ4V / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQ41C = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT * TERASRPQ4C / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQ41P = arr(RASIQUOTOT * TERASRPQ4P / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQ41 = RASZIPQ41V+RASZIPQ41C+RASZIPQ41P;

RASZIPQ1TOT= RASZIPQ31+RASZIPQ41 + RASZIPQRVG1 + RASZIPQRUA1 + RASZIPQRWB1 + RASZIPQRWA1 ;

RASZIPQFV1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT*TERASRPQFV/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQFC1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT*TERASRPQFC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQF11 = arr(RASIQUOTOT*TERASRPQF1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQF21 = arr(RASIQUOTOT*TERASRPQF2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQF31 = arr(RASIQUOTOT*TERASRPQF3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQF41 = arr(RASIQUOTOT*TERASRPQF4/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQF1TOT= RASZIPQFV1+RASZIPQFC1 +RASZIPQF11+RASZIPQF21+RASZIPQF31+RASZIPQF41;

RASZIPQPALIMV1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT*TERASRPQPALIMV/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPALIMC1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT*TERASRPQPALIMC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPALIM11 = arr(RASIQUOTOT*TERASRPQPALIM1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPALIM21 = arr(RASIQUOTOT*TERASRPQPALIM2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPALIM31 = arr(RASIQUOTOT*TERASRPQPALIM3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPALIM41 = arr(RASIQUOTOT*TERASRPQPALIM4/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPALIM1TOT= RASZIPQPALIMV1+RASZIPQPALIMC1 +RASZIPQPALIM11+RASZIPQPALIM21+RASZIPQPALIM31+RASZIPQPALIM41;

RASZIPQRCMDC1 =arr(RASIQUOTOT*TERASRPQRCMDC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCMFU1 = arr(RASIQUOTOT*TERASRPQRCMFU/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCMCH1 = arr(RASIQUOTOT*TERASRPQRCMCH/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCMTR1 =  arr(RASIQUOTOT*TERASRPQRCMTR/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCMYY1 =  arr(RASIQUOTOT*TERASRPQRCMYY/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCMGO1 = arr(RASIQUOTOT*TERASRPQRCMGO/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCMTS1 = arr(RASIQUOTOT*TERASRPQRCMTS/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRCM1TOT = RASZIPQRCMDC1 + RASZIPQRCMFU1 + RASZIPQRCMCH1 + RASZIPQRCMTS1 + RASZIPQRCMGO1 + RASZIPQRCMTR1 + RASZIPQRCMYY1;

RASZIPQPRRV1 = positif(IRINDPASQV- IRINDPASV)  * arr(RASIQUOTOT*TERASRPQPRRV/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRRC1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT*TERASRPQPRRC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRR11 = arr(RASIQUOTOT*TERASRPQPRR1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRR21 = arr(RASIQUOTOT*TERASRPQPRR2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRR31 = arr(RASIQUOTOT*TERASRPQPRR3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRR41 = arr(RASIQUOTOT*TERASRPQPRR4/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRR1TOT = RASZIPQPRRV1+RASZIPQPRRC1+RASZIPQPRR11+RASZIPQPRR21+RASZIPQPRR31+RASZIPQPRR41 ;

RASZIPQPRRZV1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT*TERASRPQPRRZV/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRRZC1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT*TERASRPQPRRZC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRRZ11 = arr(RASIQUOTOT*TERASRPQPRRZ1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRRZ21 = arr(RASIQUOTOT*TERASRPQPRRZ2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRRZ31 = arr(RASIQUOTOT*TERASRPQPRRZ3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQPRRZ41 = arr(RASIQUOTOT*TERASRPQPRRZ4/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRAL1 = positif(IRINDPASQV- IRINDPASV) *  arr(RASIQUOTOT * (TERASRPQRAL) /(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRBL1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT * (TERASRPQRBL) /(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRCL1 = arr(RASIQUOTOT * (TERASRPQRCL) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRDL1 = arr(RASIQUOTOT * (TERASRPQRDL) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQREL1 = arr(RASIQUOTOT * (TERASRPQREL) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRFL1 = arr(RASIQUOTOT * (TERASRPQRFL) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRAM1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT * (TERASRPQRAM) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRBM1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT * (TERASRPQRBM) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRCM1 = arr(RASIQUOTOT * (TERASRPQRCM) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRDM1 = arr(RASIQUOTOT * (TERASRPQRDM) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQREM1 = arr(RASIQUOTOT * (TERASRPQREM) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRFM1 = arr(RASIQUOTOT * (TERASRPQRFM) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRAI1 = positif(IRINDPASQV- IRINDPASV) *  arr(RASIQUOTOT * (TERASRPQRAI) /(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRBI1 = positif(IRINDPASQC- IRINDPASC) *  arr(RASIQUOTOT * (TERASRPQRBI) /(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRCK1 = arr(RASIQUOTOT * (TERASRPQRCK) /(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQPRRZ1TOT = RASZIPQPRRZV1+RASZIPQPRRZC1 +RASZIPQPRRZ11+RASZIPQPRRZ21+RASZIPQPRRZ31+RASZIPQPRRZ41
                 +RASZIPQRAL1+RASZIPQRBL1+RASZIPQRCL1+RASZIPQRDL1+RASZIPQREL1+RASZIPQRFL1
		 +RASZIPQRAM1+RASZIPQRBM1+RASZIPQRCM1+RASZIPQRDM1+RASZIPQREM1+RASZIPQRFM1
		 +RASZIPQRAI1+RASZIPQRBI1+RASZIPQRCK1;

RASZIPQRF11 = arr(RASIQUOTOT*TERASRPQRF1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRF21 = arr(RASIQUOTOT*TERASRPQRF2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRF31 = arr(RASIQUOTOT*TERASRPQRF3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRF1TOT = somme(i=1,2,3 : RASZIPQRFi1) ;

RASZIPQRVO1 = arr(RASIQUOTOT*TERASRPQRVO/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRVO51 = arr(RASIQUOTOT*TERASRPQRVO5/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRVO61 = arr(RASIQUOTOT*TERASRPQRVO6/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRVO71 = arr(RASIQUOTOT*TERASRPQRVO7/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRVOR1 = arr(RASIQUOTOT * TERASRPQRVOR / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRVO5R1 = arr(RASIQUOTOT * TERASRPQRVO5R / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRVO6R1 = arr(RASIQUOTOT * TERASRPQRVO6R / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRVO7R1 = arr(RASIQUOTOT * TERASRPQRVO7R / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRVO1TOT = RASZIPQRVO1 + RASZIPQRVO51 + RASZIPQRVO61 + RASZIPQRVO71+RASZIPQRVOR1+RASZIPQRVO5R1+RASZIPQRVO6R1+RASZIPQRVO7R1 ;

RASZIPQTSV1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT*TERASRPQTSV/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTSC1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT*TERASRPQTSC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTS11 = arr(RASIQUOTOT*TERASRPQTS1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTS21 = arr(RASIQUOTOT*TERASRPQTS2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTS31 = arr(RASIQUOTOT*TERASRPQTS3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTS41 = arr(RASIQUOTOT*TERASRPQTS4/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQRAF1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT * (TERASRPQRAF) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRBF1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT * (TERASRPQRBF) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRCF1 = arr(RASIQUOTOT * (TERASRPQRCF) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRDF1 = arr(RASIQUOTOT * (TERASRPQRDF) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQREF1 = arr(RASIQUOTOT * (TERASRPQREF) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRFF1 = arr(RASIQUOTOT * (TERASRPQRFF) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRAG1 = positif(IRINDPASQV- IRINDPASV) * arr(RASIQUOTOT * (TERASRPQRAG) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRBG1 = positif(IRINDPASQC- IRINDPASC) * arr(RASIQUOTOT * (TERASRPQRBG) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRCG1 = arr(RASIQUOTOT * (TERASRPQRCG) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRDG1 = arr(RASIQUOTOT * (TERASRPQRDG) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRGG1 = arr(RASIQUOTOT * (TERASRPQRGG) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQRFG1 = arr(RASIQUOTOT * (TERASRPQRFG) / (RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))) ;
RASZIPQTS1TOT = somme(i=V,C,1..4: RASZIPQTSi1)+RASZIPQRAF1+RASZIPQRBF1+RASZIPQRCF1+RASZIPQRDF1+RASZIPQREF1+RASZIPQRFF1
               +RASZIPQRAG1+RASZIPQRBG1+RASZIPQRCG1+RASZIPQRDG1+RASZIPQRGG1+RASZIPQRFG1 ;

RASZIPQTSREMPV1 =  positif(IRINDPASQV- IRINDPASV) * (RASIQUOTOT*TERASRPQTSREMPV/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTSREMPC1 =  positif(IRINDPASQC- IRINDPASC) * (RASIQUOTOT*TERASRPQTSREMPC/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTSREMP11 =  (RASIQUOTOT*TERASRPQTSREMP1/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTSREMP21 =  (RASIQUOTOT*TERASRPQTSREMP2/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTSREMP31 =  (RASIQUOTOT*TERASRPQTSREMP3/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2)));
RASZIPQTSREMP41 =  (RASIQUOTOT*TERASRPQTSREMP4/(RASTONEQUO1V * null(TXPASMIN-1) + RASTONEQUO1C * null(TXPASMIN-2))); 
RASZIPQTSREMP1TOT = somme(i=V,C : RASZIPQTSREMPi1) ;
regle 511290:
application : bareme , iliad ;


IPQ01 = IN01 ;
IPQ02 = IN02 ;
IPQ03 = IN03 ;

IPQANT01 = INANT01 ;

regle 511300:
application : bareme , iliad ;


IPQRWB1 = ZIPQRWB1 * CODNWB;
IPQRWA1 = ZIPQRWA1 * CODNWA;
IPQRVG1 = ZIPQRVG1 * CODNVG;
IPQRUA1 = ZIPQRUA1 * CODNUA;
IPQ11 = ZIPQ11 * 1;
IPQANTRWB = ZIPQANTRWB * CODNWB;
IPQANTRWA = ZIPQANTRWA * CODNWA;
IPQANTRVG = ZIPQANTRVG * CODNVG;
IPQANTRUA = ZIPQANTRUA * CODNUA;
IPQANT11 = ZIPQANT11 * 1;
IPQ41 = ZIPQ41 * 4;
IPQANT41 = ZIPQANT41 * 4;
IPQFV1 = ZIPQFV1 * COTFV;
IPQFC1 = ZIPQFC1 * COTFC;
IPQF11 = ZIPQF11 * COTF1;
IPQF21 = ZIPQF21 * COTF2;
IPQF31 = ZIPQF31 * COTF3;
IPQF41 = ZIPQF41 * COTF4;
IPQFANTV1 = ZIPQFANTV1 * COTFV;
IPQFANTC1 = ZIPQFANTC1 * COTFC;
IPQFANT11 = ZIPQFANT11 * COTF1;
IPQFANT21 = ZIPQFANT21 * COTF2;
IPQFANT31 = ZIPQFANT31 * COTF3;
IPQFANT41 = ZIPQFANT41 * COTF4;
IPQPALIMV1 = ZIPQPALIMV1 * PENSALNBV;
IPQPALIMC1 = ZIPQPALIMC1 * PENSALNBC;
IPQPALIM11 = ZIPQPALIM11 * PENSALNBP1;
IPQPALIM21 = ZIPQPALIM21 * PENSALNBP2;
IPQPALIM31 = ZIPQPALIM31 * PENSALNBP3;
IPQPALIM41 = ZIPQPALIM41 * PENSALNBP4;
IPQPALIMANTV1 = ZIPQPALIMANTV1 * PENSALNBV;
IPQPALIMANTC1 = ZIPQPALIMANTC1 * PENSALNBC;
IPQPALIMANT11 = ZIPQPALIMANT11 * PENSALNBP1;
IPQPALIMANT21 = ZIPQPALIMANT21 * PENSALNBP2;
IPQPALIMANT31 = ZIPQPALIMANT31 * PENSALNBP3;
IPQPALIMANT41 = ZIPQPALIMANT41 * PENSALNBP4;
IPQRCMDC1 = ZIPQRCMDC1 * REVACTNB;
IPQRCMDCANT1 = ZIPQRCMDCANT1 * REVACTNB;
IPQRCMCH1 = ZIPQRCMCH1 * PROVIENB;
IPQRCMCHANT1 = ZIPQRCMCHANT1 * PROVIENB;
IPQRCMFU1 = ZIPQRCMFU1 * REVPEANB;
IPQRCMFUANT1 = ZIPQRCMFUANT1 * REVPEANB;
IPQRCMGO1 = ZIPQRCMGO1 * RESTUCNB;
IPQRCMGOANT1 = ZIPQRCMGOANT1 * RESTUCNB;
IPQRCMTR1 = ZIPQRCMTR1 * INTERENB;
IPQRCMTRANT1 = ZIPQRCMTRANT1 * INTERENB;
IPQRCMYY1 = ZIPQRCMYY1 * CODNYY;
IPQRCMYYANT1 = ZIPQRCMYYANT1 * CODNYY;
IPQRCMTS1 = ZIPQRCMTS1 * DISQUONB;
IPQRCMTSANT1 = ZIPQRCMTSANT1 * DISQUONB;
IPQPRRV1 = ZIPQPRRV1 * CARPENBAV;
IPQPRRC1 = ZIPQPRRC1 * CARPENBAC;
IPQPRR11 = ZIPQPRR11 * CARPENBAP1;
IPQPRR21 = ZIPQPRR21 * CARPENBAP2;
IPQPRR31 = ZIPQPRR31 * CARPENBAP3;
IPQPRR41 = ZIPQPRR41 * CARPENBAP4;

IPQRAF = ZIPQRAF1 * CODNAF;
IPQRBF = ZIPQRBF1 * CODNBF;
IPQRCF = ZIPQRCF1 * CODNCF;
IPQRDF = ZIPQRDF1 * CODNDF;
IPQREF = ZIPQREF1 * CODNEF;
IPQRFF = ZIPQRFF1 * CODNFF;
IPQRAG = ZIPQRAG1 * CODNAG;
IPQRBG = ZIPQRBG1 * CODNBG;
IPQRCG = ZIPQRCG1 * CODNCG;
IPQRDG = ZIPQRDG1 * CODNDG;
IPQRGG = ZIPQRGG1 * CODNGG;
IPQRFG = ZIPQRFG1 * CODNFG;
IPQRAFANT = ZIPQRAFANT1 * CODNAF;
IPQRBFANT = ZIPQRBFANT1 * CODNBF;
IPQRCFANT = ZIPQRCFANT1 * CODNCF;
IPQRDFANT = ZIPQRDFANT1 * CODNDF;
IPQREFANT = ZIPQREFANT1 * CODNEF;
IPQRFFANT = ZIPQRFFANT1 * CODNFF;
IPQRAGANT = ZIPQRAGANT1 * CODNAG;
IPQRBGANT = ZIPQRBGANT1 * CODNBG;
IPQRCGANT = ZIPQRCGANT1 * CODNCG;
IPQRDGANT = ZIPQRDGANT1 * CODNDG;
IPQRGGANT = ZIPQRGGANT1 * CODNGG;
IPQRFGANT = ZIPQRFGANT1 * CODNFG;

IPQPRRZV1 = ZIPQPRRZV1 * CODNAZ;
IPQPRRZC1 = ZIPQPRRZC1 * CODNBZ;
IPQPRRZ11 = ZIPQPRRZ11 * CODNCZ;
IPQPRRZ21 = ZIPQPRRZ21 * CODNDZ;
IPQPRRZ31 = ZIPQPRRZ31 * CODNEZ;
IPQPRRZ41 = ZIPQPRRZ41 * CODNFZ;
IPQPRRANTV1 = ZIPQPRRANTV1 * CARPENBAV;
IPQPRRANTC1 = ZIPQPRRANTC1 * CARPENBAC;
IPQPRRANT11 = ZIPQPRRANT11 * CARPENBAP1;
IPQPRRANT21 = ZIPQPRRANT21 * CARPENBAP2;
IPQPRRANT31 = ZIPQPRRANT31 * CARPENBAP3;
IPQPRRANT41 = ZIPQPRRANT41 * CARPENBAP4;
IPQPRRANTZV1 = ZIPQPRRANTZV1 * CODNAZ;
IPQPRRANTZC1 = ZIPQPRRANTZC1 * CODNBZ;
IPQPRRANTZ11 = ZIPQPRRANTZ11 * CODNCZ;
IPQPRRANTZ21 = ZIPQPRRANTZ21 * CODNDZ;
IPQPRRANTZ31 = ZIPQPRRANTZ31 * CODNEZ;
IPQPRRANTZ41 = ZIPQPRRANTZ41 * CODNFZ;
IPQRF11 = ZIPQRF11 * FONCINB;
IPQRFANT11 = ZIPQRFANT11 * FONCINB;
IPQRF21 = ZIPQRF21 * REAMORNB;
IPQRFANT21 = ZIPQRFANT21 * REAMORNB;
IPQRF31 = ZIPQRF31 * CODNBE;
IPQRFANT31 = ZIPQRFANT31 * CODNBE;
IPQRVO1 = ZIPQRVO1 * RENTAXNB;
IPQRVOANT1 = ZIPQRVOANT1 * RENTAXNB;
IPQRVO51 = ZIPQRVO51 * RENTAXNB5;
IPQRVO5ANT1 = ZIPQRVO5ANT1 * RENTAXNB5;
IPQRVO61 = ZIPQRVO61 * RENTAXNB6;
IPQRVO6ANT1 = ZIPQRVO6ANT1 * RENTAXNB6;
IPQRVO71 = ZIPQRVO71 * RENTAXNB7;
IPQRVO7ANT1 = ZIPQRVO7ANT1 * RENTAXNB7;
IPQRVO1R = ZIPQRVO1R * CODNAR;
IPQRVOANT1R = ZIPQRVOANT1R * CODNAR;
IPQRVO51R = ZIPQRVO51R * CODNBR;
IPQRVO5ANT1R = ZIPQRVO5ANT1R * CODNBR;
IPQRVO61R = ZIPQRVO61R * CODNCR;
IPQRVO6ANT1R = ZIPQRVO6ANT1R * CODNCR;
IPQRVO71R = ZIPQRVO71R * CODNDR;
IPQRVO7ANT1R = ZIPQRVO7ANT1R * CODNDR;
IPQTSV1 = ZIPQTSV1 * CARTSNBAV;
IPQTSC1 = ZIPQTSC1 * CARTSNBAC;
IPQTS11 = ZIPQTS11 * CARTSNBAP1;
IPQTS21 = ZIPQTS21 * CARTSNBAP2;
IPQTS31 = ZIPQTS31 * CARTSNBAP3;
IPQTS41 = ZIPQTS41 * CARTSNBAP4;
IPQTSV1 = ZIPQTSV1 * CARTSNBAV;
IPQTSC1 = ZIPQTSC1 * CARTSNBAC;
IPQTS11 = ZIPQTS11 * CARTSNBAP1;
IPQTS21 = ZIPQTS21 * CARTSNBAP2;
IPQTS31 = ZIPQTS31 * CARTSNBAP3;
IPQTS41 = ZIPQTS41 * CARTSNBAP4;

IPQRAL = ZIPQRAL1 * CODNAL;
IPQRBL = ZIPQRBL1 * CODNBL;
IPQRCL = ZIPQRCL1 * CODNCL;
IPQRDL = ZIPQRDL1 * CODNDL;
IPQREL = ZIPQREL1 * CODNEL;
IPQRFL = ZIPQRFL1 * CODNFL;
IPQRAM = ZIPQRAM1 * CODNAM;
IPQRBM = ZIPQRBM1 * CODNBM;
IPQRCM = ZIPQRCM1 * CODNCM;
IPQRDM = ZIPQRDM1 * CODNDM;
IPQREM = ZIPQREM1 * CODNEM;
IPQRFM = ZIPQRFM1 * CODNFM;
IPQRAI = ZIPQRAI1 * CODNAI;
IPQRBI = ZIPQRBI1 * CODNBI;
IPQRCK = ZIPQRCK1 * CODNCK;
IPQRALANT = ZIPQRALANT1 * CODNAL;
IPQRBLANT = ZIPQRBLANT1 * CODNBL;
IPQRCLANT = ZIPQRCLANT1 * CODNCL;
IPQRDLANT = ZIPQRDLANT1 * CODNDL;
IPQRELANT = ZIPQRELANT1 * CODNEL;
IPQRFLANT = ZIPQRFLANT1 * CODNFL;
IPQRAMANT = ZIPQRAMANT1 * CODNAM;
IPQRBMANT = ZIPQRBMANT1 * CODNBM;
IPQRCMANT = ZIPQRCMANT1 * CODNCM;
IPQRDMANT = ZIPQRDMANT1 * CODNDM;
IPQREMANT = ZIPQREMANT1 * CODNEM;
IPQRFMANT = ZIPQRFMANT1 * CODNFM;
IPQRAIANT = ZIPQRAIANT1 * CODNAI;
IPQRBIANT = ZIPQRBIANT1 * CODNBI;
IPQRCKANT = ZIPQRCKANT1 * CODNCK;
IPQTSV1 = ZIPQTSV1 * CARTSNBAV;
IPQTSC1 = ZIPQTSC1 * CARTSNBAC;
IPQTS11 = ZIPQTS11 * CARTSNBAP1;
IPQTS21 = ZIPQTS21 * CARTSNBAP2;
IPQTS31 = ZIPQTS31 * CARTSNBAP3;
IPQTS41 = ZIPQTS41 * CARTSNBAP4;
IPQTSANTV1 = ZIPQTSANTV1 * CARTSNBAV;
IPQTSANTC1 = ZIPQTSANTC1 * CARTSNBAC;
IPQTSANT11 = ZIPQTSANT11 * CARTSNBAP1;
IPQTSANT21 = ZIPQTSANT21 * CARTSNBAP2;
IPQTSANT31 = ZIPQTSANT31 * CARTSNBAP3;
IPQTSANT41 = ZIPQTSANT41 * CARTSNBAP4;
IPQTSREMPV1 = ZIPQTSREMPV1 * REMPLANBV;
IPQTSREMPC1 = ZIPQTSREMPC1 * REMPLANBC;
IPQTSREMP11 = ZIPQTSREMP11 * REMPLANBP1;
IPQTSREMP21 = ZIPQTSREMP21 * REMPLANBP2;
IPQTSREMP31 = ZIPQTSREMP31 * REMPLANBP3;
IPQTSREMP41 = ZIPQTSREMP41 * REMPLANBP4;
IPQTSREMPANTV1 = ZIPQTSREMPANTV1 * REMPLANBV;
IPQTSREMPANTC1 = ZIPQTSREMPANTC1 * REMPLANBC;
IPQTSREMPANT11 = ZIPQTSREMPANT11 * REMPLANBP1;
IPQTSREMPANT21 = ZIPQTSREMPANT21 * REMPLANBP2;
IPQTSREMPANT31 = ZIPQTSREMPANT31 * REMPLANBP3;
IPQTSREMPANT41 = ZIPQTSREMPANT41 * REMPLANBP4;
IPQ1001 = arr(IPQRWB1+IPQRWA1+IPQRVG1 + IPQRUA1 + somme(x=1..4 : IPQx1) 
	+ somme(i=V,C,1..4:IPQFi1) 
	+ somme(i=V,C,1..4 : IPQPALIMi1) + somme(i=V,C,1..4 : IPQTSi1)
	+ somme(i=V,C,1..4 : IPQTSREMPi1)
	+ IPQRF11 + IPQRF21 + IPQRF31
	+ somme(i=V,C,1..4:IPQPRRi1+IPQPRRZi1)
	+ IPQRCMDC1 + IPQRCMFU1 + IPQRCMCH1 + IPQRCMTS1 + IPQRCMGO1 + IPQRCMTR1+IPQRCMYY1
	+ IPQRVO1 + IPQRVO51 + IPQRVO61 + IPQRVO71 
	+ IPQRVO1R + IPQRVO51R + IPQRVO61R + IPQRVO71R 
	+ IPQRAF+IPQRBF+IPQRCF+IPQRDF+IPQREF+IPQRFF+IPQRAG+IPQRBG+IPQRCG+IPQRDG+IPQRGG+IPQRFG
	+ IPQRAL+IPQRBL+IPQRCL+IPQRDL+IPQREL+IPQRFL+IPQRAM+IPQRBM+IPQRCM+IPQRDM+IPQREM+IPQRFM
	+IPQRAI+IPQRBI+IPQRCK);
IPQANT1001 = arr(IPQANTRWB+IPQANTRWA+IPQANTRVG + IPQANTRUA + somme(x=1..4:IPQANTx1)
	+ somme(i=V,C,1..4:IPQFANTi1) 
	+ somme(i=V,C,1..4 : IPQPALIMANTi1) + somme(i=V,C,1..4 : IPQTSANTi1)
	+ somme(i=V,C,1..4 : IPQTSREMPi1)
	+ IPQRFANT11 + IPQRFANT21 + IPQRFANT31
	+ somme(i=V,C,1..4:IPQPRRANTi1+IPQPRRANTZi1)
	+ IPQRCMDCANT1 + IPQRCMFUANT1 + IPQRCMCHANT1 + IPQRCMTSANT1 + IPQRCMGOANT1 + IPQRCMTRANT1+IPQRCMYYANT1
	+ IPQRVOANT1 + IPQRVO5ANT1 + IPQRVO6ANT1 + IPQRVO7ANT1 
	+ IPQRVOANT1R + IPQRVO5ANT1R + IPQRVO6ANT1R + IPQRVO7ANT1R 
	+ IPQRAFANT+IPQRBFANT+IPQRCFANT+IPQRDFANT+IPQREFANT+IPQRFFANT+IPQRAGANT+IPQRBGANT+IPQRCGANT+IPQRDGANT+IPQRGGANT+IPQRFGANT
	+ IPQRALANT+IPQRBLANT+IPQRCLANT+IPQRDLANT+IPQRELANT+IPQRFLANT+IPQRAMANT+IPQRBMANT+IPQRCMANT+IPQRDMANT+IPQREMANT+IPQRFMANT
	+IPQRAIANT+IPQRBIANT+IPQRCKANT);
RASIPQRWB1 = RASZIPQRWB1 * CODNWB;
RASIPQRWA1 = RASZIPQRWA1 * CODNWA;
RASIPQRVG1 = RASZIPQRVG1 * CODNVG;
RASIPQRUA1 = RASZIPQRUA1 * CODNUA;
RASIPQ41V = RASZIPQ41V * 4;
RASIPQ41C = RASZIPQ41C * 4;
RASIPQ41P = RASZIPQ41P * 4;
RASIPQ41 = RASZIPQ41 * 4;
RASIPQFV1 = RASZIPQFV1 * COTFV;
RASIPQFC1 = RASZIPQFC1 * COTFC;
RASIPQF11 = RASZIPQF11 * COTF1;
RASIPQF21 = RASZIPQF21 * COTF2;
RASIPQF31 = RASZIPQF31 * COTF3;
RASIPQF41 = RASZIPQF41 * COTF4;
RASIPQPALIMV1 = RASZIPQPALIMV1 * PENSALNBV;
RASIPQPALIMC1 = RASZIPQPALIMC1 * PENSALNBC;
RASIPQPALIM11 = RASZIPQPALIM11 * PENSALNBP1;
RASIPQPALIM21 = RASZIPQPALIM21 * PENSALNBP2;
RASIPQPALIM31 = RASZIPQPALIM31 * PENSALNBP3;
RASIPQPALIM41 = RASZIPQPALIM41 * PENSALNBP4;
RASIPQRCMDC1 = RASZIPQRCMDC1 * REVACTNB;
RASIPQRCMCH1 = RASZIPQRCMCH1 * PROVIENB;
RASIPQRCMFU1 = RASZIPQRCMFU1 * REVPEANB;
RASIPQRCMGO1 = RASZIPQRCMGO1 * RESTUCNB;
RASIPQRCMTR1 = RASZIPQRCMTR1 * INTERENB;
RASIPQRCMYY1 = RASZIPQRCMYY1 * CODNYY;
RASIPQRCMTS1 = RASZIPQRCMTS1 * DISQUONB;
RASIPQPRRV1 = RASZIPQPRRV1 * CARPENBAV;
RASIPQPRRC1 = RASZIPQPRRC1 * CARPENBAC;
RASIPQPRR11 = RASZIPQPRR11 * CARPENBAP1;
RASIPQPRR21 = RASZIPQPRR21 * CARPENBAP2;
RASIPQPRR31 = RASZIPQPRR31 * CARPENBAP3;
RASIPQPRR41 = RASZIPQPRR41 * CARPENBAP4;
RASIPQPRRZV1 = RASZIPQPRRZV1 * CODNAZ;
RASIPQPRRZC1 = RASZIPQPRRZC1 * CODNBZ;
RASIPQPRRZ11 = RASZIPQPRRZ11 * CODNCZ;
RASIPQPRRZ21 = RASZIPQPRRZ21 * CODNDZ;
RASIPQPRRZ31 = RASZIPQPRRZ31 * CODNEZ;
RASIPQPRRZ41 = RASZIPQPRRZ41 * CODNFZ;
RASIPQRAL1 = RASZIPQRAL1 * CODNAL;
RASIPQRBL1 = RASZIPQRBL1 * CODNBL;
RASIPQRCL1 = RASZIPQRCL1 * CODNCL;
RASIPQRDL1 = RASZIPQRDL1 * CODNDL;
RASIPQREL1 = RASZIPQREL1 * CODNEL;
RASIPQRFL1 = RASZIPQRFL1 * CODNFL;
RASIPQRAM1= RASZIPQRAM1 * CODNAM;
RASIPQRBM1= RASZIPQRBM1 * CODNBM;
RASIPQRCM1= RASZIPQRCM1 * CODNCM;
RASIPQRDM1= RASZIPQRDM1 * CODNDM;
RASIPQREM1= RASZIPQREM1 * CODNEM;
RASIPQRFM1= RASZIPQRFM1 * CODNFM;
RASIPQRAI1 = RASZIPQRAI1 * CODNAI;
RASIPQRBI1 = RASZIPQRBI1 * CODNBI;
RASIPQRCK1 = RASZIPQRCK1 * CODNCK;
RASIPQRF11 = RASZIPQRF11 * FONCINB;
RASIPQRF21 = RASZIPQRF21 * REAMORNB;
RASIPQRF31 = RASZIPQRF31 * CODNBE;
RASIPQRVO1 = RASZIPQRVO1 * RENTAXNB;
RASIPQRVO51 = RASZIPQRVO51 * RENTAXNB5;
RASIPQRVO61 = RASZIPQRVO61 * RENTAXNB6;
RASIPQRVO71 = RASZIPQRVO71 * RENTAXNB7;
RASIPQRVOR1 = RASZIPQRVOR1 * CODNAR ;
RASIPQRVO5R1 = RASZIPQRVO5R1 * CODNBR;
RASIPQRVO6R1 = RASZIPQRVO6R1 * CODNCR;
RASIPQRVO7R1 = RASZIPQRVO7R1* CODNDR;
RASIPQTSV1 = RASZIPQTSV1 * CARTSNBAV;
RASIPQTSC1 = RASZIPQTSC1 * CARTSNBAC;
RASIPQTS11 = RASZIPQTS11 * CARTSNBAP1;
RASIPQTS21 = RASZIPQTS21 * CARTSNBAP2;
RASIPQTS31 = RASZIPQTS31 * CARTSNBAP3;
RASIPQTS41 = RASZIPQTS41 * CARTSNBAP4;
RASIPQRAF1 = RASZIPQRAF1 * CODNAF;
RASIPQRBF1 = RASZIPQRBF1 * CODNBF;
RASIPQRCF1 = RASZIPQRCF1 * CODNCF;
RASIPQRDF1 = RASZIPQRDF1 * CODNDF;
RASIPQREF1 = RASZIPQREF1 * CODNEF;
RASIPQRFF1 = RASZIPQRFF1 * CODNFF;
RASIPQRAG1 = RASZIPQRAG1 * CODNAG;
RASIPQRBG1 = RASZIPQRBG1 * CODNBG;
RASIPQRCG1 = RASZIPQRCG1 * CODNCG;
RASIPQRDG1 = RASZIPQRDG1 * CODNDG;
RASIPQRGG1 = RASZIPQRGG1 * CODNGG;
RASIPQRFG1 = RASZIPQRFG1 * CODNFG;
RASIPQTSREMPV1 = RASZIPQTSREMPV1 * REMPLANBV;
RASIPQTSREMPC1 = RASZIPQTSREMPC1 * REMPLANBC;
RASIPQTSREMP11 = RASZIPQTSREMP11 * REMPLANBP1;
RASIPQTSREMP21 = RASZIPQTSREMP21 * REMPLANBP2;
RASIPQTSREMP31 = RASZIPQTSREMP31 * REMPLANBP3;
RASIPQTSREMP41 = RASZIPQTSREMP41 * REMPLANBP4;
RASIPQ1001V = RASIPQRWB1+RASIPQRWA1+RASIPQRVG1 + RASIPQRUA1 + RASIPQ31+RASIPQ41V
	+ RASIPQRF11 + RASIPQRF21 + RASIPQRF31
	+ RASIPQRCMDC1 + RASIPQRCMFU1 + RASIPQRCMCH1 + RASIPQRCMTS1 + RASIPQRCMGO1 + RASIPQRCMTR1 + RASIPQRCMYY1
	+ RASIPQRVO1 + RASIPQRVO51 + RASIPQRVO61 + RASIPQRVO71 + RASIPQRVOR1 + RASIPQRVO5R1 + RASIPQRVO6R1 + RASIPQRVO7R1
        + RASIPQFV1 + RASIPQF11 + RASIPQF21 + RASIPQF31 + RASIPQF41
	+ RASIPQPALIMV1 + RASIPQPALIM11 + RASIPQPALIM21 + RASIPQPALIM31 + RASIPQPALIM41
	+ RASIPQTSV1 + RASIPQTS11 + RASIPQTS21 + RASIPQTS31 + RASIPQTS41
	+ RASIPQTSREMPV1 + RASIPQTSREMP11 + RASIPQTSREMP21 + RASIPQTSREMP31 + RASIPQTSREMP41
	+ RASIPQPRRV1 +RASIPQPRRZV1
        +RASIPQPRR11 +RASIPQPRR21 +RASIPQPRR31 +RASIPQPRR41 +RASIPQPRRZ11 +RASIPQPRRZ21 +RASIPQPRRZ31 +RASIPQPRRZ41
        +RASIPQRCL1 +RASIPQRDL1 +RASIPQREL1 +RASIPQRFL1 +RASIPQRCM1 +RASIPQRDM1 +RASIPQREM1 +RASIPQRFM1 +RASIPQRCF1 +RASIPQRDF1
        +RASIPQREF1 +RASIPQRFF1 +RASIPQRCG1 +RASIPQRDG1 +RASIPQRGG1 +RASIPQRFG1
	+ RASIPQRAL1 + RASIPQRAM1 + RASIPQRAF1 + RASIPQRAG1 + RASIPQ41P +RASIPQRAI1+RASIPQRCK1;

RASIPQ1001C = RASIPQRWB1+RASIPQRWA1+RASIPQRVG1 + RASIPQRUA1 + RASIPQ31+RASIPQ41C 
        + RASIPQRF11 + RASIPQRF21 + RASIPQRF31
	+ RASIPQRCMDC1 + RASIPQRCMFU1 + RASIPQRCMCH1 + RASIPQRCMTS1 + RASIPQRCMGO1 + RASIPQRCMTR1 + RASIPQRCMYY1
	+ RASIPQRVO1 + RASIPQRVO51 + RASIPQRVO61 + RASIPQRVO71 + RASIPQRVOR1 + RASIPQRVO5R1 + RASIPQRVO6R1 + RASIPQRVO7R1
	+ RASIPQFC1 + RASIPQPALIMC1 +RASIPQTSC1 + RASIPQTSREMPC1 + RASIPQPRRC1+RASIPQPRRZC1 
	+ RASIPQRBL1 + RASIPQRBM1 + RASIPQRBF1 + RASIPQRBG1 + RASIPQRBI1
	+ RASIPQF11 + RASIPQF21 + RASIPQF31 + RASIPQF41
	+ RASIPQPALIM11 + RASIPQPALIM21 + RASIPQPALIM31 + RASIPQPALIM41
	+ RASIPQTS11 + RASIPQTS21 + RASIPQTS31 + RASIPQTS41
	+ RASIPQTSREMP11 + RASIPQTSREMP21 + RASIPQTSREMP31 + RASIPQTSREMP41
        +RASIPQPRR11 +RASIPQPRR21 +RASIPQPRR31 +RASIPQPRR41 +RASIPQPRRZ11 +RASIPQPRRZ21 +RASIPQPRRZ31 +RASIPQPRRZ41
        +RASIPQRCL1 +RASIPQRDL1 +RASIPQREL1 +RASIPQRFL1 +RASIPQRCM1 +RASIPQRDM1 +RASIPQREM1 +RASIPQRFM1 +RASIPQRCF1 +RASIPQRDF1
        +RASIPQREF1 +RASIPQRFF1 +RASIPQRCG1 +RASIPQRDG1 +RASIPQRGG1 +RASIPQRFG1 + RASIPQ41P+RASIPQRCK1;
regle 511310:
application : bareme , iliad ;


IPQ05 = IN05 +PVMTS;

IPQRWB5 = ZIPQRWB5 * CODNWB ;
IPQRWA5 = ZIPQRWA5 * CODNWA ;
IPQRVG5 = ZIPQRVG5 * CODNVG ;
IPQRUA5 = ZIPQRUA5 * CODNUA ;
IPQ45 = ZIPQ45 * 4 ;

IPQFV5 = ZIPQFV5 * COTFV;
IPQFC5 = ZIPQFC5 * COTFC;
IPQF15 = ZIPQF15 * COTF1;
IPQF25 = ZIPQF25 * COTF2;
IPQF35 = ZIPQF35 * COTF3;
IPQF45 = ZIPQF45 * COTF4;

IPQPALIMV5 = ZIPQPALIMV5 * PENSALNBV;
IPQPALIMC5 = ZIPQPALIMC5 * PENSALNBC;

IPQPALIM15 = ZIPQPALIM15 * PENSALNBP1;
IPQPALIM25 = ZIPQPALIM25 * PENSALNBP2;
IPQPALIM35 = ZIPQPALIM35 * PENSALNBP3;
IPQPALIM45 = ZIPQPALIM45 * PENSALNBP4;
IPQRCMDC5 = ZIPQRCMDC5 * REVACTNB;
IPQRCMCH5 = ZIPQRCMCH5 * PROVIENB;
IPQRCMFU5 = ZIPQRCMFU5 * REVPEANB;
IPQRCMGO5 = ZIPQRCMGO5 * RESTUCNB;
IPQRCMTR5 = ZIPQRCMTR5 * INTERENB;
IPQRCMYY5 = ZIPQRCMYY5 * CODNYY;
IPQRCMTS5 = ZIPQRCMTS5 * DISQUONB;
IPQPRRV5 = ZIPQPRRV5 * CARPENBAV;
IPQPRRC5 = ZIPQPRRC5 * CARPENBAC;
IPQPRR15 = ZIPQPRRZ15 * CARPENBAP1;
IPQPRR25 = ZIPQPRRZ25 * CARPENBAP2;
IPQPRR35 = ZIPQPRRZ35 * CARPENBAP3;
IPQPRR45 = ZIPQPRRZ45 * CARPENBAP4;
IPQRAL5 = ZIPQRAL5 * CODNAL;
IPQRBL5 = ZIPQRBL5 * CODNBL;
IPQRAI5 = ZIPQRAI5 * CODNAI;
IPQRBI5 = ZIPQRBI5 * CODNBI;
IPQRCL5 = ZIPQRCL5 * CODNCL;
IPQRCK5 = ZIPQRCK5 * CODNCK;
IPQRDL5 = ZIPQRDL5 * CODNDL;
IPQREL5 = ZIPQREL5 * CODNEL;
IPQRFL5 = ZIPQRFL5 * CODNFL;
IPQRAM5 = ZIPQRAM5 * CODNAM;
IPQRBM5 = ZIPQRBM5 * CODNBM;
IPQRCM5 = ZIPQRCM5 * CODNCM;
IPQRDM5 = ZIPQRDM5 * CODNDM;
IPQREM5 = ZIPQREM5 * CODNEM;
IPQRFM5 = ZIPQRFM5 * CODNFM;

IPQPRRZV5 = ZIPQPRRZV5 * CODNAZ;
IPQPRRZC5 = ZIPQPRRZC5 * CODNBZ;
IPQPRRZ15 = ZIPQPRRZ15 * CODNCZ;
IPQPRRZ25 = ZIPQPRRZ25 * CODNDZ;
IPQPRRZ35 = ZIPQPRRZ35 * CODNEZ;
IPQPRRZ45 = ZIPQPRRZ45 * CODNFZ;
IPQRF15 = ZIPQRF15 * FONCINB;
IPQRF25 = ZIPQRF25 * REAMORNB;
IPQRF35 = ZIPQRF35 * CODNBE;
IPQRVO5 = ZIPQRVO5 * RENTAXNB;
IPQRVO55 = ZIPQRVO55 * RENTAXNB5;
IPQRVO65 = ZIPQRVO65 * RENTAXNB6;
IPQRVO75 = ZIPQRVO75 * RENTAXNB7;
IPQRVO5R = ZIPQRVO5R * CODNAR;
IPQRVO55R = ZIPQRVO55R * CODNBR;
IPQRVO65R = ZIPQRVO65R * CODNCR;
IPQRVO75R = ZIPQRVO75R * CODNDR;
IPQTSV5 = ZIPQTSV5 * CARTSNBAV;
IPQTSC5 = ZIPQTSC5 * CARTSNBAC;
IPQTS15 = ZIPQTS15 * CARTSNBAP1;
IPQTS25 = ZIPQTS25 * CARTSNBAP2;
IPQTS35 = ZIPQTS35 * CARTSNBAP3;
IPQTS45 = ZIPQTS45 * CARTSNBAP4;
IPQRAF5 = ZIPQRAF5 * CODNAF;
IPQRBF5 = ZIPQRBF5 * CODNBF;
IPQRCF5 = ZIPQRCF5 * CODNCF;
IPQRDF5 = ZIPQRDF5 * CODNDF;
IPQREF5 = ZIPQREF5 * CODNEF;
IPQRFF5 = ZIPQRFF5 * CODNFF;
IPQRAG5 = ZIPQRAG5 * CODNAG;
IPQRBG5 = ZIPQRBG5 * CODNBG;
IPQRCG5 = ZIPQRCG5 * CODNCG;
IPQRDG5 = ZIPQRDG5 * CODNDG;
IPQRGG5 = ZIPQRGG5 * CODNGG;
IPQRFG5 = ZIPQRFG5 * CODNFG;
IPQTSREMPV5 = ZIPQTSREMPV5 * REMPLANBV;
IPQTSREMPC5 = ZIPQTSREMPC5 * REMPLANBC;
IPQTSREMP15 = ZIPQTSREMP15 * REMPLANBP1;
IPQTSREMP25 = ZIPQTSREMP25 * REMPLANBP2;
IPQTSREMP35 = ZIPQTSREMP35 * REMPLANBP3;
IPQTSREMP45 = ZIPQTSREMP45 * REMPLANBP4;

IPQ1005 = arr(IPQRWB5 +IPQRWA5 +IPQRVG5 + IPQRUA5 + somme(x=1..4 : IPQx5) 
	+ somme(i=V,C,1..4:IPQFi5) 
	+ somme(i=V,C,1..4 : IPQPALIMi5) + somme(i=V,C,1..4 : IPQTSi5)
	+ somme(i=V,C,1..4 : IPQTSREMPi5)
	+ IPQRF15 + IPQRF25+IPQRF35
	+ somme(i=V,C,1..4:IPQPRRi5+IPQPRRZi5)
	+ IPQRCMDC5 + IPQRCMFU5 + IPQRCMCH5 + IPQRCMTS5 + IPQRCMGO5 + IPQRCMTR5 + IPQRCMYY5
	+ IPQRVO5 + IPQRVO55 + IPQRVO65 + IPQRVO75
	+ IPQRVO5R + IPQRVO55R + IPQRVO65R + IPQRVO75R
	+ IPQRAF5+IPQRBF5+IPQRCF5+IPQRDF5+IPQREF5+IPQRFF5+IPQRAG5+IPQRBG5+IPQRCG5+IPQRDG5+IPQRGG5+IPQRFG5
	+ IPQRAL5+IPQRBL5+IPQRCL5+IPQRDL5+IPQREL5+IPQRFL5+IPQRAM5+IPQRBM5+IPQRCM5+IPQRDM5+IPQREM5+IPQRFM5
	+ IPQRAI5+IPQRBI5+IPQRCK5);

regle 511320:
application : bareme , iliad ;

IN01=max(IS011,IS021-PLA);
INANT01=max(IS011,IS021-PLANT);
IN51=max(IS511,IS521-PLA);
INANT51=max(IS511,IS521-PLANT);
IN04 = max(IS014,IS024 - PLA);
IN06 = max(IS016,IS026 - PLA);
IN05=max(IS015,IS025 - PLA);
IN55=max(IS515,IS525 - PLA);

regle 511330:
application : bareme, iliad ;


IDOM11 =  (max((ID11 - ADO1)* (1-positif(INDCODDAJ)) + (ITOTDOM1 + PVMTS) * positif(INDCODDAJ), IMI)*(1-INDTXMOY)
         + IMO * INDTXMOY ) * (1 - positif(RE168+TAX1649));
IDOM16 = max((ID16 - ADO6)* (1-positif(INDCODDAJ)) + (ITOTDOM6 +PVMTS) * positif(INDCODDAJ), IMI) *(1-INDTXMOY)
         + IMO * INDTXMOY ;

regle 511340:
application : bareme, iliad ;


BOOL_0AZ =  null((V_0AZ -  inf(V_0AZ/ 10000) * 10000) - ANNEEREV ) ;

regle 511350:
application : bareme , iliad ;


PLAFCDPART = positif(V_0AL) *  PLAF_CDPART ;


PLANT =  PLAQAR + PLAF_DEMIPART * 2 * ((NBPT - NBQAR) - 1 - BOOL_0AM - BOOL_0AZ  * V_0AV)
        - (2 * PLAF_DEMIPART - PLAF_COMPPART) * 2 * NPS 
					      * (V_0AC+V_0AD+V_0AV*(1-positif(V_0BT))) * min(1,EAC)
        - (PLAF_DEMIPART - PLAFCDPART) * (1 - BOOL_0AM) 
              * 2 * NSA * (1-positif(V_0AW)*positif_ou_nul(AGV-LIM_AGE_LET_S))
              * (1-V_0AG)
	       ;


PLACOMP = PLAFIMP * positif(V_0AV * (V_0CF + V_0DJ + V_0CH + V_0CR + V_9XX)
				  * (1-positif(V_0AZ)))
	  + 2 * PLAF_PLACOMP * max(0 , NIN + NSA2 + NCC) 
                + arr(PLAF_PLACOMP / 2 *  V_0CI) ;

regle 511360:
application : bareme , iliad ;

VAR0AV = positif(V_0BT * V_0AV);
VAR0BT = (1-positif(null(V_0BT+0) + positif(V_0BT * V_0AV)));
NBMIQAR  =   null (VAR0BT) * ( 
                                 null (V_0CF+V_0DJ+V_0CR +0)    * (  2 * (V_0CH-2) * positif (V_0CH- 2)
                                                                         + (1) * positif (V_0CH+0)
                                                                         + (1) * positif(V_0CH-1)
                                                                  )
                                +  null(V_0CF+V_0DJ+V_0CR -1)   * (  2 * (V_0CH -1 ) * positif(V_0CH -1)
                                                                        +  1 * positif (V_0CH+0)
                                                                  )
                                +  positif_ou_nul(V_0CF+V_0DJ+V_0CR -2) * 2 * V_0CH 
                                             );



NB0BTMIQAR  =  null(1 -VAR0BT ) * ( null (V_0CF+V_0DJ+V_0CR +0) * 2 * (V_0CH-2) * positif (V_0CH- 2)
                                   ); 

NB0BT2MIQAR =  null(1 -VAR0BT) * ( null (V_0CF+V_0DJ+V_0CR +0) * ( positif (V_0CH+0) + positif (V_0CH-1))
                                   );



NB0BTQAR   =   null(1 -VAR0BT)* ( null(V_0CF+V_0DJ+V_0CR -1)   * (  2 * (V_0CH -1 ) * positif(V_0CH -1)
                                                                        +  1 * positif (V_0CH+0)
                                                                        )
                                +  positif_ou_nul(V_0CF+V_0DJ+V_0CR -2) * 2 * V_0CH
                                 );

PLAQAR = arr(   PLAF_DEMIPART /2 * (NBMIQAR  + NB0BTMIQAR + NB0BTQAR  +  V_0CI )
              + PLAF_COMPPART /2 *  NB0BT2MIQAR 
            );        
  
regle 511370:
application : bareme , iliad ;


PLA = PLANT + PLACOMP ;

regle 511380:
application : bareme , iliad ;


IS011 = arr(DS011 * NBYV1);
IS021 = arr(DS021 * NBYV2);
IS012 = arr(DS012 * NBYV1);
IS022 = arr(DS022 * NBYV2);
IS013 = arr(DS013 * NBYV1);
IS023 = arr(DS023 * NBYV2);
IS511 = arr(DS511 * NBYV1);
IS521 = arr(DS521 * NBYV2);
IS512 = arr(DS512 * NBYV1);
IS522 = arr(DS522 * NBYV2);
IS513 = arr(DS513 * NBYV1);
IS523 = arr(DS523 * NBYV2);
IS014 = arr(DS014 * NBYV1);
IS024 = arr(DS024 * NBYV2);
IS015 = arr(DS015 * NBYV1);
IS515 = arr(DS515 * NBYV1);
IS025 = arr(DS025 * NBYV2);
IS525 = arr(DS525 * NBYV2);
IS016 = arr(DS016 * NBYV1);
IS026 = arr(DS026 * NBYV2);

regle 511390:
application : bareme , iliad ;

ABADON1 = arr(min(ID11 * (TX_RABDOM / 100)* max(0,V_EAD) ,PLAF_RABDOM))
     + arr(min(ID11 * (TX_RABGUY / 100) * max(0,V_EAG),PLAF_RABGUY))
            ;
ABADON4 = arr(min(ID14 * (TX_RABDOM / 100) * max(0,V_EAD),PLAF_RABDOM))
     + arr(min(ID14 * (TX_RABGUY / 100) * max(0,V_EAG),PLAF_RABGUY))
	    ;
ABADON6 = arr(min(ID16 * (TX_RABDOM / 100) * max(0,V_EAD),PLAF_RABDOM))
     + arr(min(ID16 * (TX_RABGUY / 100) * max(0,V_EAG),PLAF_RABGUY))
	    ;
IMETRO1 = arr(((IPQ01 * RI1/RB01 ) * (1-positif(IPMOND+INDTEFF)) + positif(IPMOND+INDTEFF) * (IPHQ2 * positif(IPHQ2))) * (REVMETRO / RG)) ;
IPRODOM1 = arr(((IPQ01 * RI1/RB01 ) * (1-positif(IPMOND+INDTEFF)) + positif(IPMOND+INDTEFF) * (IPHQ2 * positif(IPHQ2))) * (PRODOM / RG)) ;
IPROGUY1 = max(0,IPHQ2 - IMETRO1 - IPRODOM1) * positif(PROGUY);
IQUOAUT = arr(IPQ1001 * (max(0,TETONEQUO1 -((GLDOMAVEAJV*(1-INDTEFF)+TGLDOMAVEAJV*INDTEFF+GLDOMAVDAJV*(1-INDTEFF)+TGLDOMAVDAJV*INDTEFF
                                  +GLDOMAVDBJC*(1-INDTEFF)+TGLDOMAVDBJC*INDTEFF+GLDOMAVEBJC*(1-INDTEFF)+TGLDOMAVEBJC*INDTEFF)/DIVGL4)-TERPQ4RAJV - TERPQ4RBJC)/TETONEQUO1) 
                              * (RI1+REVQUOQHT)/(RB01+TONEQUO)) 
			      * positif(GLDOMAVEAJV+TGLDOMAVEAJV+GLDOMAVDAJV+TGLDOMAVDAJV+GLDOMAVDBJC+TGLDOMAVDBJC+GLDOMAVEBJC+TGLDOMAVEBJC+TERPQ4RAJV + TERPQ4RBJC);
IQUORAJ1 = arr(IPQ1001 * (TERPQ4RAJV + TERPQ4RBJC)/(TETONEQUO1) * (RI1+REVQUOQHT)/(RB01+TONEQUO)) * positif(GLDOMAVEAJV+TGLDOMAVEAJV+GLDOMAVDAJV+TGLDOMAVDAJV
                                                                                                    +GLDOMAVDBJC+TGLDOMAVDBJC+GLDOMAVEBJC+TGLDOMAVEBJC)
		+ IPQ1001 * (1-positif(GLDOMAVEAJV+TGLDOMAVEAJV+GLDOMAVDAJV+TGLDOMAVDAJV+GLDOMAVDBJC+TGLDOMAVDBJC+GLDOMAVEBJC+TGLDOMAVEBJC));
IQUODAJ1 = arr(((max(ID11 , IMI)*(1-INDTXMOY) + IMO * INDTXMOY) - arr((max(ID11 , IMI)*(1-INDTXMOY) + IMO * INDTXMOY) * (IMPFHQ1 / ID11)))
                                              *(arr(((GLDOMAVDAJV + GLDOMAVDBJC)*(1-INDTEFF)+(TGLDOMAVDAJV + TGLDOMAVDBJC)*INDTEFF)/DIVGL4)/TONEQUO1))
					                                                 * positif(GLDOMAVEAJV+TGLDOMAVEAJV+GLDOMAVEBJC+TGLDOMAVEBJC)
	+ max(0,IPQ1001 - IQUORAJ1) * (1-positif(GLDOMAVEAJV+TGLDOMAVEAJV+GLDOMAVEBJC+TGLDOMAVEBJC));
IQUOEAJ1 = max(0,arr(IPQ1001 * (RI1+REVQUOQHT)/(RB01+TONEQUO)) - IQUOAUT - IQUORAJ1 - IQUODAJ1);
ABADO1 = arr(min((IPRODOM1 + IQUODAJ1) * TX_RABDOM / 100,PLAF_RABDOM)) * positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PRODOM));
ABAGU1 = arr(min((IPROGUY1 + IQUOEAJ1) * TX_RABGUY / 100,PLAF_RABGUY)) * positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY));
ABATOT1 = ABADO1 + ABAGU1;
INETABADAJ1 = max(0,IPRODOM1 + IQUODAJ1 - ABADO1);
INETABAEAJ1 = max(0,IPROGUY1 + IQUOEAJ1 - ABAGU1);
ITOTDOM1 = IMETRO1 + IQUORAJ1 + INETABADAJ1 + INETABAEAJ1 + max(0,arr(IPQ1001 * (RI1+REVQUOQHT)/(RB01+TONEQUO))-IQUORAJ1-IQUODAJ1-IQUOEAJ1);
 
IMETRO4 = arr(ID14 * REVMETRO / RB01);
IPRODOM4 = arr(ID14 * PRODOM / RI1);
IPROGUY4 = arr(ID14 * PROGUY / RB01);
ABADO4 = arr(min((IPRODOM4 + ID14) * TX_RABDOM / 100,PLAF_RABDOM));
ABAGU4 = arr(min((IPROGUY4 + ID14) * TX_RABGUY / 100,PLAF_RABGUY));
ABATOT4 = ABADO4 + ABAGU4;
INETABADAJ4 = max(0,IPRODOM4 - ABADO4);
INETABAEAJ4 = max(0,IPROGUY4 - ABAGU4);
ISNETDAJ4 = arr(INETABADAJ4 * IPRODOM4 / IPRODOM4);
ISNETEAJ4 = max(0,INETABAEAJ4 - ISNETDAJ4);
ITOTDOM4 = IMETRO4 + ISNETDAJ4 + ISNETEAJ4;

IMETRO6 = arr(ID16 * REVMETRO / RB01);
IPRODOM6 = arr(ID16 * PRODOM / RI1);
IPROGUY6 = arr(ID16 * PROGUY / RB01);
ABADO6 = arr(min((IPRODOM6 + ID16) * TX_RABDOM / 100,PLAF_RABDOM));
ABAGU6 = arr(min((IPROGUY6 + ID16) * TX_RABGUY / 100,PLAF_RABGUY));
ABATOT6 = ABADO6 + ABAGU6;
INETABADAJ6 = max(0,IPRODOM6  - ABADO6);
INETABAEAJ6 = max(0,IPROGUY6  - ABAGU6);
ITOTDOM6 = IMETRO6 + INETABADAJ6+ INETABAEAJ6;


ADO1 = ABADON1 * positif(V_EAD+V_EAG) * (1-positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY)+positif(PRODOM)))
               +  ABATOT1 * (1-positif(V_EAD+V_EAG))*positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY)+positif(PRODOM));
ADO4 = ABADON4 * positif(V_EAD+V_EAG) * (1-positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY)+positif(PRODOM)))
               +  ABATOT4 * (1-positif(V_EAD+V_EAG))*positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY)+positif(PRODOM));
ADO6 = ABADON6 * positif(V_EAD+V_EAG) * (1-positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY)+positif(PRODOM)))
               +  ABATOT6 * (1-positif(V_EAD+V_EAG))*positif(positif(CODDAJ) + positif(CODEAJ) + positif(CODDBJ) + positif(CODEBJ)+positif(PROGUY)+positif(PRODOM));
ABADO = ABADON1 * V_EAD + ABADO1 ;
ABAGU = ABADON1 * V_EAG + ABAGU1 ;

