#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2023]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2023 
#au titre des revenus perçus en 2022. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
 #
 #                         REVENUS CATEGORIELS NETS
 #
 #
regle 811000:
application : iliad ;


TSBNV = TSHALLOV + ALLOV + COD1PM + COD1TP + COD1NX + COD1AF + COD1AG + COD1GB + COD1AA + COD1GF + COD1GG + COD1GHRET + COD1ADRET;
TSBNC = TSHALLOC + ALLOC + COD1QM + COD1UP + COD1OX + COD1BF + COD1BG + COD1HB + COD1BA + COD1HF + COD1HG + COD1HHRET + COD1BDRET;
TSBN1 = TSHALLO1 + ALLO1 + COD1CF + COD1CG + COD1IB + COD1CA + COD1IF + COD1IG + COD1IHRET + COD1CDRET;
TSBN2 = TSHALLO2 + ALLO2 + COD1DF + COD1DG + COD1JB + COD1DA + COD1JF + COD1JG + COD1JHRET + COD1DDRET;
TSBN3 = TSHALLO3 + ALLO3 + COD1EF + COD1EG + COD1EA + COD1KF + COD1KG + COD1KHRET + COD1EDRET;
TSBN4 = TSHALLO4 + ALLO4 + COD1FF + COD1FG + COD1FA + COD1LF + COD1LG + COD1LHRET + COD1FDRET;
TSHALLOP = TSHALLO1 + TSHALLO2 + TSHALLO3 + TSHALLO4 ;
ALLOP = ALLO1 + ALLO2 + ALLO3 + ALLO4 ;
REVACPAC = COD1IB + COD1JB ;
REVEMPAC = COD1CA + COD1DA + COD1EA + COD1FA ;
REVAAPAC = COD1IF + COD1JF + COD1KF + COD1LF ;
REVAGA = COD1IG + COD1JG + COD1KG + COD1LG ;
REVHSUP = COD1IHRET + COD1JHRET + COD1KHRET + COD1LHRET ;
PREXRET = COD1CDRET + COD1DDRET + COD1EDRET + COD1FDRET ;

TSBNP = TSHALLOP + ALLOP + COD1CF + COD1CG + COD1DF + COD1DG + COD1EF + COD1EG + COD1FF + COD1FG + REVACPAC + REVEMPAC + REVAAPAC + REVAGA + REVHSUP + PREXRET ;

2TSNV = CARTSV + REMPLAV+CODRAF+CODRAG;
2TSNC = CARTSC + REMPLAC+CODRBF+CODRBG;
2TSN1 = CARTSP1 + REMPLAP1+CODRCF+CODRCG;
2TSN2 = CARTSP2 + REMPLAP2+CODRDF+CODRDG;
2TSN3 = CARTSP3 + REMPLAP3+CODREF+CODRGG;
2TSN4 = CARTSP4 + REMPLAP4+CODRFF+CODRFG;
EXTSV = TSBNV + BPCOSAV + GLDGRATV + 2TSNV;
EXTSC = TSBNC + BPCOSAC + GLDGRATC + 2TSNC;
GATASAV = BPCOSAV + GLDGRATV ;
GATASAC = BPCOSAC + GLDGRATC ;

EXTS1 = TSBN1 + 2TSN1;
EXTS2 = TSBN2 + 2TSN2;
EXTS3 = TSBN3 + 2TSN3;
EXTS4 = TSBN4 + 2TSN4;
TSBV = EXTSV + CODDAJ + CODEAJ ;
TSBC = EXTSC + CODDBJ + CODEBJ ;
TSB1 = EXTS1;
TSB2 = EXTS2;
TSB3 = EXTS3;
TSB4 = EXTS4;
PASTSV = positif(TSHALLOV + ALLOV + FRNV + CARTSV + REMPLAV) + BIDONUNDEF * (1 - positif(TSHALLOV + ALLOV + FRNV + CARTSV + REMPLAV)) ;

PASTSC = positif(TSHALLOC + ALLOC + FRNC + CARTSC + REMPLAC) + BIDONUNDEF * (1 - positif(TSHALLOC + ALLOC + FRNC + CARTSC + REMPLAC)) ;

TSBP = somme(i=1..4:TSBi) ;
PRBV = PRBRV + PALIV + PENINV + COD1AL + COD1AM ;
PRBC = PRBRC + PALIC + PENINC + COD1BL + COD1BM ;
PRB1 = PRBR1 + PALI1 + PENIN1 + COD1CL + COD1CM ;
PRB2 = PRBR2 + PALI2 + PENIN2 + COD1DL + COD1DM ;
PRB3 = PRBR3 + PALI3 + PENIN3 + COD1EL + COD1EM ;
PRB4 = PRBR4 + PALI4 + PENIN4 + COD1FL + COD1FM ;

2PRBV = CARPEV + PENSALV + CODRAZ + CODRAL + CODRAM ;
2PRBC = CARPEC + PENSALC + CODRBZ + CODRBL + CODRBM ;
2PRB1 = CARPEP1 + PENSALP1 + CODRCZ + CODRCL + CODRCM ;
2PRB2 = CARPEP2 + PENSALP2 + CODRDZ + CODRDL + CODRDM ;
2PRB3 = CARPEP3 + PENSALP3 + CODREZ + CODREL + CODREM ;
2PRB4 = CARPEP4 + PENSALP4 + CODRFZ + CODRFL + CODRFM ;

EXPRV = PRBV + 2PRBV + PEBFV ;
EXPRC = PRBC + 2PRBC + PEBFC ;
EXPR1 = PRB1 + 2PRB1 + PEBF1 ;
EXPR2 = PRB2 + 2PRB2 + PEBF2 ;
EXPR3 = PRB3 + 2PRB3 + PEBF3 ;
EXPR4 = PRB4 + 2PRB4 + PEBF4 ;

PASPRV = positif(PRBRV + PENINV + CARPEV + CODRAZ) + BIDONUNDEF * (1 - positif(PRBRV + PENINV + CARPEV + CODRAZ)) ;

PASPRC = positif(PRBRC + PENINC + CARPEC + CODRBZ) + BIDONUNDEF * (1 - positif(PRBRC + PENINC + CARPEC + CODRBZ)) ;

PASPRAOM = positif(COD1AM + PALIV + PENSALV) + BIDONUNDEF * (1 - positif(COD1AM + PALIV + PENSALV)) ;

PASPRBOM = positif(COD1BM + PALIC + PENSALC) + BIDONUNDEF * (1 - positif(COD1BM + PALIC + PENSALC)) ;

EXSPBV = EXTSV + EXPRV ;
EXSPBC = EXTSC + EXPRC ;
EXSPB1 = EXTS1 + EXPR1 ;
EXSPB2 = EXTS2 + EXPR2 ;
EXSPB3 = EXTS3 + EXPR3 ;
EXSPB4 = EXTS4 + EXPR4 ;

regle 811010:
application : iliad ;

TPS10V = arr (TSBV * TX_DEDFORFTS /100);
TPS10C = arr (TSBC * TX_DEDFORFTS /100);
TPS101 = arr (TSB1 * TX_DEDFORFTS /100);
TPS102 = arr (TSB2 * TX_DEDFORFTS /100);
TPS103 = arr (TSB3 * TX_DEDFORFTS /100);
TPS104 = arr (TSB4 * TX_DEDFORFTS /100);
PTPS10V = arr (PERPSALV * TX_DEDFORFTS /100);
PTPS10C = arr (PERPSALC * TX_DEDFORFTS /100);
PTPS10P = arr (PERPSALP * TX_DEDFORFTS /100);
DFNV =  min( PLAF_DEDFORFTS , TPS10V ) ;
DFNC =  min( PLAF_DEDFORFTS , TPS10C ) ;
DFN1 =  min( PLAF_DEDFORFTS , TPS101 ) ;
DFN2 =  min( PLAF_DEDFORFTS , TPS102 ) ;
DFN3 =  min( PLAF_DEDFORFTS , TPS103 ) ;
DFN4 =  min( PLAF_DEDFORFTS , TPS104 ) ;

PDFNV =  min( PLAF_DEDFORFTS , PTPS10V ) ;
PDFNC =  min( PLAF_DEDFORFTS , PTPS10C ) ;
PDFNP =  min( PLAF_DEDFORFTS , PTPS10P ) ;

regle 811020:
application : iliad ;

DEDMINV = MIN_DEDSFORFTS;
DEDMINC = MIN_DEDSFORFTS;
DEDMIN1 = MIN_DEDSFORFTS;
DEDMIN2 = MIN_DEDSFORFTS;
DEDMIN3 = MIN_DEDSFORFTS;
DEDMIN4 = MIN_DEDSFORFTS;
PDEDMINV = DEDMINV ;
PDEDMINC = DEDMINC ;
PDEDMINP = MIN_DEDSFORFTS ;

10MINSV = max( min(TSBV,DEDMINV) , DFNV ) ;
10MINSC = max( min(TSBC,DEDMINC) , DFNC ) ;
10MINS1 = max( min(TSB1,DEDMIN1) , DFN1 ) ;
10MINS2 = max( min(TSB2,DEDMIN2) , DFN2 ) ;
10MINS3 = max( min(TSB3,DEDMIN3) , DFN3 ) ;
10MINS4 = max( min(TSB4,DEDMIN4) , DFN4 ) ;
P10MINSV = max( min(PERPSALV,PDEDMINV) , PDFNV ) ;
P10MINSC = max( min(PERPSALC,PDEDMINC) , PDFNC ) ;
P10MINSP = max( min(PERPSALP,PDEDMINP) , PDFNP ) ;
IND_10MIN_0V = positif(DEDMINV - DFNV ) * positif (TSBV ) ;
IND_10MIN_0C = positif(DEDMINC - DFNC ) * positif (TSBC ) ;
IND_10MIN_01 = positif(DEDMIN1 - DFN1 ) * positif (TSB1 ) ;
IND_10MIN_02 = positif(DEDMIN2 - DFN2 ) * positif (TSB2 ) ;
IND_10MIN_03 = positif(DEDMIN3 - DFN3 ) * positif (TSB3 ) ;
IND_10MIN_04 = positif(DEDMIN4 - DFN4 ) * positif (TSB4 ) ;
PIND_10MIN_0V = positif(PDEDMINV - PDFNV ) * positif (PERPSALV ) ;
PIND_10MIN_0C = positif(PDEDMINC - PDFNC ) * positif (PERPSALC ) ;
PIND_10MIN_0P = positif(PDEDMINP - PDFNP ) * positif (PERPSALP ) ;

IND_MINV = 1 - positif( IND_10MIN_0V ) ;
IND_MINC = 1 - positif( IND_10MIN_0C ) ;
IND_MIN1 = 1 - positif( IND_10MIN_01 ) ;
IND_MIN2 = 1 - positif( IND_10MIN_02 ) ;
IND_MIN3 = 1 - positif( IND_10MIN_03 ) ;
IND_MIN4 = 1 - positif( IND_10MIN_04 ) ;

PIND_MINV = 1 - positif( PIND_10MIN_0V ) ;
PIND_MINC = 1 - positif( PIND_10MIN_0C ) ;
PIND_MINP = 1 - positif( PIND_10MIN_0P ) ;

regle 811030:
application : iliad ;

FRNP = FRN1 + FRN2 + FRN3 + FRN4;
10MINSP = 10MINS1 + 10MINS2 + 10MINS3 + 10MINS4;
FRDV = FRNV * positif (FRNV - 10MINSV);
FRDC = FRNC * positif (FRNC - 10MINSC);
FRD1 = FRN1 * positif (FRN1 - 10MINS1);
FRD2 = FRN2 * positif (FRN2 - 10MINS2);
FRD3 = FRN3 * positif (FRN3 - 10MINS3);
FRD4 = FRN4 * positif (FRN4 - 10MINS4);
FRDAV = FRNV * positif (FRNV - 10MINSV);
FRDAC = FRNC * positif (FRNC - 10MINSC);
FRDA1 = FRN1 * positif (FRN1 - 10MINS1);
FRDA2 = FRN2 * positif (FRN2 - 10MINS2);
FRDA3 = FRN3 * positif (FRN3 - 10MINS3);
FRDA4 = FRN4 * positif (FRN4 - 10MINS4);
PFRDV = (FRDV+COD1AE) * positif ((FRDV+COD1AE) - P10MINSV);
PFRDC = (FRDC+COD1BE) * positif ((FRDC+COD1BE) - P10MINSC);
PFRDP = (FRD1+COD1CE) * positif ((FRD1+COD1CE) - P10MINSP);
IND_10V = positif_ou_nul( 10MINSV - FRDV) ;
IND_10C = positif_ou_nul( 10MINSC - FRDC) ;
IND_101 = positif_ou_nul( 10MINS1 - FRD1) ;
IND_102 = positif_ou_nul( 10MINS2 - FRD2) ;
IND_103 = positif_ou_nul( 10MINS3 - FRD3) ;
IND_104 = positif_ou_nul( 10MINS4 - FRD4) ;
IND_10P = positif(positif(IND_101) * positif(IND_102) * positif(IND_103) * positif(IND_104)) ;
PIND_10V = positif_ou_nul( P10MINSV - (FRDV+COD1AE)) ;
PIND_10C = positif_ou_nul( P10MINSC - (FRDC+COD1BE)) ;
PIND_10P = positif_ou_nul( P10MINSP - (FRD1+COD1CE)) ;
FPTV = max(FRDV, 10MINSV);
FPTC = max(FRDC, 10MINSC);
FPT1 = max(FRD1, 10MINS1);
FPT2 = max(FRD2, 10MINS2);
FPT3 = max(FRD3, 10MINS3);
FPT4 = max(FRD4, 10MINS4);
INDEFTSV = positif_ou_nul(TSBV - FRDV);
INDEFTSC = positif_ou_nul(TSBC - FRDC);
INDEFTS1 = positif_ou_nul(TSB1 - FRD1);
INDEFTS2 = positif_ou_nul(TSB2 - FRD2);
INDEFTS3 = positif_ou_nul(TSB3 - FRD3);
INDEFTS4 = positif_ou_nul(TSB4 - FRD4);
PFPTV = max(PFRDV, P10MINSV);
PFPTC = max(PFRDC, P10MINSC);
PFPTP = max(PFRDP, P10MINSP);
D10MV = IND_MINV *DFNV + (1 - IND_MINV)* 10MINSV ; 
D10MC = IND_MINC *DFNC + (1 - IND_MINC)* 10MINSC ; 
D10M1 = IND_MIN1 *DFN1 + (1 - IND_MIN1)* 10MINS1 ; 
D10M2 = IND_MIN2 *DFN2 + (1 - IND_MIN2)* 10MINS2 ; 
D10M3 = IND_MIN3 *DFN3 + (1 - IND_MIN3)* 10MINS3 ; 
D10M4 = IND_MIN4 *DFN4 + (1 - IND_MIN4)* 10MINS4 ; 
PD10MV = PIND_MINV *PDFNV 
        + (1 - PIND_MINV)* P10MINSV ; 
PD10MC = PIND_MINC *PDFNC 
        + (1 - PIND_MINC)* P10MINSC ; 
PD10MP = PIND_MINP *PDFNP 
        + (1 - PIND_MINP)* P10MINSP ; 
REP10V =  IND_10V * D10MV + (1-IND_10V) * FPTV ;
REP10C =  IND_10C * D10MC + (1-IND_10C) * FPTC ;
REP101 =  IND_101 * D10M1 + (1-IND_101) * FPT1 ;
REP102 =  IND_102 * D10M2 + (1-IND_102) * FPT2 ;
REP103 =  IND_103 * D10M3 + (1-IND_103) * FPT3 ;
REP104 =  IND_104 * D10M4 + (1-IND_104) * FPT4 ;
PREP10V =  PIND_10V * PD10MV + (1-PIND_10V) * PFPTV ;
PREP10C =  PIND_10C * PD10MC + (1-PIND_10C) * PFPTC ;
PREP10P =  PIND_10P * PD10MP + (1-PIND_10P) * PFPTP ;

regle 811040:
application : iliad ;

VARTMP2=0;
VARTMP1=0;
VARTMP2=TSHALLOV+COD1PM+COD1TP+COD1NX+COD1AF+COD1AG+ALLOV+BPCOSAV+GLDGRATV+COD1GB+COD1AA+COD1GF+CODRAF+CODRAG+CARTSV+REMPLAV+CODDAJ+CODEAJ+COD1GG+COD1GHRET+COD1ADRET;
ABTS1AJ=arr(REP10V*(TSHALLOV)/TSBV);
VARTMP2=VARTMP2 - TSHALLOV-COD1PM;
VARTMP1=ABTS1AJ;
ABTS1PM= positif(VARTMP2) * arr(REP10V*(COD1PM)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1TP;
VARTMP1=VARTMP1+ABTS1PM;
ABTS1TP= positif(VARTMP2) * arr(REP10V*(COD1TP)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1NX;
VARTMP1=VARTMP1+ABTS1TP;
ABTS1NX= positif(VARTMP2) * arr(REP10V*(COD1NX)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1AF;
VARTMP1=VARTMP1+ABTS1NX;
ABTS1AF= positif(VARTMP2) * arr(REP10V*(COD1AF)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1AG;
VARTMP1=VARTMP1+ABTS1AF;
ABTS1AG= positif(VARTMP2) * arr(REP10V*(COD1AG)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - ALLOV;
VARTMP1=VARTMP1+ABTS1AG;
ABTS1AP= positif(VARTMP2) * arr(REP10V*(ALLOV)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - BPCOSAV;
VARTMP1=VARTMP1+ABTS1AP;
ABTS3VJ= positif(VARTMP2) * arr(REP10V*(BPCOSAV)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - GLDGRATV;
VARTMP1=VARTMP1+ABTS3VJ;
ABTS1TT= positif(VARTMP2) *  arr(REP10V*(GLDGRATV)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1GB;
VARTMP1=VARTMP1+ABTS1TT;
ABTS1GB= positif(VARTMP2) *  arr(REP10V*(COD1GB)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1AA;
VARTMP1=VARTMP1+ABTS1GB;
ABTS1AA= positif(VARTMP2) *  arr(REP10V*(COD1AA)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1GF;
VARTMP1=VARTMP1+ABTS1AA;
ABTS1GF= positif(VARTMP2) *  arr(REP10V*(COD1GF)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1GG;
VARTMP1=VARTMP1+ABTS1GF;
ABTS1GG= positif(VARTMP2) *  arr(REP10V*(COD1GG)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1GHRET;
VARTMP1=VARTMP1+ABTS1GG;
ABTS1GH= positif(VARTMP2) *  arr(REP10V*(COD1GHRET)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1ADRET;
VARTMP1=VARTMP1+ABTS1GH;
ABTS1AD= positif(VARTMP2) *  arr(REP10V*(COD1ADRET)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CARTSV;
VARTMP1=VARTMP1+ABTS1AD;
ABTSRAJ= positif(VARTMP2) *  arr(REP10V*(CARTSV)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - REMPLAV;
VARTMP1=VARTMP1+ABTSRAJ;
ABTSRAP= positif(VARTMP2) *  arr(REP10V*(REMPLAV)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CODRAF;
VARTMP1=VARTMP1+ABTSRAP;
ABTSRAF= positif(VARTMP2) *  arr(REP10V*(CODRAF)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CODRAG;
VARTMP1=VARTMP1+ABTSRAF;
ABTSRAG= positif(VARTMP2) *  arr(REP10V*(CODRAG)/TSBV)
                 + (1-positif(VARTMP2)) * max(0,REP10V-VARTMP1)
                          ;
ABTSV = VARTMP1+ABTSRAG;
ABDOMDAJ = positif(CODEAJ) * arr(REP10V*CODDAJ/TSBV)
	   + (1-positif(CODEAJ)) * max(0,REP10V-ABTSV)+0;
ABDOMEAJ = max(0,REP10V-ABTSV-ABDOMDAJ)+0;
VARTMP2=0;
VARTMP1=0;
VARTMP2=TSHALLOC+COD1QM+COD1UP+COD1OX+COD1BF+COD1BG+ALLOC+BPCOSAC+GLDGRATC+CARTSC+REMPLAC+CODDBJ+CODEBJ+COD1HB+COD1BA+COD1HF+CODRBF+CODRBG+COD1HG+COD1HHRET+COD1BDRET;
ABTS1BJ=arr(REP10C*(TSHALLOC)/TSBC);
VARTMP2=VARTMP2 - TSHALLOC-COD1QM;
VARTMP1=ABTS1BJ;
ABTS1QM= positif(VARTMP2) * arr(REP10C*(COD1QM)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1UP;
VARTMP1=VARTMP1+ABTS1QM;
ABTS1UP= positif(VARTMP2) * arr(REP10C*(COD1UP)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1OX;
VARTMP1=VARTMP1+ABTS1UP;
ABTS1OX= positif(VARTMP2) * arr(REP10C*(COD1OX)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1BF;
VARTMP1=VARTMP1+ABTS1OX;
ABTS1BF= positif(VARTMP2) * arr(REP10C*(COD1BF)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1BG;
VARTMP1=VARTMP1+ABTS1BF;
ABTS1BG= positif(VARTMP2) * arr(REP10C*(COD1BG)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - ALLOC;
VARTMP1=VARTMP1+ABTS1BG;
ABTS1BP= positif(VARTMP2) * arr(REP10C*(ALLOC)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - BPCOSAC;
VARTMP1=VARTMP1+ABTS1BP;
ABTS3VK= positif(VARTMP2) * arr(REP10C*(BPCOSAC)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - GLDGRATC;
VARTMP1=VARTMP1+ABTS3VK;
ABTS1UT= positif(VARTMP2) * arr(REP10C*(GLDGRATC)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1HB;
VARTMP1=VARTMP1+ABTS1UT;
ABTS1HB= positif(VARTMP2) * arr(REP10C*(COD1HB)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1BA;
VARTMP1=VARTMP1+ABTS1HB;
ABTS1BA= positif(VARTMP2) * arr(REP10C*(COD1BA)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1HF;
VARTMP1=VARTMP1+ABTS1BA;
ABTS1HF= positif(VARTMP2) * arr(REP10C*(COD1HF)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1HG;
VARTMP1=VARTMP1+ABTS1HF;
ABTS1HG= positif(VARTMP2) * arr(REP10C*(COD1HG)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1HHRET;
VARTMP1=VARTMP1+ABTS1HG;
ABTS1HH= positif(VARTMP2) *  arr(REP10C*(COD1HHRET)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1BDRET;
VARTMP1=VARTMP1+ABTS1HH;
ABTS1BD= positif(VARTMP2) *  arr(REP10C*(COD1BDRET)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CARTSC;
VARTMP1=VARTMP1+ABTS1BD;
ABTSRBJ= positif(VARTMP2) * arr(REP10C*(CARTSC)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - REMPLAC;
VARTMP1=VARTMP1+ABTSRBJ;
ABTSRBP= positif(VARTMP2) * arr(REP10C*(REMPLAC)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CODRBF;
VARTMP1=VARTMP1+ABTSRBP;
ABTSRBF= positif(VARTMP2) * arr(REP10C*(CODRBF)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CODRBG;
VARTMP1=VARTMP1+ABTSRBF;
ABTSRBG= positif(VARTMP2) * arr(REP10C*(CODRBG)/TSBC)
                 + (1-positif(VARTMP2)) * max(0,REP10C-VARTMP1)
                          ;
ABTSC=VARTMP1+ABTSRBG;
ABDOMDBJ = positif(CODEBJ) * arr(REP10C*CODDBJ/TSBC)
	   + (1-positif(CODEBJ)) * max(0,REP10C-ABTSC)+0;
ABDOMEBJ = max(0,REP10C-ABTSC-ABDOMDBJ)+0;
VARTMP2=0;
VARTMP1=0;
VARTMP2=TSHALLO1+COD1CF+COD1CG+ALLO1+CARTSP1+REMPLAP1+COD1IB+COD1CA+COD1IF+CODRCF+CODRCG+COD1IG+COD1IHRET+COD1CDRET;
ABTS1CJ=arr(REP101*(TSHALLO1)/TSB1);
VARTMP2=VARTMP2 - TSHALLO1-COD1CF;
VARTMP1=ABTS1CJ;
ABTS1CF= positif(VARTMP2) * arr(REP101*(COD1CF)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - COD1CG;
VARTMP1=VARTMP1+ABTS1CF;
ABTS1CG= positif(VARTMP2) * arr(REP101*(COD1CG)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - ALLO1;
VARTMP1=VARTMP1+ABTS1CG;
ABTS1CP= positif(VARTMP2) * arr(REP101*(ALLO1)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - COD1IB;
VARTMP1=VARTMP1+ABTS1CP;
ABTS1IB= positif(VARTMP2) * arr(REP101*(COD1IB)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - COD1CA;
VARTMP1=VARTMP1+ABTS1IB;
ABTS1CA= positif(VARTMP2) * arr(REP101*(COD1CA)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - COD1IF;
VARTMP1=VARTMP1+ABTS1CA;
ABTS1IF= positif(VARTMP2) * arr(REP101*(COD1IF)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - COD1IG;
VARTMP1=VARTMP1+ABTS1IF;
ABTS1IG= positif(VARTMP2) * arr(REP101*(COD1IG)/TSB1)
                + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - COD1IHRET;
VARTMP1=VARTMP1+ABTS1IG;
ABTS1IH= positif(VARTMP2) *  arr(REP101*(COD1IHRET)/TSB1)
                 + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1CDRET;
VARTMP1=VARTMP1+ABTS1IH;
ABTS1CD= positif(VARTMP2) *  arr(REP101*(COD1CDRET)/TSB1)
                 + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CARTSP1;
VARTMP1=VARTMP1+ABTS1CD;
ABTSRCJ= positif(VARTMP2) * arr(REP101*(CARTSP1)/TSB1)
                 + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP2=VARTMP2 - REMPLAP1;
VARTMP1=VARTMP1+ABTSRCJ;
ABTSRCP= positif(VARTMP2) * arr(REP101*(REMPLAP1)/TSB1)
                 + (1-positif(VARTMP2)) * max(0,REP101-VARTMP1);
VARTMP1=VARTMP1+ABTSRCP;
ABTSRCF= positif(CODRCG) * arr(REP101*(CODRCF)/TSB1)
                 + (1-positif(CODRCG)) * max(0,REP101-VARTMP1);
VARTMP1=VARTMP1+ABTSRCF;
ABTSRCG=max(0,REP101 - VARTMP1)+0;
VARTMP2=0;
VARTMP1=0;
VARTMP2=TSHALLO2+COD1DF+COD1DG+ALLO2+CARTSP2+REMPLAP2+COD1JB+COD1DA+COD1JF+CODRDF+CODRDG+COD1JG+COD1JHRET+COD1DDRET;
ABTS1DJ=arr(REP102*(TSHALLO2)/TSB2);
VARTMP2=VARTMP2 - TSHALLO2-COD1DF;
VARTMP1=ABTS1DJ;
ABTS1DF= positif(VARTMP2) * arr(REP102*(COD1DF)/TSB2)
                + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - COD1DG;
VARTMP1=VARTMP1+ABTS1DF;
ABTS1DG= positif(VARTMP2) * arr(REP102*(COD1DG)/TSB2)
                + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - ALLO2;
VARTMP1=VARTMP1+ABTS1DG;
ABTS1DP= positif(VARTMP2) * arr(REP102*(ALLO2)/TSB2)
                + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - COD1JB;
VARTMP1=VARTMP1+ABTS1DP;
ABTS1JB= positif(VARTMP2) * arr(REP102*(COD1JB)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - COD1DA;
VARTMP1=VARTMP1+ABTS1JB;
ABTS1DA= positif(VARTMP2) * arr(REP102*(COD1DA)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - COD1JF;
VARTMP1=VARTMP1+ABTS1DA;
ABTS1JF= positif(VARTMP2) * arr(REP102*(COD1JF)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - COD1JG;
VARTMP1=VARTMP1+ABTS1JF;
ABTS1JG= positif(VARTMP2) * arr(REP102*(COD1JG)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - COD1JHRET;
VARTMP1=VARTMP1+ABTS1JG;
ABTS1JH= positif(VARTMP2) *  arr(REP102*(COD1JHRET)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1DDRET;
VARTMP1=VARTMP1+ABTS1JH;
ABTS1DD= positif(VARTMP2) *  arr(REP102*(COD1DDRET)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CARTSP2;
VARTMP1=VARTMP1+ABTS1DD;
ABTSRDJ= positif(VARTMP2) * arr(REP102*(CARTSP2)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP2=VARTMP2 - REMPLAP2;
VARTMP1=VARTMP1+ABTSRDJ;
ABTSRDP= positif(VARTMP2) * arr(REP102*(REMPLAP2)/TSB2)
                 + (1-positif(VARTMP2)) * max(0,REP102-VARTMP1);
VARTMP1=VARTMP1+ABTSRDP;
ABTSRDF= positif(CODRDG) * arr(REP102*(CODRDF)/TSB2)
                 + (1-positif(CODRDG)) * max(0,REP102-VARTMP1);
VARTMP1=VARTMP1+ABTSRDF;
ABTSRDG=max(0,REP102 - VARTMP1)+0;
VARTMP2=0;
VARTMP1=0;
VARTMP2 = TSHALLO3 + COD1EF + COD1EG + ALLO3 + CARTSP3 + REMPLAP3 + COD1EA + COD1KF + CODREF + CODRGG +COD1KG+COD1KHRET+COD1EDRET;
ABTS1EJ=arr(REP103*(TSHALLO3)/TSB3);
VARTMP2=VARTMP2 - TSHALLO3-COD1EF;
VARTMP1=ABTS1EJ;
ABTS1EF= positif(VARTMP2) * arr(REP103*(COD1EF)/TSB3)
                + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP2=VARTMP2 - COD1EG;
VARTMP1=VARTMP1+ABTS1EF;
ABTS1EG= positif(VARTMP2) * arr(REP103*(COD1EG)/TSB3)
                + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP2=VARTMP2 - ALLO3;
VARTMP1=VARTMP1+ABTS1EG;
ABTS1EP= positif(VARTMP2) * arr(REP103*(ALLO3)/TSB3)
                + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP1=VARTMP1+ABTS1EP;
VARTMP2=VARTMP2 - COD1EA;
ABTS1EA= positif(VARTMP2) * arr(REP103*(COD1EA)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP2=VARTMP2 - COD1KF;
VARTMP1=VARTMP1+ABTS1EA;
ABTS1KF= positif(VARTMP2) * arr(REP103*(COD1KF)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP2=VARTMP2 - COD1KG;
VARTMP1=VARTMP1+ABTS1KF;
ABTS1KG= positif(VARTMP2) * arr(REP103*(COD1KG)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP2=VARTMP2 - COD1KHRET;
VARTMP1=VARTMP1+ABTS1KG;
ABTS1KH= positif(VARTMP2) *  arr(REP103*(COD1KHRET)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1EDRET;
VARTMP1=VARTMP1+ABTS1KH;
ABTS1ED= positif(VARTMP2) *  arr(REP103*(COD1EDRET)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CARTSP3;
VARTMP1=VARTMP1+ABTS1ED;
ABTSREJ= positif(VARTMP2) * arr(REP103*(CARTSP3)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP2=VARTMP2 - REMPLAP3;
VARTMP1=VARTMP1+ABTSREJ;
ABTSREP= positif(VARTMP2) * arr(REP103*(REMPLAP3)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP103-VARTMP1);
VARTMP1=VARTMP1+ABTSREP;
ABTSREF= positif(CODRGG) * arr(REP103*(CODREF)/TSB3)
                 + (1-positif(CODRGG)) * max(0,REP103-VARTMP1);
VARTMP1=VARTMP1+ABTSREF;
ABTSRGG=max(0,REP103 - VARTMP1) +0;
VARTMP2=0;
VARTMP1=0;
VARTMP2 = TSHALLO4 + COD1FF + COD1FG + ALLO4 + CARTSP4 + REMPLAP4 + COD1FA + COD1LF + CODRFF + CODRFG +COD1LG+COD1LHRET+COD1FDRET;
ABTS1FJ=arr(REP104*(TSHALLO4)/TSB4);
VARTMP2=VARTMP2 - TSHALLO4-COD1FF;
VARTMP1=ABTS1FJ;
ABTS1FF= positif(VARTMP2) * arr(REP104*(COD1FF)/TSB4)
                + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - COD1FG;
VARTMP1=VARTMP1+ABTS1FF;
ABTS1FG= positif(VARTMP2) * arr(REP104*(COD1FG)/TSB4)
                + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - ALLO4;
VARTMP1=VARTMP1+ABTS1FG;
ABTS1FP= positif(VARTMP2) * arr(REP104*(ALLO4)/TSB4)
                + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - COD1FA;
VARTMP1=VARTMP1+ABTS1FP;
ABTS1FA= positif(VARTMP2) * arr(REP104*(COD1FA)/TSB4)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - COD1LF;
VARTMP1=VARTMP1+ABTS1FA;
ABTS1LF= positif(VARTMP2) * arr(REP104*(COD1LF)/TSB4)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - COD1LG;
VARTMP1=VARTMP1+ABTS1LF;
ABTS1LG= positif(VARTMP2) * arr(REP103*(COD1LG)/TSB3)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - COD1LHRET;
VARTMP1=VARTMP1+ABTS1LG;
ABTS1LH= positif(VARTMP2) *  arr(REP104*(COD1LHRET)/TSB4)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1)
                          ;
VARTMP2=VARTMP2 - COD1FDRET;
VARTMP1=VARTMP1+ABTS1LH;
ABTS1FD= positif(VARTMP2) *  arr(REP104*(COD1FDRET)/TSB4)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1)
                          ;
VARTMP2=VARTMP2 - CARTSP4;
VARTMP1=VARTMP1+ABTS1FD;
ABTSRFJ= positif(VARTMP2) * arr(REP104*(CARTSP4)/TSB4)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP2=VARTMP2 - REMPLAP4;
VARTMP1=VARTMP1+ABTSRFJ;
ABTSRFP= positif(VARTMP2) * arr(REP104*(REMPLAP4)/TSB4)
                 + (1-positif(VARTMP2)) * max(0,REP104-VARTMP1);
VARTMP1=VARTMP1+ABTSRFP;
ABTSRFF= positif(CODRFG) * arr(REP104*(CODRFF)/TSB4)
                 + (1-positif(CODRFG)) * max(0,REP104-VARTMP1);
VARTMP1=VARTMP1+ABTSRFF;
ABTSRFG=max(0,REP104 - VARTMP1)+0;

VARTMP1=0;
VARTMP2=0;
regle 811050:
application : iliad ;


ABGLTV = somme (x=1..3: ABGLxV) + ABDOMDAJ + ABDOMEAJ ;
ABGLTC = somme (x=1..3: ABGLxC) + ABDOMDBJ + ABDOMEBJ ;

regle 811060:
application : iliad ;

TSN1AJ = TSHALLOV - ABTS1AJ ;
TSN1PM = COD1PM - ABTS1PM ;
TSN1TP = COD1TP - ABTS1TP ;
TSN1NX = COD1NX - ABTS1NX ;
TSN1AF = COD1AF - ABTS1AF ;
TSN1AG = COD1AG - ABTS1AG ;
TSN1AP = ALLOV - ABTS1AP ;
TSN3VJ = BPCOSAV - ABTS3VJ ;
TSN1TT = GLDGRATV - ABTS1TT ;
TSNRAJ = (CARTSV - ABTSRAJ) ;
TSNRAP = (REMPLAV - ABTSRAP) ;
TSNDAJ = (CODDAJ - ABDOMDAJ) ;
TSNEAJ = (CODEAJ - ABDOMEAJ) ;
TSN1GB = (COD1GB - ABTS1GB) ;
TSN1AA = (COD1AA - ABTS1AA) ;
TSN1GF = (COD1GF - ABTS1GF) ;
TSN1GG = (COD1GG - ABTS1GG) ;
TSN1GH = (COD1GHRET - ABTS1GH) ;
TSN1AD = (COD1ADRET - ABTS1AD) ;
TSNRAF = (CODRAF - ABTSRAF) ;
TSNRAG = (CODRAG - ABTSRAG) ;
TSN1BJ = TSHALLOC - ABTS1BJ ;
TSN1QM = COD1QM - ABTS1QM ;
TSN1UP = COD1UP - ABTS1UP ;
TSN1OX = COD1OX - ABTS1OX ;
TSN1BF = COD1BF - ABTS1BF ;
TSN1BG = COD1BG - ABTS1BG ;
TSN1BP = ALLOC - ABTS1BP ;
TSN3VK = BPCOSAC - ABTS3VK ;
TSN1UT = GLDGRATC - ABTS1UT ;
TSNRBJ = (CARTSC - ABTSRBJ) ;
TSNRBP = (REMPLAC - ABTSRBP) ;
TSNDBJ = (CODDBJ - ABDOMDBJ) ;
TSNEBJ = (CODEBJ - ABDOMEBJ) ;
TSN1HB = (COD1HB - ABTS1HB) ;
TSN1BA = (COD1BA - ABTS1BA) ;
TSN1HF = (COD1HF - ABTS1HF) ;
TSN1HG = (COD1HG - ABTS1HG) ;
TSN1HH = (COD1HHRET - ABTS1HH) ;
TSN1BD = (COD1BDRET - ABTS1BD) ;
TSNRBF = (CODRBF - ABTSRBF) ;
TSNRBG = (CODRBG - ABTSRBG) ;
TSN1CJ = TSHALLO1 - ABTS1CJ ;
TSN1CF = COD1CF - ABTS1CF ;
TSN1CG = COD1CG - ABTS1CG ;
TSN1CP = ALLO1 - ABTS1CP ;
TSNRCJ = (CARTSP1 - ABTSRCJ) ;
TSNRCP = (REMPLAP1 - ABTSRCP) ;
TSN1IB = (COD1IB - ABTS1IB) ;
TSN1CA = (COD1CA - ABTS1CA) ;
TSN1IF = (COD1IF - ABTS1IF) ;
TSN1IG = (COD1IG - ABTS1IG) ;
TSN1IH = (COD1IHRET - ABTS1IH) ;
TSN1CD = (COD1CDRET - ABTS1CD) ;
TSNRCF = (CODRCF - ABTSRCF) ;
TSNRCG = (CODRCG - ABTSRCG) ;
TSN1DJ = TSHALLO2 - ABTS1DJ ;
TSN1DF = COD1DF - ABTS1DF ;
TSN1DG = COD1DG - ABTS1DG ;
TSN1DP = ALLO2 - ABTS1DP ;
TSNRDJ = (CARTSP2 - ABTSRDJ) ;
TSNRDP = (REMPLAP2 - ABTSRDP) ;
TSN1JB = (COD1JB - ABTS1JB) ;
TSN1DA = (COD1DA - ABTS1DA) ;
TSN1JF = (COD1JF - ABTS1JF) ;
TSN1JG = (COD1JG - ABTS1JG) ;
TSN1JH = (COD1JHRET - ABTS1JH) ;
TSN1DD = (COD1DDRET - ABTS1DD) ;
TSNRDF = (CODRDF - ABTSRDF) ;
TSNRDG = (CODRDG - ABTSRDG) ;
TSN1EJ = TSHALLO3 - ABTS1EJ ;
TSN1EF = COD1EF - ABTS1EF ;
TSN1EG = COD1EG - ABTS1EG ;
TSN1EP = ALLO3 - ABTS1EP ;
TSNREJ = (CARTSP3 - ABTSREJ) ;
TSNREP = (REMPLAP3 - ABTSREP) ;
TSN1EA = (COD1EA - ABTS1EA) ;
TSN1KF = (COD1KF - ABTS1KF) ;
TSN1KG = (COD1KG - ABTS1KG) ;
TSN1KH = (COD1KHRET - ABTS1KH) ;
TSN1ED = (COD1EDRET - ABTS1ED) ;
TSNREF = (CODREF - ABTSREF) ;
TSNRGG = (CODRGG - ABTSRGG) ;
TSN1FJ = TSHALLO4 - ABTS1FJ ;
TSN1FF = COD1FF - ABTS1FF ;
TSN1FG = COD1FG - ABTS1FG ;
TSN1FP = ALLO4 - ABTS1FP ;
TSNRFJ = (CARTSP4 - ABTSRFJ) ;
TSNRFP = (REMPLAP4 - ABTSRFP) ;
TSN1FA = (COD1FA - ABTS1FA) ;
TSN1LF = (COD1LF - ABTS1LF) ;
TSN1LG = (COD1LG - ABTS1LG) ;
TSN1LH = (COD1LHRET - ABTS1LH) ;
TSN1FD = (COD1FDRET - ABTS1FD) ;
TSNRFF = (CODRFF - ABTSRFF) ;
TSNRFG = (CODRFG - ABTSRFG) ;

regle 811070:
application : iliad ;

PLRV = min ( MIN_DEDPR , EXPRV ) ;
PLRC = min ( MIN_DEDPR , EXPRC ) ;
PLR1 = min ( MIN_DEDPR , EXPR1 ) ;
PLR2 = min ( MIN_DEDPR , EXPR2 ) ;
PLR3 = min ( MIN_DEDPR , EXPR3 ) ;
PLR4 = min ( MIN_DEDPR , EXPR4 ) ;

APBV = max( PLRV , arr(EXPRV*TX_DEDPER/100)) ;
APBC = max( PLRC , arr(EXPRC*TX_DEDPER/100)) ;
APB1 = max( PLR1 , arr(EXPR1*TX_DEDPER/100)) ;
APB2 = max( PLR2 , arr(EXPR2*TX_DEDPER/100)) ;
APB3 = max( PLR3 , arr(EXPR3*TX_DEDPER/100)) ;
APB4 = max( PLR4 , arr(EXPR4*TX_DEDPER/100)) ;

IND_APBV = positif_ou_nul(PLRV- arr(EXPRV * TX_DEDPER/100)) ;
IND_APBC = positif_ou_nul(PLRC- arr(EXPRC * TX_DEDPER/100)) ;
IND_APB1 = positif_ou_nul(PLR1- arr(EXPR1 * TX_DEDPER/100)) ;
IND_APB2 = positif_ou_nul(PLR2- arr(EXPR2 * TX_DEDPER/100)) ;
IND_APB3 = positif_ou_nul(PLR3- arr(EXPR3 * TX_DEDPER/100)) ;
IND_APB4 = positif_ou_nul(PLR4- arr(EXPR4 * TX_DEDPER/100)) ;

PL_PB = arr(PLAF_DEDPRFOYER -somme (i=V,C,1..4: APBi * IND_APBi)) ;

regle 811080:
application : iliad ;

ABPRV = arr ( (1 - IND_APBV) * min(APBV,(PL_PB * APBV / somme(x=V,C,1..4:APBx * (1 - IND_APBx)))) + IND_APBV * APBV ) ;
ABPRC = positif(EXPR1+EXPR2+EXPR3+EXPR4) * (arr ( (1 - IND_APBC) * min(APBC,(PL_PB * APBC / somme(x=V,C,1..4:APBx * (1 - IND_APBx)))) + IND_APBC * APBC ))
        + (1-positif(EXPR1+EXPR2+EXPR3+EXPR4)) *  max(0,min(APBV+APBC+APB1+APB2+APB3+APB4,PLAF_DEDPRFOYER) - ABPRV);
ABPR1 = positif(EXPR2+EXPR3+EXPR4) * (arr ( (1 - IND_APB1) * min(APB1,(PL_PB * APB1 / somme(x=V,C,1..4:APBx * (1 - IND_APBx)))) + IND_APB1 * APB1 ))
        + (1-positif(EXPR2+EXPR3+EXPR4)) *  max(0,min(APBV+APBC+APB1+APB2+APB3+APB4,PLAF_DEDPRFOYER) - ABPRV-ABPRC);
ABPR2 = positif(EXPR3+EXPR4) * (arr ( (1 - IND_APB2) * min(APB2,(PL_PB * APB2 / somme(x=V,C,1..4:APBx * (1 - IND_APBx)))) + IND_APB2 * APB2 ))
        + (1-positif(EXPR3+EXPR4)) *  max(0,min(APBV+APBC+APB1+APB2+APB3+APB4,PLAF_DEDPRFOYER) - ABPRV-ABPRC-ABPR1);
ABPR3 = positif(EXPR4) * (arr ( (1 - IND_APB3) * min(APB3,(PL_PB * APB3 / somme(x=V,C,1..4:APBx * (1 - IND_APBx)))) + IND_APB3 * APB3 ))
        + (1-positif(EXPR4)) *  max(0,min(APBV+APBC+APB1+APB2+APB3+APB4,PLAF_DEDPRFOYER) - ABPRV-ABPRC-ABPR1-ABPR2);
ABPR4 = max(0,min(APBV+APBC+APB1+APB2+APB3+APB4,PLAF_DEDPRFOYER) - ABPRV-ABPRC-ABPR1-ABPR2-ABPR3);
regle 811090:
application : iliad ;

VARTMP2=0;
VARTMP1=0;
VARTMP2=PRBRV+COD1AL+COD1AM+PENINV+PALIV+CARPEV+CODRAZ+PENSALV+PEBFV+CODRAL+CODRAM;
APR1AS = arr(ABPRV*(PRBRV)/EXPRV);
VARTMP2=VARTMP2 - PRBRV-COD1AL;
VARTMP1=APR1AS;
APR1AL = positif(VARTMP2) * arr(ABPRV*(COD1AL)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - COD1AM;
VARTMP1=VARTMP1+APR1AL;
APR1AM = positif(VARTMP2) * arr(ABPRV*(COD1AM)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - PENINV;
VARTMP1=VARTMP1+APR1AM;
APR1AZ = positif(VARTMP2) * arr(ABPRV*(PENINV)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - PALIV;
VARTMP1=VARTMP1+APR1AZ;
APR1AO = positif(VARTMP2) * arr(ABPRV*(PALIV)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - CARPEV;
VARTMP1=VARTMP1+APR1AO;
APRRAS = positif(VARTMP2) * arr(ABPRV*(CARPEV)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - CODRAL;
VARTMP1=VARTMP1+APRRAS;
APRRAL = positif(VARTMP2) * arr(ABPRV*(CODRAL)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - CODRAM;
VARTMP1=VARTMP1+APRRAL;
APRRAM = positif(VARTMP2) * arr(ABPRV*(CODRAM)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP2=VARTMP2 - CODRAZ;
VARTMP1=VARTMP1+APRRAM;
APRRAZ = positif(VARTMP2) * arr(ABPRV*(CODRAZ)/EXPRV)
                 + (1-positif(VARTMP2)) * max(0,ABPRV-VARTMP1) ;
VARTMP1=VARTMP1+APRRAZ;
APRRAO = positif(PEBFV) * arr(ABPRV*(PENSALV)/EXPRV)
                 + (1-positif(PEBFV)) * max(0,ABPRV-VARTMP1) ;
VARTMP1=VARTMP1+APRRAO;
APRFAS = max(0,ABPRV-VARTMP1);
APRV  =  APR1AS+APR1AL+APR1AM+APR1AZ+APR1AO+APRRAS+APRRAZ+APRRAO +APRFAS+APRRAL+APRRAM;
VARTMP2=0;
VARTMP1=0;
VARTMP2=PRBRC+COD1BL+COD1BM+PENINC+PALIC+CARPEC+CODRBZ+PENSALC+PEBFC+CODRBL+CODRBM;
APR1BS = arr(ABPRC*(PRBRC)/EXPRC);
VARTMP2=VARTMP2 - PRBRC-COD1BL;
VARTMP1=APR1BS;
APR1BL = positif(VARTMP2) * arr(ABPRC*(COD1BL)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 - COD1BM;
VARTMP1=VARTMP1+APR1BL;
APR1BM = positif(VARTMP2) * arr(ABPRC*(COD1BM)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 -PENINC;
VARTMP1=VARTMP1+APR1BM;
APR1BZ = positif(VARTMP2) * arr(ABPRC*(PENINC)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 - PALIC;
VARTMP1=VARTMP1+APR1BZ;
APR1BO = positif(VARTMP2) * arr(ABPRC*(PALIC)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 - CARPEC;
VARTMP1=VARTMP1+APR1BO;
APRRBS = positif(VARTMP2) * arr(ABPRC*(CARPEC)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 - CODRBL;
VARTMP1=VARTMP1+APRRBS;
APRRBL = positif(VARTMP2) * arr(ABPRC*(CODRBL)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 - CODRBM;
VARTMP1=VARTMP1+APRRBL;
APRRBM = positif(VARTMP2) * arr(ABPRC*(CODRBM)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP2=VARTMP2 - CODRBZ;
VARTMP1=VARTMP1+APRRBM;
APRRBZ = positif(VARTMP2) * arr(ABPRC*(CODRBZ)/EXPRC)
                 + (1-positif(VARTMP2)) * max(0,ABPRC-VARTMP1) ;
VARTMP1=VARTMP1+APRRBZ;
APRRBO = positif(PEBFC) * arr(ABPRC*(PENSALC)/EXPRC)
                 + (1-positif(PEBFC)) * max(0,ABPRC-VARTMP1) ;
VARTMP1=VARTMP1+APRRBO;
APRFBS = max(0,ABPRC-VARTMP1);
APRC  =  APR1BS+APR1BL+APR1BM+APR1BZ+APR1BO+APRRBS+APRRBZ+APRRBO+ APRFBS+APRRBL+APRRBM;
VARTMP2=0;
VARTMP1=0;
VARTMP2=PRBR1+COD1CL+COD1CM+PENIN1+PALI1+CARPEP1+CODRCZ+PENSALP1+PEBF1+CODRCL+CODRCM;
APR1CS = arr(ABPR1*(PRBR1)/EXPR1);
VARTMP2=VARTMP2 - PRBR1-COD1CL;
VARTMP1=APR1CS;
APR1CL = positif(VARTMP2) * arr(ABPR1*(COD1CL)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - COD1CM;
VARTMP1=VARTMP1+APR1CL;
APR1CM = positif(VARTMP2) * arr(ABPR1*(COD1CM)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - PENIN1;
VARTMP1=VARTMP1+APR1CM;
APR1CZ = positif(VARTMP2) * arr(ABPR1*(PENIN1)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - PALI1;
VARTMP1=VARTMP1+APR1CZ;
APR1CO = positif(VARTMP2) * arr(ABPR1*(PALI1)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - CARPEP1;
VARTMP1=VARTMP1+APR1CO;
APRRCS = positif(VARTMP2) * arr(ABPR1*(CARPEP1)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - CODRCL;
VARTMP1=VARTMP1+APRRCS;
APRRCL = positif(VARTMP2) * arr(ABPR1*(CODRCL)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - CODRCM;
VARTMP1=VARTMP1+APRRCL;
APRRCM = positif(VARTMP2) * arr(ABPR1*(CODRCM)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP2=VARTMP2 - CODRCZ;
VARTMP1=VARTMP1+APRRCM;
APRRCZ = positif(VARTMP2) * arr(ABPR1*(CODRCZ)/EXPR1)
                 + (1-positif(VARTMP2)) * max(0,ABPR1-VARTMP1) ;
VARTMP1=VARTMP1+APRRCZ;
APRRCO = positif(PEBF1) * arr(ABPR1*(PENSALP1)/EXPR1)
                 + (1-positif(PEBF1)) * max(0,ABPR1-VARTMP1) ;
VARTMP1=VARTMP1+APRRCO;
APRFCS = max(0,ABPR1-VARTMP1);
APR1  =  APR1CS+APR1CL+APR1CM+APR1CZ+APR1CO+APRRCS+APRRCZ+APRRCO +APRFCS+APRRCL+APRRCM;
VARTMP2=0;
VARTMP1=0;
VARTMP2=PRBR2+COD1DL+COD1DM+PENIN2+PALI2+CARPEP2+CODRDZ+PENSALP2+PEBF2+CODRDL+CODRDM;
APR1DS = arr(ABPR2*(PRBR2)/EXPR2);
VARTMP2=VARTMP2 - PRBR2-COD1DL;
VARTMP1=APR1DS;
APR1DL = positif(VARTMP2) * arr(ABPR2*(COD1DL)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - COD1DM;
VARTMP1=VARTMP1+APR1DL;
APR1DM = positif(VARTMP2) * arr(ABPR2*(COD1DM)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - PENIN2;
VARTMP1=VARTMP1+APR1DM;
APR1DZ = positif(VARTMP2) * arr(ABPR2*(PENIN2)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - PALI2;
VARTMP1=VARTMP1+APR1DZ;
APR1DO = positif(VARTMP2) * arr(ABPR2*(PALI2)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - CARPEP2;
VARTMP1=VARTMP1+APR1DO;
APRRDS = positif(VARTMP2) * arr(ABPR2*(CARPEP2)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - CODRDL;
VARTMP1=VARTMP1+APRRDS;
APRRDL = positif(VARTMP2) * arr(ABPR2*(CODRDL)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - CODRDM;
VARTMP1=VARTMP1+APRRDL;
APRRDM = positif(VARTMP2) * arr(ABPR2*(CODRDM)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP2=VARTMP2 - CODRDZ;
VARTMP1=VARTMP1+APRRDM;
APRRDZ = positif(VARTMP2) * arr(ABPR2*(CODRDZ)/EXPR2)
                 + (1-positif(VARTMP2)) * max(0,ABPR2-VARTMP1) ;
VARTMP1=VARTMP1+APRRDZ;
APRRDO = positif(PEBF2) * arr(ABPR2*(PENSALP2)/EXPR2)
                 + (1-positif(PEBF2)) * max(0,ABPR2-VARTMP1) ;
VARTMP1=VARTMP1+APRRDO;
APRFDS = max(0,ABPR2-VARTMP1);
APR2  =  APR1DS+APR1DL+APR1DM+APR1DZ+APR1DO+APRRDS+APRRDZ+APRRDO +APRFDS+APRRDL+APRRDM;
VARTMP2=0;
VARTMP1=0;
VARTMP2=PRBR3+COD1EL+COD1EM+PENIN3+PALI3+CARPEP3+CODREZ+PENSALP3+PEBF3+CODREL+CODREM;
APR1ES = arr(ABPR3*(PRBR3)/EXPR3);
VARTMP2=VARTMP2 - PRBR3-COD1EL;
VARTMP1=APR1ES;
APR1EL = positif(VARTMP2) * arr(ABPR3*(COD1EL)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - COD1EM;
VARTMP1=VARTMP1+APR1EL;
APR1EM = positif(VARTMP2) * arr(ABPR3*(COD1EM)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - PENIN3;
VARTMP1=VARTMP1+APR1EM;
APR1EZ = positif(VARTMP2) * arr(ABPR3*(PENIN3)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - PALI3;
VARTMP1=VARTMP1+APR1EZ;
APR1EO = positif(VARTMP2) * arr(ABPR3*(PALI3)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - CARPEP3;
VARTMP1=VARTMP1+APR1EO;
APRRES = positif(VARTMP2) * arr(ABPR3*(CARPEP3)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - CODREL;
VARTMP1=VARTMP1+APRRES;
APRREL = positif(VARTMP2) * arr(ABPR3*(CODREL)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - CODREM;
VARTMP1=VARTMP1+APRREL;
APRREM = positif(VARTMP2) * arr(ABPR3*(CODREM)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP2=VARTMP2 - CODREZ;
VARTMP1=VARTMP1+APRREM;
APRREZ = positif(VARTMP2) * arr(ABPR3*(CODREZ)/EXPR3)
                 + (1-positif(VARTMP2)) * max(0,ABPR3-VARTMP1) ;
VARTMP1=VARTMP1+APRREZ;
APRREO = positif(PEBF3) * arr(ABPR3*(PENSALP3)/EXPR3)
                 + (1-positif(PEBF3)) * max(0,ABPR3-VARTMP1) ;
VARTMP1=VARTMP1+APRREO;
APRFES = max(0,ABPR3-VARTMP1);
APR3  =  APR1ES+APR1EL+APR1EM+APR1EZ+APR1EO+APRRES+APRREZ+APRREO +APRFES+APRREL+APRREM;
VARTMP2=0;
VARTMP1=0;
VARTMP2=PRBR4+COD1FL+COD1FM+PENIN4+PALI4+CARPEP4+CODRFZ+PENSALP4+PEBF4+CODRFL+CODRFM;
APR1FS = arr(ABPR4*(PRBR4)/EXPR4);
VARTMP2=VARTMP2 - PRBR4-COD1FL;
VARTMP1=APR1FS;
APR1FL = positif(VARTMP2) * arr(ABPR4*(COD1FL)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - COD1FM;
VARTMP1=VARTMP1+APR1FL;
APR1FM = positif(VARTMP2) * arr(ABPR4*(COD1FM)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - PENIN4;
VARTMP1=VARTMP1+APR1FM;
APR1FZ = positif(VARTMP2) * arr(ABPR4*(PENIN4)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - PALI4;
VARTMP1=VARTMP1+APR1FZ;
APR1FO = positif(VARTMP2) * arr(ABPR4*(PALI4)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - CARPEP4;
VARTMP1=VARTMP1+APR1FO;
APRRFS = positif(VARTMP2) * arr(ABPR4*(CARPEP4)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - CODRFL;
VARTMP1=VARTMP1+APRRFS;
APRRFL = positif(VARTMP2) * arr(ABPR4*(CODRFL)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - CODRFM;
VARTMP1=VARTMP1+APRRFL;
APRRFM = positif(VARTMP2) * arr(ABPR4*(CODRFM)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP2=VARTMP2 - CODRFZ;
VARTMP1=VARTMP1+APRRFM;
APRRFZ = positif(VARTMP2) * arr(ABPR4*(CODRFZ)/EXPR4)
                 + (1-positif(VARTMP2)) * max(0,ABPR4-VARTMP1) ;
VARTMP1=VARTMP1+APRRFZ;
APRRFO = positif(PEBF4) * arr(ABPR4*(PENSALP4)/EXPR4)
                 + (1-positif(PEBF4)) * max(0,ABPR4-VARTMP1) ;
VARTMP1=VARTMP1+APRRFO;
APRFFS = max(0,ABPR4-VARTMP1);
APR4  =  APR1FS+APR1FL+APR1FM+APR1FZ+APR1FO+APRRFS+APRRFZ+APRRFO +APRFFS+APRRFL+APRRFM;

regle 811100:
application : iliad ;

PRNN1AS = PRBRV - APR1AS;
PRNN1AL = COD1AL - APR1AL;
PRNN1AM = COD1AM - APR1AM;
PRNN1AZ = PENINV - APR1AZ;
PRNN1AO = PALIV - APR1AO;
PRNNRAS = CARPEV - APRRAS;
PRNNRAL = CODRAL - APRRAL;
PRNNRAM = CODRAM - APRRAM;
PRNNRAZ = CODRAZ - APRRAZ;
PRNNRAO = PENSALV - APRRAO;
PRNNFAS = PEBFV - APRFAS;
PRNNV = PRNN1AS+PRNN1AL+PRNN1AM+PRNN1AZ+PRNN1AO+PRNNRAS+PRNNRAZ+PRNNRAO+PRNNFAS+PRNNRAL+PRNNRAM + COD1AI+CODRAI;

PRNN1BS = PRBRC - APR1BS;
PRNN1BL = COD1BL - APR1BL;
PRNN1BM = COD1BM - APR1BM;
PRNN1BZ = PENINC - APR1BZ;
PRNN1BO = PALIC - APR1BO;
PRNNRBS = CARPEC - APRRBS;
PRNNRBL = CODRBL - APRRBL;
PRNNRBM = CODRBM - APRRBM;
PRNNRBZ = CODRBZ - APRRBZ;
PRNNRBO = PENSALC - APRRBO;
PRNNFBS = PEBFC - APRFBS;
PRNNC = PRNN1BS+PRNN1BL+PRNN1BM+PRNN1BZ+PRNN1BO+PRNNRBS+PRNNRBZ+PRNNRBO+PRNNFBS+PRNNRBL+PRNNRBM+ COD1BI+CODRBI;

PRNN1CS = PRBR1 - APR1CS;
PRNN1CL = COD1CL - APR1CL;
PRNN1CM = COD1CM - APR1CM;
PRNN1CZ = PENIN1 - APR1CZ;
PRNN1CO = PALI1 - APR1CO;
PRNNRCS = CARPEP1 - APRRCS;
PRNNRCL = CODRCL - APRRCL;
PRNNRCM = CODRCM - APRRCM;
PRNNRCZ = CODRCZ - APRRCZ;
PRNNRCO = PENSALP1 - APRRCO;
PRNNFCS = PEBF1 - APRFCS;
PRNN1 = PRNN1CS + PRNN1CL + PRNN1CM + PRNN1CZ + PRNN1CO + COD1CI + PRNNRCS + PRNNRCZ + PRNNRCO + PRNNFCS + PRNNRCL + PRNNRCM +CODRCK;

PRNN1DS = PRBR2 - APR1DS;
PRNN1DL = COD1DL - APR1DL;
PRNN1DM = COD1DM - APR1DM;
PRNN1DZ = PENIN2 - APR1DZ;
PRNN1DO = PALI2 - APR1DO;
PRNNRDS = CARPEP2 - APRRDS;
PRNNRDL = CODRDL - APRRDL;
PRNNRDM = CODRDM - APRRDM;
PRNNRDZ = CODRDZ - APRRDZ;
PRNNRDO = PENSALP2 - APRRDO;
PRNNFDS = PEBF2 - APRFDS;
PRNN2 = PRNN1DS + PRNN1DL + PRNN1DM + PRNN1DZ + PRNN1DO + PRNNRDS + PRNNRDZ + PRNNRDO + PRNNFDS + PRNNRDL + PRNNRDM ;

PRNN1ES = PRBR3 - APR1ES;
PRNN1EL = COD1EL - APR1EL;
PRNN1EM = COD1EM - APR1EM;
PRNN1EZ = PENIN3 - APR1EZ;
PRNN1EO = PALI3 - APR1EO;
PRNNRES = CARPEP3 - APRRES;
PRNNREL = CODREL - APRREL;
PRNNREM = CODREM - APRREM;
PRNNREZ = CODREZ - APRREZ;
PRNNREO = PENSALP3 - APRREO;
PRNNFES = PEBF3 - APRFES;
PRNN3 = PRNN1ES + PRNN1EL + PRNN1EM + PRNN1EZ + PRNN1EO + PRNNRES + PRNNREZ + PRNNREO + PRNNFES + PRNNREL + PRNNREM ;

PRNN1FS = PRBR4 - APR1FS;
PRNN1FL = COD1FL - APR1FL;
PRNN1FM = COD1FM - APR1FM;
PRNN1FZ = PENIN4 - APR1FZ;
PRNN1FO = PALI4 - APR1FO;
PRNNRFS = CARPEP4 - APRRFS;
PRNNRFL = CODRFL - APRRFL;
PRNNRFM = CODRFM - APRRFM;
PRNNRFZ = CODRFZ - APRRFZ;
PRNNRFO = PENSALP4 - APRRFO;
PRNNFFS = PEBF4 - APRFFS;
PRNN4 = PRNN1FS + PRNN1FL + PRNN1FM + PRNN1FZ + PRNN1FO + PRNNRFS + PRNNRFZ + PRNNRFO + PRNNFFS + PRNNRFL + PRNNRFM ;
PRNNP = PRNN1 + PRNN2 + PRNN3 + PRNN4 ;

regle 811110:
application : iliad ;

TSNTV = TSN1AJ + TSN1PM + TSN1TP 
        + TSN1NX + TSN1AF + TSN1AG
        + TSN1AP + TSN3VJ + TSN1TT + TSNRAJ + TSNRAP 
        + TSNDAJ + TSNEAJ + TSN1GB + TSN1AA + TSN1GF + TSN1GG + TSN1GH + TSN1AD + TSNRAF + TSNRAG ; 
PASTSNTV = max(0 , TSN1AJ + TSN1AP + TSN1AA + TSN1GH + TSN1AD + TSNRAJ + TSNRAP + TSNDAJ + TSNEAJ) ;
PASTSN1AG = max(0 , TSN1AG + TSNRAG) ;
TSNTC = TSN1BJ + TSN1QM + TSN1UP 
        + TSN1OX + TSN1BF + TSN1BG
        + TSN1BP + TSN3VK + TSN1UT + TSNRBJ + TSNRBP
        + TSNDBJ + TSNEBJ + TSN1HB + TSN1BA + TSN1HF + TSN1HG + TSN1HH + TSN1BD + TSNRBF + TSNRBG ;
PASTSNTC = max(0 , TSN1BJ + TSN1BP + TSN1BA + TSN1HH + TSN1BD + TSNRBJ + TSNRBP + TSNDBJ + TSNEBJ) ;
PASTSN1BG = max(0 , TSN1BG + TSNRBG) ;
TSNT1 = TSN1CJ + TSN1CF + TSN1CG + TSN1CP + TSNRCJ + TSNRCP + TSN1IB + TSN1CA + TSN1IF + TSN1IG + TSN1IH + TSN1CD + TSNRCF + TSNRCG ;
TSNT2 = TSN1DJ + TSN1DF + TSN1DG + TSN1DP + TSNRDJ + TSNRDP + TSN1JB + TSN1DA + TSN1JF + TSN1JG + TSN1JH + TSN1DD + TSNRDF + TSNRDG ;
TSNT3 = TSN1EJ + TSN1EF + TSN1EG + TSN1EP + TSNREJ + TSNREP + TSN1EA + TSN1KF + TSNREF + TSN1KG + TSN1KH + TSN1ED + TSNRGG ;
TSNT4 = TSN1FJ + TSN1FF + TSN1FG + TSN1FP + TSNRFJ + TSNRFP + TSN1FA + TSN1LF + TSNRFF + TSN1LG + TSN1LH + TSN1FD + TSNRFG ;
PASTSNTP = max(0 , TSN1CJ + TSN1CP + TSN1CA + TSN1IH + TSN1CD + TSNRCJ + TSNRCP) 
           + max(0 , TSN1DJ + TSN1DP + TSN1DA + TSN1JH + TSN1DD + TSNRDJ + TSNRDP)
	   + max(0 , TSN1EJ + TSN1EP + TSN1EA + TSN1KH + TSN1ED + TSNREJ + TSNREP)
	   + max(0 , TSN1FJ + TSN1FP + TSN1FA + TSN1LH + TSN1FD + TSNRFJ + TSNRFP) ;
PASTSN1PAC = max(0 , TSN1CG + TSNRCG)+max(0 , TSN1DG + TSNRDG)+max(0 , TSN1EG + TSNREG)+max(0 , TSN1FG + TSNRFG) ;

regle 811120:
application : iliad ;



VARTMP2=0;
VARTMP1=0;
VARTMP2=COD1AL+COD1AM+PENINV+PALIV+CARPEV+CODRAZ+PENSALV+PEBFV+CODRAL+CODRAM+COD1AI+CODRAI;
PRNDEF1AS = positif (-TSNTV) * (positif(VARTMP2)* arr(-TSNTV*PRNN1AS / PRNNV)
                              + (1-positif(VARTMP2)) * (-TSNTV))  ;
VARTMP2=VARTMP2-COD1AL;
PRNDEF1AL = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNN1AL / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-PRNDEF1AS))  ;
VARTMP2=VARTMP2-COD1AM;
VARTMP1=PRNDEF1AS+PRNDEF1AL;
PRNDEF1AM = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNN1AM / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-PENINV;
VARTMP1=VARTMP1+PRNDEF1AM;
PRNDEF1AZ = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNN1AZ / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-PALIV;
VARTMP1=VARTMP1+PRNDEF1AZ;
PRNDEF1AO = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNN1AO / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-CARPEV;
VARTMP1=VARTMP1+PRNDEF1AO;
PRNDEFRAS = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNNRAS / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-CODRAL;
VARTMP1=VARTMP1+PRNDEFRAS;
PRNDEFRAL = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNNRAL / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-CODRAM;
VARTMP1=VARTMP1+PRNDEFRAL;
PRNDEFRAM = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNNRAM / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-CODRAZ;
VARTMP1=VARTMP1+PRNDEFRAM;
PRNDEFRAZ = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNNRAZ / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-PENSALV;
VARTMP1=VARTMP1+PRNDEFRAZ;
PRNDEFRAO = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*PRNNRAO / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-COD1AI;
VARTMP1=VARTMP1+PRNDEFRAO;
PRNDEF1AI = positif (-TSNTV) * (positif(VARTMP2) * arr(-TSNTV*COD1AI / PRNNV)
                              + (1-positif(VARTMP2)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-CODRAI;
VARTMP1=VARTMP1+PRNDEF1AI;
PRNDEFRAI = positif (-TSNTV) * (positif(PEBFV) * arr(-TSNTV*CODRAI / PRNNV)
                              + (1-positif(PEBFV)) * max(0,-TSNTV-VARTMP1))  ;
VARTMP2=VARTMP2-PEBFV;
VARTMP1=VARTMP1+PRNDEFRAI;
PRNDEFFAS = positif (-TSNTV) * max(0,-TSNTV-VARTMP1)  ;

VARTMP2=0;
VARTMP1=0;
VARTMP2=COD1BL+COD1BM+PENINC+PALIC+CARPEC+CODRBZ+PENSALC+PEBFC+CODRBL+CODRBM+COD1BI+CODRBI;
PRNDEF1BS = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNN1BS / PRNNC)
                              + (1-positif(VARTMP2)) * (-TSNTC))  ;
VARTMP2=VARTMP2-COD1BL;
PRNDEF1BL = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNN1BL / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-PRNDEF1BS))  ;
VARTMP2=VARTMP2-COD1BM;
VARTMP1=PRNDEF1BS+PRNDEF1BL;
PRNDEF1BM = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNN1BM / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-PENINC;
VARTMP1=VARTMP1+PRNDEF1BM;
PRNDEF1BZ = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNN1BZ / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-PALIC;
VARTMP1=VARTMP1+PRNDEF1BZ;
PRNDEF1BO = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNN1BO / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-CARPEC;
VARTMP1=VARTMP1+PRNDEF1BO;
PRNDEFRBS = positif (-TSNTC) * (positif(VARTMP2) * arr(TSNTC*PRNNRBS / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-CODRBL;
VARTMP1=VARTMP1+PRNDEFRBS;
PRNDEFRBL = positif (-TSNTC) * (positif(VARTMP2) * arr(TSNTC*PRNNRBL / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-CODRBM;
VARTMP1=VARTMP1+PRNDEFRBL;
PRNDEFRBM = positif (-TSNTC) * (positif(VARTMP2) * arr(TSNTC*PRNNRBM / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-CODRBZ;
VARTMP1=VARTMP1+PRNDEFRBM;
PRNDEFRBZ = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNNRBZ / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-PENSALC;
VARTMP1=VARTMP1+PRNDEFRBZ;
PRNDEFRBO = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTC*PRNNRBO / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-COD1BI;
VARTMP1=VARTMP1+PRNDEFRAO;
PRNDEF1BI = positif (-TSNTC) * (positif(VARTMP2) * arr(-TSNTV*COD1BI / PRNNC)
                              + (1-positif(VARTMP2)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-CODRBI;
VARTMP1=VARTMP1+PRNDEF1BI;
PRNDEFRBI = positif (-TSNTC) * (positif(PEBFC) * arr(-TSNTV*CODRBI / PRNNC)
                              + (1-positif(PEBFC)) * max(0,-TSNTC-VARTMP1))  ;
VARTMP2=VARTMP2-PEBFC;
VARTMP1=VARTMP1+PRNDEFRBI;
PRNDEFFBS = positif (-TSNTC) * max(0,-TSNTC-VARTMP1)  ;

VARTMP2 = 0 ;
VARTMP1 = 0 ;
VARTMP2 = COD1CL + COD1CM + PENIN1 + PALI1 + COD1CI + CARPEP1 + CODRCZ + PENSALP1 + PEBF1 + CODRCL + CODRCM +CODRCK;

PRNDEF1CS = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNN1CS / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1)) ;
VARTMP2=VARTMP2-COD1CL;
PRNDEF1CL = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNN1CL / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-PRNDEF1CS)) ;
VARTMP2=VARTMP2-COD1CM;
VARTMP1=PRNDEF1CS+PRNDEF1CL;
PRNDEF1CM = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNN1CM / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1)) ;
VARTMP2=VARTMP2-PENIN1;
VARTMP1=VARTMP1+PRNDEF1CM;
PRNDEF1CZ = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNN1CZ / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1)) ;
VARTMP2=VARTMP2-PALI1;
VARTMP1=VARTMP1+PRNDEF1CZ;
PRNDEF1CO = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNN1CO / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1)) ;
VARTMP2 = VARTMP2 - COD1CI ;
VARTMP1 = VARTMP1 + PRNDEF1CO ;
PRNDEF1CI = positif(-TSNT1) * (positif(VARTMP2) * arr(-TSNT1 * COD1CI / PRNN1)
                               + (1 - positif(VARTMP2)) * (-TSNT1 - VARTMP1)) ;
VARTMP2=VARTMP2-CARPEP1;
VARTMP1=VARTMP1+PRNDEF1CI;
PRNDEFRCS = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNNRCS / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1))  ;
VARTMP2=VARTMP2-CODRCL;
VARTMP1=VARTMP1+PRNDEFRCS;
PRNDEFRCL = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNNRCL / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1))  ;
VARTMP2=VARTMP2-CODRCM;
VARTMP1=VARTMP1+PRNDEFRCL;
PRNDEFRCM = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNNRCM / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1))  ;
VARTMP2=VARTMP2-CODRCZ;
VARTMP1=VARTMP1+PRNDEFRCM;
PRNDEFRCZ = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNNRCZ / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1))  ;
VARTMP2=VARTMP2-PENSALP1;
VARTMP1=VARTMP1+PRNDEFRCZ;
PRNDEFRCO = positif (-TSNT1) * (positif(VARTMP2) * arr(-TSNT1*PRNNRCO / PRNN1)
                              + (1-positif(VARTMP2)) * (-TSNT1-VARTMP1))  ;
VARTMP2=VARTMP2-CODRCK;
VARTMP1=VARTMP1+PRNDEFRCO;
PRNDEFRCK = positif (-TSNT1) * (positif(PEBF1) * arr(-TSNT1*CODRCK / PRNN1)
                              + (1-positif(PEBF1)) * (-TSNT1-VARTMP1))  ;
VARTMP2=VARTMP2-PEBF1;
VARTMP1=VARTMP1+PRNDEFRCK;
PRNDEFFCS = positif (-TSNT1) * max(0,-TSNT1-VARTMP1)  ;

VARTMP2 = 0 ;
VARTMP1 = 0 ;
VARTMP2 = COD1DL + COD1DM + PENIN2 + PALI2 + COD1DI + CARPEP2 + CODRDZ + PENSALP2 + PEBF2 + CODRDL + CODRDM ;

PRNDEF1DS = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNN1DS / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2))  ;
VARTMP2=VARTMP2-COD1DL;
PRNDEF1DL = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNN1DL / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-PRNDEF1DS))  ;
VARTMP2=VARTMP2-COD1DM;
VARTMP1=PRNDEF1DS+PRNDEF1DL;
PRNDEF1DM = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNN1DM / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-PENIN2;
VARTMP1=VARTMP1+PRNDEF1DM;
PRNDEF1DZ = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNN1DZ / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-PALI2;
VARTMP1=VARTMP1+PRNDEF1DZ;
PRNDEF1DO = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNN1DO / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2 = VARTMP2 - COD1DI ;
VARTMP1 = VARTMP1 + PRNDEF1DO ;
PRNDEF1DI = positif(-TSNT2) * (positif(VARTMP2) * arr(-TSNT2 * COD1DI / PRNN2)
                               + (1 - positif(VARTMP2)) * (-TSNT2 - VARTMP1)) ;
VARTMP2=VARTMP2-CARPEP2;
VARTMP1=VARTMP1+PRNDEF1DI;
PRNDEFRDS = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNNRDS / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-CODRDL;
VARTMP1=VARTMP1+PRNDEFRDS;
PRNDEFRDL = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNNRDL / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-CODRDM;
VARTMP1=VARTMP1+PRNDEFRDL;
PRNDEFRDM = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNNRDM / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-CODRDZ;
VARTMP1=VARTMP1+PRNDEFRDM;
PRNDEFRDZ = positif (-TSNT2) * (positif(VARTMP2) * arr(-TSNT2*PRNNRDZ / PRNN2)
                              + (1-positif(VARTMP2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-PENSALP2;
VARTMP1=VARTMP1+PRNDEFRDZ;
PRNDEFRDO = positif (-TSNT2) * (positif(PEBF2) * arr(-TSNT2*PRNNRDO / PRNN2)
                              + (1-positif(PEBF2)) * (-TSNT2-VARTMP1))  ;
VARTMP2=VARTMP2-PEBF2;
VARTMP1=VARTMP1+PRNDEFRDO;
PRNDEFFDS = positif (-TSNT2) * max(0,-TSNT2-VARTMP1)  ;

VARTMP2 = 0 ;
VARTMP1 = 0 ;
VARTMP2 = COD1EL + COD1EM + PENIN3 + PALI3 + COD1EI + CARPEP3 + CODREZ + PENSALP3 + PEBF3 + CODREL + CODREM ;

PRNDEF1ES = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNN1ES / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3))  ;
VARTMP2=VARTMP2-COD1EL;
PRNDEF1EL = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNN1EL / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-PRNDEF1ES))  ;
VARTMP2=VARTMP2-COD1EM;
VARTMP1=PRNDEF1ES+PRNDEF1EL;
PRNDEF1EM = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNN1EM / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-PENIN3;
VARTMP1=VARTMP1+PRNDEF1EM;
PRNDEF1EZ = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNN1EZ / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-PALI3;
VARTMP1=VARTMP1+PRNDEF1EZ;
PRNDEF1EO = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNN1EO / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2 = VARTMP2 - COD1EI ;
VARTMP1 = VARTMP1 + PRNDEF1EO ;
PRNDEF1EI = positif(-TSNT3) * (positif(VARTMP2) * arr(-TSNT3 * COD1EI / PRNN3)
                               + (1 - positif(VARTMP2)) * (-TSNT3 - VARTMP1)) ;
VARTMP2=VARTMP2-CARPEP3;
VARTMP1=VARTMP1+PRNDEF1EI;
PRNDEFRES = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNNRES / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-CODREL;
VARTMP1=VARTMP1+PRNDEFRES;
PRNDEFREL = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNNREL / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-CODREM;
VARTMP1=VARTMP1+PRNDEFREL;
PRNDEFREM = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNNREM / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-CODREZ;
VARTMP1=VARTMP1+PRNDEFREM;
PRNDEFREZ = positif (-TSNT3) * (positif(VARTMP2) * arr(-TSNT3*PRNNREZ / PRNN3)
                              + (1-positif(VARTMP2)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-PENSALP3;
VARTMP1=VARTMP1+PRNDEFREZ;
PRNDEFREO = positif (-TSNT3) * (positif(PEBF3) * arr(-TSNT3*PRNNREO / PRNN3)
                              + (1-positif(PEBF3)) * (-TSNT3-VARTMP1))  ;
VARTMP2=VARTMP2-PEBF3;
VARTMP1=VARTMP1+PRNDEFREO;
PRNDEFFES = positif (-TSNT3) * max(0,-TSNT3-VARTMP1)  ;

VARTMP2 = 0 ;
VARTMP1 = 0 ;
VARTMP2 = COD1FL + COD1FM + PENIN4 + PALI4 + COD1FI + CARPEP4 + CODRFZ + PENSALP4 + PEBF4 + CODRFL + CODRFM ;

PRNDEF1FS = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNN1FS / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4))  ;
VARTMP2=VARTMP2-COD1FL;
PRNDEF1FL = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNN1FL / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-PRNDEF1FS))  ;
VARTMP2=VARTMP2-COD1FM;
VARTMP1=PRNDEF1FS+PRNDEF1FL;
PRNDEF1FM = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNN1FM / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-PENIN4;
VARTMP1=VARTMP1+PRNDEF1FM;
PRNDEF1FZ = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNN1FZ / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-PALI4;
VARTMP1=VARTMP1+PRNDEF1FZ;
PRNDEF1FO = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNN1FO / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2 = VARTMP2 - COD1FI ;
VARTMP1 = VARTMP1 + PRNDEF1FO ;
PRNDEF1FI = positif(-TSNT4) * (positif(VARTMP2) * arr(-TSNT4 * COD1FI / PRNN4)
                               + (1 - positif(VARTMP2)) * (-TSNT4 - VARTMP1)) ;
VARTMP2=VARTMP2-CARPEP4;
VARTMP1=VARTMP1+PRNDEF1FI;
PRNDEFRFS = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNNRFS / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-CODRFL;
VARTMP1=VARTMP1+PRNDEFRFS;
PRNDEFRFL = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNNRFL / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-CODRFM;
VARTMP1=VARTMP1+PRNDEFRFL;
PRNDEFRFM = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNNRFM / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-CODRFZ;
VARTMP1=VARTMP1+PRNDEFRFM;
PRNDEFRFZ = positif (-TSNT4) * (positif(VARTMP2) * arr(-TSNT4*PRNNRFZ / PRNN4)
                              + (1-positif(VARTMP2)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-PENSALP4;
VARTMP1=VARTMP1+PRNDEFRFZ;
PRNDEFRFO = positif (-TSNT4) * (positif(PEBF4) * arr(-TSNT4*PRNNRFO / PRNN4)
                              + (1-positif(PEBF4)) * (-TSNT4-VARTMP1))  ;
VARTMP2=VARTMP2-PEBF4;
VARTMP1=VARTMP1+PRNDEFRFO;
PRNDEFFFS = positif (-TSNT4) * max(0,-TSNT4-VARTMP1)  ;
PRN1AS = PRNN1AS - PRNDEF1AS;
PRN1AL = PRNN1AL - PRNDEF1AL;
PRN1AM = PRNN1AM - PRNDEF1AM;
PRN1AZ = PRNN1AZ - PRNDEF1AZ;
PRN1AO = PRNN1AO - PRNDEF1AO;
PRNRAS = PRNNRAS - PRNDEFRAS;
PRNRAL = PRNNRAL - PRNDEFRAL;
PRNRAM = PRNNRAM - PRNDEFRAM;
PRNRAZ = PRNNRAZ - PRNDEFRAZ;
PRNRAO = PRNNRAO - PRNDEFRAO;
PRNFAS = PRNNFAS - PRNDEFFAS;
PRN1AI = max(0,COD1AI - PRNDEF1AI);
PRNRAI = max(0,CODRAI - PRNDEFRAI);
PRNV = max(0 , PRN1AS + PRN1AL + PRN1AM + PRN1AZ + PRN1AO + PRNRAS + PRNRAZ + PRNRAO + PRNFAS + PRNRAL + PRNRAM) ;
PASPRNV = max(0 , PRN1AS + PRN1AZ + PRN1AI + PRNRAS + PRNRAZ + PRNFAS + PRNRAI) ;
PASPRNAOM = max(0 , PRN1AM + PRN1AO + PRNRAO + PRNRAM) ;
PASPRN1AL = max(0 , PRN1AL + PRNRAL) ;


PRN1BS = PRNN1BS - PRNDEF1BS;
PRN1BL = PRNN1BL - PRNDEF1BL;
PRN1BM = PRNN1BM - PRNDEF1BM;
PRN1BZ = PRNN1BZ - PRNDEF1BZ;
PRN1BO = PRNN1BO - PRNDEF1BO;
PRNRBS = PRNNRBS - PRNDEFRBS;
PRNRBL = PRNNRBL - PRNDEFRBL;
PRNRBM = PRNNRBM - PRNDEFRBM;
PRNRBZ = PRNNRBZ - PRNDEFRBZ;
PRNRBO = PRNNRBO - PRNDEFRBO;
PRNFBS = PRNNFBS - PRNDEFFBS;
PRN1BI = max(0,COD1BI - PRNDEF1BI);
PRNRBI = max(0,CODRBI - PRNDEFRBI);

PRNC = max(0 , PRN1BS + PRN1BL + PRN1BM + PRN1BZ + PRN1BO + PRNRBS + PRNRBZ + PRNRBO + PRNFBS + PRNRBL + PRNRBM) ;
PASPRNC = max(0 , PRN1BS + PRN1BZ + PRN1BI + PRNRBS + PRNRBZ + PRNFBS + PRNRBI) ;
PASPRNBOM = max(0 , PRN1BM + PRN1BO + PRNRBO + PRNRBM) ;
PASPRN1BL = max(0 , PRN1BL + PRNRBL) ;

PRN1CS = PRNN1CS - PRNDEF1CS;
PRN1CL = PRNN1CL - PRNDEF1CL;
PRN1CM = PRNN1CM - PRNDEF1CM;
PRN1CZ = PRNN1CZ - PRNDEF1CZ;
PRN1CO = PRNN1CO - PRNDEF1CO;
PRN1CI = max(0,COD1CI - PRNDEF1CI) ;
PRNRCS = PRNNRCS - PRNDEFRCS;
PRNRCL = PRNNRCL - PRNDEFRCL;
PRNRCM = PRNNRCM - PRNDEFRCM;
PRNRCZ = PRNNRCZ - PRNDEFRCZ;
PRNRCO = PRNNRCO - PRNDEFRCO;
PRNFCS = PRNNFCS - PRNDEFFCS;
PRNRCK = max(0,CODRCK - PRNDEFRCK) ;
PRN1 = max(0 , PRN1CS + PRN1CL + PRN1CM + PRN1CZ + PRN1CO + PRNRCS + PRNRCZ + PRNRCO + PRNFCS + PRNRCL + PRNRCM) ;

PRN1DS = PRNN1DS - PRNDEF1DS;
PRN1DL = PRNN1DL - PRNDEF1DL;
PRN1DM = PRNN1DM - PRNDEF1DM;
PRN1DZ = PRNN1DZ - PRNDEF1DZ;
PRN1DO = PRNN1DO - PRNDEF1DO;
PRN1DI = COD1DI - PRNDEF1DI ;
PRNRDS = PRNNRDS - PRNDEFRDS;
PRNRDL = PRNNRDL - PRNDEFRDL;
PRNRDM = PRNNRDM - PRNDEFRDM;
PRNRDZ = PRNNRDZ - PRNDEFRDZ;
PRNRDO = PRNNRDO - PRNDEFRDO;
PRNFDS = PRNNFDS - PRNDEFFDS;
PRN2 = max(0 , PRN1DS + PRN1DL + PRN1DM + PRN1DZ + PRN1DO + PRNRDS + PRNRDZ + PRNRDO + PRNFDS + PRNRDL + PRNRDM) ;

PRN1ES = PRNN1ES - PRNDEF1ES;
PRN1EL = PRNN1EL - PRNDEF1EL;
PRN1EM = PRNN1EM - PRNDEF1EM;
PRN1EZ = PRNN1EZ - PRNDEF1EZ;
PRN1EO = PRNN1EO - PRNDEF1EO;
PRN1EI = COD1EI - PRNDEF1EI ;
PRNRES = PRNNRES - PRNDEFRES;
PRNREL = PRNNREL - PRNDEFREL;
PRNREM = PRNNREM - PRNDEFREM;
PRNREZ = PRNNREZ - PRNDEFREZ;
PRNREO = PRNNREO - PRNDEFREO;
PRNFES = PRNNFES - PRNDEFFES;
PRN3 = max(0 , PRN1ES + PRN1EL + PRN1EM + PRN1EZ + PRN1EO + PRNRES + PRNREZ + PRNREO + PRNFES + PRNREL + PRNREM) ;

PRN1FS = PRNN1FS - PRNDEF1FS;
PRN1FL = PRNN1FL - PRNDEF1FL;
PRN1FM = PRNN1FM - PRNDEF1FM;
PRN1FZ = PRNN1FZ - PRNDEF1FZ;
PRN1FO = PRNN1FO - PRNDEF1FO;
PRN1FI = COD1FI - PRNDEF1FI ;
PRNRFS = PRNNRFS - PRNDEFRFS;
PRNRFL = PRNNRFL - PRNDEFRFL;
PRNRFM = PRNNRFM - PRNDEFRFM;
PRNRFZ = PRNNRFZ - PRNDEFRFZ;
PRNRFO = PRNNRFO - PRNDEFRFO;
PRNFFS = PRNNFFS - PRNDEFFFS;
PRN4 = max(0 , PRN1FS + PRN1FL + PRN1FM + PRN1FZ + PRN1FO + PRNRFS + PRNRFZ + PRNRFO + PRNFFS + PRNRFL + PRNRFM) ;

PASPRNP = max(0 , PRN1CS + PRN1CZ + PRN1CI + PRNRCS + PRNRCZ + PRNFCS + PRNRCK)
          + max(0 , PRN1DS + PRN1DZ + PRN1DI + PRNRDS + PRNRDZ + PRNFDS)
          + max(0 , PRN1ES + PRN1EZ + PRN1EI + PRNRES + PRNREZ + PRNFES)
          + max(0 , PRN1FS + PRN1FZ + PRN1FI + PRNRFS + PRNRFZ + PRNFFS) ;

PASPRN1PAC = max(0 , PRN1CL + PRNRCL) + max(0 , PRN1DL + PRNRDL) + max(0 , PRN1EL + PRNREL) + max(0 , PRN1FL + PRNRFL) ;

VARTMP1 = 0 ;
VARTMP2 = 0 ;
regle 811130:
application : iliad ;


TSNV = positif (-TSNTV) * min (0 ,TSNTV+PRNNV)
       + positif_ou_nul (TSNTV) * TSNTV ;
TSNC = positif (-TSNTC) * min (0 ,TSNTC+PRNNC)
       + positif_ou_nul (TSNTC) * TSNTC ;
TSN1 = positif (-TSNT1) * min (0 ,TSNT1+PRNN1)
       + positif_ou_nul (TSNT1) * TSNT1 ;
TSN2 = positif (-TSNT2) * min (0 ,TSNT2+PRNN2)
       + positif_ou_nul (TSNT2) * TSNT2 ;
TSN3 = positif (-TSNT3) * min (0 ,TSNT3+PRNN3)
       + positif_ou_nul (TSNT3) * TSNT3 ;
TSN4 = positif (-TSNT4) * min (0 ,TSNT4+PRNN4)
       + positif_ou_nul (TSNT4) * TSNT4 ;

regle 811135:
application : iliad ;

PASTOTTSPRV = PASTSV + PASPRNV ;
PASTOTTSPRC = PASTSC + PASPRNC ;
