#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2023]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2023 
#au titre des revenus perçus en 2022. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************

regle  corrective base_INITIAL 1080:
application     : iliad ;
IRPSCUM_P = IRCUM + TAXACUM+PCAPCUM+HAUTREVCUM+ NAPCR61 + NAPCRP * (1 - positif(NAPCRP));
CSG_P = CSG;
RDS_P = RDSN;
PSOL_P = PSOL;
CDIS_P = CDISBASE ;
GLO_P = GLOBASE ;
C820_P = C820BASE ;
CVN_P = CVNN ;
RSE1_P = RSE1N ;
RSE2_P = RSE2N ;
RSE3_P = RSE3N ;
RSE4_P = RSE4N ;
RSE5_P = RSE5N ;
RSE6_P = RSE6N ;
RSE8_P = RSE8N ;
NAPCR_P = NAPCR;
COD2TT_P = COD2TT;
IRNIN_P = max(0, IRN-COD8EA) ;
IRNINMAJO_P = max(0, IRN) ;
IRNIN_INR_P = IRNIN_INR;
CSBASE_INR_P = CSBASE_INR;
PSBASE_INR_P = PSBASE_INR;
PSOLBASE_INR_P = PSOLBASE_INR;
RDBASE_INR_P = RDBASE_INR;
CDISBASE_INR_P = CDISBASE_INR;
CVNBASE_INR_P = CVNBASE_INR;
GLOBASE_INR_P = GLOBASE_INR;
C820BASE_INR_P = C820BASE_INR;
RSE1BASE_INR_P = RSE1BASE_INR;
RSE2BASE_INR_P = RSE2BASE_INR;
RSE3BASE_INR_P = RSE3BASE_INR;
RSE4BASE_INR_P = RSE4BASE_INR;
RSE5BASE_INR_P = RSE5BASE_INR;
RSE6BASE_INR_P = RSE6BASE_INR;
RSE8BASE_INR_P = RSE8BASE_INR;
TAXABASE_INR_P = TAXABASE_INR;
PCAPBASE_INR_P = PCAPBASE_INR;
CHRBASE_INR_P = CHRBASE_INR;
CSREC_P = CSREC;
TAXA_P = TAXABASE ;
PCAP_P = PCAPBASE ;
CHR_P = CHRBASE ;
IR9YI_P = IR9YIP;
TAXABRUT_P = TAXASSUR ;
PCAPBRUT_P = IPCAPTAXT ;
CHRBRUT_P = IHAUTREVT+CHRPVIMP ;
IFI_P = IFI4BASE;

BICREV_P = BICREV;
BICREC_P = BICREC;
BICREP_P = BICREP;
BICHREV_P = BICHREV;
BICHREC_P = BICHREC;
BICHREP_P = BICHREP;
DNOCEP_P = DNOCEP;
DNOCEPC_P = DNOCEPC;
DNOCEPP_P = DNOCEPP;
BNCAADV_P = BNCAADV;
BNCDEC_P = BNCDEC;
BNCDEP_P = BNCDEP;
BNCDEV_P = BNCDEV;
BNCAADC_P = BNCAADC;
BNCAADP_P = BNCAADP;
BAHDEV_P = VARBAHDEV;
BAHDEC_P = VARBAHDEC;
BAHDEP_P = VARBAHDEP;
BACDEV_P = VARBACDEV;
BACDEC_P = VARBACDEC;
BACDEP_P = VARBACDEP;
RCMFR_P = min(RCMAB + RTNC + RAVC + RCMNAB + RTCAR + RCMPRIVM,(RCMFR* null(V_IND_TRAIT-4)+RCMFRART1731*  null(V_IND_TRAIT-5)));
RCMFRNET_P = max(0,(RCMFR* null(V_IND_TRAIT-4)+RCMFRART1731*  null(V_IND_TRAIT-5)) - RCMAB - RTNC - RAVC - RCMNAB - RTCAR - RCMPRIVM);
TSNNV_P = abs(TSNNV) * min(0,TSNNV);
TSNNC_P = abs(TSNNC) * min(0,TSNNC);
TSNN1_P = abs(TSNN1) * min(0,TSNN1);
TSNN2_P = abs(TSNN2) * min(0,TSNN2);
TSNN3_P = abs(TSNN3) * min(0,TSNN3);
TSNN4_P = abs(TSNN4) * min(0,TSNN4);
TSNNT_P = abs(TSNNT) * min(0,TSNNT);
FRDV_P = FRDV;
FRDC_P = FRDC;
FRD1_P = FRD1;
FRD2_P = FRD2;
FRD3_P = FRD3;
FRD4_P = FRD4;
TFRDV_P = TFRDV;
TFRDC_P = TFRDC;
TFRD1_P = TFRD1;
TFRD2_P = TFRD2;
TFRD3_P = TFRD3;
TFRD4_P = TFRD4;
SOMMEBA_P = SOMMEBA;
SOMMEBIC_P = SOMMEBIC;
SOMMELOC_P = SOMMELOC;
SOMMEBNC_P = SOMMEBNC;
SOMMERF_P = SOMMERF;
SOMMERCM_P = SOMMERCM;
TSBV_P = TSBV;
TSBC_P = TSBC;
TSB1_P = TSB1;
TSB2_P = TSB2;
TSB3_P = TSB3;
TSB4_P = TSB4;
TSBP_P = TSB1 +TSB2 +TSB3 + TSB4;
TTSBV_P = TTSBV;
TTSBC_P = TTSBC;
TTSB1_P = TTSB1;
TTSB2_P = TTSB2;
TTSB3_P = TTSB3;
TTSB4_P = TTSB4;
TDFANTPROV_P=TDFANTPROV;
RRCM_P = RRCM;
REVRCM_P = REVRCM;
RRFI_P = RRFI;
REVRF_P = REVRF;
RBAT_P = RBAT;
BAQTOTAVIS_P = BAQTOTAVIS;
BICNPF_P = BICNPF;
BNCIF_P = BNCIF;
BAHREV_P = BAHREV;
4BAHREV_P = 4BAHREV;
BAHREC_P = BAHREC;
4BAHREC_P = 4BAHREC;
BAHREP_P = BAHREP;
4BAHREP_P = 4BAHREP;
BACREV_P = BACREV;
4BACREV_P = 4BACREV;
BACREC_P = BACREC;
4BACREC_P = 4BACREC;
BACREP_P = BACREP;
4BACREP_P = 4BACREP;
LOCNPCGAV_P = LOCNPCGAV;
LOCGITCV_P = LOCGITCV;
LOCNPCGAC_P = LOCNPCGAC;
LOCGITCC_P = LOCGITCC;
LOCNPCGAPAC_P = LOCNPCGAPAC;
LOCGITCP_P = LOCGITCP;
LOCNPV_P = LOCNPV;
LOCNPC_P = LOCNPC;
LOCNPPAC_P = LOCNPPAC;
BNHREV_P = BNHREV;
BNHREC_P = BNHREC;
BNHREP_P = BNHREP;
BNCREV_P = BNCREV;
BNCREC_P = BNCREC;
BNCREP_P = BNCREP;
BNCAABV_P = BNCAABV;
BNCAABC_P = BNCAABC;
BNCAABP_P = BNCAABP;
LOCGITHCV_P = LOCGITHCV;
LOCGITHCC_P = LOCGITHCC;
LOCGITHCP_P = LOCGITHCP;
RFDHIS_P = RFDHIS;
DFRCMNBIS_P = DFRCMNBIS;
TSPRV_P = TSPRV;
TSPRC_P = TSPRC;
TSPRP_P = TSPRP;
ESFP_P = ESFP;
TSPR_P = TSPR;
RCM_P = RCM1;
BIN_P = BIN;
BNN_P = BNN;
NPLOCNETF_P = NPLOCNETF;
BRCMTOT_P = BRCMTOT;
DFBICNPF_P = DFBICNPF;
DEFNPI_P = DEFNPI;
DEFLOCNP_P = DEFLOCNP;
DNPLOCIMPU_P = DNPLOCIMPU;
DEFBNCNP_P = DEFBNCNP;
DEFBNCNP470_P = DEFBNCNP470;
DIDABNCNP1_P = DIDABNCNP1;
DEFBANI_P = DEFBANI;
DEFBANI470_P = DEFBANI470;
DEFBANI470BIS_P = DEFBANI470BIS;
DEFBANIH470_P = DEFBANIH470;
REPRCMB_P = REPRCMB;
BRCM_P = BRCMBIS;
BRCMQ_P = BRCMQ;
DEF4BB_P = DEF4BB;
DEF4BD_P = DEF4BD;
DEFRFNONI_P= DEFRFNONIBIS;
DFANTPROV_P = DFANTPROV;
DAGRIIMP_P = DAGRIIMP;
TOTALQUO_P = TOTALQUO;
TDEFNPI_P = TDEFNPI;
TDEFBNCNP_P = TDEFBNCNP;
TDFBICNPF_P = TDFBICNPF;
TDIDABNCNP1_P = TDIDABNCNP1;
TSHBA_P=TSHBA;
DEFBA_P = DEFBA;
DLMRN_P = DLMRNT;
DEFLOC_P = DEFLOC;
BNCDF_P = BNCDF;
RNIDF_P = RNIDF;
TBNCDF_P = TBNCDF;
DLMRN7_P = DLMRN7;
DEFBA7_P = DEFBA7;
DEFLOC11_P = DEFLOC11;
BNCDF7_P = BNCDF7;
RNIDF6_P = RNIDF6;
SHBA_P = SHBA;
RDONIFI_P = RDONIFI_1;
RDONIFI2_P = RDONIFI2_1;
REFRH1_P = RFRH1 ;
REFRH2_P = RFRH2 ;
BSURV_P=BSURV;
BRENOV_P=BRENOV;
IR9YI_P = IR9YI;
TAXA9YI_P = TAXA9YI;
CAP9YI_P = CAP9YI;
CHR9YI_P = CHR9YI;
CS9YP_P = CS9YP;
RD9YP_P = RD9YP;
PS9YP_P = PS9YP;
CDIS9YP_P = CDIS9YP;
RSE19YP_P = RSE19YP;
RSE29YP_P = RSE29YP;
RSE39YP_P = RSE39YP;
RSE49YP_P = RSE49YP;
RSE59YP_P = RSE59YP;
RSE69YP_P = RSE69YP;
RSE89YP_P = RSE89YP;
CVN9YP_P = CVN9YP;
GLO9YP_P = GLO9YP;
C8209YP_P = C8209YP;

APRESSE_P=APRESSE;
RPRESSE_P=RPRESSE;
AFORET_P=AFORET;
RFORET_P=RFORET;
AFIPDOM_P=AFIPDOM;
RFIPDOM_P=RFIPDOM;
AFIPC_P=AFIPC;
RFIPC_P=RFIPC;
BSURV_P=BSURV;
RSURV_P=RSURV;
ACINE_P=ACINE;
RCINE_P=RCINE;
ASOUFIP_P=ASOUFIP;
RSOUFIP_P=RSOUFIP;
BRENOV_P=BRENOV;
RRIRENOV_P=RRIRENOV;
ACOMP_P=ACOMP;
RCOMP_P=RCOMP;
ADUFREPFK_P=ADUFREPFK;
ADUFREPFR_P=ADUFREPFR;
ADUFREPFV_P=ADUFREPFV;
ADUFREPFW_P=ADUFREPFW;
ADUFREPFX_P=ADUFREPFX;
ADUFREPFU_P=ADUFREPFU;
APIREPBI_P=APIREPBI;
APIREPDI_P=APIREPDI;
APIREPCZ_P=APIREPCZ;
APIREPEZ_P=APIREPEZ;
APIREPRZ_P=APIREPRZ;
APIREPTZ_P=APIREPTZ;
APIREPRA_P=APIREPRA;
APIREPRB_P=APIREPRB;
APIREPRC_P=APIREPRC;
APIREPRD_P=APIREPRD;
APIREPRE_P=APIREPRE;
APIREPRF_P=APIREPRF;
APIREPRG_P=APIREPRG;
APIREPRH_P=APIREPRH;
APIREPJM_P=APIREPJM;
APIREPKM_P=APIREPKM;
APIREPLM_P=APIREPLM;
APIREPMM_P=APIREPMM;
APIREPJN_P=APIREPJN;
APIREPJO_P=APIREPJO;
APIREPJP_P=APIREPJP;
APIREPJQ_P=APIREPJQ;
APIJV_P=APIJV;
APIJW_P=APIJW;
APIJX_P=APIJX;
APIJY_P=APIJY;
APISX_P=APISX;
APISY_P=APISY;
APIRI_P=APIRI;
APIRJ_P=APIRJ;
APIUY_P=APIUY;
APIUZ_P=APIUZ;
ANORMJA_P=ANORMJA;
ANORMJB_P=ANORMJB;
ANORMJC_P=ANORMJC;
ANORMJD_P=ANORMJD;
ANORMJR_P=ANORMJR;
ANORMJS_P=ANORMJS;
ANORMJT_P=ANORMJT;
ANORMJU_P=ANORMJU;
ANORMLG_P=ANORMLG;
ANORMLH_P=ANORMLH;
ANORMLI_P=ANORMLI;
ANORMLJ_P=ANORMLJ;
RDUFREP_P=RDUFREP;
RPIREPBI_P=RPIREPBI;
RPIREPDI_P=RPIREPDI;
RPIREPCZ_P=RPIREPCZ;
RPIREPEZ_P=RPIREPEZ;
RPIREPRZ_P=RPIREPRZ;
RPIREPTZ_P=RPIREPTZ;
RPIREPRA_P=RPIREPRA;
RPIREPRB_P=RPIREPRB;
RPIREPRC_P=RPIREPRC;
RPIREPRD_P=RPIREPRD;
RPIREPRE_P=RPIREPRE;
RPIREPRF_P=RPIREPRF;
RPIREPRG_P=RPIREPRG;
RPIREPRH_P=RPIREPRH;
RPIREPJM_P=RPIREPJM;
RNORMJA_P=RNORMJA;
RPIREPKM_P=RPIREPKM;
RNORMJB_P=RNORMJB;
RPIREPLM_P=RPIREPLM;
RNORMJC_P=RNORMJC;
RPIREPMM_P=RPIREPMM;
RNORMJD_P=RNORMJD;
RPIJN_P=RPIJN;
RNORMJR_P=RNORMJR;
RPIJO_P=RPIJO;
RNORMJS_P=RNORMJS;
RPIJP_P=RPIJP;
RNORMJT_P=RNORMJT;
RPIJQ_P=RPIJQ;
RNORMJU_P=RNORMJU;
RPIJV_P=RPIJV;
RNORMLG_P=RNORMLG;
RPIJW_P=RPIJW;
RNORMLH_P=RNORMLH;
RPIJX_P=RPIJX;
RNORMLI_P=RNORMLI;
RPIJY_P=RPIJY;
RNORMLJ_P=RNORMLJ;
RPISX_P=RPISX;
RPISY_P=RPISY;
RPIRI_P=RPIRI;
RPIRJ_P=RPIRJ;
RPIUY_P=RPIUY;
RPIUZ_P=RPIUZ;
RPIQQ_P=RPIQQ;
RNOND_P=RNOND;
RPIQD_P=RPIQD;
RNONH_P=RNONH;
RPIQL_P=RPIQL;
RNONL_P=RNONL;
RPIQP_P=RPIQP;
RNOPG_P=RNOPG;
RPIQY_P=RPIQY;
RNONC_P=RNONC;
RPIQC_P=RPIQC;
RNONG_P=RNONG;
RPIQK_P=RPIQK;
RNONK_P=RNONK;
RPIQO_P=RPIQO;
RNOPF_P=RNOPF;
RPIQX_P=RPIQX;
RNONB_P=RNONB;
RPIQB_P=RPIQB;
RNONF_P=RNONF;
RPIQJ_P=RPIQJ;
RNONJ_P=RNONJ;
RPIQN_P=RPIQN;
RNONN_P=RNONN;
RPIQW_P=RPIQW;
RNONA_P=RNONA;
RPIQA_P=RPIQA;
RNONE_P=RNONE;
RPIQI_P=RPIQI;
RNONI_P=RNONI;
RPIQM_P=RPIQM;
RNONM_P=RNONM;
RPIRX_P=RPIRX;
RPIRY_P=RPIRY;
RPIRP_P=RPIRP;
RPIRQ_P=RPIRQ;
RCELRREDLQ_P=RCELRREDLQ;
RCELRREDLR_P=RCELRREDLR;
RCELRREDLU_P=RCELRREDLU;
RCELRREDLV_P=RCELRREDLV;
RCELLA_P=RCELLA;
RCELLB_P=RCELLB;
RCELLC_P=RCELLC;
RCELLY_P=RCELLY;
RCELMS_P=RCELMS;
RCELMT_P=RCELMT;
RCELMU_P=RCELMU;
RCELMV_P=RCELMV;
RCELMO_P=RCELMO;
RCELMP_P=RCELMP;
RCELMQ_P=RCELMQ;
RCELMR_P=RCELMR;
RCELMA_P=RCELMA;
RCELMB_P=RCELMB;
RCELMC_P=RCELMC;
RCELMD_P=RCELMD;
RCELMI_P=RCELMI;
RCELMJ_P=RCELMJ;
RCELMK_P=RCELMK;
RCELML_P=RCELML;
RCELZP_P=RCELZP;
RCELZO_P=RCELZO;
RCELXP_P=RCELXP;
RCELXO_P=RCELXO;
RCELXQ_P=RCELXQ;
RCELYI_P=RCELYI;
RCELYJ_P=RCELYJ;
RCELYK_P=RCELYK;
RCELYL_P=RCELYL;
RCELZI_P=RCELZI;
RCELZJ_P=RCELZJ;
RCELZK_P=RCELZK;
RCELZL_P=RCELZL;
RCELUU_P=RCELUU;
RCELUV_P=RCELUV;
RCELUW_P=RCELUW;
RCELUX_P=RCELUX;
RCELRK_P=RCELRK;
RCELRL_P=RCELRL;
RCELRM_P=RCELRM;
RCELRN_P=RCELRN;
RCELHZ_P=RCELHZ;
RCELKC_P=RCELKC;
RCELPC_P=RCELPC;
RCELKT_P=RCELKT;
RCELKD_P=RCELKD;
RCELPD_P=RCELPD;
RCELKU_P=RCELKU;
RCELPE_P=RCELPE;
RCELKV_P=RCELKV;
ACELREPYP_P=ACELREPYP;
ACELREPYO_P=ACELREPYO;
ACELREPYN_P=ACELREPYN;
ACELREPYM_P=ACELREPYM;
ACELREPYW_P=ACELREPYW;
ACELREPYV_P=ACELREPYV;
ACELREPYU_P=ACELREPYU;
ACELREPYT_P=ACELREPYT;
ACELREPWW_P=ACELREPWW;
ACELREPWV_P=ACELREPWV;
ACELREPWU_P=ACELREPWU;
ACELREPWT_P=ACELREPWT;
ACELRU_P=ACELRU;
ACELRT_P=ACELRT;
RCELREPYP_P=RCELREPYP;
RCELREPYO_P=RCELREPYO;
RCELREPYN_P=RCELREPYN;
RCELREPYM_P=RCELREPYM;
RCELREPYW_P=RCELREPYW;
RCELREPYV_P=RCELREPYV;
RCELREPYU_P=RCELREPYU;
RCELREPYT_P=RCELREPYT;
RCELREPWW_P=RCELREPWW;
RCELREPWV_P=RCELREPWV;
RCELREPWU_P=RCELREPWU;
RCELREPWT_P=RCELREPWT;
RCELRU_P=RCELRU;
RCELRT_P=RCELRT;
ACELXA_P=ACELXA;
ACELXB_P=ACELXB;
ACELYS_P=ACELYS;
ACELXC_P=ACELXC;
ACELXL_P=ACELXL;
ACELQE_P=ACELQE;
ACELPI_P=ACELPI;
ACELPJ_P=ACELPJ;
ACELXM_P=ACELXM;
ACELXN_P=ACELXN;
ACELYA_P=ACELYA;
ACELYC_P=ACELYC;
ACELYG_P=ACELYG;
ACELYR_P=ACELYR;
ACELAU_P=ACELAU;
ACELAB_P=ACELAB;
ACELAD_P=ACELAD;
ACELAF_P=ACELAF;
ACELAH_P=ACELAH;
ACELAP_P=ACELAP;
ACELAR_P=ACELAR;
ACELAS_P=ACELAS;
ACELAT_P=ACELAT;
RCELXB_P=RCELXB;
RCELXA_P=RCELXA;
RCELXL_P=RCELXL;
RCELXC_P=RCELXC;
RCELYS_P=RCELYS;
RCELPJ_P=RCELPJ;
RCELPI_P=RCELPI;
RCELQE_P=RCELQE;
RCELXM_P=RCELXM;
RCELXN_P=RCELXN;
RCELYA_P=RCELYA;
RCELYC_P=RCELYC;
RCELYG_P=RCELYG;
RCELYR_P=RCELYR;
RCELAF_P=RCELAF;
RCELAD_P=RCELAD;
RCELAU_P=RCELAU;
RCELAH_P=RCELAH;
RCELAI_P=RCELAI;
RCELAP_P=RCELAP;
RCELAR_P=RCELAR;
RCELAS_P=RCELAS;
RCELAT_P=RCELAT;
ACELZM_P=ACELZM;
ACELGS_P=ACELGS;
ACELGU_P=ACELGU;
ACELGX_P=ACELGX;
ACELWX_P=ACELWX;
ACELWY_P=ACELWY;
ACELWZ_P=ACELWZ;
RCELZM_P=RCELZM;
RCELGS_P=RCELGS;
RCELGU_P=RCELGU;
RCELGX_P=RCELGX;
RCELWX_P=RCELWX;
RCELWY_P=RCELWY;
RCELWZ_P=RCELWZ;
ACELHA_P=ACELHA;
ACELHJ_P=ACELHJ;
ACELHK_P=ACELHK;
ACELHN_P=ACELHN;
ACELHY_P=ACELHY;
RCELHA_P=RCELHA;
RCELHJ_P=RCELHJ;
RCELHK_P=RCELHK;
RCELHN_P=RCELHN;
RCELHY_P=RCELHY;
ACELSR_P=ACELSR;
ACELYZ_P=ACELYZ;
ACELSL_P=ACELSL;
ACELSQ_P=ACELSQ;
ACELYX_P=ACELYX;
ACELYY_P=ACELYY;
ACELSH_P=ACELSH;
ACELSI_P=ACELSI;
ACELSJ_P=ACELSJ;
ACELSK_P=ACELSK;
ACELXH_P=ACELXH;
ACELXI_P=ACELXI;
ACELXJ_P=ACELXJ;
ACELXK_P=ACELXK;
ACELIA_P=ACELIA;
ACELIB_P=ACELIB;
ACELIC_P=ACELIC;
ACELIE_P=ACELIE;
ACELKJ_P=ACELKJ;
ACELKL_P=ACELKL;
ACELKN_P=ACELKN;
ACELSD_P=ACELSD;
ACELSE_P=ACELSE;
ACELSF_P=ACELSF;
ACELSG_P=ACELSG;
ACELWD_P=ACELWD;
ACELWE_P=ACELWE;
ACELWF_P=ACELWF;
ACELWG_P=ACELWG;
ACELIF_P=ACELIF;
ACELIG_P=ACELIG;
ACELIH_P=ACELIH;
ACELIO_P=ACELIO;
ACELKO_P=ACELKO;
ACELKQ_P=ACELKQ;
ACELKR_P=ACELKR;
ACELIP_P=ACELIP;
ACELWC_P=ACELWC;
ACELKS_P=ACELKS;
RCELSR_P=RCELSR;
RCELYZ_P=RCELYZ;
RCELSL_P=RCELSL;
RCELSQ_P=RCELSQ;
RCELYX_P=RCELYX;
RCELYY_P=RCELYY;
RCELSH_P=RCELSH;
RCELSI_P=RCELSI;
RCELSJ_P=RCELSJ;
RCELSK_P=RCELSK;
RCELXH_P=RCELXH;
RCELXI_P=RCELXI;
RCELXJ_P=RCELXJ;
RCELXK_P=RCELXK;
RCELIA_P=RCELIA;
RCELIB_P=RCELIB;
RCELIC_P=RCELIC;
RCELIE_P=RCELIE;
RCELKJ_P=RCELKJ;
RCELKL_P=RCELKL;
RCELKN_P=RCELKN;
RCELSD_P=RCELSD;
RCELSE_P=RCELSE;
RCELSF_P=RCELSF;
RCELSG_P=RCELSG;
RCELWD_P=RCELWD;
RCELWE_P=RCELWE;
RCELWF_P=RCELWF;
RCELWG_P=RCELWG;
RCELIF_P=RCELIF;
RCELIG_P=RCELIG;
RCELIH_P=RCELIH;
RCELIO_P=RCELIO;
RCELKO_P=RCELKO;
RCELKQ_P=RCELKQ;
RCELKR_P=RCELKR;
RCELIP_P=RCELIP;
RCELWC_P=RCELWC;
RCELKS_P=RCELKS;
ACELIQ_P=ACELIQ;
ACELHL_P=ACELHL;
ACELHM_P=ACELHM;
ACELLD_P=ACELLD;
ACELLE_P=ACELLE;
ACELLF_P=ACELLF;
ACELLN_P=ACELLN;
ACELBA_P=ACELBA;
ACELBB_P=ACELBB;
ACELBC_P=ACELBC;
ACELBD_P=ACELBD;
ACELLT_P=ACELLT;
ACELLX_P=ACELLX;
ACELLZ_P=ACELLZ;
ACELMG_P=ACELMG;
ACELBE_P=ACELBE;
ACELBF_P=ACELBF;
ACELBG_P=ACELBG;
ACELBH_P=ACELBH;
ACELMH_P=ACELMH;
ACELBJ_P=ACELBJ;
RCELIQ_P=RCELIQ;
RCELHL_P=RCELHL;
RCELHM_P=RCELHM;
RCELLD_P=RCELLD;
RCELLE_P=RCELLE;
RCELLF_P=RCELLF;
RCELLN_P=RCELLN;
RCELBA_P=RCELBA;
RCELBB_P=RCELBB;
RCELBC_P=RCELBC;
RCELBD_P=RCELBD;
RCELLT_P=RCELLT;
RCELLX_P=RCELLX;
RCELLZ_P=RCELLZ;
RCELMG_P=RCELMG;
RCELBE_P=RCELBE;
RCELBF_P=RCELBF;
RCELBG_P=RCELBG;
RCELBH_P=RCELBH;
RCELMH_P=RCELMH;
RCELBJ_P=RCELBJ;
ACELREPYM_P=ACELREPYM;
ACELREPYT_P=ACELREPYT;
ACELREPWT_P=ACELREPWT;
ACELRT_P=ACELRT;
RCELREPYM_P=RCELREPYM;
RCELREPYT_P=RCELREPYT;
RCELREPWT_P=RCELREPWT;
RCELRT_P=RCELRT;
ACELREPYN_P=ACELREPYN;
ACELREPYU_P=ACELREPYU;
ACELREPWU_P=ACELREPWU;
ACELRU_P=ACELRU;
RCELREPYN_P=RCELREPYN;
RCELREPYU_P=RCELREPYU;
RCELREPWU_P=RCELREPWU;
RCELRU_P=RCELRU;
ACELREPYO_P=ACELREPYO;
ACELREPYV_P=ACELREPYV;
ACELREPWV_P=ACELREPWV;
RCELREPYO_P=RCELREPYO;
RCELREPYV_P=RCELREPYV;
RCELREPWV_P=RCELREPWV;
ACELREPYP_P=ACELREPYP;
ACELREPYW_P=ACELREPYW;
ACELREPWW_P=ACELREPWW;
RCELREPYP_P=RCELREPYP;
RCELREPYW_P=RCELREPYW;
RCELREPWW_P=RCELREPWW;
ACELXB_P=ACELXB;
ACELXL_P=ACELXL;
ACELPJ_P=ACELPJ;
ACELAF_P=ACELAF;
RCELSQ_P=RCELSQ;
RCELSR_P=RCELSR;
RCELYY_P=RCELYY;
RCELYZ_P=RCELYZ;
RCELXB_P=RCELXB;
RCELXL_P=RCELXL;
RCELPJ_P=RCELPJ;
RCELAF_P=RCELAF;
ACELXA_P= ACELXA;
ACELXC_P= ACELXC;
ACELPI_P=ACELPI;
ACELXM_P=ACELXM;
ACELYC_P=ACELYC;
ACELAD_P=ACELAD;
ACELAH_P=ACELAH;
ACELAR_P=ACELAR;
RCELSI_P=RCELSI;
RCELSL_P=RCELSL;
RCELXI_P=RCELXI;
RCELYX_P=RCELYX;
RCELIB_P=RCELIB;
RCELXA_P=RCELXA;
RCELXC_P=RCELXC;
RCELPI_P=RCELPI;
RCELXM_P=RCELXM;
RCELYC_P=RCELYC;
RCELAD_P=RCELAD;
RCELAH_P=RCELAH;
RCELAR_P=RCELAR;
ACELYS_P=ACELYS;
ACELXN_P=ACELXN;
ACELYG_P=ACELYG;
ACELAB_P=ACELAB;
ACELAI_P=ACELAI;
ACELAS_P=ACELAS;
RCELSE_P=RCELSE;
RCELSH_P=RCELSH;
RCELSJ_P=RCELSJ;
RCELSK_P=RCELSK;
RCELWE_P=RCELWE;
RCELXH_P=RCELXH;
RCELXJ_P=RCELXJ;
RCELXK_P=RCELXK;
RCELIA_P=RCELIA;
RCELIC_P=RCELIC;
RCELIG_P=RCELIG;
RCELKJ_P=RCELKJ;
RCELKL_P=RCELKL;
RCELYS_P=RCELYS;
RCELXN_P=RCELXN;
RCELYG_P=RCELYG;
RCELAB_P=RCELAB;
RCELAI_P=RCELAI;
RCELAS_P=RCELAS;
ACELQE_P=ACELQE;
ACELYA_P=ACELYA;
ACELYR_P=ACELYR;
ACELAU_P=ACELAU;
ACELAP_P=ACELAP;
ACELAT_P=ACELAT;
RCELSD_P=RCELSD;
RCELSF_P=RCELSF;
RCELSG_P=RCELSG;
RCELWC_P=RCELWC;
RCELWD_P=RCELWD;
RCELWF_P=RCELWF;
RCELWG_P=RCELWG;
RCELIE_P=RCELIE;
RCELIF_P=RCELIF;
RCELIH_P=RCELIH;
RCELIO_P=RCELIO;
RCELIP_P=RCELIP;
RCELKN_P=RCELKN;
RCELKO_P=RCELKO;
RCELKQ_P=RCELKQ;
RCELKR_P=RCELKR;
RCELKS_P=RCELKS;
RCELQE_P=RCELQE;
RCELYA_P=RCELYA;
RCELYR_P=RCELYR;
RCELAU_P=RCELAU;
RCELAP_P=RCELAP;
RCELAT_P=RCELAT;
ACELHA_P=ACELHA;
ACELHK_P=ACELHK;
ACELGS_P=ACELGS;
ACELWX_P=ACELWX;
RCELHL_P=RCELHL;
RCELLE_P=RCELLE;
RCELBB_P=RCELBB;
RCELHA_P=RCELHA;
RCELHK_P=RCELHK;
RCELGS_P=RCELGS;
RCELWX_P=RCELWX;
ACELHJ_P=ACELHJ;
ACELHN_P=ACELHN;
ACELGU_P=ACELGU;
ACELWY_P=ACELWY;
RCELLD_P=RCELLD;
RCELLF_P=RCELLF;
RCELLN_P=RCELLN;
RCELLX_P=RCELLX;
RCELLX_P=RCELBA;
RCELBC_P=RCELBC;
RCELBD_P=RCELBD;
RCELBF_P=RCELBF;
RCELHJ_P=RCELHJ;
RCELHN_P=RCELHN;
RCELGU_P=RCELGU;
RCELWY_P=RCELWY;
ACELHY_P=ACELHY;
ACELGX_P=ACELGX;
ACELWZ_P=ACELWZ;
RCELLT_P=RCELLT;
RCELLZ_P=RCELLZ;
RCELMG_P=RCELMG;
RCELMH_P=RCELMH;
RCELBE_P=RCELBE;
RCELBG_P=RCELBG;
RCELBH_P=RCELBH;
RCELBJ_P=RCELBJ;
RCELHY_P=RCELHY;
RCELGX_P=RCELGX;
RCELWZ_P=RCELWZ;
ACELZM_P=ACELZM;
RCELIQ_P=RCELIQ;
RCELHM_P=RCELHM;
RCELZM_P=RCELZM;
BAH_P=BAH;
RHEBE_P=RHEBE;
BAALIM_P=BAALIM;
RREPA_P=RREPA;
RLOCANAH_P=RLOCANAH;
BADONJ_P=BADONJ;
RDONDJ_P=RDONDJ;
BSN1_P=BSN1;
BSN2_P=BSN2;
RSNCR_P=RSNCR;
RSNCV_P=RSNCV;
RSNCS_P=RSNCS;
RSNCX_P=RSNCX;
RSNCA_P=RSNCA;
RSNDC_P=RSNDC;
RSNCT_P=RSNCT;
RSNCH_P=RSNCH;
RSNCI_P=RSNCI;
RSNBS_P=RSNBS;
RSNBT_P=RSNBT;
RSNGW_P=RSNGW;
APENTCY_P=APENTCY;
RPENTCY_P=RPENTCY;
APENTDY_P=APENTDY;
RPENTDY_P=RPENTDY;
APENTEY_P=APENTEY;
RPENTEY_P=RPENTEY;
APENTFY_P=APENTFY;
RPENTFY_P=RPENTFY;
APENTGY_P=APENTGY;
RPENTGY_P=RPENTGY;
APENTEK_P=APENTEK;
RPENTEK_P=RPENTEK;
AILMPK_P=AILMPK;
AILMPP_P=AILMPP;
AILMPU_P=AILMPU;
AILMHO_P=AILMHO;
AILMHT_P=AILMHT;
AILMHD_P=AILMHD;
AILMPL_P=AILMPL;
AILMPQ_P=AILMPQ;
AILMPV_P=AILMPV;
AILMHP_P=AILMHP;
AILMHU_P=AILMHU;
AILMHE_P=AILMHE;
AILMPM_P=AILMPM;
AILMPR_P=AILMPR;
AILMPW_P=AILMPW;
AILMHQ_P=AILMHQ;
AILMHV_P=AILMHV;
AILMHF_P=AILMHF;
AILMPN_P=AILMPN;
AILMPS_P=AILMPS;
AILMPX_P=AILMPX;
AILMHR_P=AILMHR;
AILMHW_P=AILMHW;
AILMHG_P=AILMHG;
AILMPO_P=AILMPO;
AILMPT_P=AILMPT;
AILMPY_P=AILMPY;
AILMHS_P=AILMHS;
AILMHX_P=AILMHX;
AILMHH_P=AILMHH;
AILMKE_P=AILMKE;
AILMKF_P=AILMKF;
AILMKG_P=AILMKG;
AILMKH_P=AILMKH;
AILMKI_P=AILMKI;
AILMOJ_P=AILMOJ;
AILMOI_P=AILMOI;
AILMOH_P=AILMOH;
AILMOG_P=AILMOG;
AILMOF_P=AILMOF;
AILMOO_P=AILMOO;
AILMON_P=AILMON;
AILMOM_P=AILMOM;
AILMOL_P=AILMOL;
AILMOK_P=AILMOK;
AILMOT_P=AILMOT;
AILMOS_P=AILMOS;
AILMOR_P=AILMOR;
AILMOQ_P=AILMOQ;
AILMOP_P=AILMOP;
AILMSA_P=AILMSA;
AILMSB_P=AILMSB;
AILMSC_P=AILMSC;
AILMSN_P=AILMSN;
AILMSO_P=AILMSO;
AILMSP_P=AILMSP;
AILMSM_P=AILMSM;
AILMSS_P=AILMSS;
RILMPP_P=RILMPP;
RILMPQ_P=RILMPQ;
RILMPR_P=RILMPR;
RILMPS_P=RILMPS;
RILMPT_P=RILMPT;
RILMPU_P=RILMPU;
RILMPV_P=RILMPV;
RILMPW_P=RILMPW;
RILMPX_P=RILMPX;
RILMPY_P=RILMPY;
RILMHO_P=RILMHO;
RILMHP_P=RILMHP;
RILMHQ_P=RILMHQ;
RILMHR_P=RILMHR;
RILMHS_P=RILMHS;
RILMHT_P=RILMHT;
RILMHU_P=RILMHU;
RILMHV_P=RILMHV;
RILMHW_P=RILMHW;
RILMHX_P=RILMHX;
RILMHD_P=RILMHD;
RILMHE_P=RILMHE;
RILMHF_P=RILMHF;
RILMHG_P=RILMHG;
RILMHH_P=RILMHH;
RILMKE_P=RILMKE;
RILMKF_P=RILMKF;
RILMKG_P=RILMKG;
RILMKH_P=RILMKH;
RILMKI_P=RILMKI;
RILMOJ_P=RILMOJ;
RILMOI_P=RILMOI;
RILMOH_P=RILMOH;
RILMOG_P=RILMOG;
RILMOF_P=RILMOF;
RILMOO_P=RILMOO;
RILMON_P=RILMON;
RILMOM_P=RILMOM;
RILMOL_P=RILMOL;
RILMOK_P=RILMOK;
RILMOT_P=RILMOT;
RILMOS_P=RILMOS;
RILMOR_P=RILMOR;
RILMOQ_P=RILMOQ;
RILMOP_P=RILMOP;
RILMSC_P=RILMSC;
RILMSB_P=RILMSB;
RILMSA_P=RILMSA;
RILMSO_P=RILMSO;
RILMSN_P=RILMSN;
RILMSP_P=RILMSP;
RILMSM_P=RILMSM;
RILMSS_P=RILMSS;
ACODMN_P=ACODMN;
ACODMW_P=ACODMW;
ACODMZ_P=ACODMZ;
ACODPZ_P=ACODPZ;
ACODOY_P=ACODOY;
ACODOX_P=ACODOX;
ACODOW_P=ACODOW;
ACODJZ_P=ACODJZ;
ALOCIDEFG_P=ALOCIDEFG;
ARESINEUV_P=ARESINEUV;
ARESIVIEU_P=ARESIVIEU;
RCODIM_P=RCODIM;
RCODIN_P=RCODIN;
RCODIJ_P=RCODIJ;
RCODID_P=RCODID;
RCODJZ_P=RCODJZ;
RCODOW_P=RCODOW;
RCODOX_P=RCODOX;
RCODOY_P=RCODOY;
RCODPZ_P=RCODPZ;
RCODMZ_P=RCODMZ;
RCODMW_P=RCODMW;
RCODMN_P=RCODMN;
BSOCREP_P=BSOCREP;
RSOCREPR_P=RSOCREPR;
RCOD7KX_P=RCOD7KX;
RCOD7KW_P=RCOD7KW;
RCOD7KZ_P=RCOD7KZ;
RRESTIMONX_P=RRESTIMONX;
RRESTIMONY_P=RRESTIMONY;
ARESTIMO_P=ARESTIMO;
RRESTIMO_P=RRESTIMO;
ARESTIMO1_P=ARESTIMO1;
RRESTIMO1_P=RRESTIMO1;
ADONS_P=ADONS;
RDONS_P=RDONS;
RRETU_P=RRETU;
RINNO_P=RINNO;
BPRESCOMP_P=BPRESCOMP;
RRPRESCOMP_P=RRPRESCOMP;
ACOTFOR_P=ACOTFOR;
RCOTFOR_P=RCOTFOR;
AFOREST_P=AFOREST;
RFOR_P=RFOR;
BDIFAGRI_P=BDIFAGRI;
RDIFAGRI_P=RDIFAGRI;
ALOGDOM_P=ALOGDOM;
ALOGSOC_P=ALOGSOC;
ADOMSOC1_P=ADOMSOC1;
ALOCENT_P=ALOCENT;
ACOLENT_P=ACOLENT;
RRIREP_P=RRIREP;
AREHAB_P=AREHAB;
RREHAB_P=RREHAB;
RMOND_P=RMOND_P;
DMOND_P=DMOND_P;
regle corrective base_anterieure_cor 11:
application : iliad ;
ANTINDIRPS = INDIRPS ;
IND_PASSAGE_A = IND_PASSAGE;
IND_PASSR9901_A = IND_PASSR9901;
IND_PASSAGEISF_A = IND_PASSAGEISF;
IND_PASSR9901ISF_A = IND_PASSR9901ISF;
TXINR_A=TXINR;
TXINRRED22_A=TXINRRED22;
TXINRRED24_A=TXINRRED24;
TXINRREDISF22_A=TXINRREDISF22;
TXINRREDISF24_A=TXINRREDISF24;
TXINR_PA_A = TXINR_PA;
TXINR_PA22_A = TXINR_PA22;
TXINRISF_PA_A = TXINRISF_PA;
TINR_A=TINR*positif(INRIR_NET+INRCSG_NET+INRRDS_NET+INRPSOL_NET+INRCDIS_NET+INRC820_NET +INRGLO_NET+INRTAXA_NET +INRRSE1_NET+INRRSE2_NET+INRRSE3_NET+INRRSE4_NET+INRRSE5_NET+INRRSE6_NET+INRRSE8_NET);
TINRISF_A=TINRISF;
TXINRISF_A=TXINRISF;
RETXISF_A=RETXISF;
TINR_1_A=TINR_1* positif(INRIR_NET_1+INRCSG_NET_1+INRRDS_NET_1+INRPSOL_NET_1+INRCDIS_NET_1+INRC820_NET_1+INRGLO_NET_1+INRTAXA_NET_1+INRRSE1_NET_1+INRRSE2_NET_1+INRRSE3_NET_1+INRRSE4_NET_1+INRRSE5_NET_1+INRRSE6_NET_1+INRRSE8_NET_1);
NBREMOISCS2_A=NBREMOISCS2;
NBREMOISCS222_A=NBREMOISCS222;
NBREMOIS2_A=NBREMOIS2;
NBREMOIS222_A=NBREMOIS222;
NBREMOIS2ISF_A=NBREMOIS2ISF;
NBREMOIS222ISF_A=NBREMOIS222ISF;
INDACOINR_A=positif(SOM9YI);
IND_PASSAGEISF_A = IND_PASSAGEISF;
IND_PASSR9901ISF_A = IND_PASSR9901ISF;
PCSG_A = PCSG;
PRDS_A = PRDS;
PPSOL_A = PPSOL;
PIR_A = PIR;
NAPCR61_A = NAPCR61;


regle corrective base_premier 10800:
application : iliad ;


TAXASSUR_EVT1 = TAXASSUR ;
IPCAPTAXT_EVT1 = IPCAPTAXT ;
IHAUTREVT_EVT1 = IHAUTREVT+CHRPVIMP ;

