#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2023]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2023 
#au titre des revenus perçus en 2022. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
regle corrective base_HR 1311:
application :  iliad ;
IRNIN_R99R = max(0,max(IRNIN_INR,IRNIN_PA-CODCOA))*positif(IND_PASSAGE-1);
CSG_R99R = max(0,max(CSBASE_INR*CSREC,CSG_PA-CODCOB))*positif(IND_PASSAGE-1);
RDS_R99R = max(0,max(RDBASE_INR*CSREC,CRDS_PA-CODCOR))*positif(IND_PASSAGE-1);
PSOL_R99R = max(0,max(PSOLBASE_INR*CSREC,PSOL_PA-CODCOD))*positif(IND_PASSAGE-1);
CDIS_R99R = max(0,max(CDISBASE_INR*CSREC,CDIS_PA-CODCOF))*positif(IND_PASSAGE-1);
TAXA_R99R = max(0,max(TAXABASE_INR,TAXA_PA-CODCOU))*positif(IND_PASSAGE-1);
CHR_R99R = max(0,max(CHRBASE_INR,CHR_PA-CODCOX))*positif(IND_PASSAGE-1);
PCAP_R99R = max(0,max(PCAPBASE_INR,PCAP_PA-CODCOV))*positif(IND_PASSAGE-1);
RSE1_R99R = max(0,max(RSE1BASE_INR,RSE1_PA-CODCOT))*positif(IND_PASSAGE-1);
RSE2_R99R = max(0,max(RSE2BASE_INR,RSE2_PA-CODCOL))*positif(IND_PASSAGE-1);
RSE3_R99R = max(0,max(RSE3BASE_INR,RSE3_PA-CODCOM))*positif(IND_PASSAGE-1);
RSE4_R99R = max(0,max(RSE4BASE_INR,RSE4_PA-CODCOO))*positif(IND_PASSAGE-1);
RSE5_R99R = max(0,max(RSE5BASE_INR,RSE5_PA-CODCOJ))*positif(IND_PASSAGE-1);
RSE6_R99R = max(0,max(RSE6BASE_INR,RSE6_PA-CODCOP))*positif(IND_PASSAGE-1);
RSE8_R99R = max(0,max(RSE8BASE_INR,RSE8_PA-CODCOH))*positif(IND_PASSAGE-1);
CVN_R99R = max(0,max(CVNBASE_INR,CVN_PA-CODCOE))*positif(IND_PASSAGE-1);
GLO_R99R = max(0,max(GLOBASE_INR,GLO_PA-CODCOG))*positif(IND_PASSAGE-1);
C820_R99R = max(0,max(C820BASE_INR,C820_PA-CODCOQ))*positif(IND_PASSAGE-1);
IFI_R99R = max(0,max(IFIBASE_INR,IFI_PA))*positif(IND_PASSAGEISF-1);
regle corrective base_inr_r9901 1313:
application :  iliad ;
IRNIN_R9901 = max(0,max((IRNIN_INR+NIRNIN),IRNIN_INR_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max((IRNIN_INR+NIRNIN),IRNIN_PADO-SOM9YI))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             + IRNIN_R9901_A;
CSG_R9901 = max(0,max((CSBASE_INR+NCSBASE)*CSREC,CSG_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max((CSBASE_INR+NCSBASE)*CSREC,CSG_PADO))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +CSG_R9901_A;
RDS_R9901 = max(0,max((RDBASE_INR+NRDBASE)*CSREC,RDS_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max((RDBASE_INR+NRDBASE)*CSREC,CRDS_PADO))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RDS_R9901_A;
PSOL_R9901 = max(0,max((PSOLBASE_INR+NPSOLBASE)*CSREC,PSOL_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max((PSOLBASE_INR+NPSOLBASE)*CSREC,PSOL_PADO))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +PSOL_R9901_A;
CDIS_R9901 = max(0,max((CDISBASE_INR+NCDISBASE)*CSREC,CDIS_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max((CDISBASE_INR+NCDISBASE)*CSREC,CDIS_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +CDIS_R9901_A;
TAXA_R9901 = max(0,max(TAXABASE_INR+NTAXABASE,TAXA_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(TAXABASE_INR+NTAXABASE,TAXA_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +TAXA_R9901_A;
CHR_R9901 = max(0,max(CHRBASE_INR+NCHRBASE,CHR_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(CHRBASE_INR+NCHRBASE,CHR_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +CHR_R9901_A;
PCAP_R9901 = max(0,max(PCAPBASE_INR+NPCAPBASE,PCAP_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(PCAPBASE_INR+NPCAPBASE,PCAP_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +PCAP_R9901_A;
RSE1_R9901 = max(0,max(RSE1BASE_INR,RSE1_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE1BASE_INR,RSE1_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE1_R9901_A;
RSE2_R9901 = max(0,max(RSE2BASE_INR,RSE2_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE2BASE_INR,RSE2_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE2_R9901_A;
RSE3_R9901 = max(0,max(RSE3BASE_INR,RSE3_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE3BASE_INR,RSE3_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE3_R9901_A;
RSE4_R9901 = max(0,max(RSE4BASE_INR,RSE4_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE4BASE_INR,RSE4_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE4_R9901_A;
RSE5_R9901 = max(0,max(RSE5BASE_INR,RSE5_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE5BASE_INR,RSE5_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE5_R9901_A;
RSE6_R9901 = max(0,max(RSE6BASE_INR,RSE6_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE6BASE_INR,RSE6_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE6_R9901_A;
RSE8_R9901 = max(0,max(RSE8BASE_INR,RSE8_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(RSE8BASE_INR,RSE8_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +RSE8_R9901_A;
CVN_R9901 = max(0,max(CVNBASE_INR+NCVNBASE,CVN_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(CVNBASE_INR+NCVNBASE,CVN_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +CVN_R9901_A;
GLO_R9901 = max(0,max(GLOBASE_INR+NGLOBASE,GLO_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(GLOBASE_INR+NGLOBASE,GLO_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +GLO_R9901_A;
C820_R9901 = max(0,max(C820BASE_INR+NC820BASE,C820_P))*null(IND_PASSR9901-1)*(1-positif(FLAG_DEFAUT))
             + max(0,max(C820BASE_INR+NC820BASE,C820_PA))*null(IND_PASSR9901-2)*positif(FLAG_DEFAUT)
             +C820_R9901_A;
IFI_R9901 = max(0,max(IFIBASE_INR,IFI_P))*null(IND_PASSR9901ISF-2)*(1-positif(FLAG_DEFAUT))
             + max(0,max(IFIBASE_INR,IFI_PA))*null(IND_PASSR9901ISF-3)*positif(FLAG_DEFAUT)
             +IFI_R9901_A;
regle corrective base_inr_ref 1300:
application :  iliad ;
IRNIN_INRREF = max(0 , min(0 , IAN + AVFISCOPTER - IRE - CODCOA + CODZRA) + max(0 , IAN + AVFISCOPTER - IRE - CODCOA + CODZRA) * positif(IAMD1 + 1 + V_ANTREIR - SEUIL_61) - IRANT -IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1) +max(0,NIRNINBIS_A-NIRNINBIS))
               * positif(min(0 , IAN + AVFISCOPTER - IRE - CODCOA + CODZRA) + max(0 , IAN + AVFISCOPTER - IRE - CODCOA + CODZRA) * positif(IAMD1 + 1 + V_ANTREIR - SEUIL_61) - IRANT-IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1) ) ;
TAXABASE_INRREF = arr(max(TAXASSUR -CODCOU-IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1)-TAXA9YI+ min(0,min( 0, IAN + AVFISCOPTER - IRE) + max( 0, IAN + AVFISCOPTER - IRE )  * positif( IAMD1 + 1 + V_ANTREIR - SEUIL_61)
                                           - IRANT-IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1)- IR9YI ),0)) * positif(IAMD1 + 1 + V_ANTREIR - SEUIL_61);
PCAPBASE_INRREF = arr(max(IPCAPTAXT -CODCOV-IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1)-CAP9YI+ min(0,min( 0, IAN + AVFISCOPTER - IRE ) + max( 0, IAN + AVFISCOPTER - IRE )  * positif( IAMD1 + 1 + V_ANTREIR - SEUIL_61)
                                           - IRANT + TAXASSUR-IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1)- IR9YI-TAXA9YI ),0)) * positif(IAMD1 + 1 + V_ANTREIR - SEUIL_61);
CHRBASE_INRREF = arr(max(IHAUTREVT +CHRPVIMP -CODCOX-CHR9YI*null(IND_PASSAGE-1)-max(CHR9YI_P,CHR9YI_PA)*positif(IND_PASSAGE-1)-CHR9YI+ min(0,min( 0, IAN + AVFISCOPTER - IRE) + max( 0, IAN + AVFISCOPTER - IRE)  * positif( IAMD1 + 1 + V_ANTREIR - SEUIL_61)
                                             - IRANT + TAXASSUR + IPCAPTAXT-IR9YI*null(IND_PASSAGE-1)-max(IR9YI_P,IR9YI_PA)*positif(IND_PASSAGE-1)
					     -TAXA9YI*null(IND_PASSAGE-1)-max(TAXA9YI_P,TAXA9YI_PA)*positif(IND_PASSAGE-1)
					     -CAP9YI*null(IND_PASSAGE-1)-max(CAP9YI_P,CAP9YI_PA)*positif(IND_PASSAGE-1)) , 0)) * positif(IAMD1 + 1 + V_ANTREIR - SEUIL_61) ;
IRNIN_REFP = max(0,max(max(0,IRNIN_INRREF)+NIRNIN,((IRNIN_INR_P)*(1-FLAG_PRIM*FLAG_9YT)+max(0,IRNIN_PA))));
TAXA_REFP = max(0,max(TAXABASE_INRREF+NTAXABASE,TAXABASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,TAXA_PA)));
CHR_REFP = max(0,max(CHRBASE_INRREF+NCHRBASE,CHRBASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,CHR_PA)));
PCAP_REFP = max(0,max(PCAPBASE_INRREF+NPCAPBASE,PCAPBASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,PCAP_PA)));
CSG_REFP = max(0,max(max(0, max(0 , CSG - CSGIM - CODCOB)+max(0,NCSBASEBIS_A-NCSBASEBIS)-CS9YP*null(IND_PASSAGE-1)-max(CS9YP_P,CS9YP_PA)*positif(IND_PASSAGE-1)+NCSBASE)*CSRECINR,((CSBASE_INR_P)*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,CSG_PA))));
RDS_REFP = max(0,max(max(0,max(0 , RDSN - CRDSIM - CODCOR)+max(0,NRDBASEBIS_A-NRDBASEBIS)
                                        -RD9YP*null(IND_PASSAGE-1)-max(RD9YP_P,RD9YP_PA)*positif(IND_PASSAGE-1)+NRDBASE)*CSRECINR,((RDBASE_INR_P)*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,CRDS_PA))));
PSOL_REFP = max(0,max(max(0,max(0 , PSOL - PRSPROV - CODCOD)+max(0,NPSOLBASEBIS_A-NPSOLBASEBIS)
                                        -PS9YP*null(IND_PASSAGE-1)-max(PS9YP_P,PS9YP_PA)*positif(IND_PASSAGE-1)+NPSOLBASE)*CSRECINR,((PSOLBASE_INR_P)*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,PSOL_PA))));
CDIS_REFP = max(0,max((max(0,CDIS - CDISPROV  -CODCOF)+NCDISBASE
                                        -CDIS9YP*null(IND_PASSAGE-1)-max(CDIS9YP_P,CDIS9YP_PA)*positif(IND_PASSAGE-1))*CSRECINR,(CDISBASE_INR_P*CSREC_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,CDIS_PA))));
RSE1_REFP = max(0,max(max(0,RSE1N - CSPROVYD -CODCOT)+NRSE1BASE
                                        -RSE19YP*null(IND_PASSAGE-1)-max(RSE19YP_P,RSE19YP_PA)*positif(IND_PASSAGE-1),RSE1BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE1_PA)));
RSE2_REFP = max(0,max(max(0, max(0, RSE8TV - CIRSE8TV - CSPROVYF) + max(0, RSE8SA -CIRSE8SA - CSPROVYN) -CODCOL)+NRSE2BASE
                                        -RSE29YP*null(IND_PASSAGE-1)-max(RSE29YP_P,RSE29YP_PA)*positif(IND_PASSAGE-1),RSE2BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE2_PA)));
RSE3_REFP = max(0,max( max(0,RSE3N - CSPROVYG -CODCOM)-RSE39YP+NRSE3BASE
                                        -RSE39YP*null(IND_PASSAGE-1)-max(RSE39YP_P,RSE39YP_PA)*positif(IND_PASSAGE-1),RSE3BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE3_PA)));
RSE4_REFP = max(0,max(max(0, RSE4N  - CSPROVYH -CODCOO)-RSE49YP+NRSE4BASE
                                        -RSE49YP*null(IND_PASSAGE-1)-max(RSE49YP_P,RSE49YP_PA)*positif(IND_PASSAGE-1),RSE4BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE4_PA)));
RSE5_REFP = max(0,max(max(0,RSE5N - CSPROVYE -CODCOJ)-RSE59YP+NRSE5BASE
                                        -RSE59YP*null(IND_PASSAGE-1)-max(RSE59YP_P,RSE59YP_PA)*positif(IND_PASSAGE-1),RSE5BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE5_PA)));
RSE6_REFP = max(0,max(max(0,RSE6N - COD8YQ -CODCOP)-RSE69YP+NRSE6BASE
                                        -RSE69YP*null(IND_PASSAGE-1)-max(RSE69YP_P,RSE69YP_PA)*positif(IND_PASSAGE-1),RSE6BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE6_PA)));
RSE8_REFP = max(0,max(max(0,RSE8N - COD8YV -COD8YX -CODCOH)-RSE89YP+NRSE8BASE
                                        -RSE89YP*null(IND_PASSAGE-1)-max(RSE89YP_P,RSE89YP_PA)*positif(IND_PASSAGE-1),RSE8BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,RSE8_PA)));
CVN_REFP = max(0,max(max(0,CVNN - COD8YT  -CODCOE)-CVN9YP+NCVNBASE,CVNBASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,CVN_PA)));
GLO_REFP = max(0,max(max(0,CGLOA - COD8YL  -CODCOG)-GLO9YP+NGLOBASE,GLOBASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,GLO_PA)));
C820_REFP = max(0,max(max(0,MCSG820 - COD8ZH -CODCOQ)-C8209YP,C820BASE_INR_P*(1-FLAG_PRIM*FLAG_9YT)+max(0,C820_PA)));
IRNIN_REF= max(max(0,IRNIN_REFP),max(max(0,IRNIN_REF_A-SOM9YI),max(0,IRNIN_INR_A-SOM9YI)));
CSG_REF= max(max(0,CSG_REFP),max(max(0,CSG_REF_A*CSRECA),max(0,CSBASE_INR_A*CSRECA)));
RDS_REF= max(max(0,RDS_REFP),max(max(0,RDS_REF_A*CSRECA),max(0,RDBASE_INR_A*CSRECA)));
PSOL_REF= max(max(0,PSOL_REFP),max(max(0,PSOL_REF_A*CSRECA),max(0,PSOLBASE_INR_A*CSRECA)));
CDIS_REF= max(max(0,CDIS_REFP),max(max(0,CDIS_REF_A*CSRECA),max(0,CDISBASE_INR_A*CSRECA)));
TAXA_REF= max(max(0,TAXA_REFP),max(max(0,TAXA_REF_A),max(0,TAXABASE_INR_A)));
CHR_REF= max(max(0,CHR_REFP),max(max(0,CHR_REF_A),max(0,CHRBASE_INR_A)));
PCAP_REF= max(max(0,PCAP_REFP),max(max(0,PCAP_REF_A),max(0,PCAPBASE_INR_A)));
RSE1_REF= max(max(0,RSE1_REFP),max(max(0,RSE1_REF_A),max(0,RSE1BASE_INR_A)));
RSE2_REF= max(max(0,RSE2_REFP),max(max(0,RSE2_REF_A),max(0,RSE2BASE_INR_A)));
RSE3_REF= max(max(0,RSE3_REFP),max(max(0,RSE3_REF_A),max(0,RSE3BASE_INR_A)));
RSE4_REF= max(max(0,RSE4_REFP),max(max(0,RSE4_REF_A),max(0,RSE4BASE_INR_A)));
RSE5_REF= max(max(0,RSE5_REFP),max(max(0,RSE5_REF_A),max(0,RSE5BASE_INR_A)));
RSE6_REF= max(max(0,RSE6_REFP),max(max(0,RSE6_REF_A),max(0,RSE6BASE_INR_A)));
RSE8_REF= max(max(0,RSE8_REFP),max(max(0,RSE8_REF_A),max(0,RSE8BASE_INR_A)));
CVN_REF= max(max(0,CVN_REFP),max(max(0,CVN_REF_A),max(0,CVNBASE_INR_A)));
GLO_REF= max(max(0,GLO_REFP),max(max(0,GLO_REF_A),max(0,GLOBASE_INR_A)));
C820_REF= max(max(0,C820_REFP),max(max(0,C820_REF_A),max(0,C820BASE_INR_A)));
IRNIN_RECT=max(0,IRNIN_INR+NIRNIN);
IRNIN_R = IRNIN_REF_A;
INDFLAGCIR = positif(FLAG_C02+FLAG_C22) * positif(IRNIN_REF_A);
INDFLAGCCSG = positif(FLAG_C02+FLAG_C22) * positif(CSG_REF_A);
RDS_R = RDS_REF_A;
INDFLAGCRDS = positif(FLAG_C02+FLAG_C22) * positif(RDS_REF_A);
PSOL_R = PSOL_REF_A;
INDFLAGCPSOL = positif(FLAG_C02+FLAG_C22) * positif(PSOL_REF_A);
CDIS_R = CDIS_REF_A;
INDFLAGCCDIS = positif(FLAG_C02+FLAG_C22) * positif(CDIS_REF_A);
TAXA_R = TAXA_REF_A;
INDFLAGCTAXA = positif(FLAG_C02+FLAG_C22) * positif(TAXA_REF_A);
CHR_R = CHR_REF_A;
INDFLAGCCHR = positif(FLAG_C02+FLAG_C22) * positif(CHR_REF_A);
PCAP_R = PCAP_REF_A;
INDFLAGCPCAP = positif(FLAG_C02+FLAG_C22) * positif(PCAP_REF_A);
RSE1_R = RSE1_REF_A;
INDFLAGCRSE1 = positif(FLAG_C02+FLAG_C22) * positif(RSE1_REF_A);
RSE2_R = RSE2_REF_A;
INDFLAGCRSE2 = positif(FLAG_C02+FLAG_C22) * positif(RSE2_REF_A);
RSE3_R = RSE3_REF_A;
INDFLAGCRSE3 = positif(FLAG_C02+FLAG_C22) * positif(RSE3_REF_A);
RSE4_R = RSE4_REF_A;
INDFLAGCRSE4 = positif(FLAG_C02+FLAG_C22) * positif(RSE4_REF_A);
RSE5_R = RSE5_REF_A;
INDFLAGCRSE5 = positif(FLAG_C02+FLAG_C22) * positif(RSE5_REF_A);
RSE6_R = RSE6_REF_A;
INDFLAGCRSE6 = positif(FLAG_C02+FLAG_C22) * positif(RSE6_REF_A);
RSE8_R = RSE8_REF_A;
INDFLAGCRSE8 = positif(FLAG_C02+FLAG_C22) * positif(RSE8_REF_A);
CVN_R = CVN_REF_A;
INDFLAGCCVN = positif(FLAG_C02+FLAG_C22) * positif(CVN_REF_A);
GLO_R = GLO_REF_A;
INDFLAGCGLO = positif(FLAG_C02+FLAG_C22) * positif(GLO_REF_A);
C820_R = C820_REF_A;
INDFLAGCC820 = positif(FLAG_C02+FLAG_C22) * positif(C820_REF_A);
IFI_R = IFI_REF_A;
INDFLAGCIFI = positif(FLAG_C02+FLAG_C22) * positif(IFI_REF_A);
IFI_REFP = max(0,max(IFI4BASE,IFI_P*(1-FLAG_PRIM*FLAG_9XT)+IFI_PA));
IFI_REF= max(IFI_REFP,max(IFI_REF_A,IFIBASE_INR_A));
regle corrective base_inr_ntl 1301:
application :  iliad ;
INRCHR_NTL10 = INRCHR_NTLPROV * null(2 - FLAG_INR);
regle corrective base_inr_intertl 1301999:
application :  iliad ;
INRCHR_TL15 = INRCHR_NTL15 ;
CHR_NTL15 = CHRBASE_INR+NCHRBASE;
IRNIN_NTLDEC = max(0,IRNIN_INR+NIRNIN);
INRIR_NTLDEC = INRIR_NTL+INR_IR_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRIR_NTLADEC = INRIR_NTL_A;
INR_IR_NTL=max(0,INRIR_NTL+INR_IR_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE));
CSG_NTLDEC = max(0,CSBASE_INR+NCSBASE);
INRCSG_NTLDEC = INRCSG_NTL+INR_CSG_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRCSG_NTLADEC = INRCSG_NTL_A;
INR_CSG_NTL=INRCSG_NTL+INR_CSG_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
PSOL_NTLDEC = max(0,PSOLBASE_INR+NPSOLBASE);
INRPSOL_NTLDEC = INRPSOL_NTL+INR_PSOL_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRPSOL_NTLADEC = INRPSOL_NTL_A;
INR_PSOL_NTL=INRPSOL_NTL+INR_PSOL_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
CRDS_NTLDEC = max(0,RDBASE_INR+NRDBASE);
INRCRDS_NTLDEC = INRCRDS_NTL+INR_CRDS_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRCRDS_NTLADEC = INRCRDS_NTL_A;
INR_CRDS_NTL=INRCRDS_NTL+INR_CRDS_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
CDIS_NTLDEC = max(0,CDISBASE_INR+NCDISBASE);
INRCDIS_NTLDEC = INRCDIS_NTL+INR_CDIS_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRCDIS_NTLADEC = INRCDIS_NTL_A;
INR_CDIS_NTL=INRCDIS_NTL+INR_CDIS_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
TAXA_NTLDEC = max(0,TAXABASE_INR+NTAXABASE);
INRTAXA_NTLDEC = INRTAXA_NTL+INR_TAXAGA_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRTAXA_NTLADEC = INRTAXA_NTL_A;
INR_TAXAGA_NTL=INRTAXA_NTL+INR_TAXAGA_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
IFI_NTLDEC = IFI4BASE;
INRIFI_NTLDEC = INRIFI_NTL+INR_IFI_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGEISF);
INRIFI_NTLADEC = INRIFI_NTL_A;
INR_IFI_NTL=INRIFI_NTL+INR_IFI_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGEISF);
CHR_NTLDEC = max(0,CHRBASE_INR+NCHRBASE);
INRCHR_NTLDEC = INRCHR_NTL+INR_CHR_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRCHR_NTLADEC = INRCHR_NTL_A;
INR_CHR_NTL=INRCHR_NTL+INR_CHR_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
PCAP_NTLDEC = max(0,PCAPBASE_INR+NPCAPBASE);
INRPCAP_NTLDEC = INRPCAP_NTL+INR_PCAP_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRPCAP_NTLADEC = INRPCAP_NTL_A;
INR_PCAP_NTL=INRPCAP_NTL+INR_PCAP_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE1_NTLDEC = max(0,RSE1BASE_INR+NRSE1BASE);
INRRSE1_NTLDEC = INRRSE1_NTL+INR_RSE1_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE1_NTLADEC = INRRSE1_NTL_A;
INR_RSE1_NTL=INRRSE1_NTL+INR_RSE1_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE2_NTLDEC = max(0,RSE2BASE_INR+NRSE2BASE);
INRRSE2_NTLDEC = INRRSE2_NTL+INR_RSE2_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE2_NTLADEC = INRRSE2_NTL_A;
INR_RSE2_NTL=INRRSE2_NTL+INR_RSE2_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE3_NTLDEC = max(0,RSE3BASE_INR+NRSE3BASE);
INRRSE3_NTLDEC = INRRSE3_NTL+INR_RSE3_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE3_NTLADEC = INRRSE3_NTL_A;
INR_RSE3_NTL=INRRSE3_NTL+INR_RSE3_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE4_NTLDEC = max(0,RSE4BASE_INR+NRSE4BASE);
INRRSE4_NTLDEC = INRRSE4_NTL+INR_RSE4_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE4_NTLADEC = INRRSE4_NTL_A;
INR_RSE4_NTL=INRRSE4_NTL+INR_RSE4_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE5_NTLDEC = max(0,RSE5BASE_INR+NRSE5BASE);
INRRSE5_NTLDEC = INRRSE5_NTL+INR_RSE5_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE5_NTLADEC = INRRSE5_NTL_A;
INR_RSE5_NTL=INRRSE5_NTL+INR_RSE5_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE6_NTLDEC = max(0,RSE6BASE_INR+NRSE6BASE);
INRRSE6_NTLDEC = INRRSE6_NTL+INR_RSE6_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE6_NTLADEC = INRRSE6_NTL_A;
INR_RSE6_NTL=INRRSE6_NTL+INR_RSE6_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
RSE8_NTLDEC = max(0,RSE8BASE_INR+NRSE8BASE);
INRRSE8_NTLDEC = INRRSE8_NTL+INR_RSE8_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRRSE8_NTLADEC = INRRSE8_NTL_A;
INR_RSE8_NTL=INRRSE8_NTL+INR_RSE8_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
CVN_NTLDEC = max(0,CVNBASE_INR+NCVNBASE);
INRCVN_NTLDEC = INRCVN_NTL+INR_CVN_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRCVN_NTLADEC = INRCVN_NTL_A;
INR_CVN_NTL=INRCVN_NTL+INR_CVN_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
GLO_NTLDEC = max(0,GLOBASE_INR+NGLOBASE);
INRGLO_NTLDEC = INRGLO_NTL+INR_GLO_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRGLO_NTLADEC = INRGLO_NTL_A;
INR_GLO_NTL=INRGLO_NTL+INR_GLO_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
C820_NTLDEC = max(0,C820BASE_INR+NC820BASE);
INRC820_NTLDEC = INRC820_NTL+INR_C820_TARDIF * (1-V_FLAGR22) * null(1-IND_PASSAGE);
INRC820_NTLADEC = INRC820_NTL_A;
INR_C820_NTL=INRC820_NTL+INR_C820_TARDIF * null(1-IND_PASSAGE);
regle corrective base_ABAT98 130111:
application :  iliad ;
DO_INR_IR98 = DO_INR_IR982;
IRNIN_NTLDEC_198 = max(0,IRNIN_INR+NIRNIN);
DO_INR_CSG98 = DO_INR_CSG982;
CSG_NTLDEC_198 = max(0,CSBASE_INR+NCSBASE);
DO_INR_PSOL98 = DO_INR_PSOL982;
PSOL_NTLDEC_198 = max(0,PSOLBASE_INR+NPSOLBASE);
DO_INR_CRDS98 = DO_INR_CRDS982;
CRDS_NTLDEC_198 = max(0,RDBASE_INR+NRDBASE);
DO_INR_CDIS98 = DO_INR_CDIS982;
CDIS_NTLDEC_198 = max(0,CDISBASE_INR+NCDISBASE);
DO_INR_TAXA98 = DO_INR_TAXA982;
TAXA_NTLDEC_198 = max(0,TAXABASE_INR+NTAXABASE);
DO_INR_CHR98 = DO_INR_CHR982;
CHR_NTLDEC_198 = max(0,CHRBASE_INR+NCHRBASE);
DO_INR_PCAP98 = DO_INR_PCAP982;
PCAP_NTLDEC_198 = max(0,PCAPBASE_INR+NPCAPBASE);
DO_INR_RSE198 = DO_INR_RSE1982;
RSE1_NTLDEC_198 = max(0,RSE1BASE_INR+NRSE1BASE);
DO_INR_RSE298 = DO_INR_RSE2982;
RSE2_NTLDEC_198 = max(0,RSE2BASE_INR+NRSE2BASE);
DO_INR_RSE398 = DO_INR_RSE3982;
RSE3_NTLDEC_198 = max(0,RSE3BASE_INR+NRSE3BASE);
DO_INR_RSE498 = DO_INR_RSE4982;
RSE4_NTLDEC_198 = max(0,RSE4BASE_INR+NRSE4BASE);
DO_INR_RSE598 = DO_INR_RSE5982;
RSE5_NTLDEC_198 = max(0,RSE5BASE_INR+NRSE5BASE);
DO_INR_RSE698 = DO_INR_RSE6982;
RSE6_NTLDEC_198 = max(0,RSE6BASE_INR+NRSE6BASE);
DO_INR_RSE898 = DO_INR_RSE8982;
RSE8_NTLDEC_198 = max(0,RSE8BASE_INR+NRSE8BASE);
DO_INR_CVN98 = DO_INR_CVN982;
CVN_NTLDEC_198 = max(0,CVNBASE_INR+NCVNBASE);
DO_INR_GLO98 = DO_INR_GLO982;
GLO_NTLDEC_198 = max(0,GLOBASE_INR+NGLOBASE);
DO_INR_C82098 = DO_INR_C820982;
C820_NTLDEC_198 = max(0,C820BASE_INR+NC820BASE);
DO_INR_IFI98 = DO_INR_IFI982;
IFI_NTLDEC_198 = IFIBASE_INR;
regle corrective base_inr_ntl22 130199:
application :  iliad ;
INRCHR_NTL10_22 = INRCHR_NTLPROV_22 * null(2 - FLAG_INR);
regle corrective base_inr_ntl24 130200:
application :  iliad ;
INRCHR_NTL10_24 = INRCHR_NTLPROV_24 * null(2 - FLAG_INR);
regle corrective base_INR 13011:
application :  iliad ;

INRCHR_TL15_22 = INRCHR_NTL15_22 ;
CHR_NTL15_22 = max(0,CHRBASE_INR+NCHRBASE);
IRNIN_NTLDEC_22 = max(0,IRNIN_INR+NIRNIN);
INRIR_NTLDEC_22 = INRIR_NTL_22+INR_IR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRIR_NTLADEC_22 = INRIR_NTL_22_A;
INR_IR_NTL_22=INRIR_NTL_22+INR_IR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
CSG_NTLDEC_22 = max(0,CSBASE_INR+NCSBASE);
INRCSG_NTLDEC_22 = INRCSG_NTL_22+INR_CSG_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRCSG_NTLADEC_22 = INRCSG_NTL_22_A;
INR_CSG_NTL_22=INRCSG_NTL_22+INR_CSG_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
PSOL_NTLDEC_22 = max(0,PSOLBASE_INR+NPSOLBASE);
INRPSOL_NTLDEC_22 = INRPSOL_NTL_22+INR_PSOL_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRPSOL_NTLADEC_22 = INRPSOL_NTL_22_A;
INR_PSOL_NTL_22=INRPSOL_NTL_22+INR_PSOL_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
CRDS_NTLDEC_22 = max(0,RDBASE_INR+NRDBASE);
INRCRDS_NTLDEC_22 = INRCRDS_NTL_22+INR_CRDS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRCRDS_NTLADEC_22 = INRCRDS_NTL_22_A;
INR_CRDS_NTL_22=INRCRDS_NTL_22+INR_CRDS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
CDIS_NTLDEC_22 = max(0,CDISBASE_INR+NCDISBASE);
INRCDIS_NTLDEC_22 = INRCDIS_NTL_22+INR_CDIS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRCDIS_NTLADEC_22 = INRCDIS_NTL_22_A;
INR_CDIS_NTL_22=INRCDIS_NTL_22+INR_CDIS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
TAXA_NTLDEC_22 = max(0,TAXABASE_INR+NTAXABASE);
INRTAXA_NTLDEC_22 = INRTAXA_NTL_22+INR_TAXAGA_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRTAXA_NTLADEC_22 = INRTAXA_NTL_22_A;
INR_TAXAGA_NTL_22=INRTAXA_NTL_22+INR_TAXAGA_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
CHR_NTLDEC_22 = max(0,CHRBASE_INR+NCHRBASE);
INRCHR_NTLDEC_22 = INRCHR_NTL_22+INR_CHR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRCHR_NTLADEC_22 = INRCHR_NTL_22_A;
INR_CHR_NTL_22=INRCHR_NTL_22+INR_CHR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
PCAP_NTLDEC_22 = max(0,PCAPBASE_INR+NPCAPBASE);
INRPCAP_NTLDEC_22 = INRPCAP_NTL_22+INR_PCAP_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRPCAP_NTLADEC_22 = INRPCAP_NTL_22_A;
INR_PCAP_NTL_22=INRPCAP_NTL_22+INR_PCAP_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE1_NTLDEC_22 = max(0,RSE1BASE_INR+NRSE1BASE);
INRRSE1_NTLDEC_22 = INRRSE1_NTL_22+INR_RSE1_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE1_NTLADEC_22 = INRRSE1_NTL_22_A;
INR_RSE1_NTL_22=INRRSE1_NTL_22+INR_RSE1_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE2_NTLDEC_22 = max(0,RSE2BASE_INR+NRSE2BASE);
INRRSE2_NTLDEC_22 = INRRSE2_NTL_22+INR_RSE2_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE2_NTLADEC_22 = INRRSE2_NTL_22_A;
INR_RSE2_NTL_22=INRRSE2_NTL_22+INR_RSE2_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE3_NTLDEC_22 = max(0,RSE3BASE_INR+NRSE3BASE);
INRRSE3_NTLDEC_22 = INRRSE3_NTL_22+INR_RSE3_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE3_NTLADEC_22 = INRRSE3_NTL_22_A;
INR_RSE3_NTL_22=INRRSE3_NTL_22+INR_RSE3_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE4_NTLDEC_22 = max(0,RSE4BASE_INR+NRSE4BASE);
INRRSE4_NTLDEC_22 = INRRSE4_NTL_22+INR_RSE4_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE4_NTLADEC_22 = INRRSE4_NTL_22_A;
INR_RSE4_NTL_22=INRRSE4_NTL_22+INR_RSE4_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE5_NTLDEC_22 = max(0,RSE5BASE_INR+NRSE5BASE);
INRRSE5_NTLDEC_22 = INRRSE5_NTL_22+INR_RSE5_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE5_NTLADEC_22 = INRRSE5_NTL_22_A;
INR_RSE5_NTL_22=INRRSE5_NTL_22+INR_RSE5_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE6_NTLDEC_22 = max(0,RSE6BASE_INR+NRSE6BASE);
INRRSE6_NTLDEC_22 = INRRSE6_NTL_22+INR_RSE6_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE6_NTLADEC_22 = INRRSE6_NTL_22_A;
INR_RSE6_NTL_22=INRRSE6_NTL_22+INR_RSE6_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
RSE8_NTLDEC_22 = max(0,RSE8BASE_INR+NRSE8BASE);
INRRSE8_NTLDEC_22 = INRRSE8_NTL_22+INR_RSE8_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRRSE8_NTLADEC_22 = INRRSE8_NTL_22_A;
INR_RSE8_NTL_22=INRRSE8_NTL_22+INR_RSE8_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
CVN_NTLDEC_22 = max(0,CVNBASE_INR+NCVNBASE);
INRCVN_NTLDEC_22 = INRCVN_NTL_22+INR_CVN_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRCVN_NTLADEC_22 = INRCVN_NTL_22_A;
INR_CVN_NTL_22=INRCVN_NTL_22+INR_CVN_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
GLO_NTLDEC_22 = max(0,GLOBASE_INR+NGLOBASE);
INRGLO_NTLDEC_22 = INRGLO_NTL_22+INR_GLO_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRGLO_NTLADEC_22 = INRGLO_NTL_22_A;
INR_GLO_NTL_22=INRGLO_NTL_22+INR_GLO_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
C820_NTLDEC_22 = max(0,C820BASE_INR+NC820BASE);
INRC820_NTLDEC_22 = INRC820_NTL_22+INR_C820_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRC820_NTLADEC_22 = INRC820_NTL_22_A;
INR_C820_NTL_22=INRC820_NTL_22+INR_C820_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
IFI_NTLDEC_22 = IFIBASE_INR;
INRIFI_NTLDEC_22 = INRIFI_NTL_22+INR_IFI_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
INRIFI_NTLADEC_22 = INRIFI_NTL_22_A;
INR_IFI_NTL_22=INRIFI_NTL_22+INR_IFI_TARDIF * null(1-IND_PASSAGE)* V_FLAGR22;
regle corrective base_inr_ntl24 1301129:
application :  iliad ;
INRCHR_TL15_24 = INRCHR_NTL15_24 ;
CHR_NTL15_24 = CHRBASE_INR+NCHRBASE;
IRNIN_NTLDEC_24 = max(0,IRNIN_INR+ NIRNIN) ;
INRIR_NTLDEC_24 = INRIR_NTL_24+INR_IR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRIR_NTLADEC_24 = INRIR_NTL_24_A;
INR_IR_NTL_24=INRIR_NTL_24+INR_IR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
CSG_NTLDEC_24 = max(0,CSBASE_INR+NCSBASE);
INRCSG_NTLDEC_24 = INRCSG_NTL_24+INR_CSG_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRCSG_NTLADEC_24 = INRCSG_NTL_24_A;
INR_CSG_NTL_24=INRCSG_NTL_24+INR_CSG_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
PSOL_NTLDEC_24 = max(0,PSOLBASE_INR+NPSOLBASE);
INRPSOL_NTLDEC_24 = INRPSOL_NTL_24+INR_PSOL_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRPSOL_NTLADEC_24 = INRPSOL_NTL_24_A;
INR_PSOL_NTL_24=INRPSOL_NTL_24+INR_PSOL_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
CRDS_NTLDEC_24 = max(0,RDBASE_INR+NRDBASE);
INRCRDS_NTLDEC_24 = INRCRDS_NTL_24+INR_CRDS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRCRDS_NTLADEC_24 = INRCRDS_NTL_24_A;
INR_CRDS_NTL_24=INRCRDS_NTL_24+INR_CRDS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
CDIS_NTLDEC_24 = max(0,CDISBASE_INR+NCDISBASE);
INRCDIS_NTLDEC_24 = INRCDIS_NTL_24+INR_CDIS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRCDIS_NTLADEC_24 = INRCDIS_NTL_24_A;
INR_CDIS_NTL_24=INRCDIS_NTL_24+INR_CDIS_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
TAXA_NTLDEC_24 = max(0,TAXABASE_INR+NTAXABASE);
INRTAXA_NTLDEC_24 = INRTAXA_NTL_24+INR_TAXAGA_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRTAXA_NTLADEC_24 = INRTAXA_NTL_24_A;
INR_TAXAGA_NTL_24=INRTAXA_NTL_24+INR_TAXAGA_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
CHR_NTLDEC_24 = max(0,CHRBASE_INR+NCHRBASE);
INRCHR_NTLDEC_24 = INRCHR_NTL_24+INR_CHR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRCHR_NTLADEC_24 = INRCHR_NTL_24_A;
INR_CHR_NTL_24=INRCHR_NTL_24+INR_CHR_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
PCAP_NTLDEC_24 = max(0,PCAPBASE_INR+NPCAPBASE);
INRPCAP_NTLDEC_24 = INRPCAP_NTL_24+INR_PCAP_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRPCAP_NTLADEC_24 = INRPCAP_NTL_24_A;
INR_PCAP_NTL_24=INRPCAP_NTL_24+INR_PCAP_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE1_NTLDEC_24 = max(0,RSE1BASE_INR+NRSE1BASE);
INRRSE1_NTLDEC_24 = INRRSE1_NTL_24+INR_RSE1_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE1_NTLADEC_24 = INRRSE1_NTL_24_A;
INR_RSE1_NTL_24=INRRSE1_NTL_24+INR_RSE1_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE2_NTLDEC_24 = max(0,RSE2BASE_INR+NRSE2BASE);
INRRSE2_NTLDEC_24 = INRRSE2_NTL_24+INR_RSE2_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE2_NTLADEC_24 = INRRSE2_NTL_24_A;
INR_RSE2_NTL_24=INRRSE2_NTL_24+INR_RSE2_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE3_NTLDEC_24 = max(0,RSE3BASE_INR+NRSE3BASE);
INRRSE3_NTLDEC_24 = INRRSE3_NTL_24+INR_RSE3_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE3_NTLADEC_24 = INRRSE3_NTL_24_A;
INR_RSE3_NTL_24=INRRSE3_NTL_24+INR_RSE3_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE4_NTLDEC_24 = max(0,RSE4BASE_INR+NRSE4BASE);
INRRSE4_NTLDEC_24 = INRRSE4_NTL_24+INR_RSE4_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE4_NTLADEC_24 = INRRSE4_NTL_24_A;
INR_RSE4_NTL_24=INRRSE4_NTL_24+INR_RSE4_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE5_NTLDEC_24 = max(0,RSE5BASE_INR+NRSE5BASE);
INRRSE5_NTLDEC_24 = INRRSE5_NTL_24+INR_RSE5_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE5_NTLADEC_24 = INRRSE5_NTL_24_A;
INR_RSE5_NTL_24=INRRSE5_NTL_24+INR_RSE5_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE6_NTLDEC_24 = max(0,RSE6BASE_INR+NRSE6BASE);
INRRSE6_NTLDEC_24 = INRRSE6_NTL_24+INR_RSE6_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE6_NTLADEC_24 = INRRSE6_NTL_24_A;
INR_RSE6_NTL_24=INRRSE6_NTL_24+INR_RSE6_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
RSE8_NTLDEC_24 = max(0,RSE8BASE_INR+NRSE8BASE);
INRRSE8_NTLDEC_24 = INRRSE8_NTL_24+INR_RSE8_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRRSE8_NTLADEC_24 = INRRSE8_NTL_24_A;
INR_RSE8_NTL_24=INRRSE8_NTL_24+INR_RSE8_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
CVN_NTLDEC_24 = max(0,CVNBASE_INR+NCVNBASE);
INRCVN_NTLDEC_24 = INRCVN_NTL_24+INR_CVN_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRCVN_NTLADEC_24 = INRCVN_NTL_24_A;
INR_CVN_NTL_24=INRCVN_NTL_24+INR_CVN_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
GLO_NTLDEC_24 = max(0,GLOBASE_INR+NGLOBASE);
INRGLO_NTLDEC_24 = INRGLO_NTL_24+INR_GLO_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRGLO_NTLADEC_24 = INRGLO_NTL_24_A;
INR_GLO_NTL_24=INRGLO_NTL_24+INR_GLO_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
C820_NTLDEC_24 = max(0,C820BASE_INR+NC820BASE);
INRC820_NTLDEC_24 = INRC820_NTL_24+INR_C820_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRC820_NTLADEC_24 = INRC820_NTL_24_A;
INR_C820_NTL_24=INRC820_NTL_24+INR_C820_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
IFI_NTLDEC_24 = IFIBASE_INR;
INRIFI_NTLDEC_24 = INRIFI_NTL_24+INR_IFI_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
INRIFI_NTLADEC_24 = INRIFI_NTL_24_A+INR_IFI_TARDIF * null(1-IND_PASSAGE)* V_FLAGR24;
regle corrective base_ABAT99 130222:
application :  iliad ;
DO_INR_IR99 = DO_INR_IR992;
DO_INR_CSG99 = DO_INR_CSG992;
DO_INR_PSOL99 = DO_INR_PSOL992;
DO_INR_CRDS99 = DO_INR_CRDS992;
DO_INR_CDIS99 = DO_INR_CDIS992;
DO_INR_TAXA99 = DO_INR_TAXA992;
DO_INR_CHR99 = DO_INR_CHR992;
DO_INR_PCAP99 = DO_INR_PCAP992;
DO_INR_RSE199 = DO_INR_RSE1992;
DO_INR_RSE299 = DO_INR_RSE2992;
DO_INR_RSE399 = DO_INR_RSE3992;
DO_INR_RSE499 = DO_INR_RSE4992;
DO_INR_RSE599 = DO_INR_RSE5992;
DO_INR_RSE699 = DO_INR_RSE6992;
DO_INR_RSE899 = DO_INR_RSE8992;
DO_INR_CVN99 = DO_INR_CVN992;
DO_INR_C82099 = DO_INR_C820992;
DO_INR_C82099 = DO_INR_C820992;
IRNIN_TLDEC_199=max(0,IRNIN_INR+NIRNIN*positif(IRNIN_INR+NIRNIN));
CSG_TLDEC_199=max(0,CSBASE_INR+NCSBASE*positif(CSBASE_INR+NCSBASE));
PSOL_TLDEC_199=max(0,PSOLBASE_INR+NPSOLBASE*positif(PSOLBASE_INR+NPSOLBASE));
RDS_TLDEC_199=max(0,RDBASE_INR+NRDBASE*positif(RDBASE_INR+NRDBASE));
CDIS_TLDEC_199=CDISBASE_INR+NCDISBASE;
TAXA_TLDEC_199=TAXABASE_INR+NTAXABASE;
CHR_TLDEC_199=CHRBASE_INR+NCHRBASE;
PCAP_TLDEC_199=PCAPBASE_INR+NPCAPBASE;
RSE1_TLDEC_199=RSE1BASE_INR+NRSE1BASE;
RSE2_TLDEC_199=RSE2BASE_INR+NRSE2BASE;
RSE3_TLDEC_199=RSE3BASE_INR+NRSE3BASE;
RSE4_TLDEC_199=RSE4BASE_INR+NRSE4BASE;
RSE5_TLDEC_199=RSE5BASE_INR+NRSE5BASE;
RSE6_TLDEC_199=RSE6BASE_INR+NRSE6BASE;
RSE8_TLDEC_199=RSE8BASE_INR+NRSE8BASE;
CVN_TLDEC_199=CVNBASE_INR+NCVNBASE;
GLO_TLDEC_199=GLOBASE_INR+NGLOBASE;
C820_TLDEC_199=C820BASE_INR+NC820BASE;
IFI_TLDEC_199=IFIBASE_INR;
regle corrective base_inr_tl 1302:
application :  iliad ;
IRNIN_TLDEC=max(0,IRNIN_INR+NIRNIN*positif(IRNIN_INR+NIRNIN));
INRIR_TLADEC = INRIR_TLACQ;
INRIR_TL_AD=INRIR_TL_A;
INRIR_TLDEC = INRIR_TLA+INRIR_RETDEF*null(INRIR_RETDEF_A);
INR_IR_TL=INRIR_TLACQ* (1-IND_RJLJ);
CSG_TLDEC=max(0,CSBASE_INR+NCSBASE*positif(CSBASE_INR+NCSBASE));
INRCSG_TLADEC = INRCSG_TLACQ;
INRCSG_TL_AD = INRCSG_TL_A;
INRCSG_TLDEC = INRCSG_TLA + INRCSG_RETDEF * null(INRCSG_RETDEF_A);
INR_CSG_TL=INRCSG_TLACQ* (1-IND_RJLJ);
PSOL_TLDEC=max(0,PSOLBASE_INR+NPSOLBASE*positif(PSOLBASE_INR+NPSOLBASE));
INRPSOL_TLADEC = INRPSOL_TLACQ;
INRPSOL_TL_AD = INRPSOL_TL_A;
INRPSOL_TLDEC = INRPSOL_TLA + INRPSOL_RETDEF * null(INRPSOL_RETDEF_A);
INR_PSOL_TL=INRPSOL_TLACQ* (1-IND_RJLJ);
RDS_TLDEC=max(0,RDBASE_INR+NRDBASE*positif(RDBASE_INR+NRDBASE));
INRCRDS_TLADEC = INRCRDS_TLACQ;
INRCRDS_TL_AD = INRCRDS_TL_A;
INRCRDS_TLDEC = INRCRDS_TLA + INRCRDS_RETDEF * null(INRCRDS_RETDEF_A);
INR_CRDS_TL=INRCRDS_TLACQ* (1-IND_RJLJ);
CDIS_TLDEC=CDISBASE_INR+NCDISBASE;
INRCDIS_TLADEC = INRCDIS_TLACQ;
INRCDIS_TL_AD = INRCDIS_TL_A;
INRCDIS_TLDEC = INRCDIS_TLA + INRCDIS_RETDEF * null(INRCDIS_RETDEF_A);
INR_CDIS_TL=INRCDIS_TLACQ* (1-IND_RJLJ);
TAXA_TLDEC=TAXABASE_INR+NTAXABASE;
INRTAXA_TLADEC = INRTAXA_TLACQ;
INRTAXA_TL_AD = INRTAXA_TL_A;
INRTAXA_TLDEC = INRTAXA_TLA + INRTAXA_RETDEF * null(INRTAXA_RETDEF_A);
INR_TAXAGA_TL=INRTAXA_TLACQ * (1-IND_RJLJ);
CHR_TLDEC=CHRBASE_INR+NCHRBASE;
INRCHR_TLADEC = INRCHR_TLACQ;
INRCHR_TL_AD = INRCHR_TL_A;
INRCHR_TLDEC = INRCHR_TLA + INRCHR_RETDEF * null(INRCHR_RETDEF_A);
INR_CHR_TL=INRCHR_TLACQ * (1-IND_RJLJ);
PCAP_TLDEC=PCAPBASE_INR+NPCAPBASE;
INRPCAP_TLADEC = INRPCAP_TLACQ;
INRPCAP_TL_AD = INRPCAP_TL_A;
INRPCAP_TLDEC = INRPCAP_TLA + INRPCAP_RETDEF * null(INRPCAP_RETDEF_A);
INR_PCAP_TL=INRPCAP_TLACQ * (1-IND_RJLJ);
RSE1_TLDEC=RSE1BASE_INR+NRSE1BASE;
INRRSE1_TLADEC = INRRSE1_TLACQ;
INRRSE1_TL_AD = INRRSE1_TL_A;
INRRSE1_TLDEC = INRRSE1_TLA + INRRSE1_RETDEF * null(INRRSE1_RETDEF_A);
INR_RSE1_TL=INRRSE1_TLACQ * (1-IND_RJLJ);
RSE2_TLDEC=RSE2BASE_INR+NRSE2BASE;
INRRSE2_TLADEC = INRRSE2_TLACQ;
INRRSE2_TL_AD = INRRSE2_TL_A;
INRRSE2_TLDEC = INRRSE2_TLA + INRRSE2_RETDEF * null(INRRSE2_RETDEF_A);
INR_RSE2_TL=INRRSE2_TLACQ * (1-IND_RJLJ);
RSE3_TLDEC=RSE3BASE_INR+NRSE3BASE;
INRRSE3_TLADEC = INRRSE3_TLACQ;
INRRSE3_TL_AD = INRRSE3_TL_A;
INRRSE3_TLDEC = INRRSE3_TLA + INRRSE3_RETDEF * null(INRRSE3_RETDEF_A);
INR_RSE3_TL=INRRSE3_TLACQ * (1-IND_RJLJ);
RSE4_TLDEC=RSE4BASE_INR+NRSE4BASE;
INRRSE4_TLADEC = INRRSE4_TLACQ;
INRRSE4_TL_AD = INRRSE4_TL_A;
INRRSE4_TLDEC = INRRSE4_TLA + INRRSE4_RETDEF * null(INRRSE4_RETDEF_A);
INR_RSE4_TL=INRRSE4_TLACQ * (1-IND_RJLJ);
RSE5_TLDEC=RSE5BASE_INR+NRSE5BASE;
INRRSE5_TLADEC = INRRSE5_TLACQ;
INRRSE5_TL_AD = INRRSE5_TL_A;
INRRSE5_TLDEC = INRRSE5_TLA + INRRSE5_RETDEF * null(INRRSE5_RETDEF_A);
INR_RSE5_TL=INRRSE5_TLACQ * (1-IND_RJLJ);
RSE6_TLDEC=RSE6BASE_INR+NRSE6BASE;
INRRSE6_TLADEC = INRRSE6_TLACQ;
INRRSE6_TL_AD = INRRSE6_TL_A;
INRRSE6_TLDEC = INRRSE6_TLA + INRRSE6_RETDEF * null(INRRSE6_RETDEF_A);
INR_RSE6_TL=INRRSE6_TLACQ * (1-IND_RJLJ);
RSE8_TLDEC=RSE8BASE_INR+NRSE8BASE;
INRRSE8_TLADEC = INRRSE8_TLACQ;
INRRSE8_TL_AD = INRRSE8_TL_A;
INRRSE8_TLDEC = INRRSE8_TLA + INRRSE8_RETDEF * null(INRRSE8_RETDEF_A);
INR_RSE8_TL=INRRSE8_TLACQ * (1-IND_RJLJ);
CVN_TLDEC=CVNBASE_INR+NCVNBASE;
INRCVN_TLADEC = INRCVN_TLACQ;
INRCVN_TL_AD = INRCVN_TL_A;
INRCVN_TLDEC = INRCVN_TLA + INRCVN_RETDEF * null(INRCVN_RETDEF_A);
INR_CVN_TL=INRCVN_TLACQ * (1-IND_RJLJ);
GLO_TLDEC=GLOBASE_INR+NGLOBASE;
INRGLO_TLADEC = INRGLO_TLACQ;
INRGLO_TL_AD = INRGLO_TL_A;
INRGLO_TLDEC = INRGLO_TLA + INRGLO_RETDEF * null(INRGLO_RETDEF_A);
INR_GLO_TL=INRGLO_TLACQ * (1-IND_RJLJ);
C820_TLDEC=C820BASE_INR+NC820BASE;
INRC820_TLADEC = INRC820_TLACQ;
INRC820_TL_AD = INRC820_TL_A;
INRC820_TLDEC = INRC820_TLA + INRC820_RETDEF * null(INRC820_RETDEF_A);
INR_C820_TL=INRC820_TLACQ * (1-IND_RJLJ);
IFI_TLDEC=IFIBASE_INR;
INRIFI_TLADEC = INRIFI_TLACQ;
INRIFI_TL_AD = INRIFI_TL_A;
INRIFI_TLDEC = INRIFI_TLA + INRIFI_RETDEF * null(INRIFI_RETDEF_A);
INR_IFI_TL=INRIFI_TLACQ * (1-IND_RJLJ);
regle corrective base_inr_tl22 13022:
application :  iliad ;

INRIR_TLADEC_222 = INRIR_TLADEC_22;
INR_IR_TL_22=INRIR_TLACQ_22* (1-IND_RJLJ);
INRCSG_TLADEC_222 = INRCSG_TLADEC_22;
INR_CSG_TL_22=INRCSG_TLACQ_22* (1-IND_RJLJ);
INRPSOL_TLADEC_222 = INRPSOL_TLADEC_22;
INR_PSOL_TL_22=INRPSOL_TLACQ_22* (1-IND_RJLJ);
INRCRDS_TLADEC_222 = INRCRDS_TLADEC_22;
INR_CRDS_TL_22=INRCRDS_TLACQ_22* (1-IND_RJLJ);
INRCDIS_TLADEC_222 = INRCDIS_TLADEC_22;
INR_CDIS_TL_22=INRCDIS_TLACQ_22* (1-IND_RJLJ);
INRTAXA_TLADEC_222 = INRTAXA_TLADEC_22;
INR_TAXAGA_TL_22=INRTAXA_TLACQ_22 * (1-IND_RJLJ);
INRCHR_TLADEC_222 = INRCHR_TLADEC_22;
INR_CHR_TL_22=INRCHR_TLACQ_22 * (1-IND_RJLJ);
INRPCAP_TLADEC_222 = INRPCAP_TLADEC_22;
INR_PCAP_TL_22=INRPCAP_TLACQ_22 * (1-IND_RJLJ);
INRRSE1_TLADEC_222 = INRRSE1_TLADEC_22;
INR_RSE1_TL_22=INRRSE1_TLACQ_22 * (1-IND_RJLJ);
INRRSE2_TLADEC_222 = INRRSE2_TLADEC_22;
INR_RSE2_TL_22=INRRSE2_TLACQ_22 * (1-IND_RJLJ);
INRRSE3_TLADEC_222 = INRRSE3_TLADEC_22;
INR_RSE3_TL_22=INRRSE3_TLACQ_22 * (1-IND_RJLJ);
INRRSE4_TLADEC_222 = INRRSE4_TLADEC_22;
INR_RSE4_TL_22=INRRSE4_TLACQ_22 * (1-IND_RJLJ);
INRRSE5_TLADEC_222 = INRRSE5_TLADEC_22;
INR_RSE5_TL_22=INRRSE5_TLACQ_22 * (1-IND_RJLJ);
INRRSE6_TLADEC_222 = INRRSE6_TLADEC_22;
INR_RSE6_TL_22=INRRSE6_TLACQ_22 * (1-IND_RJLJ);
INRRSE8_TLADEC_222 = INRRSE8_TLADEC_22;
INR_RSE8_TL_22=INRRSE8_TLACQ_22 * (1-IND_RJLJ);
INRCVN_TLADEC_222 = INRCVN_TLADEC_22;
INR_CVN_TL_22=INRCVN_TLACQ_22 * (1-IND_RJLJ);
INRGLO_TLADEC_222 = INRGLO_TLADEC_22;
INR_GLO_TL_22=INRGLO_TLACQ_22 * (1-IND_RJLJ);
INRC820_TLADEC_222 = INRC820_TLADEC_22;
INR_C820_TL_22=INRC820_TLACQ_22 * (1-IND_RJLJ);
INRIFI_TLADEC_222 = INRIFI_TLADEC_22;
INR_IFI_TL_22=INRIFI_TLACQ_22 * (1-IND_RJLJ);
regle corrective base_inr_tl24 130241:
application :  iliad ;
INRIR_TLADEC_242 = INRIR_TLADEC_24;
INR_IR_TL_24=INRIR_TLACQ_24* (1-IND_RJLJ);
INRCSG_TLADEC_242 = INRCSG_TLADEC_24;
INR_CSG_TL_24=INRCSG_TLACQ_24* (1-IND_RJLJ);
INRPSOL_TLADEC_242 = INRPSOL_TLADEC_24;
INR_PSOL_TL_24=INRPSOL_TLACQ_24* (1-IND_RJLJ);
INRCRDS_TLADEC_242 = INRCRDS_TLADEC_24;
INR_CRDS_TL_24=INRCRDS_TLACQ_24* (1-IND_RJLJ);
INRCDIS_TLADEC_242 = INRCDIS_TLADEC_24;
INR_CDIS_TL_24=INRCDIS_TLACQ_24* (1-IND_RJLJ);
INRTAXA_TLADEC_242 = INRTAXA_TLADEC_24;
INR_TAXAGA_TL_24=INRTAXA_TLACQ_24 * (1-IND_RJLJ);
INRCHR_TLADEC_242 = INRCHR_TLADEC_24;
INR_CHR_TL_24=INRCHR_TLACQ_24 * (1-IND_RJLJ);
INRPCAP_TLADEC_242 = INRPCAP_TLADEC_24;
INR_PCAP_TL_24=INRPCAP_TLACQ_24 * (1-IND_RJLJ);
INRRSE1_TLADEC_242 = INRRSE1_TLADEC_24;
INR_RSE1_TL_24=INRRSE1_TLACQ_24 * (1-IND_RJLJ);
INRRSE2_TLADEC_242 = INRRSE2_TLADEC_24;
INR_RSE2_TL_24=INRRSE2_TLACQ_24 * (1-IND_RJLJ);
INRRSE3_TLADEC_242 = INRRSE3_TLADEC_24;
INR_RSE3_TL_24=INRRSE3_TLACQ_24 * (1-IND_RJLJ);
INRRSE4_TLADEC_242 = INRRSE4_TLADEC_24;
INR_RSE4_TL_24=INRRSE4_TLACQ_24 * (1-IND_RJLJ);
INRRSE5_TLADEC_242 = INRRSE5_TLADEC_24;
INR_RSE5_TL_24=INRRSE5_TLACQ_24 * (1-IND_RJLJ);
INRRSE6_TLADEC_242 = INRRSE6_TLADEC_24;
INR_RSE6_TL_24=INRRSE6_TLACQ_24 * (1-IND_RJLJ);
INRRSE8_TLADEC_242 = INRRSE8_TLADEC_24;
INR_RSE8_TL_24=INRRSE8_TLACQ_24 * (1-IND_RJLJ);
INRCVN_TLADEC_242 = INRCVN_TLADEC_24;
INR_CVN_TL_24=INRCVN_TLACQ_24 * (1-IND_RJLJ);
INRGLO_TLADEC_242 = INRGLO_TLADEC_24;
INR_GLO_TL_24=INRGLO_TLACQ_24 * (1-IND_RJLJ);
INRC820_TLADEC_242 = INRC820_TLADEC_24;
INR_C820_TL_24=INRC820_TLACQ_24 * (1-IND_RJLJ);
INRIFI_TLADEC_242 = INRIFI_TLADEC_24;
INR_IFI_TL_24=INRIFI_TLACQ_24 * (1-IND_RJLJ);
DOTOT = DO_INR_IR2+DO_INR_CSG2+DO_INR_CRDS2+ DO_INR_PSOL2+DO_INR_CDIS2+DO_INR_TAXA2+DO_INR_CHR2+DO_INR_PCAP2
       +DO_INR_RSE12 +DO_INR_RSE22 +DO_INR_RSE32 +DO_INR_RSE42 +DO_INR_RSE52 +DO_INR_RSE62 +DO_INR_RSE82 +DO_INR_CVN2 +DO_INR_GLO2 +DO_INR_C8202;
RETIR2 = INCIR_NET2;
PIRBR2 = PIRBR;
PCSGBR2 = PCSGBR;
PRDSBR2 = PRDSBR;
PPSOLBR2 = PPSOLBR;
INRIR_NET1ADEF = INRIR_NET1A;
INRCSG_NET1ADEF = INRCSG_NET1A;
INRRDS_NET1ADEF = INRRDS_NET1A;
INRPSOL_NET1ADEF = INRPSOL_NET1A;
INRCDIS_NET1ADEF = INRCDIS_NET1A;
INRC820_NET1ADEF = INRC820_NET1A;
INRGLO_NET1ADEF = INRGLO_NET1A;
INRTAXA_NET1ADEF = INRTAXA_NET1A;
INRCHR_NET1ADEF = INRCHR_NET1A;
INRRSE1_NET1ADEF = INRRSE1_NET1A;
INRRSE2_NET1ADEF = INRRSE2_NET1A;
INRRSE3_NET1ADEF = INRRSE3_NET1A;
INRRSE4_NET1ADEF = INRRSE4_NET1A;
INRRSE5_NET1ADEF = INRRSE5_NET1A;
INRRSE6_NET1ADEF = INRRSE6_NET1A;
INRRSE8_NET1ADEF = INRRSE8_NET1A;
INRIFI_NET1ADEF = INRIFI_NET1A;
INRIR_NETADEF = INRIR_NETA;
INRCSG_NETADEF = INRCSG_NETA;
INRRDS_NETADEF = INRRDS_NETA;
INRPSOL_NETADEF = INRPSOL_NETA;
INRCDIS_NETADEF = INRCDIS_NETA;
INRC820_NETADEF = INRC820_NETA;
INRGLO_NETADEF = INRGLO_NETA;
INRTAXA_NETADEF = INRTAXA_NETA;
INRCHR_NETADEF = INRCHR_NETA;
INRRSE1_NETADEF = INRRSE1_NETA;
INRRSE2_NETADEF = INRRSE2_NETA;
INRRSE3_NETADEF = INRRSE3_NETA;
INRRSE4_NETADEF = INRRSE4_NETA;
INRRSE5_NETADEF = INRRSE5_NETA;
INRRSE6_NETADEF = INRRSE6_NETA;
INRRSE8_NETADEF = INRRSE8_NETA;
INRIFI_NETADEF = INRIFI_NETA;
INRTOT_NET1ADEF = INRIR_NET1ADEF+ INRCSG_NET1ADEF+ INRRDS_NET1ADEF + INRPSOL_NET1ADEF + INRCDIS_NET1ADEF + INRC820_NET1ADEF + INRGLO_NET1ADEF + INRTAXA_NET1ADEF + INRCHR_NET1ADEF
                         + INRRSE1_NET1ADEF + INRRSE2_NET1ADEF + INRRSE3_NET1ADEF + INRRSE4_NET1ADEF + INRRSE5_NET1ADEF + INRRSE6_NET1ADEF + INRRSE8_NET1ADEF+0;

INRTOT_NETADEF = INRIR_NETADEF +INRCSG_NETADEF + INRRDS_NETADEF +INRPSOL_NETADEF + INRCDIS_NETADEF + INRC820_NETADEF + INRGLO_NETADEF +INRTAXA_NETADEF + INRCHR_NETADEF
                         + INRRSE1_NETADEF+ INRRSE2_NETADEF+ INRRSE3_NETADEF +INRRSE4_NETADEF +INRRSE5_NETADEF+ INRRSE6_NETADEF+ INRRSE8_NETADEF +0;
CSGBR2 = CSGBR;
CRDSBR2 = CRDSBR;
PSOLBR2 = PSOLBR;
RETPS2 = INCPS_NET2;
RETPSOL2 = INCPSOL_NET2;
RETCS2 = INCCS_NET2;
RETCDIS2 = INCCDIS_NET2;
RETRD2 = INCRD_NET2;
RETTAXA2 = INCTAXA_NET2;
RETCHR2 = INCCHR_NET2;
RETPCAP2 = INCPCAP_NET2;
RETRSE12 = INCRSE1_NET2;
RETRSE22 = INCRSE2_NET2;
RETRSE32 = INCRSE3_NET2;
RETRSE42 = INCRSE4_NET2;
RETRSE52 = INCRSE5_NET2;
RETRSE62 = INCRSE6_NET2;
RETRSE82 = INCRSE8_NET2;
RETCVN2 = INCCVN_NET2;
RETGLOA2 = INCGLO_NET2;
RETCSG8202 = INCC820_NET2;
RETIFI2 = INCIFI_NET2;


RETIR22 = ((INRIR_NTLDEC_22+INRIR_TLDEC_22*TL_IR)
                           + (INRIR_NTL_22_A+INRIR_TL_22_A*TL_IR_A-arr(DO_INR_IR2*((INRIR_NTL_22_A+INRIR_TL_22_A*TL_IR_A)/(INRIR_NTL_A+INRIR_NTL_22_A+(INRIR_TL_A+INRIR_TL_22_A)*TL_IR_A))))) * positif(RETIR2);
RETIR24 = ((INRIR_NTLDEC_24+INRIR_TLDEC_24*TL_IR)
                           + (INRIR_NTL_24_A+INRIR_TL_24_A*TL_IR_A-arr(DO_INR_IR2*((INRIR_NTL_24_A+INRIR_TL_24_A*TL_IR_A)/(INRIR_NTL_A+INRIR_NTL_24_A+(INRIR_TL_A+INRIR_TL_24_A)*TL_IR_A))))) * positif(RETIR2);
RETIR2224 = RETIR22+RETIR24;
RETCS22 = ((INRCSG_NTLDEC_22+INRCSG_TLDEC_22*TL_CS)
                           + (INRCSG_NTL_22_A+INRCSG_TL_22_A*TL_CS_A-arr(DO_INR_CSG2*((INRCSG_NTL_22_A+INRCSG_TL_22_A*TL_CS_A)/(INRCSG_NTL_A+INRCSG_NTL_22_A+(INRCSG_TL_A+INRCSG_TL_22_A)*TL_CS_A))))) * positif(RETCS2);
RETCS24 = ((INRCSG_NTLDEC_24+INRCSG_TLDEC_24*TL_CS)
                           + (INRCSG_NTL_24_A+INRCSG_TL_24_A*TL_CS_A-arr(DO_INR_CSG2*((INRCSG_NTL_24_A+INRCSG_TL_24_A*TL_CS_A)/(INRCSG_NTL_A+INRCSG_NTL_24_A+(INRCSG_TL_A+INRCSG_TL_24_A)*TL_CS_A))))) * positif(RETCS2);
RETCS2224 = RETCS22+RETCS24;
RETRD22 = ((INRCRDS_NTLDEC_22+INRCRDS_TLDEC_22*TL_RD)
                          + (INRCRDS_NTL_22_A+INRCRDS_TL_22_A*TL_RD_A-arr(DO_INR_CRDS2*((INRCRDS_NTL_22_A+INRCRDS_TL_22_A*TL_RD_A)/(INRCRDS_NTL_A+INRCRDS_NTL_22_A+(INRCRDS_TL_A+INRCRDS_TL_22_A)*TL_RD_A))))) * positif(RETRD2);
RETRD24 = ((INRCRDS_NTLDEC_24+INRCRDS_TLDEC_24*TL_RD)
                          + (INRCRDS_NTL_24_A+INRCRDS_TL_24_A*TL_RD_A-arr(DO_INR_CRDS2*((INRCRDS_NTL_24_A+INRCRDS_TL_24_A*TL_RD_A)/(INRCRDS_NTL_A+INRCRDS_NTL_24_A+(INRCRDS_TL_A+INRCRDS_TL_24_A)*TL_RD_A))))) * positif(RETRD2);
RETRD2224 = RETRD22+RETRD24;
RETPSOL22 = ((INRPSOL_NTLDEC_22+INRPSOL_TLDEC_22*TL_PSOL)
                              + (INRPSOL_NTL_22_A+INRPSOL_TL_22_A*TL_PSOL_A-arr(DO_INR_PSOL2*((INRPSOL_NTL_22_A+INRPSOL_TL_22_A*TL_PSOL_A)/(INRPSOL_NTL_A+INRPSOL_NTL_22_A+(INRPSOL_TL_A+INRPSOL_TL_22_A)*TL_PSOL_A))))) * positif(RETPSOL2);
RETPSOL24 = ((INRPSOL_NTLDEC_24+INRPSOL_TLDEC_24*TL_PSOL)
                              + (INRPSOL_NTL_24_A+INRPSOL_TL_24_A*TL_PSOL_A-arr(DO_INR_PSOL2*((INRPSOL_NTL_24_A+INRPSOL_TL_24_A*TL_PSOL_A)/(INRPSOL_NTL_A+INRPSOL_NTL_24_A+(INRPSOL_TL_A+INRPSOL_TL_24_A)*TL_PSOL_A))))) * positif(RETPSOL2);
RETPSOL2224 = RETPSOL22+RETPSOL24;
RETCDIS22 = ((INRCDIS_NTLDEC_22+INRCDIS_TLDEC_22*TL_CDIS)
                           + (INRCDIS_NTL_22_A+INRCDIS_TL_22_A*TL_CDIS_A-arr(DO_INR_CDIS2*((INRCDIS_NTL_22_A+INRCDIS_TL_22_A*TL_CDIS_A)/(INRCDIS_NTL_A+INRCDIS_NTL_22_A+(INRCDIS_TL_A+INRCDIS_TL_22_A)*TL_CDIS_A))))) * positif(RETCDIS2);
RETCDIS24 = ((INRCDIS_NTLDEC_24+INRCDIS_TLDEC_24*TL_CDIS)
                           + (INRCDIS_NTL_24_A+INRCDIS_TL_24_A*TL_CDIS_A-arr(DO_INR_CDIS2*((INRCDIS_NTL_24_A+INRCDIS_TL_24_A*TL_CDIS_A)/(INRCDIS_NTL_A+INRCDIS_NTL_24_A+(INRCDIS_TL_A+INRCDIS_TL_24_A)*TL_CDIS_A))))) * positif(RETCDIS2);
RETCDIS2224 = RETCDIS22+RETCDIS24;
RETTAXA22 = ((INRTAXA_NTLDEC_22+INRTAXA_TLDEC_22*TL_TAXAGA)
                           + (INRTAXA_NTL_22_A+INRTAXA_TL_22_A*TL_TAXAGA-arr(DO_INR_TAXA2*((INRTAXA_NTL_22_A+INRTAXA_TL_22_A*TL_TAXAGA)/(INRTAXA_NTL_A+INRTAXA_NTL_22_A+(INRTAXA_TL_A+INRTAXA_TL_22_A)*TL_TAXAGA))))) * positif(RETTAXA2);
RETTAXA24 = ((INRTAXA_NTLDEC_24+INRTAXA_TLDEC_24*TL_TAXAGA)
                           + (INRTAXA_NTL_24_A+INRTAXA_TL_24_A*TL_TAXAGA-arr(DO_INR_TAXA2*((INRTAXA_NTL_24_A+INRTAXA_TL_24_A*TL_TAXAGA)/(INRTAXA_NTL_A+INRTAXA_NTL_24_A+(INRTAXA_TL_A+INRTAXA_TL_24_A)*TL_TAXAGA))))) * positif(RETTAXA2);
RETTAXA2224 = RETTAXA22+RETTAXA24;
RETCHR22 = ((INRCHR_NTLDEC_22+INRCHR_TLDEC_22*TL_CHR)
                           + (INRCHR_NTL_22_A+INRCHR_TL_22_A*TL_CHR_A-arr(DO_INR_CHR2*((INRCHR_NTL_22_A+INRCHR_TL_22_A*TL_CHR_A)/(INRCHR_NTL_A+INRCHR_NTL_22_A+(INRCHR_TL_A+INRCHR_TL_22_A)*TL_CHR_A))))) * positif(RETCHR2);
RETCHR24 = ((INRCHR_NTLDEC_24+INRCHR_TLDEC_24*TL_CHR)
                           + (INRCHR_NTL_24_A+INRCHR_TL_24_A*TL_CHR_A-arr(DO_INR_CHR2*((INRCHR_NTL_24_A+INRCHR_TL_24_A*TL_CHR_A)/(INRCHR_NTL_A+INRCHR_NTL_24_A+(INRCHR_TL_A+INRCHR_TL_24_A)*TL_CHR_A))))) * positif(RETCHR2);
RETCHR2224 = RETCHR22+RETCHR24;
RETPCAP22 = ((INRPCAP_NTLDEC_22+INRPCAP_TLDEC_22*TL_CAP)
                           + (INRPCAP_NTL_22_A+INRPCAP_TL_22_A*TL_CAP_A-arr(DO_INR_PCAP2*((INRPCAP_NTL_22_A+INRPCAP_TL_22_A*TL_CAP_A)/(INRPCAP_NTL_A+INRPCAP_NTL_22_A+(INRPCAP_TL_A+INRPCAP_TL_22_A)*TL_CAP_A))))) * positif(RETPCAP2);
RETPCAP24 = ((INRPCAP_NTLDEC_24+INRPCAP_TLDEC_24*TL_CAP)
                           + (INRPCAP_NTL_24_A+INRPCAP_TL_24_A*TL_CAP_A-arr(DO_INR_PCAP2*((INRPCAP_NTL_24_A+INRPCAP_TL_24_A*TL_CAP_A)/(INRPCAP_NTL_A+INRPCAP_NTL_24_A+(INRPCAP_TL_A+INRPCAP_TL_24_A)*TL_CAP_A))))) * positif(RETPCAP2);
RETPCAP2224 = RETPCAP22+RETPCAP24;
RETRSE122 = ((INRRSE1_NTLDEC_22+INRRSE1_TLDEC_22*TL_RSE1)
                            + (INRRSE1_NTL_22_A+INRRSE1_TL_22_A*TL_RSE1_A-arr(DO_INR_RSE12*((INRRSE1_NTL_22_A+INRRSE1_TL_22_A*TL_RSE1_A)/(INRRSE1_NTL_A+INRRSE1_NTL_22_A+(INRRSE1_TL_A+INRRSE1_TL_22_A)*TL_RSE1_A))))) * positif(RETRSE12);
RETRSE124 = ((INRRSE1_NTLDEC_24+INRRSE1_TLDEC_24*TL_RSE1)
                            + (INRRSE1_NTL_24_A+INRRSE1_TL_24_A*TL_RSE1_A-arr(DO_INR_RSE12*((INRRSE1_NTL_24_A+INRRSE1_TL_24_A*TL_RSE1_A)/(INRRSE1_NTL_A+INRRSE1_NTL_24_A+(INRRSE1_TL_A+INRRSE1_TL_24_A)*TL_RSE1_A))))) * positif(RETRSE12);
RETRSE12224 = RETRSE122+RETRSE124;
RETRSE222 = ((INRRSE2_NTLDEC_22+INRRSE2_TLDEC_22*TL_RSE2)
                            + (INRRSE2_NTL_22_A+INRRSE2_TL_22_A*TL_RSE2_A-arr(DO_INR_RSE22*((INRRSE2_NTL_22_A+INRRSE2_TL_22_A*TL_RSE2_A)/(INRRSE2_NTL_A+INRRSE2_NTL_22_A+(INRRSE2_TL_A+INRRSE2_TL_22_A)*TL_RSE2_A))))) * positif(RETRSE22);
RETRSE224 = ((INRRSE2_NTLDEC_24+INRRSE2_TLDEC_24*TL_RSE2)
                            + (INRRSE2_NTL_24_A+INRRSE2_TL_24_A*TL_RSE2_A-arr(DO_INR_RSE22*((INRRSE2_NTL_24_A+INRRSE2_TL_24_A*TL_RSE2_A)/(INRRSE2_NTL_A+INRRSE2_NTL_24_A+(INRRSE2_TL_A+INRRSE2_TL_24_A)*TL_RSE2_A))))) * positif(RETRSE22);
RETRSE22224 = RETRSE222+RETRSE224;
RETRSE322 = ((INRRSE3_NTLDEC_22+INRRSE3_TLDEC_22*TL_RSE3)
                            + (INRRSE3_NTL_22_A+INRRSE3_TL_22_A*TL_RSE3_A-arr(DO_INR_RSE32*((INRRSE3_NTL_22_A+INRRSE3_TL_22_A*TL_RSE3_A)/(INRRSE3_NTL_A+INRRSE3_NTL_22_A+(INRRSE3_TL_A+INRRSE3_TL_22_A)*TL_RSE3_A))))) * positif(RETRSE32);
RETRSE324 = ((INRRSE3_NTLDEC_24+INRRSE3_TLDEC_24*TL_RSE3)
                            + (INRRSE3_NTL_24_A+INRRSE3_TL_24_A*TL_RSE3_A-arr(DO_INR_RSE32*((INRRSE3_NTL_24_A+INRRSE3_TL_24_A*TL_RSE3_A)/(INRRSE3_NTL_A+INRRSE3_NTL_24_A+(INRRSE3_TL_A+INRRSE3_TL_24_A)*TL_RSE3_A))))) * positif(RETRSE32);
RETRSE32224 = RETRSE322+RETRSE324;
RETRSE422 = ((INRRSE4_NTLDEC_22+INRRSE4_TLDEC_22*TL_RSE4)
                            + (INRRSE4_NTL_22_A+INRRSE4_TL_22_A*TL_RSE4_A-arr(DO_INR_RSE42*((INRRSE4_NTL_22_A+INRRSE4_TL_22_A*TL_RSE4_A)/(INRRSE4_NTL_A+INRRSE4_NTL_22_A+(INRRSE4_TL_A+INRRSE4_TL_22_A)*TL_RSE4_A))))) * positif(RETRSE42);
RETRSE424 = ((INRRSE4_NTLDEC_24+INRRSE4_TLDEC_24*TL_RSE4)
                            + (INRRSE4_NTL_24_A+INRRSE4_TL_24_A*TL_RSE4_A-arr(DO_INR_RSE42*((INRRSE4_NTL_24_A+INRRSE4_TL_24_A*TL_RSE4_A)/(INRRSE4_NTL_A+INRRSE4_NTL_24_A+(INRRSE4_TL_A+INRRSE4_TL_24_A)*TL_RSE4_A))))) * positif(RETRSE42);
RETRSE42224 = RETRSE422+RETRSE424;
RETRSE522 = ((INRRSE5_NTLDEC_22+INRRSE5_TLDEC_22*TL_RSE5)
                            + (INRRSE5_NTL_22_A+INRRSE5_TL_22_A*TL_RSE5_A-arr(DO_INR_RSE52*((INRRSE5_NTL_22_A+INRRSE5_TL_22_A*TL_RSE5_A)/(INRRSE5_NTL_A+INRRSE5_NTL_22_A+(INRRSE5_TL_A+INRRSE5_TL_22_A)*TL_RSE5_A))))) * positif(RETRSE52);
RETRSE524 = ((INRRSE5_NTLDEC_24+INRRSE5_TLDEC_24*TL_RSE5)
                            + (INRRSE5_NTL_24_A+INRRSE5_TL_24_A*TL_RSE5_A-arr(DO_INR_RSE52*((INRRSE5_NTL_24_A+INRRSE5_TL_24_A*TL_RSE5_A)/(INRRSE5_NTL_A+INRRSE5_NTL_24_A+(INRRSE5_TL_A+INRRSE5_TL_24_A)*TL_RSE5_A))))) * positif(RETRSE52);
RETRSE52224 = RETRSE522+RETRSE524;
RETRSE622 = ((INRRSE6_NTLDEC_22+INRRSE6_TLDEC_22*TL_RSE6)
                            + (INRRSE6_NTL_22_A+INRRSE6_TL_22_A*TL_RSE6_A-arr(DO_INR_RSE62*((INRRSE6_NTL_22_A+INRRSE6_TL_22_A*TL_RSE6_A)/(INRRSE6_NTL_A+INRRSE6_NTL_22_A+(INRRSE6_TL_A+INRRSE6_TL_22_A)*TL_RSE6_A))))) * positif(RETRSE62);
RETRSE624 = ((INRRSE6_NTLDEC_24+INRRSE6_TLDEC_24*TL_RSE6)
                            + (INRRSE6_NTL_24_A+INRRSE6_TL_24_A*TL_RSE6_A-arr(DO_INR_RSE62*((INRRSE6_NTL_24_A+INRRSE6_TL_24_A*TL_RSE6_A)/(INRRSE6_NTL_A+INRRSE6_NTL_24_A+(INRRSE6_TL_A+INRRSE6_TL_24_A)*TL_RSE6_A))))) * positif(RETRSE62);
RETRSE62224 = RETRSE622 + RETRSE624 ;
RETRSE822 = ((INRRSE8_NTLDEC_22+INRRSE8_TLDEC_22*TL_RSE8)
                              + (INRRSE8_NTL_22_A+INRRSE8_TL_22_A*TL_RSE8_A-arr(DO_INR_RSE82*((INRRSE8_NTL_22_A+INRRSE8_TL_22_A*TL_RSE8_A)/(INRRSE8_NTL_A+INRRSE8_NTL_22_A+(INRRSE8_TL_A+INRRSE8_TL_22_A)*TL_RSE8_A))))) * positif(RETRSE82);
RETRSE824 = ((INRRSE8_NTLDEC_24+INRRSE8_TLDEC_24*TL_RSE8)
                              + (INRRSE8_NTL_24_A+INRRSE8_TL_24_A*TL_RSE8_A-arr(DO_INR_RSE82*((INRRSE8_NTL_24_A+INRRSE8_TL_24_A*TL_RSE8_A)/(INRRSE8_NTL_A+INRRSE8_NTL_24_A+(INRRSE8_TL_A+INRRSE8_TL_24_A)*TL_RSE8_A))))) * positif(RETRSE82);
RETRSE82224 = RETRSE822 + RETRSE824 ;
RETCVN22 = ((INRCVN_NTLDEC_22+INRCVN_TLDEC_22*TL_CVN)
                            + INRCVN_NTL_22_A+INRCVN_TL_22_A*TL_CVN_A-arr(DO_INR_CVN2*((INRCVN_NTL_22_A+INRCVN_TL_22_A*TL_CVN_A)/(INRCVN_NTL_A+INRCVN_NTL_22_A+(INRCVN_TL_A+INRCVN_TL_22_A)*TL_CVN_A)))) * positif(RETCVN2);
RETCVN24 = ((INRCVN_NTLDEC_24+INRCVN_TLDEC_24*TL_CVN)
                            + (INRCVN_NTL_24_A+INRCVN_TL_24_A*TL_CVN_A-arr(DO_INR_CVN2*((INRCVN_NTL_24_A+INRCVN_TL_24_A*TL_CVN_A)/(INRCVN_NTL_A+INRCVN_NTL_24_A+(INRCVN_TL_A+INRCVN_TL_24_A)*TL_CVN_A))))) * positif(RETCVN2);
RETCVN2224 = RETCVN22+RETCVN24;
RETGLOA22 = ((INRGLO_NTLDEC_22+INRGLO_TLDEC_22*TL_GLO)
                            + INRGLO_NTL_22_A+INRGLO_TL_22_A*TL_GLO_A-arr(DO_INR_GLO2*((INRGLO_NTL_22_A+INRGLO_TL_22_A*TL_GLO_A)/(INRGLO_NTL_A+INRGLO_NTL_22_A+(INRGLO_TL_A+INRGLO_TL_22_A)*TL_GLO_A)))) * positif(RETGLOA2);
RETGLOA24 = ((INRGLO_NTLDEC_24+INRGLO_TLDEC_24*TL_GLO)
                            + (INRGLO_NTL_24_A+INRGLO_TL_24_A*TL_GLO_A-arr(DO_INR_GLO2*((INRGLO_NTL_24_A+INRGLO_TL_24_A*TL_GLO_A)/(INRGLO_NTL_A+INRGLO_NTL_24_A+(INRGLO_TL_A+INRGLO_TL_24_A)*TL_GLO_A))))) * positif(RETGLOA2);
RETGLOA2224 = RETGLOA22 + RETGLOA24 ;
RETC82022 = ((INRC820_NTLDEC_22+INRC820_TLDEC_22*TL_MCSG820)
                              + (INRC820_NTL_22_A+INRC820_TL_22_A*TL_MCSG820_A-arr(DO_INR_C8202*((INRC820_NTL_22_A+INRC820_TL_22_A*TL_MCSG820_A)/(INRC820_NTL_A+INRC820_NTL_22_A+(INRC820_TL_A+INRC820_TL_22_A)*TL_MCSG820_A))))) * positif(RETCSG8202);
RETC82024 = ((INRC820_NTLDEC_24+INRC820_TLDEC_24*TL_MCSG820)
                              + (INRC820_NTL_24_A+INRC820_TL_24_A*TL_MCSG820_A-arr(DO_INR_C8202*((INRC820_NTL_24_A+INRC820_TL_24_A*TL_MCSG820_A)/(INRC820_NTL_A+INRC820_NTL_24_A+(INRC820_TL_A+INRC820_TL_24_A)*TL_MCSG820_A))))) * positif(RETCSG8202);
RETC8202224 = RETC82022+RETC82024;
RETIFI22 = (INRIFI_NTLDEC_22+INRIFI_TLDEC_22*TL_IFI + max(0,INRIFI_NTL_22_A+INRIFI_TL_22_A*TL_IFI_A-arr(DO_INR_IFI2*(INRIFI_NTL_22_A+INRIFI_TL_22_A*TL_IFI_A/(INRIFI_NTL_A+INRIFI_NTL_22_A+(INRIFI_TL_A+INRIFI_TL_22_A)*TL_IFI_A))))) * positif(RETIFI2);
RETIFI24 = (INRIFI_NTLDEC_24+INRIFI_TLDEC_24*TL_IFI+ max(0,INRIFI_NTL_24_A+INRIFI_TL_24_A*TL_IFI_A-arr(DO_INR_IFI2*(INRIFI_NTL_24_A+INRIFI_TL_24_A*TL_IFI_A/(INRIFI_NTL_A+INRIFI_NTL_24_A+(INRIFI_TL_A+INRIFI_TL_24_A)*TL_IFI_A))))) * positif(RETIFI2);
RETIFI2224 = RETIFI22+RETIFI24;
RETTOT22 = RETIR22+ RETTAXA22 + RETCHR22 + RETPCAP22 + RETCS22 + RETRD22 + RETPSOL22 + RETCDIS22
         + RETRSE122 + RETRSE222 + RETRSE322 + RETRSE422 + RETRSE522 + RETRSE622 + RETRSE822 + RETCVN22 + RETGLOA22  + RETC82022 ;
RETTOT24 = RETIR24 + RETTAXA24 + RETCHR24 + RETPCAP24 + RETCS24 + RETRD24 + RETPSOL24 + RETCDIS24
            + RETRSE124 + RETRSE224 + RETRSE324 + RETRSE424 + RETRSE524 + RETRSE624 + RETRSE824 + RETCVN24 + RETGLOA24  + RETC82024 ;
RETTOTIR22 = RETIR22 + RETTAXA22 + RETCHR22 + RETPCAP22;
RETTOTIR24 = RETIR24 + RETTAXA24 + RETCHR24 + RETPCAP24;
RETTOTPS22 = RETCS22 + RETRD22 + RETPSOL22 + RETCDIS22 + RETRSE122 + RETRSE222 + RETRSE322 + RETRSE422 + RETRSE522 + RETRSE622 + RETRSE822 + RETCVN22 + RETGLOA22 + RETC82022 ;
RETTOTPS24 = RETCS24 + RETRD24 + RETPSOL24 + RETCDIS24 + RETRSE124 + RETRSE224 + RETRSE324 + RETRSE424 + RETRSE524 + RETRSE624 + RETRSE824 + RETCVN24 + RETGLOA24 + RETC82024 ;
INR_NTL_GLOB_IR = INR_NTL_GLOB_IR2;
INR_TL_GLOB_IR = INR_TL_GLOB_IR2;
INR_TOT_GLOB_IR = INR_TOT_GLOB_IR2;
DO_INR_IR = DO_INR_IR2;
DO_IR = DO_IR2;
SUP_IR_MAX = SUP_IR_MAX2;
INCIR_TL = INCIR_TL2;
INCIR_TL_1 = INCIR_TL_222+INCIR_TL_242;
INRIR_NET = INRIR_NET2;
INRIR_NET_1 = INRIR_NET_222+INRIR_NET_242;
INIR_TL = INIR_TL2;
INIR_TL_1 = INIR_TL_222+INIR_TL_242;
INIR_TL_24 = INIR_TL_242;
INCIR_NET = INCIR_NET2;
IR_PRI= IR_PRI2;
IR_ANT= IR_ANT2;
IR_NTL= IR_NTL2;
IR_TL=IR_TL2;
IR_NTL_1=IR_NTL_222+IR_NTL_242;
IR_NTL_24=IR_NTL_242;
IR_TL_1=IR_TL_222+IR_TL_242;
IR_TL_24=IR_TL_242;
IR_REF_INR=IRNIN_REF;
INR_NTL_GLOB_CSG = INR_NTL_GLOB_CSG2;
INR_TL_GLOB_CSG = INR_TL_GLOB_CSG2;
INR_TOT_GLOB_CSG = INR_TOT_GLOB_CSG2;
DO_INR_CSG = DO_INR_CSG2;
DO_CSG = DO_CSG2;
SUP_CSG_MAX = SUP_CSG_MAX2;
INRCSG_NET = INRCSG_NET2;
INRCSG_NET_1 = INRCSG_NET_222+INRCSG_NET_242;
INRCSG_NET_24 = INRCSG_NET_242;
INCCS_NET = INCCS_NET2;
INCS_TL = INCS_TL2;
INCS_TL_1 = INCS_TL_222+INCS_TL_242;
INCS_TL_24 = INCS_TL_242;
INCCS_TL = INCCS_TL2;
INCCS_TL_1 = INCCS_TL_222+INCCS_TL_242;
INCCS_TL_24 = INCCS_TL_242;
CSG_PRI=CSG_PRI2;
CSG_ANT=CSG_ANT2;
CSG_NTL=CSG_NTL2;
CSG_NTL_1=CSG_NTL_222+CSG_NTL_242;
CSG_NTL_24=CSG_NTL_242;
CSG_TL=CSG_TL2;
CSG_TL_1=CSG_TL_222+CSG_TL_242;
CSG_TL_24=CSG_TL_242;
CSG_REF_INR=CSG_REF;
INR_NTL_GLOB_CRDS = INR_NTL_GLOB_CRDS2;
INR_TL_GLOB_CRDS = INR_TL_GLOB_CRDS2;
INR_TOT_GLOB_CRDS = INR_TOT_GLOB_CRDS2;
DO_INR_CRDS = DO_INR_CRDS2;
DO_CRDS = DO_CRDS2;
SUP_CRDS_MAX = SUP_CRDS_MAX2;
INCRD_TL = INCRD_TL2;
INCRD_TL_1 = INCRD_TL_222+INCRD_TL_242;
INCRD_TL_24 = INCRD_TL_242;
INRRDS_NET = INRRDS_NET2;
INRRDS_NET_1 = INRRDS_NET_222+INRRDS_NET_242;
INRRDS_NET_24 = INRRDS_NET_242;
INRD_TL = INRD_TL2;
INRD_TL_1 = INRD_TL_222+INRD_TL_242;
INRD_TL_24 = INRD_TL_242;
INCRD_NET = INCRD_NET2;
CRDS_PRI=CRDS_PRI2;
CRDS_ANT=CRDS_ANT2;
CRDS_NTL=CRDS_NTL2;
CRDS_NTL_1=CRDS_NTL_222+CRDS_NTL_242;
CRDS_NTL_24=CRDS_NTL_242;
CRDS_TL=CRDS_TL2;
CRDS_TL_1=CRDS_TL_222+CRDS_TL_242;
CRDS_TL_24=CRDS_TL_242;
CRDS_REF_INR=RDS_REF;
INR_NTL_GLOB_PSOL = INR_NTL_GLOB_PSOL2;
INR_TL_GLOB_PSOL = INR_TL_GLOB_PSOL2;
INR_TOT_GLOB_PSOL = INR_TOT_GLOB_PSOL2;
DO_INR_PSOL = DO_INR_PSOL2;
DO_PSOL = DO_PSOL2;
SUP_PSOL_MAX = SUP_PSOL_MAX2;
INCPSOL_TL = INCPSOL_TL2;
INCPSOL_TL_1 = INCPSOL_TL_222+INCPSOL_TL_242;
INCPSOL_TL_24 = INCPSOL_TL_242;
INRPSOL_NET = INRPSOL_NET2; 
INRPSOL_NET_1 = INRPSOL_NET_222+INRPSOL_NET_242; 
INRPSOL_NET_24 = INRPSOL_NET_242; 
INPSOL_TL = INPSOL_TL2;
INPSOL_TL_1 = INPSOL_TL_222+INPSOL_TL_242;
INPSOL_TL_24 = INPSOL_TL_242;
INCPSOL_NET = INCPSOL_NET2;
PSOL_PRI= PSOL_PRI2;
PSOL_ANT=PSOL_ANT2;
PSOL_NTL=PSOL_NTL2;
PSOL_NTL_1=PSOL_NTL_222+PSOL_NTL_242;
PSOL_NTL_24=PSOL_NTL_242;
PSOL_TL=PSOL_TL2;
PSOL_TL_1=PSOL_TL_222+PSOL_TL_242;
PSOL_TL_24=PSOL_TL_242;
PSOL_REF_INR=PSOL_REF;
INR_NTL_GLOB_CDIS = INR_NTL_GLOB_CDIS2;
INR_TL_GLOB_CDIS = INR_TL_GLOB_CDIS2;
INR_TOT_GLOB_CDIS = INR_TOT_GLOB_CDIS2;
DO_INR_CDIS = DO_INR_CDIS2;
DO_CDIS = DO_CDIS2;
SUP_CDIS_MAX = SUP_CDIS_MAX2;
INCCDIS_TL = INCCDIS_TL2;
INCCDIS_TL_1 = INCCDIS_TL_222+INCCDIS_TL_242;
INCCDIS_TL_24 = INCCDIS_TL_242;
INRCDIS_NET = INRCDIS_NET2; 
INRCDIS_NET_1 = INRCDIS_NET_222+INRCDIS_NET_242; 
INRCDIS_NET_24 = INRCDIS_NET_242; 
INCDIS_TL = INCDIS_TL2;
INCDIS_TL_1 = INCDIS_TL_222+INCDIS_TL_242;
INCDIS_TL_24 = INCDIS_TL_242;
INCCDIS_NET = INCCDIS_NET2;
CDIS_PRI= CDIS_PRI2;
CDIS_ANT=CDIS_ANT2;
CDIS_NTL=CDIS_NTL2;
CDIS_NTL_1=CDIS_NTL_222+CDIS_NTL_242;
CDIS_NTL_24=CDIS_NTL_242;
CDIS_TL=CDIS_TL2;
CDIS_TL_1=CDIS_TL_222+CDIS_TL_242;
CDIS_TL_24=CDIS_TL_242;
CDIS_REF_INR=CDIS_REF;
INR_NTL_GLOB_TAXA = INR_NTL_GLOB_TAXA2;
INR_TL_GLOB_TAXA = INR_TL_GLOB_TAXA2;
INR_TOT_GLOB_TAXA = INR_TOT_GLOB_TAXA2;
DO_INR_TAXAGA = DO_INR_TAXA2;
DO_TAXA = DO_TAXA2;
SUP_TAXA_MAX = SUP_TAXA_MAX2;
INCTAXA_TL = INCTAXA_TL2;
INCTAXA_TL_1 = INCTAXA_TL_222+INCTAXA_TL_242;
INCTAXA_TL_24 = INCTAXA_TL_242;
INTAXA_TL = INTAXA_TL2;
INTAXA_TL_1 = INTAXA_TL_222+INTAXA_TL_242;
INTAXA_TL_24 = INTAXA_TL_242;
INRTAXA_NET = INRTAXA_NET2;
INRTAXA_NET_1 = INRTAXA_NET_222+INRTAXA_NET_242;
INRTAXA_NET_24 = INRTAXA_NET_242;
INCTAXA_NET = INCTAXA_NET2;
TAXAGA_PRI=TAXAGA_PRI2;
TAXAGA_ANT=TAXAGA_ANT2;
TAXAGA_NTL=TAXAGA_NTL2;
TAXAGA_NTL_1=TAXAGA_NTL_222+TAXAGA_NTL_242;
TAXAGA_NTL_24=TAXAGA_NTL_242;
TAXA_TL=TAXAGA_TL2;
TAXAGA_TL_1=TAXAGA_TL_222+TAXAGA_TL_242;
TAXAGA_TL_24=TAXAGA_TL_242;
TAXA_REF_INR=TAXA_REF;
INR_NTL_GLOB_CHR = INR_NTL_GLOB_CHR2;
INR_TL_GLOB_CHR = INR_TL_GLOB_CHR2;
INR_TOT_GLOB_CHR = INR_TOT_GLOB_CHR2;
DO_INR_CHR = DO_INR_CHR2;
DO_CHR = DO_CHR2;
SUP_CHR_MAX = SUP_CHR_MAX2;
INCCHR_TL = INCCHR_TL2;
INCCHR_TL_1 = INCCHR_TL_222+INCCHR_TL_242;
INCCHR_TL_24 = INCCHR_TL_242;
INCHR_TL = INCHR_TL2;
INCHR_TL_1 = INCHR_TL_222;
INCHR_TL_24 = INCHR_TL_242;
INRCHR_NET = INRCHR_NET2;
INRCHR_NET_1 = INRCHR_NET_222+INRCHR_NET_242;
INRCHR_NET_24 = INRCHR_NET_242;
INCCHR_NET = INCCHR_NET2;
CHR_PRI=CHR_PRI2;
CHR_ANT=CHR_ANT2;
CHR_NTL=CHR_NTL2;
CHR_NTL_1=CHR_NTL_222+CHR_NTL_242;
CHR_NTL_24=CHR_NTL_242;
CHREV_TL=CHR_TL2;
CHR_TL_1=CHR_TL_222+CHR_TL_242;
CHR_TL_24=CHR_TL_242;
CHR_REF_INR=CHR_REF;
INR_NTL_GLOB_PCAP = INR_NTL_GLOB_PCAP2;
INR_TL_GLOB_PCAP = INR_TL_GLOB_PCAP2;
INR_TOT_GLOB_PCAP = INR_TOT_GLOB_PCAP2;
DO_INR_PCAP = DO_INR_PCAP2;
DO_PCAP = DO_PCAP2;
SUP_PCAP_MAX = SUP_PCAP_MAX2;
INCPCAP_TL = INCPCAP_TL2;
INCPCAP_TL_1 = INCPCAP_TL_222+INCPCAP_TL_242;
INCPCAP_TL_24 = INCPCAP_TL_242;
INPCAP_TL = INPCAP_TL2;
INPCAP_TL_1 = INPCAP_TL_222+INPCAP_TL_242;
INPCAP_TL_24 = INPCAP_TL_242;
INRPCAP_NET = INRPCAP_NET2;
INRPCAP_NET_1 = INRPCAP_NET_222+INRPCAP_NET_242;
INRPCAP_NET_24 = INRPCAP_NET_242;
INCPCAP_NET = INCPCAP_NET2;
PCAP_PRI=PCAP_PRI2;
PCAP_ANT=PCAP_ANT2;
PCAP_NTL=PCAP_NTL2;
PCAP_NTL_1=PCAP_NTL_222+PCAP_NTL_242;
PCAP_NTL_24=PCAP_NTL_242;
PPCAP_TL=PCAP_TL2;
PCAP_TL_1=PCAP_TL_222+PCAP_TL_242;
PCAP_TL_24=PCAP_TL_242;
PCAP_REF_INR=PCAP_REF;
INR_NTL_GLOB_RSE1 = INR_NTL_GLOB_RSE12;
INR_TL_GLOB_RSE1 = INR_TL_GLOB_RSE12;
INR_TOT_GLOB_RSE1 = INR_TOT_GLOB_RSE12;
DO_INR_RSE1 = DO_INR_RSE12;
DO_RSE1 = DO_RSE12;
SUP_RSE1_MAX = SUP_RSE1_MAX2;
INCRSE1_TL = INCRSE1_TL2;
INCRSE1_TL_1 = INCRSE1_TL_222+INCRSE1_TL_242;
INCRSE1_TL_24 = INCRSE1_TL_242;
INRSE1_TL = INRSE1_TL2;
INRSE1_TL_1 = INRSE1_TL_222+INRSE1_TL_242;
INRSE1_TL_24 = INRSE1_TL_242;
INRRSE1_NET = INRRSE1_NET2;
INRRSE1_NET_1 = INRRSE1_NET_222+INRRSE1_NET_242;
INRRSE1_NET_24 = INRRSE1_NET_242;
INCRSE1_NET = INCRSE1_NET2;
RSE1_PRI=RSE1_PRI2;
RSE1_ANT=RSE1_ANT2;
RSE1_NTL=RSE1_NTL2;
RSE1_NTL_1=RSE1_NTL_222+RSE1_NTL_242;
RSE1_NTL_24=RSE1_NTL_242;
RSE1_TL=RSE1_TL2;
RSE1_TL_1=RSE1_TL_222+RSE1_TL_242;
RSE1_TL_24=RSE1_TL_242;
RSE1_REF_INR=RSE1_REF;
INR_NTL_GLOB_RSE2 = INR_NTL_GLOB_RSE22;
INR_TL_GLOB_RSE2 = INR_TL_GLOB_RSE22;
INR_TOT_GLOB_RSE2 = INR_TOT_GLOB_RSE22;
DO_INR_RSE2 = DO_INR_RSE22;
DO_RSE2 = DO_RSE22;
SUP_RSE2_MAX = SUP_RSE2_MAX2;
INCRSE2_TL = INCRSE2_TL2;
INCRSE2_TL_1 = INCRSE2_TL_222+INCRSE2_TL_242;
INCRSE2_TL_24 = INCRSE2_TL_242;
INRSE2_TL = INRSE2_TL2;
INRSE2_TL_1 = INRSE2_TL_222+INRSE2_TL_242;
INRSE2_TL_24 = INRSE2_TL_242;
INRRSE2_NET = INRRSE2_NET2;
INRRSE2_NET_1 = INRRSE2_NET_222+INRRSE2_NET_242;
INRRSE2_NET_24 = INRRSE2_NET_242;
INCRSE2_NET = INCRSE2_NET2;
RSE2_PRI=RSE2_PRI2;
RSE2_ANT=RSE2_ANT2;
RSE2_NTL=RSE2_NTL2;
RSE2_NTL_1=RSE2_NTL_222+RSE2_NTL_242;
RSE2_NTL_24=RSE2_NTL_242;
RSE2_TL=RSE2_TL2;
RSE2_TL_1=RSE2_TL_222+RSE2_TL_242;
RSE2_TL_24=RSE2_TL_242;
RSE2_REF_INR=RSE2_REF;
INR_NTL_GLOB_RSE3 = INR_NTL_GLOB_RSE32;
INR_TL_GLOB_RSE3 = INR_TL_GLOB_RSE32;
INR_TOT_GLOB_RSE3 = INR_TOT_GLOB_RSE32;
DO_INR_RSE3 = DO_INR_RSE32;
DO_RSE3 = DO_RSE32;
SUP_RSE3_MAX = SUP_RSE3_MAX2;
INCRSE3_TL = INCRSE3_TL2;
INCRSE3_TL_1 = INCRSE3_TL_222+INCRSE3_TL_242;
INCRSE3_TL_24 = INCRSE3_TL_242;
INRSE3_TL = INRSE3_TL2;
INRSE3_TL_1 = INRSE3_TL_222+INRSE3_TL_242;
INRSE3_TL_24 = INRSE3_TL_242;
INRRSE3_NET = INRRSE3_NET2;
INRRSE3_NET_1 = INRRSE3_NET_222+INRRSE3_NET_242;
INRRSE3_NET_24 = INRRSE3_NET_242;
INCRSE3_NET = INCRSE3_NET2;
RSE3_PRI=RSE3_PRI2;
RSE3_ANT=RSE3_ANT2;
RSE3_NTL=RSE3_NTL2;
RSE3_NTL_1=RSE3_NTL_222+RSE3_NTL_242;
RSE3_NTL_24=RSE3_NTL_242;
RSE3_TL=RSE3_TL2;
RSE3_TL_1=RSE3_TL_222+RSE3_TL_242;
RSE3_TL_24=RSE3_TL_242;
RSE3_REF_INR=RSE3_REF;
INR_NTL_GLOB_RSE4 = INR_NTL_GLOB_RSE42;
INR_TL_GLOB_RSE4 = INR_TL_GLOB_RSE42;
INR_TOT_GLOB_RSE4 = INR_TOT_GLOB_RSE42;
DO_INR_RSE4 = DO_INR_RSE42;
DO_RSE4 = DO_RSE42;
SUP_RSE4_MAX = SUP_RSE4_MAX2;
INCRSE4_TL = INCRSE4_TL2;
INCRSE4_TL_1 = INCRSE4_TL_222+INCRSE4_TL_242;
INCRSE4_TL_24 = INCRSE4_TL_242;
INRSE4_TL = INRSE4_TL2;
INRSE4_TL_1 = INRSE4_TL_222+INRSE4_TL_242;
INRSE4_TL_24 = INRSE4_TL_242;
INRRSE4_NET = INRRSE4_NET2;
INRRSE4_NET_1 = INRRSE4_NET_222+INRRSE4_NET_242;
INRRSE4_NET_24 = INRRSE4_NET_242;
INCRSE4_NET = INCRSE4_NET2;
RSE4_PRI=RSE4_PRI2;
RSE4_ANT=RSE4_ANT2;
RSE4_NTL=RSE4_NTL2;
RSE4_NTL_1=RSE4_NTL_222+RSE4_NTL_242;
RSE4_NTL_24=RSE4_NTL_242;
RSE4_TL=RSE4_TL2;
RSE4_TL_1=RSE4_TL_222+RSE4_TL_242;
RSE4_TL_24=RSE4_TL_242;
RSE4_REF_INR=RSE4_REF;
INR_NTL_GLOB_RSE5 = INR_NTL_GLOB_RSE52;
INR_TL_GLOB_RSE5 = INR_TL_GLOB_RSE52;
INR_TOT_GLOB_RSE5 = INR_TOT_GLOB_RSE52;
DO_INR_RSE5 = DO_INR_RSE52;
DO_RSE5 = DO_RSE52;
SUP_RSE5_MAX = SUP_RSE5_MAX2;
INCRSE5_TL = INCRSE5_TL2;
INCRSE5_TL_1 = INCRSE5_TL_222+INCRSE5_TL_242;
INCRSE5_TL_24 = INCRSE5_TL_242;
INRSE5_TL = INRSE5_TL2;
INRSE5_TL_1 = INRSE5_TL_222+INRSE5_TL_242;
INRSE5_TL_24 = INRSE5_TL_242;
INRRSE5_NET = INRRSE5_NET2;
INRRSE5_NET_1 = INRRSE5_NET_222+INRRSE5_NET_242;
INRRSE5_NET_24 = INRRSE5_NET_242;
INCRSE5_NET = INCRSE5_NET2;
RSE5_PRI=RSE5_PRI2;
RSE5_ANT=RSE5_ANT2;
RSE5_NTL=RSE5_NTL2;
RSE5_NTL_1=RSE5_NTL_222+RSE5_NTL_242;
RSE5_NTL_24=RSE5_NTL_242;
RSE5_TL=RSE5_TL2;
RSE5_TL_1=RSE5_TL_222+RSE5_TL_242;
RSE5_TL_24=RSE5_TL_242;
RSE5_REF_INR=RSE5_REF;
INR_NTL_GLOB_RSE6 = INR_NTL_GLOB_RSE62;
INR_TL_GLOB_RSE6 = INR_TL_GLOB_RSE62;
INR_TOT_GLOB_RSE6 = INR_TOT_GLOB_RSE62;
DO_INR_RSE6 = DO_INR_RSE62;
DO_RSE6 = DO_RSE62;
SUP_RSE6_MAX = SUP_RSE6_MAX2;
INCRSE6_TL = INCRSE6_TL2;
INCRSE6_TL_1 = INCRSE6_TL_222+INCRSE6_TL_242;
INCRSE6_TL_24 = INCRSE6_TL_242;
INRSE6_TL = INRSE6_TL2;
INRSE6_TL_1 = INRSE6_TL_222+INRSE6_TL_242;
INRSE6_TL_24 = INRSE6_TL_242;
INRRSE6_NET = INRRSE6_NET2;
INRRSE6_NET_1 = INRRSE6_NET_222+INRRSE6_NET_242;
INRRSE6_NET_24 = INRRSE6_NET_242;
INCRSE6_NET = INCRSE6_NET2;
RSE6_PRI=RSE6_PRI2;
RSE6_ANT=RSE6_ANT2;
RSE6_NTL=RSE6_NTL2;
RSE6_NTL_1=RSE6_NTL_222;
RSE6_NTL_24=RSE6_NTL_24;
RSE6_TL=RSE6_TL2;
RSE6_TL_1=RSE6_TL_222;
RSE6_TL_24=RSE6_TL_24;
RSE6_REF_INR=RSE6_REF;
INR_NTL_GLOB_RSE8 = INR_NTL_GLOB_RSE82;
INR_TL_GLOB_RSE8 = INR_TL_GLOB_RSE82;
INR_TOT_GLOB_RSE8 = INR_TOT_GLOB_RSE82;
DO_INR_RSE8 = DO_INR_RSE82;
DO_RSE8 = DO_RSE82;
SUP_RSE8_MAX = SUP_RSE8_MAX2;
INCRSE8_TL = INCRSE8_TL2;
INCRSE8_TL_1 = INCRSE8_TL_222+INCRSE8_TL_242;
INCRSE8_TL_24 = INCRSE8_TL_242;
INRSE8_TL = INRSE8_TL2;
INRSE8_TL_1 = INRSE8_TL_222+INRSE8_TL_242;
INRSE8_TL_24 = INRSE8_TL_242;
INRRSE8_NET = INRRSE8_NET2;
INRRSE8_NET_1 = INRRSE8_NET_222+INRRSE8_NET_242;
INRRSE8_NET_24 = INRRSE8_NET_242;
INCRSE8_NET = INCRSE8_NET2;
RSE8_PRI=RSE8_PRI2;
RSE8_ANT=RSE8_ANT2;
RSE8_NTL=RSE8_NTL2;
RSE8_NTL_1=RSE8_NTL_222+RSE8_NTL_242;
RSE8_NTL_24=RSE8_NTL_242;
RSE8_TL=RSE8_TL2;
RSE8_TL_1=RSE8_TL_222+RSE8_TL_242;
RSE8_TL_24=RSE8_TL_242;
RSE8_REF_INR=RSE8_REF;
INCTOTIR = INCIR_NET + INCTAXA_NET + INCPCAP_NET + INCCHR_NET ;
INR_NTL_GLOB_CVN = INR_NTL_GLOB_CVN2;
INR_TL_GLOB_CVN = INR_TL_GLOB_CVN2;
INR_TOT_GLOB_CVN = INR_TOT_GLOB_CVN2;
DO_INR_CVN = DO_INR_CVN2;
DO_CVN = DO_CVN2;
SUP_CVN_MAX = SUP_CVN_MAX2;
INCCVN_TL = INCCVN_TL2;
INCCVN_TL_1 = INCCVN_TL_222+INCCVN_TL_242;
INCCVN_TL_24 = INCCVN_TL_242;
INCVN_TL = INCVN_TL2;
INCVN_TL_1 = INCVN_TL_222+INCVN_TL_242;
INCVN_TL_24 = INCVN_TL_242;
INRCVN_NET = INRCVN_NET2;
INRCVN_NET_1 = INRCVN_NET_222+INRCVN_NET_242;
INRCVN_NET_24 = INRCVN_NET_242;
INCCVN_NET = INCCVN_NET2;
CVN_PRI=CVN_PRI2;
CVN_ANT=CVN_ANT2;
CVN_NTL=CVN_NTL2;
CVN_NTL_1=CVN_NTL_222+CVN_NTL_242;
CVN_NTL_24=CVN_NTL_242;
CVN_TL=CVN_TL2;
CVN_TL_1=CVN_TL_222+CVN_TL_242;
CVN_TL_24=CVN_TL_242;
CVN_REF_INR=CVN_REF;
INR_NTL_GLOB_GLO = INR_NTL_GLOB_GLO2;
INR_TL_GLOB_GLO = INR_TL_GLOB_GLO2;
INR_TOT_GLOB_GLO = INR_TOT_GLOB_GLO2;
DO_INR_GLO = DO_INR_GLO2;
DO_GLO = DO_GLO2;
SUP_GLO_MAX = SUP_GLO_MAX2;
INCGLO_TL = INCGLO_TL2;
INCGLO_TL_1 = INCGLO_TL_222+INCGLO_TL_242;
INCGLO_TL_24 = INCGLO_TL_242;
INGLO_TL = INGLO_TL2;
INGLO_TL_1 = INGLO_TL_222+INGLO_TL_242;
INGLO_TL_24 = INGLO_TL_242;
INRGLO_NET = INRGLO_NET2;
INRGLO_NET_1 = INRGLO_NET_222+INRGLO_NET_242;
INRGLO_NET_24 = INRGLO_NET_242;
INCGLOA_NET = INCGLO_NET2;
GLO_PRI=GLO_PRI2;
GLO_ANT=GLO_ANT2;
GLO_NTL=GLO_NTL2;
GLO_NTL_1=GLO_NTL_222+GLO_NTL_242;
GLO_NTL_24=GLO_NTL_242;
GLO_TL=GLO_TL2;
GLO_TL_1=GLO_TL_222+GLO_TL_242;
GLO_TL_24=GLO_TL_24;
GLO_REF_INR=GLO_REF;

INR_NTL_GLOB_C820 = INR_NTL_GLOB_C8202;
INR_TL_GLOB_C820 = INR_TL_GLOB_C8202;
INR_TOT_GLOB_C820 = INR_TOT_GLOB_C8202;
DO_INR_C820 = DO_INR_C8202;
DO_C820 = DO_C8202;
SUP_C820_MAX = SUP_C820_MAX2;
INCC820_TL = INCC820_TL2;
INCC820_TL_1 = INCC820_TL_222+INCC820_TL_242;
INCC820_TL_24 = INCC820_TL_242;
INC820_TL = INC820_TL2;
INC820_TL_1 = INC820_TL_222+INC820_TL_242;
INC820_TL_24 = INC820_TL_242;
INRC820_NET = INRC820_NET2;
INRC820_NET_1 = INRC820_NET_222+INRC820_NET_242;
INRC820_NET_24 = INRC820_NET_242;
INCC820_NET = INCC820_NET2;
C820_PRI=C820_PRI2;
C820_ANT=C820_ANT2;
C820_NTL=C820_NTL2;
C820_NTL_1=C820_NTL_222+C820_NTL_242;
C820_NTL_24=C820_NTL_242;
C820_TL=C820_TL2;
C820_TL_1=C820_TL_222+C820_TL_242;
C820_TL_24=C820_TL_242;
C820_REF_INR=C820_REF;
INR_NTL_GLOB_IFI = INR_NTL_GLOB_IFI2;
INR_TL_GLOB_IFI = INR_TL_GLOB_IFI2;
INR_TOT_GLOB_IFI = INR_TOT_GLOB_IFI2;
DO_INR_IFI = DO_INR_IFI2;
DO_IFI = DO_IFI2;
SUP_IFI_MAX = SUP_IFI_MAX2;
INCIFI_TL = INCIFI_TL2;
INCIFI_TL_1 = INCIFI_TL_222+INCIFI_TL_242;
INCIFI_TL_24 = INCIFI_TL_242;
INIFI_TL = INIFI_TL2;
INIFI_TL_1 = INIFI_TL_222+INIFI_TL_242;
INIFI_TL_24 = INIFI_TL_242;
INRIFI_NET = INRIFI_NET2;
INRIFI_NET_1 = INRIFI_NET_222+INRIFI_NET_242;
INRIFI_NET_24 = INRIFI_NET_242;
INCIFI_NET = INCIFI_NET2;
IFI_PRI=IFI_PRI2;
IFI_ANT=IFI_ANT2;
IFI_NTL=IFI_NTL2;
IFI_NTL_1=IFI_NTL_222+IFI_NTL_242;
IFI_NTL_24=IFI_NTL_242;
IFI_TL=IFI_TL2;
IFI_TL_1=IFI_TL_222+IFI_TL_242;
IFI_TL_24=IFI_TL_242;
IFI_REF_INR=IFI_REF;
DO_INR_PSOL_TL = arr(INRPSOL_TL_A * DO_INR_PSOL/(INR_TOT_GLOB_PSOL-INR_PSOL_TARDIF));
DO_INR_PSOL_NTL = arr(INRPSOL_NTL_A * DO_INR_PSOL/(INR_TOT_GLOB_PSOL-INR_PSOL_TARDIF));
DO_INR_CDIS_TL = arr(INRCDIS_TL_A * DO_INR_CDIS/(INR_TOT_GLOB_CDIS-INR_CDIS_TARDIF));
DO_INR_CDIS_NTL = arr(INRCDIS_NTL_A * DO_INR_CDIS/(INR_TOT_GLOB_CDIS-INR_CDIS_TARDIF));
DO_INR_TAXA_TL = arr(INRTAXA_TL_A * DO_INR_TAXAGA/(INR_TOT_GLOB_TAXA-INR_TAXAGA_TARDIF));
DO_INR_TAXA_NTL = arr(INRTAXA_NTL_A * DO_INR_TAXAGA/(INR_TOT_GLOB_TAXA-INR_TAXAGA_TARDIF));
DO_INR_CHR_TL = arr(INRCHR_TL_A * DO_INR_CHR/(INR_TOT_GLOB_CHR-INR_CHR_TARDIF));
DO_INR_CHR_NTL = arr(INRCHR_NTL_A * DO_INR_CHR/(INR_TOT_GLOB_CHR-INR_CHR_TARDIF));
DO_INR_PCAP_TL = arr(INRPCAP_TL_A * DO_INR_PCAP/(INR_TOT_GLOB_PCAP-INR_PCAP_TARDIF));
DO_INR_PCAP_NTL = arr(INRPCAP_NTL_A * DO_INR_PCAP/(INR_TOT_GLOB_PCAP-INR_PCAP_TARDIF));
DO_INR_RSE1_TL = arr(INRRSE1_TL_A * DO_INR_RSE1/(INR_TOT_GLOB_RSE1-INR_RSE1_TARDIF));
DO_INR_RSE1_NTL = arr(INRRSE1_NTL_A * DO_INR_RSE1/(INR_TOT_GLOB_RSE1-INR_RSE1_TARDIF));
DO_INR_RSE2_TL = arr(INRRSE2_TL_A * DO_INR_RSE2/(INR_TOT_GLOB_RSE2-INR_RSE2_TARDIF));
DO_INR_RSE2_NTL = arr(INRRSE2_NTL_A * DO_INR_RSE2/(INR_TOT_GLOB_RSE2-INR_RSE2_TARDIF));
DO_INR_RSE3_TL = arr(INRRSE3_TL_A * DO_INR_RSE3/(INR_TOT_GLOB_RSE3-INR_RSE3_TARDIF));
DO_INR_RSE3_NTL = arr(INRRSE3_NTL_A * DO_INR_RSE3/(INR_TOT_GLOB_RSE3-INR_RSE3_TARDIF));
DO_INR_RSE4_TL = arr(INRRSE4_TL_A * DO_INR_RSE4/(INR_TOT_GLOB_RSE4-INR_RSE4_TARDIF));
DO_INR_RSE4_NTL = arr(INRRSE4_NTL_A * DO_INR_RSE4/(INR_TOT_GLOB_RSE4-INR_RSE4_TARDIF));
DO_INR_RSE5_TL = arr(INRRSE5_TL_A * DO_INR_RSE5/(INR_TOT_GLOB_RSE5-INR_RSE5_TARDIF));
DO_INR_RSE5_NTL = arr(INRRSE5_NTL_A * DO_INR_RSE5/(INR_TOT_GLOB_RSE5-INR_RSE5_TARDIF));
DO_INR_RSE6_TL = arr(INRRSE6_TL_A * DO_INR_RSE6/(INR_TOT_GLOB_RSE6-INR_RSE6_TARDIF));
DO_INR_RSE6_NTL = arr(INRRSE6_NTL_A * DO_INR_RSE6/(INR_TOT_GLOB_RSE6-INR_RSE6_TARDIF));
DO_INR_RSE8_TL = arr(INRRSE8_TL_A * DO_INR_RSE8/(INR_TOT_GLOB_RSE8-INR_RSE8_TARDIF));
DO_INR_RSE8_NTL = arr(INRRSE8_NTL_A * DO_INR_RSE8/(INR_TOT_GLOB_RSE8-INR_RSE8_TARDIF));
DO_INR_CVN_TL = arr(INRCVN_TL_A * DO_INR_CVN/(INR_TOT_GLOB_CVN-INR_CVN_TARDIF));
DO_INR_CVN_NTL = arr(INRCVN_NTL_A * DO_INR_CVN/(INR_TOT_GLOB_CVN-INR_CVN_TARDIF));
DO_INR_GLO_TL = arr(INRGLO_TL_A * DO_INR_GLO/(INR_TOT_GLOB_GLO-INR_GLO_TARDIF));
DO_INR_GLO_NTL = arr(INRGLO_NTL_A * DO_INR_GLO/(INR_TOT_GLOB_GLO-INR_GLO_TARDIF));
DO_INR_C820_TL = arr(INRC820_TL_A * DO_INR_C820/(INR_TOT_GLOB_C820-INR_C820_TARDIF));
DO_INR_C820_NTL = arr(INRC820_NTL_A * DO_INR_C820/(INR_TOT_GLOB_C820-INR_C820_TARDIF));
DO_INR_IFI_TL = arr(INRIFI_TL_A * DO_INR_IFI/(INR_TOT_GLOB_IFI-INR_IFI_TARDIF));
DO_INR_IFI_NTL = arr(INRIFI_NTL_A * DO_INR_IFI/(INR_TOT_GLOB_IFI-INR_IFI_TARDIF));
TINRISF = TINRISF2;
NBREMOISISF2=NBREMOISISF222;
DO_INR_IFI_NTL = arr(INRIFI_NTL_A * DO_INR_IFI/(INR_TOT_GLOB_IFI-INR_IFI_TARDIF));
TINR = TINR2 * positif( RETIFI2+RETIR2 +RETTAXA2 +RETPCAP2 +RETCHR2 +RETCS2 +RETRD2 +RETPSOL2 +RETCVN2 +RETCDIS2
                       +RETCSG8202 +RETGLOA2 +RETRSE12 +RETRSE22 +RETRSE32 +RETRSE42 +RETRSE52 +RETRSE62 +RETRSE82 ) * (1-positif(DO_INR_IR))+ TINR_A * positif(DO_INR_IR);
TINR_1=(TINR_222 + TINR_242) * positif( RETIFI2224 + RETIR2224 +RETTAXA2224 +RETPCAP2224 +RETCHR2224 +RETCS2224 +RETRD2224 +RETPSOL2224 +RETCVN2224 +RETCDIS2224
                       +RETC8202224 +RETGLOA2224 +RETRSE12224 +RETRSE22224 +RETRSE32224 +RETRSE42224 +RETRSE52224 +RETRSE62224 +RETRSE82224 ) * (1-positif(DO_INR_IR))+ TINR_1_A * positif(DO_INR_IR);
TINR = TINR2 * positif( RETIFI2+RETIR2 +RETTAXA2 +RETPCAP2 +RETCHR2 +RETCS2 +RETRD2 +RETPSOL2 +RETCVN2 +RETCDIS2
                       +RETCSG8202 +RETGLOA2 +RETRSE12 +RETRSE22 +RETRSE32 +RETRSE42 +RETRSE52 +RETRSE62 +RETRSE82 );
TINR_1=(TINR_222 + TINR_242) * positif( RETIFI2224 + RETIR2224 +RETTAXA2224 +RETPCAP2224 +RETCHR2224 +RETCS2224 +RETRD2224 +RETPSOL2224 +RETCVN2224 +RETCDIS2224
                       +RETC8202224 +RETGLOA2224 +RETRSE12224 +RETRSE22224 +RETRSE32224 +RETRSE42224 +RETRSE52224 +RETRSE62224 +RETRSE82224 );
NBREMOIS2=NBREMOIS222;
NBREMOISCS2=NBREMOISCS222;
regle corrective base_inr_inter22 13023:
application :  iliad ;
IR_ISO_RECT =   (IRN - IRANT) * positif(IRN - IRANT) * positif(IAMD1 + 1 - SEUIL_61);
TAXA_ISO_RECT = arr(max(TAXASSUR + min(0,IRN - IRANT),0)) * positif(IAMD1 + 1 - SEUIL_61);
CAP_ISO_RECT =arr(max(IPCAPTAXT + min(0,IRN - IRANT + TAXASSUR),0)) * positif(IAMD1 + 1 - SEUIL_61);
CHR_ISO_RECT =arr(max(IHAUTREVT + CHRPVIMP+ min(0 , IRN - IRANT + TAXASSUR + IPCAPTAXT) , 0)) * positif(IAMD1 + 1 - SEUIL_61) ;

VARZDC_A = VARZDC ;
DIFF7WY_A = DIFF7WY ; 
DIFF7WZ_A = DIFF7WZ ; 
DIFF7WD_A = DIFF7WD ; 
NATIMP_A = NATIMP ; 
PTAXA_A=PTAXA;
PCHR_A=PHAUTREV;
PPCAP_A=PPCAP;
PRSE1_A=PRSE1;
PRSE2_A=PRSE2;
PRSE3_A=PRSE3;
PRSE4_A=PRSE4;
PCVN_A=PCVN;
PGLOA_A=PGLOA;
PC820_A=PCSG820;
PIFI_A=PIFI;
PRSE5_A=PRSE5;
PRSE6_A=PRSE6;
PRSE8_A=PRSE8;
PCDIS_A=PCDIS;
PTOT_A = PTOT;
RNI_A = RNI;
IREST_A = IREST;
IDEGR_A = IRDEG;
IRN_A = IRN;
IRNET_A = IRNET;
TAXANET_A = TAXANET;
CHRNET_A = HAUTREVNET;
PCAPNET_A = PCAPNET;
RSE1NET_A = RSE1NET;
RSE2NET_A = RSE2NET;
RSE3NET_A = RSE3NET;
RSE4NET_A = RSE4NET;
CVNNET_A = CVNNET;
GLONET_A = CGLOANET;
C820NET_A = CSG820NET;
CDISNET_A = CDISNET;
RSE5NET_A = RSE5NET;
RSE6NET_A = RSE6NET;
RSE8NET_A = RSE8NET;
IFINET_A = IFINET;
IDCSG_A = IDCSG;
DCSGIM_A = DCSGIM;
IRANT_A = IRANT;
IRNIN_A = IRNIN;
CHRBASE_A=CHRBASE;
CRDSIM_A=CRDSIM;
IRNIN_INR_A = max(0,IRNIN_INR+NIRNIN);
IRCUM_A=IRCUM;
PCAPBASE_A=PCAPBASE;
PRSPROV_A=PRSPROV;
PSOLBASE_INR_A=PSOLBASE_INR+NPSOLBASE;
RDBASE_INR_A=RDBASE_INR+NRDBASE;
RECUM_A=RECUM;
TINRISF_A=TINRISF;
CSG_A = CSG;
RDS_A = RDSN;
PSOL_A = PSOL;
CDIS_A = CDIS;
CGLOA_A = CGLOA;
C820_A = MCSG820;
CVN_A = CVNN;
CICA_A = CICA;
IRNINHCOA_A = IRNINHCOA;
CSBASEHCOB_A=CSBASEHCOB;
RDBASEHCOR_A=RDBASEHCOR;
PSBASEHCOY_A=PSBASEHCOY;
PSOLBASEHCOD_A=PSOLBASEHCOD;
CDISBASEHCOF_A=CDISBASEHCOF;
TAXABASEHCOU_A=TAXABASEHCOU;
CHRBASEHCOX_A=CHRBASEHCOX;
PCAPBASEHCOV_A=PCAPBASEHCOV;
RSE1BASEHCOT_A=RSE1BASEHCOT;
RSE2BASEHCOL_A=RSE2BASEHCOL;
RSE3BASEHCOM_A=RSE3BASEHCOM;
RSE4BASEHCOO_A=RSE4BASEHCOO;
RSE5BASEHCOJ_A=RSE5BASEHCOJ;
RSE6BASEHCOP_A=RSE6BASEHCOP;
RSE8BASEHCOH_A=RSE8BASEHCOH;
CVNBASEHCOE_A=CVNBASEHCOE;
GLOBASEHCOG_A=GLOBASEHCOG;
C820BASEHCOQ_A=C820BASEHCOQ;
CSBASE_INR_A = max(0,CSBASE_INR+NCSBASE);
TAXABASE_INR_A = max(0,TAXABASE_INR+NTAXABASE);
CHRBASE_INR_A = max(0,CHRBASE_INR+NCHRBASE);
PCAPBASE_INR_A = max(0,PCAPBASE_INR+NPCAPBASE);
RSE1BASE_INR_A = max(0,RSE1BASE_INR+NRSE1BASE);
RSE2BASE_INR_A = max(0,RSE2BASE_INR+NRSE2BASE);
RSE3BASE_INR_A = max(0,RSE3BASE_INR+NRSE3BASE);
RSE4BASE_INR_A = max(0,RSE4BASE_INR+NRSE4BASE);
CDISBASE_INR_A = max(0,CDISBASE_INR+NCDISBASE);
GLOBASE_INR_A = max(0,GLOBASE_INR+NGLOBASE);
C820BASE_INR_A = max(0,C820BASE_INR+NC820BASE);
CVNBASE_INR_A = max(0,CVNBASE_INR+NCVNBASE);
RSE5BASE_INR_A = max(0,RSE5BASE_INR+NRSE5BASE);
RSE6BASE_INR_A = max(0,RSE6BASE_INR+NRSE6BASE);
RSE8BASE_INR_A = max(0,RSE8BASE_INR+NRSE8BASE);
IFIBASE_INR_A = IFIBASE_INR;
IRNIN_R99R_A = IRNIN_R99R+(IRNIN_PA)*null(1-IND_PASSAGE);
IRNIN_R9901_A = IRNIN_R9901;
CSG_R9901_A = CSG_R9901;
RDS_R9901_A = RDS_R9901;
PSOL_R9901_A = PSOL_R9901;
CDIS_R9901_A = CDIS_R9901;
TAXA_R9901_A = TAXA_R9901;
CHR_R9901_A = CHR_R9901;
PCAP_R9901_A = PCAP_R9901;
RSE1_R9901_A = RSE1_R9901;
RSE2_R9901_A = RSE2_R9901;
RSE3_R9901_A = RSE3_R9901;
RSE4_R9901_A = RSE4_R9901;
CVN_R9901_A = CVN_R9901;
GLO_R9901_A = GLO_R9901;
C820_R9901_A = C820_R9901;
IFI_R9901_A = IFI_R9901;
RSE5_R9901_A = RSE5_R9901;
RSE6_R9901_A = RSE6_R9901;
RSE8_R9901_A = RSE8_R9901;
CSG_R99R_A = CSG_R99R+CSG_PA*null(1-IND_PASSAGE);
RDS_R99R_A = RDS_R99R+CRDS_PA*null(1-IND_PASSAGE);
PSOL_R99R_A = PSOL_R99R+PSOL_PA*null(1-IND_PASSAGE);
CDIS_R99R_A = CDIS_R99R+CDIS_PA*null(1-IND_PASSAGE);
TAXA_R99R_A = TAXA_R99R+TAXA_PA*null(1-IND_PASSAGE);
CHR_R99R_A = CHR_R99R+CHR_PA*null(1-IND_PASSAGE);
PCAP_R99R_A = PCAP_R99R+PCAP_PA*null(1-IND_PASSAGE);
RSE1_R99R_A = RSE1_R99R+RSE1_PA*null(1-IND_PASSAGE);
RSE2_R99R_A = RSE2_R99R+RSE2_PA*null(1-IND_PASSAGE);
RSE3_R99R_A = RSE3_R99R+RSE3_PA*null(1-IND_PASSAGE);
RSE4_R99R_A = RSE4_R99R+RSE4_PA*null(1-IND_PASSAGE);
CVN_R99R_A = CVN_R99R+CVN_PA*null(1-IND_PASSAGE);
GLO_R99R_A = GLO_R99R+GLO_PA*null(1-IND_PASSAGE);
C820_R99R_A = C820_R99R+C820_PA*null(1-IND_PASSAGE);
IFI_R99R_A = IFI_R99R+IFI_PA*null(1-IND_PASSAGE);
RSE5_R99R_A = RSE5_R99R+RSE5_PA*null(1-IND_PASSAGE);
RSE6_R99R_A = RSE6_R99R+RSE6_PA*null(1-IND_PASSAGE);
RSE8_R99R_A = RSE8_R99R+RSE8_PA*null(1-IND_PASSAGE);
INRIR_R99R_A = INRIR_R99R+INRIR_R99RA;
INRCSG_R99R_A = INRCSG_R99R+INRCSG_R99RA;
INRCRDS_R99R_A = INRCRDS_R99R+INRCRDS_R99RA;
INRPSOL_R99R_A = INRPSOL_R99R+INRPSOL_R99RA;
INRCDIS_R99R_A = INRCDIS_R99R+INRCDIS_R99RA;
INRTAXA_R99R_A = INRTAXA_R99R+INRTAXA_R99RA;
INRCHR_R99R_A = INRCHR_R99R+INRCHR_R99RA;
INRPCAP_R99R_A = INRPCAP_R99R+INRPCAP_R99RA;
INRRSE1_R99R_A = INRRSE1_R99R+INRRSE1_R99RA;
INRRSE2_R99R_A = INRRSE2_R99R+INRRSE2_R99RA;
INRRSE3_R99R_A = INRRSE3_R99R+INRRSE3_R99RA;
INRRSE4_R99R_A = INRRSE4_R99R+INRRSE4_R99RA;
INRCVN_R99R_A = INRCVN_R99R+INRCVN_R99RA;
INRGLO_R99R_A = INRGLO_R99R+INRGLO_R99RA;
INRC820_R99R_A = INRC820_R99R+INRC820_R99RA;
INRIFI_R99R_A = INRIFI_R99R+INRIFI_R99RA;
INRRSE5_R99R_A = INRRSE5_R99R+INRRSE5_R99RA;
INRRSE6_R99R_A = INRRSE6_R99R+INRRSE6_R99RA;
INRRSE8_R99R_A = INRRSE8_R99R+INRRSE8_R99RA;
INRIR_R9901_A = INRIR_R9901+INRIR_R9901A;
INRCSG_R9901_A = INRCSG_R9901+INRCSG_R9901A;
INRCRDS_R9901_A = INRCRDS_R9901+INRCRDS_R9901A;
INRPSOL_R9901_A = INRPSOL_R9901+INRPSOL_R9901A;
INRCDIS_R9901_A = INRCDIS_R9901+INRCDIS_R9901A;
INRTAXA_R9901_A = INRTAXA_R9901+INRTAXA_R9901A;
INRCHR_R9901_A = INRCHR_R9901+INRCHR_R9901A;
INRPCAP_R9901_A = INRPCAP_R9901+INRPCAP_R9901A;
INRRSE1_R9901_A = INRRSE1_R9901+INRRSE1_R9901A;
INRRSE2_R9901_A = INRRSE2_R9901+INRRSE2_R9901A;
INRRSE3_R9901_A = INRRSE3_R9901+INRRSE3_R9901A;
INRRSE4_R9901_A = INRRSE4_R9901+INRRSE4_R9901A;
INRCVN_R9901_A = INRCVN_R9901+INRCVN_R9901A;
INRGLO_R9901_A = INRGLO_R9901+INRGLO_R9901A;
INRC820_R9901_A = INRC820_R9901+INRC820_R9901A;
INRIFI_R9901_A = INRIFI_R9901+INRIFI_R9901A;
INRRSE6_R9901_A = INRRSE6_R9901+INRRSE6_R9901A;
INRRSE8_R9901_A = INRRSE8_R9901+INRRSE8_R9901A;
RECUP_INR_IR_A=RECUP_INR_IR;
RECUP_INR_CSG_A=RECUP_INR_CSG;
RECUP_INR_CRDS_A=RECUP_INR_CRDS;
RECUP_INR_PSOL_A=RECUP_INR_PSOL;
RECUP_INR_TAXA_A=RECUP_INR_TAXA;
RECUP_INR_CDIS_A=RECUP_INR_CDIS;
RECUP_INR_PCAP_A=RECUP_INR_PCAP;
RECUP_INR_CVN_A=RECUP_INR_CVN;
RECUP_INR_GLO_A=RECUP_INR_GLO;
RECUP_INR_C820_A=RECUP_INR_C820;
RECUP_INR_IFI_A=RECUP_INR_IFI;
RECUP_INR_RSE1_A=RECUP_INR_RSE1;
RECUP_INR_RSE2_A=RECUP_INR_RSE2;
RECUP_INR_RSE3_A=RECUP_INR_RSE3;
RECUP_INR_RSE4_A=RECUP_INR_RSE4;
RECUP_INR_RSE5_A=RECUP_INR_RSE5;
RECUP_INR_RSE6_A=RECUP_INR_RSE6;
RECUP_INR_RSE8_A=RECUP_INR_RSE8;
RECUP_INR_CHR_A=RECUP_INR_CHR;
RECUP_INR_IFI_A=RECUP_INR_IFI;
IAR_A = IAR;
NAPIR_A=NAPIR;

FRDV_A = max(FRDV * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(FRDV_P,FRDV1731));
FRDC_A = max(FRDC * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(FRDC_P,FRDC1731));
FRD1_A = max(FRD1 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(FRD1_P,FRD11731));
FRD2_A = max(FRD2 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(FRD2_P,FRD21731));
FRD3_A = max(FRD3 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(FRD3_P,FRD31731));
FRD4_A = max(FRD4 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(FRD4_P,FRD41731));
FRDP_A = FRD1_A + FRD2_A +FRD3_A +FRD4_A ;
TFRDV_A = max(TFRDV * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(TFRDV_P,TFRDV1731));
TFRDC_A = max(TFRDC * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(TFRDC_P,TFRDC1731));
TFRD1_A = max(TFRD1 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(TFRD1_P,TFRD11731));
TFRD2_A = max(TFRD2 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(TFRD2_P,TFRD21731));
TFRD3_A = max(TFRD3 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(TFRD3_P,TFRD31731));
TFRD4_A = max(TFRD4 * FLAGPREM * positif(FLAG_RETARD+FLAG_DEFAUT),max(TFRD4_P,TFRD41731));
IRNIN_RECT_A = IRNIN_RECT;
INRIR_RECT_A = INRIR_RECT;

IRNIN_REF_A = max(max(0,IRNIN_INR+NIRNIN),IRNIN_P+IRNIN_PA)*positif(DO_INR_IR2)
	     + max(IRNIN_INR+NIRNIN,IRNIN_REF) * (1-positif(DO_INR_IR2));
CSG_REF_A = max(max(0,CSBASE_INR+NCSBASE),CSG_P+CSG_PA)*positif(DO_INR_CSG2)
	   + max(CSBASE_INR+NCSBASE,CSG_REF)
            * (1-positif(DO_INR_CSG2));
RDS_REF_A = max(max(0,RDBASE_INR+NRDBASE),RDS_P+CRDS_PA)*positif(DO_INR_CRDS2)
            + max(RDBASE_INR+NRDBASE,RDS_REF)
            * (1-positif(DO_INR_CRDS2));
PSOL_REF_A = max(max(0,PSOLBASE_INR+NPSOLBASE),PSOL_P+PSOL_PA)*positif(DO_INR_PSOL2)
            + max(PSOLBASE_INR+NPSOLBASE,PSOL_REF)
            * (1-positif(DO_INR_PSOL2));
CDIS_REF_A = max(CDISBASE_INR+NCDISBASE,CDIS_P+CDIS_PA)*positif(DO_INR_CDIS2)
            + max(CDISBASE_INR+NCDISBASE,CDIS_REF)
            * (1-positif(DO_INR_CDIS2));
TAXA_REF_A = max(TAXABASE_INR+NTAXABASE,TAXA_P+TAXA_PA)*positif(DO_INR_TAXA2)
            + max(TAXABASE_INR+NTAXABASE,TAXA_REF)
            * (1-positif(DO_INR_TAXA2));
CHR_REF_A = max(CHRBASE_INR+NCHRBASE,CHR_P+CHR_PA)*positif(DO_INR_CHR2)
            + max(CHRBASE_INR+NCHRBASE,CHR_REF)
            * (1-positif(DO_INR_CHR2));
PCAP_REF_A = max(PCAPBASE_INR+NPCAPBASE,PCAP_P+PCAP_PA)*positif(DO_INR_PCAP2)
            + max(PCAPBASE_INR+NPCAPBASE,PCAP_REF)
            * (1-positif(DO_INR_PCAP2));
RSE1_REF_A = max(RSE1BASE_INR+NRSE1BASE,RSE1_P+RSE1_PA)*positif(DO_INR_RSE12)
            + max(RSE1BASE_INR+NRSE1BASE,RSE1_REF)
            * (1-positif(DO_INR_RSE12));
RSE2_REF_A = max(RSE2BASE_INR+NRSE2BASE,RSE2_P+RSE2_PA)*positif(DO_INR_RSE22)
            + max(RSE2BASE_INR+NRSE2BASE,RSE2_REF)
            * (1-positif(DO_INR_RSE22));
RSE3_REF_A = max(RSE3BASE_INR+NRSE3BASE,RSE3_P+RSE3_PA)*positif(DO_INR_RSE32)
            + max(RSE3BASE_INR+NRSE3BASE,RSE3_REF)
            * (1-positif(DO_INR_RSE32));
RSE4_REF_A = max(RSE4BASE_INR,RSE4_P+RSE4_PA)*positif(DO_INR_RSE42)
            + max(RSE4BASE_INR,RSE4_REF)
            * (1-positif(DO_INR_RSE42));
CVN_REF_A = max(CVNBASE_INR+NCVNBASE,CVN_P+CVN_PA)*positif(DO_INR_CVN2)
            + max(CVNBASE_INR+NCVNBASE,CVN_REF)
            * (1-positif(DO_INR_CVN2));
GLO_REF_A = max(GLOBASE_INR+NGLOBASE,GLO_P+GLO_PA)*positif(DO_INR_GLO2)
            + max(GLOBASE_INR+NGLOBASE,GLO_REF)
            * (1-positif(DO_INR_GLO2));
C820_REF_A = max(C820BASE_INR+NC820BASE,C820_P+C820_PA)*positif(DO_INR_C8202)
            + max(C820BASE_INR+NC820BASE,C820_REF)
            * (1-positif(DO_INR_C8202));
IFI_REF_A = max(IFIBASE_INR,IFI_P+IFI_PA)*positif(DO_INR_IFI2)
            + max(IFIBASE_INR,IFI_REF)
            * (1-positif(DO_INR_IFI2));
RSE5_REF_A = max(RSE5BASE_INR+NRSE5BASE,RSE5_P+RSE5_PA)*positif(DO_INR_RSE52)
            + max(RSE5BASE_INR+NRSE5BASE,RSE5_REF)
            * (1-positif(DO_INR_RSE52));
RSE6_REF_A = max(RSE6BASE_INR+NRSE6BASE,RSE6_P+RSE6_PA)*positif(DO_INR_RSE62)
            + max(RSE6BASE_INR+NRSE6BASE,RSE6_REF)
            * (1-positif(DO_INR_RSE62));
RSE8_REF_A = max(RSE8BASE_INR+NRSE8BASE,RSE8_P+RSE8_PA)*positif(DO_INR_RSE82)
            + max(RSE8BASE_INR+NRSE8BASE,RSE8_REF)
            * (1-positif(DO_INR_RSE82));

IRNIN_PA_A = IRNIN_PA;
CSG_PA_A = CSG_PA;
CRDS_PA_A = CRDS_PA;
PSOL_PA_A = PSOL_PA;
IRNIN_PADO_A = IRNIN_PADO;
CSG_PADO_A = CSG_PADO;
CRDS_PADO_A = CRDS_PADO;
PSOL_PADO_A = PSOL_PADO;
CDIS_PA_A = CDIS_PA;
TAXA_PA_A = TAXA_PA;
CHR_PA_A = CHR_PA;
PCAP_PA_A = PCAP_PA;
RSE1_PA_A = RSE1_PA;
RSE2_PA_A = RSE2_PA;
RSE3_PA_A = RSE3_PA;
RSE4_PA_A = RSE4_PA;
CVN_PA_A = CVN_PA;
GLO_PA_A = GLO_PA;
C820_PA_A = C820_PA;
IFI_PA_A = IFI_PA;
RSE5_PA_A = RSE5_PA;
RSE6_PA_A = RSE6_PA;
RSE8_PA_A = RSE8_PA;


DO_INR_IR_A = DO_INR_IR + DO_INR_IRC;
DO_IR_A = DO_IR;
DO_INR_CSG_A = DO_INR_CSG+ DO_INR_CSGC;
DO_CSG_A = DO_CSG;
DO_INR_CRDS_A = DO_INR_CRDS+ DO_INR_CRDSC;
DO_CRDS_A = DO_CRDS;
DO_INR_PS_A = DO_INR_PS+ DO_INR_PSC;
DO_PS_A = DO_PS;
DO_INR_PSOL_A = DO_INR_PSOL+ DO_INR_PSOLC;
DO_PSOL_A = DO_PSOL;
DO_INR_CDIS_A = DO_INR_CDIS+ DO_INR_CDISC;
DO_CDIS_A = DO_CDIS;
DO_INR_TAXA_A = DO_INR_TAXAGA+ DO_INR_TAXAC;
DO_TAXA_A = DO_TAXA;
DO_INR_CHR_A = DO_INR_CHR+ DO_INR_CHRC;
DO_CHR_A = DO_CHR;
DO_INR_PCAP_A = DO_INR_PCAP+ DO_INR_PCAPC;
DO_PCAP_A = DO_PCAP;
DO_INR_RSE1_A = DO_INR_RSE1+ DO_INR_RSE1C;
DO_RSE1_A = DO_RSE1;
DO_INR_RSE2_A = DO_INR_RSE2+ DO_INR_RSE2C;
DO_RSE2_A = DO_RSE2;
DO_INR_RSE3_A = DO_INR_RSE3+ DO_INR_RSE3C;
DO_RSE3_A = DO_RSE3;
DO_INR_RSE4_A = DO_INR_RSE4+ DO_INR_RSE4C;
DO_RSE4_A = DO_RSE4;
DO_INR_CVN_A = DO_INR_CVN+ DO_INR_CVNC;
DO_CVN_A = DO_CVN;
DO_INR_GLO_A = DO_INR_GLO+ DO_INR_GLOC;
DO_GLO_A = DO_GLO;
DO_INR_C820_A = DO_INR_C820+ DO_INR_C820C;
DO_C820_A = DO_C820;
DO_INR_IFI_A = DO_INR_IFI+ DO_INR_IFIC;
DO_IFI_A = DO_IFI;
DO_INR_RSE5_A = DO_INR_RSE5+ DO_INR_RSE5C;
DO_RSE5_A = DO_RSE5;
DO_INR_RSE6_A = DO_INR_RSE6+ DO_INR_RSE6C;
DO_RSE6_A = DO_RSE6;
DO_INR_RSE8_A = DO_INR_RSE8+ DO_INR_RSE8C;
DO_RSE8_A = DO_RSE8;

INRIR_NTL_A= INRIR_NTLDEC+INRIR_NTLADEC;
INRCSG_NTL_A=INRCSG_NTLDEC+INRCSG_NTLADEC;
INRCRDS_NTL_A=INRCRDS_NTLDEC+INRCRDS_NTLADEC;
INRPSOL_NTL_A=INRPSOL_NTLDEC+INRPSOL_NTLADEC;
INRCDIS_NTL_A=INRCDIS_NTLDEC+INRCDIS_NTLADEC;
INRTAXA_NTL_A=INRTAXA_NTLDEC+INRTAXA_NTLADEC;
INRCHR_NTL_A=INRCHR_NTLDEC+INRCHR_NTLADEC;
INRPCAP_NTL_A=INRPCAP_NTLDEC+INRPCAP_NTLADEC;
INRRSE1_NTL_A=INRRSE1_NTLDEC+INRRSE1_NTLADEC;
INRRSE2_NTL_A=INRRSE2_NTLDEC+INRRSE2_NTLADEC;
INRRSE3_NTL_A=INRRSE3_NTLDEC+INRRSE3_NTLADEC;
INRRSE4_NTL_A=INRRSE4_NTLDEC+INRRSE4_NTLADEC;
INRCVN_NTL_A=INRCVN_NTLDEC+INRCVN_NTLADEC;
INRGLO_NTL_A=INRGLO_NTLDEC+INRGLO_NTLADEC;
INRC820_NTL_A=INRC820_NTLDEC+INRC820_NTLADEC;
INRIFI_NTL_A=INRIFI_NTLDEC+INRIFI_NTLADEC;
INRRSE5_NTL_A=INRRSE5_NTLDEC+INRRSE5_NTLADEC;
INRRSE6_NTL_A=INRRSE6_NTLDEC+INRRSE6_NTLADEC;
INRRSE8_NTL_A=INRRSE8_NTLDEC+INRRSE8_NTLADEC;

INRIR_NTL_22_A= (INRIR_NTLDEC_22+INRIR_NTLADEC_22);
INRIR_NTL_24_A= (INRIR_NTLDEC_24+INRIR_NTLADEC_24);
INRCSG_NTL_22_A=(INRCSG_NTLDEC_22+INRCSG_NTLADEC_22);
INRCSG_NTL_24_A=(INRCSG_NTLDEC_24+INRCSG_NTLADEC_24);
INRCRDS_NTL_22_A=(INRCRDS_NTLDEC_22+INRCRDS_NTLADEC_22);
INRCRDS_NTL_24_A=(INRCRDS_NTLDEC_24+INRCRDS_NTLADEC_24);
INRPSOL_NTL_22_A=(INRPSOL_NTLDEC_22+INRPSOL_NTLADEC_22);
INRPSOL_NTL_24_A=(INRPSOL_NTLDEC_24+INRPSOL_NTLADEC_24);
INRCDIS_NTL_22_A=(INRCDIS_NTLDEC_22+INRCDIS_NTLADEC_22);
INRCDIS_NTL_24_A=(INRCDIS_NTLDEC_24+INRCDIS_NTLADEC_24);
INRTAXA_NTL_22_A=(INRTAXA_NTLDEC_22+INRTAXA_NTLADEC_22);
INRTAXA_NTL_24_A=(INRTAXA_NTLDEC_24+INRTAXA_NTLADEC_24);
INRCHR_NTL_22_A=(INRCHR_NTLDEC_22+INRCHR_NTLADEC_22);
INRCHR_NTL_24_A=(INRCHR_NTLDEC_24+INRCHR_NTLADEC_24);
INRPCAP_NTL_22_A=(INRPCAP_NTLDEC_22+INRPCAP_NTLADEC_22);
INRPCAP_NTL_24_A=(INRPCAP_NTLDEC_24+INRPCAP_NTLADEC_24);
INRRSE1_NTL_22_A=(INRRSE1_NTLDEC_22+INRRSE1_NTLADEC_22);
INRRSE1_NTL_24_A=(INRRSE1_NTLDEC_24+INRRSE1_NTLADEC_24);
INRRSE2_NTL_22_A=(INRRSE2_NTLDEC_22+INRRSE2_NTLADEC_22);
INRRSE2_NTL_24_A=(INRRSE2_NTLDEC_24+INRRSE2_NTLADEC_24);
INRRSE3_NTL_22_A=(INRRSE3_NTLDEC_22+INRRSE3_NTLADEC_22);
INRRSE3_NTL_24_A=(INRRSE3_NTLDEC_24+INRRSE3_NTLADEC_24);
INRRSE4_NTL_22_A=(INRRSE4_NTLDEC_22+INRRSE4_NTLADEC_22);
INRRSE4_NTL_24_A=(INRRSE4_NTLDEC_24+INRRSE4_NTLADEC_24);
INRCVN_NTL_22_A=(INRCVN_NTLDEC_22+INRCVN_NTLADEC_22);
INRCVN_NTL_24_A=(INRCVN_NTLDEC_24+INRCVN_NTLADEC_24);
INRGLO_NTL_22_A=(INRGLO_NTLDEC_22+INRGLO_NTLADEC_22);
INRGLO_NTL_24_A=(INRGLO_NTLDEC_24+INRGLO_NTLADEC_24);
INRC820_NTL_22_A=(INRC820_NTLDEC_22+INRC820_NTLADEC_22);
INRC820_NTL_24_A=(INRC820_NTLDEC_24+INRC820_NTLADEC_24);
INRIFI_NTL_22_A=(INRIFI_NTLDEC_22+INRIFI_NTLADEC_22);
INRIFI_NTL_24_A=(INRIFI_NTLDEC_24+INRIFI_NTLADEC_24);
INRRSE5_NTL_22_A=(INRRSE5_NTLDEC_22+INRRSE5_NTLADEC_22);
INRRSE5_NTL_24_A=(INRRSE5_NTLDEC_24+INRRSE5_NTLADEC_24);
INRRSE6_NTL_22_A=(INRRSE6_NTLDEC_22+INRRSE6_NTLADEC_22);
INRRSE6_NTL_24_A=(INRRSE6_NTLDEC_24+INRRSE6_NTLADEC_24);
INRRSE8_NTL_22_A=(INRRSE8_NTLDEC_22+INRRSE8_NTLADEC_22);
INRRSE8_NTL_24_A=(INRRSE8_NTLDEC_24+INRRSE8_NTLADEC_24);

INRIR_TL_22_A=(INRIR_TLADEC_22+max(0,INRIR_TL_22_AD-arr(DO_INR_IR*INRIR_TL_22_AD/(INRIR_TL_22_AD+INRIR_TL_AD))));
INRIR_TL_24_A=(INRIR_TLADEC_24+max(0,INRIR_TL_24_AD-arr(DO_INR_IR*INRIR_TL_24_AD/(INRIR_TL_24_AD+INRIR_TL_AD))));
INRCSG_TL_22_A=(INRCSG_TLADEC_22+max(0,INRCSG_TL_22_AD-arr(DO_INR_CSG*INRCSG_TL_22_AD/(INRCSG_TL_AD+INRCSG_TL_22_AD))));
INRCSG_TL_24_A=(INRCSG_TLADEC_24+max(0,INRCSG_TL_24_AD-arr(DO_INR_CSG*INRCSG_TL_24_AD/(INRCSG_TL_AD+INRCSG_TL_24_AD))));
INRPSOL_TL_22_A=(INRPSOL_TLADEC_22+max(0,INRPSOL_TL_22_AD-arr(DO_INR_PSOL*INRPSOL_TL_22_AD/(INRPSOL_TL_AD+INRPSOL_TL_22_AD))));
INRPSOL_TL_24_A=(INRPSOL_TLADEC_24+max(0,INRPSOL_TL_24_AD-arr(DO_INR_PSOL*INRPSOL_TL_24_AD/(INRPSOL_TL_AD+INRPSOL_TL_24_AD))));
INRCRDS_TL_22_A=(INRCRDS_TLADEC_22+max(0,INRCRDS_TL_22_AD-arr(DO_INR_CRDS*INRCRDS_TL_22_AD/(INRCRDS_TL_AD+INRCRDS_TL_22_AD))));
INRCRDS_TL_24_A=(INRCRDS_TLADEC_24+max(0,INRCRDS_TL_24_AD-arr(DO_INR_CRDS*INRCRDS_TL_24_AD/(INRCRDS_TL_AD+INRCRDS_TL_24_AD))));
INRCDIS_TL_22_A=(INRCDIS_TLADEC_22+max(0,INRCDIS_TL_22_AD-arr(DO_INR_CDIS*INRCDIS_TL_22_AD/(INRCDIS_TL_AD+INRCDIS_TL_22_AD))));
INRCDIS_TL_24_A=(INRCDIS_TLADEC_24+max(0,INRCDIS_TL_24_AD-arr(DO_INR_CDIS*INRCDIS_TL_24_AD/(INRCDIS_TL_AD+INRCDIS_TL_24_AD))));
INRTAXA_TL_22_A=(INRTAXA_TLADEC_22+max(0,INRTAXA_TL_22_AD -arr(DO_INR_TAXAGA*INRTAXA_TL_22_AD/(INRTAXA_TL_AD+INRTAXA_TL_22_AD))));
INRTAXA_TL_24_A=(INRTAXA_TLADEC_24+max(0,INRTAXA_TL_24_AD -arr(DO_INR_TAXAGA*INRTAXA_TL_24_AD/(INRTAXA_TL_AD+INRTAXA_TL_24_AD))));
INRCHR_TL_22_A=(INRCHR_TLADEC_22+max(0,INRCHR_TL_22_AD -arr(DO_INR_CHR*INRCHR_TL_22_AD/(INRCHR_TL_AD+INRCHR_TL_22_AD))));
INRCHR_TL_24_A=(INRCHR_TLADEC_24+max(0,INRCHR_TL_24_AD -arr(DO_INR_CHR*INRCHR_TL_24_AD/(INRCHR_TL_AD+INRCHR_TL_24_AD))));
INRPCAP_TL_22_A=(INRPCAP_TLADEC_22+max(0,INRPCAP_TL_22_AD -arr(DO_INR_PCAP*INRPCAP_TL_22_AD/(INRPCAP_TL_AD+INRPCAP_TL_22_AD))));
INRPCAP_TL_24_A=(INRPCAP_TLADEC_24+max(0,INRPCAP_TL_24_AD -arr(DO_INR_PCAP*INRPCAP_TL_24_AD/(INRPCAP_TL_AD+INRPCAP_TL_24_AD))));
INRRSE1_TL_22_A=(INRRSE1_TLADEC_22+max(0,INRRSE1_TL_22_AD -arr(DO_INR_RSE1*INRRSE1_TL_22_AD/(INRRSE1_TL_AD+INRRSE1_TL_22_AD))));
INRRSE1_TL_24_A=(INRRSE1_TLADEC_24+max(0,INRRSE1_TL_24_AD -arr(DO_INR_RSE1*INRRSE1_TL_24_AD/(INRRSE1_TL_AD+INRRSE1_TL_24_AD))));
INRRSE2_TL_22_A=(INRRSE2_TLADEC_22+max(0,INRRSE2_TL_22_AD -arr(DO_INR_RSE2*INRRSE2_TL_22_AD/(INRRSE2_TL_AD+INRRSE2_TL_22_AD))));
INRRSE2_TL_24_A=(INRRSE2_TLADEC_24+max(0,INRRSE2_TL_24_AD -arr(DO_INR_RSE2*INRRSE2_TL_24_AD/(INRRSE2_TL_AD+INRRSE2_TL_24_AD))));
INRRSE3_TL_22_A=(INRRSE3_TLADEC_22+max(0,INRRSE3_TL_22_AD -arr(DO_INR_RSE3*INRRSE3_TL_22_AD/(INRRSE3_TL_AD+INRRSE3_TL_22_AD))));
INRRSE3_TL_24_A=(INRRSE3_TLADEC_24+max(0,INRRSE3_TL_24_AD -arr(DO_INR_RSE3*INRRSE3_TL_24_AD/(INRRSE3_TL_AD+INRRSE3_TL_24_AD))));
INRRSE4_TL_22_A=(INRRSE4_TLADEC_22+max(0,INRRSE4_TL_22_AD -arr(DO_INR_RSE4*INRRSE4_TL_22_AD/(INRRSE4_TL_AD+INRRSE4_TL_22_AD))));
INRRSE4_TL_24_A=(INRRSE4_TLADEC_24+max(0,INRRSE4_TL_24_AD -arr(DO_INR_RSE4*INRRSE4_TL_24_AD/(INRRSE4_TL_AD+INRRSE4_TL_24_AD))));
INRCVN_TL_22_A=(INRCVN_TLADEC_22+max(0,INRCVN_TL_22_AD -arr(DO_INR_CVN*INRCVN_TL_22_AD/(INRCVN_TL_AD+INRCVN_TL_22_AD))));
INRCVN_TL_24_A=(INRCVN_TLADEC_24+max(0,INRCVN_TL_24_AD -arr(DO_INR_CVN*INRCVN_TL_24_AD/(INRCVN_TL_AD+INRCVN_TL_24_AD))));
INRGLO_TL_22_A=(INRGLO_TLADEC_22+max(0,INRGLO_TL_22_AD -arr(DO_INR_GLO*INRGLO_TL_22_AD/(INRGLO_TL_AD+INRGLO_TL_22_AD))));
INRGLO_TL_24_A=(INRGLO_TLADEC_24+max(0,INRGLO_TL_24_AD -arr(DO_INR_GLO*INRGLO_TL_24_AD/(INRGLO_TL_AD+INRGLO_TL_24_AD))));
INRC820_TL_22_A=(INRC820_TLADEC_22+max(0,INRC820_TL_22_AD -arr(DO_INR_C820*INRC820_TL_22_AD/(INRC820_TL_AD+INRC820_TL_22_AD))));
INRC820_TL_24_A=(INRC820_TLADEC_24+max(0,INRC820_TL_24_AD -arr(DO_INR_C820*INRC820_TL_24_AD/(INRC820_TL_AD+INRC820_TL_24_AD))));
INRIFI_TL_22_A=(INRIFI_TLADEC_22+max(0,INRIFI_TL_22_AD -arr(DO_INR_IFI*INRIFI_TL_22_AD/(INRIFI_TL_AD+INRIFI_TL_22_AD))));
INRIFI_TL_24_A=(INRIFI_TLADEC_24+max(0,INRIFI_TL_24_AD -arr(DO_INR_IFI*INRIFI_TL_24_AD/(INRIFI_TL_AD+INRIFI_TL_24_AD))));
INRRSE5_TL_22_A=(INRRSE5_TLADEC_22+max(0,INRRSE5_TL_22_AD -arr(DO_INR_RSE5*INRRSE5_TL_22_AD/(INRRSE5_TL_AD+INRRSE5_TL_22_AD))));
INRRSE5_TL_24_A=(INRRSE5_TLADEC_24+max(0,INRRSE5_TL_24_AD -arr(DO_INR_RSE5*INRRSE5_TL_24_AD/(INRRSE5_TL_AD+INRRSE5_TL_24_AD))));
INRRSE6_TL_22_A=(INRRSE6_TLADEC_22+max(0,INRRSE6_TL_22_AD -arr(DO_INR_RSE6*INRRSE6_TL_22_AD/(INRRSE6_TL_AD+INRRSE6_TL_22_AD))));
INRRSE6_TL_24_A=(INRRSE6_TLADEC_24+max(0,INRRSE6_TL_24_AD -arr(DO_INR_RSE6*INRRSE6_TL_24_AD/(INRRSE6_TL_AD+INRRSE6_TL_24_AD))));
INRRSE8_TL_22_A=(INRRSE8_TLADEC_22+max(0,INRRSE8_TL_22_AD -arr(DO_INR_RSE8*INRRSE8_TL_22_AD/(INRRSE8_TL_AD+INRRSE8_TL_22_AD))));
INRRSE8_TL_24_A=(INRRSE8_TLADEC_24+max(0,INRRSE8_TL_24_AD -arr(DO_INR_RSE8*INRRSE8_TL_24_AD/(INRRSE8_TL_AD+INRRSE8_TL_24_AD))));

INRIR_TL_A=INRIR_TLADEC+max(0,INRIR_TL_AD-arr(DO_INR_IR*INRIR_TL_AD/(INRIR_TL_AD+INRIR_TL_22_AD+INRIR_TL_24_AD)));
INRCSG_TL_A=INRCSG_TLADEC+max(0,INRCSG_TL_AD -arr(DO_INR_CSG*INRCSG_TL_AD/(INRCSG_TL_AD+INRCSG_TL_22_AD+INRCSG_TL_24_AD)));
INRPSOL_TL_A=INRPSOL_TLADEC+max(0,INRPSOL_TL_AD -arr(DO_INR_PSOL*INRPSOL_TL_AD/(INRPSOL_TL_AD+INRPSOL_TL_22_AD+INRPSOL_TL_24_AD)));
INRCRDS_TL_A=INRCRDS_TLADEC+max(0,INRCRDS_TL_AD -arr(DO_INR_CRDS*INRCRDS_TL_AD/(INRCRDS_TL_AD+INRCRDS_TL_22_AD+INRCRDS_TL_24_AD)));
INRCDIS_TL_A=INRCDIS_TLADEC+max(0,INRCDIS_TL_AD -arr(DO_INR_CDIS*INRCDIS_TL_AD/(INRCDIS_TL_AD+INRCDIS_TL_22_AD+INRCDIS_TL_24_AD)));
INRTAXA_TL_A=INRTAXA_TLADEC+max(0,INRTAXA_TL_AD-arr(DO_INR_TAXAGA*INRTAXA_TL_AD/(INRTAXA_TL_AD+INRTAXA_TL_22_AD+INRTAXA_TL_24_AD)));
INRCHR_TL_A=INRCHR_TLADEC+INRCHR_TL15+max(0,INRCHR_TL_AD-arr(DO_INR_CHR*INRCHR_TL_AD/(INRCHR_TL_AD+INRCHR_TL_22_AD+INRCHR_TL_24_AD)));
INRPCAP_TL_A=INRPCAP_TLADEC+max(0,INRPCAP_TL_AD-arr(DO_INR_PCAP*INRPCAP_TL_AD/(INRPCAP_TL_AD+INRPCAP_TL_22_AD+INRPCAP_TL_24_AD)));
INRRSE1_TL_A=INRRSE1_TLADEC+max(0,INRRSE1_TL_AD-arr(DO_INR_RSE1*INRRSE1_TL_AD/(INRRSE1_TL_AD+INRRSE1_TL_22_AD+INRRSE2_TL_24_AD)));
INRRSE2_TL_A=INRRSE2_TLADEC+max(0,INRRSE2_TL_AD-arr(DO_INR_RSE2*INRRSE2_TL_AD/(INRRSE2_TL_AD+INRRSE2_TL_22_AD+INRRSE2_TL_24_AD)));
INRRSE3_TL_A=INRRSE3_TLADEC+max(0,INRRSE3_TL_AD-arr(DO_INR_RSE3*INRRSE3_TL_AD/(INRRSE3_TL_AD+INRRSE3_TL_22_AD+INRRSE3_TL_24_AD)));
INRRSE4_TL_A=INRRSE4_TLADEC+max(0,INRRSE4_TL_AD-arr(DO_INR_RSE4*INRRSE4_TL_AD/(INRRSE4_TL_AD+INRRSE4_TL_22_AD+INRRSE4_TL_24_AD)));
INRRSE5_TL_A=INRRSE5_TLADEC+max(0,INRRSE5_TL_AD-arr(DO_INR_RSE5*INRRSE5_TL_AD/(INRRSE5_TL_AD+INRRSE5_TL_22_AD+INRRSE5_TL_24_AD)));
INRRSE6_TL_A=INRRSE6_TLADEC+max(0,INRRSE6_TL_AD-arr(DO_INR_RSE6*INRRSE6_TL_AD/(INRRSE6_TL_AD+INRRSE6_TL_22_AD+INRRSE6_TL_24_AD)));
INRRSE8_TL_A=INRRSE8_TLADEC+max(0,INRRSE8_TL_AD-arr(DO_INR_RSE8*INRRSE8_TL_AD/(INRRSE8_TL_AD+INRRSE8_TL_22_AD+INRRSE8_TL_24_AD)));
INRCVN_TL_A=INRCVN_TLADEC+max(0,INRCVN_TL_AD-arr(DO_INR_CVN*INRCVN_TL_AD/(INRCVN_TL_AD+INRCVN_TL_22_AD+INRCVN_TL_24_AD)));
INRGLO_TL_A=INRGLO_TLADEC+max(0,INRGLO_TL_AD-arr(DO_INR_GLO*INRGLO_TL_AD/(INRGLO_TL_AD+INRGLO_TL_22_AD+INRGLO_TL_24_AD)));
INRC820_TL_A=INRC820_TLADEC+max(0,INRC820_TL_AD-arr(DO_INR_C820*INRC820_TL_AD/(INRC820_TL_AD+INRC820_TL_22_AD+INRC820_TL_24_AD)));
INRIFI_TL_A=INRIFI_TLADEC+max(0,INRIFI_TL_AD-arr(DO_INR_IFI*INRIFI_TL_AD/(INRIFI_TL_AD+INRIFI_TL_22_AD+INRIFI_TL_24_AD)));
INRRSE6_TL_A=INRRSE6_TLADEC+max(0,INRRSE6_TL_AD-arr(DO_INR_RSE6*INRRSE6_TL_AD/(INRRSE6_TL_AD+INRRSE6_TL_22_AD+INRRSE6_TL_24_AD)));
INRRSE8_TL_A=INRRSE8_TLADEC+max(0,INRRSE8_TL_AD-arr(DO_INR_RSE8*INRRSE8_TL_AD/(INRRSE8_TL_AD+INRRSE8_TL_22_AD+INRRSE8_TL_24_AD)));


TL_IR_A=TL_IR;
TL_CS_A=TL_CS;
TL_RD_A=TL_RD;
TL_PS_A=TL_PS;
TL_PSOL_A=TL_PSOL;
TL_CDIS_A=TL_CDIS;
TL_TAXAGA_A=TL_TAXAGA;
TL_CHR_A=TL_CHR;
TL_CAP_A=TL_CAP;
TL_RSE1_A=TL_RSE1;
TL_RSE2_A=TL_RSE2;
TL_RSE3_A=TL_RSE3;
TL_RSE4_A=TL_RSE4;
TL_CVN_A=TL_CVN;
TL_GLO_A=TL_GLO;
TL_MCSG820_A= TL_MCSG820;
TL_IFI_A=TL_IFI;
TL_RSE5_A=TL_RSE5;
TL_RSE6_A=TL_RSE6;
TL_RSE8_A=TL_RSE8;

INRIR_RETDEF_A = INRIR_RETDEF;
INRCSG_RETDEF_A = INRCSG_RETDEF;
INRCRDS_RETDEF_A = INRCRDS_RETDEF;
INRPSOL_RETDEF_A = INRPSOL_RETDEF;
INRCDIS_RETDEF_A = INRCDIS_RETDEF;
INRTAXA_RETDEF_A = INRTAXA_RETDEF;
INRCHR_RETDEF_A = INRCHR_RETDEF;
INRPCAP_RETDEF_A = INRPCAP_RETDEF;
INRRSE1_RETDEF_A = INRRSE1_RETDEF;
INRRSE2_RETDEF_A = INRRSE2_RETDEF;
INRRSE3_RETDEF_A = INRRSE3_RETDEF;
INRRSE4_RETDEF_A = INRRSE4_RETDEF;
INRCVN_RETDEF_A = INRCVN_RETDEF;
INRGLO_RETDEF_A = INRGLO_RETDEF;
INRC820_RETDEF_A = INRC820_RETDEF;
INRIFI_RETDEF_A = INRIFI_RETDEF;
INRRSE5_RETDEF_A = INRRSE5_RETDEF;
INRRSE6_RETDEF_A = INRRSE6_RETDEF;
INRRSE8_RETDEF_A = INRRSE8_RETDEF;


INR_IR_TARDIF_A=INR_IR_TARDIF * (1-V_FLAGR22);
INR_CSG_TARDIF_A=INR_CSG_TARDIF * (1-V_FLAGR22);
INR_CRDS_TARDIF_A=INR_CRDS_TARDIF * (1-V_FLAGR22);
INR_CDIS_TARDIF_A=INR_CDIS_TARDIF * (1-V_FLAGR22);
INR_TAXA_TARDIF_A=INR_TAXAGA_TARDIF * (1-V_FLAGR22);
INR_CHR_TARDIF_A=INR_CHR_TARDIF * (1-V_FLAGR22);
INR_PCAP_TARDIF_A=INR_PCAP_TARDIF * (1-V_FLAGR22);
INR_RSE1_TARDIF_A=INR_RSE1_TARDIF * (1-V_FLAGR22);
INR_RSE2_TARDIF_A=INR_RSE2_TARDIF * (1-V_FLAGR22);
INR_RSE3_TARDIF_A=INR_RSE3_TARDIF * (1-V_FLAGR22);
INR_RSE4_TARDIF_A=INR_RSE4_TARDIF * (1-V_FLAGR22);
INR_CVN_TARDIF_A=INR_CVN_TARDIF * (1-V_FLAGR22);
INR_GLO_TARDIF_A=INR_GLO_TARDIF * (1-V_FLAGR22);
INR_C820_TARDIF_A=INR_C820_TARDIF * (1-V_FLAGR22);
INR_IFI_TARDIF_A=INR_IFI_TARDIF * (1-V_FLAGR22);
INR_RSE5_TARDIF_A=INR_RSE5_TARDIF * (1-V_FLAGR22);
INR_RSE6_TARDIF_A=INR_RSE6_TARDIF * (1-V_FLAGR22);
INR_RSE8_TARDIF_A=INR_RSE8_TARDIF * (1-V_FLAGR22);
INR_IR_TARD22_A=INR_IR_TARDIF * V_FLAGR22;
INR_CSG_TARD22_A=INR_CSG_TARDIF * V_FLAGR22;
INR_CRDS_TARD22_A=INR_CRDS_TARDIF * V_FLAGR22;
INR_CDIS_TARD22_A=INR_CDIS_TARDIF * V_FLAGR22;
INR_TAXA_TARD22_A=INR_TAXAGA_TARDIF * V_FLAGR22;
INR_CHR_TARD22_A=INR_CHR_TARDIF * V_FLAGR22;
INR_PCAP_TARD22_A=INR_PCAP_TARDIF * V_FLAGR22;
INR_RSE1_TARD22_A=INR_RSE1_TARDIF * V_FLAGR22;
INR_RSE2_TARD22_A=INR_RSE2_TARDIF * V_FLAGR22;
INR_RSE3_TARD22_A=INR_RSE3_TARDIF * V_FLAGR22;
INR_RSE4_TARD22_A=INR_RSE4_TARDIF * V_FLAGR22;
INR_CVN_TARD22_A=INR_CVN_TARDIF * V_FLAGR22;
INR_GLO_TARD22_A=INR_GLO_TARDIF * V_FLAGR22;
INR_C820_TARD22_A=INR_C820_TARDIF * V_FLAGR22;
INR_RSE5_TARD22_A=INR_RSE5_TARDIF * V_FLAGR22;
INR_RSE6_TARD22_A=INR_RSE6_TARDIF * V_FLAGR22;
INR_RSE8_TARD22_A=INR_RSE8_TARDIF * V_FLAGR22;

INCIR_NET_A=INCIR_NET;
INCCS_NET_A=INCCS_NET;
INCPS_NET_A=INCPS_NET;
INCPSOL_NET_A=INCPSOL_NET;
INCCDIS_NET_A=INCCDIS_NET;
INCRD_NET_A=INCRD_NET;
INCTAXA_NET_A=INCTAXA_NET;
INCCHR_NET_A=INCCHR_NET;
INCPCAP_NET_A=INCPCAP_NET;
INCRSE1_NET_A=INCRSE1_NET;
INCRSE2_NET_A=INCRSE2_NET;
INCRSE3_NET_A=INCRSE3_NET;
INCRSE4_NET_A=INCRSE4_NET;
INCCVN_NET_A=INCCVN_NET;
INCGLO_NET_A=INCGLOA_NET;
INCC820_NET_A=INCC820_NET;
INCIFI_NET_A=INCIFI_NET;
INCRSE5_NET_A=INCRSE5_NET;
INCRSE6_NET_A=INCRSE6_NET;
INCRSE8_NET_A=INCRSE8_NET;
 
NIRNIN_PA_A = NIRNIN_PA;
NCSBASE_PA_A = NCSBASE_PA;
NRDBASE_PA_A = NRDBASE_PA;
NPSOLBASE_PA_A = NPSOLBASE_PA;
NCVNBASE_PA_A = NCVNBASE_PA;
NCDISBASE_PA_A = NCDISBASE_PA;
NC820BASE_PA_A = NC820BASE_PA;
NGLOBASE_PA_A = NGLOBASE_PA;
NRSE1BASE_PA_A = NRSE1BASE_PA;
NRSE2BASE_PA_A = NRSE2BASE_PA;
NRSE3BASE_PA_A = NRSE3BASE_PA;
NRSE4BASE_PA_A = NRSE4BASE_PA;
NRSE5BASE_PA_A = NRSE5BASE_PA;
NRSE6BASE_PA_A = NRSE6BASE_PA;
NRSE8BASE_PA_A = NRSE8BASE_PA;
NTAXABASE_PA_A = NTAXABASE_PA;
NPCAPBASE_PA_A = NPCAPBASE_PA;
NCHRBASE_PA_A = NCHRBASE_PA;



NIRNINBIS_A = NIRNINBIS;
NCSBASEBIS_A = NCSBASEBIS;
NRDBASEBIS_A = NRDBASEBIS;
NPSOLBASEBIS_A = NPSOLBASEBIS;
CSGC_A = CSGC;
CRDS_A = RDSC;
MPSOL_A = MPSOL;
INRIR_NET_1_A = INRIR_NET_1;
INRCSG_NET_1_A = INRCSG_NET_1;
INRRDS_NET_1_A = INRRDS_NET_1;
INRPSOL_NET_1_A = INRPSOL_NET_1;
INRCDIS_NET_1_A = INRCDIS_NET_1;
INRC820_NET_1_A = INRC820_NET_1;
INRGLO_NET_1_A = INRGLO_NET_1;
INRTAXA_NET_1_A = INRTAXA_NET_1;
INRCHR_NET_1_A = INRCHR_NET_1;
INRRSE1_NET_1_A = INRRSE1_NET_1;
INRRSE2_NET_1_A = INRRSE2_NET_1;
INRRSE3_NET_1_A = INRRSE3_NET_1;
INRRSE4_NET_1_A = INRRSE4_NET_1;
INRRSE5_NET_1_A = INRRSE5_NET_1;
INRRSE6_NET_1_A = INRRSE6_NET_1;
INRRSE8_NET_1_A = INRRSE8_NET_1;
INRIFI_NET_1_A = INRIFI_NET_1;
INRIR_NET_A = INRIR_NET;
INRCSG_NET_A = INRCSG_NET;
INRRDS_NET_A = INRRDS_NET;
INRPSOL_NET_A = INRPSOL_NET;
INRCDIS_NET_A = INRCDIS_NET;
INRC820_NET_A = INRC820_NET;
INRGLO_NET_A = INRGLO_NET;
INRTAXA_NET_A = INRTAXA_NET;
INRCHR_NET_A = INRCHR_NET;
INRRSE1_NET_A = INRRSE1_NET;
INRRSE2_NET_A = INRRSE2_NET;
INRRSE3_NET_A = INRRSE3_NET;
INRRSE4_NET_A = INRRSE4_NET;
INRRSE5_NET_A = INRRSE5_NET;
INRRSE6_NET_A = INRRSE6_NET;
INRRSE8_NET_A = INRRSE8_NET;
INRIFI_NET_A = INRIFI_NET;
RRBGPROV_A = RRBGPROV;
DIFCODCOA = max(0,CODCOA_A-CODCOA);
DIFCODCOB = max(0,CODCOB_A-CODCOB);
DIFCODCOR = max(0,CODCOR_A-CODCOR);
DIFCODCOD = max(0,CODCOD_A-CODCOD);
DIFCODCOE = max(0,CODCOE_A-CODCOE);
DIFCODCOF = max(0,CODCOF_A-CODCOF);
DIFCODCOQ = max(0,CODCOQ_A-CODCOQ);
DIFCODCOG = max(0,CODCOG_A-CODCOG);
DIFCODCOT = max(0,CODCOT_A-CODCOT);
DIFCODCOL = max(0,CODCOL_A-CODCOL);
DIFCODCOM = max(0,CODCOM_A-CODCOM);
DIFCODCOO = max(0,CODCOO_A-CODCOO);
DIFCODCOJ = max(0,CODCOJ_A-CODCOJ);
DIFCODCOP = max(0,CODCOP_A-CODCOP);
DIFCODCOH = max(0,CODCOH_A-CODCOH);
DIFCODCOU = max(0,CODCOU_A-CODCOU);
DIFCODCOV = max(0,CODCOV_A-CODCOV);
DIFCODCOX = max(0,CODCOX_A-CODCOX);

CODCOA_A = CODCOA;
CODCOB_A = CODCOB;
CODCOR_A = CODCOR;
CODCOD_A = CODCOD;
CODCOE_A = CODCOE;
CODCOF_A = CODCOF;
CODCOQ_A = CODCOQ;
CODCOG_A = CODCOG;
CODCOT_A = CODCOT;
CODCOL_A = CODCOL;
CODCOM_A = CODCOM;
CODCOO_A = CODCOO;
CODCOJ_A = CODCOJ;
CODCOP_A = CODCOP;
CODCOH_A = CODCOH;
CODCOU_A = CODCOU;
CODCOV_A = CODCOV;
CODCOX_A = CODCOX;
IFI4BASE_A = IFI4BASE;
IR9YI_A = IR9YI;
TAXA9YI_A = TAXA9YI;
CAP9YI_A = CAP9YI;
CHR9YI_A = CHR9YI;
CS9YP_A = CS9YP;
RD9YP_A = RD9YP;
PS9YP_A = PS9YP;
CDIS9YP_A = CDIS9YP;
RSE19YP_A = RSE19YP;
RSE29YP_A = RSE29YP;
RSE39YP_A = RSE39YP;
RSE49YP_A = RSE49YP;
RSE59YP_A = RSE59YP;
RSE69YP_A = RSE69YP;
RSE89YP_A = RSE89YP;
CVN9YP_A = CVN9YP;
GLO9YP_A = GLO9YP;
C8209YP_A = C8209YP;
IR9YI_PA_A = IR9YI_PA;
TAXA9YI_PA_A = TAXA9YI_PA;
CAP9YI_PA_A = CAP9YI_PA;
CHR9YI_PA_A = CHR9YI_PA;
CS9YP_PA_A = CS9YP_PA;
RD9YP_PA_A = RD9YP_PA;
PS9YP_PA_A = PS9YP_PA;
CDIS9YP_PA_A = CDIS9YP_PA;
RSE19YP_PA_A = RSE19YP_PA;
RSE29YP_PA_A = RSE29YP_PA;
RSE39YP_PA_A = RSE39YP_PA;
RSE49YP_PA_A = RSE49YP_PA;
RSE59YP_PA_A = RSE59YP_PA;
RSE69YP_PA_A = RSE69YP_PA;
RSE89YP_PA_A = RSE89YP_PA;
CVN9YP_PA_A = CVN9YP_PA;
GLO9YP_PA_A = GLO9YP_PA;
C8209YP_PA_A = C8209YP_PA;

