#*************************************************************************************************************************
#
#Copyright or © or Copr.[DGFIP][2023]
#
#Ce logiciel a été initialement développé par la Direction Générale des 
#Finances Publiques pour permettre le calcul de l'impôt sur le revenu 2023 
#au titre des revenus perçus en 2022. La présente version a permis la 
#génération du moteur de calcul des chaînes de taxation des rôles d'impôt 
#sur le revenu de ce millésime.
#
#Ce logiciel est régi par la licence CeCILL 2.1 soumise au droit français 
#et respectant les principes de diffusion des logiciels libres. Vous pouvez 
#utiliser, modifier et/ou redistribuer ce programme sous les conditions de 
#la licence CeCILL 2.1 telle que diffusée par le CEA, le CNRS et l'INRIA  sur 
#le site "http://www.cecill.info".
#
#Le fait que vous puissiez accéder à cet en-tête signifie que vous avez pris 
#connaissance de la licence CeCILL 2.1 et que vous en avez accepté les termes.
#
#**************************************************************************************************************************
application bareme;
application batch;
application iliad;
enchaineur BASE_STRATEMAJO application:  iliad ;
enchaineur ENCH_ABAT20 application:  iliad ;
enchaineur ENCH_TEST application:  batch ;
enchaineur ENCH_TL application:  iliad ;
enchaineur SAUVE_BASE_INR_NTL application:  iliad ;
enchaineur SAUVE_BASE_INR_REF application:  iliad ;
enchaineur SAUVE_BASE_INR_TL application:  iliad ;
enchaineur SAUVE_BASE_TL application:  iliad ;
enchaineur SAUVE_BASE_TL_INIT application:  iliad ;
enchaineur SAUVE_BASE_TL_RECT application:  iliad ;
enchaineur SV_BASE_INTER_NTL application:  iliad ;
enchaineur SV_BASE_INTER_TL application:  iliad ;
modulo: fonction 2 ;
multimax: fonction 20 ;
10MINS1 : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
10MINS2 : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
10MINS3 : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
10MINS4 : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
10MINSC : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
10MINSP : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
10MINSV : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees" ;
1RCM_I : calculee primrest = 0 : "RCM Q1 apres imputaion 2CA avant imputation 2AA" ;
2ABACH : calculee primrest = 0 base : " Abattement RCM RCH quotient  " ;
2CKIMP : calculee restituee primrest = 1 : "RCM prel. faofaitaire  : montant impute" ;
2CKREST : calculee restituee primrest = 1 : "RCM prel. forfaitaire  : montant restitution" ;
2PRB1 : calculee primrest = 0 : "Pensions brutes totales" ;
2PRB2 : calculee primrest = 0 : "Pensions brutes totales" ;
2PRB3 : calculee primrest = 0 : "Pensions brutes totales" ;
2PRB4 : calculee primrest = 0 : "Pensions brutes totales" ;
2PRBC : calculee primrest = 0 : "Pensions brutes totales" ;
2PRBV : calculee primrest = 0 : "Pensions brutes totales" ;
2RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient 2" ;
2RCMCHNET : calculee primrest = 0 base : "RCM RCH quotient net de frais 2CA" ;
2RCMDCNET : calculee primrest = 0 base : "RCM RDC quotient net de frais 2CA" ;
2RCMFRCH : calculee primrest = 0 base : " frais RCM sur RCM quotient RCH" ;
2RCMFRDC : calculee primrest = 0 base : " frais RCM sur RCM quotient RDC" ;
2RCMFRFU : calculee primrest = 0 base : " frais RCM sur RCM quotient RFU" ;
2RCMFRGO : calculee primrest = 0 base : " frais RCM sur RCM quotient RGO" ;
2RCMFRTR : calculee primrest = 0 base : " frais RCM sur RCM quotient RTR" ;
2RCMFRTS : calculee primrest = 0 base : " frais RCM sur RCM quotient RTS" ;
2RCMFRYY : calculee primrest = 0 base : " frais RCM sur RCM quotient RYY" ;
2RCMFUNET : calculee primrest = 0 base : "RCM RFU quotient net de frais 2CA" ;
2RCMGONET : calculee primrest = 0 base : "RCM RGO quotient net de frais 2CA" ;
2RCMRABD : calculee primrest = 0 : "montant de la refaction sur ADC" ;
2RCMRNABD : calculee primrest = 0 : "revenus nets de la refaction sur ADC" ;
2RCMRNCH : calculee primrest = 0 base : " RCM 2CH quotient net abattement" ;
2RCMRNTNC : calculee primrest = 0 : "revenus nets de la refaction sur AFU" ;
2RCMRTNC : calculee primrest = 0 : "montant de la refaction sur AFU" ;
2RCMTRNET : calculee primrest = 0 base : "RCM RTR quotient net de frais 2CA" ;
2RCMTSNET : calculee primrest = 0 base : "RCM RTS quotient net de frais 2CA" ;
2RCMYYNET : calculee primrest = 0 base : "RCM RYY quotient net de frais 2CA" ;
2RCM_I : calculee primrest = 0 : "RCM Q2 apres imputaion 2CA avant imputation 2AA" ;
2REGPRIVM : calculee primrest = 0 : "montant majore de 2GO" ;
2REVF : calculee restituee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
2REVFBIS : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
2REVF_1731 : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables pour 1731bis" ;
2RV1 : calculee primrest = 0 : "Montant imposable des RV quotient 2 - de 50 ans" ;
2RV1R : calculee primrest = 0 : "Montant imposable des RV quotient 2 - de 50 ans" ;
2RV2 : calculee primrest = 0 : "Montant imposable des RV quotient 2 - 50 a 59 ans" ;
2RV2R : calculee primrest = 0 : "Montant imposable des RV quotient 2 - 50 a 59 ans" ;
2RV3 : calculee primrest = 0 : "Montant imposable des RV quotient 2 - 60 a 69 ans" ;
2RV3R : calculee primrest = 0 : "Montant imposable des RV quotient 2 - 60 a 69 ans" ;
2RV4 : calculee primrest = 0 : "Montant imposable des RV quotient 2 + de 69 ans" ;
2RV4R : calculee primrest = 0 : "Montant imposable des RV quotient 2 + de 69 ans" ;
2TSN1 : calculee primrest = 0 : " somme TS + allocation  " ;
2TSN2 : calculee primrest = 0 : " somme TS + allocation  " ;
2TSN3 : calculee primrest = 0 : " somme TS + allocation  " ;
2TSN4 : calculee primrest = 0 : " somme TS + allocation  " ;
2TSNC : calculee primrest = 0 : " somme TS + allocation  " ;
2TSNV : calculee primrest = 0 : " somme TS + allocation  " ;
3RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient 3" ;
3RCM_I : calculee primrest = 0 : "RCM Q3 apres imputaion 2CA avant imputation 2AA" ;
3REVF : calculee restituee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
3REVFBIS : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
3REVF_1731 : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables pour 1731bis" ;
3WAHORBAR : calculee primrest = 0 base : "Impot exit tax 3WA sans 2OP" ;
3WBHORBAR : calculee primrest = 0 base : "Impot exit tax 3WB sans 2OP" ;
4BACREC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias CIC : "BA exceptionnels sous CGA - Quotient 4 - Declarant 2" ;
4BACREC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
4BACREP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias CJC : "BA exceptionnels sous CGA - Quotient 4 - PAC" ;
4BACREP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
4BACREV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias CHC : "BA exceptionnels sous CGA - Quotient 4 - Declarant 1" ;
4BACREV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
4BAHREC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias CII : "BA exceptionnels hors CGA - Quotient 4 - Declarant 2" ;
4BAHREC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
4BAHREP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias CJI : "BA exceptionnels hors CGA - Quotient 4 - PAC" ;
4BAHREP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
4BAHREV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias CHI : "BA exceptionnels hors CGA - Quotient 4 - Declarant 1" ;
4BAHREV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
4BAQC : calculee restituee primrest = 0 : "ba hors quotient conj quotient 4" ;
4BAQLC : calculee restituee primrest = 0 : "ba hors quotient quotient 4 affich." ;
4BAQLP : calculee restituee primrest = 0 : "ba hors quotient quotient 4 affich." ;
4BAQLV : calculee restituee primrest = 0 : "ba hors quotient quotient 4 affich." ;
4BAQP : calculee restituee primrest = 0 : "ba  quotient pac quotient 4" ;
4BAQV : calculee restituee primrest = 0 : "ba hors quotient vous quotient 4" ;
4BB4BA : calculee primrest = 0 : "part deficit ligne 4BB" ;
4BBRBA : calculee primrest = 0 : "part deficit ligne 4BB" ;
4BBSBA : calculee primrest = 0 : "part deficit ligne 4BB" ;
4BC4BA : calculee primrest = 0 : "Part du deficit ligne 4BC" ;
4BCRBA : calculee primrest = 0 : "Part du deficit ligne 4BC" ;
4BCSBA : calculee primrest = 0 : "Part du deficit ligne 4BC" ;
4BD4BA : calculee primrest = 0 : "Part du deficit ligne 4BD" ;
4BD4BE : calculee primrest = 0 : "Revenus fonciers net du deficit 4BD" ;
4BDRBA : calculee primrest = 0 : "Part du deficit ligne 4BD" ;
4BDRBE : calculee primrest = 0 : "Part du deficit ligne 4BD" ;
4BDSBA : calculee primrest = 0 : "Revenus fonciers net du deficit 4BC" ;
4DEFBACREC : calculee primrest = 0 : "Part du deficit sur code revenu quotient 4" ;
4DEFBACREP : calculee primrest = 0 : "Part du deficit sur code revenu quotient 4" ;
4DEFBACREV : calculee primrest = 0 : "Part du deficit sur code revenu quotient 4" ;
4DEFBAHREC : calculee primrest = 0 : "Part du deficit sur code revenu majore quotient 4 " ;
4DEFBAHREP : calculee primrest = 0 : "Part du deficit sur code revenu majore quotient 4" ;
4DEFBAHREV : calculee primrest = 0 : "Part du deficit sur code revenu majore quotient 4" ;
4RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient 4" ;
4RCMQ : calculee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient " ;
4RCM_I : calculee primrest = 0 : "RCM Q4 apres imputaion 2CA avant imputation 2AA" ;
4REVF : calculee restituee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
4REVFBIS : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
4REVF_1731 : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables pour 1731bis" ;
5RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient " ;
5RCM_I : calculee primrest = 0 : "RCM Q apres imputaion 2CA avant imputation 2AA" ;
6RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient " ;
6RCMQ : calculee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient " ;
6RCM_I : calculee primrest = 0 : "RCM Q apres imputaion 2CA avant imputation 2AA" ;
7LSIMP : calculee restituee primrest = 1 : "CI loyers abandonnes 7LS  : montant impute" ;
7LSREST : calculee restituee primrest = 1 : "CI loyers abandonnes 7LS  : montant restitution" ;
7RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient " ;
7RCM_I : calculee primrest = 0 : "RCM Q apres imputaion 2CA avant imputation 2AA" ;
8RCM : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables taxes au quotient " ;
8RCM_I : calculee primrest = 0 : "RCM Q apres imputaion 2CA avant imputation 2AA" ;
8SGAUTO : calculee restituee primrest = 1 : "Revenus etrangers avec credit d'impot = impot francais Auto pour RF" ;
8TEIMP : calculee restituee primrest = 1 : "CI travaux renovation energetique  : montant impute" ;
8TEREST : calculee restituee primrest = 1 : "CI travaux renovation energetique  : montant restitution" ;
8WKIMP : calculee restituee primrest = 1 : "Credit recherche : montant impute" ;
8WKREST : calculee restituee primrest = 1 : "Credit recherche : montant restitution" ;
A10REEL : calculee restituee primrest = 0 : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A10RFOR : calculee restituee primrest = 0 : "Plaf-av-fisco, calcul AUBAINE10, reductions invt forestier retenues" ;
A10RFOR1731 : calculee restituee primrest = 0 base : "A10RFOR av fiscaux a la fin 1er traitement si 1731bis" ;
A10RFOR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
A10RFOR_P : calculee primrest = 0 base : "art1731bis  primitif" ;
A10RSOC : calculee restituee primrest = 0 : "plaf av fiscaux : Investissements DOM logement social - reduction" ;
A11REEL : calculee restituee primrest = 0 : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A11RFOR : calculee restituee primrest = 0 : "Plaf-av-fisco, calcul AUBAINE11, reductions invt forestier retenues" ;
A11RFOR1731 : calculee restituee primrest = 0 base : "A11RFOR av fiscaux a la fin 1er traitement si 1731bis" ;
A11RFOR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
A11RFOR_P : calculee primrest = 0 base : "art1731bis  primitif" ;
A11RSOC : calculee restituee primrest = 0 : "plaf av fiscaux : Investissements DOM logement social - reduction" ;
A12REEL : calculee restituee primrest = 0 : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A12RENT : calculee restituee primrest = 0 : "Calcul de AUBAINE12 : Reduction Invt DOM ds cadre entreprise" ;
A12RRESTIMO : calculee restituee primrest = 0 : "Plaf av fiscaux -Travaux de restauration immobiliere - reduction" ;
A12RRESTIMO1731 : calculee restituee primrest = 0 base : "A12RRESTIMO retenu  a la fin 1er traitement si 1731bis" ;
A12RRESTIMO_1 : calculee restituee primrest = 0 : "Plaf av fiscaux - Travaux de restauration immo - reduc" ;
A12RRESTIMO_P : calculee primrest = 0 base : "art1731bis - plafonnement montant retenu reduc -primitif" ;
A12RSOC : calculee restituee primrest = 0 : "plaf av fiscaux : Investissements DOM logement social - reduction" ;
A13REELA : calculee restituee primrest = 0 : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A13REELB : calculee restituee primrest = 0 : "boucle reelle : reductions et credit dans plafonnement avantages fisc." ;
A13RENT : calculee restituee primrest = 0 : "Calcul de AUBAINE13 : Reduction Invt DOM 2013 2014 ds cadre entreprise" ;
A13RFOR : calculee restituee primrest = 0 : "Plaf-av-fisco, calcul AUBAINE13, reductions invt forestier retenues" ;
A13RFOR1731 : calculee restituee primrest = 0 base : "A13RFOR av fiscaux a la fin 1er traitement si 1731bis" ;
A13RFORP2 : calculee restituee primrest = 0 base : "A13RFOR av fiscaux a la fin 1er traitement si 1731bis" ;
A13RFOR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
A13RFOR_P : calculee primrest = 0 base : "Investissement Scellier report 2009 reduction-Avis Facture- 7LA" ;
A13RSOC : calculee restituee primrest = 0 : "plaf av fiscaux : Invest DOM 2013 2014 logement social - reduction" ;
A9RFOR : calculee restituee primrest = 0 : "Plaf-av-fisco,  reductions invt forestier retenues" ;
A9RFOR1731 : calculee restituee primrest = 0 base : "A13RFOR av fiscaux a la fin 1er traitement si 1731bis" ;
A9RFORP2 : calculee restituee primrest = 0 base : "A9RFOR av fiscaux a la fin 1er traitement si 1731bis" ;
A9RFOR_P : calculee primrest = 0 base : "art1731bis  primitif" ;
AAIDC : calculee restituee primrest = 1 : "Aide a domicile credit d'impot" ;
AB : calculee primrest = 0 : "Total des abattements TSPR, CGA et AA" ;
AB10C : calculee restituee primrest = 1 : "Abattement special de 10% Conjoint" ;
AB10P : calculee restituee primrest = 1 : "Abattement special de 10% Personnes a charge" ;
AB10V : calculee restituee primrest = 1 : "Abattement special de 10% Vous" ;
AB20_RAPPEL : saisie penalite primrest = 0 alias V_A20_RAPPEL : "Champ indicateur perte abattement 20% dans une ligne rappel" ;
ABACH : calculee primrest = 0 base : " Abattement RCM 2CH ordinaire " ;
ABADO : calculee restituee primrest = 1 : "Abattement en impot sur les revenus DOM" ;
ABADO1 : calculee primrest = 0 : "Abattement en impot sur les revenus DOM" ;
ABADO4 : calculee primrest = 0 : "Abattement en impot sur les revenus DOM" ;
ABADO6 : calculee primrest = 0 : "Abattement en impot sur les revenus DOM" ;
ABADON1 : calculee primrest = 0 : "Abattement DOM" ;
ABADON4 : calculee primrest = 0 : "Abattement DOM" ;
ABADON6 : calculee primrest = 0 : "Abattement DOM" ;
ABADOPAS : calculee primrest = 0 : "Abattement DOM PAS" ;
ABAGU : calculee restituee primrest = 1 : "Abattement en impot sur les revenus GUYANE" ;
ABAGU1 : calculee primrest = 0 : "Abattement en impot sur les revenus GUY" ;
ABAGU4 : calculee primrest = 0 : "Abattement en impot sur les revenus GUY" ;
ABAGU6 : calculee primrest = 0 : "Abattement en impot sur les revenus GUY" ;
ABAGUPAS : calculee primrest = 0 : "Abattement DOM PAS" ;
ABATOT1 : calculee primrest = 0 : "Abattement DOM" ;
ABATOT4 : calculee primrest = 0 : "Abattement DOM" ;
ABATOT6 : calculee primrest = 0 : "Abattement DOM" ;
ABAT_ENF_MARIES : const=6368.00000  ;
ABAT_UNVIEUX : const=1310.00000  ;
ABDEPRET : calculee restituee primrest = 1 : "Abattement detention titres (3VA, 3VB, 3VO, 3VP, 3VY)" ;
ABDETPLUS : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 3VA : "Abattement fixe dirigeant PME" ;
ABDOMDAJ : calculee primrest = 0 : "Abattement frais pro proratise pour DAJ" ;
ABDOMDBJ : calculee primrest = 0 : "Abattement frais pro proratise pour DBJ" ;
ABDOMEAJ : calculee primrest = 0 : "Abattement frais pro proratise pour EAJ" ;
ABDOMEBJ : calculee primrest = 0 : "Abattement frais pro proratise pour EBJ" ;
ABGL1C : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGL1V : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGL2C : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGL2V : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGL3C : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGL3V : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGLTC : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABGLTV : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option" ;
ABICHQF : calculee restituee primrest = 0 : "BIC non pro hors quotient net imposable (foyer) pour avis" ;
ABICPDECC : calculee restituee primrest = 1 : "auto entrepreneurs BIC pro declare conjoint" ;
ABICPDECP : calculee restituee primrest = 1 : "auto entrepreneurs BIC pro declare pac" ;
ABICPDECV : calculee restituee primrest = 1 : "auto entrepreneurs BIC pro declare vous" ;
ABICPNETC : calculee restituee primrest = 1 : "auto entrepreneurs BIC pro net conjoint" ;
ABICPNETP : calculee restituee primrest = 1 : "auto entrepreneurs BIC pro net pro" ;
ABICPNETV : calculee restituee primrest = 1 : "auto entrepreneurs BIC pro net vous" ;
ABIMPMV : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3VR : "Moins-values non imputables (50 %) des impatries" type REEL ;
ABIMPPV : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3VQ : "Plus-values exonerees (50 %) des impatries" type REEL ;
ABMAR : calculee restituee primrest = 1 : "Abattement enfants maries a charge" ;
ABNCPDECC : calculee restituee primrest = 1 : "rev non pro bnc conjoint" ;
ABNCPDECP : calculee restituee primrest = 1 : "rev non pro bnc pac" ;
ABNCPDECV : calculee restituee primrest = 1 : "rev non pro bnc vous" ;
ABNCPNETC : calculee restituee primrest = 1 : "rev non pro bnc pac" ;
ABNCPNETP : calculee restituee primrest = 1 : "rev non pro bnc pac" ;
ABNCPNETV : calculee restituee primrest = 1 : "rev non pro bnc pac" ;
ABPR1 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%)" ;
ABPR2 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%)" ;
ABPR3 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%)" ;
ABPR4 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%)" ;
ABPRC : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%)" ;
ABPRV : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%)" ;
ABPVNOSURSIS : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WD : "Base aux prelevements sociaux sans sursis de paiement " ;
ABRCM2 : calculee primrest = 0 : "Abattement RCM assurance-vie utilise" ;
ABSPE : calculee restituee primrest = 1 : "indicateur abattements speciaux personnes agees" ;
ABSPRNG : calculee restituee primrest = 1 : "SIMULIR rng correspondant aux abattements speciaux" ;
ABSRE : calculee restituee primrest = 0 : "Abattements speciaux, en restitution ( l4)" type REEL ;
ABT2CH : calculee primrest = 0 base : " Abattement 2CH " ;
ABT2CH2 : calculee primrest = 0 base : " Abattement 2CH modulation2" ;
ABT2CHRCH : calculee primrest = 0 base : " Abattement 4600 ou 9200 limite 2CH RCH modulation" ;
ABT2CHRCH2 : calculee primrest = 0 base : " Abattement 4600 ou 9200 limite 2CH RCH modulation" ;
ABT2DH : calculee primrest = 0 base : " Abattement abt(2DH) " ;
ABT2DH2 : calculee primrest = 0 base : " Abattement abt(2DH) modulation2" ;
ABT2RA : calculee primrest = 0 base : " Abattement 2RA" ;
ABT2RA2 : calculee primrest = 0 base : " Abattement 2RA" ;
ABT2RB : calculee primrest = 0 base : " Abattement 4600 ou 9200 limite netexo2RB" ;
ABT2RB2 : calculee primrest = 0 base : " Abattement 4600 ou 9200 limite netexo2RB" ;
ABT2RC : calculee primrest = 0 base : " Abattement 2RC" ;
ABT2RD : calculee primrest = 0 base : " Abattement 2RD" ;
ABT2VV : calculee primrest = 0 base : " Abattement 2VV modulation" ;
ABT2WW : calculee primrest = 0 base : " Abattement 2WW modulation" ;
ABTAV : calculee primrest = 0 : "Abattement sur les RCM d'assurance-vie" ;
ABTMA : calculee primrest = 0 : "Abattement pour enfants maries a charge" ;
ABTPA : calculee primrest = 0 : "Abattement personnes agees ou invalides" ;
ABTPATEF : calculee primrest = 0 : "Abattement personnes agees ou invalides tx eff" ;
ABTPATEFRFR : calculee primrest = 0 : "Abattement personnes agees ou invalides tx eff" ;
ABTRCH : calculee primrest = 0 base : " Abattement 2RCH" ;
ABTRCH2 : calculee primrest = 0 base : " Abattement 2RCH" ;
ABTS1AA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1AD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1AF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1AG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1AJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1AP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1BA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1BD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1BF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1BG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1BJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1BP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1CA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1CD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1CF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1CG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1CJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1CP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1DA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1DD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1DF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1DG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1DJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1DP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1EA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1ED : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1EF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1EG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1EJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1EP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1FA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1FD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1FF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1FG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1FJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1FP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1GB : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1GF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1GG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1GH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1HB : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTS1HF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1HG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1HH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1IB : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTS1IF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1IG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1IH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1JB : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTS1JF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1JG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1JH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1KF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1KG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1KH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1LF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1LG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1LH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1NX : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1OX : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1PM : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1QM : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1TP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1TT : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1UP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS1UT : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS3VJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTS3VK : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRAF : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRAG : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRAJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRAP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRBF : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRBG : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRBJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRBP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRCF : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRCG : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRCJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRCP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRDF : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRDG : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRDJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRDP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSREF : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSREJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSREP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRFF : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRFG : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSRFJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRFP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABTSRGG : calculee primrest = 0 : "part de l'abattement pour frais sur TS " ;
ABTSV : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
ABVIE : calculee restituee primrest = 1 : "Abattement personnes agees invalides" ;
ACATTDEC1IR : calculee primrest = 0 : "acompte attendu dec1" ;
ACATTDEC2IR : calculee primrest = 0 : "acompte attendu dec2" ;
ACELAB : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAB1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAB_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAD : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAD1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAD_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAF : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAF1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAF_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAH : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAH1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAH_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAI : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAI1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAI_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAP : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAP1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAP_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAR : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAR1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAR_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAS : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAS1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAS_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAT : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAT1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAT_P : calculee primrest = 0 base : "RI evt avant" ;
ACELAU : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELAU1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELAU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELAU_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBA : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBA_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBB : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBB_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBC : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBC_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBD : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBD_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBE : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBE1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBE_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBF : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBF_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBG : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBG_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBH : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBH1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBH_P : calculee primrest = 0 base : "RI evt avant" ;
ACELBJ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELBJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELBJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELBJ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELGS : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELGS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELGS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELGS_P : calculee primrest = 0 base : "RI evt avant" ;
ACELGU : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELGU1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELGU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELGU_P : calculee primrest = 0 base : "RI evt avant" ;
ACELGX : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELGX1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELGX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELGX_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHA : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELHA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHA_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHJ : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELHJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHJ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHK : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELHK1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHK_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHL : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELHL1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHL_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHL_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHM : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELHM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHM_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHN : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELHN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHN_P : calculee primrest = 0 base : "RI evt avant" ;
ACELHY : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELHY1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELHY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELHY_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIA : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIA1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELIA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIA_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIB : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIB1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELIB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIB_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIC : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIC1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELIC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIC_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIE : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIE1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELIE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIE_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIF : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELIF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELIF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIF_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIG : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELIG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIG_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIH : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIH1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELIH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIH_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIO : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELIO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELIO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIO_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIP : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELIP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELIP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIP_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIQ : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELIQ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELIQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELIQ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELIR_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIS_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIT_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIU_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIV_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIW_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIX_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIY_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELIZ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJE_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJF_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJG_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJH_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJI_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJJ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJK_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELJL_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELKA_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELKB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELKJ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKJ1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELKJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKJ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELKK : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKK1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELKK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKL : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKL1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELKL_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKL_P : calculee primrest = 0 base : "RI evt avant" ;
ACELKN : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKN1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELKN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKN_P : calculee primrest = 0 base : "RI evt avant" ;
ACELKO : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELKO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKO_P : calculee primrest = 0 base : "RI evt avant" ;
ACELKP : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELKP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKQ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKQ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELKQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKQ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELKR : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKR1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELKR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKR_P : calculee primrest = 0 base : "RI evt avant" ;
ACELKS : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELKS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELKS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELKS_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLA1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LA a la fin 1er traitement si 1731bis" ;
ACELLB1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LB a la fin 1er traitement si 1731bis" ;
ACELLC1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LC a la fin 1er traitement si 1731bis" ;
ACELLD : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLD_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLE : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLE1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLE_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLF : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLF_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLN : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLN_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLT : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLT1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLT_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLX : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLX1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLX_P : calculee primrest = 0 base : "RI evt avant" ;
ACELLY1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LY a la fin 1er traitement si 1731bis" ;
ACELLZ : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELLZ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELLZ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELLZ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELMG : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELMG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELMG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELMG_P : calculee primrest = 0 base : "RI evt avant" ;
ACELMH : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELMH1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELMH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELMH_P : calculee primrest = 0 base : "RI evt avant" ;
ACELNO_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNP_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNQ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNR_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNS_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNT_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNU_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNV_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELNW_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELPH : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELPH1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELPH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELPI : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELPI1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELPI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELPI_P : calculee primrest = 0 base : "RI evt avant" ;
ACELPJ : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELPJ1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELPJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELPJ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELQE : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELQE1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELQE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELQE_P : calculee primrest = 0 base : "RI evt avant" ;
ACELREPHA1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7HA a la fin 1er traitement si 1731bis" ;
ACELREPHD1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7HD a la fin 1er traitement si 1731bis" ;
ACELREPHF1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7HF a la fin 1er traitement si 1731bis" ;
ACELREPWT : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7WT" ;
ACELREPWT1731 : calculee restituee primrest = 0 base : " Scellier report 1731bis" ;
ACELREPWT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPWT_P : calculee primrest = 0 base : "RI evt avant" ;
ACELREPWU : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7WU" ;
ACELREPWU1731 : calculee restituee primrest = 0 base : " Scellier report 1731bis" ;
ACELREPWU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPWU_P : calculee primrest = 0 base : "RI evt avant" ;
ACELREPWV : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7WV" ;
ACELREPWV1731 : calculee restituee primrest = 0 base : " Scellier report 1731bis" ;
ACELREPWV_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPWV_P : calculee primrest = 0 base : "RI evt avant" ;
ACELREPWW : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7WW" ;
ACELREPWW1731 : calculee restituee primrest = 0 base : " Scellier report 1731bis" ;
ACELREPWW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPWW_P : calculee primrest = 0 base : "RI evt avant" ;
ACELREPYG : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YG" ;
ACELREPYG1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YG a la fin 1er traitement si 1731bis" ;
ACELREPYM : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YM" ;
ACELREPYM1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YM a la fin 1er traitement si 1731bis" ;
ACELREPYM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYM_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YM" ;
ACELREPYN : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YN" ;
ACELREPYN1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YN a la fin 1er traitement si 1731bis" ;
ACELREPYN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYN_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YN" ;
ACELREPYO : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YO" ;
ACELREPYO1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YO a la fin 1er traitement si 1731bis" ;
ACELREPYO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYO_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YO" ;
ACELREPYP : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YP" ;
ACELREPYP1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YP a la fin 1er traitement si 1731bis" ;
ACELREPYP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYP_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YP" ;
ACELREPYT : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YT" ;
ACELREPYT1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YT a la fin 1er traitement si 1731bis" ;
ACELREPYT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYT_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YT" ;
ACELREPYU : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YU" ;
ACELREPYU1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YU a la fin 1er traitement si 1731bis" ;
ACELREPYU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYU_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YU" ;
ACELREPYV : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YV" ;
ACELREPYV1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YV a la fin 1er traitement si 1731bis" ;
ACELREPYV_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYV_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YV" ;
ACELREPYW : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7YW" ;
ACELREPYW1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YW a la fin 1er traitement si 1731bis" ;
ACELREPYW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELREPYW_P : calculee primrest = 0 base : "Investissement Scellier report reduction - Retenu 7YW" ;
ACELREPYX1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YX a la fin 1er traitement si 1731bis" ;
ACELREPYY1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YY a la fin 1er traitement si 1731bis" ;
ACELREPYZ1731 : calculee restituee primrest = 0 base : " Scellier report - Retenu 7YZ a la fin 1er traitement si 1731bis" ;
ACELRREDLN1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LN a la fin 1er traitement si 1731bis" ;
ACELRREDLQ1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LQ a la fin 1er traitement si 1731bis" ;
ACELRREDLR1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LR a la fin 1er traitement si 1731bis" ;
ACELRREDLT1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LT a la fin 1er traitement si 1731bis" ;
ACELRREDLU1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LU a la fin 1er traitement si 1731bis" ;
ACELRREDLV1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LV a la fin 1er traitement si 1731bis" ;
ACELRREDLX1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7LX a la fin 1er traitement si 1731bis" ;
ACELRREDMH1731 : calculee restituee primrest = 0 base : " Scellier - Retenu 7MH a la fin 1er traitement si 1731bis" ;
ACELRT : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7RT" ;
ACELRT1731 : calculee restituee primrest = 0 base : " Scellier report 1731bis" ;
ACELRT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELRT_P : calculee primrest = 0 base : "RI evt avant" ;
ACELRU : calculee restituee primrest = 0 : "Investissement Scellier report reduction - Retenu 7RU" ;
ACELRU1731 : calculee restituee primrest = 0 base : " Scellier report 1731bis" ;
ACELRU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELRU_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSD : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELSD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELSD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSD_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSE : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELSE1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSE_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSF : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELSF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELSF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSF_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSG : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELSG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELSG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSG_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSH : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSH1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSH_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSI : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSI1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSI_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSJ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSJ1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSJ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSK : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSK1731 : calculee restituee primrest = 0 base : "Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSK_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSL : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSL1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSL_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSL_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSM1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSOM1 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM2 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM3 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM4 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM5 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM6 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM7 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM8 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSOM9 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - accorde" ;
ACELSQ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSQ1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELSQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSQ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELSR : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELSR1731 : calculee restituee primrest = 0 base : "Traitement 1731bis" ;
ACELSR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELSR_P : calculee primrest = 0 base : "RI evt avant" ;
ACELWA_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWC : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELWC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELWC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWC_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWD : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELWD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELWD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWD_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWE : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELWE1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELWE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWE_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWF : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELWF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELWF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWF_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWG : calculee restituee primrest = 0 : " Retenu - Prorogation Investissement Scellier" ;
ACELWG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELWG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWG_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELWX : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELWX1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELWX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWX_P : calculee primrest = 0 base : "RI evt avant" ;
ACELWY : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELWY1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELWY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWY_P : calculee primrest = 0 base : "RI evt avant" ;
ACELWZ : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELWZ1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELWZ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELWZ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXA : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELXA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELXA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXA_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXB : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELXB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELXB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXB_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXC : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELXC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELXC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXC_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXH : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELXH1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELXH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXH_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXI : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELXI1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELXI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXI_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXJ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELXJ1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELXJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXJ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXK : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELXK1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACELXK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXK_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXL : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELXL1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELXL_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXL_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXM : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELXM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELXM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXM_P : calculee primrest = 0 base : "RI evt avant" ;
ACELXN : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELXN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELXN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELXN_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYA : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELYA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELYA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYA_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYC : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELYC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELYC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYC_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYG : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELYG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELYG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYG_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYR : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELYR1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELYR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYR_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYS : calculee restituee primrest = 0 : " Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELYS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACELYS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYS_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYX : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELYX1731 : calculee restituee primrest = 0 base : "Traitement 1731bis" ;
ACELYX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYX_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYY : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELYY1731 : calculee restituee primrest = 0 base : "Traitement 1731bis" ;
ACELYY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYY_P : calculee primrest = 0 base : "RI evt avant" ;
ACELYZ : calculee restituee primrest = 0 : "Retenu - Prorogation Investissement Scellier" ;
ACELYZ1731 : calculee restituee primrest = 0 base : "Traitement 1731bis" ;
ACELYZ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELYZ_P : calculee primrest = 0 base : "RI evt avant" ;
ACELZC_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZD_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZE_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZF_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZG_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZH_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZM : calculee restituee primrest = 0 : "Retenu - Prorogation 2016 Investissement Scellier 2011" ;
ACELZM1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
ACELZM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACELZM_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZN_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
ACELZV1731 : calculee restituee primrest = 0 base : " Scellier  - Retenu  a la fin 1er traitement si 1731bis" ;
ACINE : calculee restituee primrest = 1 : "Cinema audiovisuel" ;
ACINE1731 : calculee restituee primrest = 0 base : "ACINE retenu  a la fin 1er traitement si 1731bis" ;
ACINEP2 : calculee restituee primrest = 0 base : "ACINE retenu  a la fin 1er traitement si 1731bis" ;
ACINE_1 : calculee restituee primrest = 0 : " pour alleger programmation - Cinema audiovisuel" ;
ACINE_P : calculee primrest = 0 base : "Cinema audiovisuel" ;
ACODELAISINR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 9YI : "Acomptes IR-PS verses pour calculer l'interet de retard et majoration" ;
ACODID : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7ID" ;
ACODID1731 : calculee restituee primrest = 0 base : "Retenu   a la fin 1er traitement si 1731bis" ;
ACODIDP2 : calculee restituee primrest = 0 base : " Retenu a la fin 1er traitement si 1731bis" ;
ACODID_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ACODID_P : calculee primrest = 0 base : "pour art 1731 bis" ;
ACODIJ : calculee primrest = 0 : "Inv. loc. meublees non pro retenu 7IJ" ;
ACODIM : calculee primrest = 0 : "Inv. loc. meublees non pro retenu 7IM" ;
ACODIN : calculee primrest = 0 : "Inv. loc. meublees non pro retenu 7IN" ;
ACODJT : calculee primrest = 0 : "Inv. loc. meublees non pro retenu 7JT" ;
ACODJTJU : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 - retenu" ;
ACODJTJU1731 : calculee restituee primrest = 0 base : "ACODJTJU retenu  a la fin 1er traitement si 1731bis" ;
ACODJTJUP2 : calculee restituee primrest = 0 base : "ACODJTJU retenu  a la fin 1er traitement si 1731bis" ;
ACODJTJU_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2013 - retenu" ;
ACODJTJU_P : calculee primrest = 0 base : "Invest. locations meublees non pro 2013 - retenu" ;
ACODJZ : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7jz" ;
ACODJZ1731 : calculee restituee primrest = 0 base : "ACODJZ retenu  a la fin 1er traitement si 1731bis" ;
ACODJZ_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2013 - retenu" ;
ACODJZ_P : calculee primrest = 0 base : "RI evt avant" ;
ACODMN : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7mn" ;
ACODMN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACODMN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACODMN_P : calculee primrest = 0 base : "RI evt avant" ;
ACODMW : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7mw" ;
ACODMW1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACODMW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACODMW_P : calculee primrest = 0 base : "RI evt avant" ;
ACODMZ : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7mz" ;
ACODMZ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ACODMZ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACODMZ_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
ACODOU : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7OU" ;
ACODOU1731 : calculee restituee primrest = 0 base : "ACODOU retenu  a la fin 1er traitement si 1731bis" ;
ACODOUP2 : calculee restituee primrest = 0 base : "ACODOU retenu  a la fin 1er traitement si 1731bis" ;
ACODOU_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2013 - retenu" ;
ACODOU_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - retenu" ;
ACODOV : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7OV" ;
ACODOV1731 : calculee restituee primrest = 0 base : "ACODOV retenu  a la fin 1er traitement si 1731bis" ;
ACODOVP2 : calculee restituee primrest = 0 base : "ACODOV retenu  a la fin 1er traitement si 1731bis" ;
ACODOV_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2015 - retenu" ;
ACODOV_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OV) - retenu" ;
ACODOW : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7OW" ;
ACODOW1731 : calculee restituee primrest = 0 base : "ACODOW retenu  a la fin 1er traitement si 1731bis" ;
ACODOWP2 : calculee restituee primrest = 0 base : "ACODOW retenu  a la fin 1er traitement si 1731bis" ;
ACODOW_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2015 - retenu" ;
ACODOW_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OW) - retenu" ;
ACODOX : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7OX" ;
ACODOX1731 : calculee restituee primrest = 0 base : "ACODOX retenu  a la fin 1er traitement si 1731bis" ;
ACODOXP2 : calculee restituee primrest = 0 base : "ACODOX retenu  a la fin 1er traitement si 1731bis" ;
ACODOX_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2015 - retenu" ;
ACODOX_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OX) - retenu" ;
ACODOY : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7OY" ;
ACODOY1731 : calculee restituee primrest = 0 base : "ACODOY retenu  a la fin 1er traitement si 1731bis" ;
ACODOYP2 : calculee restituee primrest = 0 base : "ACODOY retenu  a la fin 1er traitement si 1731bis" ;
ACODOY_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2015 - retenu" ;
ACODOY_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OY) - retenu" ;
ACODPZ : calculee restituee primrest = 0 : "Inv. loc. meublees non pro retenu 7pz" ;
ACODPZ1731 : calculee restituee primrest = 0 base : "ACODpz retenu  a la fin 1er traitement si 1731bis" ;
ACODPZ_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2019 - retenu" ;
ACODPZ_P : calculee primrest = 0 base : "RI evt avant" ;
ACOLENT : calculee restituee primrest = 1 : "Investissements outre mer entreprise - report 2009 - declare" ;
ACOLENT1731 : calculee restituee primrest = 0 base : "ACOLENT retenu  a la fin 1er traitement si 1731bis" ;
ACOLENTP2 : calculee restituee primrest = 0 base : "ACOLENT retenu  a la fin 1er traitement si 1731bis" ;
ACOLENT_1 : calculee restituee primrest = 0 : "pour simplifier prog - Inv. outre mer ent - report 2009 - declare" ;
ACOLENT_1_A : calculee primrest = 0 : "RI evt avant" ;
ACOLENT_P : calculee primrest = 0 base : "Investissements outre mer entreprise - report 2009 - declare" ;
ACOMDEC1PS : calculee primrest = 0 : "acompte PS dec1" ;
ACOMDEC2PS : calculee primrest = 0 : "acompte PS dec2" ;
ACOMP : calculee restituee primrest = 1 : "Frais de comptabilite" ;
ACOMP1731 : calculee restituee primrest = 0 base : "ACOMP retenu  a la fin 1er traitement si 1731bis" ;
ACOMPP2 : calculee restituee primrest = 0 base : "ACOMP retenu  a la fin 1er traitement si 1731bis" ;
ACOMP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ACOMP_P : calculee primrest = 0 base : "Frais de comptabilite" ;
ACOTFOR : calculee restituee primrest = 1 : "Cotisations assurance pour la foret - retenu" ;
ACOTFOR1731 : calculee restituee primrest = 0 base : "ACOTFOR retenu  a la fin 1er traitement si 1731bis" ;
ACOTFORP2 : calculee restituee primrest = 0 base : "ACOTFOR retenu  a la fin 1er traitement si 1731bis" ;
ACOTFOR_P : calculee primrest = 0 base : "Cotisations assurance pour la foret - retenu" ;
ACOTFOR_R : calculee restituee primrest = 0 : "pour calculer les reports avec ou sans 1731bis Cotis ass foret- retenu" ;
ACPASCS : calculee restituee primrest = 1 : "Total acomptes CS du traitement en cours" ;
ACPASIR : calculee restituee primrest = 1 : "Total acomptes IR du traitement en cours" ;
ACPASPSOL : calculee restituee primrest = 1 : "Total acomptes PSOL du traitement en cours" ;
ACPASTOT : calculee restituee primrest = 1 : "Total acomptes IR + CS + PSOL du traitement en cours" ;
ACPASTOTANT : calculee restituee primrest = 1 : "Total acomptes IR + CS + PSOL du traitement anterieur" ;
ADEVDUR : calculee restituee primrest = 1 : "Depenses developpement durable " ;
ADIFAGRI : calculee restituee primrest = 1 : "Interet differe paiement agriculteurs" ;
ADIFAGRI1731 : calculee restituee primrest = 0 base : "ADIFAGRI retenu  a la fin 1er traitement si 1731bis" ;
ADIFAGRIP2 : calculee restituee primrest = 0 base : "ADIFAGRI retenu  a la fin 1er traitement si 1731bis" ;
ADIFAGRI_P : calculee primrest = 0 base : "Interet differe paiement agriculteurs" ;
ADO1 : calculee primrest = 0 : "Abattement DOM" ;
ADO4 : calculee primrest = 0 : "Abattement DOM" ;
ADO6 : calculee primrest = 0 : "Abattement DOM 8VV art. 168" ;
ADOMSOC1 : calculee restituee primrest = 1 : "Investissements outre mer logement social - report 2009 - declare" ;
ADOMSOC11731 : calculee restituee primrest = 0 base : "ADOMSOC1 retenu  a la fin 1er traitement si 1731bis" ;
ADOMSOC1P2 : calculee restituee primrest = 0 base : "ADOMSOC1 retenu  a la fin 1er traitement si 1731bis" ;
ADOMSOC1_1 : calculee restituee primrest = 0 : "pour simplifier progInv. outre mer logt social - report 2009 - declare" ;
ADOMSOC1_1_A : calculee primrest = 0 : "RI evt avant" ;
ADOMSOC1_P : calculee primrest = 0 base : "Investissements outre mer logement social - report 2009 - declare" ;
ADONDJ : calculee restituee primrest = 1 : "Dons Asso culturelles - retenu" ;
ADONS : calculee restituee primrest = 1 : "Dons aux oeuvres" ;
ADONS1731 : calculee restituee primrest = 0 base : "ADONS retenu  a la fin 1er traitement si 1731bis" ;
ADONSP2 : calculee restituee primrest = 0 base : "ADONS retenu  a la fin 1er traitement si 1731bis" ;
ADONS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ADONS_P : calculee primrest = 0 base : "Dons aux oeuvres" ;
ADUFLOEKL1731 : calculee restituee primrest = 0 base : "ADUFLOEKL retenu  a la fin 1er traitement si 1731bis" ;
ADUFLOEKLP2 : calculee restituee primrest = 0 base : "ADUFLOEKL retenu  a la fin 1er traitement si 1731bis" ;
ADUFLOEKL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREP : calculee restituee primrest = 1 : "Investissement Duflot reports - accorde" ;
ADUFREPFI : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2013- report - Retenu  " ;
ADUFREPFI1731 : calculee restituee primrest = 0 base : "ADUFREPFI retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFIP2 : calculee restituee primrest = 0 base : "ADUFREPFI retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREPFK : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2014- report - Retenu  " ;
ADUFREPFK1731 : calculee restituee primrest = 0 base : "ADUFREPFK retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREPFK_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ADUFREPFR : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2015- report - Retenu  " ;
ADUFREPFR1731 : calculee restituee primrest = 0 base : "ADUFREPFR retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFRP2 : calculee restituee primrest = 0 base : "ADUFREPFR retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREPFR_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ADUFREPFU : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2019 - report retenu  " ;
ADUFREPFU1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ADUFREPFU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ADUFREPFU_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
ADUFREPFV : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2016- report - Retenu  " ;
ADUFREPFV1731 : calculee restituee primrest = 0 base : "ADUFREPFV retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFVP2 : calculee restituee primrest = 0 base : "ADUFREPFV retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREPFV_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ADUFREPFW : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2017- report - Retenu  " ;
ADUFREPFW1731 : calculee restituee primrest = 0 base : "ADUFREPFW retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFWP2 : calculee restituee primrest = 0 base : "ADUFREPFW retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREPFW_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ADUFREPFX : calculee restituee primrest = 0 : "Investissement Duflot realise et acheve en 2017- report - Retenu  " ;
ADUFREPFX1731 : calculee restituee primrest = 0 base : "ADUFREPFX retenu  a la fin 1er traitement si 1731bis" ;
ADUFREPFX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ADUFREPFX_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
AFIPC : calculee restituee primrest = 1 : "Cotisations FIP Corse retenus" ;
AFIPC1731 : calculee restituee primrest = 0 base : "AFIPC retenu  a la fin 1er traitement si 1731bis" ;
AFIPCP2 : calculee restituee primrest = 0 base : "AFIPC retenu  a la fin 1er traitement si 1731bis" ;
AFIPC_1 : calculee restituee primrest = 0 : "pour simplifier prog pr 1731bis - retenu" ;
AFIPC_P : calculee primrest = 0 base : "Cotisations FIP Corse retenus" ;
AFIPDOM : calculee restituee primrest = 1 : "Cotisations FIP DOM COM retenus" ;
AFIPDOM1731 : calculee restituee primrest = 0 base : "AFIPDOM retenu  a la fin 1er traitement si 1731bis" ;
AFIPDOMP2 : calculee restituee primrest = 0 base : "AFIPDOM retenu  a la fin 1er traitement si 1731bis" ;
AFIPDOM_1 : calculee restituee primrest = 0 : "pour simplifier prog pr 1731bis - retenu" ;
AFIPDOM_P : calculee primrest = 0 base : "Cotisations FIP DOM COM retenus" ;
AFOREST : calculee restituee primrest = 1 : "base reduction d impot investissment forestier retenue" ;
AFOREST1731 : calculee restituee primrest = 0 base : "AFOREST retenu  a la fin 1er traitement si 1731bis" ;
AFORESTP2 : calculee restituee primrest = 0 base : "AFOREST retenu  a la fin 1er traitement si 1731bis" ;
AFOREST_1 : calculee restituee primrest = 0 : "pour simplifier prog - base reduction investissment forestier retenue" ;
AFOREST_P : calculee primrest = 0 base : "base reduction d impot investissment forestier retenue" ;
AFORET : calculee restituee primrest = 1 : "Cotisations versees pour defense des forets" ;
AFORET1731 : calculee restituee primrest = 0 base : "AFORET retenu  a la fin 1er traitement si 1731bis" ;
AFORETP2 : calculee restituee primrest = 0 base : "AFORET retenu  a la fin 1er traitement si 1731bis" ;
AFORET_1 : calculee restituee primrest = 0 : "pour simplifier prog pr 1731bis -AFORET - retenu" ;
AFORET_P : calculee primrest = 0 base : "Cotisations versees pour defense des forets" ;
AGABAT : calculee restituee primrest = 0 : "Agregat abatament speciaux" ;
AGARD : calculee restituee primrest = 1 : "Base reduction frais de garde" ;
AGASSUR : calculee restituee primrest = 0 : "Revenus autres que salaires pour le PAS" ;
AGC : calculee primrest = 0 : "Age du conjoint" ;
AGPENA : calculee restituee primrest = 0 : "Agregat penalites" ;
AGRBAR : calculee restituee primrest = 0 : "Agregat variable Revenus BA sans forfait" ;
AGRBG : calculee restituee primrest = 1 : "SIMULIR rbg correspondant aux deficits BA" ;
AGRCVM : calculee restituee primrest = 0 : "Agregat variable Plus values cessions valeurs mobilieres" ;
AGRECI : calculee restituee primrest = 1 : "Agregat credits impot sans PPE" ;
AGRECITOT : calculee restituee primrest = 1 : "Agregat credits impot avec PPE" ;
AGREDTARDIF : calculee restituee primrest = 1 : "Agregat depot tardif" ;
AGREI : calculee restituee primrest = 0 : "Agregat reprise impot" ;
AGREPAPER : calculee restituee primrest = 1 : "Agregat pensions alimentaires percues" ;
AGREPARET : calculee restituee primrest = 1 : "Agregat pensions alimentaires versees retenues" ;
AGREVTP : calculee restituee primrest = 0 : "Agregat rev. tx prop" ;
AGRI : calculee restituee primrest = 1 : "pour Colbert : somme des BAPERP" ;
AGRIC : calculee restituee primrest = 1 : "Abattements jeunes agriculteurs - Conjoint" ;
AGRIMP : calculee restituee primrest = 1 : "Conges agriculteur : montant impute" ;
AGRIP : calculee restituee primrest = 1 : "Abattements jeunes agriculteurs - PAC" ;
AGRIV : calculee restituee primrest = 1 : "Abattements jeunes agriculteurs - Vous" ;
AGRRCM : calculee restituee primrest = 0 : "Agregat variable RCM ordi et quotient" ;
AGRREST : calculee restituee primrest = 1 : "Conges agriculteur : montant restitution" ;
AGRRF : calculee restituee primrest = 1 : "Agregat variable Revenus fonciers" ;
AGV : calculee primrest = 0 : "Age du declarant" ;
AG_LIMFG : const=7.00000  ;
AG_LIMFG2 : const=6.00000  ;
AHEBE : calculee restituee primrest = 1 : "Base retenue  depense d'hebergement" ;
AHEBE1731 : calculee restituee primrest = 0 base : "AHEBE retenu  a la fin 1er traitement si 1731bis" ;
AHEBEP2 : calculee restituee primrest = 0 base : "AHEBE retenu  a la fin 1er traitement si 1731bis" ;
AHEBE_P : calculee primrest = 0 base : "Base retenue  depense d'hebergement" ;
AIDIMP : calculee restituee primrest = 1 : "Aide aux personnes : montant impute" ;
AIDREST : calculee restituee primrest = 1 : "Aide aux personnes : montant restitution" ;
AIFIDONCEE : calculee restituee primrest = 1 : "IFI : Dons dans CEE - Acceptes" ;
AIFIDONF : calculee primrest = 0 : "IFI : Dons en France - Acceptes" ;
AILMHD : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7hd) - retenu" ;
AILMHD1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMHD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHD_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHE : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HE) - retenu" ;
AILMHE1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMHE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHE_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHF : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HF) - retenu" ;
AILMHF1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMHF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHF_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHG : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HG) - retenu" ;
AILMHG1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMHG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHG_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHH : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HH) - retenu" ;
AILMHH1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMHH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHH_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHO : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HO) - declare" ;
AILMHO1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMHO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHO_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7Hp) - declare" ;
AILMHP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMHP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHP_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHQ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HQ) - declare" ;
AILMHQ1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMHQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHQ_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHR : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HR) - declare" ;
AILMHR1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMHR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHR_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HS) - declare" ;
AILMHS1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMHS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHS_P : calculee primrest = 0 base : "RI evt avant" ;
AILMHT : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HT) - declare" ;
AILMHT1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMHT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHT_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
AILMHU : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HO) - declare" ;
AILMHU1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMHU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHU_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
AILMHV : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HO) - declare" ;
AILMHV1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMHV_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHV_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
AILMHW : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HO) - declare" ;
AILMHW1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMHW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHW_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
AILMHX : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7HO) - declare" ;
AILMHX1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMHX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMHX_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
AILMIA1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMIAP2 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMIB1731 : calculee restituee primrest = 0 base : "AILMIB retenu  a la fin 1er traitement si 1731bis" ;
AILMIBP2 : calculee restituee primrest = 0 base : "AILMIB retenu  a la fin 1er traitement si 1731bis" ;
AILMIC1731 : calculee restituee primrest = 0 base : "AILMIC retenu  a la fin 1er traitement si 1731bis" ;
AILMICP2 : calculee restituee primrest = 0 base : "AILMIC retenu  a la fin 1er traitement si 1731bis" ;
AILMIY1731 : calculee restituee primrest = 0 base : "AILMIY retenu  a la fin 1er traitement si 1731bis" ;
AILMIYP2 : calculee restituee primrest = 0 base : "AILMIY retenu  a la fin 1er traitement si 1731bis" ;
AILMJC : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JC) - retenu" ;
AILMJC1731 : calculee restituee primrest = 0 base : "AILMJC retenu  a la fin 1er traitement si 1731bis" ;
AILMJCP2 : calculee restituee primrest = 0 base : "AILMJC retenu  a la fin 1er traitement si 1731bis" ;
AILMJI : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JI) - retenu" ;
AILMJI1731 : calculee restituee primrest = 0 base : "AILMJI retenu  a la fin 1er traitement si 1731bis" ;
AILMJIP2 : calculee restituee primrest = 0 base : "AILMJI retenu  a la fin 1er traitement si 1731bis" ;
AILMJS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JS) - retenu" ;
AILMJS1731 : calculee restituee primrest = 0 base : "AILMJS retenu  a la fin 1er traitement si 1731bis" ;
AILMJSP2 : calculee restituee primrest = 0 base : "AILMJS retenu  a la fin 1er traitement si 1731bis" ;
AILMJV : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JV) - retenu" ;
AILMJV1731 : calculee restituee primrest = 0 base : "AILMJV retenu  a la fin 1er traitement si 1731bis" ;
AILMJVP2 : calculee restituee primrest = 0 base : "AILMJV retenu  a la fin 1er traitement si 1731bis" ;
AILMJV_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMJW : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JW) - retenu" ;
AILMJW1731 : calculee restituee primrest = 0 base : "AILMJW retenu  a la fin 1er traitement si 1731bis" ;
AILMJWP2 : calculee restituee primrest = 0 base : "AILMJW retenu  a la fin 1er traitement si 1731bis" ;
AILMJW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMJX : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JX) - retenu" ;
AILMJX1731 : calculee restituee primrest = 0 base : "AILMJX retenu  a la fin 1er traitement si 1731bis" ;
AILMJXP2 : calculee restituee primrest = 0 base : "AILMJX retenu  a la fin 1er traitement si 1731bis" ;
AILMJX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMJY : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7JY) - retenu" ;
AILMJY1731 : calculee restituee primrest = 0 base : "AILMJY retenu  a la fin 1er traitement si 1731bis" ;
AILMJYP2 : calculee restituee primrest = 0 base : "AILMJY retenu  a la fin 1er traitement si 1731bis" ;
AILMJY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMJY_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7JY) - retenu" ;
AILMKE : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7KE) - retenu" ;
AILMKE1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMKE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMKE_P : calculee primrest = 0 base : "RI evt avant" ;
AILMKF : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7KF) - retenu" ;
AILMKF1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMKF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMKF_P : calculee primrest = 0 base : "RI evt avant" ;
AILMKG : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7KG) - retenu" ;
AILMKG1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMKG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMKG_P : calculee primrest = 0 base : "RI evt avant" ;
AILMKH : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7KH) - retenu" ;
AILMKH1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMKH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMKH_P : calculee primrest = 0 base : "RI evt avant" ;
AILMKI : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7KI) - retenu" ;
AILMKI1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMKI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMKI_P : calculee primrest = 0 base : "RI evt avant" ;
AILMNP1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - accorde" ;
AILMNP3 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - accorde" ;
AILMNP4 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - accorde" ;
AILMOA : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OA) - retenu" ;
AILMOA1731 : calculee restituee primrest = 0 base : "AILMOA retenu  a la fin 1er traitement si 1731bis" ;
AILMOAP2 : calculee restituee primrest = 0 base : "AILMOA retenu  a la fin 1er traitement si 1731bis" ;
AILMOA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOA_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - retenu" ;
AILMOB : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OB) - retenu" ;
AILMOB1731 : calculee restituee primrest = 0 base : "AILMOB retenu  a la fin 1er traitement si 1731bis" ;
AILMOBP2 : calculee restituee primrest = 0 base : "AILMOB retenu  a la fin 1er traitement si 1731bis" ;
AILMOB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOB_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - retenu" ;
AILMOC : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OC) - retenu" ;
AILMOC1731 : calculee restituee primrest = 0 base : "AILMOC retenu  a la fin 1er traitement si 1731bis" ;
AILMOCP2 : calculee restituee primrest = 0 base : "AILMOC retenu  a la fin 1er traitement si 1731bis" ;
AILMOC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOC_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - retenu" ;
AILMOD : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OD) - retenu" ;
AILMOD1731 : calculee restituee primrest = 0 base : "AILMOD retenu  a la fin 1er traitement si 1731bis" ;
AILMODP2 : calculee restituee primrest = 0 base : "AILMOD retenu  a la fin 1er traitement si 1731bis" ;
AILMOD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOD_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - retenu" ;
AILMOE : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OE) - retenu" ;
AILMOE1731 : calculee restituee primrest = 0 base : "AILMOE retenu  a la fin 1er traitement si 1731bis" ;
AILMOEP2 : calculee restituee primrest = 0 base : "AILMOE retenu  a la fin 1er traitement si 1731bis" ;
AILMOE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOE_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - retenu" ;
AILMOF : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OF) - retenu" ;
AILMOF1731 : calculee restituee primrest = 0 base : "AILMOF retenu  a la fin 1er traitement si 1731bis" ;
AILMOFP2 : calculee restituee primrest = 0 base : "AILMOF retenu  a la fin 1er traitement si 1731bis" ;
AILMOF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOF_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OF) - retenu" ;
AILMOG : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OG) - retenu" ;
AILMOG1731 : calculee restituee primrest = 0 base : "AILMOG retenu  a la fin 1er traitement si 1731bis" ;
AILMOGP2 : calculee restituee primrest = 0 base : "AILMOG retenu  a la fin 1er traitement si 1731bis" ;
AILMOG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOG_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OG) - retenu" ;
AILMOH : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OH) - retenu" ;
AILMOH1731 : calculee restituee primrest = 0 base : "AILMOG retenu  a la fin 1er traitement si 1731bis" ;
AILMOHP2 : calculee restituee primrest = 0 base : "AILMOH retenu  a la fin 1er traitement si 1731bis" ;
AILMOH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOH_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OH) - retenu" ;
AILMOI : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OI) - retenu" ;
AILMOI1731 : calculee restituee primrest = 0 base : "AILMOI retenu  a la fin 1er traitement si 1731bis" ;
AILMOIP2 : calculee restituee primrest = 0 base : "AILMOI retenu  a la fin 1er traitement si 1731bis" ;
AILMOI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOI_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OI) - retenu" ;
AILMOJ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OJ) - retenu" ;
AILMOJ1731 : calculee restituee primrest = 0 base : "AILMOJ retenu  a la fin 1er traitement si 1731bis" ;
AILMOJP2 : calculee restituee primrest = 0 base : "AILMOJ retenu  a la fin 1er traitement si 1731bis" ;
AILMOJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOJ_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OJ) - retenu" ;
AILMOK : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OK) - retenu" ;
AILMOK1731 : calculee restituee primrest = 0 base : "AILMOK retenu  a la fin 1er traitement si 1731bis" ;
AILMOKP2 : calculee restituee primrest = 0 base : "AILMOK retenu  a la fin 1er traitement si 1731bis" ;
AILMOK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOK_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OK) - retenu " ;
AILMOL : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OL) - retenu" ;
AILMOL1731 : calculee restituee primrest = 0 base : "AILMOL retenu  a la fin 1er traitement si 1731bis" ;
AILMOLP2 : calculee restituee primrest = 0 base : "AILMOL retenu  a la fin 1er traitement si 1731bis" ;
AILMOL_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOL_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OL) - retenu " ;
AILMOM : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OM) - retenu" ;
AILMOM1731 : calculee restituee primrest = 0 base : "AILMOM retenu  a la fin 1er traitement si 1731bis" ;
AILMOMP2 : calculee restituee primrest = 0 base : "AILMOM retenu  a la fin 1er traitement si 1731bis" ;
AILMOM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOM_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OM) - retenu " ;
AILMON : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7ON) - retenu" ;
AILMON1731 : calculee restituee primrest = 0 base : "AILMON retenu  a la fin 1er traitement si 1731bis" ;
AILMONP2 : calculee restituee primrest = 0 base : "AILMON retenu  a la fin 1er traitement si 1731bis" ;
AILMON_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMON_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7ON) - retenu " ;
AILMOO : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OO) - retenu" ;
AILMOO1731 : calculee restituee primrest = 0 base : "AILMOO retenu  a la fin 1er traitement si 1731bis" ;
AILMOOP2 : calculee restituee primrest = 0 base : "AILMOO retenu  a la fin 1er traitement si 1731bis" ;
AILMOO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOO_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OO) - retenu " ;
AILMOP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OP) - retenu" ;
AILMOP1731 : calculee restituee primrest = 0 base : "AILMOP retenu  a la fin 1er traitement si 1731bis" ;
AILMOPP2 : calculee restituee primrest = 0 base : "AILMOP retenu  a la fin 1er traitement si 1731bis" ;
AILMOP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOP_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OP) - retenu " ;
AILMOQ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OQ) - retenu" ;
AILMOQ1731 : calculee restituee primrest = 0 base : "AILMOQ retenu  a la fin 1er traitement si 1731bis" ;
AILMOQP2 : calculee restituee primrest = 0 base : "AILMOQ retenu  a la fin 1er traitement si 1731bis" ;
AILMOQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOQ_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OQ) - retenu " ;
AILMOR : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OR) - retenu" ;
AILMOR1731 : calculee restituee primrest = 0 base : "AILMOR retenu  a la fin 1er traitement si 1731bis" ;
AILMORP2 : calculee restituee primrest = 0 base : "AILMOR retenu  a la fin 1er traitement si 1731bis" ;
AILMOR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOR_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OR) - retenu " ;
AILMOS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OS) - retenu" ;
AILMOS1731 : calculee restituee primrest = 0 base : "AILMOS retenu  a la fin 1er traitement si 1731bis" ;
AILMOSP2 : calculee restituee primrest = 0 base : "AILMOS retenu  a la fin 1er traitement si 1731bis" ;
AILMOS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOS_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OS) - retenu " ;
AILMOT : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OT) - retenu" ;
AILMOT1731 : calculee restituee primrest = 0 base : "AILMOT retenu  a la fin 1er traitement si 1731bis" ;
AILMOTP2 : calculee restituee primrest = 0 base : "AILMOT retenu  a la fin 1er traitement si 1731bis" ;
AILMOT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMOT_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OT) - retenu " ;
AILMPA1731 : calculee restituee primrest = 0 base : "AILMPA retenu  a la fin 1er traitement si 1731bis" ;
AILMPAP2 : calculee restituee primrest = 0 base : "AILMPA retenu  a la fin 1er traitement si 1731bis" ;
AILMPB1731 : calculee restituee primrest = 0 base : "AILMPB retenu  a la fin 1er traitement si 1731bis" ;
AILMPBP2 : calculee restituee primrest = 0 base : "AILMPB retenu  a la fin 1er traitement si 1731bis" ;
AILMPC1731 : calculee restituee primrest = 0 base : "AILMPC retenu  a la fin 1er traitement si 1731bis" ;
AILMPCP2 : calculee restituee primrest = 0 base : "AILMPC retenu  a la fin 1er traitement si 1731bis" ;
AILMPD1731 : calculee restituee primrest = 0 base : "AILMPD retenu  a la fin 1er traitement si 1731bis" ;
AILMPDP2 : calculee restituee primrest = 0 base : "AILMPD retenu  a la fin 1er traitement si 1731bis" ;
AILMPE1731 : calculee restituee primrest = 0 base : "AILMPE retenu  a la fin 1er traitement si 1731bis" ;
AILMPEP2 : calculee restituee primrest = 0 base : "AILMPE retenu  a la fin 1er traitement si 1731bis" ;
AILMPF : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PF) - retenu" ;
AILMPF1731 : calculee restituee primrest = 0 base : "AILMPF retenu  a la fin 1er traitement si 1731bis" ;
AILMPFP2 : calculee restituee primrest = 0 base : "AILMPF retenu  a la fin 1er traitement si 1731bis" ;
AILMPF_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPF_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PF) - retenu " ;
AILMPG : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PG) - retenu" ;
AILMPG1731 : calculee restituee primrest = 0 base : "AILMPG retenu  a la fin 1er traitement si 1731bis" ;
AILMPGP2 : calculee restituee primrest = 0 base : "AILMPG retenu  a la fin 1er traitement si 1731bis" ;
AILMPG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPH : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PH) - retenu" ;
AILMPH1731 : calculee restituee primrest = 0 base : "AILMPH retenu  a la fin 1er traitement si 1731bis" ;
AILMPHP2 : calculee restituee primrest = 0 base : "AILMPH retenu  a la fin 1er traitement si 1731bis" ;
AILMPH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPI : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PI) - retenu" ;
AILMPI1731 : calculee restituee primrest = 0 base : "AILMPI retenu  a la fin 1er traitement si 1731bis" ;
AILMPIP2 : calculee restituee primrest = 0 base : "AILMPI retenu  a la fin 1er traitement si 1731bis" ;
AILMPI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPJ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7Pj) - retenu" ;
AILMPJ1731 : calculee restituee primrest = 0 base : "AILMPJ retenu  a la fin 1er traitement si 1731bis" ;
AILMPJP2 : calculee restituee primrest = 0 base : "AILMPJ retenu  a la fin 1er traitement si 1731bis" ;
AILMPJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPK : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PK) - retenu" ;
AILMPK1731 : calculee restituee primrest = 0 base : "AILMPK retenu  a la fin 1er traitement si 1731bis" ;
AILMPKP2 : calculee restituee primrest = 0 base : "AILMPK retenu  a la fin 1er traitement si 1731bis" ;
AILMPK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPK_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PK) - retenu " ;
AILMPL : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PL) - retenu" ;
AILMPL1731 : calculee restituee primrest = 0 base : "AILMPL retenu  a la fin 1er traitement si 1731bis" ;
AILMPLP2 : calculee restituee primrest = 0 base : "AILMPL retenu  a la fin 1er traitement si 1731bis" ;
AILMPL_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPL_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PL) - retenu " ;
AILMPM : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PM) - retenu" ;
AILMPM1731 : calculee restituee primrest = 0 base : "AILMPM retenu  a la fin 1er traitement si 1731bis" ;
AILMPMP2 : calculee restituee primrest = 0 base : "AILMPM retenu  a la fin 1er traitement si 1731bis" ;
AILMPM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPM_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PM) - retenu " ;
AILMPN : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PN) - retenu" ;
AILMPN1731 : calculee restituee primrest = 0 base : "AILMPN retenu  a la fin 1er traitement si 1731bis" ;
AILMPNP2 : calculee restituee primrest = 0 base : "AILMPN retenu  a la fin 1er traitement si 1731bis" ;
AILMPN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPN_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PN) - retenu " ;
AILMPO : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PO) - retenu" ;
AILMPO1731 : calculee restituee primrest = 0 base : "AILMPO retenu  a la fin 1er traitement si 1731bis" ;
AILMPOP2 : calculee restituee primrest = 0 base : "AILMPO retenu  a la fin 1er traitement si 1731bis" ;
AILMPO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPO_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PO) - retenu " ;
AILMPP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PP) - retenu" ;
AILMPP1731 : calculee restituee primrest = 0 base : "AILMPP retenu  a la fin 1er traitement si 1731bis" ;
AILMPPP2 : calculee restituee primrest = 0 base : "AILMPP retenu  a la fin 1er traitement si 1731bis" ;
AILMPP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPP_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PP) - retenu " ;
AILMPQ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PQ) - retenu" ;
AILMPQ1731 : calculee restituee primrest = 0 base : "AILMPQ retenu  a la fin 1er traitement si 1731bis" ;
AILMPQP2 : calculee restituee primrest = 0 base : "AILMPQ retenu  a la fin 1er traitement si 1731bis" ;
AILMPQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPQ_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PQ) - retenu " ;
AILMPR : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PR) - retenu" ;
AILMPR1731 : calculee restituee primrest = 0 base : "AILMPR retenu  a la fin 1er traitement si 1731bis" ;
AILMPRP2 : calculee restituee primrest = 0 base : "AILMPR retenu  a la fin 1er traitement si 1731bis" ;
AILMPR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPR_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PR) - retenu " ;
AILMPS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PS) - retenu" ;
AILMPS1731 : calculee restituee primrest = 0 base : "AILMPS retenu  a la fin 1er traitement si 1731bis" ;
AILMPSP2 : calculee restituee primrest = 0 base : "AILMPS retenu  a la fin 1er traitement si 1731bis" ;
AILMPS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPS_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PS) - retenu " ;
AILMPT : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PT) - retenu" ;
AILMPT1731 : calculee restituee primrest = 0 base : "AILMPT retenu  a la fin 1er traitement si 1731bis" ;
AILMPTP2 : calculee restituee primrest = 0 base : "AILMPT retenu  a la fin 1er traitement si 1731bis" ;
AILMPT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPT_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PT) - retenu " ;
AILMPU : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PU) - retenu" ;
AILMPU1731 : calculee restituee primrest = 0 base : "AILMPU retenu  a la fin 1er traitement si 1731bis" ;
AILMPUP2 : calculee restituee primrest = 0 base : "AILMPU retenu  a la fin 1er traitement si 1731bis" ;
AILMPU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPU_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PU) - retenu " ;
AILMPV : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PV) - retenu" ;
AILMPV1731 : calculee restituee primrest = 0 base : "AILMPV retenu  a la fin 1er traitement si 1731bis" ;
AILMPVP2 : calculee restituee primrest = 0 base : "AILMPV retenu  a la fin 1er traitement si 1731bis" ;
AILMPV_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPV_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PV) - retenu " ;
AILMPW : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PW) - retenu" ;
AILMPW1731 : calculee restituee primrest = 0 base : "AILMPW retenu  a la fin 1er traitement si 1731bis" ;
AILMPWP2 : calculee restituee primrest = 0 base : "AILMPW retenu  a la fin 1er traitement si 1731bis" ;
AILMPW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPW_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PW) - retenu " ;
AILMPX : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PX) - retenu" ;
AILMPX1731 : calculee restituee primrest = 0 base : "AILMPX retenu  a la fin 1er traitement si 1731bis" ;
AILMPXP2 : calculee restituee primrest = 0 base : "AILMPX retenu  a la fin 1er traitement si 1731bis" ;
AILMPX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPX_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PX) - retenu " ;
AILMPY : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PY) - retenu" ;
AILMPY1731 : calculee restituee primrest = 0 base : "AILMPY retenu  a la fin 1er traitement si 1731bis" ;
AILMPYP2 : calculee restituee primrest = 0 base : "AILMPY retenu  a la fin 1er traitement si 1731bis" ;
AILMPY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMPY_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PY) - retenu " ;
AILMSA : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SA) - retenu" ;
AILMSA1731 : calculee restituee primrest = 0 base : "AILMSA retenu  a la fin 1er traitement si 1731bis" ;
AILMSAP2 : calculee restituee primrest = 0 base : "AILMSA retenu  a la fin 1er traitement si 1731bis" ;
AILMSA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSA_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7SA) - retenu " ;
AILMSB : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SB) - retenu" ;
AILMSB1731 : calculee restituee primrest = 0 base : "AILMSB retenu  a la fin 1er traitement si 1731bis" ;
AILMSBP2 : calculee restituee primrest = 0 base : "AILMSB retenu  a la fin 1er traitement si 1731bis" ;
AILMSB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSB_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7SB) - retenu " ;
AILMSC : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SC) - retenu" ;
AILMSC1731 : calculee restituee primrest = 0 base : "AILMSC retenu  a la fin 1er traitement si 1731bis" ;
AILMSCP2 : calculee restituee primrest = 0 base : "AILMSC retenu  a la fin 1er traitement si 1731bis" ;
AILMSC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSC_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7SC) - retenu " ;
AILMSM : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PF) - retenu" ;
AILMSM1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMSM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSM_P : calculee primrest = 0 base : "RI evt avant" ;
AILMSN : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SN) - declare" ;
AILMSN1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMSN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSN_P : calculee primrest = 0 base : "RI evt avant" ;
AILMSO : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SO) - declare" ;
AILMSO1731 : calculee restituee primrest = 0 base : "AILMIA retenu  a la fin 1er traitement si 1731bis" ;
AILMSO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSO_P : calculee primrest = 0 base : "RI evt avant" ;
AILMSP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SP) - retenu" ;
AILMSP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
AILMSP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSP_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
AILMSS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SS) - retenu" ;
AILMSS1731 : calculee restituee primrest = 0 base : "AILM retenu  a la fin 1er traitement si 1731bis" ;
AILMSS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AILMSS_P : calculee primrest = 0 base : "RI evt avant" ;
ALLECS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TV : "Pensions retraite et invalidite soumis a CSG au taux de 8,3 %" ;
ALLO1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1CP : "Autres revenus imposables - PAC 1" ;
ALLO2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1DP : "Autres revenus imposables - PAC 2" ;
ALLO3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1EP : "Autres revenus imposables - PAC 3" ;
ALLO4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1FP : "Autres revenus imposables - PAC 4" ;
ALLOC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1BP : "Autres revenus imposables - Declarant 2" ;
ALLOP : calculee restituee primrest = 1 : " somme Allocation personnes a charge 1 a 4" ;
ALLOV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1AP : "Autres revenus imposables - Declarant 1" ;
ALOCANAH : calculee restituee primrest = 1 : "base retenue location logement ANAH" ;
ALOCENT : calculee restituee primrest = 1 : "Investissements outre mer entreprise - declare" ;
ALOCENT1731 : calculee restituee primrest = 0 base : "ALOCENT retenu  a la fin 1er traitement si 1731bis" ;
ALOCENTP2 : calculee restituee primrest = 0 base : "ALOCENT retenu  a la fin 1er traitement si 1731bis" ;
ALOCENT_1 : calculee restituee primrest = 0 : "pour simplifier prog -Investissements outre mer entreprise - declare" ;
ALOCENT_1_A : calculee primrest = 0 : "RI evt avant" ;
ALOCENT_P : calculee primrest = 0 base : "Investissements outre mer entreprise - declare" ;
ALOCIDEFG : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2012 - retenu" ;
ALOCIDEFG1731 : calculee restituee primrest = 0 base : "ALOCDEFG retenu  a la fin 1er traitement si 1731bis" ;
ALOCIDEFGP2 : calculee restituee primrest = 0 base : "ALOCDEFG retenu  a la fin 1er traitement si 1731bis" ;
ALOCIDEFG_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. locations meublees non pro 2012 - retenu" ;
ALOCIDEFG_P : calculee primrest = 0 base : "Invest. locations meublees non pro 2012 - retenu" ;
ALOGDOM : calculee restituee primrest = 1 : "Investissements outre mer logement - declare" ;
ALOGDOM1731 : calculee restituee primrest = 0 base : "ALOGDOM retenu  a la fin 1er traitement si 1731bis" ;
ALOGDOMP2 : calculee restituee primrest = 0 base : "ALOGDOM retenu  a la fin 1er traitement si 1731bis" ;
ALOGDOM_1 : calculee restituee primrest = 0 : "pour alleger prog - Investissements outre mer logement - declare" ;
ALOGDOM_1_A : calculee primrest = 0 : "RI evt avant" ;
ALOGDOM_P : calculee primrest = 0 base : "Investissements outre mer logement - declare" ;
ALOGSOC : calculee restituee primrest = 1 : "Investissements outre mer logement social - declare" ;
ALOGSOC1731 : calculee restituee primrest = 0 base : "ALOGSOC retenu  a la fin 1er traitement si 1731bis" ;
ALOGSOCP2 : calculee restituee primrest = 0 base : "ALOGSOC retenu  a la fin 1er traitement si 1731bis" ;
ALOGSOC_1 : calculee restituee primrest = 0 : "pour simplifier prog - Inv. outre mer logement social - declare" ;
ALOGSOC_1_A : calculee primrest = 0 : "RI evt avant" ;
ALOGSOC_P : calculee primrest = 0 base : "Investissements outre mer logement social - declare" ;
ANCSDED2 : calculee restituee primrest = 0 : "annee d'imposition pour variation CSG" ;
ANNEECOR : calculee restituee primrest = 0 base : "Annee evt correctif" ;
ANNEEREV : calculee restituee primrest = 0 : "annee revenu saisie + V_MODUL" ;
ANNEE_RAPPEL : saisie penalite primrest = 0 alias V_ANN_RAPPEL : "Champ Annee de la date de notification dans une ligne rappel" ;
ANNUL2042 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YA : "Case a cocher : Annulation de la declaration (correctif)" type BOOLEEN ;
ANOCEP : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5SN : "BNC non professionnels hors AA. - Benefices - Declarant 1" ;
ANOPEP : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5OS : "BNC non professionnels hors AA - Benefices - PAC " ;
ANORMAN : calculee restituee primrest = 1 : "Investissement Denormandie - accorde" ;
ANORMAN1731 : calculee restituee primrest = 0 base : "ANORMAN retenu  a la fin 1er traitement si 1731bis" ;
ANORMAN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
ANORMJA : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJA_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
ANORMJB : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJB_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJB_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMJC : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJC_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJC_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
ANORMJD : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJD_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJD_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
ANORMJR : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJR1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJR_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJR_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMJS : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJS_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJS_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMJT : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJT1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJT_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJT_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMJU : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMJU1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMJU_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMJU_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMLG : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMLG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMLG_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMLG_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMLH : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMLH1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMLH_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMLH_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMLI : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMLI1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMLI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMLI_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMLJ : calculee restituee primrest = 0 : "Investissement Denormandie report - retenu" ;
ANORMLJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ANORMLJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ANORMLJ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
ANORMREP : calculee restituee primrest = 1 : "Investissement Denormandie reports - accorde" ;
ANOUV : calculee restituee primrest = 1 : "Base reduction Capital de societes nouvelles" ;
ANOUV1731 : calculee restituee primrest = 0 base : "ANOUV retenu  a la fin 1er traitement si 1731bis" ;
ANOUVP2 : calculee restituee primrest = 0 base : "ANOUV retenu  a la fin 1er traitement si 1731bis" ;
ANOUV_P : calculee primrest = 0 base : "Base reduction Capital de societes nouvelles" ;
ANOVEP : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5NS : "BNC non professionnels hors AA - Benefices - Declarant 2 " ;
ANTINDIRPS : calculee restituee primrest = 0 base : "Anterieur indicateur IR PS" ;
ANTIRAFF : calculee restituee primrest = 1 : "Impot sur le revenu anterieur a afficher sur l avis" ;
ANTISFAFF : calculee restituee primrest = 0 : "ISF anterieur a afficher sur l avis" ;
APAP : calculee restituee primrest = 1 : "Premier abonnement presse accorde" ;
APATNAT : calculee restituee primrest = 1 : "Base retenue  depense protection du patrimoine naturel" ;
APATNAT1731 : calculee restituee primrest = 0 base : "APATNAT retenu  a la fin 1er traitement si 1731bis" ;
APATNAT2 : calculee restituee primrest = 1 : "Retenu : depense 2010 protection du patrimoine naturel : report" ;
APATNAT21731 : calculee restituee primrest = 0 base : "APATNAT2 retenu  a la fin 1er traitement si 1731bis" ;
APATNAT2P2 : calculee restituee primrest = 0 base : "APATNAT2 retenu  a la fin 1er traitement si 1731bis" ;
APATNATP2 : calculee restituee primrest = 0 base : "APATNAT retenu  a la fin 1er traitement si 1731bis" ;
APATNAT_P : calculee primrest = 0 base : "Base retenue  depense protection du patrimoine naturel" ;
APB1 : calculee primrest = 0 : "Minimum d'abattement 10% (PR)" ;
APB2 : calculee primrest = 0 : "Minimum d'abattement 10% (PR)" ;
APB3 : calculee primrest = 0 : "Minimum d'abattement 10% (PR)" ;
APB4 : calculee primrest = 0 : "Minimum d'abattement 10% (PR)" ;
APBC : calculee primrest = 0 : "Minimum d'abattement 10% (PR)" ;
APBV : calculee primrest = 0 : "Minimum d'abattement 10% (PR)" ;
APENTCY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7CY retenu" ;
APENTCY1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APENTCYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
APENTCY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APENTCY_P : calculee primrest = 0 base : "Investissement Duflot -Primitif pour 1731bis" ;
APENTDY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7DY retenu" ;
APENTDY1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APENTDY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APENTDY_P : calculee primrest = 0 base : "Investissement Duflot -Primitif pour 1731bis" ;
APENTEK : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7EK retenu" ;
APENTEK1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APENTEK_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APENTEK_P : calculee primrest = 0 base : "RI evt avant" ;
APENTEY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7EY retenu" ;
APENTEY1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APENTEYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
APENTEY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APENTEY_P : calculee primrest = 0 base : "Investissement Duflot -Primitif pour 1731bis" ;
APENTFY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7FY retenu" ;
APENTFY1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APENTFYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
APENTFY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APENTFY_P : calculee primrest = 0 base : "RI evt avant" ;
APENTGY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7GY retenu" ;
APENTGY1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APENTGYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
APENTGY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APENTGY_P : calculee primrest = 0 base : "Investissement Duflot -Primitif pour 1731bis" ;
APENTY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises retenu" ;
APERPC : calculee restituee primrest = 1 : "bse retenu PERP" ;
APERPCTEF : calculee primrest = 0 : "bse retenu PERP tx eff" ;
APERPCTEFRFR : calculee primrest = 0 : "bse retenu PERP tx eff" ;
APERPP : calculee restituee primrest = 1 : "bse retenu PERP" ;
APERPPTEF : calculee primrest = 0 : "bse retenu PERP tx eff" ;
APERPPTEFRFR : calculee primrest = 0 : "bse retenu PERP tx eff" ;
APERPV : calculee restituee primrest = 1 : "bse retenu PERP" ;
APERPVTEF : calculee primrest = 0 : "bse retenu PERP tx eff" ;
APERPVTEFRFR : calculee primrest = 0 : "bse retenu PERP tx eff" ;
APIJV : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIJV1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
APIJV_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIJV_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIJW : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIJW1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
APIJW_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIJW_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIJX : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIJX1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
APIJX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIJX_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIJY : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIJY1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIJY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIJY_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APINEL : calculee restituee primrest = 1 : "Investissement Pinel - accorde" ;
APIQQWXY : calculee restituee primrest = 0 : "Investissement Pinel outre mer realise et acheve en 2018 - Retenu  " ;
APIQQWXY1731 : calculee restituee primrest = 0 base : "APIQTU outre mer retenu  a la fin 1er traitement si 1731bis" ;
APIQQWXY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREP : calculee restituee primrest = 1 : "Investissement Pinel reports - accorde" ;
APIREPAI : calculee restituee primrest = 0 : "Investissement Pinel realise et acheve en 2014- report - Retenu  " ;
APIREPAI1731 : calculee restituee primrest = 0 base : "APIREPAI retenu  a la fin 1er traitement si 1731bis" ;
APIREPAI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPBI : calculee restituee primrest = 0 : "Investissement Pinel realise et acheve en 2014- report - Retenu  " ;
APIREPBI1731 : calculee restituee primrest = 0 base : "APIREPBI retenu  a la fin 1er traitement si 1731bis" ;
APIREPBI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPBI_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPCI : calculee restituee primrest = 0 : "Investissement Pinel realise et acheve en 2014- report - Retenu  " ;
APIREPCI1731 : calculee restituee primrest = 0 base : "APIREPCI retenu  a la fin 1er traitement si 1731bis" ;
APIREPCI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPCZ : calculee restituee primrest = 0 : "Invest. Pinel metro realise et ou acheve en 2015- report - Retenu  " ;
APIREPCZ1731 : calculee restituee primrest = 0 base : "APIREPCZ retenu  a la fin 1er traitement si 1731bis" ;
APIREPCZP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPCZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPCZ_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPDI : calculee restituee primrest = 0 : "Investissement Pinel realise et acheve en 2014- report - Retenu  " ;
APIREPDI1731 : calculee restituee primrest = 0 base : "APIREPDI retenu  a la fin 1er traitement si 1731bis" ;
APIREPDI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPDI_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPEZ : calculee restituee primrest = 0 : "Invest. Pinel outr-mer realise et ou acheve en 2015- report - Retenu  " ;
APIREPEZ1731 : calculee restituee primrest = 0 base : "APIREPEZ retenu  a la fin 1er traitement si 1731bis" ;
APIREPEZP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPEZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPEZ_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPJM : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPJM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPJM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPJM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
APIREPJN : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPJN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPJN_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPJN_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPJO : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPJO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPJO_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPJO_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPJP : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPJP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPJP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPJP_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPJQ : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPJQ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPJQ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPJQ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPKM : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPKM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPKM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPKM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
APIREPLM : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPLM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPLM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPLM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
APIREPMM : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIREPMM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIREPMM_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIREPMM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
APIREPRA : calculee restituee primrest = 0 : "Invest. Pinel metro realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRA1731 : calculee restituee primrest = 0 base : "APIREPRA retenu  a la fin 1er traitement si 1731bis" ;
APIREPRAP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPRA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRA_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPRB : calculee restituee primrest = 0 : "Invest. Pinel metro realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRB1731 : calculee restituee primrest = 0 base : "APIREPRB retenu  a la fin 1er traitement si 1731bis" ;
APIREPRBP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPRB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRB_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPRC : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRC1731 : calculee restituee primrest = 0 base : "APIREPRC retenu  a la fin 1er traitement si 1731bis" ;
APIREPRCP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPRC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRC_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPRD : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRD1731 : calculee restituee primrest = 0 base : "APIREPRD retenu  a la fin 1er traitement si 1731bis" ;
APIREPRDP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPRD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRD_P : calculee primrest = 0 base : "Report Investissement Pinel -Primitif pour 1731bis" ;
APIREPRE : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRE1731 : calculee restituee primrest = 0 base : "APIREPRE retenu  a la fin 1er traitement si 1731bis" ;
APIREPRE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRE_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPRF : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRF1731 : calculee restituee primrest = 0 base : "APIREPRF retenu  a la fin 1er traitement si 1731bis" ;
APIREPRF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRF_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPRG : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRG1731 : calculee restituee primrest = 0 base : "APIREPRG retenu  a la fin 1er traitement si 1731bis" ;
APIREPRG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRG_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPRH : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Retenu  " ;
APIREPRH1731 : calculee restituee primrest = 0 base : "APIREPRH retenu  a la fin 1er traitement si 1731bis" ;
APIREPRH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRH_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPRZ : calculee restituee primrest = 0 : "Invest. Pinel outr-mer realise et ou acheve en 2016- report - Retenu  " ;
APIREPRZ1731 : calculee restituee primrest = 0 base : "APIREPRZ retenu  a la fin 1er traitement si 1731bis" ;
APIREPRZP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPRZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPRZ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIREPTZ : calculee restituee primrest = 0 : "Invest. Pinel outr-mer realise et ou acheve en 2016- report - Retenu  " ;
APIREPTZ1731 : calculee restituee primrest = 0 base : "APIREPTZ retenu  a la fin 1er traitement si 1731bis" ;
APIREPTZP2 : calculee restituee primrest = 0 base : "retenu  a la fin 1er traitement si 1731bis" ;
APIREPTZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
APIREPTZ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIRI : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIRI1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIRI_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIRI_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIRJ : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIRJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIRJ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIRJ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIRRS : calculee restituee primrest = 1 : "Investissement Pinel prorogation - Retenu  " ;
APISX : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APISX1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APISX_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APISX_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APISY : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APISY1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APISY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APISY_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIUY : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIUY1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIUY_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIUY_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APIUZ : calculee restituee primrest = 0 : "Invest. Pinel report - retenu  " ;
APIUZ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
APIUZ_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APIUZ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
APLAFREPME4 : calculee restituee primrest = 0 : "Report 2013 suite a plaf av fisc PME - Avis Facture - Retenu " ;
APLAFREPME41731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
APLAFREPME4P2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
APLAFREPME4_P : calculee primrest = 0 base : "Investissement Duflot -Primitif pour 1731bis" ;
APPLI_BATCH : calculee restituee primrest = 0 : "Appli_Batch" ;
APPLI_COLBERT : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 restituee primrest = 0 alias V_COLBERT : "Appli_Colbert" type BOOLEEN ;
APPLI_ILIAD : calculee restituee primrest = 1 : "Appli_Iliad" ;
APPLI_OCEANS : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 restituee primrest = 1 alias V_OCEANS : "Appli_Oceans" ;
APR1 : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1AL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1AM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1AO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1AS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1AZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1BL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1BM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1BO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1BS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1BZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1CL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1CM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1CO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1CS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1CZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1DL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1DM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1DO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1DS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1DZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1EL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1EM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1EO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1ES : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1EZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1FL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1FM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1FO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1FS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR1FZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR2 : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR3 : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APR4 : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRC : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRESCOMP : calculee restituee primrest = 1 : "base retenue prestations compensatoires" ;
APRESCOMP1731 : calculee restituee primrest = 0 base : "APRESCOMP retenu  a la fin 1er traitement si 1731bis" ;
APRESCOMPP2 : calculee restituee primrest = 0 base : "APRESCOMP retenu  a la fin 1er traitement si 1731bis" ;
APRESCOMP_P : calculee primrest = 0 base : "base retenue prestations compensatoires" ;
APRESSE : calculee restituee primrest = 1 : "Souscription capital presse retenu" ;
APRESSE1731 : calculee restituee primrest = 0 base : "APRESSE retenu  a la fin 1er traitement si 1731bis" ;
APRESSE3021731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
APRESSE302_1 : calculee restituee primrest = 0 : " pour alleger programmation - investissement presse taux 30% 7MX" ;
APRESSE5021731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
APRESSE502_1 : calculee restituee primrest = 0 : " pour alleger programmation - investissement presse taux 50% code 7MY" ;
APRESSE_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
APRESSE_P : calculee primrest = 0 base : "Investissement presse" ;
APRETUD : calculee restituee primrest = 1 : "Interets pret etudiant retenu" ;
APRFAS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRFBS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRFCS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRFDS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRFES : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRFFS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APROPIREP : calculee restituee primrest = 1 : "Investissement Pinel prorogation reports - accorde" ;
APROPIREP1 : calculee restituee primrest = 1 : "Investissement Pinel prorogation reports - accorde" ;
APRRAL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRAM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRAO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRAS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRAZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRBL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRBM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRBO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRBS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRBZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRCL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRCM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRCO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRCS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRCZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRDL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRDM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRDO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRDS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRDZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRREL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRREM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRREO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRES : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRREZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRFL : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRFM : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRFO : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRFS : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRRFZ : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
APRV : calculee primrest = 0 : "Abattement pensions retraites 10%" ;
AREHAB : calculee restituee primrest = 1 : "Travaux de rehabilitation residence tourisme - accorde" ;
AREHAB1731 : calculee restituee primrest = 0 base : "AREHAB reduction  a la fin 1er traitement si 1731bis" ;
AREHAB_1 : calculee restituee primrest = 0 : "Base reduction d'impot calcule rehab res tour_imput" ;
AREHAB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
AREMBPS : calculee primrest = 0 : "montant a rembourser ps 17.2 impot etranger" ;
AREPA : calculee restituee primrest = 1 : "Dons : fourniture de repas particulier" ;
AREPA1731 : calculee restituee primrest = 0 base : "AREPA retenu  a la fin 1er traitement si 1731bis" ;
AREPAP2 : calculee restituee primrest = 0 base : "AREPA retenu  a la fin 1er traitement si 1731bis" ;
AREPA_P : calculee primrest = 0 base : "Dons : fourniture de repas particulier" ;
ARESINEUV : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve - retenu" ;
ARESINEUV1731 : calculee restituee primrest = 0 base : "ARESINEUV retenu  a la fin 1er traitement si 1731bis" ;
ARESINEUVP2 : calculee restituee primrest = 0 base : "ARESINEUV retenu  a la fin 1er traitement si 1731bis" ;
ARESINEUV_1 : calculee restituee primrest = 0 : "pour alleger prog - Inv. loc. meublees dans residence neuve - retenu" ;
ARESINEUV_P : calculee primrest = 0 base : "RI evt avant" ;
ARESIVIEU : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve 2009 - retenu" ;
ARESIVIEU1731 : calculee restituee primrest = 0 base : "ARESIVIEU retenu  a la fin 1er traitement si 1731bis" ;
ARESIVIEUP2 : calculee restituee primrest = 0 base : "ARESIVIEU retenu  a la fin 1er traitement si 1731bis" ;
ARESIVIEU_1 : calculee restituee primrest = 0 : "pour alleger prog -Inv. loc. meublees ds residence neuve 2009 - retenu" ;
ARESIVIEU_P : calculee primrest = 0 base : "RI evt avant" ;
ARESTIMO : calculee restituee primrest = 1 : "Travaux de restauration immobiliere - retenu" ;
ARESTIMO1 : calculee restituee primrest = 1 : "Travaux de restauration immobiliere - accorde" ;
ARESTIMO11731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ARESTIMO1731 : calculee restituee primrest = 0 base : "ARESTIMO retenu  a la fin 1er traitement si 1731bis" ;
ARESTIMO1_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ARESTIMO1_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
ARESTIMOP2 : calculee restituee primrest = 0 base : "ARESTIMO retenu  a la fin 1er traitement si 1731bis" ;
ARESTIMO_1 : calculee restituee primrest = 0 : "pour alleger prog - Travaux de restauration immobiliere" ;
ARESTIMO_P : calculee primrest = 0 base : "Travaux de restauration immobiliere - retenu" ;
ARESTREP : calculee restituee primrest = 1 : "Travaux de restauration immo a compter 2017 - report" ;
ARIRENOV : calculee restituee primrest = 1 : "Travaux de restauration des objets classes - retenu" ;
ARIRENOV1731 : calculee restituee primrest = 0 base : "ARIRENOV retenu  a la fin 1er traitement si 1731bis" ;
ARIRENOVP2 : calculee restituee primrest = 0 base : "ARIRENOV retenu  a la fin 1er traitement si 1731bis" ;
ARIRENOV_P : calculee primrest = 0 base : "Travaux de restauration des objets classes - retenu" ;
ART1731 : calculee restituee primrest = 0 base : "indicateur art1731 bis empechant benefice reduc et deficit " ;
ART1731BIS : calculee restituee primrest = 1 base : "indicateur art1731 bis empechant benefice reduc et deficit " ;
ART1731BISIFI : calculee primrest = 0 base : "indicateur art1731 bis empechant benefice reduc et deficit  IFI" ;
ARTIMP : calculee restituee primrest = 1 : "Metiers d art : montant impute" ;
ARTREST : calculee restituee primrest = 1 : "Metiers d art : montant restitution" ;
ASCAPA : saisie famille classe = 0 priorite = 31 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7DL : "Nombre d'ascendants a l'APA de plus de 65 ans " ;
ASOCREPR : calculee restituee primrest = 1 : "Base Reduction emprunt reprise societe" ;
ASOCREPR1731 : calculee restituee primrest = 0 base : "ASOCREPR retenu  a la fin 1er traitement si 1731bis" ;
ASOCREPRP2 : calculee restituee primrest = 0 base : "ASOCREPR retenu  a la fin 1er traitement si 1731bis" ;
ASOCREPR_P : calculee primrest = 0 base : "Base Reduction emprunt reprise societe" ;
ASOFON : calculee restituee primrest = 1 : "Souscriptions caital societe foncieres solidaires -  retenue" ;
ASOFON1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
ASOFON_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ASOFON_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
ASOUFIP : calculee restituee primrest = 1 : "Investissement de proximite" ;
ASOUFIP1731 : calculee restituee primrest = 0 base : "ASOUFIP retenu  a la fin 1er traitement si 1731bis" ;
ASOUFIPP2 : calculee restituee primrest = 0 base : "ASOUFIP retenu  a la fin 1er traitement si 1731bis" ;
ASOUFIP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ASOUFIP_P : calculee primrest = 0 base : "Investissement de proximite" ;
ASSIMP : calculee restituee primrest = 1 : "Prelevements liberatoires (assurance vie) : montant impute" ;
ASSREST : calculee restituee primrest = 1 : "Prelevements liberatoires (assurance vie) : montant restitution" ;
ASURV : calculee restituee primrest = 1 : "Rente-survie, contrat handicap" ;
ASURV1731 : calculee restituee primrest = 0 base : "ASURV retenu  a la fin 1er traitement si 1731bis" ;
ASURVP2 : calculee restituee primrest = 0 base : "ASURV retenu  a la fin 1er traitement si 1731bis" ;
ASURV_P : calculee primrest = 0 base : "Rente-survie, contrat handicap" ;
ASYND : calculee restituee primrest = 1 : "Reduction cotisation syndicale" ;
ATEC : calculee restituee primrest = 1 : "Depenses travaux prevention risques technologiques - Bailleur - retenu" ;
ATOUREPA : calculee restituee primrest = 1 : "Retenu  Investissements locatifs resid. de tourisme report" ;
ATOUREPA1731 : calculee restituee primrest = 0 base : "ATOUREPA retenu  a la fin 1er traitement si 1731bis" ;
ATOUREPAP2 : calculee restituee primrest = 0 base : "ATOUREPA retenu  a la fin 1er traitement si 1731bis" ;
ATOUREPA_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
ATOURREP : calculee restituee primrest = 1 : "Retenu  Investissements locatifs resid. de tourisme report" ;
ATOURREP1731 : calculee restituee primrest = 0 base : "ATOURREP retenu  a la fin 1er traitement si 1731bis" ;
ATOURREPP2 : calculee restituee primrest = 0 base : "ATOURREP retenu  a la fin 1er traitement si 1731bis" ;
ATOURREP_1 : calculee restituee primrest = 0 : "traitement 1731bis" ;
AUBAINE10 : calculee primrest = 0 : "avantage en impot (A2) lie a avantages fiscaux 2010" ;
AUBAINE11 : calculee primrest = 0 : "avantage en impot (A1) lie a avantages fiscaux 2011" ;
AUBAINE12 : calculee primrest = 0 : "avantage en impot (A4) lie a avantages fiscaux 2011" ;
AUBAINE13A : calculee primrest = 0 : "avantage en impot sur avantages fiscaux 2013 reduc hors DOM SOFICA" ;
AUBAINE13B : calculee primrest = 0 : "avantage en impot sur avantages fiscaux 2013 reduc DOM SOFICA" ;
AUBAINE9 : calculee primrest = 0 : "avantage en impot (A3) lie a av. fiscaux 2009 pris en compte en 2011" ;
AUTOBICPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5UB : "Micro-entrepreneur - BIC prof. - Prestations de services - Declarant 2" ;
AUTOBICPNET : calculee restituee primrest = 0 : "auto entrepreneurs BIC pro net pr colbert" ;
AUTOBICPP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5VB : "Micro-entrepreneur - BIC prof. - Prestations de services - PAC" ;
AUTOBICPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5TB : "Micro-entrepreneur - BIC prof. - Prestations de services - Declarant 1" ;
AUTOBICVC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5UA : "Micro-entrepreneur - BIC prof. - Activite de ventes - Declarant 2" ;
AUTOBICVP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5VA : "Micro-entrepreneur - BIC professionnels - Activite de ventes - PAC " ;
AUTOBICVV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5TA : "Micro-entrepreneur - BIC prof. - Activite de ventes - Declarant 1" ;
AUTOBNCC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5UE : "Micro-entrepreneur - BNC prof. - Recettes brutes - Declarant 2" ;
AUTOBNCP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5VE : "Micro-entrepreneur - BNC professionnels - Recettes brutes - PAC" ;
AUTOBNCPNET : calculee restituee primrest = 0 : "auto entrepreneurs BNC pro net pr colbert" ;
AUTOBNCV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5TE : "Micro-entrepreneur - BNC prof. - Recettes brutes - Declarant 1" ;
AUTOVERSLIB : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8UY : "Micro-entrepreneur : versements liberatoires de l'IR" ;
AUTOVERSSUP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8UX : "Micro-entrepreneur : supplement de versement liberatoire" ;
AVETRAN : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8TT : "Case a cocher : Contrat de capitalisation souscrit a l'etranger" type BOOLEEN ;
AVFISCO : calculee restituee primrest = 1 base : "economie d impot susceptible d etre plafonnee." ;
AVFISCOP : calculee restituee primrest = 1 base : "economie d impot plafonnee." ;
AVFISCOPTER : calculee restituee primrest = 1 base : "Plafonnement des avantages fiscaux. variable visible dans cresource" ;
AVPLAF10 : calculee restituee primrest = 0 : "Plafonnement 2010 avantages fiscaux (2010/2010)" ;
AVPLAF11 : calculee restituee primrest = 0 : "Plafonnement 2011 avantages fiscaux (2011/2011)" ;
AVPLAF12 : calculee restituee primrest = 0 : "Plafonnement 2012 avantages fiscaux (2012/2012)" ;
AVPLAF13 : calculee restituee primrest = 0 : "Plafonnement 2013 avantages fiscaux (2013/2013)" ;
AVPLAF13A : calculee restituee primrest = 0 : "Plafonnement 2013 avantages fiscaux hors reduc DOM et SOFICA" ;
AVPLAF13B : calculee restituee primrest = 0 : "Plafonnement 2013 avantages fiscaux reduc DOM et SOFICA" ;
AVPLAF9 : calculee restituee primrest = 0 : "Plafonnement 2009 avantages fiscaux (2009/2010)" ;
AVRICI : calculee restituee primrest = 1 : "Avance sur RI CI" ;
AVRICIIR : calculee restituee primrest = 1 base : "Reprise avance reductions et credit impot" ;
AVRICIIR3 : calculee restituee primrest = 1 base : "Reprise avance reductions et credit impot - documents comptables" ;
AVRICIPROV : calculee primrest = 0 : "Avance sur RI CI calcul provisoire" ;
AVRICISAP : calculee restituee primrest = 1 : "Avance sur RI CI Regime 2 et 3avec INDVB31 " ;
AVRICISAPPROV : calculee primrest = 0 : "Avance sur RI CI calcul provisoire sap" ;
B1507INR : calculee restituee primrest = 1 : "somme des bases INR : IR, TAXAGA, PCAP, TAXLOY et CHR pour 1507" ;
B1507MAJO1 : calculee restituee primrest = 1 : "somme des bases IR, TAXAGA, PCAP, TAXLOY et CHR pena 1728 pour 1507" ;
B1507MAJO3 : calculee restituee primrest = 1 : "somme des bases IR, TAXAGA, PCAP, TAXLOY et CHR pena 1758 pour 1507" ;
B1507MAJO4 : calculee restituee primrest = 1 : "somme des bases IR, TAXAGA, PCAP, TAXLOY et CHR pena nat 4 pour 1507" ;
B1FIS : calculee restituee primrest = 1 : "Base contribution fiscale 1%" ;
B3SVN : calculee restituee primrest = 1 : "Base cont. salariale 10% pour avis 3VN  3SN" ;
BA : calculee primrest = 0 : "BA imposable (normaux + except. + PV)" ;
BA1 : calculee restituee primrest = 0 : "Plus-values BA imposables pour le foyer" ;
BA10RFOR : calculee primrest = 0 : "calcul AUBAINE10, reductions invt forestier avt imputation sur DS" ;
BA11731 : calculee restituee primrest = 0 base : "Pour calcul 1731" ;
BA1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5IE : "BA - Plus-values a 12,8 % - Declarant 2 " ;
BA1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5JE : "BA - Plus-values a 12,8 % - PAC " ;
BA1AV : saisie revenu classe = 2 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5HE : "BA - Plus-values a 12,8 % - Declarant 1" ;
BA1C : calculee primrest = 0 : "Plus-values BA CGA a 16% nettes d'abattement - cjt" ;
BA1P : calculee primrest = 0 : "Plus-values BA CGA a 16% nettes d'abattement - PAC" ;
BA1V : calculee primrest = 0 : "Plus-values BA CGA a 16% nettes d'abattement - vous" ;
BAABAC : calculee restituee primrest = 0 : "BA micro variable d affichage de l abattement Declarant 2" ;
BAABAV : calculee restituee primrest = 0 : "BA micro variable d affichage de l abattement Declarant 1" ;
BAALIM : calculee restituee primrest = 0 : "Base reduction aide alimentaire particulier" ;
BAALIM1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BAALIM_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BACDEC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5IF : "BA sous CGA - Deficits - Declarant 2 " ;
BACDEC_P : calculee primrest = 0 base : "Correctif: BA def pour 1731" ;
BACDEP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JF : "BA sous CGA - Deficits - PAC " ;
BACDEP_P : calculee primrest = 0 base : "Correctif: BA def pour 1731" ;
BACDEV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5HF : "BA sous CGA - Deficits - Declarant 1" ;
BACDEV_P : calculee primrest = 0 base : "Correctif: BA def pour 1731" ;
BACIFBIS : calculee restituee primrest = 0 : "AVIS99:REVENUS NETS DU FOYER IMPOSABLES" ;
BACIFBIS1731 : calculee restituee primrest = 0 base : "AVIS99:REVENUS NETS DU FOYER IMPOSABLES" ;
BACIFBISQ : calculee restituee primrest = 0 : "AVIS99:REVENUS NON COMM NON PROF NETS DU FOYER IMPOSABLES QUOTIENT" ;
BACREC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5IC : "BA sous CGA - Rev. Regime general ou moyenne triennale - Declarant 2 " ;
BACREC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BACREP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5JC : "BA sous CGA - Revenu regime general ou moyenne triennale - PAC " ;
BACREP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BACREV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5HC : "BA sous CGA - Regime general ou moyenne triennale. - Declarant 1 " ;
BACREV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BADCRE : calculee primrest = 0 : "Base credit aide a domicile" ;
BADOND : calculee restituee primrest = 0 : "Base reduction notre dame de paris" ;
BADOND1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BADONJ : calculee restituee primrest = 0 : "Base reduction asso culturelles" ;
BADONJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BADONJ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
BAEC : calculee primrest = 0 : "Benefices agricoles exceptionnels du conjoint" ;
BAEMC : calculee primrest = 0 : "ba except. majore conj." ;
BAEMP : calculee primrest = 0 : "ba except. majore pac" ;
BAEMV : calculee restituee primrest = 0 : "ba except. majore vous" ;
BAEMV1731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
BAEP : calculee restituee primrest = 0 : "Benefices agricoles exceptionnels des personnes a charge" ;
BAEP1731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
BAETALC : calculee restituee primrest = 1 : "Revenus agricoles option pour etalement - dec2" ;
BAETALP : calculee restituee primrest = 1 : "Revenus agricoles option pour etalement - pac" ;
BAETALV : calculee restituee primrest = 1 : "Revenus agricoles option pour etalement - dec1" ;
BAEV : calculee restituee primrest = 0 : "Benefices agricoles exceptionnels du declarant" ;
BAEV1731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
BAEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5IB : "BA sous CGA - Revenus exoneres - Declarant 2 " ;
BAEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5JB : "BA sous CGA - Revenus exoneres - PAC " ;
BAEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5HB : "BA sous CGA - Revenus exoneres - Declarant 1" ;
BAF1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5IX : "BA - micro - Plus-values a 12,8 % - Declarant 2 " ;
BAF1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5JX : "BA - micro - Plus-values a 12,8 % - PAC " ;
BAF1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5HX : "BA micro - Plus-values a 12,8 % - Declarant 1 " ;
BAFORESTC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5ID : "Revenus forfaitaires des coupes de bois - Declarant 2" ;
BAFORESTOT : calculee restituee primrest = 1 : "BA - revenus coupe bois foyer" ;
BAFORESTP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5JD : "Revenus forfaitaires des coupes de bois - PAC" ;
BAFORESTV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5HD : "Revenus forfaitaires des coupes de bois - Declarant 1" ;
BAFPVC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5IW : "BA - micro - Plus-values nettes a court terme - Declarant 2" ;
BAFPVP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5JW : "BA - micro - Plus-values nettes a court terme - PAC" ;
BAFPVV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5HW : "BA micro - Plus-values nettes a court terme - Declarant 1 " ;
BAGF1A : calculee primrest = 0 : "Varaible intermed pour calcul report BA " ;
BAH : calculee restituee primrest = 0 : "Base reduction depense d'hebergement" ;
BAH1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BAHDEC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5IL : "BA hors CGA - Deficits - Declarant 2 " ;
BAHDEC_P : calculee primrest = 0 base : "Correctif: BA def pour 1731" ;
BAHDEF : calculee primrest = 0 base : "Variable BA hors deficit pour apreciation art1731bis " ;
BAHDEP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JL : "BA hors CGA - Deficits - PAC " ;
BAHDEP_P : calculee primrest = 0 base : "Correctif: BA def pour 1731" ;
BAHDEV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5HL : "BA hors CGA - Deficits - Declarant 1" ;
BAHDEV_P : calculee primrest = 0 base : "Correctif: BA def pour 1731" ;
BAHEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5IH : "BA hors CGA - Revenus exoneres - Declarant 2 " ;
BAHEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5JH : "BA hors CGA - Revenus exoneres - PAC " ;
BAHEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5HH : "BA hors CGA - Revenus exoneres - Declarant 1" ;
BAHQAVISC : calculee restituee primrest = 0 : "BA hors quotient hors deficits anterieurs - Declarant 2" ;
BAHQAVISP : calculee restituee primrest = 0 : "BA hors quotient hors deficits anterieurs - PAC" ;
BAHQAVISV : calculee restituee primrest = 0 : "BA hors quotient hors deficits anterieurs - Declarant 1" ;
BAHQC : calculee restituee primrest = 1 : "ba hors quotient conj" ;
BAHQCC : calculee restituee primrest = 1 : "ba hors quotient  avec compensation" ;
BAHQCF : calculee restituee primrest = 0 : "ba hors quotient  avec compensation foyer" ;
BAHQCP : calculee restituee primrest = 1 : "ba hors quotient  avec compensation" ;
BAHQCV : calculee restituee primrest = 1 : "ba hors quotient  avec compensation" ;
BAHQF : calculee restituee primrest = 0 : "ba hors quotient foyer" ;
BAHQNODEFC : calculee restituee primrest = 0 : "ba hors quotient hors deficits anterieurs - Declarant 2" ;
BAHQNODEFF : calculee restituee primrest = 0 : "ba hors quotient hors deficits anterieurs - Foyer" ;
BAHQNODEFF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BAHQNODEFP : calculee restituee primrest = 1 : "ba hors quotient hors deficits anterieurs - Pac" ;
BAHQNODEFV : calculee restituee primrest = 0 : "ba hors quotient hors deficits anterieurs - Declarant 1" ;
BAHQP : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BAHQPROV : calculee primrest = 0 : "Calcul BAHQ et 4BAQ pour calcul SOMDEFBANI" ;
BAHQT : calculee restituee primrest = 1 : "ba  hors quotient total foyer sans def. ba anterieur" ;
BAHQTAVIS : calculee restituee primrest = 1 : "BA hors quotient total foyer sans def. ba anterieur" ;
BAHQTOT : calculee primrest = 0 : "ba  hors quotient total foyer" ;
BAHQV : calculee restituee primrest = 1 : "ba hors quotient vous" ;
BAHREC : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5II : "BA hors CGA - Rev. regime general ou moyenne triennale - Declarant 2 " ;
BAHREC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BAHREP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5JI : "BA hors CGA - Revenus regime general ou moyenne triennale - PAC " ;
BAHREP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BAHREV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5HI : "BA hors CGA - Regime general ou moyenne triennale - Declarant 1" ;
BAHREV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BAH_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BAIIMP : calculee restituee primrest = 1 : "Droits de bail : montant impute" ;
BAILOC98 : saisie revenu classe = 7 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 4TQ : "Loyers du 1/1 au 30/09/98 imposes a T. add./ D. bail (cess. location) " ;
BAIMP : calculee primrest = 0 : "Pour alleger _ IMPUT BA agregat du 1507" ;
BAIREST : calculee restituee primrest = 1 : "Droits de bail : montant restitution" ;
BALNP : calculee restituee primrest = 0 : "Act. non comm. non prof. : benefices" ;
BALNP_R : calculee primrest = 0 base : "act. non comm. non prof. (benefices)" ;
BAMC : calculee primrest = 0 : "ba majore conj" ;
BAMIC1C : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N-1 - Declarant 2" ;
BAMIC1P : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N-1 - Pac" ;
BAMIC1V : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N-1 - Declarant 1" ;
BAMIC2C : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N-2 - Declarant 2" ;
BAMIC2P : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N-2 - Pac" ;
BAMIC2V : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N-2 - Declarant 1" ;
BAMICABAC : calculee primrest = 0 : "BA - micro - somme abattement de 87% - Declarant 2" ;
BAMICABAP : calculee primrest = 0 : "BA - micro - somme abattement de 87% - Declarant PAC" ;
BAMICABAV : calculee primrest = 0 : "BA - micro - somme abattement de 87% - Declarant 1" ;
BAMICC : calculee restituee primrest = 1 : "BA - micro - benefice declare - Declarant 2" ;
BAMICNC : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N - Declarant 2" ;
BAMICNP : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N - Pac" ;
BAMICNV : calculee primrest = 0 : "Pour alleger _BA - micro - benefice N - Declarant 1" ;
BAMICP : calculee restituee primrest = 1 : "BA - micro - benefice declare - Declarant PAC" ;
BAMICRSC : calculee primrest = 0 : "BA - micro - revenu reel simple - Declarant 2" ;
BAMICRSP : calculee primrest = 0 : "BA - micro - revenu reel simple - Pac" ;
BAMICRSV : calculee primrest = 0 : "BA - micro - revenu reel simple - Declarant 1" ;
BAMICV : calculee restituee primrest = 1 : "BA - micro - benefice declare - Declarant 1" ;
BAMP : calculee primrest = 0 : "ba majore pac" ;
BAMV : calculee primrest = 0 : "ba majore vous" ;
BAMVC : calculee restituee primrest = 1 : "BA micro - moins values declarant 2" ;
BAMVP : calculee restituee primrest = 1 : "BA micro - moins values PAC" ;
BAMVV : calculee restituee primrest = 1 : "BA micro - moins values declarant 1" ;
BANC : calculee restituee primrest = 0 : "Benefices agricoles 'imposition normale' d'un membre du foyer" ;
BANOCGAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5IZ : "Jeunes agriculteurs - hors CGA - Abattement. 50% ou 100% - Declarant 2" ;
BANOCGAP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JZ : "Jeunes agriculteurs - hors CGA - Abattement 50% ou 100% - PAC" ;
BANOCGAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5HZ : "Jeunes agriculteurs - hors CGA - Abattement 50% ou 100% - Declarant 1" ;
BANOR : calculee restituee primrest = 0 : "Benefices agricoles taxes suivant l'imposition normale" ;
BANOR1731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
BANOR_R : calculee primrest = 0 base : "BA taxe suivant imposition normale" ;
BANP : calculee restituee primrest = 0 : "Benefices agricoles 'imposition normale' d'un membre du foyer" ;
BANV : calculee restituee primrest = 0 : "Benefices agricoles 'imposition normale' d'un membre du foyer" ;
BAPAS1 : calculee primrest = 0 : "BA PAS - Declarant 1" ;
BAPAS2 : calculee primrest = 0 : "BA PAS - Declarant 2" ;
BAPAS3 : calculee primrest = 0 : "BA PAS - PAC" ;
BAPASC : calculee primrest = 0 : "BA PAS - Declarant 2" ;
BAPASP : calculee primrest = 0 : "BA PAS - PAC" ;
BAPASV : calculee primrest = 0 : "BA PAS - Declarant 1" ;
BAPERPC : saisie revenu classe = 2 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5IM : "Jeunes agriculteurs - CGA - Abattement 50 % ou 100 % - Declarant 2" ;
BAPERPP : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JM : "Jeunes agriculteurs - CGA - Abattement 50 % ou 100 % - PAC" ;
BAPERPV : saisie revenu classe = 2 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5HM : "Jeunes agriculteurs - CGA - Abattement 50% ou 100% - Declarant 1" ;
BAQAVISC : calculee restituee primrest = 0 : "BA micro variable d affichage BAQNODEFC Declarant 2" ;
BAQAVISP : calculee restituee primrest = 1 : "BA micro variable d affichage BAQNODEFP Pac" ;
BAQAVISV : calculee restituee primrest = 0 : "BA micro variable d affichage BAQNODEFV Declarant 1" ;
BAQC : calculee restituee primrest = 1 : "ba hors quotient conj " ;
BAQCC : calculee restituee primrest = 0 : "ba quotient  avec compensation" ;
BAQCF : calculee restituee primrest = 0 : "ba quotient  avec compensation foyer" ;
BAQCP : calculee restituee primrest = 0 : "ba quotient  avec compensation" ;
BAQCV : calculee restituee primrest = 0 : "ba quotient  avec compensation" ;
BAQF : calculee restituee primrest = 0 : "ba  quotient foyer" ;
BAQNODEFC : calculee restituee primrest = 0 : "ba quotient hors deficits anterieurs - Declarant 2" ;
BAQNODEFF : calculee restituee primrest = 0 : "ba quotient hors deficits anterieurs - Foyer" ;
BAQNODEFF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BAQNODEFP : calculee restituee primrest = 0 : "ba quotient hors deficits anterieurs - Pac" ;
BAQNODEFV : calculee restituee primrest = 0 : "ba quotient hors deficits anterieurs - Declarant 1" ;
BAQP : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BAQT : calculee primrest = 0 : "ba quotient total foyer sans def. ba anterieur" ;
BAQTOT : calculee primrest = 0 : "ba  quotient total foyer" ;
BAQTOTAVIS : calculee restituee primrest = 1 : "ba  quotient total foyer avis" ;
BAQTOTAVIS_P : calculee primrest = 0 base : "Rev ba " ;
BAQV : calculee restituee primrest = 1 : "ba hors quotient vous" ;
BARAC : calculee primrest = 0 : "Benefices agricoles 'imposition normale' relevant d'un CGA" ;
BARAP : calculee primrest = 0 : "Benefices agricoles 'imposition normale' relevant d'un CGA" ;
BARAV : calculee primrest = 0 : "Benefices agricoles 'imposition normale' relevant d'un CGA" ;
BARREVAC : calculee primrest = 0 : "Benefices agricoles 'imposition normale' relevant d'un CGA" ;
BARREVAP : calculee primrest = 0 : "Benefices agricoles 'imposition normale' relevant d'un CGA" ;
BARREVAV : calculee primrest = 0 : "Benefices agricoles 'imposition normale' relevant d'un CGA" ;
BARSC : calculee primrest = 0 : "BA ne relevant pas d'un CGA" ;
BARSP : calculee primrest = 0 : "BA ne relevant pas d'un CGA" ;
BARSREVC : calculee primrest = 0 : "BA ne relevant pas d'un CGA sans deficit " ;
BARSREVP : calculee primrest = 0 : "BA ne relevant pas d'un CGA sans deficit " ;
BARSREVV : calculee primrest = 0 : "BA ne relevant pas d'un CGA sans deficit " ;
BARSV : calculee primrest = 0 : "BA ne relevant pas d'un CGA" ;
BAS7NA : calculee primrest = 0 : "Base investissements Denormandie 7NA" ;
BAS7NB : calculee primrest = 0 : "Base investissements Denormandie 7NB" ;
BAS7NC : calculee primrest = 0 : "Base investissements Denormandie 7NC" ;
BAS7ND : calculee primrest = 0 : "Base investissements Denormandie 7ND" ;
BAS7NE : calculee primrest = 0 : "Base investissements Denormandie 7NE" ;
BAS7NF : calculee primrest = 0 : "Base investissements Denormandie 7NF" ;
BAS7NG : calculee primrest = 0 : "Base investissements Denormandie 7NG" ;
BAS7NH : calculee primrest = 0 : "Base investissements Denormandie 7NH" ;
BAS7NI : calculee primrest = 0 : "Base investissements Denormandie 7NI" ;
BAS7NJ : calculee primrest = 0 : "Base investissements Denormandie 7NJ" ;
BAS7NK : calculee primrest = 0 : "Base investissements Denormandie 7NK" ;
BAS7NL : calculee primrest = 0 : "Base investissements Pinel 7NL" ;
BAS7NM : calculee primrest = 0 : "Base investissements Denormandie 7NM" ;
BAS7NN : calculee primrest = 0 : "Base investissements Denormandie 7NN" ;
BAS7PF : calculee primrest = 0 : "Base investissements Denormandie 7PF" ;
BAS7PG : calculee primrest = 0 : "Base investissements Denormandie 7PG" ;
BAS7QA : calculee primrest = 0 : "Base investissements Pinel 7QA" ;
BAS7QB : calculee primrest = 0 : "Base investissements Pinel 7QB" ;
BAS7QC : calculee primrest = 0 : "Base investissements Pinel 7QC" ;
BAS7QD : calculee primrest = 0 : "Base investissements Pinel 7QD" ;
BAS7QI : calculee primrest = 0 : "Base investissements Pinel 7QI" ;
BAS7QJ : calculee primrest = 0 : "Base investissements Pinel 7QJ" ;
BAS7QK : calculee primrest = 0 : "Base investissements Pinel 7QK" ;
BAS7QL : calculee primrest = 0 : "Base investissements Pinel 7QL" ;
BAS7QM : calculee primrest = 0 : "Base investissements Pinel 7QM" ;
BAS7QN : calculee primrest = 0 : "Base investissements Pinel 7QN" ;
BAS7QO : calculee primrest = 0 : "Base investissements Pinel 7QO" ;
BAS7QP : calculee primrest = 0 : "Base investissements Pinel 7QP" ;
BAS7QQ : calculee primrest = 0 : "Base investissements Pinel 7QQ" ;
BAS7QW : calculee primrest = 0 : "Base investissements Duflot 7QW" ;
BAS7QX : calculee primrest = 0 : "Base investissements Duflot 7QX" ;
BAS7QY : calculee primrest = 0 : "Base investissements Duflot 7QY" ;
BAS7RP : calculee primrest = 0 : "Base investissements Pinel 7RP" ;
BAS7RQ : calculee primrest = 0 : "Base investissements Pinel 7RQ" ;
BAS7RX : calculee primrest = 0 : "Base investissements Pinel 7RX" ;
BAS7RY : calculee primrest = 0 : "Base investissements Pinel 7RY" ;
BASACDEC1PS : calculee primrest = 0 : "Base acompte PS dec1" ;
BASACDEC2PS : calculee primrest = 0 : "Base acompte PS dec2" ;
BASACOMPENIR : calculee restituee primrest = 1 : "Base sanction acompte IR" ;
BASACOMPENPS : calculee restituee primrest = 1 : "Base sanction acompte PS" ;
BASE7UN : calculee primrest = 0 : "Plaf-av-fisco : base reduc impot invt forestier retenue lim 2014" ;
BASE7UTF : calculee primrest = 0 : "Plaf-av-fisco : base reduction d impot invt forestier retenue lim 2010" ;
BASE7UWI : calculee primrest = 0 : "Plaf-av-fisco : base reduc impot invt forestier retenue lim 2013 " ;
BASEDONB : calculee primrest = 0 : "Base reduction autre dons etape" ;
BASEDONF : calculee primrest = 0 : "Base reduction autre dons etape " ;
BASEDONP : calculee primrest = 0 : "Base reduction autre dons etape " ;
BASEXOGEN : calculee restituee primrest = 1 : "Base exoneration faibles revenus" ;
BASRET : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8YO : "Base imposable IR avant retour en France" type REEL ;
BASSURC : calculee restituee primrest = 1 : "base calculee taxe agents assurance Cjt" ;
BASSURC1 : calculee primrest = 0 : "base calculee taxe agents assurance conjoint" ;
BASSURC2 : calculee primrest = 0 : "base calculee taxe agents assurance conjoint" ;
BASSURC3 : calculee primrest = 0 : "base calculee taxe agents assurance conjoint 3eme limite" ;
BASSURV : calculee restituee primrest = 1 : "base calculee taxe agents assurance vous" ;
BASSURV1 : calculee primrest = 0 : "base calculee taxe agents assurance vous" ;
BASSURV2 : calculee primrest = 0 : "base calculee taxe agents assurance vous" ;
BASSURV3 : calculee primrest = 0 : "base calculee taxe agents assurance vous 3eme limite" ;
BATAUXF : calculee restituee primrest = 0 : "BA total foyer PAS" ;
BATMARGC : calculee primrest = 0 base : "BA tx marginal conjoint" ;
BATMARGTOT : calculee restituee primrest = 1 base : "BA tx marginal vous + conjoint" ;
BATMARGV : calculee primrest = 0 base : "BA tx marginal vous" ;
BCDIS : calculee restituee primrest = 1 : "Base contribution sociale salariale" ;
BCELGS1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELGU1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELHA1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELHD1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELHF1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSE1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSF1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSG1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSH1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSI1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSJ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSK1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELSM1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELWT1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELWU1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELWV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELWW1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELWX1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELWZ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYB1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYD1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYF1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYH1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYM1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYN1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYO1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYP1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYT1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYU1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYW1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYX1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYY1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELYZ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELZA1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELZB1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCELZV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BCHRPVIMP : calculee restituee primrest = 0 : "Base CHR PV art 150 0 B ter" ;
BCICAP : calculee restituee primrest = 1 : "Credit sur prelevement liberatoire 7,5% base" ;
BCICAPAVIS : calculee restituee primrest = 1 : "Credit sur prelevement liberatoire 7,5% base" ;
BCICHR : calculee primrest = 0 base : "Impot Hauts Revenus credit impot" ;
BCICHR3WH : calculee primrest = 0 base : "Impot Hauts Revenus credit impot" ;
BCIDONENTR : calculee restituee primrest = 0 : "base limitee du Credit d'impot dons oeuvres entreprises" ;
BCIFORET : calculee restituee primrest = 1 : "Depenses CI Foret" ;
BCIFORETTA : calculee primrest = 0 : "Depenses CI Foret 7TA" ;
BCIFORETTB : calculee primrest = 0 : "Depenses CI Foret 7TB" ;
BCIFORETTE : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETTF : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETTJ : calculee primrest = 0 : "Depenses CI Foret 7TJ" ;
BCIFORETTK : calculee primrest = 0 : "Depenses CI Foret 7TK" ;
BCIFORETTM : calculee primrest = 0 : "Depenses CI Foret 7TM" ;
BCIFORETTO : calculee primrest = 0 : "Depenses CI Foret 7TO" ;
BCIFORETTP : calculee primrest = 0 : "Depenses CI Foret 7TP" ;
BCIFORETTQ : calculee primrest = 0 : "Depenses CI Foret 7TQ" ;
BCIFORETTR : calculee primrest = 0 : " CI Foret - Base retenue pour 7TR" ;
BCIFORETTS : calculee primrest = 0 : " CI Foret - Base retenue pour 7TS" ;
BCIFORETTT : calculee primrest = 0 : " CI Foret - Base retenue pour 7TT" ;
BCIFORETTU : calculee primrest = 0 : " CI Foret - Base retenue pour 7TU" ;
BCIFORETTV : calculee primrest = 0 : "Depenses CI Foret 7TV" ;
BCIFORETTW : calculee primrest = 0 : "Depenses CI Foret 7TW" ;
BCIFORETUA : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETUB : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETUI : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETUP : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETUQ : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETUT : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETVH : calculee primrest = 0 : "Depenses CI Foret 7VH" ;
BCIFORETVI : calculee primrest = 0 : "Depenses CI Foret 7VI" ;
BCIFORETVJ : calculee primrest = 0 : " CI Foret - Base retenue pour 7VJ" ;
BCIFORETVK : calculee primrest = 0 : " CI Foret - Base retenue pour 7VK" ;
BCIFORETVL : calculee primrest = 0 : " CI Foret - Base retenue pour 7VL" ;
BCIFORETVM : calculee primrest = 0 : "Depenses CI Foret 7VM" ;
BCIFORETVN : calculee primrest = 0 : "Depenses CI Foret 7VN" ;
BCIFORETVQ : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETVR : calculee primrest = 0 : "Depenses CI Foret" ;
BCIFORETVS : calculee primrest = 0 : " CI Foret - Base retenue pour 7VS" ;
BCIHABPRIN : calculee restituee primrest = 1 : "base limitee du Credit d'impot habitation principale retenue" ;
BCIHABPRIN1 : calculee restituee primrest = 0 : "base limitee du Credit d'impot habitation principale 1 ere lim" ;
BCIHABPRIN5 : calculee restituee primrest = 0 : "base limitee du Credit d'impot habitation principale 5eme limite" ;
BCIHABPRIN6 : calculee restituee primrest = 0 : "base limitee du Credit d'impot habitation principale 6eme limite" ;
BCIHABPRIN7 : calculee restituee primrest = 0 : "base limitee du Credit d'impot habitation principale 7eme limite" ;
BCIHP : calculee primrest = 0 : "base limitee du Credit d'impot habitation principale plafonnee" ;
BCIVHELEC : calculee restituee primrest = 1 : "Base retenue vehicules electriques" ;
BCOS : calculee primrest = 0 : "Base reduction cotisations syndicales" ;
BCSG : calculee restituee primrest = 1 : "Base CSG" ;
BCSG820 : calculee restituee primrest = 1 : "Base CSG 8.2 %" ;
BCSGNORURV : calculee restituee primrest = 0 : "Base CSG sans 8RU ni 8RV pour ano 810" ;
BCVNSAL : calculee restituee primrest = 1 : "Base cont. salariale 10%" ;
BDCIFORET : calculee restituee primrest = 1 : "Depenses CI Foret declare" ;
BDCIVHELEC : calculee restituee primrest = 1 : "Base declaree veh electriques" ;
BDCSG : calculee restituee primrest = 1 : "Base deductible CSG" ;
BDCSG3VAVB : calculee restituee primrest = 0 : "Base deductible CSG si 3VA et ou 3VB" ;
BDCSGNORUYT : calculee primrest = 0 : "Base CSG ded sans 8RU pour ano 814" ;
BDIFAGRI : calculee restituee primrest = 0 : "Base reduction differe paiement agriculteurs" ;
BDIFAGRI1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
BDIFAGRI_P : calculee primrest = 0 base : "RI evt avant" ;
BDON7UH : calculee primrest = 0 : "Base limitee reduction dons aux oeuvres code 7UH" ;
BDRSE1 : calculee restituee primrest = 0 : "Base deductible RSE1" ;
BDRSE2 : calculee restituee primrest = 0 : "Base deductible RSE2" ;
BDRSE3 : calculee restituee primrest = 0 : "Base deductible RSE3" ;
BDRSE4 : calculee restituee primrest = 0 : "Base deductible RSE4" ;
BDRSE5 : calculee restituee primrest = 0 : "Base deductible RSE5" ;
BDRSE8 : calculee restituee primrest = 0 : "Base deductible RSE8" ;
BFCPI : calculee restituee primrest = 1 : "Base reduction Souscrip Parts Fonds Communs Plac Innovation" ;
BFCPI1731 : calculee restituee primrest = 0 base : "BFCPI retenu  a la fin 1er traitement si 1731bis" ;
BFCPIGQ : calculee primrest = 0 : "Base reduction Souscrip Parts Fonds Communs Plac Innovation 7GQ" ;
BFCPIGR : calculee primrest = 0 : "Base reduction Souscrip Parts Fonds Communs Plac Innovation 7GR" ;
BFCPIP2 : calculee restituee primrest = 0 base : "BFCPI retenu  a la fin 1er traitement si 1731bis" ;
BFCPI_1 : calculee primrest = 0 : "pour alleger prog Base reduc. Souscrip Parts Fonds Communs Plac Innov." ;
BFCPI_P : calculee primrest = 0 base : "Base reduction Souscrip Parts Fonds Communs Plac Innovation" ;
BGEDECL : calculee restituee primrest = 1 : "base gros equipements declaree" ;
BGEPAHA : calculee restituee primrest = 1 : "base gros equipements pers. agee handicapee" ;
BGLOA : calculee restituee primrest = 1 : "Base 1TT et 1UT" ;
BGLOACNR : calculee restituee primrest = 1 : "Base 1TT et 1UT colonne 4 avis pour residents et non residents" ;
BGTECH : calculee restituee primrest = 1 : "Base travaux preventions risques technologiques" ;
BHAUTREV : calculee restituee primrest = 0 : "Base hauts revenus" ;
BHAUTREV3WH : calculee primrest = 0 : "Base hauts revenus avec 3WH" ;
BI1 : calculee primrest = 0 : "BIC sur plus-values a 16%" ;
BI12AC : calculee primrest = 0 : "BIC revenu pv prof et non prof a16% conjoint" ;
BI12AP : calculee primrest = 0 : "BIC revenu pv prof et non prof a16% PAC" ;
BI12AV : calculee primrest = 0 : "BIC revenu pv prof et non prof a16% vous" ;
BI12F : calculee primrest = 0 : "BIC non pro nets d abattement CGA total" ;
BI1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5LE : "BIC professionnels - Plus-values a 12,8 %  - Declarant 2 " ;
BI1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ME : "BIC professionnels - Plus-values a 12,8 % - PAC " ;
BI1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5KE : "BIC professionnels - Plus-values a 12,8 %  - Declarant 1 " ;
BI1C : calculee primrest = 0 : "BIC imposable a taux proportionnel a 16% pour chaque membre du foyer" ;
BI1P : calculee primrest = 0 : "BIC imposable a taux proportionnel a 16% pour chaque membre du foyer" ;
BI1V : calculee primrest = 0 : "BIC imposable a taux proportionnel a 16% pour chaque membre du foyer" ;
BI2 : calculee primrest = 0 : "plus-values non professionnelles" ;
BI2AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5OE : "BIC non professionnels - Plus-values a 12,8 % - Declarant 2 " ;
BI2AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5PE : "BIC non professionnels - Plus-values a 12,8 % - PAC " ;
BI2AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5NE : "BIC non professionnels - Plus-values a 12,8 % - Declarant 1 " ;
BI2C : calculee primrest = 0 : "plus-values non professionnelles nettes CGA - Cjt" ;
BI2P : calculee primrest = 0 : "plus-values non professionnelles nettes CGA - PAC" ;
BI2V : calculee primrest = 0 : "plus-values non professionnelles nettes CGA - Vous" ;
BICASSC : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (dec2)" ;
BICASSCN : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (dec2)" ;
BICASSF : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (foyer)" ;
BICASSP : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (Pac)" ;
BICASSPN : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (Pac)" ;
BICASSV : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (dec1)" ;
BICASSVN : calculee primrest = 0 : "BIC - Assiette agregee des acomptes  PAS (dec1)" ;
BICDEC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5OF : "BIC non prof. sous CGA - Regime normal - Deficit - Declarant 2 " ;
BICDEP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5PF : "BIC non professionnels sous CGA - Regime normal - Deficit - PAC " ;
BICDEV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5NF : "BIC non prof. sous CGA - Regime normal - Deficit - Declarant 1 " ;
BICDNC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5LF : "BIC professionnels sous CGA - Regime normal - Deficits - Declarant 2 " ;
BICDNP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5MF : "BIC professionnels sous CGA - Regime normal - Deficits - PAC " ;
BICDNV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5KF : "BIC professionnels sous CGA - Regime normal - Deficits - Declarant 1 " ;
BICEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5LB : "BIC professionnels sous CGA - Revenus exoneres - Declarant 2 " ;
BICEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5MB : "BIC professionnels sous CGA - Revenus exoneres - PAC " ;
BICEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5KB : "BIC professionnels sous CGA - Revenus exoneres - Declarant 1 " ;
BICHDEC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5OL : "BIC non prof. hors CGA - Regime normal - Deficits - Declarant 2 " ;
BICHDEP : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5PL : "BIC non professionnels hors CGA - Regime normal - Deficit - PAC " ;
BICHDEV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5NL : "BIC non prof. hors CGA - Regime normal - Deficits - Declarant 1 " ;
BICHQC : calculee primrest = 0 : "BIC non pro hors quotient net imposable (dec2)" ;
BICHQF : calculee restituee primrest = 0 : "BIC non pro hors quotient net imposable (foyer)" ;
BICHQP : calculee primrest = 0 : "BIC non pro hors quotient net imposable (Pac)" ;
BICHQV : calculee primrest = 0 : "BIC non pro hors quotient net imposable (dec1)" ;
BICHREC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5OI : "BIC non professionnels hors CGA -  Regime normal - Declarant 2 " ;
BICHREC_P : calculee primrest = 0 base : "bic def pour 1731" ;
BICHREP : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5PI : "BIC non professionnels hors CGA - Regime normal - PAC " ;
BICHREP_P : calculee primrest = 0 base : "bic def pour 1731" ;
BICHREV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5NI : "BIC non professionnels hors CGA - Regime normal - Declarant 1 " ;
BICHREV_P : calculee primrest = 0 base : "bic def pour 1731" ;
BICIFBIS : calculee restituee primrest = 0 : "AVIS99:REVENUS NETS DU FOYER IMPOSABLES" ;
BICIFBIS1731 : calculee restituee primrest = 0 base : "AVIS99:REVENUS NETS DU FOYER IMPOSABLES" ;
BICIFBISQ : calculee restituee primrest = 0 : "AVIS99:REVENUS NON COMM NON PROF NETS DU FOYER IMPOSABLES QUOTIENT" ;
BICIMPC : calculee primrest = 0 : "BIC imposable au taux progressif pour chaque membre du foyer" ;
BICIMPP : calculee primrest = 0 : "BIC imposable au taux progressif pour chaque membre du foyer" ;
BICIMPV : calculee primrest = 0 : "BIC imposable au taux progressif pour chaque membre du foyer" ;
BICNOC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5LC : "BIC professionnels sous CGA - Regime normal - Benefices - Declarant 2 " ;
BICNOP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5MC : "BIC professionnels sous CGA - Regime normal - Benefices - PAC " ;
BICNOV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5KC : "BIC professionnels sous CGA - Regime normal - Benefices - Declarant 1 " ;
BICNP : calculee primrest = 0 : "Revenus indust. commerc. nets - Personnes a charge" ;
BICNPASSC : calculee primrest = 0 : "BIC non pro - Assiette des acomptes PAS (dec2)" ;
BICNPASSCN : calculee primrest = 0 : "BIC non pro - Assiette des acomptes PAS (dec2)" ;
BICNPASSP : calculee primrest = 0 : "BIC non pro - Assiette des acomptes PAS (Pac)" ;
BICNPASSPN : calculee primrest = 0 : "BIC non pro - Assiette des acomptes PAS (Pac)" ;
BICNPASSV : calculee primrest = 0 : "BIC non pro - Assiette des acomptes PAS (dec1)" ;
BICNPASSVN : calculee primrest = 0 : "BIC non pro - Assiette des acomptes PAS (dec1)" ;
BICNPC : calculee primrest = 0 : "Montant net imposable BIC non pro" ;
BICNPDIBIS : calculee primrest = 0 : "BIC non pro - Deficit pour le calcul de BICNPDPROBIS" ;
BICNPDPROBIS : calculee primrest = 0 : "BIC non pro - Prorata pour le calcul de DEFNIBICQ" ;
BICNPEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5OB : "BIC non professionnels sous CGA - Revenus exoneres - Declarant 2 " ;
BICNPEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5PB : "BIC non professionnels sous CGA - Revenus exoneres - PAC " ;
BICNPEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5NB : "BIC non professionnels sous CGA - Revenus exoneres - Declarant 1 " ;
BICNPF : calculee restituee primrest = 1 : "BIC non professionnel net imposable du foyer" ;
BICNPF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BICNPFBIS : calculee primrest = 0 base : "BIC non pro - Variable pour calcul de DEFBICNPF" ;
BICNPFP2 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BICNPF_P : calculee primrest = 0 base : "Rev bic" ;
BICNPF_R : calculee primrest = 0 base : "BIC non professionnels imposables foyer (ref)" ;
BICNPHEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5OH : "BIC non professionnels hors CGA - Revenus exoneres - Declarant 2 " ;
BICNPHEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5PH : "BIC non professionnels hors CGA - Revenus exoneres - PAC " ;
BICNPHEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5NH : "BIC non professionnels hors CGA - Revenus exoneres - Declarant 1 " ;
BICNPOCC : calculee restituee primrest = 1 : "BIC non pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICNPOCF : calculee restituee primrest = 0 : "BIC non pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICNPOCF1731 : calculee restituee primrest = 0 base : "Somme BIC hors quotient " ;
BICNPOCP : calculee restituee primrest = 1 : "BIC non pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICNPOCV : calculee restituee primrest = 1 : "BIC non pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICNPOF : calculee restituee primrest = 0 : "BIC non pro - Montant des revenus ordinaires nets imposables du foyer" ;
BICNPONCC : calculee primrest = 0 : "BIC non pro - Revenu ordinaire net imposable (micro+reel)" ;
BICNPONCP : calculee primrest = 0 : "BIC non pro - Revenu ordinaire net imposable (micro+reel)" ;
BICNPONCV : calculee primrest = 0 : "BIC non pro - Revenu ordinaire net imposable (micro+reel)" ;
BICNPOTAFF : calculee restituee primrest = 1 : "BIC non pro - Montant total net imposable ordinaire apres deficit" ;
BICNPOTF : calculee restituee primrest = 1 : "BIC non pro - Montant total net imposable ordinaire apres deficit" ;
BICNPP : calculee primrest = 0 : "Montant net imposable BIC non pro" ;
BICNPQCC : calculee restituee primrest = 1 : "BIC non pro - Revenu au quotient net imposable (reel) compense" ;
BICNPQCF : calculee restituee primrest = 0 : "BIC non pro - Revenu au quotient net imposable (reel) compense" ;
BICNPQCF1731 : calculee restituee primrest = 0 base : "Somme BIC  quotient " ;
BICNPQCP : calculee restituee primrest = 1 : "BIC non pro - Revenu au quotient net imposable (reel) compense" ;
BICNPQCV : calculee restituee primrest = 1 : "BIC non pro - Revenu au quotient net imposable (reel) compense" ;
BICNPQF : calculee primrest = 0 : "BIC non pro - Montant des revenus au quotient nets imposables du foyer" ;
BICNPQNCC : calculee primrest = 0 : "BIC non pro - Revenu au quotient net imposable (reel)" ;
BICNPQNCP : calculee primrest = 0 : "BIC non pro - Revenu au quotient net imposable (reel)" ;
BICNPQNCV : calculee primrest = 0 : "BIC non pro - Revenu au quotient net imposable (reel)" ;
BICNPQTF : calculee restituee primrest = 1 : "BIC non pro - Montant total net imposable au quotient apres deficit" ;
BICNPR : calculee primrest = 0 : "BIC non professionnel net imposable" ;
BICNPR1C : calculee primrest = 0 : "BIC non pro - Revenu sous CGA" ;
BICNPR1P : calculee primrest = 0 : "BIC non pro - Revenu sous CGA" ;
BICNPR1V : calculee primrest = 0 : "BIC non pro - Revenu sous CGA" ;
BICNPR2C : calculee primrest = 0 : "BIC non pro - Revenu hors CGA" ;
BICNPR2P : calculee primrest = 0 : "BIC non pro - Revenu hors CGA" ;
BICNPR2V : calculee primrest = 0 : "BIC non pro - Revenu hors CGA" ;
BICNPRBIS : calculee primrest = 0 : "BIC non pro - Variable pour calcul de DEFBICNPF" ;
BICNPREPN : calculee primrest = 0 : "BIC non pro - Montant des reports au titre de l'annee en cours" ;
BICNPREPN1 : calculee primrest = 0 : "BIC non pro - Montant total des reports N pour N+1" ;
BICNPROTAUX : calculee restituee primrest = 1 : "BIC non pro total foyer PAS" ;
BICNPTC : calculee primrest = 0 : "BIC non pro - Somme des differents revenus percus" ;
BICNPTF : calculee primrest = 0 : "BIC non pro - Somme des differents revenus percus" ;
BICNPTP : calculee primrest = 0 : "BIC non pro - Somme des differents revenus percus" ;
BICNPTV : calculee primrest = 0 : "BIC non pro - Somme des differents revenus percus" ;
BICNPV : calculee primrest = 0 : "Montant net imposable BIC non pro" ;
BICPAS1 : calculee primrest = 0 : "BIC PAS - Declarant 1" ;
BICPAS2 : calculee primrest = 0 : "BIC PAS - Declarant 2" ;
BICPAS3 : calculee primrest = 0 : "BIC PAS - PAC" ;
BICPASC : calculee primrest = 0 : "BIC PAS - Declarant 2" ;
BICPASCLNP : calculee primrest = 0 : "BIC loc non pro PAS - Declarant 2" ;
BICPASCNP : calculee primrest = 0 : "BIC non pro PAS - Declarant 2" ;
BICPASCP : calculee primrest = 0 : "BIC pro PAS - Declarant 2" ;
BICPASP : calculee primrest = 0 : "BIC PAS - PAC" ;
BICPASPLNP : calculee primrest = 0 : "BIC loc non pro PAS - PAC" ;
BICPASPNP : calculee primrest = 0 : "BIC non pro PAS - PAC" ;
BICPASPP : calculee primrest = 0 : "BIC pro PAS - PAC" ;
BICPASV : calculee primrest = 0 : "BIC PAS - Declarant 1" ;
BICPASVLNP : calculee primrest = 0 : "BIC loc non pro PAS - Declarant 1" ;
BICPASVNP : calculee primrest = 0 : "BIC non pro PAS - Declarant 1" ;
BICPASVP : calculee primrest = 0 : "BIC pro PAS - Declarant 1" ;
BICPF : calculee primrest = 0 : "BIC pro imposables du foyer" ;
BICPMVCTC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5LJ : "BIC prof. regime micro - Moins-values a court terme - Declarant 2 " ;
BICPMVCTP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5MJ : "BIC professionnels regime micro - Moins-values a court terme - PAC " ;
BICPMVCTV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5KJ : "BIC prof. regime micro - Moins-values a court terme - Declarant 1 " ;
BICPROASSC : calculee primrest = 0 : "BIC pro - Assiette des acomptes  PAS (dec2)" ;
BICPROASSCN : calculee primrest = 0 : "BIC pro - Assiette des acomptes  PAS (dec2)" ;
BICPROASSP : calculee primrest = 0 : "BIC pro - Assiette des acomptes  PAS (Pac)" ;
BICPROASSPN : calculee primrest = 0 : "BIC pro - Assiette des acomptes  PAS (Pac)" ;
BICPROASSV : calculee primrest = 0 : "BIC pro - Assiette des acomptes  PAS (dec1)" ;
BICPROASSVN : calculee primrest = 0 : "BIC pro - Assiette des acomptes  PAS (dec1)" ;
BICPROHMF : calculee primrest = 0 : "BIC pro - Total des revenus ordinaires et exceptionnels hors micro" ;
BICPROOCC : calculee restituee primrest = 1 : "BIC pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICPROOCF : calculee primrest = 0 : "BIC pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICPROOCP : calculee restituee primrest = 1 : "BIC pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICPROOCV : calculee restituee primrest = 1 : "BIC pro - Revenu ordinaire net imposable (micro+reel) compense" ;
BICPROOF : calculee restituee primrest = 1 : "BIC pro - Montant des revenus ordinaires nets imposables du foyer" ;
BICPROOF1731 : calculee restituee primrest = 0 base : "Somme BIC  quotient " ;
BICPROONCC : calculee primrest = 0 : "BIC pro - Revenu ordinaire net imposable (micro+reel)" ;
BICPROONCP : calculee primrest = 0 : "BIC pro - Revenu ordinaire net imposable (micro+reel)" ;
BICPROONCV : calculee primrest = 0 : "BIC pro - Revenu ordinaire net imposable (micro+reel)" ;
BICPROQCC : calculee restituee primrest = 1 : "BIC pro - Revenu au quotient net imposable (reel) compense" ;
BICPROQCF : calculee primrest = 0 : "BIC pro - Revenu au quotient net imposable (reel) compense" ;
BICPROQCP : calculee restituee primrest = 1 : "BIC pro - Revenu au quotient net imposable (reel) compense" ;
BICPROQCV : calculee restituee primrest = 1 : "BIC pro - Revenu au quotient net imposable (reel) compense" ;
BICPROQF : calculee restituee primrest = 1 : "BIC pro - Montant des revenus au quotient nets imposables du foyer" ;
BICPROQF1731 : calculee restituee primrest = 0 base : "Somme BIC  quotient " ;
BICPROQNCC : calculee primrest = 0 : "BIC pro - Revenu au quotient net imposable (reel)" ;
BICPROQNCP : calculee primrest = 0 : "BIC pro - Revenu au quotient net imposable (reel)" ;
BICPROQNCV : calculee primrest = 0 : "BIC pro - Revenu au quotient net imposable (reel)" ;
BICPROTAUX : calculee restituee primrest = 1 : "BIC pro total foyer PAS" ;
BICQC : calculee primrest = 0 : "BIC non pro au quotient net imposable (dec2)" ;
BICQP : calculee primrest = 0 : "BIC non pro au quotient net imposable (Pac)" ;
BICQV : calculee primrest = 0 : "BIC non pro au quotient net imposable (dec1)" ;
BICREC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5OC : "BIC non prof. sous CGA - Regime normal - Benefice - Declarant 2 " ;
BICREC_P : calculee primrest = 0 base : "bic def pour 1731" ;
BICREP : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5PC : "BIC non professionnels sous CGA - Regime normal - Benefices - PAC " ;
BICREP_P : calculee primrest = 0 base : "bic def pour 1731" ;
BICREV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5NC : "BIC non prof. sous CGA - Regime normal - Benefice - Declarant 1 " ;
BICREV_P : calculee primrest = 0 base : "bic def pour 1731" ;
BICTAUXF : calculee restituee primrest = 0 : "BIC total foyer PAS" ;
BIDON : calculee primrest = 0 : "variable bidon pour test" ;
BIDON1731 : calculee restituee primrest = 0 base : "apres art 1731 pour eviter crash corindef.c" ;
BIDONP2 : calculee restituee primrest = 0 base : "apres art 1731 pour eviter crash corindef.c" ;
BIDONUNDEF : calculee primrest = 0 : "variable bidon pour test" ;
BIGREST : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YJ : "Restitution >= 10 000 E non validee par le RDC et taxee a la 4eme IR " type REEL ;
BIHDNC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5LL : "BIC professionnels hors CGA - Regime normal - Deficits - Declarant 2 " ;
BIHDNP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5ML : "BIC professionnels hors CGA - Regime normal - Deficits - PAC " ;
BIHDNV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5KL : "BIC professionnels hors CGA - Regime normal - Deficits - Declarant 1 " ;
BIHEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5LH : "BIC professionnels hors CGA - Revenus exoneres - Declarant 2 " ;
BIHEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5MH : "BIC professionnels hors CGA - Revenus exoneres - PAC " ;
BIHEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5KH : "BIC professionnels hors CGA - Revenus exoneres - Declarant 1 " ;
BIHNOC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5LI : "BIC professionnels hors CGA - Regime normal - Declarant 2 " ;
BIHNOP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5MI : "BIC professionnels hors CGA - Regime normal - PAC " ;
BIHNOV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5KI : "BIC professionnels hors CGA - Regime normal - Declarant 1 " ;
BIHTAC : calculee primrest = 0 : "BIC pro hors CGA - Total des revenus ordinaires" ;
BIHTAP : calculee primrest = 0 : "BIC pro hors CGA - Total des revenus ordinaires" ;
BIHTAQC : calculee primrest = 0 : "BIC pro hors CGA - Total des revenus exceptionnels" ;
BIHTAQP : calculee primrest = 0 : "BIC pro hors CGA - Total des revenus exceptionnels" ;
BIHTAQV : calculee primrest = 0 : "BIC pro hors CGA - Total des revenus exceptionnels" ;
BIHTAV : calculee primrest = 0 : "BIC pro hors CGA - Total des revenus ordinaires" ;
BILMIA : calculee primrest = 0 : "Base loc. meub. non pro. - 7IA" ;
BILMIA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMIB : calculee primrest = 0 : "Base loc. meub. non pro. - 7IB" ;
BILMIC : calculee primrest = 0 : "Base loc. meub. non pro. - 7IC" ;
BILMIC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMJV : calculee primrest = 0 : "Base loc. meub. non pro. - 7JV" ;
BILMJV1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMJW : calculee primrest = 0 : "Base loc. meub. non pro. - 7JW" ;
BILMJW1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMJX : calculee primrest = 0 : "Base loc. meub. non pro. - 7JX" ;
BILMJX1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMJY : calculee primrest = 0 : "Base loc. meub. non pro. - 7JY" ;
BILMJY1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOE1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOF : calculee primrest = 0 : "Base loc. meub. non pro. - 7OF" ;
BILMOF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOG : calculee primrest = 0 : "Base loc. meub. non pro. - 7OG" ;
BILMOG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOH : calculee primrest = 0 : "Base loc. meub. non pro. - 7OH" ;
BILMOI : calculee primrest = 0 : "Base loc. meub. non pro. - 7OI" ;
BILMOI1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOJ : calculee primrest = 0 : "Base loc. meub. non pro. - 7OJ" ;
BILMOJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOK : calculee primrest = 0 : "Base loc. meub. non pro. - 7OK" ;
BILMOK1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOL : calculee primrest = 0 : "Base loc. meub. non pro. - 7OL" ;
BILMOL1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOM : calculee primrest = 0 : "Base loc. meub. non pro. - 7OM" ;
BILMOM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMON : calculee primrest = 0 : "Base loc. meub. non pro. - 7ON" ;
BILMON1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOO : calculee primrest = 0 : "Base loc. meub. non pro. - 7OO" ;
BILMOO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOP : calculee primrest = 0 : "Base loc. meub. non pro. - 7OP" ;
BILMOP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOQ : calculee primrest = 0 : "Base loc. meub. non pro. - 7OQ" ;
BILMOQ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOR : calculee primrest = 0 : "Base loc. meub. non pro. - 7OR" ;
BILMOR1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOS : calculee primrest = 0 : "Base loc. meub. non pro. - 7OS" ;
BILMOS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMOT : calculee primrest = 0 : "Base loc. meub. non pro. - 7OT" ;
BILMOT1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMSA : calculee primrest = 0 : "Base loc. meub. non pro. - 7SA" ;
BILMSA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMSB : calculee primrest = 0 : "Base loc. meub. non pro. - 7SB" ;
BILMSB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMSC : calculee primrest = 0 : "Base loc. meub. non pro. - 7SC" ;
BILMSC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMSM : calculee primrest = 0 : "Base loc. meub. non pro. - 7SM" ;
BILMSN : calculee primrest = 0 : "Base loc. meub. non pro. - 7SN" ;
BILMSN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMSO : calculee primrest = 0 : "Base loc. meub. non pro. - 7SO" ;
BILMSO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BILMSP : calculee primrest = 0 : "Base loc. meub. non pro. - 7SP" ;
BILMSS : calculee primrest = 0 : "Base loc. meub. non pro. - 7SS" ;
BIN : calculee restituee primrest = 0 : "BIC a taux progressif" ;
BINC : calculee restituee primrest = 1 : "avis ir:revenu indust commerc non prof   CJT" ;
BINHTAC : calculee primrest = 0 : "BIC non pro hors CGA - Total revenu ordinaire net" ;
BINHTAP : calculee primrest = 0 : "BIC non pro hors CGA - Total revenu ordinaire net" ;
BINHTAQC : calculee primrest = 0 : "BIC non pro hors CGA - Total revenu exceptionnel net" ;
BINHTAQP : calculee primrest = 0 : "BIC non pro hors CGA - Total revenu exceptionnel net" ;
BINHTAQV : calculee primrest = 0 : "BIC non pro hors CGA - Total revenu exceptionnel net" ;
BINHTAV : calculee primrest = 0 : "BIC non pro hors CGA - Total revenu ordinaire net" ;
BINNC : calculee restituee primrest = 1 : "avis ir: Bic non prof net          CJT" ;
BINNP : calculee restituee primrest = 1 : "avis ir : Bic non prof net          PAC" ;
BINNV : calculee restituee primrest = 1 : "Avis ir:Bic non prof net  VOUS" ;
BINP : calculee restituee primrest = 1 : "avis ir:revenu indust commerc non prof   PAC" ;
BINPROV : calculee primrest = 0 : "BIC pour calcul RNIDF" ;
BINRIR : calculee primrest = 0 : "Calcul INR : Base IR pour prorata 9YI" ;
BINRPS : calculee primrest = 0 : "Calcul INR : Base PS pour prorata 9YP" ;
BINTAC : calculee primrest = 0 : "BIC non pro sous CGA - Total revenu ordinaire net" ;
BINTAP : calculee primrest = 0 : "BIC non pro sous CGA - Total revenu ordinaire net" ;
BINTAQC : calculee primrest = 0 : "BIC non pro sous CGA - Total revenu exceptionnel net" ;
BINTAQP : calculee primrest = 0 : "BIC non pro sous CGA - Total revenu exceptionnel net" ;
BINTAQV : calculee primrest = 0 : "BIC non pro sous CGA - Total revenu exceptionnel net" ;
BINTAV : calculee primrest = 0 : "BIC non pro sous CGA - Total revenu ordinaire net" ;
BINTTAC : calculee primrest = 0 : "revenu non professionnel BIC cjt total" ;
BINTTAP : calculee primrest = 0 : "revenu non professionnel BIC PAC total" ;
BINTTAV : calculee primrest = 0 : "revenu non professionnel BIC vous total" ;
BINV : calculee restituee primrest = 1 : "avis ir:revenu indust commerc non prof   VOUS" ;
BIN_P : calculee primrest = 0 base : "Correctif: ipour 1731" ;
BIOIMP : calculee restituee primrest = 1 : "Agriculture biologique : montant impute" ;
BIOREST : calculee restituee primrest = 1 : "Agriculture biologique : montant restitution" ;
BIPC : calculee restituee primrest = 1 : "avis ir: Revenus indust. commerc. profess  CJT" ;
BIPN : calculee restituee primrest = 1 : "BIC pro hors quotient imposable foyer" ;
BIPNC : calculee restituee primrest = 1 : "BIC pro hors quotient imposable - dec 2" ;
BIPNP : calculee restituee primrest = 1 : "BIC pro hors quotient imposable - PAC" ;
BIPNQ : calculee restituee primrest = 0 : "BIC pro quotient imposable foyer" ;
BIPNQC : calculee restituee primrest = 0 : "BIC pro quotient imposable - dec 2" ;
BIPNQP : calculee restituee primrest = 0 : "BIC pro quotient imposable - PAC" ;
BIPNQV : calculee restituee primrest = 0 : "BIC pro quotient imposable - dec 1" ;
BIPNV : calculee restituee primrest = 1 : "BIC pro hors quotient imposable - dec 1" ;
BIPP : calculee restituee primrest = 1 : "avis ir: Revenus indust. commerc. profess  PAC" ;
BIPTAC : calculee primrest = 0 : "BIC pro sous CGA - Total revenu ordinaire net" ;
BIPTAP : calculee primrest = 0 : "BIC pro sous CGA - Total revenu ordinaire net" ;
BIPTAQC : calculee primrest = 0 : "BIC pro sous CGA - Total revenu exceptionnel net" ;
BIPTAQP : calculee primrest = 0 : "BIC pro sous CGA - Total revenu exceptionnel net" ;
BIPTAQV : calculee primrest = 0 : "BIC pro sous CGA - Total revenu exceptionnel net" ;
BIPTAV : calculee primrest = 0 : "BIC pro sous CGA - Total revenu ordinaire net" ;
BIPTTAC : calculee primrest = 0 : "revenu professionnel BIC  cjt total" ;
BIPTTAP : calculee primrest = 0 : "revenu professionnel BIC PAC total" ;
BIPTTAV : calculee primrest = 0 : "revenu professionnel BIC vous total" ;
BIPV : calculee restituee primrest = 1 : "avis ir:  Revenus indust. commerc. profess  VOUS" ;
BITAC : calculee primrest = 0 : "BIC nets imposes selon le regime reel" ;
BITAP : calculee primrest = 0 : "BIC nets imposes selon le regime reel" ;
BITAV : calculee primrest = 0 : "BIC nets imposes selon le regime reel" ;
BITTAC : calculee primrest = 0 : "revenu prof et non professionnel BIC conjoint" ;
BITTAP : calculee primrest = 0 : "revenu prof et non professionnel BIC PAC" ;
BITTAV : calculee primrest = 0 : "revenu prof et non professionnel BIC vous" ;
BLOY7LS : calculee restituee primrest = 1 : "Retenu loy CI Covid 7LS" ;
BMI : calculee primrest = 0 : "Base taux minimum metropole" ;
BN1 : calculee primrest = 0 : "BNC imposables a 16%" ;
BN1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RD : "BNC professionnels - Plus-values a 12,8 % - Declarant 2 " ;
BN1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SD : "BNC professionnels - Plus-values a 12,8 % - PAC " ;
BN1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QD : "BNC professionnels - Plus-values a 12,8 % - Declarant 1 " ;
BN1C : calculee primrest = 0 : "Plus-values BNC a 16% imposable conjoint" ;
BN1P : calculee primrest = 0 : "Plus-values BNC a 16% imposable PAC" ;
BN1V : calculee primrest = 0 : "Plus-values BNC a 16% imposable vous" ;
BNCAABC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5RF : "BNC non professionnels sous AA - Benefices - Declarant 2 " ;
BNCAABC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BNCAABP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5SF : "BNC non professionnels sous AA - Benefices - PAC" ;
BNCAABP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BNCAABV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5JG : "BNC non professionnels sous AA - Benefices - Declarant 1" ;
BNCAABV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BNCAADC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RG : "BNC non professionnels sous AA - Deficits - Declarant 2 " ;
BNCAADC_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
BNCAADP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5SG : "BNC non professionnels sous AA - Deficits - PAC" ;
BNCAADP_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
BNCAADV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JJ : "BNC non professionnels sous AA - Deficit - Declarant 1" ;
BNCAADV_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
BNCC : calculee restituee primrest = 1 : "Revenus non commerciaux" ;
BNCCRC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RL : "Jeunes createurs BNC professionnels - Abattement 50 % - Declarant 2" ;
BNCCREAC : calculee restituee primrest = 1 : "Jeunes createurs - abatt 50% - conjoint" ;
BNCCREAP : calculee restituee primrest = 1 : "Jeunes createurs - abatt 50% - pac" ;
BNCCREAV : calculee restituee primrest = 1 : "Jeunes createurs - abatt 50% - vous" ;
BNCCRFC : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SW : "Jeunes createurs - BNC non professionnels - Abatt. 50 % - Declarant 2" ;
BNCCRFP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SX : "Jeunes createurs - BNC non professionnels - Abatt. 50 % - PAC" ;
BNCCRFV : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SV : "Jeunes createurs - BNC non professionnels - Abatt. 50 % - Declarant 1" ;
BNCCRP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SL : "Jeunes createurs BNC professionnels - Abattement 50 % - PAC" ;
BNCCRV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QL : "Jeunes createurs BNC professionnels - Abattement 50 % - Declarant 1 " ;
BNCDEC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RE : "BNC professionnels sous AA - Deficits - Declarant 2 " ;
BNCDEC_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
BNCDEP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5SE : "BNC professionnels sous AA - Deficits - PAC " ;
BNCDEP_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
BNCDEV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QE : "BNC professionnels sous AA - Deficits - Declarant 1 " ;
BNCDEV_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
BNCDF : calculee restituee primrest = 0 : "BNC somme deficits" ;
BNCDF1 : calculee restituee primrest = 1 : "BNC def. reportable n-1" ;
BNCDF1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
BNCDF2 : calculee restituee primrest = 1 : "BNC def. reportable n-2" ;
BNCDF2P : calculee primrest = 0 : "BNC def. reportable n-2" ;
BNCDF3 : calculee restituee primrest = 1 : "BNC def. reportable n-3" ;
BNCDF3P : calculee primrest = 0 : "BNC def. reportable n-2" ;
BNCDF4 : calculee restituee primrest = 1 : "BNC def. reportable n-4" ;
BNCDF4P : calculee primrest = 0 : "BNC def. reportable n-2" ;
BNCDF5 : calculee restituee primrest = 1 : "BNC def. reportable n-5" ;
BNCDF5P : calculee primrest = 0 : "BNC def. reportable n-2" ;
BNCDF6 : calculee restituee primrest = 1 : "BNC def. reportable n-6" ;
BNCDF6P : calculee primrest = 0 : "BNC def. reportable n-2" ;
BNCDF7 : calculee restituee primrest = 0 : "Deficits non impute pour 1731bis" ;
BNCDF71731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
BNCDF7P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
BNCDF7_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
BNCDFP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
BNCDF_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
BNCEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RB : "BNC professionnels sous AA - Revenus exoneres - Declarant 2 " ;
BNCEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SB : "BNC professionnels sous AA - Revenus exoneres - PAC " ;
BNCEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QB : "BNC professionnels sous AA - Revenus exoneres - Declarant 1 " ;
BNCHQC : calculee primrest = 0 : "bnc hors quotient dec2" ;
BNCHQP : calculee primrest = 0 : "bnc hors quotient pac" ;
BNCHQV : calculee primrest = 0 : "bnc hors quotient vous" ;
BNCIF : calculee restituee primrest = 1 : "AVIS99:REVENUS NON COMM NON PROF NETS DU FOYER IMPOSABLES" ;
BNCIFBIS : calculee restituee primrest = 0 : "AVIS99:REVENUS NON COMM NON PROF NETS DU FOYER IMPOSABLES" ;
BNCIFBIS1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BNCIFBISQ : calculee restituee primrest = 0 : "AVIS99:REVENUS NON COMM NON PROF NETS DU FOYER IMPOSABLES QUOTIENT" ;
BNCIF_P : calculee primrest = 0 base : "Rev bnc" ;
BNCNF : calculee restituee primrest = 1 : "indicateur revenu non cmmerciaux declares" ;
BNCNP1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5LV : "BNC non prof. regime micro - Plus-values a 12,8 % - Declarant 2 " ;
BNCNP1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5MV : "BNC non professionnels regime micro - Plus-values a 12,8 % - PAC " ;
BNCNP1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5KV : "BNC non prof. regime micro - Plus-values a 12,8 % - Declarant 1 " ;
BNCNPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5LU : "BNC non prof. regime micro - Revenus imposables - Declarant 2 " ;
BNCNPDCT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5JU : "BNC non prof. regime micro - Moins-values a court terme - Declarant 1 " ;
BNCNPDEC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5LW : "BNC non prof. regime micro - Moins-values a long terme - Declarant 2 " ;
BNCNPDEP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5MW : "BNC non professionnels regime micro - Moins-values a long terme - PAC " ;
BNCNPDEV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5KW : "BNC non prof. regime micro - Moins-values a long terme - Declarant 1 " ;
BNCNPDIBIS : calculee primrest = 0 : "BNC non pro - Deficit pour le calcul de BNCNPDPROBIS" ;
BNCNPDPROBIS : calculee primrest = 0 : "BNC non pro - Prorata pour le calcul de DEFNIBNCQ" ;
BNCNPFBIS : calculee primrest = 0 base : "BNC non pro - Variable pour calcul de DEFBNCNPF" ;
BNCNPHQCC : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient compense non  pro " ;
BNCNPHQCF : calculee restituee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro " ;
BNCNPHQCF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BNCNPHQCP : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient compense non  pro " ;
BNCNPHQCV : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient compense non  pro " ;
BNCNPHQF : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient compense non  pro " ;
BNCNPHQF1 : calculee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro " ;
BNCNPHQNCC : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient tot conj non pro sans compensation" ;
BNCNPHQNCP : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient tot  non pro sans compensation" ;
BNCNPHQNCV : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient tot  non pro sans compensation" ;
BNCNPNBIS : calculee primrest = 0 base : "BNC non pro - Variable pour calcul de DEFBNCNPF" ;
BNCNPP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5MU : "BNC non professionnels regime micro - Revenus imposables - PAC " ;
BNCNPPVC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5LY : "BNC non prof. regime micro - Plus-values a court terme - Declarant 2 " ;
BNCNPPVP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5MY : "BNC non professionnels regime micro - Plus-values a court terme - PAC " ;
BNCNPPVV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5KY : "BNC non prof. regime micro - Plus-values a court terme - Declarant 1 " ;
BNCNPQC : calculee primrest = 0 : "Total imposable BNC  quotient tot conj non pro" ;
BNCNPQCC : calculee restituee primrest = 1 : "Total imposable BNC  quotient tot  non pro compensation" ;
BNCNPQCF : calculee restituee primrest = 0 : "Total imposable BNC  quotient tot foyer non pro compensation" ;
BNCNPQCF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BNCNPQCP : calculee restituee primrest = 1 : "Total imposable BNC  quotient tot  non pro compensation" ;
BNCNPQCV : calculee restituee primrest = 1 : "Total imposable BNC  quotient tot vous non pro compensation" ;
BNCNPQF : calculee restituee primrest = 1 : "Total imposable BNC  quotient tot foyer non pro" ;
BNCNPQF1 : calculee primrest = 0 : "Total imposable BNC  quotient tot foyer non pro 1731" ;
BNCNPQNCC : calculee primrest = 0 : "Total imposable BNC  quotient tot conj non pro sans compensation" ;
BNCNPQNCP : calculee primrest = 0 : "Total imposable BNC  quotient tot  non pro sans compensation" ;
BNCNPQNCV : calculee primrest = 0 : "Total imposable BNC  quotient tot  non pro sans compensation" ;
BNCNPRBIS : calculee primrest = 0 : "BNC non pro - Variable pour calcul de DEFBNCNPF" ;
BNCNPREXAAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5JK : "BNC non professionnels sous AA - Revenus exoneres - Declarant 2" ;
BNCNPREXAAP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5LK : "BNC non professionnels sous AA - Revenus exoneres - PAC" ;
BNCNPREXAAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5HK : "BNC non professionnels sous AA - Revenus exoneres - Declarant 1" ;
BNCNPREXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5KK : "BNC non professionnels hors AA - Revenus exoneres - Declarant 2" ;
BNCNPREXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5MK : "BNC non professionnels hors AA - Revenus exoneres - PAC" ;
BNCNPREXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5IK : "BNC non professionnels hors AA - Revenus exoneres - Declarant 1" ;
BNCNPROTAUX : calculee restituee primrest = 1 : "BNC non pro total foyer PAS" ;
BNCNPTOT : calculee primrest = 0 : "BNC imposable suivant la regime special total" ;
BNCNPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5KU : "BNC non prof. regime micro - Revenus imposables - Declarant 1 " ;
BNCP : calculee restituee primrest = 1 : "Revenus non commerciaux" ;
BNCPAS1 : calculee primrest = 0 : "BNC PAS - Declarant 1" ;
BNCPAS2 : calculee primrest = 0 : "BNC PAS - Declarant 2" ;
BNCPAS3 : calculee primrest = 0 : "BNC PAS - PAC" ;
BNCPASC : calculee primrest = 0 : "BNC PAS - Declarant 2" ;
BNCPASCNP : calculee primrest = 0 : "BNC non pro PAS - Declarant 2" ;
BNCPASCP : calculee primrest = 0 : "BNC pro PAS - Declarant 2" ;
BNCPASP : calculee primrest = 0 : "BNC PAS - PAC" ;
BNCPASPNP : calculee primrest = 0 : "BNC non pro PAS - PAC" ;
BNCPASPP : calculee primrest = 0 : "BNC pro PAS - PAC" ;
BNCPASV : calculee primrest = 0 : "BNC PAS - Declarant 1" ;
BNCPASVNP : calculee primrest = 0 : "BNC non pro PAS - Declarant 1" ;
BNCPASVP : calculee primrest = 0 : "BNC pro PAS - Declarant 1" ;
BNCPHQC : calculee primrest = 0 : "Total imposable BNC quotient pro" ;
BNCPHQCC : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient sans def pro" ;
BNCPHQCF : calculee restituee primrest = 0 : "Total imposable BNC  hors quotient sans def pro" ;
BNCPHQCF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
BNCPHQCP : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient sans def pro" ;
BNCPHQCV : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient sans def pro" ;
BNCPHQF : calculee restituee primrest = 1 : "Total imposable BNC  hors quotient tot foyer pro" ;
BNCPHQNCC : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro conj" ;
BNCPHQNCF : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro conj" ;
BNCPHQNCP : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro conj" ;
BNCPHQNCV : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro conj" ;
BNCPMVCTC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5LZ : "BNC prof. regime micro - Moins-values a court terme - Declarant 2 " ;
BNCPMVCTP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5MZ : "BNC professionnels regime micro - Moins-values a court terme - PAC " ;
BNCPMVCTV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5KZ : "BNC prof. regime micro - Moins-values a court terme - Declarant 1 " ;
BNCPQC : calculee restituee primrest = 1 : " BNC  pro Q pour avis" ;
BNCPQCC : calculee restituee primrest = 1 : " BNC  pro Q pour avis compensation " ;
BNCPQCF : calculee restituee primrest = 0 : "Total imposable BNC  quotient tot foyer pro" ;
BNCPQCF1731 : calculee restituee primrest = 0 : "Total imposable BNC  quotient tot foyer pro" ;
BNCPQCP : calculee restituee primrest = 1 : " BNC  pro Q pour avis compensation " ;
BNCPQCV : calculee restituee primrest = 1 : " BNC  pro Q pour avis compensation " ;
BNCPQF : calculee restituee primrest = 1 : "Total imposable BNC  quotient tot foyer pro" ;
BNCPQNCC : calculee primrest = 0 : "Total imposable BNC quotient sans def pro" ;
BNCPQNCP : calculee primrest = 0 : "Total imposable BNC quotient sans def pro" ;
BNCPQNCV : calculee primrest = 0 : "Total imposable BNC quotient sans def pro" ;
BNCPQUOTF : calculee primrest = 0 : "Total imposable BNC  quotient tot foyer pro" ;
BNCPRO1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5IR : "BNC professionnels regime micro - Plus-values a 12,8 % - Declarant 2 " ;
BNCPRO1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5JR : "BNC professionnels regime micro - Plus-values a 12,8 % - PAC " ;
BNCPRO1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5HR : "BNC professionnels regime micro - Plus-values a 12,8 % - Declarant 1 " ;
BNCPROC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5IQ : "BNC professionnels regime micro - Revenus imposables - Declarant 2 " ;
BNCPRODEC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5IS : "BNC prof. regime micro - Moins-values a long terme - Declarant 2 " ;
BNCPRODEP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JS : "BNC professionnels regime micro - Moins-values a long terme - PAC " ;
BNCPRODEV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5HS : "BNC prof. regime micro - Moins-values a long terme - Declarant 1 " ;
BNCPROEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5IP : "BNC professionnels regime micro - Revenus exoneres - Declarant 2 " ;
BNCPROEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5JP : "BNC professionnels regime micro - Revenus exoneres - PAC " ;
BNCPROEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5HP : "BNC professionnels regime micro - Revenus exoneres - Declarant 1 " ;
BNCPROP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5JQ : "BNC professionnels regime micro - Revenus imposables - PAC " ;
BNCPROPVC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5IV : "BNC prof. Regime micro - Plus-values a court terme - Declarant 2 " ;
BNCPROPVC1731 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVCP2 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVCP3 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5JV : "BNC professionnels regime micro - Plus-values a court terme - PAC " ;
BNCPROPVP1731 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVPP2 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVPP3 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5HV : "BNC prof. regime micro - Plus-values a court terme - Declarant 1 " ;
BNCPROPVV1731 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVVP2 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROPVVP3 : calculee restituee primrest = 0 base : "BNC regime special professionnel PV 1731bic" ;
BNCPROTAUX : calculee restituee primrest = 1 : "BNC pro total foyer PAS" ;
BNCPROV : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5HQ : "BNC professionnels regime micro - Revenus imposables - Declarant 1 " ;
BNCQC : calculee restituee primrest = 0 : "Total imposable BNC  quotient vous" ;
BNCQP : calculee restituee primrest = 0 : "Total imposable BNC  quotient vous" ;
BNCQV : calculee restituee primrest = 0 : "Total imposable BNC  quotient vous" ;
BNCR2TOTALC : calculee restituee primrest = 0 : "PAS Total Net imposable - Revenus non commercial non pro - declarant 2" ;
BNCR2TOTALF : calculee restituee primrest = 0 : "PAS Total Net imposable - Revenus non commercial non pro - foyer" ;
BNCR2TOTALP : calculee restituee primrest = 0 : "PAS Total Net imposable - Revenus non commercial non pro - p a c" ;
BNCR2TOTALV : calculee restituee primrest = 0 : "PAS Total Net imposable - Revenus non commercial non pro - declarant 1" ;
BNCREC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5RC : "BNC professionnels sous AA - Benefices - Declarant 2 " ;
BNCREC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BNCREP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5SC : "BNC professionnels sous AA - Benefices - PAC " ;
BNCREP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BNCREV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5QC : "BNC professionnels sous AA - Benefices - Declarant 1 " ;
BNCREV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
BNCTAUXF : calculee restituee primrest = 0 : "BNC total foyer PAS" ;
BNCV : calculee restituee primrest = 1 : "Revenus non commerciaux" ;
BNHDEC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RK : "BNC professionnels hors CGA - Deficits - Declarant 2 " ;
BNHDEP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5SK : "BNC professionnels hors CGA - Deficits - PAC " ;
BNHDEV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QK : "BNC professionnels hors CGA - Deficits  - Declarant 1 " ;
BNHEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RH : "BNC professionnels hors CGA - Revenus exoneres - Declarant 2 " ;
BNHEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SH : "BNC professionnels hors CGA - Revenus exoneres - PAC " ;
BNHEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QH : "BNC professionnels hors CGA - Revenus exoneres - Declarant 1 " ;
BNHREC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5RI : "BNC professionnels hors CGA - Benefices - Declarant 2 " ;
BNHREC_P : calculee restituee primrest = 0 base : "a supprimer" ;
BNHREP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5SI : "BNC professionnels hors CGA - Benefices - PAC " ;
BNHREP_P : calculee restituee primrest = 0 base : "a supprimer" ;
BNHREV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 5QI : "BNC professionnels hors CGA - Benefices - Declarant 1 " ;
BNHREV_P : calculee restituee primrest = 0 base : "a supprimer" ;
BNN : calculee restituee primrest = 0 : "BNC imposables au taux progressif" ;
BNNAAC : calculee primrest = 0 : "BNC non pro relevant d'une AA" ;
BNNAANC : calculee primrest = 0 : " BNC  " ;
BNNAANP : calculee primrest = 0 : " BNC  " ;
BNNAANV : calculee primrest = 0 : " BNC  " ;
BNNAAP : calculee primrest = 0 : "BNC non pro relevant d'une AA" ;
BNNAAV : calculee primrest = 0 : "BNC non pro CGA" ;
BNNAC : calculee primrest = 0 : "BNC relevant d'une AA" ;
BNNAMNC : calculee primrest = 0 : " BNC  " ;
BNNAMNP : calculee primrest = 0 : " BNC  " ;
BNNAMNV : calculee primrest = 0 : " BNC  " ;
BNNAP : calculee primrest = 0 : "BNC relevant d'une AA" ;
BNNAV : calculee primrest = 0 : "BNC pro CGA" ;
BNNC : calculee primrest = 0 : "BNC imposable a taux progressif de chaque membre du foyer" ;
BNNNC : calculee restituee primrest = 0 : "BNC non pro hors quotient total - dec 2" ;
BNNNP : calculee restituee primrest = 0 : "BNC non pro hors quotient total - PAC" ;
BNNNV : calculee restituee primrest = 0 : "BNC non pro hors quotient total - dec 1" ;
BNNP : calculee primrest = 0 : "BNC imposable a taux progressif de chaque membre du foyer" ;
BNNS5QI : calculee primrest = 0 : " BNC  " ;
BNNS5RI : calculee primrest = 0 : " BNC  " ;
BNNS5SI : calculee primrest = 0 : " BNC  " ;
BNNS5XK : calculee primrest = 0 : " BNC  " ;
BNNS5YK : calculee primrest = 0 : " BNC  " ;
BNNS5ZK : calculee primrest = 0 : " BNC  " ;
BNNSC : calculee primrest = 0 : "BNC ne relevant pas d'une AA" ;
BNNSMNC : calculee primrest = 0 : " BNC  " ;
BNNSMNP : calculee primrest = 0 : " BNC  " ;
BNNSMNV : calculee primrest = 0 : " BNC  " ;
BNNSP : calculee primrest = 0 : "BNC ne relevant pas d'une AA" ;
BNNSV : calculee primrest = 0 : "BNC ne relevant pas d'une AA" ;
BNNV : calculee primrest = 0 : "BNC imposable a taux progressif de chaque membre du foyer" ;
BNN_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
BNRC : calculee restituee primrest = 0 : "BNC imposable suivant la declaration controlee conjoint" ;
BNRP : calculee restituee primrest = 0 : "BNC imposable suivant la declaration controlee PAC" ;
BNRPROV : calculee primrest = 0 : "BIC pour calcul RNIDF" ;
BNRTOT : calculee restituee primrest = 1 : "BNC imposable suivant la declaration controlee total" ;
BNRTOTQ : calculee restituee primrest = 1 : "BNC pro foyer au quotient" ;
BNRV : calculee restituee primrest = 0 : "BNC imposable suivant la declaration controlee Vous" ;
BON1731 : calculee restituee primrest = 0 base : "RCOLENT reduction  a la fin 1er traitement si 1731bis" ;
BONS : calculee restituee primrest = 0 : "Base reduction dons aux oeuvres" ;
BOOL_0AM : calculee restituee primrest = 1 : "Zone Situation de Famille - Vaut 1 si marie ou pacse" ;
BOOL_0AMN1 : calculee restituee primrest = 1 : "Zone Situation de Famille - Vaut 1 si marie ou pacse n-1" ;
BOOL_0AZ : calculee primrest = 0 : "booleen : vaut 1 si vauf dans  l annee" ;
BOOL_0BT : calculee primrest = 0 : "booleen : case OBT retenue" ;
BOOL_CDV : calculee primrest = 0 : "Booleen - vaut 1 si  celibataire, divorce, separe ou veuf." ;
BOOL_PACSFL : calculee primrest = 0 : "Booleen - vaut 0 si  PAC ou 0CH" ;
BOOL_V : calculee primrest = 0 : "Zone Situation de Famille - Veufs sans EAC" ;
BOOL_W : calculee primrest = 0 : "Booleen - vaut 1 si  W et personne d au moins 75 ans" ;
BPCAPTAXC : calculee restituee primrest = 1 : "Base pension capital taxable conjoint" ;
BPCAPTAXP : calculee restituee primrest = 1 : "Base pension capital taxable PAC" ;
BPCAPTAXP1 : calculee primrest = 0 : "Base pension capital taxable PAC 1" ;
BPCAPTAXP2 : calculee primrest = 0 : "Base pension capital taxable PAC 2" ;
BPCAPTAXP3 : calculee primrest = 0 : "Base pension capital taxable PAC 3" ;
BPCAPTAXP4 : calculee primrest = 0 : "Base pension capital taxable PAC 4" ;
BPCAPTAXV : calculee restituee primrest = 1 : "Base pension capital taxable vous" ;
BPCOPTV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VI : "Gains de cession taxables a 30 %" ;
BPCOSAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VK : "Gains de cession d'options imposables en TS - Declarant 2" ;
BPCOSAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VJ : "Gains de cession d'options imposables en TS - Declarant 1" ;
BPLIB : calculee restituee primrest = 1 : "Base regularisation Prelevement Liberatoire" ;
BPRESCOMP : calculee restituee primrest = 0 : "base prestations  compensatoires" ;
BPRESCOMP01 : calculee restituee primrest = 1 : "base de la reduction d'impot pour 2001" ;
BPRESCOMP1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
BPRESCOMP_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BPRS : calculee restituee primrest = 1 : "Base prelevement social 4.8 % anterieur" ;
BPSOL : calculee restituee primrest = 1 : "Base prelevement solidarite  2 % " ;
BPSOL_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL: sauvegard PSOL" ;
BPSOL_RECT : calculee primrest = 0 base : "Taxation 2042_RECT pour la TL: sauvegarde PSOL" ;
BPSOL_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde PSOL" ;
BPT19 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 19%" ;
BPT24 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 24%" ;
BPTP10 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 10%" ;
BPTP18 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 18%" ;
BPTP19 : calculee primrest = 0 : "Revenus au taux proportionnel 19%" ;
BPTP24 : calculee primrest = 0 : "Revenus au taux proportionnel 24%" ;
BPTP3 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 16%" ;
BPTP4 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 30%" ;
BPTP40 : calculee restituee primrest = 1 : "Revenus au taux proportionnel 40%" ;
BPTP4I : calculee restituee primrest = 0 : "Revenus au taux proportionnel 30% (3VI, 3SI)" ;
BPTP5 : calculee restituee primrest = 0 : "Revenus au taux proportionnel 19%" ;
BPTPD : calculee restituee primrest = 1 : "Revenus au taux proportionnels 11%" ;
BPTPG : calculee restituee primrest = 1 : "Revenus au taux proportionnel 9%" ;
BPTPPI : calculee restituee primrest = 1 : "Revenus au taux proportionnel 3PI" ;
BPTPSB : calculee restituee primrest = 0 : "Revenus au taux proportionnel 3SB" ;
BPTPSJ : calculee restituee primrest = 0 : "Revenus au taux proportionnel 3SJ" ;
BPTPSK : calculee restituee primrest = 0 : "Revenus au taux proportionnel 3SK" ;
BPTPVT : calculee restituee primrest = 0 : "Revenus a taux proportionnel 19%" ;
BPTPWI : calculee restituee primrest = 0 : "Revenus au taux proportionnel 3WI" ;
BPTPWJ : calculee restituee primrest = 0 : "Revenus au taux proportionnel 3WJ" ;
BPV18V : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3VD : "Gains de cession taxables a 18 % " ;
BPV40V : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3VF : "Gains de cession taxables a 41 %" ;
BPVRCM : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VG : "Plus-value sans application d'abattement" ;
BPVSJ : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3SJ : "Gains de cessions bons createur entreprise taxables a 19 %" ;
BPVSK : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3SK : "Gains de cessions bons createur entreprise taxables a 30 %" ;
BRAS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8ZB : "Base de la retenue a la source a 12 % a regulariser" ;
BRASAR : calculee restituee primrest = 1 : "Montant de la retenue a la source de 12%" ;
BRCM : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers declares" ;
BRCM1731 : calculee restituee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMBIS : calculee restituee primrest = 0 base : "base RCM 2CA  pour 1731 pour avis" ;
BRCMBISB : calculee restituee primrest = 0 base : "base RCM   pour 1731 pour bareme" ;
BRCMBISB1 : calculee restituee primrest = 0 base : "base RCM   pour 1731 pour bareme" ;
BRCMBISB1731 : calculee restituee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMBISBP2 : calculee restituee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMBISQ : calculee restituee primrest = 0 base : "base RCM   pour 1731 quotient" ;
BRCMBISQ1 : calculee restituee primrest = 0 base : "base RCM   pour 1731 quotient" ;
BRCMBISQ1731 : calculee restituee primrest = 0 base : "Report deficit quotient apres art 1731" ;
BRCMBISQP2 : calculee restituee primrest = 0 base : "Report deficit quotient apres art 1731" ;
BRCMP2 : calculee restituee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMQ : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers au quotient declares" ;
BRCMQ1731 : calculee restituee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMQP2 : calculee restituee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMQ_P : calculee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRCMTOT : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers declares" ;
BRCMTOT_P : calculee primrest = 0 base : "Correctif: base rcm pour 1731" ;
BRCM_P : calculee primrest = 0 base : "Report deficit 2AA 2AL apres art 1731" ;
BRDS : calculee restituee primrest = 1 : "Base CRDS" ;
BRDS_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL: sauvegard RDS" ;
BRDS_RECT : calculee primrest = 0 base : "Taxation 2042_RECT pour la TL: sauvegarde RDS" ;
BRDS_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde RDS" ;
BRENOV : calculee restituee primrest = 0 : "Base reduction travaux de restauration des objets classes " ;
BRENOV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BRENOV_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
BRFG : calculee primrest = 0 : "Base reduction frais de garde" ;
BRSE1 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TQ)" ;
BRSE2 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TV et 8SA)" ;
BRSE3 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TW 8SW)" ;
BRSE4 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TX 8SB 8SX)" ;
BRSE5 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TR 8SC)" ;
BRSE6 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (CASA 0,3 % 8SC 8SA 8TV)" ;
BRSE8 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TH 8SD)" ;
BRSE8SA : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8SA) 6,6%" ;
BRSE8SB : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8SB)  3,8%" ;
BRSE8TV : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TV) 6,6%" ;
BRSE8TX : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TX) 3,8%" ;
BRSETOT : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere totale " ;
BSN1 : calculee restituee primrest = 0 : "Base reduction societes nouvelles 2011" ;
BSN11731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BSN1_A : calculee primrest = 0 : "RI evt avant" ;
BSN1_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BSN2 : calculee restituee primrest = 0 : "Base reduction societes nouvelles avant 2011" ;
BSN21731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
BSN2_A : calculee primrest = 0 : "RI evt avant" ;
BSN2_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BSNBS : calculee primrest = 0 : "Base reduction societes nouvelles 7BS" ;
BSNBT : calculee primrest = 0 : "Base reduction societes nouvelles 7BT" ;
BSNCA : calculee primrest = 0 : "Base reduction societes nouvelles 7CA" ;
BSNCF : calculee primrest = 0 : "Base reduction societes nouvelles 7CF" ;
BSNCH : calculee primrest = 0 : "Base reduction societes nouvelles 7CH" ;
BSNCI : calculee primrest = 0 : "Base reduction societes nouvelles 7CI" ;
BSNCR : calculee primrest = 0 : "Base reduction societes nouvelles 7CR" ;
BSNCS : calculee primrest = 0 : "Base reduction societes nouvelles 7CS" ;
BSNCT : calculee primrest = 0 : "Base reduction societes nouvelles 7CT" ;
BSNCV : calculee primrest = 0 : "Base reduction societes nouvelles 7CV" ;
BSNCX : calculee primrest = 0 : "Base reduction societes nouvelles 7CX" ;
BSNDC : calculee primrest = 0 : "Base reduction societes nouvelles 7DC" ;
BSNGW : calculee primrest = 0 : "Base reduction societes nouvelles 7GW" ;
BSOCREP : calculee restituee primrest = 0 : "Base reduction emprunt reprise societe" ;
BSOCREP1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
BSOCREP_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
BSOUFIP : calculee restituee primrest = 0 : "Base reduction investissement proximite" ;
BSOUFIP1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BSOUFIPFT  : calculee primrest = 0 : "Base reduction investissement proximite 7FT" ;
BSURV : calculee restituee primrest = 0 : "Base reduction rente survie" ;
BSURV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
BSURV_A : calculee primrest = 0 : "RI evt avant" ;
BSURV_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
BTANTGECUM : calculee primrest = 0 : "cumul des depenses gros equipements anterieur N-1" ;
BTANTGECUMWL : calculee primrest = 0 : "cumul des depenses pour risques technologiques anterieur N-1" ;
BTO : calculee restituee primrest = 1 : "Base des penalites TO" ;
BTOL_RAPPEL : saisie penalite primrest = 0 alias V_TOL_RAPPEL : "Champ base tolerance legale dans une ligne de rappel" ;
BTP3A : calculee primrest = 0 : "Base imposable a 16% ouvrant droit a abattement DOM" ;
BTP3G : calculee primrest = 0 : "Base imposable a 18% (3vg) n'ouvrant pas droit a abattement DOM" ;
BTPM3SB : calculee primrest = 0 : " bareme progressif ligne 3SB" ;
BTPM3SZ : calculee primrest = 0 : "plus values cession art 150.0-B report expire en 2017" ;
BTPM3TJ : calculee primrest = 0 : "Modulation option ou pas bareme progressif ligne 3TJ" ;
BTPM3UA : calculee primrest = 0 : " option ou pas bareme progressif ligne 3UA" ;
BTPM3VG : calculee primrest = 0 : "Modulation option ou pas bareme progressif ligne 3VG" ;
C8209YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
C8209YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
C8209YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
C8209YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
C8209YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
C820BASE : calculee primrest = 0 : "base imposable Contrib. soc salariale (avis CSG) 8.2" ;
C820BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final en base declaration fictive" ;
C820BASEHCOQ : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
C820BASEHCOQ_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
C820BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde C820base" ;
C820BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR 8.2" ;
C820BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
C820BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
C820BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo " ;
C820BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
C820BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde  1er evenement" ;
C820NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
C820NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
C820TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde pour retard" ;
C820TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde pour retard" ;
C820_A : calculee primrest = 0 base : "correctif : CSG820 anterieure" ;
C820_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
C820_ANT2 : calculee primrest = 0 base : "MONTANT cdis base des INR retard traitement precedent" ;
C820_NTL : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant" ;
C820_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code 22" ;
C820_NTLDEC : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant" ;
C820_NTLDEC_1 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
C820_NTLDEC_198 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
C820_NTLDEC_22 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
C820_NTLDEC_24 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
C820_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant r22" ;
C820_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant r22" ;
C820_NTL_222 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code 22" ;
C820_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant r24" ;
C820_NTL_242 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code 24" ;
C820_P : calculee primrest = 0 base : "Cdis primitif" ;
C820_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR " ;
C820_PA_A : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR " ;
C820_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
C820_PRI2 : calculee primrest = 0 base : "MONTANT base des INR retard primitif" ;
C820_R : calculee primrest = 0 base : "Cdis ( REFERENCE )" ;
C820_R9901 : calculee primrest = 0 base : " nouv cor:Cdis rectifie pour calcul INR code 99 prim. " ;
C820_R9901_A : calculee primrest = 0 base : " nouv cor:Cdis rectifie pour calcul INR code 99 prim. " ;
C820_R99R : calculee primrest = 0 base : " nouv cor: Cdis rectifie pour calcul INR code 99 prim. penalisee" ;
C820_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
C820_RECT : calculee primrest = 0 base : "nouv cor : taxation 2042_RECT pour la TL: sauvegarde c820" ;
C820_REF : calculee primrest = 0 base : "MONTANT Cdis base du calcul INR retard" ;
C820_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
C820_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
C820_REF_INR : calculee primrest = 0 base : "MONTANT base des INR TL retard traitement de reference" ;
C820_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde pour retard" ;
C820_TL : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement courant" ;
C820_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
C820_TLDEC : calculee primrest = 0 base : "MONTANT cdis base des INR retard TL du traitement courant" ;
C820_TLDEC_1 : calculee primrest = 0 base : "MONTANT cdis base des INR retard TL du traitement courant code 22" ;
C820_TLDEC_199 : calculee primrest = 0 base : "MONTANT base des INR retard TL du traitement courant code 22" ;
C820_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
C820_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
C820_TL_1 : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement courant r22" ;
C820_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement courant r22" ;
C820_TL_222 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde " ;
C820_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant r24" ;
C820_TL_242 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde " ;
CALPEN : calculee restituee primrest = 1 : "AG 1507: difference cumul des pensions" ;
CAP9YI : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
CAP9YI_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
CAP9YI_P : calculee primrest = 0 base : "IR9YI primitif" ;
CAP9YI_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CAP9YI_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
CAPBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final PCAP en base declaration fictive" ;
CAPBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde irbase" ;
CAPBASE_I : calculee restituee primrest = 0 : "base des majo pension en capital pour alimenter CAPBASE_IREF" ;
CAPBASE_IRECT : calculee restituee primrest = 0 base : "impot isole  PCAP de la strate precedente" ;
CAPBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo pension en capital" ;
CAPBASE_N : calculee restituee primrest = 0 : "base des majo pension en capital pour alimenter CAPBASE_NREF" ;
CAPBASE_NRECT : calculee restituee primrest = 0 base : "impot net credits d impot  strate precedente (TAXAGA + PCAP - CI)" ;
CAPBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde CAPBASE" ;
CAPTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde pension en capital pour retard" ;
CAPTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde pension en capital pour retard" ;
CAP_ISO : calculee restituee primrest = 0 : "base des majo CAP isole pour alimenter CAPISO_DERSTTR" ;
CAP_ISO_RECT : calculee primrest = 0 base : "IR apres prise en compte de tous rappels" ;
CAP_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde pension en capital pour retard" ;
CARPEC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBS : "Pensions taxees au quotient - Declarant 2" ;
CARPENBAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBS : "Pensions taxees au quotient : nombre d'annees - Declarant 2" ;
CARPENBAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCS : "Pensions taxees au quotient : nombre d'annees - PAC 1 " ;
CARPENBAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDS : "Pensions taxees au quotient : nombre d'annees - PAC 2 " ;
CARPENBAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NES : "Pensions taxees au quotient : nombre d'annees - PAC 3" ;
CARPENBAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFS : "Pensions taxees au quotient : nombre d'annees - PAC 4" ;
CARPENBAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAS : "Pensions taxees au quotient : nombre d'annees - Declarant 1" ;
CARPEP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCS : "Pensions taxees au quotient - PAC 1 " ;
CARPEP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDS : "Pensions taxees au quotient - PAC 2" ;
CARPEP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RES : "Pensions taxees au quotient - PAC 3" ;
CARPEP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFS : "Pensions taxees au quotient - PAC 4" ;
CARPEV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAS : "Pensions taxees au quotient - Declarant 1" ;
CARTSC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBJ : "Salaires taxes au quotient - Declarant 2" ;
CARTSNBAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBJ : "Salaires taxes au quotient : nombre d'annees - Declarant 2" ;
CARTSNBAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCJ : "Salaires taxes au quotient : nombre d'annees - PAC 1" ;
CARTSNBAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDJ : "Salaires taxes au quotient : nombre d'annees - PAC 2" ;
CARTSNBAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEJ : "Salaires taxes au quotient : nombre d'annees - PAC 3" ;
CARTSNBAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFJ : "Salaires taxes au quotient : nombre d'annees - PAC 4" ;
CARTSNBAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAJ : "Salaires taxes au quotient : nombre d'annees - Declarant 1" ;
CARTSP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCJ : "Salaires taxes au quotient - PAC 1" ;
CARTSP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDJ : "Salaires taxes au quotient - PAC 2" ;
CARTSP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REJ : "Salaires taxes au quotient - PAC 3" ;
CARTSP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFJ : "Salaires taxes au quotient - PAC 4" ;
CARTSV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAJ : "Salaires taxes au quotient - Declarant 1" ;
CASECHR : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8TD : "Contribution sur les hauts revenus - case a cocher" type BOOLEEN ;
CASEPRETUD : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VO : "Nombre d'annees de remboursement du pret etudiant avant 2022" type ENTIER ;
CBETRAN : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8UU : "Case a cocher : compte bancaire a l'etranger " type BOOLEEN ;
CDBA : calculee primrest = 0 : "zone calcul BA" ;
CDEVDUR_NBJ : calculee primrest = 0 : "CIDEVDUR: Nbre de jours CALCULE EN FONCTION DE X,Y,Z, date expatriatio" ;
CDIS : calculee restituee primrest = 1 : "Contribution sociale salariale" ;
CDIS9YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
CDIS9YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
CDIS9YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
CDIS9YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CDIS9YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
CDISA_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL : sauvegarde CDIS" ;
CDISBASE : calculee primrest = 0 : "base imposable Contrib. soc salariale (avis CSG)" ;
CDISBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final CDIS en base declaration fictive" ;
CDISBASEHCOF : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CDISBASEHCOF_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CDISBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde CDISbase" ;
CDISBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
CDISBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CDISBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
CDISBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo cdis" ;
CDISBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
CDISBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde CDIS 1er evenement" ;
CDISC : calculee restituee primrest = 1 : "Montant imposable contribution sociale salariale" ;
CDISD : calculee restituee primrest = 0 : "Cont. soc. salariale due 30%" ;
CDISNET : calculee restituee primrest = 1 : "Contribution sociale salariale nette" ;
CDISNETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
CDISNET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
CDISPROV : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 2 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YW : "Contribution salariale 30 % provisoire " ;
CDISTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde cdis pour retard" ;
CDISTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde cdis pour retard" ;
CDIS_A : calculee primrest = 0 base : "correctif : Cdis anterieure" ;
CDIS_ANT : calculee primrest = 0 base : "MONTANT cdis base des INR retard traitement precedent" ;
CDIS_ANT2 : calculee primrest = 0 base : "MONTANT cdis base des INR retard traitement precedent" ;
CDIS_INIT : calculee primrest = 0 base : "nouv cor : taxation 2042_INIT pour la TL : sauvegarde CDIS " ;
CDIS_NTL : calculee primrest = 0 base : "MONTANT Cdis base des INR NTL retard traitement courant" ;
CDIS_NTL2 : calculee primrest = 0 : "MONTANT cdis base des INR NTL retard traitement courant" ;
CDIS_NTLDEC : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant" ;
CDIS_NTLDEC_1 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
CDIS_NTLDEC_198 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
CDIS_NTLDEC_22 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
CDIS_NTLDEC_24 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
CDIS_NTL_1 : calculee primrest = 0 base : "MONTANT Cdis base INR NTL retard trait courant code 22" ;
CDIS_NTL_22 : calculee primrest = 0 base : "MONTANT Cdis base INR NTL retard trait courant code " ;
CDIS_NTL_222 : calculee primrest = 0 : "MONTANT cdis base des INR NTL retard traitement courant code " ;
CDIS_NTL_24 : calculee primrest = 0 base : "MONTANT Cdis base INR NTL retard trait courant code " ;
CDIS_NTL_242 : calculee primrest = 0 : "MONTANT cdis base des INR NTL retard traitement courant code " ;
CDIS_P : calculee primrest = 0 base : "Cdis primitif" ;
CDIS_PA : calculee primrest = 0 : "Correctif: impot contrib. soc sal servant de base au calcul INR" ;
CDIS_PA_A : calculee primrest = 0 base : "Correctif: impot contrib. soc sala servant de base au calcul INR" ;
CDIS_PRI : calculee primrest = 0 base : "MONTANT cdis base des INR retard primitif" ;
CDIS_PRI2 : calculee primrest = 0 base : "MONTANT cdis base des INR retard primitif" ;
CDIS_R : calculee primrest = 0 base : "Cdis ( REFERENCE )" ;
CDIS_R9901 : calculee primrest = 0 base : " nouv cor:Cdis rectifie pour calcul INR code 99 prim. " ;
CDIS_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
CDIS_R99R : calculee primrest = 0 base : " nouv cor: Cdis rectifie pour calcul INR code 99 prim. penalisee" ;
CDIS_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
CDIS_RECT : calculee primrest = 0 base : "nouv cor : taxation 2042_RECT pour la TL: sauvegarde cdis" ;
CDIS_REF : calculee primrest = 0 base : "MONTANT Cdis base du calcul INR retard" ;
CDIS_REFP : calculee primrest = 0 base : "MONTANT Cdis initiale maj R99 et C base du calcul INR" ;
CDIS_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
CDIS_REF_INR : calculee primrest = 0 base : "MONTANT Cdis base des INR TL retard traitement de reference" ;
CDIS_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde cdis pour retard" ;
CDIS_TL : calculee primrest = 0 base : "MONTANT Cdis base des INR TL retard traitement courant" ;
CDIS_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde cdis" ;
CDIS_TLDEC : calculee primrest = 0 base : "MONTANT cdis base des INR retard TL du traitement courant" ;
CDIS_TLDEC_1 : calculee primrest = 0 base : "MONTANT cdis base des INR retard TL du traitement courant code 22" ;
CDIS_TLDEC_199 : calculee primrest = 0 base : "MONTANT cdis base des INR retard TL du traitement courant code 22" ;
CDIS_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CDIS_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CDIS_TL_1 : calculee primrest = 0 base : "MONTANT Cdis base INR TL retard trait courant code 22" ;
CDIS_TL_22 : calculee primrest = 0 base : "MONTANT Cdis base INR NTL retard trait courant code" ;
CDIS_TL_222 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde cdis" ;
CDIS_TL_24 : calculee primrest = 0 base : "MONTANT Cdis base INR NTL retard trait courant code" ;
CDIS_TL_242 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde cdis" ;
CELREPGJ_A : calculee primrest = 0 : "RI evt avant" ;
CELREPGL_A : calculee primrest = 0 : "RI evt avant" ;
CELREPGS_A : calculee primrest = 0 : "RI evt avant" ;
CELREPGU_A : calculee primrest = 0 : "RI evt avant" ;
CELREPHA_A : calculee primrest = 0 : "RI evt avant" ;
CELREPHD_A : calculee primrest = 0 : "RI evt avant" ;
CELREPHF_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WT : "Invest. Scellier 2012 ou 2013 (initie en 2012) acheve en 2016 : report" ;
CELREPWT_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WU : "Invest. Scellier 2011 ou 2012 (initie en 2011) acheve en 2016 : report" ;
CELREPWU_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WV : "Invest. Scellier 2010 ou 2011 (initie en 2010) acheve en 2016 : report" ;
CELREPWV_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WW : "Invest. Scellier 2010 (initie en 2009) acheve en 2016 : report" ;
CELREPWW_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWX_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWY_A : calculee primrest = 0 : "RI evt avant" ;
CELREPWZ_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYB_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYD_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYF_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYH_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YM : "Invest. Scellier 2012 ou 2013 (initie en 2012) acheve en 2014 : report" ;
CELREPYM_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YN : "Invest. Scellier 2011 ou 2012 (initie en 2011) acheve en 2014 : report" ;
CELREPYN_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YO : "Invest. Scellier 2010 ou 2011 (initie en 2010) acheve en 2014 : report" ;
CELREPYO_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YP : "Invest. Scellier 2009 ou 2010 (initie en 2009) acheve en 2014 : report" ;
CELREPYP_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YT : "Invest. Scellier 2012 ou 2013 (initie en 2012) acheve en 2015 : report" ;
CELREPYT_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YU : "Invest. Scellier 2011 ou 2012 (initie en 2011) acheve en 2015 : report" ;
CELREPYU_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YV : "Invest. Scellier 2010 ou 2011 (initie en 2010) acheve en 2015 : report" ;
CELREPYV_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YW : "Invest. Scellier 2009 ou 2010 (initie en 2009) acheve en 2015 : report" ;
CELREPYW_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYX_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYY_A : calculee primrest = 0 : "RI evt avant" ;
CELREPYZ_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLG_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLH_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLI_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLJ_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLK_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLL_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLN_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLO_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLP_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LQ : "Investissement Scellier 2009 : report reduction 2016" ;
CELRREDLQ_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LR : "Investissement Scellier 2010 : report reduction 2016" ;
CELRREDLR_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLT_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LU : "Investissement Scellier 2011 : report reduction 2016" ;
CELRREDLU_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LV : "Investissement Scellier 2012 : report reduction 2016" ;
CELRREDLV_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLX_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDLY_A : calculee primrest = 0 : "RI evt avant" ;
CELRREDMH_A : calculee primrest = 0 : "RI evt avant" ;
CESSASSC : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 3 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RM : "Indemnite de cessation d'activite agent d'assurance - Declarant 2" type REEL ;
CESSASSV : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 3 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QM : "Indemnite cessation agent d'assurance - Declarant 1" type REEL ;
CFCIDIV : calculee restituee primrest = 0 : "Pour CFIR : CI  divers" ;
CFRIAAUTRE : calculee restituee primrest = 0 : "Pour CFIR : RI  pour divers .." ;
CFRIADEP : calculee restituee primrest = 0 : "Pour CFIR : RI  Acc pour dependance .." ;
CFRIADON : calculee restituee primrest = 0 : "Pour CFIR : RI  accordee pour dons" ;
CFRIAENF : calculee restituee primrest = 0 : "Pour CFIR : RI  retenue pour enfants .." ;
CFRIAFOR : calculee restituee primrest = 0 : "Pour CFIR : RI  pour foret et .." ;
CFRIAHP : calculee restituee primrest = 0 : "Pour CFIR : RI  accordee pour Hab principale" ;
CFRIAVIE : calculee restituee primrest = 0 : "Pour CFIR : RI  pour assur vie et .." ;
CFRIRAUTRE : calculee restituee primrest = 0 : "Pour CFIR : RI  pour divers .." ;
CFRIRDEP : calculee restituee primrest = 0 : "Pour CFIR : RI  Ret pour dependance .." ;
CFRIRDON : calculee restituee primrest = 0 : "Pour CFIR : RI  retenue pour dons" ;
CFRIRENF : calculee restituee primrest = 0 : "Pour CFIR : RI  retenue pour enfants .." ;
CFRIRFOR : calculee restituee primrest = 0 : "Pour CFIR : RI  pour foret et .." ;
CFRIRHP : calculee restituee primrest = 0 : "Pour CFIR : RI  retenues pour Hab principale" ;
CFRIRVIE : calculee restituee primrest = 0 : "Pour CFIR : RI  pour assur vie et .." ;
CGLOA : calculee restituee primrest = 1 : "contribution 1TT et 1UT" ;
CGLOAD : calculee restituee primrest = 0 : "Contrib. GLO  due" ;
CGLOANET : calculee restituee primrest = 1 : "Contribution GLO nette" ;
CGLOAPROV : calculee restituee primrest = 1 : "CSG provisoire CGLOA 8YL" ;
CGLOA_A : calculee primrest = 0 base : "correctif : CGLOA anterieure" ;
CHARGES : calculee primrest = 0 : "Somme charges PAS" ;
CHENF1 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GI : "Pension alimentaire - decision avant le 01/01/06 - 1er enfant majeur" ;
CHENF2 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GJ : "Pension alimentaire - decision avant le 01/01/06 - 2eme enfant majeur" ;
CHENF3 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GK : "Pension alimentaire - decision avant le 01/01/06 - 3eme enfant majeur " ;
CHENF4 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GL : "Pension alimentaire - decision avant le 01/01/06 - 4eme enfant majeur " ;
CHNFAC : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EV : "Frais d'accueil pers. agee dans le besoin - Nombre " type REEL ;
CHR9YI : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
CHR9YI_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
CHR9YI_P : calculee primrest = 0 base : "IR9YI primitif" ;
CHR9YI_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CHR9YI_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
CHRAPRES : calculee restituee primrest = 0 base : "Impot Hauts Revenus apres calcul  tx eff ou non" ;
CHRAPRES3WH : calculee primrest = 0 base : "Impot Hauts Revenus apres calcul  tx eff ou non avec 3WH" ;
CHRAVANT : calculee restituee primrest = 1 base : "Impot Hauts Revenus avant tx eff." ;
CHRAVANT3WH : calculee primrest = 0 base : "Impot Hauts Revenus avant tx eff. avec 3WH" ;
CHRBASE : calculee primrest = 0 : " nouv cor:base des majo contrib haut revenu" ;
CHRBASEHCOX : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CHRBASEHCOX_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CHRBASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
CHRBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
CHRBASE_INRREF : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
CHRBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CHRBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
CHRBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
CHRBRUT_P : calculee primrest = 0 base : "Correctif: impot servant de base au  MAJOS 1728" ;
CHRDED : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 6DD : "Deductions diverses " ;
CHREV_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde " ;
CHRFAC : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EU : "Frais d'accueil pers. agee dans le besoin - Montant " type REEL ;
CHRNEG : calculee primrest = 0 : "taxe + INR + majo" ;
CHRNET : calculee primrest = 0 : "cont haut rev.  + INR + majo" ;
CHRNET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
CHRPVIMP : calculee restituee primrest = 1 base : "Impot Hauts Revenus plus values 3WT et 3WO" ;
CHRREEL1 : calculee primrest = 0 : "Haut revenu calcul contrib." ;
CHRREEL13WH : calculee primrest = 0 : "Haut revenu calcul contrib. avec 3WH" ;
CHRREEL2 : calculee primrest = 0 : "Haut revenu calcul contrib." ;
CHRREEL23WH : calculee primrest = 0 : "Haut revenu calcul contrib. avec 3WH" ;
CHRREELTOT : calculee primrest = 0 : "Haut revenu calcul contrib. theorique total" ;
CHRREELTOT3WH : calculee primrest = 0 : "Haut revenu calcul contrib. theorique total avec 3WH" ;
CHRTEFF : calculee restituee primrest = 1 base : "Impot Hauts Revenus tx eff " ;
CHRTEFF3WH : calculee primrest = 0 base : "Impot Hauts Revenus tx eff  avec 3WH" ;
CHRTHEO11 : calculee primrest = 0 : "Haut revenu calcul contrib. theorique" ;
CHRTHEO113WH : calculee primrest = 0 : "Haut revenu calcul contrib. theorique avec 3WH" ;
CHRTHEO21 : calculee primrest = 0 : "Haut revenu calcul contrib. theorique" ;
CHRTHEO213WH : calculee primrest = 0 : "Haut revenu calcul contrib. theorique avec 3WH" ;
CHRTHEOTOT : calculee primrest = 0 : "Haut revenu calcul contrib. theorique total" ;
CHRTHEOTOT3WH : calculee primrest = 0 : "Haut revenu calcul contrib. theorique total avec 3WH" ;
CHR_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
CHR_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
CHR_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde contribution hauts revenus" ;
CHR_ISO_RECT : calculee primrest = 0 base : "IR apres prise en compte de tous rappels" ;
CHR_NTL : calculee primrest = 0 base : "MONTANT base des INR NTL retard traitement courant" ;
CHR_NTL15 : calculee primrest = 0 base : "MONTANT base des INR NTL prov pour la  tl 15" ;
CHR_NTL15_22 : calculee primrest = 0 base : "MONTANT base des INR NTL prov pour la  tl 15 code 22" ;
CHR_NTL15_24 : calculee primrest = 0 base : "MONTANT base des INR NTL prov pour la  tl 15 code 22" ;
CHR_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
CHR_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
CHR_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
CHR_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
CHR_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
CHR_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
CHR_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
CHR_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code " ;
CHR_NTL_222 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code 22" ;
CHR_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code " ;
CHR_NTL_242 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code 24" ;
CHR_P : calculee primrest = 0 base : "Correctif: CHR issu du primitif" ;
CHR_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR CHR" ;
CHR_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
CHR_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
CHR_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
CHR_R : calculee primrest = 0 base : "( REFERENCE )" ;
CHR_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
CHR_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
CHR_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
CHR_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
CHR_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
CHR_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
CHR_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
CHR_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
CHR_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
CHR_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde" ;
CHR_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
CHR_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
CHR_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CHR_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CHR_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CHR_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CHR_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
CHR_TL_22 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
CHR_TL_222 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code " ;
CHR_TL_24 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
CHR_TL_242 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code " ;
CHTOT : calculee restituee primrest = 1 : "Total des charges deduites" ;
CI2CK : calculee restituee primrest = 1 : "Credit d'impot RCM ligne 2CK" ;
CI7ZQ : calculee primrest = 0 : "CI charge veh electrique 7ZQ" ;
CI7ZR : calculee primrest = 0 : "CI charge veh electrique 7ZR" ;
CI7ZS : calculee primrest = 0 : "CI charge veh electrique 7ZS" ;
CI7ZT : calculee primrest = 0 : "CI charge veh electrique 7ZT" ;
CI7ZU : calculee primrest = 0 : "CI charge veh electrique 7ZU" ;
CI7ZV : calculee primrest = 0 : "CI charge veh electrique 7ZV" ;
CI8XFH : calculee restituee primrest = 1 : "Credit GLO 8XF 8XG 8XH" ;
CI8XFHAF : calculee primrest = 0 : "Credit GLO 8XF 8XG 8XH AF" ;
CIADCRE : calculee restituee primrest = 1 : "Credit aide a domicile" ;
CIADCREB3 : calculee restituee primrest = 1 : "Avance aide a domicile bloc3 à reprendre" ;
CICA : calculee restituee primrest = 1 : "Credit d'impot representatif de la taxe additionnelle au DB" ;
CICAP : calculee restituee primrest = 1 : "Credit sur prelevement liberatoire 7,5%" ;
CICAPAF : calculee primrest = 0 : "Credit sur prelevement liberatoire 7,5% AF" ;
CICA_A : calculee primrest = 0 base : "correctif : credit impot TADB  anterieur" ;
CICHR : calculee restituee primrest = 1 base : "Impot Hauts Revenus credit impot" ;
CICHR3WH : calculee primrest = 0 base : "Impot Hauts Revenus credit impot avec 3WH" ;
CICHR3WHAF : calculee primrest = 0 base : "Impot Hauts Revenus credit impot avec 3WH AF" ;
CICHRAF : calculee primrest = 0 base : "Impot Hauts Revenus credit impot AF" ;
CICOMPEMPL : calculee restituee primrest = 1 : "Credit d'impot competitivite emploi" ;
CICOMPEMPLAF : calculee primrest = 0 : "Credit d'impot competitivite emploi AF" ;
CICONGAGRI : calculee restituee primrest = 1 : "credit impot conge agriculteur" ;
CICORSE : calculee restituee primrest = 1 : "Credit d'impot investissement Corse" ;
CICORSEAF : calculee primrest = 0 : "Credit d'impot investissement Corse AF" ;
CICORSEAVIS : calculee restituee primrest = 1 : "Credit d'impot investissement Corse pour avis avec 8TS" ;
CICORSEAVISAF : calculee primrest = 0 : "Credit d'impot investissement Corse pour avis avec 8TS AF" ;
CICORSENOW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8TS : "Credit d'impot Corse restituable immediatement" ;
CICPQ : calculee restituee primrest = 0 : "GLO moins 8XM credit impot GLO" ;
CICSG : calculee restituee primrest = 1 : "Credit d'impot relatif a la CSG" ;
CICVN : calculee restituee primrest = 1 : "Credit d'impot 8XL relatif a CVN " ;
CIDONENTR : calculee restituee primrest = 1 : "Credit d'impot dons oeuvre entreprise" ;
CIDONENTRAF : calculee primrest = 0 : "Credit d'impot dons oeuvre entreprise AF" ;
CIEMPLOI : calculee restituee primrest = 1 : "Credit impot competitivite emploi" ;
CIEMPLOIAF : calculee primrest = 0 : "Credit impot competitivite emploi" ;
CIFORET : calculee restituee primrest = 1 : "Credit impot foret" ;
CIGARD : calculee restituee primrest = 1 : "Reduction retenue pour frais de garde" ;
CIGE : calculee restituee primrest = 1 : "Credit d'impot depenses de gros equipements" ;
CIGLO : calculee restituee primrest = 1 : "Credit d'impot sur gain de levee d option retenu" ;
CIGLOA : calculee restituee primrest = 1 : "Credit d'impot 8XM relatif a GLOA " ;
CIGLOAF : calculee primrest = 0 : "Credit d'impot sur gain de levee d option retenu" ;
CIGLOTOT : calculee restituee primrest = 1 : "Montant total code CI gain levee d option" ;
CIHABPRIN : calculee restituee primrest = 1 : "Credit d'impot habitation principale" ;
CIHJA : calculee restituee primrest = 1 : "Credit d'impot invest. DOM entreprises" ;
CIIMPPRO : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8XP : "Plus-values et RCM etrang. 12,8% avec CI = impot francais" type REEL ;
CIIMPPRO2 : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XQ : "Plus-values etrangeres 19 % avec credit d'impot = impot francais" type REEL ;
CIIMPPROTOT : calculee restituee primrest = 1 : "Montant total PPE" ;
CIIMSI : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIIMSI1 : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIIMSI2 : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIIMSI21 : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIIMSI22 : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIIMSI23 : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIIMSI24 : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition tx normal CSG" ;
CIINVCORSE : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8TG : "Credit d'impot investissement en Corse" ;
CIMPTL : calculee primrest = 0 : "Total des credits d'impot pour le calcul de la TL" ;
CIMR07 : calculee primrest = 0 base : "Credit impot modernisation du recouvrement rappel 07 NTL" ;
CIMR24 : calculee primrest = 0 base : "Credit impot modernisation du recouvrement rappel 07 NTL" ;
CIMRC : calculee restituee primrest = 1 : "Total revenus nets imposables au bareme progressif" ;
CINE1 : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GN : "Souscriptions SOFICA  - Taux 36 %" ;
CINE2 : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FN : "Souscriptions SOFICA  - Taux 30 %" ;
CIPAP : calculee restituee primrest = 1 : "Premier abonnement presse retenu" ;
CIPAS : calculee restituee primrest = 0 : "Credit impot paye a l'etranger PAS" ;
CIPASIND : calculee restituee primrest = 0 : "Credit impot paye a l'etranger PAS indiv" ;
CIPRETUD : calculee restituee primrest = 1 : "Interets pret etudiant calcule" ;
CIPRS : calculee restituee primrest = 1 : "Credit d'impot relatif au PRS" ;
CIPSCOR : tableau[25] calculee primrest = 0 base : "CIMR issu du correctif par strate" ;
CIPSOL : calculee restituee primrest = 1 : "Credit d'impot relatif au PRS" ;
CIRCMAVFT : calculee restituee primrest = 1 : "Credit d'impot ligne 2AB" ;
CIRCMAVFTAF : calculee primrest = 0 : "Credit d'impot ligne 2AB AF" ;
CIRDS : calculee restituee primrest = 1 : "Credit d'impot relatif a la CRDS" ;
CIRECH : calculee restituee primrest = 1 : "Credit d'impot recherche" ;
CIRECHAF : calculee restituee primrest = 0 : "Credit d'impot recherche AF" ;
CIRIRF : calculee restituee primrest = 1 : "donnee equipe batch pour CNTDF pour imposition CSG CRDS" ;
CIRSE1 : calculee restituee primrest = 1 : "Credit d'impot relatif a CSGTQ" ;
CIRSE2 : calculee restituee primrest = 1 : "Credit d'impot relatif a CSGTV" ;
CIRSE3 : calculee restituee primrest = 1 : "Credit d'impot relatif a CSGTW" ;
CIRSE4 : calculee restituee primrest = 1 : "Credit d'impot relatif a CSGTX" ;
CIRSE5 : calculee restituee primrest = 1 : "Credit d'impot relatif a CSGTR" ;
CIRSE6 : calculee restituee primrest = 1 : "Credit d'impot relatif a la CASA (8XB 8XC 8XI)" ;
CIRSE8 : calculee restituee primrest = 1 : "Credit d'impot relatif a CSGRSE8" ;
CIRSE8SA : calculee restituee primrest = 1 : "Credit d'impot relatif a CSG sur 8SA" ;
CIRSE8SB : calculee restituee primrest = 1 : "Credit d'impot relatif a CSG sur 8SB" ;
CIRSE8TV : calculee restituee primrest = 0 : "Credit d'impot relatif a CSG sur 8TV" ;
CIRSE8TX : calculee restituee primrest = 0 : "Credit d'impot relatif a CSG sur 8TX" ;
CIRSETOT : calculee restituee primrest = 1 : "Somme CI RSE revenus de source etrangere " ;
CISYND : calculee restituee primrest = 1 : "CI cotis. syndicale" ;
CITEC : calculee restituee primrest = 1 : "credit travaux prevention risques technologiques - bailleurs" ;
CITOT : calculee restituee primrest = 1 : "Total des credits d'impot" ;
CIVHELEC : calculee restituee primrest = 1 : "Credit impot Veh elec" ;
CI_INIT : calculee restituee primrest = 0 base : "Taxation 2042_INIT pour la TL: sauvegard credit impot (8TB,8TC)" ;
CI_RECT : calculee restituee primrest = 0 base : "Montant des credits d ' impot (8TB,8TC) en base saisi dans le rappel" ;
CI_TL : calculee restituee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde credit impot (8TB,8TC)" ;
CKIREDUR : calculee primrest = 0 : "RFR pour CIDEVDUR, si periode infra-annuelle" type REEL ;
CMAJ : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9YT : "Code majoration            " ;
CMAJ2 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_CMAJ2 : "Code majoration           " ;
CMAJ_ISF : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9XT : "IFI : code majoration" ;
CNRLIG1 : calculee restituee primrest = 0 : "Indicateur avis IR" ;
CNRLIG12 : calculee restituee primrest = 0 : "Indicateur avis IR" ;
CO2044P : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YZ : "Case a cocher si amortissement foncier sur 2044" type BOOLEEN ;
CO2047 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YH : "Case a cocher si le contribuable a souscrit une declaration 2047  " type BOOLEEN ;
CO35 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZF : "Code (valeur 3 ou 5) pour edition bulletin de surveillance art.100 bis" ;
COD0IF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 0IF : "Depot d'une declaration 2042 IFI - case a cocher" type BOOLEEN ;
COD1AA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1AA : "Revenus percus par les salaries d'employeurs particuliers - Declarant1" ;
COD1AD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1AD : "Prime de partage de la valeur exoneree - Declarant 1" ;
COD1ADLIM : calculee restituee primrest = 1 : "code 1AD lim a 3000 ou 6000 si 1AV coche" ;
COD1ADRET : calculee restituee primrest = 1 : "Prime carburant exo 1AD" ;
COD1AE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 1 modcat = 1 primrest = 0 alias 1AE : "Frais reels sur salaires etrangers - Declarant 1" ;
COD1AF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AF : "Salaires CI=I francais et salaires des non residents - Declarant 1" ;
COD1AG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AG : "Autres salaires de source etrangere - Declarant 1" ;
COD1AH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1AH : "Pensions exonerees etrangeres - Declarant 1" ;
COD1AI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1AI : "Pensions en capital des nouveaux PER - Declarant 1" ;
COD1AL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AL : "Pensions CI=I francais et pensions des non residents - Declarant 1" ;
COD1AM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AM : "Autres pensions de source etrangere - Declarant 1" ;
COD1AR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AR : "Rentes de source etrangere avec CI=I francais - moins de 50 ans" ;
COD1AV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1AV : "PPVE majoration du seuil d'exoneration - Declarant 1 (case a cocher)" type BOOLEEN ;
COD1BA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1BA : "Revenus percus par les salaries d'employeurs particuliers - Declarant2" ;
COD1BD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1BD : "Prime de partage de la valeur exoneree - Declarant 2" ;
COD1BDLIM : calculee restituee primrest = 1 : "code 1BD lim a 3000 ou 6000 si 1BV coche" ;
COD1BDRET : calculee restituee primrest = 1 : "Prime carburant exo 1BD" ;
COD1BE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 1 modcat = 1 primrest = 0 alias 1BE : "Frais reels sur salaires etrangers - Declarant 2" ;
COD1BF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BF : "Salaires CI=I francais et salaires des non residents - Declarant 2" ;
COD1BG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BG : "Autres salaires de source etrangere - Declarant 2" ;
COD1BH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1BH : "Pensions exonerees etrangeres - Declarant 2" ;
COD1BI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1BI : "Pensions en capital des nouveaux PER - Declarant 2" ;
COD1BL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BL : "Pensions CI=I francais et pensions des non residents - Declarant 2" ;
COD1BM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BM : "Autres pensions imposables de source etrangere - Declarant 2" ;
COD1BR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BR : "Rentes de source etrangere avec CI=I francais de 50 a 59 ans" ;
COD1BV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1BV : "PPVE majoration du seuil d'exoneration - Declarant 2 (case a cocher)" type BOOLEEN ;
COD1CA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1CA : "Revenus percus par les salaries d'employeurs particuliers - PAC 1" ;
COD1CD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1CD : "Prime de partage de la valeur exoneree - PAC 1" ;
COD1CDLIM : calculee restituee primrest = 1 : "code 1CD lim a 3000 ou 6000 si 1CV coche" ;
COD1CDRET : calculee restituee primrest = 1 : "Prime carburant exo 1CD" ;
COD1CE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 1 modcat = 1 primrest = 0 alias 1CE : "Frais reels sur salaires etrangers - PAC 1" ;
COD1CF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CF : "Salaires avec CI=I francais et salaires des non residents - PAC 1" ;
COD1CG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CG : "Autres salaires de source etrangere - PAC 1" ;
COD1CH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1CH : "Pensions exonerees etrangeres - PAC 1" ;
COD1CI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1CI : "Pensions en capital des nouveaux PER - PAC 1" ;
COD1CL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CL : "Pensions avec CI=I francais et pensions des non residents - PAC 1" ;
COD1CM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CM : "Autres pensions de source etrangere - PAC 1" ;
COD1CR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CR : "Rentes de source etrangere avec CI=I francais - de 60 a 69 ans" ;
COD1CT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 9 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1CT : "Pensions en capital taxables a 7,5 % - PAC 1" ;
COD1CV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1CV : "PPVE majoration du seuil d'exoneration - PAC 1 (case a cocher)" type BOOLEEN ;
COD1DA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1DA : "Revenus percus par les salaries d'employeurs particuliers - PAC 2" ;
COD1DD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1DD : "Prime de partage de la valeur exoneree - PAC 2" ;
COD1DDLIM : calculee restituee primrest = 1 : "code 1DD lim a 3000 ou 6000 si 1DV coche" ;
COD1DDRET : calculee restituee primrest = 1 : "Prime carburant exo 1DD" ;
COD1DE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 1 modcat = 1 primrest = 0 alias 1DE : "Frais reels sur salaires etrangers - PAC 2" ;
COD1DF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DF : "Salaires avec CI=I francais et salaires des non residents - PAC 2" ;
COD1DG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DG : "Autres salaires de source etrangere - PAC 2" ;
COD1DH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1DH : "Pensions exonerees etrangeres - PAC 2" ;
COD1DI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1DI : "Pensions en capital des nouveaux PER - PAC 2" ;
COD1DL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DL : "Pensions avec CI=I francais et pensions des non residents - PAC 2" ;
COD1DM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DM : "Autres pensions de source etrangere - PAC 2" ;
COD1DR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DR : "Rentes de source etrangere avec CI=I francais - a partir de 70 ans" ;
COD1DT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 9 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1DT : "Pensions en capital taxables a 7,5 % - PAC 2" ;
COD1DV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1DV : "PPVE majoration du seuil d'exoneration - PAC 2 (case a cocher)" type BOOLEEN ;
COD1EA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1EA : "Revenus percus par les salaries d'employeurs particuliers - PAC3" ;
COD1ED : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1ED : "Prime de partage de la valeur exoneree - PAC 3" ;
COD1EDLIM : calculee restituee primrest = 1 : "code 1ED lim a 3000 ou 6000 si 1EV coche" ;
COD1EDRET : calculee restituee primrest = 1 : "Prime carburant exo 1ED" ;
COD1EE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 1 modcat = 1 primrest = 0 alias 1EE : "Frais reels sur salaires etrangers - PAC 3" ;
COD1EF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1EF : "Salaires avec CI=I francais et salaires des non residents - PAC 3" ;
COD1EG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1EG : "Autres salaires de source etrangere - PAC 3" ;
COD1EH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1EH : "Pensions exonerees etrangeres - PAC 3" ;
COD1EI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1EI : "Pensions en capital des nouveaux PER - PAC 3" ;
COD1EL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1EL : "Pensions avec CI=I francais et pensions des non residents - PAC 3" ;
COD1EM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1EM : "Autres pensions de source etrangere - PAC 3" ;
COD1ET : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 9 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1ET : "Pensions en capital taxables a 7,5 % - PAC 3" ;
COD1EV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1EV : "PPVE majoration du seuil d'exoneration - PAC 3 (case a cocher)" type BOOLEEN ;
COD1FA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1FA : "Revenus percus par les salaries d'employeurs particuliers - PAC 4" ;
COD1FD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1FD : "Prime de partage de la valeur exoneree - PAC 4" ;
COD1FDLIM : calculee restituee primrest = 1 : "code 1FD lim a 3000 ou 6000 si 1FV coche" ;
COD1FDRET : calculee restituee primrest = 1 : "Prime carburant exo 1FD" ;
COD1FE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 1 modcat = 1 primrest = 0 alias 1FE : "Frais reels sur salaires etrangers - PAC 4" ;
COD1FF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1FF : "Salaires avec CI=I francais et salaires des non residents - PAC 4" ;
COD1FG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1FG : "Autres salaires de source etrangere - PAC 4" ;
COD1FH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1FH : "Pensions exonerees etrangeres - PAC 4" ;
COD1FI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1FI : "Pensions en capital des nouveaux PER - PAC 4" ;
COD1FL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1FL : "Pensions avec CI=I francais et pensions des non residents - PAC 4" ;
COD1FM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1FM : "Autres pensions de source etrangere - PAC 4" ;
COD1FT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 9 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 1FT : "Pensions en capital taxables a 7,5 % - PAC 4" ;
COD1FV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1FV : "PPVE majoration du seuil d'exoneration - PAC 4 (case a cocher)" type BOOLEEN ;
COD1GA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1GA : "Abattement des assistantes maternelles et journalistes - Declarant 1" ;
COD1GB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GB : "Revenus des associes et gerants - Declarant 1" ;
COD1GE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1GE : "Marins pecheurs hors des eaux territoriales - Declarant 1 (a cocher)" type BOOLEEN ;
COD1GF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GF : "Droits d'auteur et fonctionnaires chercheurs - Declarant 1" ;
COD1GG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GG : "Agents generaux d'assurance - Declarant 1" ;
COD1GH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GH : "Heures supplementaires et jours RTT - Declarant 1" ;
COD1GHLIM : calculee primrest = 0 : "code 1GH limite a 5000" ;
COD1GHRET : calculee restituee primrest = 1 : "part heures sup non exo 1GH" ;
COD1GK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GK : "Fin des revenus imposes en salaires en 2023 - Declarant 1 (a cocher)" type BOOLEEN ;
COD1GL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GL : "Fin des revenus imposes en salaires en 2023 - Declarant 2 (a cocher)" type BOOLEEN ;
COD1GP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GP : "Fin des revenus imposes en salaires en 2023 - PAC 1 (a cocher)" type BOOLEEN ;
COD1GQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GQ : "Fin des revenus imposes en salaires en 2023 - PAC 2 (a cocher)" type BOOLEEN ;
COD1GR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GR : "Fin des revenus imposes en salaires en 2023 - PAC 3 (a cocher)" type BOOLEEN ;
COD1GS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1GS : "Fin des revenus imposes en salaires en 2023 - PAC 4 (a cocher)" type BOOLEEN ;
COD1HA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1HA : "Abattement des assistantes maternelles et journalistes - Declarant 2" ;
COD1HB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HB : "Revenus des associes et gerants - Declarant 2" ;
COD1HE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1HE : "Marins pecheurs hors des eaux territoriales - Declarant 2 (a cocher)" type BOOLEEN ;
COD1HF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HF : "Droits d'auteur et fonctionnaires chercheurs - Declarant 2" ;
COD1HG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HG : "Agents generaux d'assurance - Declarant 2" ;
COD1HH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HH : "Heures supplementaires et jours RTT - Declarant 2" ;
COD1HHLIM : calculee primrest = 0 : "code 1HH limite a 5000" ;
COD1HHRET : calculee restituee primrest = 1 : "part heures sup non exo 1hH" ;
COD1HK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HK : "Fin des revenus imposes en pensions en 2023 - Declarant 1 (a cocher)" type BOOLEEN ;
COD1HL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HL : "Fin des revenus imposes en pensions en 2023 - Declarant 2 (a cocher)" type BOOLEEN ;
COD1HP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HP : "Fin des revenus imposes en pensions en 2023 - PAC 1 (a cocher)" type BOOLEEN ;
COD1HQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HQ : "Fin des revenus imposes en pensions en 2023 - PAC 2 (a cocher)" type BOOLEEN ;
COD1HR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HR : "Fin des revenus imposes en pensions en 2023 - PAC 3 (a cocher)" type BOOLEEN ;
COD1HS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1HS : "Fin des revenus imposes en pensions en 2023 - PAC 4 (a cocher)" type BOOLEEN ;
COD1IA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1IA : "Abattement forfaitaire, assistants familiaux, journalistes - PAC 1 " ;
COD1IB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1IB : "Revenus des associes et gerants - PAC 1" ;
COD1IE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 1IE : "Marins pecheurs hors des eaux territoriales - PAC 1 (a cocher)" type BOOLEEN ;
COD1IF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1IF : "Droits d'auteur, fonctionnaires chercheurs - PAC 1" ;
COD1IG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1IG : "Agents generaux d'assurance - PAC 1" ;
COD1IH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1IH : "Heures supplementaires et jours RTT  - PAC 1" ;
COD1IHLIM : calculee primrest = 0 : "code 1IH limite a 5000" ;
COD1IHRET : calculee primrest = 0 : "part heures sup non exo 1IH" ;
COD1JA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1JA : "Abattement forfaitaire, assistants et familiaux, journalistes - PAC 2" ;
COD1JB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1JB : "Revenus des associes et gerants - PAC 2" ;
COD1JE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 1JE : "Marins pecheurs hors des eaux territoriales - PAC 2 (a cocher)" type BOOLEEN ;
COD1JF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1JF : "Droits d'auteur, fonctionnaires chercheurs - PAC 2" ;
COD1JG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1JG : "Agents generaux d'assurance - PAC 2" ;
COD1JH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1JH : "Heures supplementaires et jours RTT - PAC 2" ;
COD1JHLIM : calculee primrest = 0 : "code 1JH limite a 5000" ;
COD1JHRET : calculee primrest = 0 : "part heures sup non exo 1JH" ;
COD1KA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1KA : "Abattement des assistantes maternelles et journalistes - PAC 3" ;
COD1KE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 1KE : "Marins pecheurs hors des eaux territoriales - PAC 3 (a cocher)" type BOOLEEN ;
COD1KF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1KF : "Droits d'auteur et fonctionnaires chercheurs - PAC 3" ;
COD1KG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1KG : "Agents generaux d'assurance - PAC 3" ;
COD1KH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1KH : "Heures supplementaires et jours RTT - PAC 3" ;
COD1KHLIM : calculee primrest = 0 : "code 1KH limite a 5000" ;
COD1KHRET : calculee primrest = 0 : "part heures sup non exo 1KH" ;
COD1LA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 1LA : "Abattement des assistantes maternelles et journalistes - PAC 4" ;
COD1LE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 1LE : "Marins pecheurs hors des eaux territoriales - PAC 4 (a cocher)" type BOOLEEN ;
COD1LF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1LF : "Droits d'auteur et fonctionnaires chercheurs - PAC 4" ;
COD1LG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1LG : "Agents generaux d'assurance - PAC 4" ;
COD1LH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1LH : "Heures supplementaires et jours RTT - PAC 4" ;
COD1LHLIM : calculee primrest = 0 : "code 1LH limite a 5000" ;
COD1LHRET : calculee primrest = 0 : "part heures sup non exo 1LH" ;
COD1NX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 2 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1NX : "Gains, carried-interest - Declarant 1" type REEL ;
COD1OX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 2 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1OX : "Gains, carried-interest - Declarant 2" type REEL ;
COD1PB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1PB : "Pourboires exoneres (declarant 1)" ;
COD1PC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1PC : "Pourboires exoneres (declarant 2)" ;
COD1PD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1PD : "Pourboires exoneres (PAC 1)" ;
COD1PE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1PE : "Pourboires exoneres (PAC 2)" ;
COD1PF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1PF : "Pourboires exoneres (PAC 3)" ;
COD1PG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1PG : "Pourboires exoneres (PAC 4)" ;
COD1PM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1PM : "Indemnites pour prejudice moral (fraction > 1 million E) - Declarant 1" type REEL ;
COD1QM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1QM : "Indemnites pour prejudice moral (fraction > 1 million E) - Declarant 2" type REEL ;
COD1TP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1TP : "Rabais excedentaire sur options sur titres - Declarant 1" type REEL ;
COD1TZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1TZ : "Gain d'acquisition d'actions gratuites a compter du 08/08/2015" ;
COD1UP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1UP : "Rabais excedentaire sur options sur titres - Declarant 2" type REEL ;
COD1UZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1UZ : "Abattement pour duree de detention d'actions gratuites" ;
COD1VZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1VZ : "Abattement fixe sur gain d'acquisition d'actions gratuites" ;
COD1WZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1WZ : "Abattement de 50% sur actions attribuees a compter du 01/01/2018" ;
COD2CK : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2CK : "Credit d'impot prelevement forfaitaire deja verse" ;
COD2DF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2DF : "Autres revenus deja soumis aux PS avec CSG deductible" ;
COD2DG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 restituee primrest = 1 alias 2DG : "Revenus deja soumis au prelevement de solidarite de 7,5%" ;
COD2DI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2DI : "Revenus soumis au prelevement de solidarite a soumettre a la CSG/CRDS" ;
COD2OP : saisie revenu classe = 0 priorite = 11 categorie_TL = 10 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 2OP : "Option pour l'imposition des RCM et PV au bareme - case a cocher" type BOOLEEN ;
COD2RA : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2RA : "Assurance vie reinvestie en PER (versements avant 27.9.2017) PFL" ;
COD2RB : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2RB : "Assurance vie reinvestie en PER (vts avant 27.9.2017) autres produits" ;
COD2RC : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2RC : "Assurance vie reinvestie en PER (vts a/c 27.9.2017) (7,5% ou option)" ;
COD2RD : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2RD : "Assurance vie reinvestie en PER (vts a/c 27.9.2017) (12,8% ou option)" ;
COD2TQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2TQ : "Interets des obligations remboursables en action (PEA-PME)" ;
COD2TT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2TT : "Interet des prets participatifs et des minibons" ;
COD2TT1731 : calculee restituee primrest = 0 base : "Code 2TT 1731" ;
COD2TTP2 : calculee restituee primrest = 0 base : "Code 2TT P2" ;
COD2TTP3 : calculee restituee primrest = 0 base : "Code 2TT P3" ;
COD2TT_P : calculee primrest = 0 base : "Correctif: Code 2TT en primitif pour 1731" ;
COD2TU : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2TU : "Perte en capital 2018 sur prets participatifs: report" ;
COD2TV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2TV : "Perte en capital 2019 sur prets participatifs : report" ;
COD2TW : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2TW : "Perte en capital 2020 sur prets participatifs : report" ;
COD2TX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2TX : "Perte en capital 2021 sur prets participatifs : report" ;
COD2TY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2TY : "Perte en capital 2022 sur prets participatifs : report" ;
COD2TZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2TZ : "Produits des plans d'epargne retraite : sortie en capital" ;
COD2UU : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2UU : "Assurance-vie + 8 ans versements a compter du 27/09/2017 (TOTAL)" ;
COD2VM : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2VM : "Bons, contrats capi, ass. vie avt le 27/09/2017 (deja soumis au PFL) " ;
COD2VN : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2VN : "Bons, contrats de capi, ass. vie avant le 27/09/2017 (autres gains) " ;
COD2VO : saisie revenu classe = 0 priorite = 10 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2VO : "Bons, contrats de capi, ass. vie a/c du 27/09/2017 (7,5% ou option) " ;
COD2VP : saisie revenu classe = 0 priorite = 10 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2VP : "Bons, contrats de capi, ass. vie a/c du 27/09/2017 (12,8% ou option) " ;
COD2VQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2VQ : "Bons, contrats de capi, assurance vie moins-value de cession (2018)" ;
COD2VR : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2VR : "Bons, contrats de capi, assurance vie moins-value de cession (2019)" ;
COD2VS : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2VS : "Bons, contrats de capi, assurance vie moins-value de cession (2020)" ;
COD2VT : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2VT : "Bons, contrats de capi, assurance vie moins-value de cession (2021)" ;
COD2VU : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2VU : "Bons, contrats de capi, assurance vie moins-value de cession (2022)" ;
COD2VV : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2VV : "Assurance-vie + 8 ans versements a compter du 27/09/2017 (7,5% ou opt)" ;
COD2WW : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2WW : "Assurance-vie +8 ans versements a compter du 27/09/2017 (12,8% ou opt)" ;
COD2XX : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 2XX : "Assurance-vie -8 ans versements avant le 27/09/2017 (15, 35 ou 45%)" ;
COD2YY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2YY : "Assurance-vie -8 ans versements avant le 27/09/2017(autres produits)" ;
COD2ZZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2ZZ : "Assurance-vie -8 ans versements a compter du  27/09/2017" ;
COD3AN : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3AN : "Cession d'actifs numeriques taxables a 12,8 % (plus-value)" ;
COD3BN : saisie revenu classe = 0 priorite = 42 categorie_TL = 60 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3BN : "Cession d'actifs numeriques taxables a 12,8 % (moins-value)" ;
COD3PI : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3PI : "Produits sur instruments financiers taxables a 50%" ;
COD3SA : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3SA : "Plus-values avant abattement (art 150-0 D bis)" ;
COD3SG : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3SG : "Abattement pour duree de detention - Plus-value" ;
COD3SL : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3SL : "Abattement pour duree de detention renforce" ;
COD3SZ : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3SZ : "PV expire en 2022 en report d'imposition (IR) (150 0-B quater)" ;
COD3TA : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3TA : "Impot sur PV art. 150-0 B ter du CGI (sursis de paiement)" ;
COD3TB : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3TB : "Impot sur PV art. 150-0 B ter du CGI (sans sursis de paiement)" ;
COD3TJ : saisie revenu classe = 0 priorite = 42 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3TJ : "Gains de cessions bons createur entreprise a/c du 1.1.2018 " ;
COD3TK : saisie revenu classe = 8 priorite = 42 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3TK : "Abattement fixe depart a la retraite d'un dirigeant PME" ;
COD3UA : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3UA : "Plus-value avant abattement " ;
COD3WG : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WG : "PV 2022 apres abattement en report d'imposition (art.150-0 B ter) " ;
COD3WI : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WI : "PV 2012 dont le report a expire en 2022 - taxables a 24 % " ;
COD3WJ : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WJ : "PV 2012 dont le report a expire en 2022 - taxables a 19 % " ;
COD3WM : saisie revenu classe = 8 priorite = 42 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WM : "Base aux prelevements sociaux en cas de sursis de paiement" ;
COD3WN : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WN : "PV realisee de 2013 a 2016 avant abattement - report expire en 2022" ;
COD3WP : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3WP : "PV realisee a/c du 1/1/2013 apres abattement - report expire en 2022" ;
COD3WR : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WR : "IR au taux specifique (3WP)" ;
COD3WT : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WT : "CEHR au taux specifique  (3WN)" ;
COD3WZ : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WZ : "Plus-values 150 O-B ter montant > 10 chiffres" type BOOLEEN ;
COD3XA : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3XA : "Sursis de paiement - PV 150 O-B ter du CGI PS 17,2 %" ;
COD3XD : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3XD : "Sans sursis de paiement - PV 150 O-B ter du CGI PS 15,5 %" ;
COD3XM : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3XM : "Sursis de paiement - PV 150 O-B ter du CGI PS 15,5 %" ;
COD3XN : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3XN : "PV realisee a/c de 2017 avant abattement - report expire en 2022" ;
COD3YA : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3YA : "Sans sursis de paiement - PV 150 O-B ter du CGI PS 17,2 %" ;
COD4BK : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 restituee primrest = 0 alias 4BK : "Micro foncier de source etrangere avec CI = I francais" ;
COD4BL : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 restituee primrest = 0 alias 4BL : "Revenus fonciers de source etrangere avec CI = I francais" ;
COD4BN : saisie revenu classe = 1 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 4BN : "Revenus fonciers fin de perception - case a cocher" type BOOLEEN ;
COD5AC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5AC : "Micro-entrepreneur - BIC prof. - ECF - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AD : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AD : "BA - duree de l'activite en mois - Declarant 1" ;
COD5AE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5AE : "Micro-entrepreneur - BNC prof. - ECF - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AF : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AF : "Cession ou cessation d'activite BA - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5AG : "BA - micro - ECF - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AH : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AH : "Cession ou cessation d'activite BA - PAC (case a cocher)" type BOOLEEN ;
COD5AI : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AI : "Cession ou cessation d'activite BA - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5AK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5AK : "BA (CGA) de source etrangere avec CI=I francais - Declarant 1" ;
COD5AL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5AL : "BA (hors CGA) de source etrangere avec CI=I francais - Declarant 1" ;
COD5AN : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AN : "Cession, cessation activite BIC non pro. - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AO : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AO : "Cession, cessation d'activite BNC pro. - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AP : "Cession, cessation activite BNC non pro. - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AQ : "BA (CGA) PVCT, subvention d'equipement, assurance - Declarant 1" ;
COD5AR : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AR : "BA (hors CGA) PVCT, subvention d'equipement, assurance - Declarant 1" ;
COD5AT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5AT : "BNC professionnels regime micro - ECF - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5AX : "BIC professionnels regime micro - ECF - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5AY : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AY : "BA (CGA) : MVCT - Declarant 1" ;
COD5AZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5AZ : "BA (hors CGA) : MVCT - Declarant 1" ;
COD5BC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5BC : "Micro-entrepreneur - BIC prof. - ECF - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BD : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BD : "BA - duree de l'activite en mois - Declarant 2" ;
COD5BE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5BE : "Micro-entrepreneur - BNC prof. - ECF - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BF : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BF : "Cession ou cessation activite BIC pro. - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5BG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5BG : "BA - micro - ECF - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BH : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BH : "Cession ou cessation activite BIC pro. - PAC (case a cocher)" type BOOLEEN ;
COD5BI : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BI : "Cession ou cessation activite BIC pro. - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5BK : "BA (CGA) de source etrangere avec CI=I francais - Declarant 2" ;
COD5BL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5BL : "BA (hors CGA) de source etrangere avec CI=I francais - Declarant 2" ;
COD5BN : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BN : "Cession, cessation activite BIC non pro. - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BO : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BO : "Cession, cessation d'activite BNC pro. - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BP : "Cession, cessation activite BNC non pro. - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BQ : "BA (CGA) PVCT, subventions d'equipement, assurance - Declarant 2" ;
COD5BR : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BR : "BA (hors CGA) PVCT, subventions d'equipement, assurance - Declarant 2" ;
COD5BT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5BT : "BNC professionnels regime micro - ECF - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5BX : "BIC professionnels regime micro - ECF - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5BY : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BY : "BA (CGA) : moins-value a court terme - Declarant 2" ;
COD5BZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5BZ : "BA (hors CGA) : moins-value a court terme - Declarant 2" ;
COD5CC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5CC : "Micro-entrepreneur - BIC prof. - ECF - PAC (case a cocher)" type BOOLEEN ;
COD5CD : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CD : "Locations meublees non pro - duree de l'activite en mois - Declarant 1" type ENTIER ;
COD5CE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5CE : "Micro-entrepreneur - BNC prof. - ECF - PAC (case a cocher)" type BOOLEEN ;
COD5CF : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CF : "Cession ou cessation d'activite LMNP - Declarant 1 (case a cocher)" type BOOLEEN ;
COD5CG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5CG : "BA - micro - ECF - PAC (case a cocher)" type BOOLEEN ;
COD5CI : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CI : "Cession ou cessation d'activite LMNP - Declarant 2 (case a cocher)" type BOOLEEN ;
COD5CK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5CK : "BA (CGA) de source etrangere avec CI=I francais - PAC" ;
COD5CL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5CL : "BA (hors CGA) de source etrangere avec CI=I francais - PAC" ;
COD5CM : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CM : "Cession ou cessation d'activite LMNP - PAC (case a cocher)" type BOOLEEN ;
COD5CN : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CN : "Cession, cessation activite BIC non pro. - PAC (case a cocher)" type BOOLEEN ;
COD5CQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CQ : "Cession ou cessation d'activite BNC pro. - PAC (case a cocher)" type BOOLEEN ;
COD5CR : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CR : "Cession ou cessation d'activite BNC non pro. - PAC (case a cocher)" type BOOLEEN ;
COD5CT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5CT : "BNC professionnels regime micro - ECF - PAC (case a cocher)" type BOOLEEN ;
COD5CU : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CU : "BA (CGA) PVCT, subventions d'equipement, assurance - PAC" ;
COD5CV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CV : "BA (CGA) : MVCT - PAC" ;
COD5CX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5CX : "BIC professionnels regime micro - ECF - PAC (case a cocher)" type BOOLEEN ;
COD5CY : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CY : "BA (hors CGA) PVCT, subvention d'equipement, assurance - PAC" ;
COD5CZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5CZ : "BA (hors CGA) : MVCT - PAC" ;
COD5DB : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DB : "BIC professionnels - duree de l'activite en mois - Declarant 1" ;
COD5DD : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DD : "Locations meublees non pro - duree de l'activite en mois - Declarant 2" type ENTIER ;
COD5DF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DF : "BIC pro (CGA) de source etrangere avec CI = I francais - Declarant 1" ;
COD5DG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DG : "BIC pro (hors CGA) de source etrangere CI=I francais - Declarant 1" ;
COD5DK : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DK : "BIC pro (CGA) PVCT,  subvention d'equipement, assurance - Declarant 1" ;
COD5DL : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DL : "BIC pro (hors CGA) PVCT, subvention d'equipt, assurance - Declarant 1" ;
COD5DM : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DM : "BIC professionnels (CGA) MVCT - Declarant 1" ;
COD5DN : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5DN : "BIC professionnels (hors CGA) : MVCT - Declarant 1" ;
COD5EA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 primrest = 0 alias 5EA : "BA sous CGA - option etalement de l'impot si passage a l'IS - Dec 1" ;
COD5EB : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EB : "BIC professionnels - duree de l'activite en mois - Declarant 2" ;
COD5EC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 primrest = 0 alias 5EC : "BA hors CGA - option etalement de l'impot si passage a l'IS - Dec 1" ;
COD5ED : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ED : "BA - duree de l'activite en mois - PAC" ;
COD5EF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EF : "BIC pro (CGA) de source etrangere avec CI=I francais - Declarant 2" ;
COD5EG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EG : "BIC pro (hors CGA) de source etrangere CI = I francais - Declarant 2" ;
COD5EI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 primrest = 0 alias 5EI : "BA sous CGA - option etalement de l'impot si passage a l'IS - Dec 2" ;
COD5EK : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EK : "BIC pro (CGA) PVCT,  subvention d'equipement, assurance - Declarant 2" ;
COD5EL : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EL : "BIC pro (hors CGA) PVCT, subvention d'equipt, assurance - Declarant 2" ;
COD5EM : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EM : "BIC professionnels (CGA) MVCT - Declarant 2" ;
COD5EN : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5EN : "BIC professionnels (hors CGA) MVCT - Declarant 2" ;
COD5EQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 primrest = 0 alias 5EQ : "BA hors CGA - option etalement de l'impot si passage a l'IS - Dec 2" ;
COD5EU : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 primrest = 0 alias 5EU : "BA sous CGA - option etalement de l'impot si passage a l'IS - PAC" ;
COD5EV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 primrest = 0 alias 5EV : "BA hors CGA - option etalement de l'impot si passage a l'IS - PAC" ;
COD5EY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5EY : "LMNP (CGA) de source etrangere avec CI = I francais - Declarant 1" ;
COD5EZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5EZ : "LMNP (hors CGA) de source etrangere avec CI = I francais - Declarant 1" ;
COD5FA : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 primrest = 0 alias 5FA : "BNC - option etalement de l'impot si passage a l'IS - (case a cocher)" type BOOLEEN ;
COD5FB : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FB : "BIC professionnels - duree de l'activite en mois - PAC" ;
COD5FD : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FD : "Locations meublees non pro - duree de l'activite en mois - PAC" type ENTIER ;
COD5FF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FF : "BIC professionnels (CGA) de source etrangere avec CI=I francais - PAC" ;
COD5FG : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FG : "BIC prof. (hors CGA) de source etrangere avec CI=I francais - PAC" ;
COD5FK : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FK : "BIC pro (CGA) PVCT,  subvention d'equipement, assurance - PAC" ;
COD5FL : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FL : "BIC pro (hors CGA) PVCT, subvention d'equipement, assurance - PAC" ;
COD5FM : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FM : "BIC professionnels (CGA) MVCT - PAC" ;
COD5FN : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5FN : "BIC professionnels (hors CGA) MVCT - PAC" ;
COD5FY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5FY : "LMNP (CGA) de source etrangere avec CI=I francais - Declarant 2" ;
COD5FZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5FZ : "LMNP (hors CGA) de source etrangere avec CI=I francais - Declarant 2" ;
COD5GY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5GY : "LMNP (CGA) de source etrangere avec CI=I francais - PAC" ;
COD5GZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5GZ : "LMNP (hors CGA) de source etrangere avec CI=I francais - PAC" ;
COD5HA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5HA : "BA - produits de la propriete industrielle - Declarant 1" ;
COD5IA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5IA : "BA - produits de la propriete industrielle - Declarant 2" ;
COD5JA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5JA : "BA - produits de la propriete industrielle - PAC" ;
COD5LD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5LD : "BNC non prof. Regime micro - Moins-values a court terme - Declarant 2" ;
COD5MD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5MD : "BNC non prof. regime micro - Moins-values a court terme - PAC " ;
COD5NW : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5NW : "Locations meublees deja soumises aux PS - Declarant 1" ;
COD5OW : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OW : "Locations meublees deja soumises aux PS - Declarant 2" ;
COD5PW : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PW : "Locations meublees deja soumises aux PS - PAC" ;
COD5QA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QA : "BNC pro - produits de la propriete industrielle - Declarant 1" ;
COD5QJ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5QJ : "BNC non pro - produits de la propriete industrielle - Declarant 1" ;
COD5RA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RA : "BNC pro - produits de la propriete industrielle - Declarant 2" ;
COD5RJ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5RJ : "BNC non pro - produits de la propriete industrielle - Declarant 2" ;
COD5RZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5RZ : "BIC non pro regime micro - Moins-values a court terme - Declarant 2" ;
COD5SA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SA : "BNC professionnels - produits de la propriete industrielle - PAC" ;
COD5SJ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SJ : "BNC non professionnels - produits de la propriete industrielle - PAC" ;
COD5SZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5SZ : "BIC non professionnels regime micro - Moins-values a court terme - PAC" ;
COD5TF : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5TF : "BIC non pro - produits de la propriete industrielle - Declarant 1" ;
COD5TJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5TJ : "Micro-ent ventes - Chiffre d'affaires exonere de cot. sociales - Dec 1" ;
COD5TK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5TK : "Micro-ent PS - Chiffre d'affaires exonere de cot. sociales - Dec 1" ;
COD5TL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5TL : "Micro-ent BNC - Recettes exonerees de cot. sociales - Dec 1" ;
COD5TP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5TP : "BIC non professionnels - duree de l'activite en mois - PAC" ;
COD5UF : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UF : "BIC non pro - produits de la propriete industrielle - Declarant 2" ;
COD5UI : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UI : "BIC pro - produits de la propriete industrielle - Declarant 1" ;
COD5UJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5UJ : "Micro-ent ventes - Chiffre d'affaires exonere de cot. sociales - Dec 2" ;
COD5UK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5UK : "Micro-ent PS - Chiffre d'affaires exonere de cot. sociales - Dec 2" ;
COD5UL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5UL : "Micro-ent BNC - Recettes exonerees de cot. sociales - Dec 2" ;
COD5UP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UP : "BIC non professionnels - duree de l'activite (en mois) - Declarant 1" ;
COD5UR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5UR : "BIC non pro (CGA) de source etrangere CI=I francais - Declarant 1" ;
COD5US : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5US : "BIC non pro (hors CGA) etranger avec CI=I francais - Declarant 1" ;
COD5UT : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UT : "BIC non pro (CGA) PVCT, subvention d'equipt, assurance - Declarant 1" ;
COD5UU : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UU : "BIC non pro (hors CGA) PVCT, subv. d'equipt, assurance - Declarant 1" ;
COD5UY : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UY : "BIC non professionnels (CGA) MVCT - Declarant. 1" ;
COD5UZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UZ : "BIC non professionnels (hors CGA) MVCT- Declarant 1" ;
COD5VF : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VF : "BIC non professionnels - produits de la propriete industrielle - PAC" ;
COD5VI : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VI : "BIC prof. - produits de la propriete industrielle - Declarant 2" ;
COD5VJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5VJ : "Micro-ent ventes - Chiffre d'affaires exonere de cot. sociales - PAC" ;
COD5VK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5VK : "Micro-ent PS - Chiffre d'affaires exonere de cot. sociales - PAC" ;
COD5VL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 5VL : "Micro-ent BNC - Recettes exonerees de cot. sociales - PAC" ;
COD5VM : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VM : "BNC non professionnels (CGA) MVCT - Declarant 1" ;
COD5VN : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VN : "BNC non professionnels (hors CGA) MVCT - Declarant 1" ;
COD5VP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VP : "BIC non professionnels - duree de l'activite (en mois) - Declarant 2" ;
COD5VQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VQ : "BIC non professionnels (CGA) PVCT, subv d'equipt, assurance - PAC" ;
COD5VR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5VR : "BIC non pro (CGA) de source etrangere CI=I francais - Declarant 2" ;
COD5VS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5VS : "BIC non pro (hors CGA) etranger avec CI=I francais - Declarant 2" ;
COD5VT : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VT : "BIC non pro (CGA) PVCT, subv d'equipt, assurance - Declarant 2" ;
COD5VU : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VU : "BIC non pro (hors CGA) PVCT, subv. d'equipt, assurance - Declarant 2" ;
COD5VV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VV : "BIC non professionnels (CGA) MVCT - PAC" ;
COD5VW : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VW : "BIC non pro (hors CGA) PVCT, subvention d'equipement, assurance - PAC" ;
COD5VX : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VX : "BIC non professionnels (hors CGA) MVCT - PAC" ;
COD5VY : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VY : "BIC non professionnels (CGA) MVCT - Declarant 2" ;
COD5VZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VZ : "BIC non professionnels (hors CGA) MVCT - Declarant 2" ;
COD5WE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5WE : "Deficits relevant des organismes de sec. sociale (sous CGA) - Dec1" ;
COD5WF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5WF : "Deficits relevant des organismes de sec. sociale (hors CGA) - Dec1" ;
COD5WI : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5WI : "BIC professionnels - produits de la propriete industrielle - PAC" ;
COD5WM : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5WM : "BNC non professionnels (CGA) MVCT - Declarant 2" ;
COD5WN : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5WN : "BNC non professionnels (hors CGA) MVCT - Declarant 2" ;
COD5WR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5WR : "BIC non prof. (CGA) de source etrangere CI=I francais - Declarant PAC" ;
COD5WS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias 5WS : "BIC non prof. (hors CGA) etranger avec CI=I francais - Declarant PAC" ;
COD5XA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5XA : "BA - micro - Revenus exoneres - Declarant 1 " ;
COD5XB : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5XB : "BA - micro - Revenus imposables 2022 - Declarant 1 " ;
COD5XE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5XE : "Deficits relevant des organismes de sec. sociale (sous CGA) - Dec 2" ;
COD5XF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5XF : "Deficits relevant des organismes de sec. sociale (hors CGA) - Dec 2" ;
COD5XH : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XH : "BNC professionnels (CGA) MVCT - Declarant 1" ;
COD5XI : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XI : "BNC professionnels - duree de l'activite en mois - Declarant 1" ;
COD5XJ : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XJ : "BNC pro (CGA) de source etrangere avec CI=I francais - Declarant 1" ;
COD5XK : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XK : "BNC prof. (hors CGA) etranger avec CI=I francais - Declarant 1" ;
COD5XL : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XL : "BNC professionnels (hors CGA) MVCT - Declarant 1" ;
COD5XM : saisie revenu classe = 2 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5XM : "Micro BA N-1 - Declarant 1" ;
COD5XN : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XN : "BA - micro - Moins values a long terme - Declarant 1" ;
COD5XO : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5XO : "BA - micro - Moins values nettes a court terme - Declarant 1" ;
COD5XP : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XP : "BNC pro (CGA) PVCT subvention d'equipement, assurance - Declarant 1" ;
COD5XQ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XQ : "BNC pro (hors CGA) PVCT, subvention d'equipt., assurance - Declarant 1" ;
COD5XR : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XR : "BNC non professionnels - duree de l'activite en mois - Declarant 1" ;
COD5XS : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5XS : "BNC non pro (CGA) de source etrangere avec CI=I francais - Declarant 1" ;
COD5XT : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5XT : "BA au taux marginal sous CGA - Declarant 1" ;
COD5XU : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5XU : "BA au taux marginal sous CGA - Declarant 2" ;
COD5XV : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5XV : "BA au taux marginal hors CGA - Declarant 1" ;
COD5XW : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias 5XW : "BA au taux marginal hors CGA - Declarant 2" ;
COD5XX : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5XX : "BNC non pro (hors CGA) etranger avec CI=I francais - Declarant 1" ;
COD5XY : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XY : "BNC non pro (CGA) PVCT, subvention d'equipt., assurance - Declarant 1" ;
COD5XZ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5XZ : "BNC non pro (hors CGA) PVCT, subv. d'equipt, assurance - Declarant 1" ;
COD5YA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5YA : "BA micro - Revenus exoneres - Declarant 2" ;
COD5YB : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5YB : "BA micro - Revenus imposables 2022 - Declarant 2" ;
COD5YE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5YE : "Deficits relevant des organismes de sec. sociale (sous CGA) - PAC" ;
COD5YF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5YF : "Deficits relevant des organismes de sec. sociale (hors CGA) - PAC" ;
COD5YH : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YH : "BNC professionnels (CGA) MVCT - Declarant 2" ;
COD5YI : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YI : "BNC professionnels - duree de l'activite en mois - Declarant 2" ;
COD5YJ : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YJ : "BNC pro (CGA) de source etrangere avec CI=I francais - Declarant 2" ;
COD5YK : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YK : "BNC prof. (hors CGA) etranger avec CI=I francais - Declarant 2" ;
COD5YL : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YL : "BNC pro (hors CGA) - Moins-values a court terme - Declarant 2" ;
COD5YM : saisie revenu classe = 2 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5YM : "Micro BA N-2 - Declarant 1" ;
COD5YN : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YN : "BA - micro - Moins values a long terme - Declarant 2" ;
COD5YO : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5YO : "BA - micro - Moins values nettes a court terme - Declarant 2" ;
COD5YP : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YP : "BNC pro (CGA) PVCT, subvention d'equipement, assurance - Declarant 2" ;
COD5YQ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YQ : "BNC pro (hors CGA) PVCT, subvention d'equipt, assurance - Declarant 2" ;
COD5YR : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YR : "BNC non professionnels - duree de l'activite en mois - Declarant 2" ;
COD5YS : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5YS : "BNC non pro (CGA) de source etrangere CI=I francais - Declarant 2" ;
COD5YT : saisie revenu classe = 2 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5YT : "Micro BA N-1 - Declarant 2" ;
COD5YU : saisie revenu classe = 2 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5YU : "Micro BA N-2 - Declarant 2" ;
COD5YX : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5YX : "BNC non pro (hors CGA) etranger avec CI=I francais - Declarant 2" ;
COD5YY : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YY : "BNC non pro (CGA) PVCT, subvention d'equipt., assurance - Declarant 2" ;
COD5YZ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5YZ : "BNC non pro (hors CGA) PVCT, subv. d'equipt, assurance - Declarant 2" ;
COD5ZA : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5ZA : "BA - micro - Revenus exoneres - PAC" ;
COD5ZB : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5ZB : "BA - micro - Revenus imposables 2022 - PAC" ;
COD5ZH : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZH : "BNC professionnels (CGA) MVCT - PAC" ;
COD5ZI : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZI : "BNC professionnels - duree de l'activite en mois - PAC" ;
COD5ZJ : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZJ : "BNC professionnels (CGA) de source etrangere avec CI=I francais - PAC" ;
COD5ZK : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZK : "BNC professionnels (hors CGA) etranger avec CI=I francais - PAC" ;
COD5ZL : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZL : "BNC professionnels (hors CGA) MVCT - PAC" ;
COD5ZM : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZM : "BNC non professionnels (CGA) MVCT - PAC" ;
COD5ZN : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZN : "BA - micro - Moins values a long terme - PAC" ;
COD5ZO : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5ZO : "BA - micro - Moins values nettes a court terme - PAC" ;
COD5ZP : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZP : "BNC pro (CGA) PVCT, subvention d'equipement, assurance - PAC" ;
COD5ZQ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZQ : "BNC pro (hors CGA) PVCT, subvention d'equipement, assurance - PAC" ;
COD5ZR : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZR : "BNC non professionnels - duree de l'activite en mois - PAC" ;
COD5ZS : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5ZS : "BNC non pro (CGA) de source etrangere avec CI=I francais - PAC" ;
COD5ZT : saisie revenu classe = 2 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5ZT : "Micro BA N-1 - PAC" ;
COD5ZU : saisie revenu classe = 2 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5ZU : "Micro BA N-2 - PAC" ;
COD5ZW : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZW : "BNC non pro (hors CGA) PVCT, subvention d'equipement, assurance - PAC" ;
COD5ZX : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias 5ZX : "BNC non professionnels  (hors CGA) etranger avec CI=I francais - PAC" ;
COD5ZY : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZY : "BNC non pro (CGA) PVCT, subvention d'equipt., assurance - PAC" ;
COD5ZZ : saisie revenu classe = 2 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5ZZ : "BNC non professionnels (hors CGA) MVCT - PAC" ;
COD6DG : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 6DG : "Deductions des charges foncieres des monuments historiques" ;
COD6EX : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EX : "Pension alimentaire declaree (enfants au-dela du 4eme)" ;
COD6EZ : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EZ : "Pension alimentaire plafonnee en fonction du nombre d'enfants" ;
COD6GX : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GX : "Pension alimentaire (25%) declaree (enfants au-dela du 4eme)" ;
COD6GZ : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GZ : "Pension alimentaire (25%) plafonnee en fonction du nombre d'enfants" ;
COD6HP : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6HP : "Grosses reparations : report 2015" type REEL ;
COD6HQ : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6HQ : "Grosses reparations : report 2016" type REEL ;
COD6HR : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6HR : "Grosses reparations : report 2017" type REEL ;
COD6NS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6NS : "Cotisations versees sur les nouveaux plan epargne retraite - Dec 1" ;
COD6NT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6NT : "Cotisations versees sur les nouveaux plan epargne retraite - Dec 2" ;
COD6NU : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6NU : "Cotisations versees sur les nouveaux plan epargne retraite - PAC" ;
COD6OS : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 6OS : "Autres cotisations deduites des revenus independants (Declarant 1)" ;
COD6OT : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 6OT : "Autres cotisations deduites des revenus independants (Declarant 2)" ;
COD6OU : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 6OU : "Autres cotisations deduites des revenus independants (PAC)" ;
COD7AA : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AA : "LocAvantages et depart a l'etranger (case a cocher)" type BOOLEEN ;
COD7AB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AB : "Prorog. 2021 Scellier realise en 2011, 2012 et acheve en 2012: report" ;
COD7AD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AD : "Prorog. 2021 Scellier realise en 2011, 2010 acheve en 2012: report" ;
COD7AF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AF : "Prorog. 2021 Scellier realise en 2010, 2009 et acheve en 2012: report" ;
COD7AH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AH : "Prorog. 2021 Scellier 2010 realise en 2011 acheve en 2015: report" ;
COD7AI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AI : "Prorog. 2021 Scellier 2011 realise en 2012/2013 acheve en 2015: report" ;
COD7AP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AP : "Prorog. 2021 Scellier 2012 realise en 2012/2013 acheve en 2015: report" ;
COD7AR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AR : "Prorog. 2021 Scellier 2010 realise en 2011 acheve en 2016: report" ;
COD7AS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AS : "Prorog. 2021 Scellier 2011 realise en 2012/2013 acheve en 2016: report" ;
COD7AT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AT : "Prorog. 2021 Scellier 2012 realise en 2012/2013 acheve en 2016: report" ;
COD7AU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AU : "Prorogation 2021 Scellier realise et acheve en 2012 : report" ;
COD7BA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BA : "2nde prorogation 2022 realise en 2011 acheve en 2014" ;
COD7BB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BB : "2nde prorogation 2022 realise en 2011 engage en 2010 acheve en 2014" ;
COD7BC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BC : "2nde prorogation 2022, realise du 01/01 au 31/03/2011 acheve en 2014" ;
COD7BD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BD : "2nde prorogation 2022, realise du 01/04 au 31/12/2011 acheve en 2014" ;
COD7BE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BE : "2nde prorogation 2022 realise en 2012 acheve en 2014" ;
COD7BF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BF : "2nde prorogation 2022 realise en 2012 engage en 2011 acheve en 2014" ;
COD7BG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BG : "2nde prorogation 2022, realise du 01/01 au 31/03/2012 acheve en 2014" ;
COD7BH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BH : "2nde prorogation 2022, realise du 01/04 au 31/12/2012 acheve en 2014" ;
COD7BJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BJ : "2nde prorogation 2022, realise du 01/01 au 31/03/2013 acheve en 2014" ;
COD7BK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7BK : "Reduction LocAvantages 15 %" ;
COD7BL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7BL : "Reduction LocAvantages 20 %" ;
COD7BM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7BM : "Reduction LocAvantages 35 %" ;
COD7BN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7BN : "Reduction LocAvantages 40 %" ;
COD7BO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7BO : "Reduction LocAvantages 65 %" ;
COD7BS : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7BS : "Report souscriptions au capital de societes foncieres solidaires 2020" ;
COD7BT : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7BT : "Report souscriptions au capital de societes foncieres solidaires 2021" ;
COD7CA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7CA : "Report souscriptions au capital des PME du 9.5 au 31.12.2021" ;
COD7CH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7CH : "Souscriptions au capital de PME et ESUS du 18.3 au 31.12.2022" ;
COD7CH_A : calculee primrest = 0 : "RI evt avant" ;
COD7CI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7CI : "Souscriptions au capital de PME et ESUS du 1.1 au 17.3.2022" ;
COD7CQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7CR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CR : "Report souscriptions au capital des PME et ESUS 2018" ;
COD7CR_A : calculee primrest = 0 : "RI evt avant" ;
COD7CS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CS : "Report souscriptions au capital des PME et ESUS du 10.8 au 31.12.2020" ;
COD7CT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CT : "Report souscriptions au capital des PME et ESUS du 1.1 au 8.5.2021" ;
COD7CV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CV : "Report souscriptions au capital des PME et ESUS 2019" ;
COD7CV_A : calculee primrest = 0 : "RI evt avant" ;
COD7CX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CX : "Report souscriptions au capital des PME et ESUS du 1.1 au 9.8.2020" ;
COD7CX_A : calculee primrest = 0 : "RI evt avant" ;
COD7CY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CY : "Report de reduction 2017 au titre du plafonnement global" ;
COD7DC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7DC : "Report souscriptions au capital des ESUS du 9.5 au 31.12.2021" ;
COD7DR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 primrest = 0 alias 7DR : "Aides percues pour l'emploi a domicile" ;
COD7DY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7DY : "Report de reduction 2018 au titre du plafonnement global" ;
COD7EK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EK : "Report de reduction 2021 SFS et ESUS" ;
COD7EN : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EN : "Souscriptions SOFICA  - Taux 48 %" ;
COD7EY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EY : "Report de reduction 2019 au titre du plafonnement global" ;
COD7FT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7FT : "Souscriptions de parts de FIP du 18/3 au 31/12/2022" ;
COD7FU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FU : "Investissements Duflot acheves en 2019 : report 1/9 de la RI " ;
COD7FW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FW : "Investissements Duflot acheves en 2017 : report 1/9 de la RI " ;
COD7FX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FX : "Investissements Duflot acheves en 2018 : report 1/9 de la RI " ;
COD7FY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FY : "Report de reduction 2020 au titre du plafonnement global" ;
COD7GR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7GR : "Souscriptions de parts de FCPI du 18/3 au 31/12/2022" ;
COD7GS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GS : "2nde prorog. 2021, realise en 2011 et acheve en 2012 : report" ;
COD7GU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GU : "2nde prorog. 2021, realise en 2011 ou 2012 et acheve en 2012 : report" ;
COD7GW : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7GW : "Souscriptions au capital de societes foncieres solidaires" ;
COD7GX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GX : "2nde prorogation Scellier 2021, realise et acheve en 2012 : report" ;
COD7GY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GY : "Report de reduction 2021 au titre du plafonnement global" ;
COD7HA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HA : "2nde prorog. 2020, engage en 2010, realise et acheve en 2011 : report" ;
COD7HB : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 1 alias 7HB : "Avance immediate de credit d'impot salarie a domicile" type REEL ;
COD7HD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HD : "Invest. Loc. meublee non prof. initie en 2009 : Report reduction 2020" ;
COD7HE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HE : "Invest. loc. meublee non prof. initie en 2010 : Report reduction 2020" ;
COD7HF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HF : "Invest. loc. meublee non prof. initie en 2011 : Report reduction 2020" ;
COD7HG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HG : "Invest. loc. meublee non prof. initie en 2012 : Report reduction 2020" ;
COD7HH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HH : "Invest. loc. meublee realise acheve de 2013 a 2020 : report RI 2020" ;
COD7HJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HJ : "2nde prorogation Scellier 2020, realise et acheve en 2011 : report" ;
COD7HK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HK : "2nde prorog. 2020, realise en 2011 acheve en 2012 : report" ;
COD7HL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HL : "2nde prorogation Scellier en 2022 realise et acheve en 2010" ;
COD7HM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HM : "2nde prorogation Scellier realise en 2009, 2010 acheve en 2010" ;
COD7HN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HN : "2nde prorog. 2020, realise en 2011 ou 2012 acheve en 2012 : report" ;
COD7HO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HO : "Invest. Loc. meublee non prof. initie en 2009 : Report reduction 2018" ;
COD7HO_A : calculee primrest = 0 : "RI evt avant" ;
COD7HP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HP : "Invest. loc. meublee non prof. initie en 2010 : Report reduction 2018" ;
COD7HP_A : calculee primrest = 0 : "RI evt avant" ;
COD7HQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HQ : "Invest. loc. meublee non prof. initie en 2011 : Report reduction 2018" ;
COD7HQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7HR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HR : "Invest. loc. meublee non prof. initie en 2012 : Report reduction 2018" ;
COD7HR_A : calculee primrest = 0 : "RI evt avant" ;
COD7HS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HS : "Invest. loc. meublee realise/acheve de 2013 a 2020 : report RI 2018" ;
COD7HS_A : calculee primrest = 0 : "RI evt avant" ;
COD7HT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HT : "Invest. loc. meublee non prof. initie en 2009 : Report reduction 2019" ;
COD7HT_A : calculee primrest = 0 : "RI evt avant" ;
COD7HU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HU : "Invest. loc. meublee non prof. initie en 2010 : Report reduction 2019" ;
COD7HU_A : calculee primrest = 0 : "RI evt avant" ;
COD7HV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HV : "Invest. loc. meublee non prof. initie en 2011 : Report reduction 2019" ;
COD7HV_A : calculee primrest = 0 : "RI evt avant" ;
COD7HW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HW : "Invest. loc. meublee non prof. initie en 2012 : Report reduction 2019" ;
COD7HW_A : calculee primrest = 0 : "RI evt avant" ;
COD7HX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HX : "Invest. loc. meublee realise/acheve de 2013 a 2020 : report RI 2019" ;
COD7HX_A : calculee primrest = 0 : "RI evt avant" ;
COD7HY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HY : "2nde prorogation Scellier 2020, realise et acheve en 2012 : report" ;
COD7HZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7HZ : "2nde prorog. 2021, realise et acheve en 2009 : report" ;
COD7IA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IA : "Prorogation Scellier realise en 2011 et acheve en 2016" ;
COD7IB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IB : "Prorogation Scellier engage en 2010 acheve en 2016" ;
COD7IC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IC : "Prorogation Scellier du 01/01/2011 au 31/03/2011 acheve en 2016" ;
COD7IE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IE : "Prorogation Scellier du 01/04/2011 au 31/12/2011 acheve en 2016" ;
COD7IF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IF : "Prorogation Scellier realise en 2012 et acheve en 2016" ;
COD7IG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IG : "Prorogation Scellier engage en 2011 acheve en 2016" ;
COD7IH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IH : "Prorogation Scellier du 01/01/2012 au 31/03/2012 acheve en 2016" ;
COD7IK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IK : "Invest. loc. meublee non prof. : residence pers. agees ou handicapees" type BOOLEEN ;
COD7IL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IL : "Invest. loc. meublee non prof. : residence etudiants" type BOOLEEN ;
COD7IO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IO : "Prorogation Scellier du 01/04/2012 au 31/12/2012 acheve en 2016" ;
COD7IP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IP : "Prorogation Scellier du 01/01/2013 au 31/03/2013 acheve en 2016" ;
COD7IQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IQ : "2nde prorogation en 2022 realise et acheve en 2009" ;
COD7IR_A : calculee primrest = 0 : "RI evt avant" ;
COD7IS_A : calculee primrest = 0 : "RI evt avant" ;
COD7IT_A : calculee primrest = 0 : "RI evt avant" ;
COD7IU_A : calculee primrest = 0 : "RI evt avant" ;
COD7IV_A : calculee primrest = 0 : "RI evt avant" ;
COD7IW_A : calculee primrest = 0 : "RI evt avant" ;
COD7IX_A : calculee primrest = 0 : "RI evt avant" ;
COD7IY_A : calculee primrest = 0 : "RI evt avant" ;
COD7IZ_A : calculee primrest = 0 : "RI evt avant" ;
COD7JA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JA : "Investissement Denormandie acheve en 2019 en metropole 6 ans : report" ;
COD7JA_A : calculee primrest = 0 : "RI evt avant" ;
COD7JB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JB : "Investissement Denormandie acheve en 2019 en metropole 9 ans : report" ;
COD7JB_A : calculee primrest = 0 : "RI evt avant" ;
COD7JC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JC : "Investissement Denormandie acheve en 2019 en outre-mer 6 ans : report" ;
COD7JC_A : calculee primrest = 0 : "RI evt avant" ;
COD7JD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JD : "Investissement Denormandie acheve en 2019 en outre-mer 9 ans : report" ;
COD7JD_A : calculee primrest = 0 : "RI evt avant" ;
COD7JE_A : calculee primrest = 0 : "RI evt avant" ;
COD7JF_A : calculee primrest = 0 : "RI evt avant" ;
COD7JG_A : calculee primrest = 0 : "RI evt avant" ;
COD7JH_A : calculee primrest = 0 : "RI evt avant" ;
COD7JI_A : calculee primrest = 0 : "RI evt avant" ;
COD7JJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7JK_A : calculee primrest = 0 : "RI evt avant" ;
COD7JL_A : calculee primrest = 0 : "RI evt avant" ;
COD7JM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JM : "Invest. Pinel metro realise et acheve en 2019 : report 1/6 de la RI" ;
COD7JM_A : calculee primrest = 0 : "RI evt avant" ;
COD7JN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JN : "Invest. Pinel metro realise et acheve en 2020 : report 1/6 de la RI" ;
COD7JO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JO : "Invest. Pinel metro realise et acheve en 2020 : report 1/9 de la RI" ;
COD7JP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JP : "Invest. Pinel outre-mer realise et acheve en 2020: report 1/6 de la RI" ;
COD7JQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JQ : "Invest. Pinel outre-mer realise et acheve en 2020: report 1/9 de la RI" ;
COD7JR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JR : "Investissement Denormandie acheve en 2020 en metropole 6 ans : report" ;
COD7JS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JS : "Investissement Denormandie acheve en 2020 en metropole 9 ans : report" ;
COD7JS_A : calculee primrest = 0 : "RI evt avant" ;
COD7JT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JT : "Investissement Denormandie acheve en 2020 en outre-mer 6 ans : report" ;
COD7JU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JU : "Investissement Denormandie acheve en 2020 en outre-mer 9 ans : report" ;
COD7JV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JV : "Invest. Pinel metro realise et acheve en 2021 : report 1/6 de la RI" ;
COD7JW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JW : "Invest. Pinel metro realise et acheve en 2021 : report 1/9 de la RI" ;
COD7JX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JX : "Invest. Pinel outre-mer realise et acheve en 2021: report 1/6 de la RI" ;
COD7JY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JY : "Invest. Pinel outre-mer realise et acheve en 2021: report 1/9 de la RI" ;
COD7JZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7JZ : "Investissement location meublee non professionnelle 2013 et 2014" ;
COD7KA_A : calculee primrest = 0 : "RI evt avant" ;
COD7KB_A : calculee primrest = 0 : "RI evt avant" ;
COD7KC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KC : "2nde prorogation 2019, realise et acheve en 2011 : report RI" ;
COD7KC_A : calculee primrest = 0 : "RI evt avant" ;
COD7KD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KD : "2nde prorog. 2019, engage en 2010 realise et acheve en 2011: report RI" ;
COD7KD_A : calculee primrest = 0 : "RI evt avant" ;
COD7KE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KE : "Invest. loc. meublee non prof. initie en 2009 : Report reduction 2021" ;
COD7KF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KF : "Invest. loc. meublee non prof. initie en 2010 : Report reduction 2021" ;
COD7KG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KG : "Invest. loc. meublee non prof. initie en 2011 : Report reduction 2021" ;
COD7KH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KH : "Invest. loc. meublee non prof. initie en 2012 : Report reduction 2021" ;
COD7KI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KI : "Invest. loc. meublee realise et acheve de 2013 a 2020 : report RI 2021" ;
COD7KJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KJ : "Prorogation Scellier engage et realise en 2011 et acheve en 2017" ;
COD7KL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KL : "Prorogation Scellier du 01/01/2011 au 31/03/2011 acheve en 2017" ;
COD7KM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KM : "Invest. Pinel metro realise et acheve en 2019 : report 1/9 de la RI" ;
COD7KM_A : calculee primrest = 0 : "RI evt avant" ;
COD7KN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KN : "Prorogation Scellier du 01/04/2011 au 31/12/2011 acheve en 2017" ;
COD7KO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KO : "Prorogation Scellier realise en 2012 et acheve en 2017" ;
COD7KQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KQ : "Prorogation Scellier du 01/01/2012 au 31/03/2012 acheve en 2017" ;
COD7KR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KR : "Prorogation Scellier du 01/04/2012 au 31/12/2012 acheve en 2017" ;
COD7KS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KS : "Prorogation Scellier du 01/01/2013 au 31/03/2013 acheve en 2017" ;
COD7KT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KT : "2nde prorogation 2021, realise en 2011 et acheve en 2011/12: report RI" ;
COD7KU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KU : "2nde prorog. 2021, engage en 2010 et acheve en 2011/2012: report RI" ;
COD7KV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7KV : "2nde prorog. 2021, realise et acheve en 2012: report RI" ;
COD7KW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7KW : "Travaux de restauration Immobiliere : report de la RI 2020" ;
COD7KX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7KX : "Travaux de restauration Immobiliere : report de la RI 2019" ;
COD7KX_A : calculee primrest = 0 : "RI evt avant" ;
COD7KY_A : calculee primrest = 0 : "RI evt avant" ;
COD7KZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7KZ : "Travaux de restauration Immobiliere : report de la RI 2021" ;
COD7KZ_A : calculee primrest = 0 : "RI evt avant" ;
COD7LA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LA : "Investissement Scellier 2009 : report reduction 2017" ;
COD7LA_A : calculee primrest = 0 : "RI evt avant" ;
COD7LB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LB : "Investissement Scellier 2010: report reduction 2017" ;
COD7LB_A : calculee primrest = 0 : "RI evt avant" ;
COD7LC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LC : "Investissement Scellier 2011 : report reduction 2017" ;
COD7LC_A : calculee primrest = 0 : "RI evt avant" ;
COD7LD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LD : "2nde prorogation 2022 realise en 2011 acheve en 2013" ;
COD7LE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LE : "2nde prorogation 2022 realise en 2011 engage en 2010 acheve en 2013" ;
COD7LF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LF : "2nde prorogation  2022, realise du 01/01 au 31/03/2011 acheve en 2013" ;
COD7LG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LG : "Investissement Denormandie acheve en 2021 en metropole 6 ans : report" ;
COD7LH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LH : "Investissement Denormandie acheve en 2021 en metropole 9 ans : report" ;
COD7LI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LI : "Investissement Denormandie acheve en 2021 en outre-mer 6 ans : report" ;
COD7LJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LJ : "Investissement Denormandie acheve en 2021 en outre-mer 9 ans : report" ;
COD7LM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LM : "Invest. Pinel outre-mer realise et acheve en 2019: report 1/6 de la RI" ;
COD7LM_A : calculee primrest = 0 : "RI evt avant" ;
COD7LN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LN : "2nde prorogation  2022, realise du 01/04 au 31/12/2011 acheve en 2013" ;
COD7LT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LT : "2nde prorogation 2022 realise en 2012 acheve en 2013" ;
COD7LX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LX : "2nde prorogation 2022 realise en 2012 engage en 2011 acheve en 2013" ;
COD7LY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LY : "Investissement Scellier 2012 : report reduction 2017" ;
COD7LY_A : calculee primrest = 0 : "RI evt avant" ;
COD7LZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7LZ : "2nde prorogation  2022, realise du 01/01 au 31/03/2012 acheve en 2013" ;
COD7MA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MA : "Investissement Scellier 2009 : report reduction 2020" ;
COD7MB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MB : "Investissement Scellier 2010: report reduction 2020" ;
COD7MC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MC : "Investissement Scellier 2011 : report reduction 2020" ;
COD7MD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MD : "Investissement Scellier 2012 : report reduction 2020" ;
COD7MG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MG : "2nde prorogation  2022, realise du 01/04 au 31/12/2012 acheve en 2013" ;
COD7MH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MH : "2nde prorogation  2022, realise du 01/01 au 31/03/2013 acheve en 2013" ;
COD7MI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MI : "Investissement Scellier 2009 : report reduction 2021" ;
COD7MJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MJ : "Investissement Scellier 2010 : report reduction 2021" ;
COD7MK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MK : "Investissement Scellier 2011 : report reduction 2021" ;
COD7ML : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ML : "Investissement Scellier 2012 : report reduction 2021" ;
COD7MM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MM : "Invest. Pinel outre-mer realise et acheve en 2019: report 1/9 de la RI" ;
COD7MM_A : calculee primrest = 0 : "RI evt avant" ;
COD7MN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MN : "Investissement location meublee non professionnelle realisee en 2022" ;
COD7MO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MO : "Investissement Scellier 2009 : report reduction 2019" ;
COD7MO_A : calculee primrest = 0 : "RI evt avant" ;
COD7MP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MP : "Investissement Scellier 2010: report reduction 2019" ;
COD7MP_A : calculee primrest = 0 : "RI evt avant" ;
COD7MQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MQ : "Investissement Scellier 2011 : report reduction 2019" ;
COD7MQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7MR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MR : "Investissement Scellier 2012 : report reduction 2019" ;
COD7MR_A : calculee primrest = 0 : "RI evt avant" ;
COD7MS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MS : "Investissement Scellier 2009 : report reduction 2018" ;
COD7MS_A : calculee primrest = 0 : "RI evt avant" ;
COD7MT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MT : "Investissement Scellier 2010: report reduction 2018" ;
COD7MT_A : calculee primrest = 0 : "RI evt avant" ;
COD7MU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MU : "Investissement Scellier 2011 : report reduction 2018" ;
COD7MU_A : calculee primrest = 0 : "RI evt avant" ;
COD7MV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MV : "Investissement Scellier 2012 : report reduction 2018" ;
COD7MV_A : calculee primrest = 0 : "RI evt avant" ;
COD7MW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MW : "Investissement location meublee non professionnelle realisee en 2021" ;
COD7MX : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7MX : "Entreprises de presse (30%) " ;
COD7MY : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7MY : "Entreprises de presse (50%)" ;
COD7MZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7MZ : "Investissement location meublee non professionnelle realisee en 2020" ;
COD7MZ_A : calculee primrest = 0 : "RI evt avant" ;
COD7NA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NA : "Investissement Denormandie 2019 acheve en 2022 en metropole : 6 ans" ;
COD7NA_A : calculee primrest = 0 : "RI evt avant" ;
COD7NB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NB : "Investissement Denormandie 2019 acheve en 2022 en metropole : 9 ans" ;
COD7NB_A : calculee primrest = 0 : "RI evt avant" ;
COD7NC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NC : "Investissement Denormandie 2019 acheve en 2022 en outre-mer : 6 ans" ;
COD7NC_A : calculee primrest = 0 : "RI evt avant" ;
COD7ND : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ND : "Investissement Denormandie 2019 acheve en 2022 en outre-mer : 9 ans" ;
COD7ND_A : calculee primrest = 0 : "RI evt avant" ;
COD7NE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NE : "Invest. Denormandie 2020 acheve en 2022 en metropole : 6 ans" ;
COD7NE_A : calculee primrest = 0 : "RI evt avant" ;
COD7NF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NF : "Invest. Denormandie 2020 acheve en 2022 en metropole : 9 ans" ;
COD7NF_A : calculee primrest = 0 : "RI evt avant" ;
COD7NG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NG : "Invest. Denormandie 2020 acheve en 2022 en outre-mer : 6 ans" ;
COD7NG_A : calculee primrest = 0 : "RI evt avant" ;
COD7NH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NH : "Invest. Denormandie 2020 acheve en 2022 en outre-mer : 9 ans" ;
COD7NH_A : calculee primrest = 0 : "RI evt avant" ;
COD7NI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NI : "Invest. Denormandie 2021 et acheve en 2022 en metropole : 6 ans" ;
COD7NJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NJ : "Invest. Denormandie 2021 et acheve en 2022 en metropole : 9 ans" ;
COD7NK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NK : "Invest. Denormandie 2021 et acheve en 2022 en outre-mer : 6 ans" ;
COD7NL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NL : "Invest. Denormandie 2021 et acheve en 2022 en outre-mer : 9 ans" ;
COD7NM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NM : "Invest. Denormandie realise et acheve en 2022 en metropole : 6 ans" ;
COD7NN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NN : "Invest. Denormandie realise et acheve en 2022 en metropole : 9 ans" ;
COD7NO_A : calculee primrest = 0 : "RI evt avant" ;
COD7NP_A : calculee primrest = 0 : "RI evt avant" ;
COD7NQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7NR_A : calculee primrest = 0 : "RI evt avant" ;
COD7NS_A : calculee primrest = 0 : "RI evt avant" ;
COD7NT_A : calculee primrest = 0 : "RI evt avant" ;
COD7NU_A : calculee primrest = 0 : "RI evt avant" ;
COD7NVZ_A : calculee primrest = 0 : "RI evt avant" ;
COD7NV_A : calculee primrest = 0 : "RI evt avant" ;
COD7NW_A : calculee primrest = 0 : "RI evt avant" ;
COD7NX : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NX : "Travaux de restaur. Immob. du 09/07 au 31/12/2016 couvert par un PSMV" ;
COD7NX_A : calculee primrest = 0 : "RI evt avant" ;
COD7NY : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NY : "Travaux de rest. Immob. du 9/7 au 31/12/2016  non couvert par un PSMV" ;
COD7NY_A : calculee primrest = 0 : "RI evt avant" ;
COD7OA_A : calculee primrest = 0 : "RI evt avant" ;
COD7OB_A : calculee primrest = 0 : "RI evt avant" ;
COD7OC_A : calculee primrest = 0 : "RI evt avant" ;
COD7OD_A : calculee primrest = 0 : "RI evt avant" ;
COD7OE_A : calculee primrest = 0 : "RI evt avant" ;
COD7OF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OF : "Invest. loc. meublee non prof. 2013/2014 acheve en 2014 : report" ;
COD7OF_A : calculee primrest = 0 : "RI evt avant" ;
COD7OG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OG : "Invest. loc. meublee non prof. initie en 2012 acheve en 2014 : report" ;
COD7OG_A : calculee primrest = 0 : "RI evt avant" ;
COD7OH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OH : "Invest. loc. meublee non prof. initie en 2011 acheve en 2014 : report" ;
COD7OH_A : calculee primrest = 0 : "RI evt avant" ;
COD7OI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OI : "Invest. loc. meublee non prof. initie en 2010 acheve.en 2014 : report" ;
COD7OI_A : calculee primrest = 0 : "RI evt avant" ;
COD7OJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OJ : "Invest. loc. meublee non prof. initie en 2009 acheve en 2014 : report" ;
COD7OJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7OK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OK : "Invest. loc. meublee non prof. 2013 a 2015 acheve en 2015 : report" ;
COD7OK_A : calculee primrest = 0 : "RI evt avant" ;
COD7OL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OL : "Invest. loc. meublee non prof. initie en 2012 acheve en 2015 : report" ;
COD7OL_A : calculee primrest = 0 : "RI evt avant" ;
COD7OM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OM : "Invest. loc. meublee non prof. initie en 2011 acheve en 2015 : report" ;
COD7OM_A : calculee primrest = 0 : "RI evt avant" ;
COD7ON : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ON : "Invest. loc. meublee non prof. initie en 2010 acheve.en 2015 : report" ;
COD7ON_A : calculee primrest = 0 : "RI evt avant" ;
COD7OO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OO : "Invest. loc. meublee non prof. initie en 2009 acheve en 2015 : report" ;
COD7OO_A : calculee primrest = 0 : "RI evt avant" ;
COD7OP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OP : "Invest. loc. meublee non prof. 2013 a 2016 acheve en 2016 : report" ;
COD7OP_A : calculee primrest = 0 : "RI evt avant" ;
COD7OQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OQ : "Invest. loc. meublee non prof. initie en 2012 acheve en 2016 : report" ;
COD7OQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7OR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OR : "Invest. loc. meublee non prof. initie en 2011 acheve en 2016 : report" ;
COD7OR_A : calculee primrest = 0 : "RI evt avant" ;
COD7OS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OS : "Invest. loc. meublee non prof. initie en 2010 acheve.en 2016 : report" ;
COD7OS_A : calculee primrest = 0 : "RI evt avant" ;
COD7OT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OT : "Invest. loc. meublee non prof. initie en 2009 acheve en 2016 : report" ;
COD7OT_A : calculee primrest = 0 : "RI evt avant" ;
COD7OU_A : calculee primrest = 0 : "RI evt avant" ;
COD7OV_A : calculee primrest = 0 : "RI evt avant" ;
COD7OW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OW : "Investissement  location meublee non professionnelle realise en 2016" ;
COD7OW_A : calculee primrest = 0 : "RI evt avant" ;
COD7OX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OX : "Investissement  location meublee non professionnelle realise en 2017" ;
COD7OX_A : calculee primrest = 0 : "RI evt avant" ;
COD7OY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OY : "Investissement  location meublee non professionnelle realise en 2018" ;
COD7OY_A : calculee primrest = 0 : "RI evt avant" ;
COD7OZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7OZ : "Annulation du plafonnement du report LMNP en contentieux (a cocher)" type BOOLEEN ;
COD7PA : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7PA : "1er abonnement a la presse politique et generale du 1.1 au 12.6.2022" ;
COD7PA_A : calculee primrest = 0 : "RI evt avant" ;
COD7PB : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7PB : "1er abonnement a la presse politique et generale du 13.6 au 31.12.2022" ;
COD7PB_A : calculee primrest = 0 : "RI evt avant" ;
COD7PC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PC : "2nde prorogation 2020, realise et acheve en 2012: report RI" ;
COD7PC_A : calculee primrest = 0 : "RI evt avant" ;
COD7PD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PD : "2nde prorog. 2020, engage en 2010 et acheve en 2011/2012: report RI" ;
COD7PD_A : calculee primrest = 0 : "RI evt avant" ;
COD7PE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PE : "2nde prorog. 2020, realise et acheve en 2012: report RI" ;
COD7PE_A : calculee primrest = 0 : "RI evt avant" ;
COD7PF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PF : "Invest. Denormandie realise et acheve en 2022 en outre-mer : 6 ans" ;
COD7PF_A : calculee primrest = 0 : "RI evt avant" ;
COD7PG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PG : "Invest. Denormandie realise et acheve en 2022 en outre-mer : 9 ans" ;
COD7PG_A : calculee primrest = 0 : "RI evt avant" ;
COD7PH_A : calculee primrest = 0 : "RI evt avant" ;
COD7PI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PI : "Prorog. 2021 Scellier realise en 2011, 2010 et acheve en 2011: report" ;
COD7PI_A : calculee primrest = 0 : "RI evt avant" ;
COD7PJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PJ : "Prorog. 2021 Scellier realise en 2010, 2009 et acheve en 2011: report" ;
COD7PJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7PK_A : calculee primrest = 0 : "RI evt avant" ;
COD7PL_A : calculee primrest = 0 : "RI evt avant" ;
COD7PM_A : calculee primrest = 0 : "RI evt avant" ;
COD7PN_A : calculee primrest = 0 : "RI evt avant" ;
COD7PO_A : calculee primrest = 0 : "RI evt avant" ;
COD7PP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PP : "Invest. loc. meublee non prof. initie en 2009 : Report reduction 2016" ;
COD7PP_A : calculee primrest = 0 : "RI evt avant" ;
COD7PQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PQ : "Invest. loc. meublee non prof. initie en 2010 : Report reduction 2016" ;
COD7PQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7PR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PR : "Invest. loc. meublee non prof.  initie en 2011 : Report reduction 2016" ;
COD7PR_A : calculee primrest = 0 : "RI evt avant" ;
COD7PS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PS : "Invest. loc. meublee non prof.  initie en 2012 : Report reduction 2016" ;
COD7PS_A : calculee primrest = 0 : "RI evt avant" ;
COD7PT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PT : "Invest. loc. meublee realise/acheve de 2013 a 2020 : report RI 2016" ;
COD7PT_A : calculee primrest = 0 : "RI evt avant" ;
COD7PU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PU : "Invest. loc. meublee non prof. initie en 2009 : Report reduction 2017" ;
COD7PU_A : calculee primrest = 0 : "RI evt avant" ;
COD7PV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PV : "Invest. loc. meublee non prof. initie en 2010 : Report reduction 2017" ;
COD7PV_A : calculee primrest = 0 : "RI evt avant" ;
COD7PW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PW : "Invest. loc. meublee non prof.  initie en 2011 : Report reduction 2017" ;
COD7PW_A : calculee primrest = 0 : "RI evt avant" ;
COD7PX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PX : "Invest. loc. meublee non prof.  initie en 2012 : Report reduction 2017" ;
COD7PX_A : calculee primrest = 0 : "RI evt avant" ;
COD7PY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PY : "Invest. loc. meublee realise/acheve de 2013 a 2020 : report RI 2017" ;
COD7PY_A : calculee primrest = 0 : "RI evt avant" ;
COD7PZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7PZ : "Investissement location meublee non professionnelle realise en 2019" ;
COD7PZ_A : calculee primrest = 0 : "RI evt avant" ;
COD7QA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QA : "Invest. Pinel metropole realise en 2020 et acheve en 2022 : 6 ans" ;
COD7QA_A : calculee primrest = 0 : "RI evt avant" ;
COD7QB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QB : "Invest. Pinel metropole realise en 2020 et acheve en 2022 : 9 ans" ;
COD7QB_A : calculee primrest = 0 : "RI evt avant" ;
COD7QC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QC : "Invest. Pinel outre-mer realise en 2020 et acheve en 2022 : 6 ans" ;
COD7QC_A : calculee primrest = 0 : "RI evt avant" ;
COD7QD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QD : "Invest. Pinel outre-mer realise en 2020 et acheve en 2022 : 9 ans" ;
COD7QD_A : calculee primrest = 0 : "RI evt avant" ;
COD7QE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QE : "Prorogation 2021 Scellier realise et acheve en 2011: report" ;
COD7QF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QF : "Invest. Denormandie a/c de 2019 et depart a l'etranger (case a cocher)" ;
COD7QH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QH : "Invest. Pinel a/c de 2019 et depart a l'etranger (case a cocher)" ;
COD7QI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QI : "Invest. Pinel metropole realise en 2021 et acheve en 2022 : 6 ans" ;
COD7QI_A : calculee primrest = 0 : "RI evt avant" ;
COD7QJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QJ : "Invest. Pinel metropole realise en 2021 et acheve en 2022 : 9 ans" ;
COD7QJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7QK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QK : "Invest. Pinel outre-mer realise en 2021 et acheve en 2022 : 6 ans" ;
COD7QK_A : calculee primrest = 0 : "RI evt avant" ;
COD7QL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QL : "Invest. Pinel outre-mer realise en 2021 et acheve en 2022 : 9 ans" ;
COD7QL_A : calculee primrest = 0 : "RI evt avant" ;
COD7QM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QM : "Investissement Pinel metropole realise et acheve en 2022 : 6 ans" ;
COD7QM_A : calculee primrest = 0 : "RI evt avant" ;
COD7QN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QN : "Investissement Pinel metropole realise et acheve en 2022 : 9 ans" ;
COD7QN_A : calculee primrest = 0 : "RI evt avant" ;
COD7QO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QO : "Investissement Pinel outre-mer realise et acheve en 2022 : 6 ans" ;
COD7QO_A : calculee primrest = 0 : "RI evt avant" ;
COD7QP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QP : "Investissement Pinel outre-mer realise et acheve en 2022 : 9 ans" ;
COD7QP_A : calculee primrest = 0 : "RI evt avant" ;
COD7QQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QQ : "Invest. Pinel outre-mer realise en 2019 et acheve en 2022 : 9 ans" ;
COD7QQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7QR_A : calculee primrest = 0 : "RI evt avant" ;
COD7QS_A : calculee primrest = 0 : "RI evt avant" ;
COD7QT_A : calculee primrest = 0 : "RI evt avant" ;
COD7QU_A : calculee primrest = 0 : "RI evt avant" ;
COD7QV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QV : "Annulation du plaf. du report Duflot/Pinel en contentieux (a cocher)" type BOOLEEN ;
COD7QW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QW : "Invest. Pinel metropole realise en 2019 et acheve en 2022 : 6 ans" ;
COD7QW_A : calculee primrest = 0 : "RI evt avant" ;
COD7QX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QX : "Invest. Pinel metropole realise en 2019 et acheve en 2022 : 9 ans" ;
COD7QX_A : calculee primrest = 0 : "RI evt avant" ;
COD7QY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7QY : "Invest. Pinel outre-mer realise en 2019 et acheve en 2022 : 6 ans" ;
COD7QY_A : calculee primrest = 0 : "RI evt avant" ;
COD7RA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RA : "Invest. Pinel metro realise et acheve en 2017 : report 1/6 de la RI" ;
COD7RA_A : calculee primrest = 0 : "RI evt avant" ;
COD7RB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RB : "Invest. Pinel metro realise et acheve en 2017 : report 1/9 de la RI" ;
COD7RB_A : calculee primrest = 0 : "RI evt avant" ;
COD7RC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RC : "Invest. Pinel outre-mer realise et acheve en 2017: report 1/6 de la RI" ;
COD7RC_A : calculee primrest = 0 : "RI evt avant" ;
COD7RD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RD : "Invest. Pinel outre-mer realise et acheve en 2017: report 1/9 de la RI" ;
COD7RD_A : calculee primrest = 0 : "RI evt avant" ;
COD7RE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RE : "Invest. Pinel metro realise et acheve en 2018 : report 1/6 de la RI" ;
COD7RE_A : calculee primrest = 0 : "RI evt avant" ;
COD7RF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RF : "Invest. Pinel metro realise et acheve en 2018 : report 1/9 de la RI" ;
COD7RF_A : calculee primrest = 0 : "RI evt avant" ;
COD7RG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RG : "Invest. Pinel outre-mer realise et acheve en 2018: report 1/6 de la RI" ;
COD7RG_A : calculee primrest = 0 : "RI evt avant" ;
COD7RH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RH : "Invest. Pinel outre-mer realise et acheve en 2018: report 1/9 de la RI" ;
COD7RH_A : calculee primrest = 0 : "RI evt avant" ;
COD7RI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RI : "Investissement Pinel 2014 en metropole prorogation 2021 : report" ;
COD7RI_A : calculee primrest = 0 : "RI evt avant" ;
COD7RJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RJ : "Investissement Pinel outre-mer 2014 prorogation 2021 : report" ;
COD7RJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7RK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RK : "Prorogation Scellier realise et acheve en 2009/2010 : report RI 2021" ;
COD7RK_A : calculee primrest = 0 : "RI evt avant" ;
COD7RL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RL : "Prorogation Scellier 2011 engage en 2010 : report RI 2021" ;
COD7RL_A : calculee primrest = 0 : "RI evt avant" ;
COD7RM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RM : "Prorogation Scellier 2011/2012 et engage en 2011 : report RI 2021" ;
COD7RM_A : calculee primrest = 0 : "RI evt avant" ;
COD7RN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RN : "Prorogation Scellier 2012/2013 : report RI 2021" ;
COD7RN_A : calculee primrest = 0 : "RI evt avant" ;
COD7RO_A : calculee primrest = 0 : "RI evt avant" ;
COD7RP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RP : "Investissement Pinel metropole 2016 premiere prorogation triennale" ;
COD7RP_A : calculee primrest = 0 : "RI evt avant" ;
COD7RQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RQ : "Investissement Pinel outre-mer 2016 premiere prorogation triennale" ;
COD7RQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7RR_A : calculee primrest = 0 : "RI evt avant" ;
COD7RS_A : calculee primrest = 0 : "RI evt avant" ;
COD7RT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RT : "Invest. Scellier 2012 ou 2013 (initie en 2012) acheve en 2017 : report" ;
COD7RT_A : calculee primrest = 0 : "RI evt avant" ;
COD7RU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RU : "Investissement Scellier realise en 2011 acheve en 2017 : report" ;
COD7RU_A : calculee primrest = 0 : "RI evt avant" ;
COD7RV_A : calculee primrest = 0 : "RI evt avant" ;
COD7RW_A : calculee primrest = 0 : "RI evt avant" ;
COD7RX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RX : "Investissement Pinel metropole 2015 premiere prorogation triennale" ;
COD7RY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RY : "Investissement Pinel outre-mer 2015 premiere prorogation triennale" ;
COD7SA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SA : "Invest. loc. meublee non prof. 2013 a 2017 acheve en 2017 : report" ;
COD7SA_A : calculee primrest = 0 : "RI evt avant" ;
COD7SB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SB : "Invest. loc. meublee non professionnelle 2012 acheve en 2017 : report" ;
COD7SB_A : calculee primrest = 0 : "RI evt avant" ;
COD7SC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SC : "Invest. loc. meublee non professionnelle 2011 acheve en 2017 : report" ;
COD7SC_A : calculee primrest = 0 : "RI evt avant" ;
COD7SD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SD : "Prorogation Scellier realise et acheve en 2012" ;
COD7SE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SE : "Prorogation Scellier engage en 2011 et acheve en 2012" ;
COD7SE_A : calculee primrest = 0 : "RI evt avant" ;
COD7SF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SF : "Prorogation Scellier EFA realise du 01/01 au 31/03/2012 acheve en 2012" ;
COD7SF_A : calculee primrest = 0 : "RI evt avant" ;
COD7SG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SG : "Prorogation Scellier EFA realise du 01/04 au 31/12/2012 acheve en 2012" ;
COD7SG_A : calculee primrest = 0 : "RI evt avant" ;
COD7SH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SH : "Prorogation Scellier realise et engage en 2011 et acheve en 2012" ;
COD7SHE_A : calculee primrest = 0 : "RI evt avant" ;
COD7SH_A : calculee primrest = 0 : "RI evt avant" ;
COD7SI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SI : "Prorogation Scellier realise en 2011 engage en 2010 et acheve en 2012" ;
COD7SI_A : calculee primrest = 0 : "RI evt avant" ;
COD7SJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SJ : "Prorogation Scellier EFA realise du 01/01 au 31/03/2011 acheve en 2012" ;
COD7SJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7SK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SK : "Prorogation Scellier EFA realise du 01/04 au 31/12/2011 acheve en 2012" ;
COD7SK_A : calculee primrest = 0 : "RI evt avant" ;
COD7SL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SL : "Prorogation Scellier realise en 2010 et acheve en 2012" ;
COD7SL_A : calculee primrest = 0 : "RI evt avant" ;
COD7SM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SM : "Invest. loc. meublee non prof. 2014 a 2020 acheve en 2020 : report" ;
COD7SM_A : calculee primrest = 0 : "RI evt avant" ;
COD7SN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SN : "Invest. loc. meublee non prof. 2013 a 2018 acheve en 2018 : report" ;
COD7SN_A : calculee primrest = 0 : "RI evt avant" ;
COD7SO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SO : "Invest. loc. meublee non professionnelle 2012 acheve en 2018 : report" ;
COD7SO_A : calculee primrest = 0 : "RI evt avant" ;
COD7SP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SP : "Invest. loc. meublee non prof. 2013 a 2019 acheve en 2019 : report" ;
COD7SP_A : calculee primrest = 0 : "RI evt avant" ;
COD7SQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SQ : "Prorogation Scellier realise en 2010 engage en 2009 et acheve en 2012" ;
COD7SR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SR : "Prorogation Scellier realise en 2009 et acheve en 2012" ;
COD7SS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SS : "Invest. loc. meublee non prof. 2015 a 2021 acheve en 2021 : report" ;
COD7SU : saisie revenu classe = 0 priorite = 31 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SU : "Restauration immobiliere engagee en 2019" ;
COD7SV : saisie revenu classe = 0 priorite = 31 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SV : "Restauration immobiliere engagee en 2020" ;
COD7SW : saisie revenu classe = 0 priorite = 31 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 primrest = 0 alias 7SW : "Restauration immobiliere engagee en 2021" ;
COD7SX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SX : "Investissement Pinel 2014 en metropole prorogation 2020 : report" ;
COD7SY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7SY : "Investissement Pinel outre-mer 2014 prorogation 2020 : report" ;
COD7TA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TA : "CI Travaux forestiers apres sinistre - Report 2020" type REEL ;
COD7TB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TB : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2020" type REEL ;
COD7TE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TE : "CI Travaux forestiers apres sinistre - Report 2021" type REEL ;
COD7TF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TF : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2021" type REEL ;
COD7TK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TK : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2014" type REEL ;
COD7TM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TM : "CI Travaux forestiers apres sinistre - Report 2015" type REEL ;
COD7TO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TO : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2015" type REEL ;
COD7TP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TP : "CI Travaux forestiers apres sinistre - Report 2016" type REEL ;
COD7TQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TQ : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2016" type REEL ;
COD7TR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TR : "CI Travaux forestiers apres sinistre - Report 2017" type REEL ;
COD7TS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TS : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2017" type REEL ;
COD7TT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TT : "CI Travaux forestiers apres sinistre - Report 2018" type REEL ;
COD7TU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TU : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2018" type REEL ;
COD7TV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TV : "CI Travaux forestiers apres sinistre - Report 2019" type REEL ;
COD7TW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TW : "CI Travaux forestiers apres sinistre (avec adhesion) - Report 2019" type REEL ;
COD7TX : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7TX : "Travaux de restaur. Immob. engages en 2017 site couvert par un PSMV" ;
COD7TX_A : calculee primrest = 0 : "RI evt avant" ;
COD7TY : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7TY : "Travaux de restaur. immob engages en 2017 site non couvert par un PSMV" ;
COD7TY_A : calculee primrest = 0 : "RI evt avant" ;
COD7UA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UA : "CI invest. forestiers : travaux si adhesion a une org. de producteurs" type REEL ;
COD7UB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UB : "CI travaux forestiers apres sinistre si adh. a une org. de producteurs" type REEL ;
COD7UG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 7UG : "Dons verses a des associations cultuelles (etat europeen hors France)" ;
COD7UH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UH : "Dons aux partis politiques" ;
COD7UI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UI : "CI Inv. forest.:contrat de gestion si adh. a une orga. de producteurs" type REEL ;
COD7UJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UJ : "Dons verses a des associations cultuelles" ;
COD7UU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UU : "Prorogation Scellier realise et acheve en 2009/2010 : report RI 2020" ;
COD7UV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UV : "Prorogation Scellier 2011 engage en 2010 : report RI 2020" ;
COD7UW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UW : "Prorogation Scellier 2011/2012 et engage en 2011 : report RI 2020" ;
COD7UX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UX : "Prorogation Scellier 2012/2013 : report RI 2020" ;
COD7UY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UY : "Investissement Pinel 2015 en metropole prorogation 2021 : report" ;
COD7UZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UZ : "Investissement Pinel outre-mer 2015 prorogation 2021 : report" ;
COD7VH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VH : "CI Travaux forestiers hors sinistre - Report 2019" type REEL ;
COD7VI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VI : "CI Travaux forestiers hors sinistre (avec adhesion) - Report 2019" type REEL ;
COD7VJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VJ : "CI Travaux forestiers hors sinistre - Report 2018" type REEL ;
COD7VK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VK : "CI Travaux forestiers hors sinistre (avec adhesion) - Report 2018" type REEL ;
COD7VM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VM : "CI Travaux forestiers hors sinistre - Report 2020" type REEL ;
COD7VN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VN : "CI Travaux forestiers hors sinistre (avec adhesion) - Report 2020" type REEL ;
COD7VQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VQ : "CI Travaux forestiers hors sinistre - Report 2021" type REEL ;
COD7VR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VR : "CI Travaux forestiers hors sinistre (avec adhesion) - Report 2021" type REEL ;
COD7WA_A : calculee primrest = 0 : "RI evt avant" ;
COD7WB_A : calculee primrest = 0 : "RI evt avant" ;
COD7WC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WC : "Prorogation Scellier EFA realise du 01/01 au 31/03/2013 acheve en 2013" ;
COD7WC_A : calculee primrest = 0 : "RI evt avant" ;
COD7WD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WD : "Prorogation Scellier engage et realise en 2012 et acheve en 2013" ;
COD7WD_A : calculee primrest = 0 : "RI evt avant" ;
COD7WE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WE : "Prorogation Scellier engage en 2011 realise en 2012 et acheve en 2013" ;
COD7WE_A : calculee primrest = 0 : "RI evt avant" ;
COD7WF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WF : "Prorogation Scellier EFA realise du 01/01 au 31/03/2012 acheve en 2013" ;
COD7WF_A : calculee primrest = 0 : "RI evt avant" ;
COD7WG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WG : "Prorogation Scellier EFA realise du 01/04 au 31/12/2012 acheve en 2013" ;
COD7WG_A : calculee primrest = 0 : "RI evt avant" ;
COD7WH : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7WH : "Prevention des risques technologiques - depenses retenues pour 2017" ;
COD7WI : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WI : "Equipements pour l'adaptation des logements" type REEL ;
COD7WK : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7WK : "Prevention des risques technologiques - depenses retenues pour 2015" ;
COD7WQ : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7WQ : "Prevention des risques technologiques - depenses retenues pour 2016" ;
COD7WS : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7WS : "Prevention des risques technologiques-depenses retenues pour 2018" ;
COD7WX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WX : "Prorogation 2021 Scellier 2010 realise en 2011 acheve en 2013: report" ;
COD7WY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WY : "Prorog. 2021 Scellier 2011 realise en 2011/2012 acheve en 2013: report" ;
COD7WZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WZ : "Prorog. 2021 Scellier 2012 realise en 2012/2013 acheve en 2013: report" ;
COD7XA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XA : "Prorogation 2020 Scellier realise et acheve en 2010: report" ;
COD7XB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XB : "Prorog. 2020 Scellier initie en 2009 realise et acheve en 2010: report" ;
COD7XC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XC : "Prorog. 2020 Scellier realise en 2011, 2010 et acheve en 2011: report" ;
COD7XH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XH : "Prorogation Scellier realise et engage en 2011 et acheve en 2013" ;
COD7XH_A : calculee primrest = 0 : "RI evt avant" ;
COD7XI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XI : "Prorogation Scellier realise en 2011 engage en 2010 et acheve en 2013" ;
COD7XI_A : calculee primrest = 0 : "RI evt avant" ;
COD7XJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XJ : "Prorogation Scellier EFA realise du 01/01 au 31/03/2011 acheve en 2013" ;
COD7XJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7XK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XK : "Prorogation Scellier EFA realise du 01/04 au 31/12/2011 acheve en 2013" ;
COD7XK_A : calculee primrest = 0 : "RI evt avant" ;
COD7XL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XL : "Prorog. 2020 Scellier realise en 2010, 2009 et acheve en 2011: report" ;
COD7XM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XM : "Prorogation 2020 Scellier 2010 realise en 2011 acheve en 2014: report" ;
COD7XN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XN : "Prorog. 2020 Scellier 2011 realise en 2011/2012 acheve en 2014: report" ;
COD7XO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XO : "Prorogation Scellier 2011/2012 : report reduction 2017" ;
COD7XO_A : calculee primrest = 0 : "RI evt avant" ;
COD7XP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XP : "Prorogation Scellier 2011 engage en 2010 : report RI 2017" ;
COD7XP_A : calculee primrest = 0 : "RI evt avant" ;
COD7XQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XQ : "Prorogation Scellier 2012 : report reduction 2017" ;
COD7XQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7XR : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7XR : "Prevention des risques technologiques-depenses retenues pour 2020" ;
COD7XV : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7XV : "Prevention des risques technologiques-depenses retenues pour 2021" ;
COD7XX : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7XX : "Travaux de rehabilitation des residences de tourisme" ;
COD7XZ : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7XZ : "Prevention des risques technologiques-depenses retenues pour 2019" ;
COD7YA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YA : "Prorogation 2020 Scellier realise en 2012/2013 acheve en 2014: report" ;
COD7YC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YC : "Prorogation 2020 Scellier 2010 realise en 2011 acheve en 2015: report" ;
COD7YE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YE : "Annulation du plaf. du report Scellier en contentieux (a cocher)" type BOOLEEN ;
COD7YG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YG : "Prorog. 2020 Scellier 2011 realise en 2011/2012 acheve en 2015: report" ;
COD7YI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YI : "Prorogation Scellier realise et acheve en 2009/2010 : report RI 2018" ;
COD7YI_A : calculee primrest = 0 : "RI evt avant" ;
COD7YJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YJ : "Prorogation Scellier 2011 engage en 2010 : report RI 2018" ;
COD7YJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7YK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YK : "Prorogation Scellier 2011/2012 : report reduction 2018" ;
COD7YK_A : calculee primrest = 0 : "RI evt avant" ;
COD7YL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YL : "Prorogation Scellier 2012 : report reduction 2018" ;
COD7YL_A : calculee primrest = 0 : "RI evt avant" ;
COD7YR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YR : "Prorogation 2020 Scellier realise en 2012/2013 acheve en 2015: report" ;
COD7YS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YS : "Prorogation 2020 Scellier realise et acheve en 2011: report" ;
COD7YX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YX : "Prorogation Scellier realise en 2010 et acheve en 2013" ;
COD7YY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YY : "Prorogation Scellier realise en 2010 engage en 2009 et acheve en 2013" ;
COD7YZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7YZ : "Prorogation Scellier realise en 2009 et acheve en 2013" ;
COD7ZA_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZB_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZC_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZD_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZE_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZF_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZG_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZH_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZI : "Prorogation Scellier realise et acheve en 2009/2010 : report  RI 2019" ;
COD7ZI_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZJ : "Prorogation Scellier 2011 engage en 2010 : report RI 2019" ;
COD7ZJ_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZK : "Prorogation Scellier 2011/2012 et engage en 2011 : report RI 2019" ;
COD7ZK_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZL : "Prorogation Scellier 2012/2013 : report RI 2019" ;
COD7ZL_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZM : "2nde prorogation Scellier 2021, realise et acheve en 2009 : report" ;
COD7ZM_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZN_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZO : "Prorogation Scellier 2011/2012 : report reduction 2016" ;
COD7ZO_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ZP : "Prorogation Scellier 2011 engage en 2010 : report reduction 2016" ;
COD7ZP_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZQ : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7ZQ : "Premier systeme de charge vehicule electrique (habitation principale)" ;
COD7ZQ_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZR : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7ZR : "Second systeme de charge vehicule electrique (habitation principale)" ;
COD7ZR_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZS : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7ZS : "Premier systeme de charge vehicule electrique (residence secondaire)" ;
COD7ZS_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZT : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7ZT : "Second systeme de charge vehicule electrique (residence secondaire)" ;
COD7ZT_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZU : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7ZU : "Premier systeme de charge vehicule electrique (demenagement)" ;
COD7ZU_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZV : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7ZV : "Second systeme de charge vehicule electrique (demenagement)" ;
COD7ZV_A : calculee primrest = 0 : "RI evt avant" ;
COD7ZW : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7ZW : "Aide a la personne - depenses retenues pour 2021" ;
COD7ZX : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7ZX : "Aide a la personne - depenses retenues pour 2020" ;
COD7ZY : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7ZY : "Aide a la personne - depenses retenues pour 2019" ;
COD7ZZ : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 0 modcat = 1 restituee primrest = 0 alias 7ZZ : "Aide a la personne - depenses retenues pour 2018" ;
COD8AA : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AA : "Acompte verse BA - Declarant 1 - GestPas" type REEL ;
COD8AB : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AB : "Acompte verse BA - Declarant 2 - GestPas" type REEL ;
COD8AC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AC : "Acompte verse BIC - Declarant 1 - GestPas" type REEL ;
COD8AD : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AD : "Acompte verse BIC - Declarant 2 - GestPas" type REEL ;
COD8AE : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AE : "Acompte verse BNC - Declarant 1 - GestPas" type REEL ;
COD8AF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AF : "Acompte verse BNC - Declarant 2 - GestPas" type REEL ;
COD8AG : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AG : "Acompte verse TS - Declarant 1 - GestPas" type REEL ;
COD8AH : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AH : "Acompte verse TS - Declarant 2 - GestPas" type REEL ;
COD8AI : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AI : "Acompte verse RVTO IR - Declarant 1 - GestPas" type REEL ;
COD8AJ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AJ : "Acompte verse RVTO IR - Declarant 2 - GestPas" type REEL ;
COD8AK : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AK : "Acompte verse RF IR - Declarant 1 - GestPas" type REEL ;
COD8AL : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AL : "Acompte verse RF IR - Declarant 2 - GestPas" type REEL ;
COD8AM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AM : "Acompte verse loc meublee PS - Declarant 1 - GestPas" type REEL ;
COD8AN : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AN : "Acompte verse location meublee PS - Declarant 2 - GestPas" type REEL ;
COD8AO : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AO : "Acompte verse prof non salariee PS - Declarant 1 - GestPas" type REEL ;
COD8AP : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AP : "Acompte verse prof non salariee PS - Declarant 2 - GestPas" type REEL ;
COD8AQ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AQ : "Acompte verse RVTO PS - Declarant 1 - GestPas" type REEL ;
COD8AR : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AR : "Acompte verse RVTO PS - Declarant 2 - GestPas" type REEL ;
COD8AS : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AS : "Acompte verse RF PS - Declarant 1 - GestPas" type REEL ;
COD8AT : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AT : "Acompte verse RF PS - Declarant 2 - GestPas" type REEL ;
COD8AU : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AU : "Acompte verse agent d'assurance - Declarant 1" type REEL ;
COD8AV : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AV : "Acompte verse agent d'assurance - Declarant 2" type REEL ;
COD8AW : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AW : "Acompte verse revenus PAC - Declarant 1" type REEL ;
COD8AX : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AX : "Acompte verse revenus PAC - Declarant 2" type REEL ;
COD8AY : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AY : "Acompte verse revenus PAC PS - Declarant 1" type REEL ;
COD8AZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8AZ : "Acompte verse revenus PAC PS - Declarant 2" type REEL ;
COD8BA : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8BA : "Acompte verse gerant art 62 - Declarant 1" type REEL ;
COD8BB : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8BB : "Acompte verse gerant art 62 - Declarant 2" type REEL ;
COD8BC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8BC : "Acompte verse employe domicile - Declarant 1" type REEL ;
COD8BD : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8BD : "Acompte verse employe domicile - Declarant 2" type REEL ;
COD8EA : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8EA : "Avance percue sur RICI - Declarant 1" type REEL ;
COD8EB : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8EB : "Avance percue sur RICI - Declarant 2" type REEL ;
COD8HV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8HV : "RAS sur salaires et pensions - Declarant 1" type REEL ;
COD8HW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8HW : "Acomptes d'impot sur le revenu deja payes - Declarant 1 " type REEL ;
COD8HX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8HX : "Acomptes de PS deja payes - Declarant 1" type REEL ;
COD8HY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8HY : "Restitution IR contentieux - Declarant 1" type REEL ;
COD8HZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8HZ : "Restitution PS contentieux - Declarant 1" type REEL ;
COD8IE : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8IE : "Imputation impot etranger sur PS 17,2% (RCM)" type REEL ;
COD8IF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8IF : "Imputation impot etranger sur PS 7,5% (RCM)" type REEL ;
COD8IV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8IV : "RAS sur salaires et pensions - Declarant 2" type REEL ;
COD8IW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8IW : "Acomptes d'impot sur le revenu deja payes - Declarant 2 " type REEL ;
COD8IX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8IX : "Acomptes de PS deja payes - Declarant 2" type REEL ;
COD8IY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8IY : "Restitution IR contentieux - Declarant 2" type REEL ;
COD8IZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8IZ : "Restitution PS contentieux - Declarant 2" type REEL ;
COD8JV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8JV : "RAS sur salaires et pensions - PAC 1" type REEL ;
COD8JW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8JW : "Acomptes d'impot sur le revenu deja payes - PAC1 " type REEL ;
COD8JX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8JX : "Acomptes de PS deja payes - PAC1" type REEL ;
COD8JY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8JY : "Restitution IR contentieux - PAC 1" type REEL ;
COD8JZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8JZ : "Restitution PS contentieux - PAC1" type REEL ;
COD8KV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8KV : "RAS sur salaires et pensions - PAC 2" type REEL ;
COD8KW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8KW : "Acomptes d'impot sur le revenu deja payes - PAC2" type REEL ;
COD8KX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8KX : "Acomptes de PS deja payes - PAC2" type REEL ;
COD8KY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8KY : "Restitution IR contentieux - PAC 2" type REEL ;
COD8KZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8KZ : "Restitution PS contentieux - PAC2" type REEL ;
COD8LG : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LG : "Contentieux PAS IR - Declarant 1 - non pris en compte DPR" type REEL ;
COD8LH : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LH : "Contentieux PAS IR - Declarant 2 - non pris en compte DPR" type REEL ;
COD8LI : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LI : "Contentieux PAS IR - PAC - non pris en compte DPR" type REEL ;
COD8LJ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LJ : "Contentieux PAS PS - Declarant 1 - non pris en compte DPR" type REEL ;
COD8LK : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LK : "Contentieux PAS PS - Declarant 2 - non pris en compte DPR" type REEL ;
COD8LL : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LL : "Contentieux PAS PS - PAC - non pris en compte DPR" type REEL ;
COD8LV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8LV : "RAS sur salaires et pensions - PAC 3" type REEL ;
COD8LW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8LW : "Acomptes d'impot sur le revenu deja payes - PAC 3 " type REEL ;
COD8LX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8LX : "Acomptes de PS deja payes - PAC3" type REEL ;
COD8LY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LY : "Restitution IR contentieux - PAC 3" type REEL ;
COD8LZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8LZ : "Restitution PS contentieux - PAC3" type REEL ;
COD8MM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8MM : "Modulation nombre de mois restant Gestpas" type REEL ;
COD8MT : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8MT : "Modulation nombre de trimestres restant Gestpas" type REEL ;
COD8MV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8MV : "RAS sur salaires et pensions - PAC 4 " type REEL ;
COD8MW : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8MW : "Acomptes d'impot sur le revenu deja payes - PAC 4" type REEL ;
COD8MX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8MX : "Acomptes de PS deja payes - PAC 4" type REEL ;
COD8MY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8MY : "Restitution IR contentieux - PAC 4" type REEL ;
COD8MZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8MZ : "Restitution PS contentieux - PAC 4" type REEL ;
COD8NA : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8NA : "Amende 2 du IV art 1736 du CGI (correctif)" type REEL ;
COD8NB : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8NB : "Amende art 1766 du CGI (correctif)" type REEL ;
COD8OT : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8OT : "Conditions IR N-1 respectees Tx PAS = 0 (case a cocher)" type BOOLEEN ;
COD8OU : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8OU : "Remise a 0 du taux PAS" type BOOLEEN ;
COD8OV : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8OV : "Base brute acompte service personne" ;
COD8PA : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8PA : "Plaf calcule pour credit 8VM/8WM/8UM (impot paye a l'etranger)" ;
COD8PB : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8PB : "Plafond calcule pour credit 8VL (impot paye a l'etranger)" ;
COD8PC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8PC : "Taux PAS individualise declarant 2 suite a taxation dans IR-CDA ou M52" ;
COD8PF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8PF : "Taux Pas foyer suite a taxation dans IR-CDA ou M52" ;
COD8PV : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8PV : "Taux PAS individualise declarant 1 suite a taxation dans IR-CDA ou M52" ;
COD8RC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8RC : "Revenus de capitaux mobiliers exoneres de CSG et CRDS" type REEL ;
COD8RF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8RF : "Revenus fonciers exoneres de CSG et CRDS" type REEL ;
COD8RM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8RM : "Plus-values de cession de valeurs mobilieres exonerees de CSG et CRDS" type REEL ;
COD8RP : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 18 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8RP : "Absence de regime obligatoire francais d'assurance maladie (Dec 1)" type BOOLEEN ;
COD8RQ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 18 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8RQ : "Absence de regime obligatoire francais d'assurance maladie (Dec 2)" type BOOLEEN ;
COD8RV : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8RV : "RVTO exonerees de CSG et CRDS" type REEL ;
COD8SA : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8SA : "Pensions en capital prelevement de 7,5% soumis a CSG (8,3%)" type REEL ;
COD8SB : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8SB : "Pensions en capital prelevement de 7,5% soumis a CSG (3,8%)" type REEL ;
COD8SC : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 20 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8SC : "Revenus etrangers allocation de preretraite soumis a CSG (9,2%)" type REEL ;
COD8SD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 22 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8SD : "Pensions en capital prelevement de 7,5% soumis a CSG (6,6%)" ;
COD8SG : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8SG : "Revenus nets RF etrangers avec credit d'impot (CSG, CRDS, PS)" type REEL ;
COD8SH : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8SH : "Affiliation regime sec.soc. EEE, britannique ou Suisse - Dec1 (cocher)" type BOOLEEN ;
COD8SI : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8SI : "Affiliation regime sec.soc. EEE, britannique ou Suisse - Dec2 (cocher)" type BOOLEEN ;
COD8SW : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 13 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8SW : "Allocations de chomage soumis a CSG (6,2%)" type REEL ;
COD8SX : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8SX : "Allocations de chomage soumis a CSG (3,8%)" type REEL ;
COD8TE : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8TE : "Travaux de renovation energetique en entreprise" ;
COD8TH : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 22 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TH : "Pensions retraite et invalidite soumis a CSG au taux de 6,6 %" ;
COD8TL : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8TL : "Credit d'impot competitivite et emploi restituable" ;
COD8UA : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8UA : "BNC : Passage a l'IS - Impot fractionne sur les creances acquises" ;
COD8UB : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8UB : "Passage a l'IS - Interets" ;
COD8UC : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8UC : "Code (valeur 3 ou 5) pour bulletin de surveillance BNC passage a l'IS" ;
COD8UM : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8UM : "Impot paye a l'etranger sur autres revenus - PAC" ;
COD8UW : saisie revenu classe = 0 priorite = 50 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8UW : "Credit d'impot competitivite et emploi" ;
COD8VL : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8VL : "Impot paye a l'etranger sur RCM et plus-values" ;
COD8VM : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8VM : "Impot paye a l'etranger sur autres revenus - Declarant 1" ;
COD8WG : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WG : "Exploitation agricole n'utilisant pas le glyphosate" ;
COD8WH : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WH : "Exploitation agricole a haute valeur environnementale (HVE)" ;
COD8WK : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WK : "Credit d'impot collaboration de recherche" ;
COD8WM : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8WM : "Impot paye a l'etranger sur autres revenus - Declarant 2" ;
COD8XF : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XF : "Gains de levee etranger 18% avec credit d'impot = impot francais" ;
COD8XG : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XG : "Gains de levee etranger 30% avec credit d'impot = impot francais" ;
COD8XH : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XH : "Gains de levee etranger 41% avec credit d'impot = impot francais" ;
COD8XI : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XI : "Pensions a 8,3 % (8 SA) avec credit d'impot" type REEL ;
COD8XJ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XJ : "Pensions a 3,8% (8 SB) avec credit d'impot " type REEL ;
COD8XK : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8XK : "Base prelevements sociaux apres depart a l'etranger" ;
COD8XL : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 17 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XL : "Contribution salariale de 10% avec credit d'impot" ;
COD8XM : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 18 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XM : "CSG 7,5% gains de levee d'option avec credit d'impot" ;
COD8XN : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 22 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8XN : "Pensions a 6,6 % (8SD) avec credit = impot francais" type REEL ;
COD8XO : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 22 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8XO : "Revenus de remplacement etranger a 6,6 % avec credit d'impot" type REEL ;
COD8XV : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XV : "Revenus professionnels taxables a 10% avec credit = impot francais" type REEL ;
COD8XX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8XX : "RCM a 7,5 % avec credit = impot francais" type REEL ;
COD8XY : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XY : "Revenu net (contribution hauts revenus etranger)" type REEL ;
COD8YJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8YJ : "Deficit etranger taux effectif contribution hauts revenus" ;
COD8YK : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8YK : "Base prelevements sociaux avant retour en France" type REEL ;
COD8YL : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 18 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YL : "CSG provisoire a 9,2 % sur gains de levee d'option (1TT,1UT)" ;
COD8YM : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8YM : "RFR (contribution hauts revenus - depart/retour etranger)" type REEL ;
COD8YQ : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YQ : "Imposition provisoire CASA" type REEL ;
COD8YT : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 17 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YT : "Contribution salariale 10 % provisoire" ;
COD8YV : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YV : "CSG provisoire a 6,6 % revenus remplacement etrangers (8TH)" ;
COD8YX : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YX : "CSG provisoire a 6,6 % revenus remplacement etrangers (8SD)" ;
COD8ZH : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8ZH : "CSG provisoire a 8,2 % PV 150-0 B ter" ;
COD8ZQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZQ : "Etalement des primes des sportifs olympiques (Dec 2)" ;
COD8ZX : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZX : "Etalement des primes des sportifs olympiques (Dec 1)" ;
COD9AA : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9AA : "IFI : Residence principale" ;
COD9AB : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9AB : "IFI : Autres immeubles" ;
COD9AC : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9AC : "IFI : Bois, forets et parts de groupements forestiers" ;
COD9AD : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9AD : "IFI : Biens ruraux loues a long terme" ;
COD9AE : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9AE : "IFI : Justificatif exoneration bois et forets (case a cocher)" type BOOLEEN ;
COD9BA : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9BA : "IFI : Parts de Groupement Fonciers Agricoles et de G.A.F" ;
COD9BB : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9BB : "IFI : Autres biens" ;
COD9BZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9BZ : "L'annexe 1 est presente dans la declaration IFI (case a cocher)" ;
COD9CA : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 9CA : "IFI : Autres immeubles detenus indirectement " ;
COD9GF : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 9GF : "IFI Passif : Dettes afferentes aux travaux realises" ;
COD9GH : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 9GH : "IFI Passif : Autres dettes" ;
COD9GL : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9GL : "IFI : concubinage (case a cocher)" type BOOLEEN ;
COD9GM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9GM : "IFI : option pour declaration separee (case a cocher)" type BOOLEEN ;
COD9GN : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9GN : "IFI : Depot d'une 2042 IFI sans IR (case a cocher)" type BOOLEEN ;
COD9GY : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 9GY : "IFI : base nette imposable < = 1 300 000 E (case a cocher) " type BOOLEEN ;
COD9NC : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 9NC : "IFI : reduction pour dons a organisme d'interet general" ;
COD9NG : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 9NG : "IFI : reduction pour dons a organisme etabli en Europe" ;
COD9PR : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 9PR : "IFI plafonnement : impots dus au titre des revenus et produits 2022" ;
COD9PX : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9PX : "IFI plafonnement : revenus et produits 2022" ;
COD9RS : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 9RS : "IFI : impot paye a l'etranger" type REEL ;
COD9YL : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YL : "Restitution comprise entre 4400 E et 8899 E (CI professionnels)" type REEL ;
COD9YM : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YM : "Impot net >= 1 million d'E non valide par le RDC et taxee a la 4e IR " type REEL ;
COD9ZA : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 9ZA : "Non application de l'article 1731 bis - case a cocher (correctif)" type BOOLEEN ;
COD9ZV : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9ZV : "Liste CRES - case a cocher" type BOOLEEN ;
CODBDA : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDA : "Garde d'enfants de moins de 3 ans (18 ans si handicapes) a domicile" ;
CODBDB : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDB : "Accompagnement des enfants de moins de 3 ans (18 ans si handicapes)" ;
CODBDC : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDC : "Assistance et aide aux personnes agÃ©es, ou handicapees" ;
CODBDD : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDD : "Conduite du vehicule personnel des personnes agÃ©es ou handicapees" ;
CODBDE : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDE : "Accompagnement des personnes agÃ©es, ou handicapees" ;
CODBDF : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDF : "Entretien de la maison et travaux menagers" ;
CODBDG : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDG : "Petits travaux de jardinage" ;
CODBDH : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDH : "Travaux de petit bricolage" ;
CODBDI : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDI : "Garde d'enfants de plus de 3 ans a domicile" ;
CODBDJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDJ : "Accompagnement des enfants de 3ans et plus" ;
CODBDK : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDK : "Soutien scolaire a domicile ou cours a domicile" ;
CODBDL : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDL : "Soins d'esthetique a domicile pour les personnes dependantes" ;
CODBDM : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDM : "Preparation de repas a domicile" ;
CODBDN : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDN : "Livraison de repas a domicile" ;
CODBDO : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDO : "Collecte et livraison a domicile de linge repasse" ;
CODBDP : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDP : "Livraison de courses a domicile" ;
CODBDQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDQ : "Assistance informatique et internet a domicile" ;
CODBDR : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDR : "Soins et promenades d'animaux de compagnie des personnes dependantes" ;
CODBDS : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDS : "Maintenance, entretien et vigilance temporaires a domicile" ;
CODBDT : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDT : "Assistance administrative a domicile" ;
CODBDU : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDU : "Teleassistance et visio assistance" ;
CODBDV : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDV : "Interprete en langue des signes" ;
CODBDW : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDW : "Conduite du vehicule des personnes en cas d'invalidite temporaire *" ;
CODBDX : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDX : "Accompagnement des personnes presentant une invalidite temporaire *" ;
CODBDY : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDY : "Assistance aux personnes ayant besoin d'une aide temporaire a domicile" ;
CODBDZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BDZ : "Coordination et delivrance des services a la personne" ;
CODBEA : saisie revenu classe = 0 priorite = 31 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BEA : "Acceuil familial" ;
CODBIS : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BIS : "BA passage de l'IR a l'IS, etalement de l'impot sur les revenus 2019" ;
CODBJS : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BJS : "BA passage de l'IR a l'IS, etalement de l'impot sur les revenus 2020" ;
CODBKS : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BKS : "BA passage de l'IR a l'IS, etalement de l'impot sur les revenus 2021" ;
CODCCI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias CCI : "Complement CIMR. Total foyer (chgt. situation de famille et PAC>2)" ;
CODCDI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias CDI : "Complement. CIPS. Total foyer (chgt. situation de famille et PAC>2)" ;
CODCHA : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YF : "Code chargement (nombre de codes saisis)" ;
CODCIT : saisie revenu classe = 0 priorite = 10 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 1 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias CIT : "Montant calcule de CITE" ;
CODCJG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias CJG : "BNC non professionnels sous AA - quotient 4 - Declarant 1" ;
CODCKC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CKC : "BIC professionnels sous CGA - quotient 4 - Declarant 1 " ;
CODCKI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CKI : "BIC professionnels hors CGA - quotient 4 - Declarant 1 " ;
CODCLC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CLC : "BIC professionnels sous CGA - quotient 4 - Declarant 2 " ;
CODCLI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CLI : "BIC professionnels hors CGA - quotient 4 - Declarant 2 " ;
CODCMC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CMC : "BIC professionnels sous CGA - quotient 4 - PAC" ;
CODCMI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CMI : "BIC professionnels hors CGA - quotient 4 - PAC" ;
CODCNC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias CNC : "BIC non professionnels sous CGA - quotient 4 - Declarant 1 " ;
CODCNI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias CNI : "BIC non professionnels hors CGA - quotient 4 - Declarant 1 " ;
CODCNS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias CNS : "BNC non professionnels hors AA - quotient 4 - Declarant 2 " ;
CODCOA : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COA : "impot sur le revenu initial" ;
CODCOA_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOB : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COB : "CSG initiale" ;
CODCOB_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias COC : "BIC non professionnels sous CGA - quotient 4 - Declarant 2 " ;
CODCOD : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COD : "prelevement solidarite initial" ;
CODCOD_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOE : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 17 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COE : "contribution salariale 10% initiale" ;
CODCOE_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOF : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 2 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COF : "contribution salariale 30% initiale" ;
CODCOF_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOG : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 18 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COG : "CSG initiale a 9,2% sur gains de levee d'option (1TT, 1UT)" ;
CODCOG_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOH : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 22 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COH : "Imposition initiale CSG a 6,6 % (8SD 8TH)" ;
CODCOH_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias COI : "BIC non professionnels hors CGA - quotient 4 - Declarant 2 " ;
CODCOJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 19 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COJ : "CSG initiale a 9,2% revenus salariaux etrangers" ;
CODCOJ_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOK : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COK : "Imposition initiale pensions a 8,3% (8SA)" ;
CODCOL : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COL : "CSG initiale a 8,3% revenus de remplacement etrangers" ;
CODCOL_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOM : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 13 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COM : "CSG initiale a 6,2% revenus de remplacement etrangers" ;
CODCOM_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCON : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias CON : "Imposition initiale pensions a 3,8% (8SB)" ;
CODCOO : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COO : "Imposition initiale pensions a 3,8% revenus de remplacement etrangersI" ;
CODCOO_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COP : "Imposition initiale CASA" ;
CODCOP_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COQ : "Imposition initiale a 8,2% PV 150-0 B ter" ;
CODCOQ_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOR : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COR : "CRDS initiale" ;
CODCOR_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias COS : "BNC non professionnels hors AA - quotient 4 - PAC " ;
CODCOT : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 11 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COT : "CSG initiale a 9,2% revenus non salariaux etrangers" ;
CODCOT_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOU : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 3 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COU : "Taxe agent d'assurance initiale" ;
CODCOU_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOV : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 9 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COV : "Prelevement liberatoire 7,5 % sur pensions initial" ;
CODCOV_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCOX : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias COX : "Contribution sur hauts revenus initiale" ;
CODCOX_A : calculee primrest = 0 base : "CODCOx anterieur" ;
CODCPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias CPC : "BIC non professionnels sous CGA - quotient 4 - PAC" ;
CODCPI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 primrest = 0 alias CPI : "BIC non professionnels hors CGA - quotient 4 - PAC" ;
CODCQC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CQC : "BNC professionnels sous AA - quotient 4 - Declarant 1 " ;
CODCQI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CQI : "BNC professionnels hors AA - quotient 4 - Declarant 1 " ;
CODCRC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CRC : "BNC professionnels sous AA - quotient 4 - Declarant 2 " ;
CODCRF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias CRF : "BNC non professionnels sous AA - quotient 4 - Declarant 2" ;
CODCRI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CRI : "BNC professionnels hors AA - quotient 4 - Declarant 2 " ;
CODCSC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CSC : "BNC professionnels sous AA - quotient 4 - PAC" ;
CODCSF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 primrest = 0 alias CSF : "BNC non professionnel sous AA - quotient 4 - PAC" ;
CODCSI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias CSI : "BNC professionnels hors AA - quotient 4 - PAC" ;
CODCSN : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 0 modcat = 1 restituee primrest = 0 alias CSN : "BNC non professionnels hors AA. - quotient 4 - Declarant 1" ;
CODDAJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias DAJ : "Salaires taxes au quotient 4 metro/DOM 30 % - Declarant 1" ;
CODDBJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias DBJ : "Salaires taxes au quotient 4 metro/DOM 30 % - Declarant 2" ;
CODEAJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias EAJ : "Salaires taxes au quotient 4 metro/DOM 40 % - Declarant 1" ;
CODEBJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias EBJ : "Salaires taxes au quotient 4 metro/DOM 40 % - Declarant 2" ;
CODE_2042 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias V_CODE_2042 : "nouv cor: code majoration de la 2042 fourni par l interface" ;
CODFGD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FGD : "Frais de garde declares (enfants en residence exclusive sup. a 4) " ;
CODFGR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FGR : "Frais de garde retenus (enfants en residence exclusive sup. a 4) " ;
CODFHD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FHD : "Frais de garde declares (enfants en residence alternee sup. a 4) " ;
CODFHR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FHR : "Frais de garde retenus (enfants en residence alternee sup. a 4) " ;
CODHDI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDI : "Red. invest.O-M 2017 engage en 2012 (retro. 52,63%) - report 2017 " ;
CODHDJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDJ : "Reduction invest.O-M 2017 engage 2012 (retro. 62,5%) - report 2017" ;
CODHDK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDK : "Reduction invest.O-M 2017 engage 2012 dans l'entreprise - report 2017" ;
CODHDM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDM : "Invest.O-M 2017 engage en 2012 exploitation directe - report 2017 " ;
CODHDN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDN : "Reduction invest.O-M 2017 eng. 2013/2014 (retro. 52,63%) - report 2017" ;
CODHDO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDO : "Reduction invest.O-M 2017 eng. 2013/2014 (retro. 62,5%) - report 2017" ;
CODHDP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDP : "Red. invest.O-M 2017 eng. 2013/2014 dans l'entreprise - report 2017" ;
CODHDR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDR : "Invest.O-M 2017 eng. en 2013/2014 exploitation directe - report 2017" ;
CODHDS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDS : "Reduction autre invest.Outre-Mer 2017 (retro. 56%) - report 2017" ;
CODHDT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDT : "Reduction autre invest.Outre-Mer 2017 (retro. 66%) - report 2017" ;
CODHDU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDU : "Reduction autre invest.O-M 2017 dans l'entreprise - report 2017" ;
CODHDW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HDW : "Autre invest.O-M 2017 avec exploitation directe - report 2017" ;
CODHEN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HEN : "Reduction invest.O-M 2018 eng. 2013/2014 (retro. 52,63%) - report 2018" ;
CODHEO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HEO : "Reduction invest.O-M 2018 eng. 2013/2014 (retro. 62,5%) - report 2018" ;
CODHEP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HEP : "Red. invest.O-M 2018 eng. 2013/2014 dans l'entreprise - report 2018" ;
CODHER : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HER : "Invest.O-M 2018 eng. en 2013/2014 exploitation directe - report 2018" ;
CODHES : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HES : "Reduction autre invest.Outre-Mer 2018 (retro. 56%) - report 2018" ;
CODHET : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HET : "Reduction autre invest.Outre-Mer 2018 (retro. 66%) - report 2018" ;
CODHEU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HEU : "Reduction autre invest.O-M 2018 dans l'entreprise - report 2018" ;
CODHEW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HEW : "Autre invest.O-M 2018 avec exploitation directe - report 2018" ;
CODHFN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFN : "Reduction invest.O-M 2019 eng. 2013/2014 (retro. 52,63%) - report 2019" ;
CODHFO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFO : "Reduction invest.O-M 2019 eng. 2013/2014 (retro. 62,5%) - report 2019" ;
CODHFP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFP : "Red. invest.O-M  2019 eng. 2013/2014 dans l'entreprise - report 2019" ;
CODHFR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFR : "Invest.O-M 2019 eng. en 2013/2014 exploitation directe-report 2019" ;
CODHFS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFS : "Autre invest.Outre-Mer 2019 (retro. 56%) - report 2019" ;
CODHFT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFT : "Reduction autre invest.Outre-Mer 2019 (retro. 66%) - report 2019" ;
CODHFU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFU : "Reduction autre invest.O-M 2019 dans l'entreprise - report 2019" ;
CODHFW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HFW : "Autre invest.O-M 2019 avec exploitation directe - report 2019" ;
CODHGS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HGS : "Reduction autre invest. Outre-Mer 2020 (retro. 56%) - report 2020" ;
CODHGT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HGT : "Reduction autre invest. Outre-Mer 2020 (retro. 66%) - report 2020" ;
CODHGU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HGU : "Reduction autre invest. Outre-Mer 2020 dans l'entreprise - report 2020" ;
CODHGW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HGW : "Autre invest.Outre-Mer 2020 avec exploitation directe - report 2020" ;
CODHHC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HHC : "RI Outre-Mer logt  pour location  2014 (a cocher)" type BOOLEEN ;
CODHHS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HHS : "Reduction autre invest. Outre-Mer 2021 (retro. 56%) - report 2021" ;
CODHHT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HHT : "Reduction autre invest. Outre-Mer 2021 (retro. 66%) - report 2021" ;
CODHHU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HHU : "Reduction autre invest. Outre-Mer 2021 dans l'entreprise - report 2021" ;
CODHHW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HHW : "Autre invest.Outre-Mer 2021 avec exploitation directe - report 2021" ;
CODHIC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HIC : "RI O-M logt  pour loc. ou travaux de rehabilitation 2015 (a cocher)" type BOOLEEN ;
CODHIS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HIS : "Reduction autre invest. Outre-Mer 2022 (retro. 56%)" ;
CODHIT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HIT : "Reduction autre invest. Outre-Mer 2022 (retro. 66%)" ;
CODHIU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HIU : "Reduction autre invest. Outre-Mer 2022 dans l'entreprise" ;
CODHIV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HIV : "Autre invest.Outre-Mer 2022 avec exploitation directe RI calculee" ;
CODHIW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HIW : "Autre invest.Outre-Mer 2022 avec exploitation directe" ;
CODHJA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias HJA : "Credit d'impot invest Outre-Mer dans le cadre d'une entreprise" ;
CODHJC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HJC : "RI O-M logt  pour loc. ou travaux de rehabilitation 2016 (a cocher)" type BOOLEEN ;
CODHKC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HKC : "RI O-M logt  pour loc. ou travaux de rehabilitation 2017 (a cocher)" type BOOLEEN ;
CODHOD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOD : "Reduction invest. outre-mer logt 2013 engage avant 2011" ;
CODHOE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOE : "Reduction invest. outre-mer logt 2013 engage en 2011 initie en 2010" ;
CODHOF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOF : "Reduction invest. outre-mer logt 2013 engage en 2011 initie en 2011" ;
CODHOG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOG : "Reduction invest. outre-mer logt 2013 engage 2012/2013 initie en 2010" ;
CODHOX : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOX : "Reduction invest. outre-mer logt 2013 engage 2012/2013 initie en 2011" ;
CODHOY : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOY : "Reduction invest. outre-mer logt 2013 engage 2012/2013 initie en 2012" ;
CODHOZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOZ : "Reduction autres invest. outre-mer logt 2013" ;
CODHUA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUA : "Reduction investissement O-M logt 2014 engage en 2010 " ;
CODHUB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUB : "Reduction investissement O-M logt 2014 engage en 2011 initie en 2010" ;
CODHUC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUC : "Reduction investissement O-M logt 2014 engage en 2011 initie en 2011" ;
CODHUD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUD : "Reduction invest. O-M logt 2014 engage 2012/2013/2014 initie en 2010" ;
CODHUE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUE : "Reduction invest. O-M logt 2014 engage 2012/2013/2014 initie en 2011" ;
CODHUF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUF : "Reduction invest. O-M logt 2014 engage 2012/2013/2014 initie en 2012" ;
CODHUG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUG : "Reduction autres invest. Outre-Mer logt 2014" ;
CODHUH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUH : "Reduction invest. Outre-Mer logt 2015 engage en 2010" ;
CODHUI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUI : "Reduction invest. Outre-Mer logt 2015 engage en 2011 initie en 2010" ;
CODHUJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUJ : "Reduction invest. Outre-Mer logt 2015 engage en 2011 initie en 2011" ;
CODHUK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUK : "Red. invest. O-M logt 2015 engage a compter de 2012 initie en 2010" ;
CODHUL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUL : "Red. invest. O-M logt 2015 engage a compter de 2012 initie en 2011" ;
CODHUM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUM : "Red. invest. O-M logt 2015 engage a compter de 2012 initie en 2012" ;
CODHUN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUN : "Reduction autres invest. Outre-Mer logt 2015" ;
CODHUO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUO : "Reduction invest. Outre-Mer logt 2016 engage en 2010" ;
CODHUP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUP : "Reduction invest. Outre-Mer logt 2016 engage en 2011 initie en 2010" ;
CODHUQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUQ : "Reduction invest. Outre-Mer logt 2016 engage en 2011 initie en 2011" ;
CODHUR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUR : "Red. invest. O-M logt 2016 engage a compter de 2012 initie en 2010" ;
CODHUS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUS : "Red. invest. O-M logt 2016 engage a compter de 2012 initie en 2011" ;
CODHUT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUT : "Red. invest. O-M logt 2016 engage a compter de 2012 initie en 2012" ;
CODHUU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HUU : "Reduction autres invest. Outre-Mer logt 2016" ;
CODHVA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVA : "Reduction invest. Outre-Mer logt 2017 engage en 2010" ;
CODHVB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVB : "Reduction invest. Outre-Mer logt 2017 engage en 2011 initie en 2010" ;
CODHVC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVC : "Reduction invest. Outre-Mer logt 2017 engage en 2011 initie en 2011" ;
CODHVD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVD : "Red. invest. O-M logt 2017 engage a compter de 2012 initie en 2010" ;
CODHVE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVE : "Red. invest. O-M logt 2017 engage a compter de 2012 initie en 2011" ;
CODHVF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVF : "Red. invest. O-M logt 2017 engage a compter de 2012 initie en 2012" ;
CODHVG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVG : "Reduction autres invest. Outre-Mer logt 2017" ;
CODHVH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVH : "Red investissement Outre-Mer logement 2018 " ;
CODHVI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVI : "Red investissement Outre-Mer logement 2019" ;
CODHVJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVJ : "Reduction Investissement Outre-Mer logement 2020" ;
CODHVK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVK : "Reduction Investissement Outre-Mer logement 2021" ;
CODHVL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HVL : "Reduction Investissement Outre-Mer logement 2022" ;
CODHXQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HXQ : "Reduction invest. O-M logt social 2017 engage en 2010 - Report 2017" ;
CODHXR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HXR : "Reduction invest. O-M logt social 2017 engage en 2011 - Report 2017" ;
CODHXS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HXS : "Reduction invest. O-M logt social 2017 engage en 2012 - Report 2017" ;
CODHXT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HXT : "RI. inv. O-M logt social 2017 engage en 2013/2014 - Report 2017" ;
CODHXU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HXU : "Autre invest. O-M logt social realise/engage en 2017 - Report 2017" ;
CODHYA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYA : "Reduc. invest. O-M logt social 2018 engage en 2013/2014 - Report 2018" ;
CODHYB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYB : "Autre invest. Outre-Mer logt social realise en 2018 - Report 2018" ;
CODHYC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYC : "Reduc. invest. O-M logt social 2019 engage en 2013/2014 - Report 2019" ;
CODHYD : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYD : "Autre invest. Outre-Mer logt social realise en 2019 - Report 2019" ;
CODHYE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYE : "Autre invest. Outre-Mer logt social realise en 2020 - Report 2020" ;
CODHYF : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYF : "Investissement Outre-Mer logt social realise en 2021 - Report 2021" ;
CODHYG : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HYG : "Investissement Outre-Mer logt social realise en 2022" ;
CODINI : calculee restituee primrest = 1 : "Indicateur de non imposition" ;
CODMODUL : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 0 modcat = 1 primrest = 0 alias MOD : "BA exceptionnels sous CGA - Quotient 4 - Declarant 2" ;
CODNAF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAF : "Salaires taxes au quotient CI=I francais : nb d'annees - Declarant 1" ;
CODNAG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAG : "Autres salaires etrangers taxes au Qt : nombre d'annees - Declarant 1" ;
CODNAI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAI : "Pensions en capital des PER au quotient : nb d'annees - Declarant 1" ;
CODNAL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias NAL : "Pensions taxees au quotient CI=I francais : nb d'annees - Declarant 1" ;
CODNAM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAM : "Autres pensions etrangeres au quotient : nombre d'annees - Declarant 1" ;
CODNAR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAR : "Rentes etrangeres au quotient CI=I francais < 50 ans: nb d'annees" ;
CODNAZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAZ : "Pensions d'invalidite taxees au quotient : Nb d'annees - Declarant 1" ;
CODNBE : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBE : "Revenus fonciers micro taxes au quotient - Nb d'annees" ;
CODNBF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBF : "Salaires taxes au quotient CI=I francais : nb d'annees - Declarant 2" ;
CODNBG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBG : "Autres salaires etrangers  au Quotient : nombre d'annees - Declarant 2" ;
CODNBI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBI : "Pensions en capital des PER au quotient : nb d'annees - Declarant 2" ;
CODNBL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBL : "Pensions au quotient CI=I francais: nombre d'annees - Declarant 2" ;
CODNBM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBM : "Autres pensions etrangeres au quotient: nombre d'annees - Declarant 2" ;
CODNBR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBR : "Rentes etrangeres au quotient CI=I francais <= 59 ans: nbr d'annees" ;
CODNBZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBZ : "Pensions d'invalidite taxees au quotient : Nb d'annees - Declarant 2" ;
CODNCF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCF : "Salaires taxes au quotient CI=I francais : nombre d'annees - PAC 1" ;
CODNCG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCG : "Autres salaires etrangers taxes au quotient : nombre d'annees - PAC 1" ;
CODNCK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCK : "Pensions en capital des PER au quotient : nb d'annees - PAC1" ;
CODNCL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCL : "Pensions taxees au quotient avec CI=I francais: nombre d'annees - PAC1" ;
CODNCM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCM : "Autres pensions etrangeres taxees au quotient : nb d'annees - PAC 1" ;
CODNCR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCR : "Rentes etrangeres au quotient CI=I francais <= 69 ans : nb d'annees" ;
CODNCZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCZ : "Pensions d'invalidite taxees au quotient : Nombre d'annees -  PAC 1" ;
CODNDF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDF : "Salaires au quotient avec CI=I francais : nombre d'annees - PAC 2" ;
CODNDG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDG : "Autres salaires etrangers taxes au quotient : nombre d'annees - PAC 2" ;
CODNDL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDL : "Pensions taxees au quotient avec CI=I francais: nb d'annees - PAC 2" ;
CODNDM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDM : "Autres pensions etrangeres taxees au quotient : nb d'annees - PAC 2" ;
CODNDR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDR : "Rentes etrangeres au quotient CI=I francais >= 70 ans: nb d'annees" ;
CODNDZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDZ : "Pensions d'invalidite taxees au quotient : Nombre d'annees -  PAC 2" ;
CODNEF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEF : "Salaires taxes au quotient CI=I francais : nombre d'annees - PAC 3" ;
CODNEL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEL : "Pensions taxees au quotient avec CI=I francais: nb d'annees - PAC 3" ;
CODNEM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEM : "Autres pensions etrangeres taxees au quotient: nombre d'annees - PAC 3" ;
CODNEZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEZ : "Pensions d'invalidite taxees au quotient : Nombre d'annees - PAC 3" ;
CODNFF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFF : "Salaires taxes au quotient avec CI=I francais : nb d'annees - PAC 4" ;
CODNFG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFG : "Autres salaires etrangers taxes au quotient : nombre d'annees - PAC 4" ;
CODNFL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFL : "Pensions taxees au quotient avec CI=I francais: nb d'annees - PAC 4" ;
CODNFM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFM : "Autres pensions etrangeres taxees au quotient: nombre d'annees - PAC 4" ;
CODNFZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFZ : "Pensions d'invalidite taxees au quotient : Nombre d'annees - PAC 4" ;
CODNGG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NGG : "Autres salaires etrangers taxes au quotient : nombre d'annees - PAC 3" ;
CODNUA : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias NUA : "Plus-values des dirigeants taxees au quotient - Nb annees" ;
CODNVG : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias NVG : "Plus-values taxees au quotient - Nombre d'annees" ;
CODNWA : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias NWA : "PV exit tax au quotient en sursis - Nombre d'annees" ;
CODNWB : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias NWB : "PV exit tax au quotient en paiement immediat - Nombre d'annees" ;
CODNYY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias NYY : "Assurance-vie - 8 ans (autres produits) au quotient - Nombre d'annees" ;
CODPOUEX : calculee restituee primrest = 1 : "EXO pourboires - PAC" ;
CODPREX : calculee restituee primrest = 1 : "EXO prime partage valeur - PAC" ;
CODRAF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 0 modcat = 1 primrest = 0 alias RAF : "Salaires taxes au quotient avec CI=I francais - dec1" ;
CODRAG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 0 modcat = 1 primrest = 0 alias RAG : "Autres salaires de source etrangere taxes au quotient - Declarant 1" ;
CODRAI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias RAI : "Pensions en capital des nouveaux PER taxees au quotient - Declarant 1" ;
CODRAL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAL : "Pensions taxees au quotient avec CI=I francais - Declarant 1" ;
CODRAM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAM : "Autres pensions de source etrangere taxees au quotient - Declarant 1" ;
CODRAR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAR : "Rentes etrangeres au quotient avec CI=I francais - moins de 50 ans" ;
CODRAZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAZ : "Pensions d'invalidite taxees au quotient - Declarant 1" ;
CODRBE : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 primrest = 0 alias RBE : "Revenus fonciers micro taxes au quotient (avant abattement)" ;
CODRBF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBF : "Salaires taxes au quotient avec CI=I francais - Declarant 2" ;
CODRBG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBG : "Autres salaires de source etrangere taxes au quotient - Declarant 2" ;
CODRBI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias RBI : "Pensions en capital des nouveaux PER taxees au quotient - Declarant 2" ;
CODRBK : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 primrest = 0 alias RBK : "Revenus fonciers micro etrangers taxes au quotient (avant abattement)" ;
CODRBL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias RBL : "Pensions taxees au quotient avec CI=I francais - Declarant 2" ;
CODRBM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBM : "Autres pensions de source etrangere taxees au quotient - Declarant 2" ;
CODRBR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBR : "Rentes etrangeres au quotient avec CI=I francais - de 50 a 59 ans" ;
CODRBT : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBT : "Revenus fonciers de source etrangere taxes au quotient" ;
CODRBZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBZ : "Pensions d'invalidite taxees au quotient - Declarant 2" ;
CODRCF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCF : "Salaires taxes au quotient avec CI=I francais - PAC1" ;
CODRCG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCG : "Autres salaires de source etrangere taxes au quotient - PAC 1" ;
CODRCI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias RCI : "Reprise CIMR. Total foyer (changement situation de famille et PAC>2)" ;
CODRCK : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias RCK : "Pensions en capital des nouveaux PER taxees au quotient - PAC1" ;
CODRCL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCL : "Pensions taxees au quotient avec CI=I francais - PAC1" ;
CODRCM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCM : "Autres pensions de source etrangere taxees au quotient - PAC1" ;
CODRCR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCR : "Rentes etrangeres taxees au quotient avec CI=I francais de 60 a 69 ans" ;
CODRCZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCZ : "Pensions d'invalidite taxees au quotient - PAC 1" ;
CODRDF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDF : "Salaires taxes au quotient avec CI=I francais - PAC 2" ;
CODRDG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDG : "Autres salaires de source etrangere au quotient - PAC 2" ;
CODRDI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias RDI : "Reprise CIPS. Total foyer (changement situation de famille et PAC>2)" ;
CODRDL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDL : "Pensions taxees au quotient avec CI=I francais - PAC 2" ;
CODRDM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDM : "Autres pensions de source etrangere taxees au quotient - PAC 2" ;
CODRDR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDR : "Rentes etrangeres au quotient, CI=I francais - a partir de 70 ans" ;
CODRDZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDZ : "Pensions d'invalidite taxees au quotient -  PAC 2" ;
CODREF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REF : "Salaires taxes au quotient avec CI=I francais - PAC 3" ;
CODREL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REL : "Pensions taxees au quotient avec CI=I francais - PAC3" ;
CODREM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REM : "Autres pensions de source etrangere taxees au quotient - PAC3" ;
CODREZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REZ : "Pensions d'invalidite taxees au quotient - PAC 3" ;
CODRFF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFF : "Salaires taxes au quotient avec CI=I francais - PAC 4" ;
CODRFG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFG : "Autres salaires de source etrangere taxes au quotient - PAC 4" ;
CODRFL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFL : "Pensions taxees au quotient avec CI=I francais - PAC 4" ;
CODRFM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFM : "Autres pensions de source etrangere taxees au quotient - PAC 4" ;
CODRFZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFZ : "Pensions d'invalidite taxees au quotient - PAC 4" ;
CODRGG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RGG : "Autres salaires de source etrangere au quotient - PAC 3" ;
CODROA : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 1 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROA : "INT impot sur le revenu" ;
CODROB : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROB : "INT CSG" ;
CODROD : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROD : "INT prelevement solidarite" ;
CODROE : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 17 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROE : "INT contribution salariale 10%" ;
CODROF : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 2 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROF : "INT contribution salariale 30%" ;
CODROG : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 18 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROG : "INT CSG a 9,2% sur gains de levee d'option (1TT , 1UT)" ;
CODROH : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 22 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROH : "INT Imposition CSG a 6,6% (8SD 8TH)" ;
CODROJ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 19 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROJ : "INT CSG a 9,2% revenus salariaux etrangers" ;
CODROL : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROL : "INT CSG a 8,3% revenus de remplacements etrangers" ;
CODROM : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 13 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROM : "INT CSG a 6,2% revenus de remplacements etrangers" ;
CODROO : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROO : "INT Imposition pensions a 3,8% revenus de remplacement etrangers" ;
CODROP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROP : "INT Imposition CASA" ;
CODROQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 23 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROQ : "INT Imposition a 8,2% PV 150-0 B ter" ;
CODROR : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROR : "INT CRDS" ;
CODROT : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 11 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROT : "INT CSG a 9,2% revenus non salariaux etrangers" ;
CODROU : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 3 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROU : "INT Taxe agent d'assurance" ;
CODROV : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 9 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROV : "INT Prelevement liberatoire 7,5% sur pensions" ;
CODROX : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ROX : "INT Contribution sur hauts revenus" ;
CODRSE : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE : "Pays de provenance des revenus de source etrangere" ;
CODRSG : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias RSG : "Abattement de droit commun" ;
CODRSL : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias RSL : "Abattement renforce sur PV dirigeant au quotient" ;
CODRUA : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RUA : "Plus-values des dirigeants taxees au quotient " ;
CODRVA : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias RVA : "Abattement fixe sur PV dirigeant au quotient" ;
CODRVG : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias RVG : "Plus-values taxees au quotient " ;
CODRWA : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias RWA : "PV exit tax au quotient en sursis de paiement" ;
CODRWB : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias RWB : "PV exit tax au quotient en paiement immediat" ;
CODRYY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RYY : "Assurance-vie de moins de 8 ans (autres produits) au quotient" ;
CODSAA : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAA : "Base penalisable acomptes IR SPI1" ;
CODSAB : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAB : "Base penalisable acomptes IR SPI2" ;
CODSAC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAC : "Base penalisable acomptes PS SPI1" ;
CODSAD : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAD : "Base penalisable acomptes PS SPI2" ;
CODSAE : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias SAE : "Base acomptes recouvrement SPI1" ;
CODSAF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias SAF : "Base acomptes recouvrement SPI2" ;
CODSAG : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAG : "Taux le plus faible SPI1 - PAS attendu" ;
CODSAH : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAH : "Taux le plus faible SPI2 - PAS attendu" ;
CODSAI : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAI : "Total des acomptes IR les plus faibles sur 1 mois SPI1 - PAS attendu" ;
CODSAJ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAJ : "Total des acomptes IR les plus faibles sur 1 mois SPI2 - PAS attendu" ;
CODSAK : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAK : "Acompte mensuel PS le plus faible SPI1 - PAS attendu" ;
CODSAL : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAL : "Acompte mensuel PS le plus faible SPI2 - PAS attendu" ;
CODSAM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAM : "Acompte categorie 17 mensuel IR le plus faible SPI1 - PAS attendu" ;
CODSAN : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAN : "Acompte categorie 17 mensuel IR le plus faible SPI2 - PAS attendu" ;
CODSAO : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAO : "Total acomptes appeles IR SPI1" ;
CODSAP : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAP : "Total acomptes appeles IR SPI2" ;
CODSAQ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAQ : "Total acomptes appeles PS SPI1" ;
CODSAR : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAR : "Total acomptes appeles PS SPI2" ;
CODSAS : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAS : "Total acomptes de confidentialite appeles SPI1" ;
CODSAT : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAT : "Total acomptes de confidentialite appeles SPI2" ;
CODSAU : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAU : "Total versement libre PAS paye SPI1" ;
CODSAV : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAV : "Total versement libre PAS paye SPI2" ;
CODSAW : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAW : "Total acomptes classiques appeles IR SPI1" ;
CODSAX : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAX : "Total acomptes classiques appeles IR SPI2" ;
CODSAY : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAY : "Total des acomptes de confidentialite payes SPI1" ;
CODSAZ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SAZ : "Total des acomptes de confidentialite payes SPI2" ;
CODSCA : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCA : "Indic. Modulation a la baisse SPI1" type BOOLEEN ;
CODSCB : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCB : "Indic. Arret d'acompte categorie 01 RVTO SPI1" type BOOLEEN ;
CODSCC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCC : "Indic. Arret d'acompte categorie 02 RF SPI1" type BOOLEEN ;
CODSCD : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCD : "Indic. Arret d'acompte categorie 03 BIC SPI1" type BOOLEEN ;
CODSCE : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCE : "Indic. Arret d'acompte categorie 04 BNC SPI1" type BOOLEEN ;
CODSCF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCF : "Indic. Arret d'acompte categorie 05 BA SPI1" type BOOLEEN ;
CODSCG : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCG : "Indic. Arret d'acompte categorie 06 PA et RE SPI1" type BOOLEEN ;
CODSCH : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCH : "Indic. Arret d'acompte categorie 07 PS RF SPI1" type BOOLEEN ;
CODSCI : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCI : "Indic. Arret d'acompte categorie 08 PS RVTO SPI1" type BOOLEEN ;
CODSCJ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCJ : "Indic. Arret d'acompte categorie 09 PS BIC NP LMNP SPI1" type BOOLEEN ;
CODSCK : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCK : "Indic. Arret d'acompte categorie 10 PS AUTRES SPI1" type BOOLEEN ;
CODSCL : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCL : "Indic. Arret d'acompte categorie 11 DIR ART 62 SPI1" type BOOLEEN ;
CODSCM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCM : "Indic. Arret d'acompte categorie 15 REV PAC SPI1" type BOOLEEN ;
CODSCN : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCN : "Indic. Arret d'acompte categorie 16 PS REV PAC SPI1" type BOOLEEN ;
CODSCO : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SCO : "Indic. Arret d'acompte categorie 14 DTS AUTEUR AGA SPI1" type BOOLEEN ;
CODSDA : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDA : "Indic. Modulation a la baisse SPI2" type BOOLEEN ;
CODSDB : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDB : "Indic. Arret d'acompte categorie 01 RVTO SPI2" type BOOLEEN ;
CODSDC : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDC : "Indic. Arret d'acompte categorie 02 RF SPI2" type BOOLEEN ;
CODSDD : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDD : "Indic. Arret d'acompte categorie 03 BIC SPI2" type BOOLEEN ;
CODSDE : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDE : "Indic. Arret d'acompte categorie 04 BNC SPI2" type BOOLEEN ;
CODSDF : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDF : "Indic. Arret d'acompte categorie 05 BA SPI2" type BOOLEEN ;
CODSDG : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDG : "Indic. Arret d'acompte categorie 06 PA et RE SPI2" type BOOLEEN ;
CODSDH : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDH : "Indic. Arret d'acompte categorie 07 PS RF SPI2" type BOOLEEN ;
CODSDI : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDI : "Indic. Arret d'acompte categorie 08 PS RVTO SPI2" type BOOLEEN ;
CODSDJ : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDJ : "Indic. Arret d'acompte categorie 09 PS BIC NP LMNP SPI2" type BOOLEEN ;
CODSDK : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDK : "Indic. Arret d'acompte categorie 10 PS AUTRES SPI2" type BOOLEEN ;
CODSDL : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDL : "Indic. Arret d'acompte categorie 11 DIR ART 62 SPI2" type BOOLEEN ;
CODSDM : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDM : "Indic. Arret d'acompte categorie 15 REV PAC SPI2" type BOOLEEN ;
CODSDN : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDN : "Indic. Arret d'acompte categorie 16 PS REV PAC SPI2" type BOOLEEN ;
CODSDO : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias SDO : "Indic. Arret d'acompte categorie 14 DTS AUTEUR AGA SPI2" type BOOLEEN ;
CODSDP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias SDP : "Indic nombre de parts du foyer N-1 : BTNBP1" ;
CODSDQ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias SDQ : "Indic nombre de parts du foyer N-2 : BTNBP2" ;
CODSIR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YK : "Case a cocher : Restitution des recoupements dans le FLR        " type BOOLEEN ;
CODSN1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias SN1 : "Variable PAS parfait : PASFARFAITIR " ;
CODSN2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias SN2 : "Variable PAS attendu : PASATFOYIR" ;
CODSN3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias SN3 : "Variable PAS effectue : PASEFFOYIR" ;
CODSN4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias SN4 : "Sanction IR : paiement d'acomptes dans les delais : SANACOMIR" ;
CODSN5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias SN5 : "Sanction PS : paiement d'acomptes dans les delais : SANACOMPS" ;
CODSN6 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias SN6 : "Sanction IR pour modulation a la baisse : SCMTIR" ;
CODSN7 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias SN7 : "Sanction PS pour modulation a la baisse : SCMTPS" ;
CODZRA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ZRA : "Impot soumis au regime des non residents (declarant 2)" ;
CODZRB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ZRB : "Base imposable soumis au regime des non residents (cdeclarant 2)" ;
CODZRE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias ZRE : "Revenus non soumis a l'impot sur le revenu (Declarant 2)" ;
CODZRF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias ZRF : "Revenus non soumis a l'impot sur le revenu (PAC)" ;
CODZRS : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias ZRS : "Montant total de la retenue a la source prelevee" ;
CODZRU : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias ZRU : "Revenus du patrimoine non soumis aux PS (avec CSG deductible)" ;
CODZRV : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias ZRV : "Revenus du patrimoine non soumis aux PS (sans CSG deductible)" ;
COD_RAPPEL : saisie penalite primrest = 0 alias V_COD_RAPPEL : "code revenu du rappel ( utilises dans les controles horizon)" ;
COMPANVIR : calculee restituee primrest = 1 : "Compensation restitution ANV sur IR suite a fusion IR/PS" ;
COMPANVIRD : calculee restituee primrest = 1 : "Compensation restitution ANV sur IR suite a fusion IR/PS - DESF" ;
COMPANVPS : calculee restituee primrest = 1 : "Compensation restitution ANV sur PS suite a fusion IR/PS" ;
COMPANVPSD : calculee restituee primrest = 1 : "Compensation restitution ANV sur PS suite a fusion IR/PS - DESF" ;
COMPENSACD : calculee restituee primrest = 1 : "Compens. restit. credit impot sur PS suite a fusion IR/PS - DESF" ;
COMPENSACI : calculee restituee primrest = 1 : "Compensation restitution credit impot sur PS suite a fusion IR/PS" ;
COMPENSACI3 : calculee restituee primrest = 1 : "Compensation restitution credit impot sur PS suite a fusion IR/PS" ;
COMPENSAND : calculee restituee primrest = 1 : "Compens. restit. admission non val sur PS suite a fusion IR/PS - DESF" ;
COMPENSANV : calculee restituee primrest = 1 : "Compensation restitution admission non val sur PS suite a fusion IR/PS" ;
COMPENSIR : calculee restituee primrest = 1 : "Compensation IR suite a fusion IR/PS" ;
COMPENSPAD : calculee restituee primrest = 1 : "Compensation PAS - DESF" ;
COMPENSPAS : calculee restituee primrest = 1 : "Compensation PAS - documents comptables" ;
COMPENSPS : calculee restituee primrest = 1 : "Compensation PS suite a fusion IR/PS" ;
COMPENSTOT : calculee restituee primrest = 1 : "Compensation restitution credit impot sur PS suite a fusion IR/PS" ;
CONDCOMP : calculee primrest = 0 : "Condition documents comptables" ;
CONDNORMD : calculee primrest = 0 : "Condition non residents Denormandie" ;
CONDPINEL : calculee primrest = 0 : "Condition non residents Pinel" ;
CONDRFR : calculee primrest = 0 : "Condition RFR " ;
COPETO : calculee primrest = 0 : "Taux de penalite du a la saisie des codes 9YT et 9YW" ;
COPETOIFI : calculee primrest = 0 : "IFI : Taux de penalite du a la saisie des codes 9XT " ;
COPETOIFI2 : calculee primrest = 0 : "IFI : Taux de penalite du a la saisie des codes 9XT " ;
CORIMP : calculee restituee primrest = 1 : "Credit Corse : montant impute" ;
CORREST : calculee restituee primrest = 1 : "Credit Corse : montant restitution" ;
COTF1 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FCT : "Nombre d'annees cotisations footballeurs - PAC 1 " ;
COTF2 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FDT : "Nombre d'annees cotisations footballeurs - PAC 2 " ;
COTF3 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FET : "Nombre d'annees cotisations footballeurs - PAC 3" ;
COTF4 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FFT : "Nombre d'annees cotisations footballeurs - PAC 4" ;
COTFC : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FBT : "Nombre d'annees cotisations footballeurs - Declarant 2" ;
COTFORET : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UL : "Cotisations d'assurance pour la foret" type REEL ;
COTFV : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias FAT : "Nombre d'annees cotisations footballeurs - Declarant 1" ;
CPASCSGRED : calculee restituee primrest = 1 : "Restitution PAS CSG - DESF" ;
CPASCSGREST : calculee restituee primrest = 1 : "Restitution PAS CSG - documents comptables" ;
CPASIRRESD : calculee restituee primrest = 1 : "Restitution PAS IR - DESF" ;
CPASIRREST : calculee restituee primrest = 1 : "Restitution PAS IR - documents comptables" ;
CPASPSOLRD : calculee restituee primrest = 1 : "Restitution PAS PSOL - DESF" ;
CPASPSOLREST : calculee restituee primrest = 1 : "Restitution PAS PSOL - documents comptables" ;
CRCFA : calculee restituee primrest = 1 : "Credit d'impot revenus etrangers" ;
CRCFA_P : calculee primrest = 0 base : "Credit revenus etrangers" type REEL ;
CRDEG : calculee restituee primrest = 0 : "Degrevement global (CSG + CRDS + PRS)" ;
CRDIE : calculee restituee primrest = 1 : "Credit d'impot convention franco-allemande" ;
CRDIE_P : calculee primrest = 0 base : "Credit revenus etrangers" type REEL ;
CRDSBR : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
CRDSBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
CRDSIM : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8ZJ : "CRDS provisoire autre que patrimoine a 17,2 %" ;
CRDSIM_A : calculee restituee primrest = 0 base : "RDS provisoire anterieur" ;
CRDSPAT : calculee restituee primrest = 1 : "Prelevements sociaux CRDS 0,5% - documents comptables" ;
CRDS_A : calculee primrest = 0 base : "correctif : CSG anterieure" ;
CRDS_ANT : calculee primrest = 0 base : "MONTANT CRDS base des INR retard traitement precedent" ;
CRDS_ANT2 : calculee primrest = 0 : "MONTANT CRDS base des INR retard traitement precedent" ;
CRDS_INIT : calculee primrest = 0 base : " nouv cor:taxation 2042_INIT pour la TL: sauvegard CRDS" ;
CRDS_NTL : calculee primrest = 0 base : "MONTANT CRDS base des INR NTL retard traitement courant" ;
CRDS_NTL2 : calculee primrest = 0 : "MONTANT CRDS base des INR NTL retard traitement courant" ;
CRDS_NTLDEC : calculee primrest = 0 base : "MONTANT CRDS base des INR retard non TL traitement courant" ;
CRDS_NTLDEC_1 : calculee primrest = 0 base : "MONTANT CRDS base des INR retard non TL traitement courant code 22" ;
CRDS_NTLDEC_198 : calculee primrest = 0 base : "MONTANT CRDS base des INR retard non TL traitement courant code 22" ;
CRDS_NTLDEC_22 : calculee primrest = 0 base : "MONTANT CRDS base des INR retard non TL traitement courant code 22" ;
CRDS_NTLDEC_24 : calculee primrest = 0 base : "MONTANT CRDS base des INR retard non TL traitement courant code 22" ;
CRDS_NTL_1 : calculee primrest = 0 base : "MONTANT CRDS base des INR NTL retard traitement courant code 22" ;
CRDS_NTL_22 : calculee primrest = 0 base : "MONTANT CRDS base des INR NTL retard traitement courant code 22" ;
CRDS_NTL_222 : calculee primrest = 0 : "MONTANT CRDS base des INR NTL retard traitement courant code " ;
CRDS_NTL_24 : calculee primrest = 0 base : "MONTANT CRDS base des INR NTL retard traitement courant code 22" ;
CRDS_NTL_242 : calculee primrest = 0 base : "MONTANT CRDS base des INR NTL retard traitement courant code 22" ;
CRDS_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CRDS_PADO : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
CRDS_PADO_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
CRDS_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
CRDS_PRI : calculee primrest = 0 base : "MONTANT CRDS base des INR retard primitif" ;
CRDS_PRI2 : calculee primrest = 0 base : "MONTANT CRDS base des INR retard primitif" ;
CRDS_RECT : calculee primrest = 0 base : " nouv cor:taxation 2042_RECT pour la TL: sauvegarde CRDS" ;
CRDS_REF_INR : calculee primrest = 0 base : "MONTANT CRDS base des INR TL retard traitement de reference" ;
CRDS_TL : calculee primrest = 0 base : "MONTANT CRDS base des INR TL retard traitement courant" ;
CRDS_TL2 : calculee primrest = 0 : "MONTANT CRDS base des INR TL retard traitement courant" ;
CRDS_TL_1 : calculee primrest = 0 base : "MONTANT CRDS base INR TL retard trait courant code 22" ;
CRDS_TL_22 : calculee primrest = 0 base : "MONTANT CRDS base INR TL retard trait courant code " ;
CRDS_TL_222 : calculee primrest = 0 : "MONTANT CRDS base INR TL retard trait courant code " ;
CRDS_TL_24 : calculee primrest = 0 base : "MONTANT CRDS base INR TL retard trait courant code " ;
CRDS_TL_242 : calculee primrest = 0 : "MONTANT CRDS base INR TL retard trait courant code " ;
CREAGRIBIO : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WA : "Credit d'impot agriculture biologique " ;
CREAGRIGLY : calculee restituee primrest = 1 : "Credit d'impot agriculture sans glyphosate" ;
CREAGRIHVE : calculee restituee primrest = 1 : "Credit d'impot agriculture haute valeur environnementale" ;
CREAIDE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 7DB : "Credit d'impot depenses aide a domicile " ;
CREARTS : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WR : "Credit d'impot metiers d'art" ;
CRECONGAGRI : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WT : "Credit d'impot remplacement conge agriculteur " ;
CREDPVREP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8UT : "Plus-values en report d imposition non expire " ;
CREFAM : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8UZ : "Credit d'impot famille " ;
CREFORMCHENT : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8WD : "Credit d'impot formation chef entreprise" ;
CREREVET : calculee restituee primrest = 1 : "Credit d'impot proportionnel ( sur les REVenus ETrangers)" ;
CRESINTER : calculee restituee primrest = 1 : "Credit pret sans interet" ;
CRESTACI : calculee restituee primrest = 1 : "Restitution ACI - documents comptables" ;
CRESTACID : calculee restituee primrest = 1 : "Restitution ACI - DESF" ;
CRICH : calculee restituee primrest = 1 : "Credit recherche 8NJ plafonne" ;
CRSE1D : calculee restituee primrest = 0 : "cont. reve source etrangere due" ;
CRSE2D : calculee restituee primrest = 0 : "cont. reve source etrangere due" ;
CRSE3D : calculee restituee primrest = 0 : "cont. reve source etrangere due" ;
CRSE4D : calculee restituee primrest = 0 : "cont. reve source etrangere due" ;
CRSE5D : calculee restituee primrest = 0 : "cont. reve source etrangere due" ;
CRSE6D : calculee restituee primrest = 1 : "cont. reve source etrangere due CASA" ;
CRSE8D : calculee restituee primrest = 1 : "cont. reve source etrangere due 8TH 8SD" ;
CS9YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
CS9YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
CS9YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
CS9YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CS9YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
CSAL : calculee restituee primrest = 0 : "Cont. salariale de 2,5 %" ;
CSALBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final PS en base declaration fictive" ;
CSALBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo csal" ;
CSBASE : calculee primrest = 0 : " nouv cor: base des majo CSG" ;
CSBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final CSG en base declaration fictive" ;
CSBASEHCOB : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CSBASEHCOB_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CSBASE_INR : calculee primrest = 0 : " nouv cor: base des majo CSG pour INR" ;
CSBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CSBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
CSBASE_MAJO : calculee restituee primrest = 0 : " nouv cor: base des majo CSG" ;
CSBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
CSBRUT : calculee primrest = 0 : "CSG nette avant CIMR CSG" ;
CSG : calculee restituee primrest = 1 : "CSG" ;
CSG820D : calculee restituee primrest = 1 : "Cont. soc. salariale due 8.2 %" ;
CSG820NET : calculee restituee primrest = 1 : "Contribution sociale salariale nette" ;
CSGBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde csgbase" ;
CSGBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde IRBASE" ;
CSGBR : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
CSGBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
CSGC : calculee restituee primrest = 1 : "CSG nette (base * taux)" ;
CSGCOMP : calculee restituee primrest = 1 : "Total CSG avec montants non mis en recouvrement et non restitues" ;
CSGCOMPANT : calculee restituee primrest = 1 : "Total CSG anterieur avec montants non mis en recouv et non restitues" ;
CSGC_A : calculee primrest = 0 base : "correctif : CSG anterieure" ;
CSGD : calculee restituee primrest = 1 : "CSG due" ;
CSGDED : calculee restituee primrest = 0 : "CSG deductible cumulee 3UA et 3VA et autres" ;
CSGDED1TZ : calculee restituee primrest = 0 : "CSG deductible 1TZ" ;
CSGDED3UA : calculee restituee primrest = 0 : "CSG deductible cumulee 3UA et 3VA " ;
CSGDED3UB : calculee restituee primrest = 0 : "CSG deductible cumulee 3UB et 3VB " ;
CSGDED3UO : calculee restituee primrest = 0 : "CSG deductible cumulee 3UO et 3VO " ;
CSGDED3UP : calculee restituee primrest = 0 : "CSG deductible cumulee 3UP et 3VP" ;
CSGDED3UY : calculee restituee primrest = 0 : "CSG deductible cumulee 3UY et 3VY" ;
CSGDEDAUTRE : calculee restituee primrest = 0 : "Si 3VA CSG deductible hors 3UA et 3VA  " ;
CSGIM : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8ZL : "CSG CRDS provisoire suite a cessation, cession" ;
CSGLOA : calculee restituee primrest = 0 : "GLO moins 8XM credit impot GLO" ;
CSGMAJOP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde base majo P" ;
CSGMAJOP_DEF : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
CSGPAT : calculee restituee primrest = 1 : "Prelevements sociaux CSG 9,2% - documents comptables" ;
CSGTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde CSG pour retard" ;
CSGTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde CSG pour retard" ;
CSG_A : calculee primrest = 0 base : "correctif : CSG anterieure" ;
CSG_ANT : calculee primrest = 0 base : "MONTANT CSG base des INR retard traitement precedent" ;
CSG_ANT2 : calculee primrest = 0 : "MONTANT CSG base des INR retard traitement precedent" ;
CSG_MAJOP : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
CSG_NTL : calculee primrest = 0 base : "MONTANT CSG base des INR NTL retard traitement courant" ;
CSG_NTL2 : calculee primrest = 0 : "MONTANT CSG base des INR NTL retard traitement courant" ;
CSG_NTLDEC : calculee primrest = 0 base : "MONTANT CSG base des INR retard non TL du traitement courant" ;
CSG_NTLDEC_1 : calculee primrest = 0 base : "MONTANT CSG base des INR retard non TL du traitement courant code 22" ;
CSG_NTLDEC_198 : calculee primrest = 0 base : "MONTANT CSG base des INR retard non TL du traitement courant code 22" ;
CSG_NTLDEC_22 : calculee primrest = 0 base : "MONTANT CSG base des INR retard non TL du traitement courant code 22" ;
CSG_NTLDEC_24 : calculee primrest = 0 base : "MONTANT CSG base des INR retard non TL du traitement courant code 22" ;
CSG_NTL_1 : calculee primrest = 0 base : "MONTANT CSG base INR NTL retard trait courant code 22" ;
CSG_NTL_22 : calculee primrest = 0 base : "MONTANT CSG base INR NTL retard trait courant code " ;
CSG_NTL_222 : calculee primrest = 0 : "MONTANT CSG base INR NTL retard trait courant code " ;
CSG_NTL_24 : calculee primrest = 0 base : "MONTANT CSG base INR NTL retard trait courant code " ;
CSG_NTL_242 : calculee primrest = 0 : "MONTANT CSG base INR NTL retard trait courant code " ;
CSG_P : calculee primrest = 0 base : "CSG" ;
CSG_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CSG_PADO : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
CSG_PADO_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
CSG_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
CSG_PRI : calculee primrest = 0 base : "MONTANT CSG base des INR retard primitif" ;
CSG_PRI2 : calculee primrest = 0 base : "MONTANT CSG base des INR retard primitif" ;
CSG_R : calculee primrest = 0 base : "CSG ( D REFERENCE )" ;
CSG_R9901 : calculee primrest = 0 base : " nouv cor:CSG rectifie pour calcul INR code 99 prim. " ;
CSG_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
CSG_R99R : calculee primrest = 0 base : " nouv cor:CSG rectifie pour calcul INR code 99 prim. penalisee" ;
CSG_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
CSG_RECT : calculee primrest = 0 : "MONTANT CSG base des INR retard traitement courant" ;
CSG_REF : calculee primrest = 0 base : "MONTANT CSG base du calcul INR retard" ;
CSG_REFP : calculee primrest = 0 base : "MONTANT CS initiale maj R99 et C base du calcul INR" ;
CSG_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
CSG_REF_INR : calculee primrest = 0 base : "MONTANT CSG base des INR TL retard traitement de reference" ;
CSG_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde CSG pour retard" ;
CSG_TL : calculee primrest = 0 base : "MONTANT CSG base des INR TL retard traitement courant" ;
CSG_TL2 : calculee primrest = 0 : "MONTANT CSG base des INR TL retard traitement courant" ;
CSG_TLDEC : calculee primrest = 0 base : "MONTANT CSG base des INR retard TL du traitement courant" ;
CSG_TLDEC_1 : calculee primrest = 0 base : "MONTANT CSG base des INR retard TL du traitement courant code 22" ;
CSG_TLDEC_199 : calculee primrest = 0 base : "MONTANT CSG base des INR retard TL du traitement courant code 22" ;
CSG_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CSG_TLDEC_24 : calculee primrest = 0 base : "MONTANT CSG base des INR retard TL du traitement courant code 22" ;
CSG_TL_1 : calculee primrest = 0 base : "MONTANT CSG base INR TL retard trait courant code 22" ;
CSG_TL_22 : calculee primrest = 0 base : "MONTANT CSG base INR TL retard trait courant code" ;
CSG_TL_222 : calculee primrest = 0 : "MONTANT CSG base INR TL retard trait courant code " ;
CSG_TL_24 : calculee primrest = 0 base : "MONTANT CSG base INR TL retard trait courant code" ;
CSG_TL_242 : calculee primrest = 0 : "MONTANT CSG base INR TL retard trait courant code " ;
CSNET : calculee restituee primrest = 1 : "CSG nette avant test des 160F" ;
CSNET1 : calculee restituee primrest = 1 : "CSG nette (prise en compte du seuil de 61E)" ;
CSNETEMP : calculee restituee primrest = 0 : "CSG nette temp pour correctif " ;
CSPROVRSE2 : calculee restituee primrest = 1 : "CSG provisoire revenus source etrangere (8YF 8YN)" ;
CSPROVRSE4 : calculee restituee primrest = 1 : "CSG provisoire revenus source etrangere (8YH 8YP)" ;
CSPROVRSE6 : calculee restituee primrest = 1 : "Imposition provisoire CASA pour colbert" type REEL ;
CSPROVRSE8 : calculee restituee primrest = 1 : "CSG provisoire revenus source etrangere (8YV 8YX)" ;
CSPROVYD : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 11 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YD : "CSG provisoire a 9,2 % revenus non salariaux etrangers" ;
CSPROVYE : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 19 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YE : "CSG provisoire a 9,2 % revenus salariaux etrangers" ;
CSPROVYF : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8YF : "CSG provisoire a 8,3 % revenus remplacement etrangers" ;
CSPROVYG : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 13 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8YG : "CSG provisoire a 6,2 % revenus remplacement etrangers" ;
CSPROVYH : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8YH : "CSG provisoire a 3,8 % revenus remplacement etrangers" ;
CSPROVYN : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8YN : "Imposition provisoire pensions a 8,3 % (8 SA)" type REEL ;
CSPROVYP : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8YP : "Imposition provisoire pensions a 3,8% (8 SB)" type REEL ;
CSREC : calculee primrest = 0 base : "booleen =1 si prelevements sociaux recouvres" ;
CSRECA : calculee primrest = 0 base : "booleen =1 si prelevements sociaux recouvrees annee anterieure" ;
CSRECB : calculee primrest = 0 base : "booleen =1 si prelevements sociaux recouvres sans CIMR PS" ;
CSRECINR : calculee primrest = 0 base : "booleen =1 si prelevements recouvres recouvrees avec napcrinr" ;
CSREC_P : calculee primrest = 0 base : "Correctif: indicateur de perception de la cs" ;
CSRTF : calculee primrest = 0 : "revenus au taux forfaitaireCSG (avis CSG)" ;
CSTOT : calculee restituee primrest = 0 : "NAP CSG RDS PRS avant imputation impot provisoire" ;
CSTOTSSPENA : calculee primrest = 0 : "NAP CSG RDS PRS avant imputation impot provisoire pour seuil 61 ?" ;
CSTRATE1 : saisie penalite primrest = 0 alias V_CSTRATE1 : "nouv cor : Code penalite de la strate 1" ;
CSTRATE99 : saisie penalite primrest = 0 alias V_CSTRATE99 : "nouv cor : Code penalite de la strate 99" ;
CS_BPCOS : calculee restituee primrest = 0 : "avis csg: gains de cession" ;
CS_DEG : calculee restituee primrest = 0 : "Degrevement calcule csg rds prs (avis CSG)" ;
CS_RTF : calculee restituee primrest = 1 : "revenus au taux forfaitaireCSG (avis CSG)" ;
CUMPENEXTEF : calculee restituee primrest = 1 : "AG 1507: cumul despensions exo tx effectif 1AS 1BS 1CS 1DS 1ES 1FS" ;
CUMSALEXTEF : calculee restituee primrest = 1 : "AG 1507: cumul des salaires exo tx effectif 1AC 1BC 1CC 1DC 1EC 1FC" ;
CVN9YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
CVN9YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
CVN9YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
CVN9YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CVN9YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
CVNA_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde CVN" ;
CVNBASE : calculee primrest = 0 : "Base imposable contrib. salariale 10 % (avis CSG)" ;
CVNBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final CVN en base declaration fictive" ;
CVNBASEHCOE : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
CVNBASEHCOE_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CVNBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde CVNbase" ;
CVNBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
CVNBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
CVNBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
CVNBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo GLO 3SN 3VN" ;
CVNBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
CVNBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde CVN 1er evenement" ;
CVND : calculee restituee primrest = 0 : "CVN due" ;
CVNN : calculee restituee primrest = 0 : "CVN moins 8XL credit impot CVN" ;
CVNNET : calculee restituee primrest = 1 : "Cont. salariale 10 % nette" ;
CVNNETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
CVNNET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
CVNSALAV : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 17 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VN : "Gains soumis a contribution salariale de 10 %" ;
CVNSALC : calculee restituee primrest = 1 : "Contribution salariale de 10 %" ;
CVNTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde cvnsal pour retard" ;
CVNTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde cvnsalc pour retard" ;
CVN_A : calculee primrest = 0 base : "correctif : CVNSAL anterieure" ;
CVN_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
CVN_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
CVN_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde CVN " ;
CVN_NTL : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
CVN_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
CVN_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
CVN_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
CVN_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
CVN_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
CVN_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
CVN_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
CVN_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code" ;
CVN_NTL_222 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code " ;
CVN_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code" ;
CVN_NTL_242 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant code " ;
CVN_P : calculee primrest = 0 base : "Contribution salariale 10 % - primitive" ;
CVN_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR CVN" ;
CVN_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
CVN_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
CVN_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
CVN_R : calculee primrest = 0 base : "( REFERENCE )" ;
CVN_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
CVN_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
CVN_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
CVN_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
CVN_RECT : calculee primrest = 0 base : "Impot rectifie pour calcul INR : sauvegarde CVN" ;
CVN_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
CVN_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
CVN_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
CVN_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
CVN_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde cvnsal pour retard" ;
CVN_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
CVN_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
CVN_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
CVN_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CVN_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CVN_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CVN_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
CVN_TL_1 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code 22" ;
CVN_TL_22 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code " ;
CVN_TL_222 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code " ;
CVN_TL_24 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code " ;
CVN_TL_242 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code " ;
D10M1 : calculee restituee primrest = 0 : "deduction 10%  apres prise en compte de la deduction minimale" ;
D10M2 : calculee restituee primrest = 0 : "deduction 10%  apres prise en compte de la deduction minimale" ;
D10M3 : calculee restituee primrest = 0 : "deduction 10%  apres prise en compte de la deduction minimale" ;
D10M4 : calculee restituee primrest = 0 : "deduction 10%  apres prise en compte de la deduction minimale" ;
D10MC : calculee restituee primrest = 0 : "deduction 10% hors DA apres prise en compte de la deduction minimale" ;
D10MV : calculee restituee primrest = 0 : "deduction 10% hors DA apres prise en compte de la deduction minimale" ;
D3BA : calculee primrest = 0 : "R2/BA- 4BD" ;
D4BD4BE : calculee primrest = 0 : "regime micro-fonciers  defant. 4BE" ;
D4BDRBE : calculee primrest = 0 : "regime micro-fonciers  defant. RBE" ;
D4BE : calculee primrest = 0 : "R/4BE net- 4BD" ;
DABNCNP : calculee restituee primrest = 1 : "Somme deficits Bnc annees anterieures" ;
DABNCNP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5MT : "BNC non professionnels - Deficit de 2021" ;
DABNCNP11731 : calculee restituee primrest = 0 base : "Deficit 5MT pour 1731" ;
DABNCNP1731 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNP1P2 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5LT : "BNC non professionnels - Deficit de 2020" type REEL ;
DABNCNP21731 : calculee restituee primrest = 0 base : "Deficit 5LT pour 1731" ;
DABNCNP2P2 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5KT : "BNC non professionnels - Deficit de 2019" ;
DABNCNP31731 : calculee restituee primrest = 0 base : "Deficit 5KT pour 1731" ;
DABNCNP3P2 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5JT : "BNC non professionnels - Deficit de 2018" ;
DABNCNP41731 : calculee restituee primrest = 0 base : "Deficit 5JT pour 1731" ;
DABNCNP4P2 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNP5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5IT : "BNC non professionnels - Deficit de 2017" ;
DABNCNP51731 : calculee restituee primrest = 0 base : "Deficit 5IT pour 1731" ;
DABNCNP5P2 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNP6 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5HT : "BNC non professionnels - Deficit de 2016" ;
DABNCNP61731 : calculee restituee primrest = 0 base : "Deficit 5HT pour 1731" ;
DABNCNP6P2 : calculee restituee primrest = 0 base : "Deficit 5HT pour 1731" ;
DABNCNPC : calculee restituee primrest = 0 : "PAS Somme deficits Bnc annees anterieures au prorata revenus - dec2" ;
DABNCNPF : calculee restituee primrest = 1 : "Foyer deficits Bnc annees anterieures pour PAS" ;
DABNCNPP : calculee restituee primrest = 0 : "PAS Somme deficits Bnc annees anterieures au prorata revenus - p a c" ;
DABNCNPP2 : calculee restituee primrest = 0 base : "Deficit  pour 1731" ;
DABNCNPV : calculee restituee primrest = 0 : "PAS Somme deficits Bnc annees anterieures au prorata revenus - dec1" ;
DACTBOIS : calculee restituee primrest = 1 : "IFI Actif Bois" ;
DACTBRUR : calculee restituee primrest = 1 : "IFI Actif biens ruraux loues a long terme" ;
DACTGFA : calculee restituee primrest = 1 : "IFI Actif GFA" ;
DAGRI : calculee restituee primrest = 0 : "BA Somme des deficits anterieurs declares" ;
DAGRI1 : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QQ : "Deficit agricole de 2021" ;
DAGRI11731 : calculee restituee primrest = 0 base : "Deficit 5QQ pour 1731" ;
DAGRI1731 : calculee restituee primrest = 0 base : "Deficits BA N-1 impute hors 1731bis" ;
DAGRI1P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DAGRI2 : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QP : "Deficit agricole de 2020" ;
DAGRI21731 : calculee restituee primrest = 0 base : "Deficit 5QP pour 1731" ;
DAGRI2P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DAGRI3 : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QO : "Deficit agricole de 2019" ;
DAGRI31731 : calculee restituee primrest = 0 base : "Deficit 5QO pour 1731" ;
DAGRI3P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DAGRI4 : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QN : "Deficit agricole de 2018" ;
DAGRI41731 : calculee restituee primrest = 0 base : "Deficit 5QN pour 1731" ;
DAGRI4P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DAGRI5 : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QG : "Deficit agricole de 2017" ;
DAGRI51731 : calculee restituee primrest = 0 base : "Deficit 5QG pour 1731" ;
DAGRI5P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DAGRI6 : saisie revenu classe = 2 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 2 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5QF : "Deficit agricole de 2016" ;
DAGRI61731 : calculee restituee primrest = 0 base : "Deficit 5QF pour 1731" ;
DAGRI6P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DAGRIIMP : calculee restituee primrest = 0 : "Deficits BA N-1 impute" ;
DAGRIIMP1731 : calculee restituee primrest = 0 base : "Deficits BA N-1 impute" ;
DAGRIIMPP2 : calculee restituee primrest = 0 base : "Deficits BA N-1 impute" ;
DAGRIIMP_P : calculee primrest = 0 base : "Deficits BA N-1 impute" ;
DAGRIP2 : calculee restituee primrest = 0 base : "Deficits BA N-1 impute hors 1731bis P2" ;
DAIDC : calculee restituee primrest = 1 : "Aide a domicile credit d impot" ;
DALNP : calculee restituee primrest = 0 : "Act. non comm. non prof. : deficits" ;
DALNP_R : calculee primrest = 0 base : "act. non comm. non prof., deficits" ;
DAR : calculee restituee primrest = 0 : "Deficits anterieurs reportables" ;
DAR_REP : calculee primrest = 0 : "Deficits anterieurs reportables pour calcul report" ;
DATDEPETR : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9YD : "Date depart a l'etranger  " ;
DATOCEANS : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias DAT : "date de notif . POINT DE DEPART" type REEL ;
DATRETETR : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 9YR : "Date de retour en France " ;
DBACT : calculee restituee primrest = 0 : "Frais de comptabilite, nombre d'entreprises" ;
DBAIP : calculee restituee primrest = 1 : "Deficits BA N-1 impute" ;
DBAIP1731 : calculee restituee primrest = 0 base : "Deficits BA N-1 impute hors 1731" ;
DCELLA1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELLB1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELLC1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELLY1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELMS1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELMT1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELMU1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELMV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLN1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLQ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLR1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLT1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLU1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLV1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDLX1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELRREDMH1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DCELSOM1 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM2 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM3 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM4 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM5 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM6 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM7 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM8 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCELSOM9 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - declare" ;
DCINE : calculee restituee primrest = 1 : "Cinema audiovisuel" ;
DCINE_A : calculee primrest = 0 : "RI evt avant" ;
DCODJZ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7jz) - declare" ;
DCODMN : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2022 (7mn) - declare" ;
DCODMW : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2021 (7mw) - declare" ;
DCODMZ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2020 (7mz) - declare" ;
DCODOV : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7OV) - declare" ;
DCODOW : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7OW) - declare" ;
DCODOX : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7OX) - declare" ;
DCODOY : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2018 (7OY) - declare" ;
DCODPZ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2018 (7pz) - declare" ;
DCOLENT : calculee restituee primrest = 1 : "Investissements outre mer entreprise - report 2009 - retenu" ;
DCOMP : calculee restituee primrest = 1 : "Frais de comptabilite" ;
DCOMP_A : calculee primrest = 0 : "RI evt avant" ;
DCOTFOR : calculee restituee primrest = 1 : "Cotisations assurance pour la foret - declare" ;
DCOTFOR_A : calculee primrest = 0 : "RI evt avant" ;
DCSG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6DE : "CSG deductible " ;
DCSGD : calculee restituee primrest = 1 : "CSG deductible cumulee" ;
DCSGIM : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8ZM : "CSG deductible provisoire" ;
DCSGIM_A : calculee primrest = 0 base : "csg deductible provisoire anterieure" ;
DCTMIB : calculee restituee primrest = 1 : "AG 1507: moins values a court terme imputees sur BIC micro" ;
DCTMIBNP : calculee restituee primrest = 1 : "AG 1507: moins values a court terme imputees sur BIC NON PROF micro" ;
DCTSPE : calculee restituee primrest = 1 : "AG 1507: moins values a court terme imputees sur BNC  reg special" ;
DCTSPENP : calculee restituee primrest = 1 : "AG 1507: moins values a court terme imputees sur BNC NON PROF reg spec" ;
DDCSG : calculee restituee primrest = 0 : "Libelle CSG deductible" ;
DDFA : calculee restituee primrest = 0 : "Deduction pour frais d'accueil" ;
DDIFAGRI : calculee restituee primrest = 1 : "Interet differe paiement agriculteurs" ;
DDIFAGRI_A : calculee primrest = 0 : "RI evt avant" ;
DDOMSOC1 : calculee restituee primrest = 1 : "Investissements outre mer logement social - report 2009 - retenu" ;
DDONDJ : calculee restituee primrest = 1 : "Dons Asso culturelles - declare" ;
DDONDP_A : calculee primrest = 0 : "RI evt avant" ;
DDONS : calculee restituee primrest = 1 : "Dons aux oeuvres" ;
DDONS_A : calculee primrest = 0 : "RI evt avant" ;
DDPA : calculee restituee primrest = 0 : "Deduction pour pensions alimentaires" ;
DDUFLOEKL_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREP : calculee restituee primrest = 1 : "Investissement Duflot reports - declare" ;
DDUFREPFI_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREPFK_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREPFR_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREPFV_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREPFW_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREPFX_A : calculee primrest = 0 : "RI evt avant" ;
DDUFREP_A : calculee primrest = 0 : "RI evt avant" ;
DEC11 : calculee restituee primrest = 0 : "Decote totale" ;
DEC12 : calculee primrest = 0 : "Decote totale" ;
DEC13 : calculee primrest = 0 : "Decote totale avec 3wg" ;
DEC6 : calculee primrest = 0 : "Decote pour la taxation du 8VV (art. 168)" ;
DECIFI : calculee restituee primrest = 1 : "IFI : Decote pour patrimoine compris entre 1300 000 et 1400 000 euros" ;
DECINDIV : calculee primrest = 0 : "Impot de reference individuel PAS pour decote" ;
DECPAS : calculee restituee primrest = 0 : "Decote totale taux individualise PAS" ;
DECSANIR : calculee primrest = 0 : "variable declenchement seuil sanction PAS IR" ;
DECSANPS : calculee primrest = 0 : "variable declenchement seuil sanction PAS PS" ;
DEC_CGA_AGA : calculee restituee primrest = 0 : "variable CFIR : ligne 13bis matrice IR_SDFDL declare" type REEL ;
DED6DG : calculee restituee primrest = 1 : "Deductions foncieres monuments historiques" ;
DEDIV : calculee restituee primrest = 1 : "Deductions diverses" ;
DEDMIN1 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires PAC" ;
DEDMIN2 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires PAC" ;
DEDMIN3 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires PAC" ;
DEDMIN4 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires PAC" ;
DEDMINC : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires Conjoint" ;
DEDMINV : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires Vous" ;
DEDS1 : calculee primrest = 0 : "Deductions supplementaires" ;
DEDS2 : calculee primrest = 0 : "Deductions supplementaires" ;
DEDS3 : calculee primrest = 0 : "Deductions supplementaires" ;
DEDS4 : calculee primrest = 0 : "Deductions supplementaires" ;
DEDSC : calculee restituee primrest = 0 : "Deductions supplementaires Conjoint" ;
DEDSP : calculee restituee primrest = 0 : "Deductions supplementaires Personnes a charge" ;
DEDSV : calculee restituee primrest = 0 : "Deductions supplementaires Vous" ;
DEF4BB : calculee restituee primrest = 0 : "def RF 4Bb pour 1731" ;
DEF4BB1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEF4BBP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEF4BB_P : calculee primrest = 0 base : "def RF pour 1731 non imput" ;
DEF4BC : calculee restituee primrest = 0 : "def RF 4BD pour 1731" ;
DEF4BC1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEF4BCP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEF4BC_P : calculee primrest = 0 base : "def RF pour 1731 non imput" ;
DEF4BD : calculee restituee primrest = 0 : "def RF 4BD pour 1731" ;
DEF4BD1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEF4BDP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEF4BD_P : calculee primrest = 0 base : "def RF pour 1731 non imput" ;
DEF5DF : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source etrangere" ;
DEF5DG : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5EF : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source etrangere" ;
DEF5EG : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5FF : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source etrangere" ;
DEF5FG : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5JG : calculee primrest = 0 : " BNC  " ;
DEF5KC : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5KI : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source francaise" ;
DEF5LC : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5LI : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source francaise" ;
DEF5MC : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5MI : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source francaise" ;
DEF5NC : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5NI : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5NS : calculee primrest = 0 : " BNC  " ;
DEF5OC : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5OI : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5OS : calculee primrest = 0 : " BNC  " ;
DEF5PC : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5PI : calculee primrest = 0 : "Part du deficit  pour les revenus ordinaires de source francaise" ;
DEF5QC : calculee primrest = 0 : " BNC  " ;
DEF5QI : calculee primrest = 0 : " BNC  " ;
DEF5RC : calculee primrest = 0 : " BNC  " ;
DEF5RF : calculee primrest = 0 : " BNC  " ;
DEF5RI : calculee primrest = 0 : " BNC  " ;
DEF5SC : calculee primrest = 0 : " BNC  " ;
DEF5SF : calculee primrest = 0 : " BNC  " ;
DEF5SI : calculee primrest = 0 : " BNC  " ;
DEF5SN : calculee primrest = 0 : " BNC  " ;
DEF5UR : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5US : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5VR : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5VS : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5WR : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5WS : calculee primrest = 0 : "Part du deficit pour les revenus ordinaires de source etrangere" ;
DEF5XJ : calculee primrest = 0 : " BNC  " ;
DEF5XK : calculee primrest = 0 : " BNC  " ;
DEF5XS : calculee primrest = 0 : " BNC  " ;
DEF5XX : calculee primrest = 0 : " BNC  " ;
DEF5YJ : calculee primrest = 0 : " BNC  " ;
DEF5YK : calculee primrest = 0 : " BNC  " ;
DEF5YS : calculee primrest = 0 : " BNC  " ;
DEF5YX : calculee primrest = 0 : " BNC  " ;
DEF5ZJ : calculee primrest = 0 : " BNC  " ;
DEF5ZK : calculee primrest = 0 : " BNC  " ;
DEF5ZS : calculee primrest = 0 : " BNC  " ;
DEF5ZX : calculee primrest = 0 : " BNC  " ;
DEFAA0 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6FL : "Deficit global - 2021" ;
DEFAA01731 : calculee restituee primrest = 0 base : "Deficit 6FL pour 1731" ;
DEFAA0P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFAA1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6FE : "Deficit global - 2020" ;
DEFAA11731 : calculee restituee primrest = 0 base : "Deficit 6FE pour 1731" ;
DEFAA1P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFAA2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6FD : "Deficit global - 2019" ;
DEFAA21731 : calculee restituee primrest = 0 base : "Deficit 6FD pour 1731" ;
DEFAA2P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFAA3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6FC : "Deficit global - 2018" ;
DEFAA31731 : calculee restituee primrest = 0 base : "Deficit 6FC pour 1731" ;
DEFAA3P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFAA4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6FB : "Deficit global - 2017" ;
DEFAA41731 : calculee restituee primrest = 0 base : "Deficit 6FB pour 1731" ;
DEFAA4P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFAA5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6FA : "Deficit global - 2016" ;
DEFAA51731 : calculee restituee primrest = 0 base : "Deficit 6FA pour 1731" ;
DEFAA5P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFANTBA : calculee primrest = 0 : "BA - Deficits anterieurs - retenu en fonction BA declares" ;
DEFANTBAC : calculee restituee primrest = 0 : "BA - Deficits anterieurs - Declarant 2" ;
DEFANTBADECLA : calculee primrest = 0 base : "deficit ant BA decla foyer" ;
DEFANTBAF : calculee restituee primrest = 1 : "BA - Deficits anterieurs - Foyer" ;
DEFANTBAP : calculee restituee primrest = 0 : "BA - Deficits anterieurs - Pac" ;
DEFANTBAQC : calculee restituee primrest = 0 : "BA - Solde deficits anterieurs imputables sur BAQ - Declarant 2" ;
DEFANTBAQP : calculee restituee primrest = 0 : "BA - Solde deficits anterieurs imputables sur BAQ - Pac" ;
DEFANTBAQV : calculee restituee primrest = 0 : "BA - Solde deficits anterieurs imputables sur BAQ - Declarant 1" ;
DEFANTBAV : calculee restituee primrest = 0 : "BA - Deficits anterieurs - Declarant 1" ;
DEFANTBICNPC : calculee primrest = 0 : "BIC non pro - Repartition du deficit a imputer (dec2)" ;
DEFANTBICNPP : calculee primrest = 0 : "BIC non pro - Repartition du deficit a imputer (Pac)" ;
DEFANTBICNPV : calculee primrest = 0 : "BIC non pro - Repartition du deficit a imputer (dec1)" ;
DEFANTIMP : calculee primrest = 0 : "Deficits BA des annees anterieures a impute" ;
DEFANTIMPHQ : calculee primrest = 0 : "Deficits BA des annees anterieures a impute hors quotient" ;
DEFANTIMPQ : calculee primrest = 0 : "Deficits BA des annees anterieures a impute  quotient" ;
DEFANTLOCC : calculee primrest = 0 : "Repartition du deficit des locations non encore impute pour PAS (dec2)" ;
DEFANTLOCP : calculee primrest = 0 : "Repartition du deficit des locations non encore impute pour PAS (pac)" ;
DEFANTLOCSC : calculee primrest = 0 : "Repartition du deficit des locations non encore impute pour PS (dec2)" ;
DEFANTLOCSNF : calculee primrest = 0 : "location meublee non pro deficit ant impute pour PS" ;
DEFANTLOCSP : calculee primrest = 0 : "Repartition du deficit des locations non encore impute pour PS (PAC)" ;
DEFANTLOCSV : calculee primrest = 0 : "Repartition du deficit des locations non encore impute pour PS (dec1)" ;
DEFANTLOCV : calculee primrest = 0 : "Repartition du deficit des locations non encore impute pour PAS (dec1)" ;
DEFBA : calculee restituee primrest = 1 : "zone pour visual basic: deficit ba " type REEL ;
DEFBA1 : calculee restituee primrest = 1 : "Deficits BA non imputee n-1" ;
DEFBA1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFBA2 : calculee restituee primrest = 1 : "Deficits BA non imputee n-2" ;
DEFBA2P : calculee primrest = 0 : "Deficits BA non imputee n-1" ;
DEFBA3 : calculee restituee primrest = 1 : "Deficits BA non imputee n-3" ;
DEFBA3P : calculee primrest = 0 : "Deficits BA non imputee n-1" ;
DEFBA4 : calculee restituee primrest = 1 : "Deficits BA non imputee n-4" ;
DEFBA4P : calculee primrest = 0 : "Deficits BA non imputee n-1" ;
DEFBA5 : calculee restituee primrest = 1 : "Deficits BA non imputee n-5" ;
DEFBA5P : calculee primrest = 0 : "Deficits BA non imputee n-1" ;
DEFBA6 : calculee restituee primrest = 1 : "Deficits BA non imputee n-6" ;
DEFBA6P : calculee primrest = 0 : "Deficits BA non imputee n-1" ;
DEFBA7 : calculee restituee primrest = 0 : "Deficits BA non impute pour 1731bis" ;
DEFBA71731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFBA7P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFBA7_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFBACREC : calculee primrest = 0 : "Part du deficit sur code revenu" ;
DEFBACREP : calculee primrest = 0 : "Part du deficit sur code revenu" ;
DEFBACREV : calculee primrest = 0 : "Part du deficit sur code revenu" ;
DEFBAHREC : calculee primrest = 0 : "Part du deficit sur code revenu majore " ;
DEFBAHREP : calculee primrest = 0 : "Part du deficit sur code revenu majore " ;
DEFBAHREV : calculee primrest = 0 : "Part du deficit sur code revenu majore " ;
DEFBANI : calculee restituee primrest = 0 : "BA. : deficits ant. imput?s1731" ;
DEFBANI1731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBANI470 : calculee restituee primrest = 0 : "BA. : deficits ant. imput?s1731" ;
DEFBANI4701731 : calculee restituee primrest = 0 base : "Somme des lignes 470 482 BA pour 1731" ;
DEFBANI470BIS : calculee restituee primrest = 0 : "BA. : deficits ant. imputes1731" ;
DEFBANI470BIS1731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731" ;
DEFBANI470BISP2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731" ;
DEFBANI470BIS_P : calculee restituee primrest = 0 : "BA. : deficits ant. imputes1731" ;
DEFBANI470P2 : calculee restituee primrest = 0 base : "Somme des lignes 470 482 BA pour 1731" ;
DEFBANI470P3 : calculee restituee primrest = 0 base : "Somme des lignes 470 482 BA pour 1731" ;
DEFBANI470_P : calculee restituee primrest = 0 base : "Somme des lignes 470 482 BA pour 1731" ;
DEFBANIF : calculee restituee primrest = 1 base : "BA. : deficits ant. imputes1731" ;
DEFBANIFBIS : calculee primrest = 0 : "def bnc pour 1731 non imput" ;
DEFBANIH470 : calculee restituee primrest = 0 : "BA. : deficits ant. imput?s1731" ;
DEFBANIH4701731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBANIH470P2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBANIH470P3 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBANIH470_P : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBANIP2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBANIP3 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731 avec majo 1731" ;
DEFBANI_P : calculee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBAP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFBA_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul DEFBA1 init" ;
DEFBA_R : calculee primrest = 0 base : "deficits BA non imputes(D REFERENCE)" ;
DEFBIC1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RW : "BIC non professionnels - Deficit de 2021" ;
DEFBIC11731 : calculee restituee primrest = 0 base : "Deficit 5RW pour 1731" ;
DEFBIC1P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFBIC2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RR : "BIC non professionnels - Deficit de 2020" ;
DEFBIC21731 : calculee restituee primrest = 0 base : "Deficit 5RR pour 1731" ;
DEFBIC2P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFBIC3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RQ : "BIC non professionnels - Deficit de 2019" ;
DEFBIC31731 : calculee restituee primrest = 0 base : "Deficit 5RQ pour 1731" ;
DEFBIC3P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFBIC4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RP : "BIC non professionnels - Deficit de 2018" ;
DEFBIC41731 : calculee restituee primrest = 0 base : "Deficit 5RP pour 1731" ;
DEFBIC4P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFBIC5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RO : "BIC non professionnels - Deficit de 2017" ;
DEFBIC51731 : calculee restituee primrest = 0 base : "Deficit 5RO pour 1731" ;
DEFBIC5P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFBIC6 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5RN : "BIC non professionnels - Deficit de 2016" ;
DEFBIC61731 : calculee restituee primrest = 0 base : "Deficit 5RN pour 1731" ;
DEFBIC6P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFBICNP470 : calculee restituee primrest = 0 : "BIC. : deficits ant. imput?s1731" ;
DEFBICNP4701731 : calculee restituee primrest = 0 : "BIC. : deficits ant. imput?s1731" ;
DEFBICNP470P2 : calculee restituee primrest = 0 : "BIC. : deficits ant. imput?s1731" ;
DEFBICNP470P3 : calculee restituee primrest = 0 : "BIC. : deficits ant. imput?s1731" ;
DEFBICNPF : calculee restituee primrest = 1 : "BIC non professionnel deficit du foyer" ;
DEFBICNPFBIS : calculee primrest = 0 : "def bnc pour 1731 non imput" ;
DEFBICNPH470 : calculee restituee primrest = 0 : "BNC. : deficits ant. imput?s1731" ;
DEFBICNPH4701731 : calculee restituee primrest = 0 : "BNC. : deficits ant. imput?s1731" ;
DEFBICNPH470P2 : calculee restituee primrest = 0 : "BIC. : deficits ant. imput?s1731" ;
DEFBICNPH470P3 : calculee restituee primrest = 0 : "BIC. : deficits ant. imput?s1731" ;
DEFBNCNP : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
DEFBNCNP1731 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
DEFBNCNP470 : calculee restituee primrest = 0 : "BNC. : deficits ant. imput?s1731" ;
DEFBNCNP4701731 : calculee restituee primrest = 0 base : "BNC. : deficits ant. imput?s1731" ;
DEFBNCNP470P2 : calculee restituee primrest = 0 base : "BNC. : deficits ant. imput?s1731" ;
DEFBNCNP470P3 : calculee restituee primrest = 0 base : "BNC. : deficits ant. imput?s1731" ;
DEFBNCNP470_P : calculee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBNCNPF : calculee restituee primrest = 1 base : "def bnc pour 1731 non imput" ;
DEFBNCNPFBIS : calculee primrest = 0 : "def bnc pour 1731 non imput" ;
DEFBNCNPH470 : calculee restituee primrest = 0 : "BNC. : deficits ant. imput?s1731" ;
DEFBNCNPH4701731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBNCNPH470P2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731" ;
DEFBNCNPH470P3 : calculee restituee primrest = 0 base : "BNC. : deficits ant. imput?s1731" ;
DEFBNCNPP2 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
DEFBNCNPP3 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
DEFBNCNP_P : calculee primrest = 0 base : "def bnc pour 1731 non imput" ;
DEFCJG : calculee primrest = 0 : " BNC  " ;
DEFCKC : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCKI : calculee primrest = 0 : "Part du deficit pour les revenus exceptionnels" ;
DEFCLC : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCLI : calculee primrest = 0 : "Part du deficit pour les revenus exceptionnels" ;
DEFCMC : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCMI : calculee primrest = 0 : "Part du deficit pour les revenus exceptionnels" ;
DEFCNC : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCNI : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCNS : calculee primrest = 0 : " BNC  " ;
DEFCOC : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCOI : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCOS : calculee primrest = 0 : " BNC  " ;
DEFCPC : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCPI : calculee primrest = 0 : "Part du deficit  pour les revenus exceptionnels" ;
DEFCQC : calculee primrest = 0 : " BNC  " ;
DEFCQI : calculee primrest = 0 : " BNC  " ;
DEFCRC : calculee primrest = 0 : " BNC  " ;
DEFCRF : calculee primrest = 0 : " BNC  " ;
DEFCRI : calculee primrest = 0 : " BNC  " ;
DEFCSC : calculee primrest = 0 : " BNC  " ;
DEFCSF : calculee primrest = 0 : " BNC  " ;
DEFCSI : calculee primrest = 0 : " BNC  " ;
DEFCSN : calculee primrest = 0 : " BNC  " ;
DEFFRCM : calculee primrest = 0 : "Variable F RCM" ;
DEFIBA : calculee restituee primrest = 1 : "Deficits BA de l'annee impute" ;
DEFIBA1731 : calculee restituee primrest = 0 base : "Deficits BA N impute" ;
DEFIBAANT : calculee primrest = 0 : "Deficits BA des annees anterieures impute" ;
DEFLOC : calculee restituee primrest = 0 : "Location  somme deficits" ;
DEFLOC1 : calculee restituee primrest = 1 : "location meublee non pro non impute n-1" ;
DEFLOC10 : calculee restituee primrest = 1 : "location meublee non pro non impute n-10" ;
DEFLOC10BIS : calculee primrest = 0 : "location meublee non pro non impute n-10" ;
DEFLOC10P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC11 : calculee restituee primrest = 0 : "Deficits non impute pour 1731bis" ;
DEFLOC111731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFLOC11P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFLOC11_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFLOC1731 : calculee restituee primrest = 0 base : "Somme DEF pour  1731bis" ;
DEFLOC1BIS : calculee primrest = 0 : "location meublee non pro non impute n-1" ;
DEFLOC2 : calculee restituee primrest = 1 : "location meublee non pro non impute n-2" ;
DEFLOC2BIS : calculee primrest = 0 : "location meublee non pro non impute n-2" ;
DEFLOC2P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC3 : calculee restituee primrest = 1 : "location meublee non pro non impute n-3" ;
DEFLOC3BIS : calculee primrest = 0 : "location meublee non pro non impute n-3" ;
DEFLOC3P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC4 : calculee restituee primrest = 1 : "location meublee non pro non impute n-4" ;
DEFLOC4BIS : calculee primrest = 0 : "location meublee non pro non impute n-4" ;
DEFLOC4P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC5 : calculee restituee primrest = 1 : "location meublee non pro non impute n-5" ;
DEFLOC5BIS : calculee primrest = 0 : "location meublee non pro non impute n-5" ;
DEFLOC5P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC6 : calculee restituee primrest = 1 : "location meublee non pro non impute n-6" ;
DEFLOC6BIS : calculee primrest = 0 : "location meublee non pro non impute n-6" ;
DEFLOC6P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC7 : calculee restituee primrest = 1 : "location meublee non pro non impute n-7" ;
DEFLOC7BIS : calculee primrest = 0 : "location meublee non pro non impute n-7" ;
DEFLOC7P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC8 : calculee restituee primrest = 1 : "location meublee non pro non impute n-8" ;
DEFLOC8BIS : calculee primrest = 0 : "location meublee non pro non impute n-8" ;
DEFLOC8P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOC9 : calculee restituee primrest = 1 : "location meublee non pro non impute n-9" ;
DEFLOC9BIS : calculee primrest = 0 : "location meublee non pro non impute n-9" ;
DEFLOC9P : calculee primrest = 0 : "location meublee non pro non impute n-2 primitif" ;
DEFLOCNP : calculee restituee primrest = 0 : "LOC non professionnels pour 1731" ;
DEFLOCNP1731 : calculee restituee primrest = 0 base : "def LOC pour 1731 non imput" ;
DEFLOCNPBIS : calculee restituee primrest = 0 : "LOC non professionnels pour 1731" ;
DEFLOCNPBISP3 : calculee restituee primrest = 0 base : "LOC non professionnels pour 1731" ;
DEFLOCNPF : calculee restituee primrest = 1 base : "def LOC pour 1731 non imput" ;
DEFLOCNPP2 : calculee restituee primrest = 0 base : "def LOC pour 1731 non imput" ;
DEFLOCNP_P : calculee primrest = 0 base : "def LOC pour 1731 non imput" ;
DEFLOCP2 : calculee restituee primrest = 0 base : "Somme DEF pour  1731bis" ;
DEFLOC_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DEFNIBAQ : calculee primrest = 0 : "deficit NI ba quotient  pour art 1731bis" ;
DEFNIBAQ1 : calculee primrest = 0 : "deficit NI ba quotient  pour art 1731bis" ;
DEFNIBICQ : calculee primrest = 0 : "BIC non pro - Deficit a ajouter pour 1731 bis" ;
DEFNIBICQ1 : calculee primrest = 0 : "BIC non pro - Deficit anterieur a ajouter pour 1731 bis" ;
DEFNIBNCQ : calculee restituee primrest = 0 : "BNC non pro - Deficit a ajouter pour 1731 bis" ;
DEFNIBNCQ1 : calculee primrest = 0 : "BNC non pro - Deficit anterieur a ajouter pour 1731 bis" ;
DEFNONPLOC : calculee restituee primrest = 0 : "location meublee non pro deficit total foyer" ;
DEFNP : calculee restituee primrest = 1 : "BIC non pro - Deficit anterieur non encore deduit" ;
DEFNPI : calculee restituee primrest = 1 : "BIC non pro - deficit anterieur imputable" ;
DEFNPI1731 : calculee restituee primrest = 0 base : "def bic non impute" ;
DEFNPIHQ : calculee restituee primrest = 0 : "BIC non prof. : deficits ant. imputes HQ" ;
DEFNPIP2 : calculee restituee primrest = 0 base : "def bic non impute" ;
DEFNPIQ : calculee restituee primrest = 0 : "BIC non prof. : deficits ant. imputes HQ" ;
DEFNPI_P : calculee primrest = 0 base : "def bic non impute" ;
DEFNPLOCB : calculee restituee primrest = 0 base : "location meublee non pro deficit total foyer hors 1731" ;
DEFNPLOCF : calculee restituee primrest = 0 : "location meublee non pro deficit total foyer" ;
DEFNPLOCFAV : calculee primrest = 0 : "location meublee non pro deficit total foyer pour avis report" ;
DEFNPLOCFAVP : calculee primrest = 0 : "location meublee non pro deficit total foyer pour avis report prim" ;
DEFNPLOCFP : calculee restituee primrest = 0 : "location meublee non pro deficit total foyer primitif" ;
DEFORDIBNCNP : calculee primrest = 0 : "Deficit BNC ordi impute sur quotient BNC" ;
DEFORDIBNCNPC : calculee primrest = 0 : "Deficit BNC ordi impute sur quotient BNC conjoint" ;
DEFORDIBNCNPP : calculee primrest = 0 : "Deficit BNC ordi impute sur quotient BNC pac" ;
DEFORDIBNCNPV : calculee primrest = 0 : "Deficit BNC ordi impute sur quotient BNC vous" ;
DEFRCM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AA : "Report deficit RCM 2016" ;
DEFRCM1731 : calculee restituee primrest = 0 base : "Deficit 2AA pour 1731" ;
DEFRCM2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AL : "Report deficit RCM 2017" ;
DEFRCM21731 : calculee restituee primrest = 0 base : "Deficit 2AL pour 1731" ;
DEFRCM2P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFRCM3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AM : "Report deficit RCM 2018" ;
DEFRCM31731 : calculee restituee primrest = 0 base : "Deficit 2AM pour 1731" ;
DEFRCM3P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFRCM4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AN : "Report deficit RCM 2019" ;
DEFRCM41731 : calculee restituee primrest = 0 base : "Deficit 2AN pour 1731" ;
DEFRCM4P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFRCM5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AQ : "Report deficit RCM 2020" ;
DEFRCM51731 : calculee restituee primrest = 0 base : "Deficit 2AQ pour 1731" ;
DEFRCM5P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFRCM6 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AR : "Report deficit RCM 2021" ;
DEFRCM61731 : calculee restituee primrest = 0 base : "Deficit 2AR pour 1731" ;
DEFRCM6P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFRCMI : calculee restituee primrest = 0 base : "base DEF impute RCM   pour 1731 pour avis" ;
DEFRCMI1 : calculee restituee primrest = 0 base : "base DEF impute RCM   pour 1731 pour avis" ;
DEFRCMI1731 : calculee restituee primrest = 0 base : "base DEF impute RCM   pour 1731 pour avis" ;
DEFRCMIMPU : calculee restituee primrest = 1 base : "base DEF impute RCM   pour 1731 pour avis" ;
DEFRCMIP2 : calculee restituee primrest = 0 base : "base DEF impute RCM   pour 1731 pour avis" ;
DEFRCMIP3 : calculee restituee primrest = 0 base : "base DEF impute RCM   pour 1731 pour avis" ;
DEFRCMN : calculee primrest = 0 base : "deficit RCM constate somme revenus ordinaires et au quotient" ;
DEFRCMP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DEFRF4BB : calculee restituee primrest = 0 : "deficeit suite a imputaion 2CA" ;
DEFRF4BC : calculee restituee primrest = 1 : "deficeit suite a imputaion 2CA" ;
DEFRF4BD : calculee restituee primrest = 0 : "deficeit suite a imputaion 2CA" ;
DEFRFNONI : calculee restituee primrest = 1 : "Def RF non impute pour 1731" ;
DEFRFNONI1 : calculee primrest = 0 : "Def RF non impute pour 1731 intermediaire" ;
DEFRFNONI1731 : calculee restituee primrest = 0 base : "Def RF non impute pour 1731" ;
DEFRFNONIB : calculee restituee primrest = 1 : "Def RF non impute pour 1731 bareme" ;
DEFRFNONIBIS : calculee restituee primrest = 0 : "Def RF non impute pour 1731" ;
DEFRFNONIP2 : calculee restituee primrest = 0 base : "Def RF non impute pour 1731" ;
DEFRFNONIP3 : calculee restituee primrest = 0 base : "Def RF non impute pour 1731" ;
DEFRFNONIQ : calculee restituee primrest = 1 : "Def RF non impute pour 1731 quotient" ;
DEFRFNONI_P : calculee restituee primrest = 0 base : "Def RF non impute pour 1731" ;
DEFRFQ2 : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
DEFRFQ3 : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
DEFRFQ4 : calculee primrest = 0 : "Revenus fonciers exceptionnels imposables" ;
DEFRI : calculee restituee primrest = 1 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIBA : calculee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIBIC : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIBNC : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIGLOB : calculee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRILOC : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIMAJ : calculee restituee primrest = 0 base : "valorise DEFRI a chaque strate pour message IM43" type REEL ;
DEFRIMAJ_DEF : calculee primrest = 0 base : "valorise DEFRI a chaque strate pour message IM43" ;
DEFRIMOND : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIRCM : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRIRF : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFRITS : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
DEFTS : calculee restituee primrest = 1 : "zone batch 1507 (DEF-TS-N)" ;
DEFZU : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8ZU : "Penalite art.1731 bis : deficits de source etrangere (correctif)" type REEL ;
DEFZU1731 : calculee restituee primrest = 0 base : "Deficit 8ZU pour 1731" ;
DEFZUP2 : calculee restituee primrest = 0 base : "Deficit 8ZU pour 1731 P2" ;
DENOMPAC2 : calculee restituee primrest = 0 : "Denom (PAC) / 2 taux RAS indiv" ;
DENPLOCAFFC : calculee restituee primrest = 1 : "Revenus de locations meublees non professionnelles declares - Conj" ;
DENPLOCAFFP : calculee restituee primrest = 1 : "Revenus de locations meublees non professionnelles declares - PAC" ;
DENPLOCAFFV : calculee restituee primrest = 1 : "Revenus de locations meublees non professionnelles declares - Vous" ;
DENPLOCC : calculee restituee primrest = 1 : "Revenus de locations meublees non professionnelles declares - Conjoint" ;
DENPLOCP : calculee restituee primrest = 1 : "Revenus de locations meublees non professionnelles declares - PAC" ;
DENPLOCV : calculee restituee primrest = 1 : "Revenus de locations meublees non professionnelles declares - Vous" ;
DEN_CAP_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL pour prelevement liberatoire" ;
DEN_CDIS_TL : calculee restituee primrest = 0 : "nouv cor : denominateur pour calculer la TL en Cdis" ;
DEN_CHR_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL pour contribution hauts revenus" ;
DEN_CS_TL : calculee restituee primrest = 0 : " nouv cor:denominateur pour calculer la TL en CS " ;
DEN_CVN_TL : calculee restituee primrest = 0 : "Denominateur pour CVN pour la TL" ;
DEN_GLO_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL en GLO" ;
DEN_IR_TL : calculee restituee primrest = 0 : " nouv cor:denominateur pour calculer la TL en " ;
DEN_MCSG820_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL en MCSG820" ;
DEN_PATNET_TL : calculee restituee primrest = 0 : "Denominateur pour IFI en TL" ;
DEN_PSOL_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL en PSOL" ;
DEN_PS_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL en PRS " ;
DEN_RD_TL : calculee restituee primrest = 0 : "Denominateur pour calculer la TL en RDS " ;
DEN_RSE1_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres (8TQ) en TL" ;
DEN_RSE2_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres (8TV) en TL" ;
DEN_RSE3_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres (8TW) en TL" ;
DEN_RSE4_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres (8TX) en TL" ;
DEN_RSE5_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres (8TR) en TL" ;
DEN_RSE6_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres en TL" ;
DEN_RSE8_TL : calculee restituee primrest = 0 : "Denominateur pour les revenus de sources etrangeres en TL" ;
DEN_TAXAGA_TL : calculee restituee primrest = 0 : "nouv cor : denominateur pour calculer la TL en TAXAGA" ;
DEPENDPDC : calculee restituee primrest = 1 : "Montant des depenses entrant dans le plafond de droit commun" ;
DEPENPPRT : calculee restituee primrest = 1 : "Montant des depenses de travaux entrant dans le plafond de PPRT" ;
DEPIMP : calculee restituee primrest = 1 : "Depenses environnementales (principale) : montant impute" ;
DEPMOB : calculee restituee primrest = 1 : "Depenses aide a la personne" ;
DEPREST : calculee restituee primrest = 1 : "Depenses environnementales (principale) : montant restitution" ;
DESV : calculee restituee primrest = 1 : "Sommes desinvesties a rajouter aux revenus" ;
DFACC : calculee restituee primrest = 1 : "Frais d'accueil declare" ;
DFANT : calculee restituee primrest = 1 : "Deficits globaux des annees anterieures" ;
DFANTIMPU : calculee restituee primrest = 1 : "Deficits globaux des annees anterieures imputes" ;
DFANTIMPUBAR : calculee restituee primrest = 1 base : "Deficits globaux des annees anterieures bareme" ;
DFANTIMPUQUO : calculee restituee primrest = 1 base : "Deficits globaux des annees anterieures quotient" ;
DFANTPROV : calculee restituee primrest = 0 : "Deficits globaux des annees anterieures" ;
DFANTPROV1731 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures" ;
DFANTPROVP2 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures" ;
DFANTPROVP3 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures 1731bis" ;
DFANTPROV_P : calculee primrest = 0 base : "Deficits globaux des annees anterieures" ;
DFBICNPF : calculee restituee primrest = 0 : "BIC non professionnels pour 1731" ;
DFBICNPF1731 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput" ;
DFBICNPFP2 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput" ;
DFBICNPFP3 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput calcul 1731 avec majo 1731" ;
DFBICNPF_P : calculee primrest = 0 base : "def bic pour 1731 non imput" ;
DFCE : calculee restituee primrest = 0 : "Deficit foncier apres imputation deficits 3CE" ;
DFCE1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
DFCG : calculee restituee primrest = 0 : "Deficit foncier apres imputation deficits 3CG" ;
DFCG1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
DFCPI : calculee restituee primrest = 1 : "Reduction Souscrip Parts Fonds Communs Plac Innovation - declare" ;
DFCPI_A : calculee primrest = 0 : "RI evt avant" ;
DFIPC : calculee restituee primrest = 1 : "Cotisation FIP Corse declare" ;
DFIPC_A : calculee primrest = 0 : "RI evt avant" ;
DFIPDOM : calculee restituee primrest = 1 : "Cotisation FIP DOM COM declare" ;
DFIPDOM_A : calculee primrest = 0 : "RI evt avant" ;
DFN1 : calculee primrest = 0 : "Deduction forfaitaire de 10%" ;
DFN2 : calculee primrest = 0 : "Deduction forfaitaire de 10%" ;
DFN3 : calculee primrest = 0 : "Deduction forfaitaire de 10%" ;
DFN4 : calculee primrest = 0 : "Deduction forfaitaire de 10%" ;
DFNC : calculee primrest = 0 : "Deduction forfaitaire de 10%" ;
DFNV : calculee primrest = 0 : "Deduction forfaitaire de 10%" ;
DFOREST : calculee restituee primrest = 1 : "Reduction d impot investissment forestier - declare" ;
DFOREST_A : calculee primrest = 0 : "RI evt avant" ;
DFORET : calculee restituee primrest = 1 : "Cotisation pour defense des forets" ;
DFORET_A : calculee primrest = 0 : "RI evt avant" ;
DFRCM : calculee restituee primrest = 1 : "total DFRCMN + DFRCM1 (pour colbert)" ;
DFRCM1 : calculee restituee primrest = 1 : "deficeit suite a imputaion 2AA" ;
DFRCM11 : calculee restituee primrest = 0 : "deficeit suite a imputaion 2AA" ;
DFRCM11731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731" ;
DFRCM1P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731 P2" ;
DFRCM2 : calculee restituee primrest = 1 : "deficeit suite a imputaion 2AA et 2AL" ;
DFRCM21 : calculee restituee primrest = 0 : "deficeit suite a imputaion 2AA et 2AL" ;
DFRCM21731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n21 pr affichage 1731" ;
DFRCM2P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731 P2" ;
DFRCM3 : calculee restituee primrest = 1 : "deficeit suite a imputaion 2AA, 2AL et 2AM" ;
DFRCM31 : calculee restituee primrest = 0 : "deficeit suite a imputaion 2AA, 2AL et 2AM" ;
DFRCM31731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-3 pr affichage 1731" ;
DFRCM3P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731 P2" ;
DFRCM4 : calculee restituee primrest = 1 : "deficit suite a imputation 2AA, 2AL, 2AM et 2AN" ;
DFRCM41 : calculee restituee primrest = 0 : "deficit suite a imputation 2AA, 2AL, 2AM et 2AN" ;
DFRCM41731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-4 pr affichage 1731" ;
DFRCM4P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731 P2" ;
DFRCM5 : calculee restituee primrest = 1 : "deficit suite a imputation 2AA, 2AL, 2AM , 2AN et 2AQ" ;
DFRCM51 : calculee restituee primrest = 0 : "deficit suite a imputation 2AA, 2AL, 2AM , 2AN et 2AQ" ;
DFRCM51731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-5 pr affichage 1731" ;
DFRCM5P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731 P2" ;
DFRCMM1 : calculee restituee primrest = 1 : "deficeit suite a imputaion 2AA" ;
DFRCMM2 : calculee restituee primrest = 1 : "deficeit suite a imputaion 2AA et 2AL" ;
DFRCMM3 : calculee restituee primrest = 1 : "deficeit suite a imputaion 2AA, 2AL et 2AM" ;
DFRCMM4 : calculee restituee primrest = 1 : "deficit suite a imputation 2AA, 2AL, 2AM et 2AN" ;
DFRCMM5 : calculee restituee primrest = 1 : "deficit suite a imputation 2AA, 2AL, 2AM , 2AN et 2AQ" ;
DFRCMN : calculee restituee primrest = 1 : "deficeit suite a imputaion 2CA" ;
DFRCMN1 : calculee restituee primrest = 0 : "deficeit suite a imputaion 2CA" ;
DFRCMN1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DFRCMNBIS : calculee restituee primrest = 0 : "deficeit suite a imputaion 2CA" ;
DFRCMNBIS_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
DFRCMNP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731 P2" ;
DGARD : calculee restituee primrest = 1 : "Frais de garde : montant declare" ;
DGLOD : calculee restituee primrest = 1 : "CSG deductible cumulee 1TT et 1UT" ;
DHEBE : calculee restituee primrest = 1 : "Base declaree depense d'hebergement" ;
DHEBE_A : calculee primrest = 0 : "RI evt avant" ;
DIAVF2 : calculee restituee primrest = 1 : "avis ir: credit d'impot sans CISURF declare" ;
DIDABNCNP : calculee restituee primrest = 1 : "Act. non comm. non prof. : deficits ant. imput?s" ;
DIDABNCNP1 : calculee restituee primrest = 0 : "Act. non comm. non prof. : deficits ant. imput?s" ;
DIDABNCNP11731 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
DIDABNCNP1P2 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
DIDABNCNP1_P : calculee primrest = 0 base : "def bnc pour 1731 non imput" ;
DIDABNCNPHQ : calculee restituee primrest = 0 : "Act. non comm. non prof. : deficits ant. imputes HQ" ;
DIDABNCNPQ : calculee restituee primrest = 0 : "Act. non comm. non prof. : deficits ant. imputes Q" ;
DIEMPLOI : calculee restituee primrest = 1 : "Credit competitivite emploi declare" ;
DIFCODCOA : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOB : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOD : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOE : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOF : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOG : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOH : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOJ : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOL : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOM : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOO : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOP : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOQ : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOR : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOT : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOU : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOV : calculee primrest = 0 base : "Diff CODCOx." ;
DIFCODCOX : calculee primrest = 0 base : "Diff CODCOx." ;
DIFF7WD : calculee restituee primrest = 0 base : "MONTANT de la diff valeur code 7WD entre evt" ;
DIFF7WD_A : calculee restituee primrest = 0 base : "diff code 7WD evt precedent" ;
DIFF7WY : calculee restituee primrest = 0 base : "MONTANT de la diff valeur code 7WY entre evt" ;
DIFF7WY_A : calculee restituee primrest = 0 base : "diff code 7wy evt precedent" ;
DIFF7WZ : calculee restituee primrest = 0 base : "MONTANT de la diff valeur code 7Wz entre evt" ;
DIFF7WZ_A : calculee restituee primrest = 0 base : "diff code 7wz evt precedent" ;
DIFFTEOREEL : calculee restituee primrest = 0 base : "NAPSANSPENA theorique - NAPSANSPENA reel" ;
DIFIBASE : calculee restituee primrest = 1 : "Avis IFI : base imposable " ;
DILMHO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMHP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMHQ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMHR1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMHS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMIA_A : calculee primrest = 0 : "RI evt avant" ;
DILMIB_A : calculee primrest = 0 : "RI evt avant" ;
DILMIC_A : calculee primrest = 0 : "RI evt avant" ;
DILMNP1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - declare" ;
DILMNP3 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - declare" ;
DILMNP4 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - declare" ;
DILMPA1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPC1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPD1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPE1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPF1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPG1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPH1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPI1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPJ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPK1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPL1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPM1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPN1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPO1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPP1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPQ1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPR1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPS1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPT1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPU1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPV1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPW1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPX1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DILMPY1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
DISQUO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias RTS : "Distributions taxees au quotient" ;
DISQUONB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NTS : "Distributions taxees au quotient - Nombre d'annees" ;
DIVGL1 : const=1.00000  ;
DIVGL2 : const=2.00000  ;
DIVGL3 : const=3.00000  ;
DIVGL4 : const=4.00000  ;
DLMRN : calculee restituee primrest = 0 : "Loc. meublees (reel) : deficits" ;
DLMRN1 : calculee restituee primrest = 1 : "avis IR : deficits non imputes annee N - 1" ;
DLMRN1731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DLMRN1TXM : calculee primrest = 0 : "avis IR : deficits non imputes annee N - 1" ;
DLMRN2 : calculee restituee primrest = 1 : "avis IR : deficits non imputes annee N - 2" ;
DLMRN2P : calculee primrest = 0 : "avis IR : deficits non imputes annee N - 2 primitif" ;
DLMRN3 : calculee restituee primrest = 1 : "avis IR : deficits non imputes annee N - 3" ;
DLMRN3P : calculee primrest = 0 : "avis IR : deficits non imputes annee N - 3 primitif" ;
DLMRN4 : calculee restituee primrest = 1 : "avis IR : deficits non imputes annee N - 4" ;
DLMRN4P : calculee primrest = 0 : "avis IR : deficits non imputes annee N - 4 primitif" ;
DLMRN5 : calculee restituee primrest = 1 : "avis IR : deficits non imputes annee N - 5" ;
DLMRN5P : calculee primrest = 0 : "avis IR : deficits non imputes annee N - 5 primitif" ;
DLMRN6 : calculee restituee primrest = 1 : "avis IR : deficits non imputes annee N - 6" ;
DLMRN6P : calculee primrest = 0 : "avis IR : deficits non imputes annee N - 6 primitif" ;
DLMRN7 : calculee restituee primrest = 0 : "Deficits non impute pour 1731bis" ;
DLMRN71731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DLMRN7P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DLMRN7_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DLMRNP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DLMRNT : calculee restituee primrest = 0 : "Loc. meublees (reel) : deficits" ;
DLMRNTXM : calculee primrest = 0 : "Loc. meublees (reel) : deficits pour tx moyen imposition" ;
DLMRN_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
DLMRN_R : calculee primrest = 0 base : "locations meublees (reel), deficits ( D REFERENCE)" ;
DLOCANAH : calculee restituee primrest = 1 : "base dÃ©clarÃ© location logement ANAH" ;
DLOCENT : calculee restituee primrest = 1 : "Investissements outre mer entreprise - retenu" ;
DLOCIDEFG : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2012 - declare" ;
DLOGDOM : calculee restituee primrest = 1 : "Investissements outre mer logement - retenu" ;
DLOGSOC : calculee restituee primrest = 1 : "Investissements outre mer logement social - retenu" ;
DMOND : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8ZY : "Deficit net mondial (taux moyen pour les non-residents)" ;
DMOND1731 : calculee restituee primrest = 0 base : "Deficit 8ZY pour 1731" ;
DMONDP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
DMONDT : calculee restituee primrest = 1 : "Taux moyen : deficit mondial" ;
DMOND_1 : calculee primrest = 0 : "tx effectif   sans 1731 " ;
DMOND_2 : calculee primrest = 0 : "tx effectif  avec 1731 " ;
DMOND_P : calculee primrest = 0 base : "Correctif: " ;
DNBE : calculee restituee primrest = 1 : "reduct. etudiants: nombre d'enfants declares" ;
DNBE_A : calculee primrest = 0 : "RI evt avant" ;
DNETU : calculee primrest = 0 : "P.A enfants majeurs non etudiants" ;
DNOCEP : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5SP : "BNC non professionnels hors AA - Deficits - Declarant 1" ;
DNOCEP1731 : calculee restituee primrest = 0 base : "Deficit 5SP pour 1731" ;
DNOCEPC : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5NU : "BNC non professionnels hors AA -  Deficits - Declarant 2" ;
DNOCEPC_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
DNOCEPP : saisie revenu classe = 4 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 4 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5OU : "BNC non professionnels hors AA - Deficit - PAC " ;
DNOCEPP_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
DNOCEP_P : calculee primrest = 0 base : "Correctif: BNC def pour 1731" ;
DNORMAN : calculee restituee primrest = 1 : "Investissement Denormandie - declare" ;
DNORMREP : calculee restituee primrest = 1 : "Investissement Denormandie reports - declare" ;
DNOUV : calculee restituee primrest = 1 : "Capital de societes nouvelles" ;
DNPLOCIMPU : calculee restituee primrest = 1 : "Loc. meublee non pro -  Deficit anterieur a repartir pour l'IR" ;
DNPLOCIMPU1731 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput" ;
DNPLOCIMPUP2 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput" ;
DNPLOCIMPUS : calculee primrest = 0 : "location meublee non pro deficit ant impute pour PS hors majo" ;
DNPLOCIMPU_P : calculee primrest = 0 base : "def bic pour 1731 non imput" ;
DOMABDB : calculee primrest = 0 : "DOM : abattement non utilise calcule sur les droits au bareme" ;
DOMAVTD : calculee primrest = 0 : "DOM : avantage impot PV  taux minore DOM" ;
DOMAVTG : calculee primrest = 0 : "DOM : avantage impot PV  taux minore GUY" ;
DOMAVTO : calculee primrest = 0 : "DOM : avantage taux minore" ;
DOMDOM : calculee primrest = 0 : "DOM : calcul avantage maximum sur l impot proportionnel" ;
DOMITPD : calculee primrest = 0 : "DOM : impot PV  taux minore dom" ;
DOMITPG : calculee primrest = 0 : "DOM : impot PV  taux minore GUY" ;
DONAUTRE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7VC : "Dons verses a des organismes etrangers" ;
DONETRAN : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7VA : "Dons verses a organis. Etrangers d'aide aux personnes en difficulte." ;
DOTOT : calculee primrest = 0 base : "DO pour calcul taux affiche " ;
DO_C820 : calculee primrest = 0 base : "DO Cdis   issus de la 2042" ;
DO_C8202 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_C820_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_CDIS : calculee primrest = 0 base : "DO Cdis   issus de la 2042" ;
DO_CDIS2 : calculee primrest = 0 base : "DO IR cdis issus de la 2042" ;
DO_CDIS_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_CHR : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_CHR2 : calculee primrest = 0 base : "DO chr  issus de la 2042" ;
DO_CHR_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_CRDS : calculee primrest = 0 base : "DO CRDS     issus de la 2042" ;
DO_CRDS2 : calculee primrest = 0 base : "DO CRDS     issus de la 2042" ;
DO_CRDS_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_CSG : calculee primrest = 0 base : "DO CSG     issus de la 2042" ;
DO_CSG2 : calculee primrest = 0 base : "DO CSG     issus de la 2042" ;
DO_CSG_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_CVN : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_CVN2 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_CVN_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_GLO : calculee primrest = 0 base : "DO GLO   issus de la 2042" ;
DO_GLO2 : calculee primrest = 0 base : "DO IR glo issus de la 2042" ;
DO_GLO_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_IFI : calculee primrest = 0 base : "DO IFI     issus de la 2042" ;
DO_IFI2 : calculee primrest = 0 base : "DO IFI     issus de la 2042" ;
DO_IFI_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_INR_C820 : calculee restituee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_C8202 : calculee primrest = 0 base : "DO INR issus de la 2042" ;
DO_INR_C82098 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_C820982 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_C82099 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_C820992 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_C820C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_C820_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_C820_NTL : calculee restituee primrest = 0 base : "montant do inr NTL  avis facture " ;
DO_INR_C820_TL : calculee restituee primrest = 0 base : "montant do inr TL  avis facture " ;
DO_INR_CDIS : calculee restituee primrest = 0 base : "DO INR cdis  issus de la 2042" ;
DO_INR_CDIS2 : calculee primrest = 0 base : "DO INR cdis issus de la 2042" ;
DO_INR_CDIS98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CDIS982 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CDIS99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CDIS992 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CDISC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_CDIS_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_CDIS_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_CDIS_TL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_CHR : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_CHR2 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_CHR98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CHR982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_CHR99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CHR992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_CHRC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_CHR_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_CHR_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_CHR_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_CRDS : calculee restituee primrest = 0 base : "DO INR CRDS  issus de la 2042" ;
DO_INR_CRDS2 : calculee primrest = 0 base : "DO INR CRDS  issus de la 2042" ;
DO_INR_CRDS98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CRDS982 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CRDS99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CRDS992 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CRDSC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_CRDS_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_CSG : calculee restituee primrest = 0 base : "DO INR CSG  issus de la 2042" ;
DO_INR_CSG2 : calculee primrest = 0 base : "DO INR CSG  issus de la 2042" ;
DO_INR_CSG98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CSG982 : calculee primrest = 0 base : "DO INR  issus de la 2042 pour calcul tx reduit" ;
DO_INR_CSG99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CSG992 : calculee primrest = 0 base : "DO INR  issus de la 2042 pour calcul tx reduit" ;
DO_INR_CSGC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_CSG_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_CVN : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_CVN2 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_CVN98 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_CVN982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_CVN99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_CVN992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_CVNC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_CVN_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_CVN_NTL : calculee restituee primrest = 0 base : "montant do inr  non tl  avis facture " ;
DO_INR_CVN_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_GLO : calculee restituee primrest = 0 base : "DO INR cdis  issus de la 2042" ;
DO_INR_GLO2 : calculee primrest = 0 base : "DO INR cdis issus de la 2042" ;
DO_INR_GLO98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_GLO982 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_GLO99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_GLO992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_GLOC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_GLO_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_GLO_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_GLO_TL : calculee restituee primrest = 0 base : "montant do inr tl  avis facture " ;
DO_INR_IFI : calculee restituee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_IFI2 : calculee primrest = 0 base : "DO INR IFI  issus de la 2042" ;
DO_INR_IFI98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_IFI982 : calculee primrest = 0 base : "DO INR  issus de la 2042 pour calcul tx reduit" ;
DO_INR_IFI99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_IFI992 : calculee primrest = 0 base : "DO INR  issus de la 2042 pour calcul tx reduit" ;
DO_INR_IFIC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_IFI_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_IFI_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_IFI_TL : calculee restituee primrest = 0 base : "montant do inr tl  avis facture " ;
DO_INR_IR : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_IR2 : calculee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_IR98 : calculee primrest = 0 base : "DO INR IR  issus de la 2042 pour calcul tx reduit" ;
DO_INR_IR982 : calculee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_IR99 : calculee primrest = 0 base : "DO INR IR  issus de la 2042 pour calcul tx reduit" ;
DO_INR_IR992 : calculee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_IRC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_IR_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_PCAP : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_PCAP2 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_PCAP98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_PCAP982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_PCAP99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_PCAP992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_PCAPC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_PCAP_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_PCAP_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_PCAP_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_PS : calculee restituee primrest = 0 base : "DO INR PS  issus de la 2042" ;
DO_INR_PSC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_PSOL : calculee restituee primrest = 0 base : "DO INR PS  issus de la 2042" ;
DO_INR_PSOL2 : calculee primrest = 0 base : "DO INR PSol  issus de la 2042" ;
DO_INR_PSOL98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_PSOL982 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_PSOL99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_PSOL992 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_PSOLC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_PSOL_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_PSOL_NTL : calculee restituee primrest = 0 base : "montant do inr  ntl  avis facture " ;
DO_INR_PSOL_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_PS_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE1 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE12 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE198 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE1982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE199 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE1992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE1C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE1_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE1_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_RSE1_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_RSE2 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE22 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE298 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE2982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE299 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE2992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE2C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE2_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE2_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_RSE2_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_RSE3 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE32 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE398 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE3982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE399 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE3992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE3C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE3_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE3_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_RSE3_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_RSE4 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE42 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE498 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE4982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE499 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE4992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE4C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE4_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE4_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_RSE4_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_RSE5 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE52 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE598 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE5982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE599 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE5992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE5C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE5_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE5_NTL : calculee restituee primrest = 0 base : "montant do inr  non tl  avis facture " ;
DO_INR_RSE5_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_RSE6 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE62 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE698 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE6982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE699 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE6992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE6C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE6_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE6_NTL : calculee restituee primrest = 0 base : "montant do inr  non tl  avis facture " ;
DO_INR_RSE6_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_RSE8 : calculee restituee primrest = 0 base : "DO INR IR  issus de la 2042" ;
DO_INR_RSE82 : calculee primrest = 0 base : "DO INR  issus de la 2042" ;
DO_INR_RSE898 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE8982 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE899 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_RSE8992 : calculee primrest = 0 base : "DO INR   issus de la 2042" ;
DO_INR_RSE8C : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_RSE8_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_RSE8_NTL : calculee restituee primrest = 0 base : "montant do inr  non tl  avis facture " ;
DO_INR_RSE8_TL : calculee restituee primrest = 0 base : "montant do inr  tl  avis facture " ;
DO_INR_TAXA2 : calculee primrest = 0 base : "DO INR taxe assur issus de la 2042" ;
DO_INR_TAXA98 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_TAXA982 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_TAXA99 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_TAXA992 : calculee primrest = 0 base : "DO INR   issus de la 2042 pour calcul tx reduit" ;
DO_INR_TAXAC : calculee primrest = 0 : "DO INR  issus de la 2042 n-1" ;
DO_INR_TAXAGA : calculee primrest = 0 base : "DO INR taxe assur issus de la 2042" ;
DO_INR_TAXA_A : calculee primrest = 0 base : "interet de retard DO NTL evt n-1" ;
DO_INR_TAXA_NTL : calculee restituee primrest = 0 base : "montant do inr ntl  avis facture " ;
DO_INR_TAXA_TL : calculee restituee primrest = 0 base : "montant do inr tl  avis facture " ;
DO_IR : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_IR2 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_IR_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_PCAP : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_PCAP2 : calculee primrest = 0 base : "DO chr  issus de la 2042" ;
DO_PCAP_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_PS : calculee primrest = 0 base : "DO PS     issus de la 2042" ;
DO_PSOL : calculee primrest = 0 base : "DO PSol     issus de la 2042" ;
DO_PSOL2 : calculee primrest = 0 base : "DO PSol     issus de la 2042" ;
DO_PSOL_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_PS_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE1 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE12 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE1_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE2 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE22 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE2_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE3 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE32 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE3_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE4 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE42 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE4_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE5 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE52 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE5_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE6 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE62 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE6_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_RSE8 : calculee primrest = 0 base : "DO IR  issus de la 2042" ;
DO_RSE82 : calculee primrest = 0 base : "DO  issus de la 2042" ;
DO_RSE8_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DO_TAXA : calculee primrest = 0 base : "DO IR taxe assur issus de la 2042" ;
DO_TAXA2 : calculee primrest = 0 base : "DO IR taxe assur issus de la 2042" ;
DO_TAXA_A : calculee primrest = 0 base : "montant  DO evt n-1" ;
DPAE : calculee primrest = 0 : "Deduction pour pension alimentaire etudiant" ;
DPALE : calculee restituee primrest = 1 : "Pension enfants majeurs : montant declare" ;
DPALP : calculee restituee primrest = 1 : "Autres pensions alimentaires" ;
DPAP : calculee restituee primrest = 1 : "Premier abonnement presse declare" ;
DPATNAT : calculee restituee primrest = 1 : "Base declaree depense protection du patrimoine naturel" ;
DPATNAT1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DPATNAT_A : calculee primrest = 0 : "RI evt avant" ;
DPENTCY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7CY declare" ;
DPENTCY_A : calculee primrest = 0 : "RI evt avant" ;
DPENTDY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7DY declare" ;
DPENTDY_A : calculee primrest = 0 : "RI evt avant" ;
DPENTEK : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7GY declare" ;
DPENTEY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7EY declare" ;
DPENTEY_A : calculee primrest = 0 : "RI evt avant" ;
DPENTFY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7FY declare" ;
DPENTFY_A : calculee primrest = 0 : "RI evt avant" ;
DPENTGY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises 7GY declare" ;
DPENTGY_A : calculee primrest = 0 : "RI evt avant" ;
DPENTY : calculee restituee primrest = 1 : "Plafonnement global RI petites entreprises declare" ;
DPERPC : calculee restituee primrest = 1 : "base declaree PERP conjoint" ;
DPERPP : calculee restituee primrest = 1 : "base declaree PERP PAC" ;
DPERPV : calculee restituee primrest = 1 : "base declare PERP vous" ;
DPINEL : calculee restituee primrest = 1 : "Investissement Pinel - declare" ;
DPIREP : calculee restituee primrest = 1 : "Investissement Pinel reports - declare" ;
DPIRRS : calculee restituee primrest = 1 : "Invest.locatif Pinel prorogation - declare" ;
DPREC : calculee restituee primrest = 1 : "Frais d'accueil" ;
DPRESCOMP : calculee restituee primrest = 1 : "Base declaree prestations compensatoires" ;
DPRESCOMP_A : calculee primrest = 0 : "RI evt avant" ;
DPRESSE : calculee restituee primrest = 1 : "Souscription capital presse declare" ;
DPRESSE_A : calculee primrest = 0 : "RI evt avant" ;
DPRETUD : calculee restituee primrest = 1 : "Interets pret etudiant declare" ;
DPROPIREP : calculee restituee primrest = 1 : "Investissement Pinel prorogation reports - declare" ;
DPROPIREP1 : calculee restituee primrest = 1 : "Investissement Pinel prorogation reports - declare" ;
DPVRCM : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 3VH : "Pertes de cessions de valeurs mobilieres  " ;
DRBE : calculee primrest = 0 : "R/RBE net- 4BD" ;
DRBG : calculee restituee primrest = 1 : "DEFICIT GLOBAL" ;
DRCF : calculee restituee primrest = 0 : "Deficit foncier imputable sur le RBG" ;
DRCF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
DRCVM : calculee primrest = 0 : "Def. rep. des cessions de valeurs mobilieres" ;
DREHAB : calculee restituee primrest = 1 : "Travaux de rehabilitation residence tourisme - declare" ;
DREHAB1731 : calculee restituee primrest = 0 base : "traitement 1731bis" ;
DREHAB_A : calculee primrest = 0 : "RI evt avant" ;
DREPA : calculee restituee primrest = 1 : "Dons : fourniture de repas particuliers" ;
DREPA_A : calculee primrest = 0 : "RI evt avant" ;
DRESINEUV : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve - declare" ;
DRESIVIEU : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve 2009 - declare" ;
DRESIVIEU_A : calculee primrest = 0 : "RI evt avant" ;
DRESTIMO : calculee restituee primrest = 1 : "Travaux de restauration immobiliere - declare 2013-2016" ;
DRESTIMO1 : calculee restituee primrest = 1 : "Travaux de restauration immobiliere - a compter 2017" ;
DRESTREP : calculee restituee primrest = 1 : "Travaux de restauration immo a compter 2017 - report" ;
DRF : calculee primrest = 0 : "Deficit foncier imputable sur le RBG" ;
DRFRP : calculee restituee primrest = 1 : "Deficits fonciers non imputes" ;
DRFRP1731 : calculee restituee primrest = 0 base : "deficit foncier ordinaire imposable reportable suite 1731 bis" ;
DRFRP_R : calculee primrest = 0 base : "deficits fonciers non imputes (D REFERENCE )" ;
DRIRENOV : calculee restituee primrest = 1 : "Travaux de restauration des objets classes - declare" ;
DRIRENOV_A : calculee primrest = 0 : "RI evt avant" ;
DROUVB : calculee restituee primrest = 1 : "Total variables report PME" ;
DRSED : calculee restituee primrest = 1 : "CSG sur rev. de source etrangere deductible cumulee" ;
DRTNC : calculee restituee primrest = 1 : "Revenu TOTAL titres non cotes PEA" ;
DS011 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS012 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS013 : calculee primrest = 0 : "Droits simples issus du bareme avec 3WG" ;
DS014 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS015 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS016 : calculee primrest = 0 : "Droits simples issus du bareme 8VV art. 168" ;
DS021 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS022 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS023 : calculee primrest = 0 : "Droits simples issus du bareme avec 3WG" ;
DS024 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS025 : calculee primrest = 0 : "Droits simples issus du bareme tx moyen" ;
DS026 : calculee primrest = 0 : "Droits simples issus du bareme 8VV art. 168" ;
DS511 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS512 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS513 : calculee primrest = 0 : "Droits simples issus du bareme avec 3WG" ;
DS515 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS521 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS522 : calculee primrest = 0 : "Droits simples issus du bareme" ;
DS523 : calculee primrest = 0 : "Droits simples issus du bareme avec 3WG" ;
DS525 : calculee primrest = 0 : "Droits simples issus du bareme avant plaf. quotient fam tx moyen" ;
DSOCREPR : calculee restituee primrest = 1 : "Declare emprunt reprise societe" ;
DSOFON_A : calculee primrest = 0 : "RI evt avant" ;
DSOUFIP : calculee restituee primrest = 1 : "Investissement de proximite" ;
DSOUFIP_A : calculee primrest = 0 : "RI evt avant" ;
DSURV : calculee restituee primrest = 1 : "Rente-survie, contrat handicap" ;
DSYND : calculee restituee primrest = 1 : "Reduction cotisation syndicale" ;
DTEC : calculee restituee primrest = 1 : "Depenses travaux prevention risques technologiques-Bailleur- declare" ;
DTOUREPA : calculee restituee primrest = 1 : "Declare Investissements locatifs resid. de tourisme report" ;
DTOUREPA1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DTOUREPA_A : calculee primrest = 0 : "RI evt avant" ;
DTOURREP : calculee restituee primrest = 1 : "Declare Investissements locatifs resid. de tourisme report" ;
DTOURREP1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
DTOURREP_A : calculee primrest = 0 : "RI evt avant" ;
DTSTEFF : calculee restituee primrest = 1 : "AG 1507: cumul des def salaires taux effectif" ;
DUFLOFK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FK : "Investissements Duflot acheves en 2014 : report 1/9 de la RI " ;
DUFLOFR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FR : "Investissements Duflot acheves en 2015 : report 1/9 de la RI " ;
DUFLOFV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FV : "Investissements Duflot acheves en 2016 : report 1/9 de la RI " ;
EAC : calculee primrest = 0 : "Nombre d'enfants a charge pour calcul du nombre de parts" ;
ECS_DEG : calculee primrest = 0 : "degrevement calcule csg rds prs (avis CSG) EUROS" ;
EDEFBACREC : calculee primrest = 0 : "BA - Part du deficit sur code revenu etranger - Declarant 2 " ;
EDEFBACREP : calculee primrest = 0 : "BA - Part du deficit sur code revenu etranger - Declarant PAC" ;
EDEFBACREV : calculee primrest = 0 : "BA - Part du deficit sur code revenu etranger - Declarant 1 " ;
EDEFBAHREC : calculee primrest = 0 : "BA - Part du deficit sur code revenu etranger majore - Dec 2" ;
EDEFBAHREP : calculee primrest = 0 : "BA - Part du deficit sur code revenu etranger majore - Dec PAC" ;
EDEFBAHREV : calculee primrest = 0 : "BA - Part du deficit sur code revenu etranger majore - Dec 1" ;
EFF_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL: sauvegard revenus taux effectif" ;
EFF_RECT : calculee primrest = 0 base : "Taxation 2042_RECT pour la TL: sauvegarde revenus taux effectif" ;
EFF_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde revenus taux effectif" ;
EM6 : calculee primrest = 0 : "Nombre d'enfants de moins de 6 ans" ;
EM7 : calculee primrest = 0 : "Nombre d'enfants de moins de 7 ans" ;
EM7AVRICI : calculee primrest = 0 : "Nombre d'enfants de moins de 7 ans pour avrici" ;
EM7QAR : calculee primrest = 0 : "Nombre d'enfants de moins de 7 ans 1/4 de part" ;
EM7QARAVRICI : calculee primrest = 0 : "Nombre d'enfants de moins de 7 ans pour avrici" ;
EMPIMP : calculee restituee primrest = 1 : "Competitivite emploi : montant impute" ;
EMPREST : calculee restituee primrest = 1 : "Competitivite emploi : montant restitution" ;
EPAV : calculee primrest = 0 : "Credit Impot sur Excedent Prelevement sur contrats Ass-Vie" ;
EPSOL : calculee primrest = 0 : "decomposition csg crds psol impot etranger" ;
ESFP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8ZZ : "Revenus d'origine indeterminee (correctif)" type REEL ;
ESFP_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
EVT_RAPPEL : saisie penalite primrest = 0 alias V_EVT_RAPPEL : "Champ nomero evenement rappel dans une ligne rappel" ;
EXCEDANTA : calculee primrest = 0 : "Base reduction autre dons etape excedant reduc repas / plafond" ;
EXCEDANTD : calculee primrest = 0 : "Base reduction dons etape excedant asso/ plafond" ;
EXCLUAMIABLE : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9ZU : "Exclusion relance amiable - Case a cocher" type BOOLEEN ;
EXITTAX3 : calculee restituee primrest = 0 base : "Impot hors exit tax si 3WA et 3WB/WI presents" ;
EXO2RA : calculee primrest = 0 base : "Exo2RA" ;
EXO2RB : calculee primrest = 0 base : "exo2RB" ;
EXO2RC : calculee primrest = 0 base : "Exo2RC" ;
EXO2RD : calculee primrest = 0 base : "Exo2RD" ;
EXOCET : calculee restituee primrest = 1 : "Sommes exo. d'un CET versees sur PERCO" ;
EXOCETC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1DN : "Sommes exonerees d'un CET versees sur PERCO - Declarant 2" type REEL ;
EXOCETV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1SM : "Sommes exonerees d'un CET versees sur PERCO - Declarant 1" type REEL ;
EXOCJT : calculee primrest = 0 : "indicateur presence revenus exoneres CJT" ;
EXOPAC : calculee primrest = 0 : "indicateur presence revenus exoneres PAC" ;
EXOVOUS : calculee primrest = 0 : "indicateur prence revenus exoneres VOUS" ;
EXPR1 : calculee primrest = 0 : "Pensions totales PAC (1CS + ACS +BCS + CCS)" ;
EXPR2 : calculee primrest = 0 : "Pensions totales PAC (1DS + ADS +BDS + CDS)" ;
EXPR3 : calculee primrest = 0 : "Pensions totales PAC (1RS + ARS +BRS + CRS)" ;
EXPR4 : calculee primrest = 0 : "Pensions totales PAC (1TS + ATS +BTS + CTS)" ;
EXPRC : calculee primrest = 0 : "Pensions totales conjoint (1BS + ABS +BBS + CBS)" ;
EXPRV : calculee primrest = 0 : "Pensions totales vous (1AS + AAS +BAS + CAS)" ;
EXSPB1 : calculee primrest = 0 : " salaires et pensions declares ordinaires + exceptionnels" ;
EXSPB2 : calculee primrest = 0 : " salaires et pensions declares ordinaires + exceptionnels" ;
EXSPB3 : calculee primrest = 0 : " salaires et pensions declares ordinaires + exceptionnels" ;
EXSPB4 : calculee primrest = 0 : " salaires et pensions declares ordinaires + exceptionnels" ;
EXSPBC : calculee primrest = 0 : " salaires et pensions declares ordinaires + exceptionnels" ;
EXSPBV : calculee primrest = 0 : " salaires et pensions declares ordinaires + exceptionnels" ;
EXTS1 : calculee primrest = 0 : "Salaires totaux PAC (1CJ + ACJ +BCJ + CCJ)" ;
EXTS2 : calculee primrest = 0 : "Salaires totaux PAC (1DJ + ADJ +BDJ + CDJ)" ;
EXTS3 : calculee primrest = 0 : "Salaires totaux PAC (1EJ + AEJ +BEJ + CEJ)" ;
EXTS4 : calculee primrest = 0 : "Salaires totaux PAC (1FJ + AFJ +BFJ + CFJ)" ;
EXTSC : calculee primrest = 0 : "Salaires totaux conjoint (1BJ + ABJ +BBJ + CBJ)" ;
EXTSV : calculee primrest = 0 : "Salaires totaux vous (1AJ + AAJ +BAJ + CAJ)" ;
F10A1 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10A2 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10A3 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10A4 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10AC : calculee restituee primrest = 1 : "Deduction 10% ou frais reels" ;
F10AP : calculee restituee primrest = 1 : "Deduction 10% ou frais reels" ;
F10AV : calculee restituee primrest = 1 : "Deduction 10% ou frais reels" ;
F10B1 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10B2 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10B3 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10B4 : calculee primrest = 0 : "Deduction 10% ou frais reels" ;
F10BC : calculee restituee primrest = 1 : "Deduction 10% ou frais reels" ;
F10BP : calculee restituee primrest = 1 : "Deduction 10% ou frais reels" ;
F10BV : calculee restituee primrest = 1 : "Deduction 10% ou frais reels" ;
FAMIMP : calculee restituee primrest = 1 : "Credit famille : montant impute" ;
FAMREST : calculee restituee primrest = 1 : "Credit famille : montant restitution" ;
FCPI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7GQ : "Souscriptions de parts de FCPI du 1/1 au 17/3/2022" ;
FFIP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7FQ : "Souscriptions de parts de FIP du 1/1 au 17/3/2022" ;
FINR_07 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FINR_07 : "Zone corrective rappel en 07 ..." ;
FINR_24 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FINR_24 : "Zone corrective rappel en 24 ..." ;
FINR_99 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FINR_99 : "Zone corrective rappel en 99 C M ..." ;
FIPCORSE : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FM : "Souscriptions FIP Corse" ;
FIPDOMCOM : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FL : "Souscriptions FIP DOM COM" ;
FLAGDEFAUT : calculee primrest = 0 base : "flag defaut pour utilisation ds controle  plafonne art 1731" ;
FLAGDEFAUT10 : calculee primrest = 0 base : "flag defaut pour utilisation ds controle  plafonne art 1731 code 10" ;
FLAGDEFAUT11 : calculee primrest = 0 base : "flag defaut pour utilisation ds controle  plafonne art 1731 code 11" ;
FLAGDERNIE : calculee restituee primrest = 0 base : "Flag dernier evt" ;
FLAGPREM : calculee restituee primrest = 0 base : "Flag premier evt" ;
FLAGRETARD : calculee primrest = 0 base : "flag retard pour utilisation ds controle  plafonne art 1731" ;
FLAGRETARD08 : calculee primrest = 0 base : "flag retard pour utilisation ds controle  plafonne art 1731 code 08" ;
FLAG_07 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_07 : "flag rappel 07 ..." ;
FLAG_1731 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_1731 : "flag pour calcul article 1731" ;
FLAG_1STRATE : saisie penalite primrest = 0 alias V_FLAG_1STAT : "=1 Si premiere strate traite sinon =0" ;
FLAG_24 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_24 : "flag rappel 24 ..." ;
FLAG_3WANEG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_3WANE : "flag pour calcul Exit Tax  passage acompte negatif 3WA" ;
FLAG_3WBNEG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_3WBNE : "flag pour calcul Exit Tax  passage acompte negatif 3WB" ;
FLAG_99 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_99 : "flag rappel C 99 ..." ;
FLAG_9XT : saisie penalite restituee primrest = 0 alias V_FLAG_9XT : "nouveau cor : indicateur de presence de code 9xT" type REEL ;
FLAG_9YT : saisie penalite primrest = 0 alias V_FLAG_9YT : "nouveau cor : indicateur de presence de code 9YT" type REEL ;
FLAG_ABA20 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_ABA20 : "indicateur de calcul special ABAT 20 %" ;
FLAG_ACO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_ACO : "flag pour calcul CIRELANCE passage acompte" ;
FLAG_BAREM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_BAREM : "flag pour calcul nouveau bareme" ;
FLAG_BARIITANEG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_BARII : "flag pour calcul double liquidation pour montant negatif  IITAZIR" ;
FLAG_C02 : saisie penalite primrest = 0 alias V_FLAG_C02 : "nouveau cor : indicateur de rectification en code 02" ;
FLAG_C22 : saisie penalite primrest = 0 alias V_FLAG_C22 : "nouveau cor : indicateur de rectification en code 22" ;
FLAG_DEFAUT : saisie penalite primrest = 0 alias V_FLAG_DEFAU : "nouv cor: Indicateur de defaut de 2042" ;
FLAG_DEFAUT10 : saisie penalite primrest = 0 alias V_FLAG_DEF10 : "nouv cor: Indicateur de defaut de 2042 code 10" ;
FLAG_DEFAUT11 : saisie penalite primrest = 0 alias V_FLAG_DEF11 : "nouv cor: Indicateur de defaut de 2042 code 11" ;
FLAG_DERSTTR : saisie penalite primrest = 0 alias V_FLAG_DERSR : "Numero avant derniere strate traite" ;
FLAG_EXIT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_EXIT : "flag pour calcul Exit Tax  passage acompte" ;
FLAG_INR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_INR : "Zone corrective" ;
FLAG_INR_REF : calculee restituee primrest = 0 base : "Pour decla INR REF pour art1731bis si ligne rappel" ;
FLAG_NBSTRTR : saisie penalite primrest = 0 alias V_FLAG_NBSTR : "nouv corr : nombre de strates traites" ;
FLAG_NINR : saisie penalite primrest = 0 alias V_FLAG_NINR : "nouveau cor : indicateur de non inr" ;
FLAG_NUNV : saisie penalite primrest = 0 alias V_FLAG_NUNV : "Indicateur de passage dans le calcul des NUNV" ;
FLAG_PRIM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_PRIM : "flag primitif" ;
FLAG_PVRO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias V_FLAG_PVRO : "flag pour calcul PV report imposition passage acompte" ;
FLAG_R99 : saisie penalite primrest = 0 alias V_FLAG_R99 : "nouveau cor : indicateur de rectification en code R99" ;
FLAG_RECTIF : saisie penalite primrest = 0 alias V_FLAG_RECTF : "nouv cor : indicateur de rectification" ;
FLAG_RECTIFMAJO : saisie penalite primrest = 0 alias V_FLAG_RECTM : "nouv cor : indicateur de rectification" ;
FLAG_REF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_FLAG_REF : "Indicateur de passage dans la constitution de la reference" ;
FLAG_RETARD : saisie penalite primrest = 0 alias V_FLAG_RETA : "nouveau cor : indicateur de retard 2042" ;
FLAG_RETARD07 : saisie penalite primrest = 0 alias V_FLAG_RET07 : "nouveau cor : indicateur de retard 2042 code 07" ;
FLAG_RETARD0718 : saisie penalite primrest = 0 alias V_FLAG_R0718 : "nouveau cor : indicateur de retard 2042 code 07 a 18" ;
FLAG_RETARD08 : saisie penalite primrest = 0 alias V_FLAG_RET08 : "nouveau cor : indicateur de retard 2042 code 08" ;
FLAG_RETARD101718 : saisie penalite primrest = 0 alias V_FLAG_R1017 : "nouveau cor : indicateur de retard 2042 code 10 17 18" ;
FLAG_RETARD22 : saisie penalite primrest = 0 alias V_FLAG_RET22 : "nouveau cor : indicateur de retard 2042 code 22" ;
FLAG_RETARD99 : saisie penalite primrest = 0 alias V_FLAG_RET99 : "nouveau cor : indicateur de retard 2042 code 99 / 01" ;
FLAG_TRDEGTR : saisie penalite primrest = 0 alias V_FLAG_TRDER : "Zone corrective" ;
FLAG_TRMAJOP : saisie penalite primrest = 0 alias V_FLAG_TRMAP : "Zone corrective" ;
FLAG_TRTARDIF : saisie penalite primrest = 0 alias V_FLAG_TRTAF : "nouv cor : indicateur traitement particulier pour 2042 en retard" ;
FLAG_TRTARDIF_F : calculee primrest = 0 : "nouv cor : indicateur traitement particulier pour 2042 en retard" type REEL ;
FLAG_TRTARDIF_R : calculee primrest = 0 : "nouv cor : indicateur traitement particulier pour 2042 en retard" type REEL ;
FONCI : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 primrest = 0 alias RBA : "Revenus fonciers taxes au quotient" ;
FONCINB : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBA : "Revenus fonciers taxes au quotient - Nombre d'annees" ;
FORET : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UC : "Cotisations pour la defense des forets contre l'incendie" ;
FORIMP : calculee restituee primrest = 1 : "Credit formation : montant impute" ;
FORREST : calculee restituee primrest = 1 : "Credit formation : montant restitution" ;
FORTRA : calculee restituee primrest = 0 : "Base travaux forestiers declares" ;
FPC : calculee restituee primrest = 0 : "Frais 10% ou frais reels (matrice IR)" ;
FPP : calculee restituee primrest = 0 : "Frais 10% ou frais reels (matrice IR)" ;
FPT1 : calculee restituee primrest = 0 : "deduction de 10% ou frais reels" ;
FPT2 : calculee restituee primrest = 0 : "deduction de 10% ou frais reels" ;
FPT3 : calculee restituee primrest = 0 : "deduction de 10% ou frais reels" ;
FPT4 : calculee restituee primrest = 0 : "deduction de 10% ou frais reels" ;
FPTC : calculee restituee primrest = 0 : "deduction de 10% ou frais reels" ;
FPTV : calculee restituee primrest = 0 : "deduction de 10% ou frais reels" ;
FPV : calculee restituee primrest = 0 : "Frais 10% ou frais reels (matrice IR)" ;
FRAISCSGID : calculee restituee primrest = 1 : "Montant frais PAS CSG impute IR - DESF" ;
FRAISCSGIR : calculee restituee primrest = 1 : "Montant frais PAS CSG impute IR - documents comptables" ;
FRAISCSGIR3 : calculee restituee primrest = 1 : "Montant frais PAS CSG impute IR - documents comptables" ;
FRAISPASPD : calculee restituee primrest = 1 : "Montant frais PAS CSG - DESF" ;
FRAISPASPS : calculee restituee primrest = 1 : "Montant frais PAS CSG - documents comptables" ;
FRD1 : calculee restituee primrest = 0 : "Frais reels declares" ;
FRD11731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRD1P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
FRD1_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRD1_P : calculee primrest = 0 base : "Correctif: Frais TS  pour 1731" ;
FRD2 : calculee restituee primrest = 0 : "Frais reels declares" ;
FRD21731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRD2P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
FRD2_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRD2_P : calculee primrest = 0 base : "Correctif: Frais TS  pour 1731" ;
FRD3 : calculee restituee primrest = 0 : "Frais reels declares" ;
FRD31731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRD3P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
FRD3_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRD3_P : calculee primrest = 0 base : "Correctif: Frais TS  pour 1731" ;
FRD4 : calculee restituee primrest = 0 : "Frais reels declares" ;
FRD41731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRD4P2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
FRD4_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRD4_P : calculee primrest = 0 base : "Correctif: Frais TS  pour 1731" ;
FRDA1 : calculee restituee primrest = 0 : "Frais reels declares pour avis 1731" ;
FRDA2 : calculee restituee primrest = 0 : "Frais reels declares pour avis 1731" ;
FRDA3 : calculee restituee primrest = 0 : "Frais reels declares pour avis 1731" ;
FRDA4 : calculee restituee primrest = 0 : "Frais reels declares pour avis 1731" ;
FRDAC : calculee restituee primrest = 0 : "Frais reels declares pour avis 1731" ;
FRDAV : calculee restituee primrest = 0 : "Frais reels declares pour avis 1731" ;
FRDC : calculee restituee primrest = 0 : "Frais reels declares" ;
FRDC1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDCP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
FRDC_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRDC_P : calculee primrest = 0 base : "Correctif: Frais TS  pour 1731" ;
FRDP : calculee restituee primrest = 0 : "Frais reels declares pac" ;
FRDPROV1 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDPROV11731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV1P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDPROV21731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV2P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV3 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDPROV31731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV3P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV4 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDPROV41731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROV4P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROVC : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDPROVC1731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROVCP2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROVP : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 pac" ;
FRDPROVP1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 pac" ;
FRDPROVPP2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 pac" ;
FRDPROVV : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDPROVV1731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDPROVVP2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
FRDP_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRDV : calculee restituee primrest = 0 : "Frais reels declares" ;
FRDV1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
FRDVP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
FRDV_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
FRDV_P : calculee primrest = 0 base : "Correctif: Frais TS  pour 1731" ;
FRF : calculee restituee primrest = 1 : "Frais reels du foyer retenus (1507)" ;
FRN1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 primrest = 0 alias 1CK : "Frais reels - PAC 1" ;
FRN2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 primrest = 0 alias 1DK : "Frais reels - PAC 2" ;
FRN3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 primrest = 0 alias 1EK : "Frais reels - PAC 3" ;
FRN4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 primrest = 0 alias 1FK : "Frais reels - PAC 4" ;
FRNC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 primrest = 0 alias 1BK : "Frais reels - Declarant 2" ;
FRNP : calculee primrest = 0 : "frais reel des personnes a charge" ;
FRNV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 9 sanction = 8 nat_code = 1 modcat = 1 primrest = 0 alias 1AK : "Frais reels - Declarant 1" ;
GAINABDET : saisie revenu classe = 0 priorite = 42 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3VC : "Gains exoneres de structures de capital risque " ;
GAINBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final GAIN en base declaration fictive" ;
GAINBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo GAINSAL -3VO-" ;
GAINPEA : saisie revenu classe = 0 priorite = 42 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VT : "Cloture PEA ou PEA-PME avant expiration de la 5eme annee" ;
GARIMP : calculee restituee primrest = 1 : "Frais de garde : montant impute" ;
GARREST : calculee restituee primrest = 1 : "Frais de garde : montant restitution" ;
GATASAC : calculee restituee primrest = 1 : "Gains de cessions taxables en salaires sur avis (3VK  1UT)" ;
GATASAV : calculee restituee primrest = 1 : "Gains de cessions taxables en salaire sur avis (3VJ  1TT)" ;
GECUM : calculee restituee primrest = 1 : "Historique des depenses pour gros equipements" ;
GECUMWL : calculee restituee primrest = 1 : "Historique des depenses pour gros equipements specifique 7WL" ;
GERANT : calculee restituee primrest = 0 : "Revenus autres que salaires pour le PAS (art. 62)" ;
GGIAIMP : calculee restituee primrest = 1 : "donnee equipe batch: impot avant imputation IR seul" ;
GGIDRS : calculee restituee primrest = 1 : "donnee equipe batch: total droits simples   IR seul" ;
GGINET : calculee restituee primrest = 1 : "donnee equipe batch: impot revenu net       IR seul" ;
GGIRSEUL : calculee restituee primrest = 0 : "donnee equipe batch: determination du seuil IR seul" ;
GL1 : calculee restituee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
GL1M : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
GL2 : calculee restituee primrest = 1 : "Revenus au quotient 2 hors revenus footballeurs nets imposables" ;
GL2M : calculee primrest = 0 : "Revenus au quotient 2 hors rev foot nets imposablesTXMOY" ;
GL3 : calculee restituee primrest = 1 : "Revenus au quotient 3 hors revenus footballeurs nets imposables" ;
GL3M : calculee primrest = 0 : "Revenus au quotient 3 hors rev foot nets imposablesTXMOY" ;
GL4 : calculee restituee primrest = 1 : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4C : calculee primrest = 0 : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4CM : calculee primrest = 0 : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GL4M : calculee primrest = 0 : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GL4RAJV : calculee primrest = 0 : "Revenus au quotient 4 hors nets imposables RAJ" ;
GL4RBJC : calculee primrest = 0 : "Revenus au quotient 4 hors nets imposables RBJ" ;
GL4TVC : calculee primrest = 0 : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4TVCM : calculee primrest = 0 : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GL4V : calculee primrest = 0 : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4VC : calculee primrest = 0 : "Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
GL4VCM : calculee primrest = 0 : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GL4VM : calculee primrest = 0 : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
GLDGRATC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 18 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1UT : "Gains de levee d'option a compter du 28/09/2012 - Declarant 2" ;
GLDGRATV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 18 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1TT : "Gains de levee d'option a compter du 28/09/2012 - Declarant 1" ;
GLDOMAVDAJV : calculee restituee primrest = 0 : "Rev salaraiux excep metro dom net pour avis" ;
GLDOMAVDBJC : calculee restituee primrest = 0 : "Rev salaraiux excep metro dom net pour avis" ;
GLDOMAVEAJV : calculee restituee primrest = 0 : "Rev salaraiux excep metro dom net pour avis" ;
GLDOMAVEBJC : calculee restituee primrest = 0 : "Rev salaraiux excep metro dom net pour avis" ;
GLF1 : calculee primrest = 0 : "pensions footballeurs imposables - PAC" ;
GLF1M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
GLF2 : calculee primrest = 0 : "pensions footballeurs imposables - PAC" ;
GLF2M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
GLF3 : calculee primrest = 0 : "pensions footballeurs imposables - PAC" ;
GLF3M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
GLF4 : calculee primrest = 0 : "pensions footballeurs imposables - PAC" ;
GLF4M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
GLFC : calculee primrest = 0 : "pensions footballeurs imposables - Conjoint" ;
GLFCM : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
GLFTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLFTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLFV : calculee primrest = 0 : "pensions footballeurs imposables - Vous" ;
GLFVM : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
GLN3 : calculee primrest = 0 : "Gain de levee d'option net" ;
GLN3C : calculee restituee primrest = 1 : "Gain de levee d'option net" ;
GLN3NET : calculee primrest = 0 : "Gain de levee d'option net servant pour REVKIRE" ;
GLN3V : calculee restituee primrest = 1 : "Gain de levee d'option net" ;
GLN3_1731 : calculee primrest = 0 : "salaires normaux quot.-  1731 " ;
GLN4C : calculee restituee primrest = 0 : "Salaires DOM quotient 4" ;
GLN4DAJV : calculee primrest = 0 : "Salaires DOM quotient 4" ;
GLN4DBJC : calculee primrest = 0 : "Salaires DOM quotient 4" ;
GLN4V : calculee restituee primrest = 0 : "Salaires DOM quotient 4" ;
GLO9YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
GLO9YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
GLO9YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
GLO9YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
GLO9YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
GLOA_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde GLO" ;
GLOBASE : calculee primrest = 0 : "base imposable Contrib. soc salariale (avis CSG)" ;
GLOBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final CGLOA en base declaration fictive" ;
GLOBASEHCOG : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
GLOBASEHCOG_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
GLOBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde GLObase" ;
GLOBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
GLOBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
GLOBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
GLOBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo GLO 1TT 1UT" ;
GLOBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
GLOBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde GLO 1er evenement" ;
GLONETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
GLONET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
GLOTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde CGLOA pour retard" ;
GLOTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde CGLOA pour retard" ;
GLO_ANT : calculee primrest = 0 base : "MONTANT GLO base des INR retard traitement precedent" ;
GLO_ANT2 : calculee primrest = 0 base : "MONTANT glo base des INR retard traitement precedent" ;
GLO_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde GLO " ;
GLO_NTL : calculee primrest = 0 base : "MONTANT GLO base des INR NTL retard traitement courant" ;
GLO_NTL2 : calculee primrest = 0 : "MONTANT glo base des INR NTL retard traitement courant" ;
GLO_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
GLO_NTLDEC_1 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
GLO_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
GLO_NTLDEC_22 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
GLO_NTLDEC_24 : calculee primrest = 0 base : "MONTANT Cdis base des INR retard non TL traitement courant code 22" ;
GLO_NTL_1 : calculee primrest = 0 base : "MONTANT GLO base des INR NTL retard traitement courant code 22" ;
GLO_NTL_22 : calculee primrest = 0 base : "MONTANT GLO base des INR NTL retard traitement courant code" ;
GLO_NTL_222 : calculee primrest = 0 : "MONTANT glo base des INR NTL retard traitement courant code" ;
GLO_NTL_24 : calculee primrest = 0 base : "MONTANT GLO base des INR NTL retard traitement courant code" ;
GLO_NTL_242 : calculee primrest = 0 : "MONTANT glo base des INR NTL retard traitement courant code" ;
GLO_P : calculee primrest = 0 base : "CSG 7,5%  sur gains levee options a c du 28 09 2012 - primitive" ;
GLO_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse4" ;
GLO_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
GLO_PRI : calculee primrest = 0 base : "MONTANT GLO base des INR retard primitif" ;
GLO_PRI2 : calculee primrest = 0 base : "MONTANT glo base des INR retard primitif" ;
GLO_R : calculee primrest = 0 base : "Cdis ( REFERENCE )" ;
GLO_R9901 : calculee primrest = 0 base : " nouv cor:Cdis rectifie pour calcul INR code 99 prim. " ;
GLO_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
GLO_R99R : calculee primrest = 0 base : " nouv cor: Cdis rectifie pour calcul INR code 99 prim. penalisee" ;
GLO_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
GLO_RECT : calculee primrest = 0 base : "Taxation 2042_RECT pour la TL: sauvegarde GLO" ;
GLO_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
GLO_REFP : calculee primrest = 0 base : "MONTANT Csal initiale maj R99 et C base du calcul INR" ;
GLO_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
GLO_REF_INR : calculee primrest = 0 base : "MONTANT glo base des INR TL retard traitement de reference" ;
GLO_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde CGLOA pour retard" ;
GLO_TL : calculee primrest = 0 base : "MONTANT GLO base des INR TL retard traitement courant " ;
GLO_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde cdis" ;
GLO_TLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant" ;
GLO_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
GLO_TLDEC_199 : calculee primrest = 0 base : "MONTANT GLO base des INR retard TL du traitement courant code 22" ;
GLO_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
GLO_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
GLO_TL_1 : calculee primrest = 0 base : "MONTANT GLO base des INR TL retard traitement courant code 22" ;
GLO_TL_22 : calculee primrest = 0 base : "MONTANT GLO base des INR TL retard traitement courant code " ;
GLO_TL_222 : calculee primrest = 0 base : "MONTANT GLO base des INR TL retard traitement courant code " ;
GLO_TL_24 : calculee primrest = 0 base : "MONTANT GLO base des INR TL retard traitement courant code " ;
GLO_TL_242 : calculee primrest = 0 base : "MONTANT GLO base des INR TL retard traitement courant code " ;
GLPALIM1 : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM1M : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM2 : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM2M : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM3 : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM3M : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM4 : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIM4M : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIMC : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIMCM : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIMTOT : calculee primrest = 0 : "gain levee  quotient total foyer pension alimentaire" ;
GLPALIMTOTM : calculee primrest = 0 : "gain levee  quotient total foyer pension alimentaire" ;
GLPALIMV : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPALIMVM : calculee restituee primrest = 0 : "Revenus au quotient pension alimentaire" ;
GLPRR1 : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR1M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR2 : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR2M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR3 : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR3M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR4 : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRR4M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRRC : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRRCM : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRRTOT : calculee primrest = 0 : "gain levee  quotient total foyer pension normale" ;
GLPRRTOTM : calculee primrest = 0 : "gain levee  quotient total foyer pension normale" ;
GLPRRV : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRRVM : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
GLPRRZ1 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ" ;
GLPRRZ1M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ " ;
GLPRRZ2 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ" ;
GLPRRZ2M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ " ;
GLPRRZ3 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ" ;
GLPRRZ3M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ " ;
GLPRRZ4 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ" ;
GLPRRZ4M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ " ;
GLPRRZC : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ" ;
GLPRRZCM : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ " ;
GLPRRZV : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ" ;
GLPRRZVM : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ " ;
GLRAF : calculee primrest = 0 : "TS et PR quotient" ;
GLRAFM : calculee primrest = 0 : "TS et PR quotient" ;
GLRAG : calculee primrest = 0 : "TS et PR quotient" ;
GLRAGM : calculee primrest = 0 : "TS et PR quotient" ;
GLRAI : calculee primrest = 0 : "TS et PR quotient" ;
GLRAIM : calculee primrest = 0 : "TS et PR quotient" ;
GLRAL : calculee primrest = 0 : "TS et PR quotient" ;
GLRALM : calculee primrest = 0 : "TS et PR quotient" ;
GLRAM : calculee primrest = 0 : "TS et PR quotient" ;
GLRAMM : calculee primrest = 0 : "TS et PR quotient" ;
GLRBF : calculee primrest = 0 : "TS et PR quotient" ;
GLRBFM : calculee primrest = 0 : "TS et PR quotient" ;
GLRBG : calculee primrest = 0 : "TS et PR quotient" ;
GLRBGM : calculee primrest = 0 : "TS et PR quotient" ;
GLRBI : calculee primrest = 0 : "TS et PR quotient" ;
GLRBIM : calculee primrest = 0 : "TS et PR quotient" ;
GLRBL : calculee primrest = 0 : "TS et PR quotient" ;
GLRBLM : calculee primrest = 0 : "TS et PR quotient" ;
GLRBM : calculee primrest = 0 : "TS et PR quotient" ;
GLRBMM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCF : calculee primrest = 0 : "TS et PR quotient" ;
GLRCFM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCG : calculee primrest = 0 : "TS et PR quotient" ;
GLRCGM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCK : calculee primrest = 0 : "TS et PR quotient" ;
GLRCKM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCL : calculee primrest = 0 : "TS et PR quotient" ;
GLRCLM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCMCH : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMCHM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMDC : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMDCM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMFU : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMFUM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMGO : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMGOM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMM : calculee primrest = 0 : "TS et PR quotient" ;
GLRCMTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLRCMTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLRCMTR : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMTRM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMTS : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMTSM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMYY : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRCMYYM : calculee restituee primrest = 0 : "Revenus au quotient " ;
GLRDF : calculee primrest = 0 : "TS et PR quotient" ;
GLRDFM : calculee primrest = 0 : "TS et PR quotient" ;
GLRDG : calculee primrest = 0 : "TS et PR quotient" ;
GLRDGM : calculee primrest = 0 : "TS et PR quotient" ;
GLRDL : calculee primrest = 0 : "TS et PR quotient" ;
GLRDLM : calculee primrest = 0 : "TS et PR quotient" ;
GLRDM : calculee primrest = 0 : "TS et PR quotient" ;
GLRDMM : calculee primrest = 0 : "TS et PR quotient" ;
GLREF : calculee primrest = 0 : "TS et PR quotient" ;
GLREFM : calculee primrest = 0 : "TS et PR quotient" ;
GLREL : calculee primrest = 0 : "TS et PR quotient" ;
GLRELM : calculee primrest = 0 : "TS et PR quotient" ;
GLREM : calculee primrest = 0 : "TS et PR quotient" ;
GLREMM : calculee primrest = 0 : "TS et PR quotient" ;
GLRF1 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRF1M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRF2 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRF2M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRF3 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRF3M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposablesTXMOY" ;
GLRFF : calculee primrest = 0 : "TS et PR quotient" ;
GLRFFM : calculee primrest = 0 : "TS et PR quotient" ;
GLRFG : calculee primrest = 0 : "TS et PR quotient" ;
GLRFGM : calculee primrest = 0 : "TS et PR quotient" ;
GLRFL : calculee primrest = 0 : "TS et PR quotient" ;
GLRFLM : calculee primrest = 0 : "TS et PR quotient" ;
GLRFM : calculee primrest = 0 : "TS et PR quotient" ;
GLRFMM : calculee primrest = 0 : "TS et PR quotient" ;
GLRFTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLRFTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLRGG : calculee primrest = 0 : "TS et PR quotient" ;
GLRGGM : calculee primrest = 0 : "TS et PR quotient" ;
GLRUA : calculee restituee primrest = 0 : "Revenus au quotient RUA " ;
GLRUAM : calculee restituee primrest = 0 : "Revenus au quotient NUA hors revenus footballeurs nets imposables" ;
GLRVG : calculee restituee primrest = 0 : "Revenus au quotient NVG hors revenus footballeurs nets imposables" ;
GLRVGM : calculee restituee primrest = 0 : "Revenus au quotient NVG hors revenus footballeurs nets imposables" ;
GLRVO : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5R : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO5RM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6R : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO6RM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7R : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVO7RM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOR : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVORM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
GLRVOTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLRVOTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLRWA : calculee restituee primrest = 0 : "Revenus au quotient NWA hors revenus footballeurs nets imposables" ;
GLRWAM : calculee restituee primrest = 0 : "Revenus au quotient NWA hors revenus footballeurs nets imposables" ;
GLRWB : calculee restituee primrest = 0 : "Revenus au quotient NWB hors revenus footballeurs nets imposables" ;
GLRWBM : calculee restituee primrest = 0 : "Revenus au quotient NWB hors revenus footballeurs nets imposables" ;
GLTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLTS1 : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS1M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS2 : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS2M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS3 : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS3M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS4 : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTS4M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTSC : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTSCM : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTSREMP1 : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP1M : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP2 : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP2M : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP3 : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP3M : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP4 : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMP4M : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMPC : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMPCM : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMPTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLTSREMPTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLTSREMPV : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSREMPVM : calculee primrest = 0 : "Traitements  imposables quotient" ;
GLTSTOT : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLTSTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
GLTSV : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLTSVM : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
GLYIMP : calculee restituee primrest = 1 : "Montant CREAGRIGLY impute" ;
GLYREST : calculee restituee primrest = 1 : "Montant CREAGRIGLY restitue" ;
GSALC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 2 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1OY : "Gains soumis a contribution salariale de 30 % - Declarant 2" type REEL ;
GSALV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 2 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1NY : "Gains soumis a contribution salariale de 30 % - Declarant 1" type REEL ;
HABIMP : calculee restituee primrest = 1 : "Credit habitation : montant impute" ;
HABREST : calculee restituee primrest = 1 : "Credit habitation : montant restitution" ;
HAUTREVANTAF : calculee restituee primrest = 1 : "Contrib haut revenu anterieure a afficher sur l avis" ;
HAUTREVCUM : calculee restituee primrest = 1 : "Cumul de l'imposition anterieurement acquittee" ;
HAUTREVDEG : calculee restituee primrest = 0 : "droit de bail contrib haut revenu degrevee" ;
HAUTREVNET : calculee restituee primrest = 1 : "Hauts revenus + INR + majo" ;
HAUTREVNET3 : calculee restituee primrest = 1 : "Hauts revenus + INR + majo - documents comptables" ;
HAUTREVTAXDEG : calculee primrest = 0 : "droit de bail contrib haut revenu degrevee" ;
HAUTREVTOT : calculee restituee primrest = 0 : "Cumul de Contrib haut rev  seule deja acquittee" ;
HJAIMP : calculee restituee primrest = 1 : "Credit DOM : montant impute" ;
HJAREST : calculee restituee primrest = 1 : "Credit DOM : montant restitution" ;
HONODECC : calculee restituee primrest = 1 : "Honoraire prospection commerciale declare (AA et sans)" ;
HONODECP : calculee restituee primrest = 1 : "Honoraire prospection commerciale declare (AA et sans)" ;
HONODECV : calculee restituee primrest = 1 : "Honoraire prospection commerciale declare (AA et sans)" ;
HRBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final Hauts revenus en base declaration fictive" ;
HRBASEFRAC : calculee primrest = 0 : "Haut revenu fraction rfr n sur moyenne rfr ant " ;
HRBASEFRAC3WH : calculee primrest = 0 : "Haut revenu fraction rfr n sur moyenne rfr ant avec 3WH" ;
HRBASELISSE : calculee primrest = 0 : "Haut revenu rfr  lisse" ;
HRBASELISSE3WH : calculee primrest = 0 : "Haut revenu rfr  lisse avec 3WH" ;
HRBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde irbase" ;
HRBASE_I : calculee restituee primrest = 0 : "base des majo hauts revenus pour alimenter HRBASE_IREF" ;
HRBASE_IRECT : calculee restituee primrest = 0 base : "impot isole HR des credits d impot de la strate precedente" ;
HRBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo contributions sur les hauts revenus" ;
HRBASE_N : calculee restituee primrest = 0 : "base des majo hauts revenus pour alimenter HRBASE_NREF" ;
HRBASE_NRECT : calculee restituee primrest = 0 base : "impot net credits d impot  strate precedente (TAXAGA + PCAP +CHR- CI)" ;
HRBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde HRBASE" ;
HRBT1 : calculee primrest = 0 : "Haut revenu rfr ant. n-1" ;
HRBT2 : calculee primrest = 0 : "Haut revenu rfr ant. n-2" ;
HRBTRFR1 : calculee primrest = 0 : "Haut revenu rfr ant. n-1 retenu" ;
HRBTRFR2 : calculee primrest = 0 : "Haut revenu rfr ant. n-2 retenu" ;
HRCONDTHEO : calculee primrest = 0 : "Haut revenu indicateur condition RFR sup a 1.5 RFR anterieurs" ;
HRCONDTHEO3WH : calculee primrest = 0 : "Haut revenu indicateur condition RFR sup a 1.5 RFR anterieurs avec 3WH" ;
HRLIM15 : calculee primrest = 0 : "Haut revenu rfr n 1,5 fois moyenne des 2 rfr ant" ;
HRLIM153WH : calculee primrest = 0 : "Haut revenu rfr n 1,5 fois moyenne des 2 rfr ant avec 3WH" ;
HRLIMBTRFR1 : calculee primrest = 0 : "Haut revenu rfr n-1 inf a 250000" ;
HRLIMBTRFR2 : calculee primrest = 0 : "Haut revenu rfr n-2 inf a 250000" ;
HRMAJOP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde base majo P" ;
HRMAJOP_DEF : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
HRMOYBTRFR : calculee primrest = 0 : "Haut revenu moyenne des 2 rfr ant" ;
HRNBTRFR : calculee primrest = 0 : "Haut revenu nombre rfr ant" ;
HRTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde hauts revenus pour retard" ;
HRTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde hauts revenus pour retard" ;
HR_ISO : calculee restituee primrest = 0 : "base des majo TAXAGA isole pour alimenter TAXAISO_DERSTTR" ;
HR_MAJOP : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
HR_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde contribution hauts revenus pour retard" ;
HVEIMP : calculee restituee primrest = 1 : "Montant CREAGRIHVE impute" ;
HVEREST : calculee restituee primrest = 1 : "Montant CREAGRIHVE restitue" ;
I2DH : calculee restituee primrest = 1 : "Credit Impot sur Excedent Prelevement sur contrats Ass-Vie" ;
IAD11 : calculee restituee primrest = 1 : "impot apres decote et apres reduction  d impot" ;
IAD11INR : calculee primrest = 0 : "impot apres decote et apres reduction  d impot pour INR" ;
IAD13 : calculee primrest = 0 : "impot apres decote et apres reduction  d impot avec 3WG" ;
IAMD1 : calculee primrest = 0 : "Impot apres retrait de l'avantage en impot sur dons" ;
IAMD1AF : calculee primrest = 0 : "Impot apres retrait de l'avantage en impot sur dons AF" ;
IAMD2 : calculee restituee primrest = 1 : "Impot apres retrait de l'avantage en impot sur dons" ;
IAMD28EA : calculee restituee primrest = 1 : "Impot apres retrait de l'avantage en impot sur dons sans 8EA" ;
IAMD2INR : calculee primrest = 0 : "Impot apres retrait de l'avantage en impot sur dons pour INR" ;
IAMD2TH : calculee primrest = 0 : "IMPOT brut TH pour redevance TELE" ;
IAN : calculee restituee primrest = 0 : "Impot apres imputations non restituables" ;
IAN8EA : calculee restituee primrest = 0 : "Impot apres imputations non restituables sans 8EA" ;
IANAF : calculee primrest = 0 : "Impot apres imputations non restituables AF" ;
IANINR : calculee primrest = 0 : "Impot apres imputations non restituables pour INR" ;
IANTEO : calculee primrest = 0 : "Impot apres imputations non restituables AF" ;
IAN_DERSTTR : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias V_IAN_DERSTT : "Impot apres imputations non restituables" ;
IAR : calculee restituee primrest = 1 : "Impot apres imputation restituables" type REEL ;
IARAF : calculee primrest = 0 : "Impot apres imputation restituables AF" type REEL ;
IARD : calculee primrest = 0 : "Impot du apres imputation restituables" ;
IARTEO : calculee primrest = 0 : "Impot apres imputations restituables AF" type REEL ;
IAR_A : calculee primrest = 0 base : "Impot apres imputation restituables" ;
IAVF : calculee restituee primrest = 1 : "Av. fisc. credit d'impot" ;
IAVF2 : calculee restituee primrest = 1 : "avis ir: credit d'impot sans CISURF" ;
IAVFGP : calculee primrest = 0 : "var IAVF2 + CI 8TA + CI 8TH" ;
IAVIM : calculee restituee primrest = 1 : "Impot avant imputation" ;
IAVIM2 : calculee primrest = 0 : "Impot avant imputation sans droit de bail" ;
IAVIMBIS : calculee primrest = 0 : "Impot avant imputation" ;
IAVIMO : calculee primrest = 0 : "Impot avant imputation (sert au test de 2000 lorsqu'impot au tx moyen)" ;
IAVT : calculee restituee primrest = 0 : "Av. fisc. credit d'impot (resultat imposition)" ;
IBAEX : calculee restituee primrest = 1 : "Autre quotient" ;
IBAMICC : calculee primrest = 0 : "BA - micro - Revenus imposables Declarant 2" ;
IBAMICF : calculee restituee primrest = 1 : "BA - micro - Revenus imposables du foyer" ;
IBAMICP : calculee primrest = 0 : "BA - micro - Revenus imposables Declarant PAC" ;
IBAMICV : calculee primrest = 0 : "BA - micro - Revenus imposables Declarant 1" ;
IBATMARG : calculee restituee primrest = 1 base : "Impot BA tx marginal vous + conjoint" ;
ICI8XFH : calculee primrest = 0 : "Credit GLO 8XF 8XG 8XH" ;
ICIGLO : calculee primrest = 0 : "Credit d'impot sur gain de levee d option brut" ;
ICREREVET : calculee restituee primrest = 1 : "imputation limitee a l impot propor. pour le credit revenus etrangers" ;
ICREREVETAF : calculee primrest = 0 : "imputation limitee a l impot propor. pour le credit revenus etrangers" ;
ID11 : calculee restituee primrest = 1 : "Droits simples avant abattement DOM" ;
ID14 : calculee primrest = 0 : "Droits simples avant abattement DOM" ;
ID16 : calculee primrest = 0 : "Droits simples avant abattement DOM 8VV art. 168" ;
IDANT11 : calculee primrest = 0 : "ancien plafqf:Droits simples avant abattement DOM" ;
IDCSG : calculee restituee primrest = 1 : "Impot CSG deductible" ;
IDCSG_A : calculee primrest = 0 base : "Impot CSG deductible" ;
IDEC : calculee restituee primrest = 1 : "Decote" ;
IDEGR : calculee restituee primrest = 1 : "Impot sur le revenu degreve    (IR + 1%)" ;
IDEGR_A : calculee primrest = 0 base : "Impot sur le revenu degreve (SANS 1%) trait. anterieur" ;
IDGLO : calculee restituee primrest = 1 : "CSG 1TT et 1UT deductible cumulee" ;
IDOM11 : calculee restituee primrest = 0 : "Droits simples definitifs" ;
IDOM12 : calculee primrest = 0 : "Droits simples definitifs" ;
IDOM13 : calculee primrest = 0 : "Droits simples definitifs avec 3WG" ;
IDOM16 : calculee primrest = 0 : "Droits simples definitifs 8VV art. 168" ;
IDRS : calculee restituee primrest = 1 : "Montant des droits simples" ;
IDRS2 : calculee restituee primrest = 1 : "Droits simples avant abt DOM/Guyane et reduction complementaire" ;
IDRS3 : calculee restituee primrest = 1 : "Montant des droits simples apres abt DOM et avec quotient" ;
IDRS4 : calculee restituee primrest = 1 : "Montant des droits simples avant reductions d'impot" ;
IDRSANT : calculee restituee primrest = 1 : "ancien plafqf:montant des droits simples" ;
IDRSE : calculee restituee primrest = 1 : "droit simple rev. source etrangere" ;
IFG : calculee primrest = 0 : "ind de plafonnement de la base declaree de la red pour frais de garde" ;
IFI1 : calculee restituee primrest = 1 : "IFI avant decote" ;
IFI1731 : calculee primrest = 0 base : "variable pour calcul reduction RIDEFRI IFI" ;
IFI2 : calculee restituee primrest = 1 : "IFI avant reductions" ;
IFI3 : calculee restituee primrest = 1 : "IFI apres reductions " ;
IFI4 : calculee restituee primrest = 1 : "IFI apres plafonnement" ;
IFI4BASE : calculee restituee primrest = 0 : "base des penalites en IFI" ;
IFI4BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final en base declaration fictive" ;
IFI4BASE_A : calculee primrest = 0 base : "correctif : IFI calculee effectivement anterieure" ;
IFI4BIS : calculee restituee primrest = 1 : "Net a payer IFI avec contribution exceptionnelle avant penalites" ;
IFI5 : calculee primrest = 0 : "IFI net si pas de penalites" ;
IFIACT : calculee restituee primrest = 1 : "total Actif" ;
IFIACT1731 : calculee restituee primrest = 0 base : "IFI -IFIact1731bis" ;
IFIANT : calculee restituee primrest = 1 : "IFI anterieure" ;
IFIBASE_INR : calculee primrest = 0 : " nouv cor:base des majo IFI pour INR" ;
IFIBASE_INR_A : calculee restituee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
IFICUM : calculee restituee primrest = 1 : "Cumul de l'imposition IFI anterieurement acquittee" ;
IFIDEC : calculee primrest = 0 : "IFI : Decote pour patrimoine compris entre 1300 000 et 1400 000 euros" ;
IFIDEG : calculee restituee primrest = 1 : "IFI degreve   " ;
IFIDEGR : calculee restituee primrest = 1 : "Degrevement IFI calcule pouvant etre inferieur a 8 euros" ;
IFIETR : calculee restituee primrest = 1 : "IFI paye a l etranger " ;
IFIIN : calculee restituee primrest = 0 : "IMPOT IFI SERVANT AU CALCUL BASES DES MAJOS 1728 ET INR" ;
IFIINTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde IFIIN pour depot tardif" ;
IFIINTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde IFIIN pour depot tardif" ;
IFINAP : calculee restituee primrest = 1 : "Net a payer IFI apres penalites eventuelles" ;
IFINET : calculee restituee primrest = 1 base : "Avis IFI : Net a payer IFI apres pena eventuelles- avant seuil mer" ;
IFINET_A : calculee primrest = 0 base : "Net a payer IFI anterieur" ;
IFIPAS : calculee restituee primrest = 1 : "total PASSIF" ;
IFIPAT : calculee restituee primrest = 1 : "total patrimoine" ;
IFIPLAF : calculee restituee primrest = 1 : "PLAFONNEMENT ifi" ;
IFIRECOUVR : calculee restituee primrest = 1 : "total nette a recouvrer IFI" ;
IFIREVPROD : calculee primrest = 0 : "IFI REVPROD" ;
IFITARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde isf pour retard" ;
IFITARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde IFI pour retard" ;
IFITOT : calculee restituee primrest = 1 : "IFI" ;
IFITOTIMPO : calculee primrest = 0 : "IFI TOTIMPOT" ;
IFITRED : calculee restituee primrest = 1 : "Total des reductions d'impot IFI" ;
IFI_ANT : calculee primrest = 0 base : "MONTANT IFI base des INR retard traitement precedent" ;
IFI_ANT2 : calculee primrest = 0 : "MONTANT IFI base des INR retard traitement precedent" ;
IFI_NTL : calculee primrest = 0 base : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_NTL2 : calculee primrest = 0 : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_NTLDEC : calculee primrest = 0 base : "MONTANT IFI base des INR retard non TL du traitement courant" ;
IFI_NTLDEC_1 : calculee primrest = 0 base : "MONTANT IFI base des INR retard non TL du traitement courant code 22" ;
IFI_NTLDEC_198 : calculee primrest = 0 base : "MONTANT IFI base des INR retard non TL du traitement courant code 22" ;
IFI_NTLDEC_22 : calculee primrest = 0 base : "MONTANT IFI base des INR retard non TL du traitement courant code 22" ;
IFI_NTLDEC_24 : calculee primrest = 0 base : "MONTANT IFI base des INR retard non TL du traitement courant code 22" ;
IFI_NTL_1 : calculee primrest = 0 base : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_NTL_22 : calculee primrest = 0 base : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_NTL_222 : calculee primrest = 0 base : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_NTL_24 : calculee primrest = 0 base : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_NTL_242 : calculee primrest = 0 base : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_P : calculee restituee primrest = 0 base : "IFI primitif" ;
IFI_PA : calculee restituee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
IFI_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
IFI_PRI : calculee primrest = 0 base : "MONTANT IFI base des INR retard primitif" ;
IFI_PRI2 : calculee primrest = 0 base : "MONTANT IFI base des INR retard primitif" ;
IFI_R : calculee primrest = 0 base : "IFI ( D REFERENCE )" ;
IFI_R9901 : calculee primrest = 0 base : " nouv cor:IFI rectifie pour calcul INR code 99 prim. " ;
IFI_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
IFI_R99R : calculee primrest = 0 base : " nouv cor:ifi rectifie pour calcul INR code 99 prim. penalisee" ;
IFI_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
IFI_RECT : calculee primrest = 0 : "MONTANT IFI base des INR retard traitement courant" ;
IFI_REF : calculee restituee primrest = 0 base : "MONTANT IFI base du calcul INR retard" ;
IFI_REFP : calculee restituee primrest = 0 base : "MONTANT IFI initiale maj R99 et C base du calcul INR" ;
IFI_REF_A : calculee restituee primrest = 0 base : "MONTANT IFI base du calcul INR retard" ;
IFI_REF_INR : calculee primrest = 0 : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde IFI pour retard" ;
IFI_TL : calculee primrest = 0 base : "MONTANT IFI base des INR TL retard traitement courant" ;
IFI_TL2 : calculee primrest = 0 : "MONTANT IFI base des INR NTL retard traitement courant" ;
IFI_TLDEC : calculee primrest = 0 base : "MONTANT IFI base des INR retard TL du traitement courant" ;
IFI_TLDEC_1 : calculee primrest = 0 base : "MONTANT IFI base des INR retard TL du traitement courant code 22" ;
IFI_TLDEC_199 : calculee primrest = 0 base : "MONTANT IFI base des INR retard TL du traitement courant code 22" ;
IFI_TLDEC_22 : calculee primrest = 0 base : "MONTANT IFI base des INR retard TL du traitement courant code 22" ;
IFI_TLDEC_24 : calculee primrest = 0 base : "MONTANT IFI base des INR retard TL du traitement courant code 22" ;
IFI_TL_1 : calculee primrest = 0 base : "MONTANT IFI base des INR TL retard traitement courant" ;
IFI_TL_22 : calculee primrest = 0 base : "MONTANT IFI base des INR TL retard traitement courant" ;
IFI_TL_222 : calculee primrest = 0 base : "MONTANT IFI base des INR TL retard traitement courant" ;
IFI_TL_24 : calculee primrest = 0 base : "MONTANT IFI base des INR TL retard traitement courant" ;
IFI_TL_242 : calculee primrest = 0 base : "MONTANT IFI base des INR TL retard traitement courant" ;
IHAUTREVT : calculee restituee primrest = 1 base : "Impot Hauts Revenus total" ;
IHAUTREVT3WH : calculee primrest = 0 base : "Impot Hauts Revenus total avec 3WH" ;
IHAUTREVT_EVT1 : calculee primrest = 0 base : "IHAUTREVT 1er evt R07, 08, 17, 18, 31 utile si C ensuite" ;
IINET : calculee restituee primrest = 1 : "Total de votre imposition" ;
IINETCALC : calculee restituee primrest = 1 : "Total de votre imposition intermediaire correctif" ;
IINETCIMR : calculee restituee primrest = 1 : "IINET sans CIMR" ;
IINETIR : calculee restituee primrest = 1 : "Total de votre imposition sans contrib. soc." ;
IITAZIR : calculee restituee primrest = 1 : "IR net sans CIMR" ;
ILICAPNET : calculee restituee primrest = 1 : "variable ILIAD montant des droits par rapport au net pour BATCH" ;
ILICHRNET : calculee restituee primrest = 1 : "variable ILIAD montant des droits par rapport au net" ;
ILIIRNET : calculee restituee primrest = 1 : "variable ILIAD montant des droits par rapport au net" ;
ILITAXANET : calculee restituee primrest = 1 : "variable ILIAD montant des droits par rapport au net" ;
ILITOTIRNET : calculee restituee primrest = 1 : "variable ILIAD montant des droits totaux par rapport aux nets totaux" ;
ILITOTPSNET : calculee restituee primrest = 1 : "variable ILIAD montant des droits par rapport au net" ;
ILI_SYNT_CAP : calculee restituee primrest = 0 : "variable ILIAD : droits pension en capital apres controle" ;
ILI_SYNT_CHR : calculee restituee primrest = 0 : "variable ILIAD : droits contrib hauts revenus apres controle" ;
ILI_SYNT_IFI : calculee restituee primrest = 0 : "variable ILIAD : droits IFI apres controle" ;
ILI_SYNT_IR : calculee restituee primrest = 0 : "variable ILIAD : droits IR apres controle" ;
ILI_SYNT_TAXA : calculee restituee primrest = 0 : "variable ILIAD : droits TAXAGA apres controle" ;
ILI_SYNT_TOTIR : calculee restituee primrest = 0 : "variable ILIAD : droits IR apres controle" ;
IMETRO1 : calculee primrest = 0 : "Impot sur Revenu metro" ;
IMETRO4 : calculee primrest = 0 : "Impot sur Revenu metro" ;
IMETRO6 : calculee primrest = 0 : "Impot sur Revenu metro" ;
IMI : calculee restituee primrest = 1 : "Impot au taux minimum" ;
IMO : calculee restituee primrest = 1 : "Impot au taux moyen" ;
IMP : calculee primrest = 0 base : "Solde IR calcul impot ouvrant droit au fractionnement" ;
IMPCSGIR : calculee restituee primrest = 1 : "CSG excedent acompte impute sur IR - documents comptables" ;
IMPCSGIR3 : calculee restituee primrest = 1 : "CSG excedent acompte impute sur IR - documents comptables" ;
IMPCSGIRD : calculee restituee primrest = 1 : "CSG excedent acompte impute sur IR - DESF" ;
IMPCSGPS : calculee restituee primrest = 1 : "CSG excedent acompte impute sur PS - documents comptables" ;
IMPCSGPS3 : calculee restituee primrest = 1 : "CSG excedent acompte impute sur PS - documents comptables" ;
IMPCSGPSD : calculee restituee primrest = 1 : "CSG excedent acompte impute sur PS - DESF" ;
IMPDRFRAC : calculee primrest = 0 base : "Solde IR calcul impot ouvrant droit au fractionnement" ;
IMPETAL : calculee restituee primrest = 1 base : "montant impot ouvrant droit a fractionnement" ;
IMPETAL19 : calculee restituee primrest = 1 : "Impot BA fractionne a integrer a l impot" ;
IMPETAL20 : calculee restituee primrest = 1 : "Impot BA fractionne a integrer a l impot" ;
IMPETAL21 : calculee restituee primrest = 1 : "Impot BA fractionne a integrer a l impot" ;
IMPETAL5 : calculee restituee primrest = 1 base : "montant impot fractionne" ;
IMPFHQ1 : calculee primrest = 0 : "Droits simples hors quotient avant abattement DOM" ;
IMPFHQANT1 : calculee primrest = 0 : "ancien plafqf:Droits simples hors quotient avant abattement DOM" ;
IMPNET : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception" ;
IMPNETC820 : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception CS" ;
IMPNETCDIS : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception CS" ;
IMPNETCS : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception CS" ;
IMPNETCSAL : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception CS" ;
IMPNETGLO : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception CS" ;
IMPNETIR : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception IR" ;
IMPNETPS : calculee restituee primrest = 1 : "Impot apres imputation et avant seuil percep total PS" ;
IMPNETPSOL : calculee restituee primrest = 1 : "Impot apres imputation et avant seuil percep total PSOL" ;
IMPNETRD : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception PS" ;
IMPNETRSE : calculee restituee primrest = 1 : "Impot apres imputation et avant appreciation du seuil de perception CS" ;
IMPNETRSE6 : calculee restituee primrest = 1 : "Variation RSE6 - CASA - pour statistique" ;
IMPOT128 : calculee primrest = 0 base : "impot forfaitaire 12.8%" ;
IMPOT75 : calculee primrest = 0 base : "impot forfaitaire 7.5%" ;
IMPPSOLIR : calculee restituee primrest = 1 : "PSOL excedent acompte impute sur IR - documents comptables" ;
IMPPSOLIR3 : calculee restituee primrest = 1 : "PSOL excedent acompte impute sur IR - documents comptables" ;
IMPPSOLIRD : calculee restituee primrest = 1 : "PSOL excedent acompte impute sur IR - DESF" ;
IMPPSOLPS : calculee restituee primrest = 1 : "PSOL excedent acompte impute sur PS - documents comptables" ;
IMPPSOLPS3 : calculee restituee primrest = 1 : "PSOL excedent acompte impute sur PS - documents comptables" ;
IMPPSOLPSD : calculee restituee primrest = 1 : "PSOL excedent acompte impute sur PS - DESF" ;
IMPRET : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8YI : "Impot net avant retour en France" type REEL ;
IMPTHNET : calculee restituee primrest = 1 : "IMPOT TH pour redevance TELE" ;
IMPU3VR2 : calculee primrest = 0 : "Imputation de 3VR sur les quotients" ;
IMPUT5IU : calculee restituee primrest = 1 : "Agregat BIC pour le 1507 (moins-values imputees)" ;
IMPUT5JU : calculee restituee primrest = 1 : "Agregat BNC pour le 1507 (moins-values imputees)" ;
IMPUTBA : calculee restituee primrest = 1 : "Agregat BA pour le 1507 (moins-values imputees)" ;
IMT11 : calculee primrest = 0 : "Droits simples immediats + differes" ;
IMT12 : calculee primrest = 0 : "Droits simples immediats + differes (sans ded Ab DOM)" ;
IMTANT11 : calculee primrest = 0 : "ancien plafqf:Droits simples immediats + differes" ;
IMTANT12 : calculee primrest = 0 : "ancien plafqf:Droits simples immediats + differes sans abt DOM" ;
IN01 : calculee primrest = 0 : "Droits simples apres plafonnement QF" ;
IN02 : calculee primrest = 0 : "Droits simples apres plafonnement QF" ;
IN03 : calculee primrest = 0 : "Droits simples apres plafonnement QF avec 3WG" ;
IN04 : calculee primrest = 0 : "Droits simples apres plafonnement QF" ;
IN05 : calculee primrest = 0 : "Droits simples apres plafonnement QF" ;
IN06 : calculee primrest = 0 : "Droits simples apres plafonnement QF 8VV art. 168" ;
IN51 : calculee primrest = 0 : "Droits simples apres plafonnement QF pour calcul reduc compl." ;
IN55 : calculee primrest = 0 : "Droits simples apres plafonnement QF" ;
INAIDE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7DG : "Case a cocher salarie a domicile - Invalidite a 80 % minimum " type BOOLEEN ;
INANT01 : calculee primrest = 0 : "Droits simples apres plafonnement QF pour calcul reduc complementaire" ;
INANT51 : calculee primrest = 0 : "ancien plafqf:Droits simples apres plafonnement QF" ;
INC820_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INC820_TL2 : calculee primrest = 0 base : "total INR susceptible annulation par TL" ;
INC820_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL r22" ;
INC820_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL r22" ;
INC820_TL_222 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INC820_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INC820_TL_242 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INCC820_NET : calculee restituee primrest = 0 base : "interet de retard Cont. soc Sal. TL appliquee (en cumul) 8.2" ;
INCC820_NET2 : calculee primrest = 0 base : " INTERETS DE RETARD  TL APPLIQUEE (en cumul)" ;
INCC820_NET_A : calculee primrest = 0 base : "interet de retard  n-1" ;
INCC820_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCC820_TL2 : calculee primrest = 0 base : "Total INR succeptibles d'etre annules par la TL (en cumul)" ;
INCC820_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL r22" ;
INCC820_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INCC820_TL_222 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INCC820_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INCC820_TL_242 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL " ;
INCCDIS_NET : calculee restituee primrest = 0 base : "interet de retard Cont. soc Sal. TL appliquee (en cumul)" ;
INCCDIS_NET2 : calculee primrest = 0 base : " INTERETS DE RETARD cdis TL APPLIQUEE (en cumul)" ;
INCCDIS_NET_A : calculee primrest = 0 base : "interet de retard cdis n-1" ;
INCCDIS_TL : calculee restituee primrest = 0 base : "total INR Cdis susceptible annulation par TL" ;
INCCDIS_TL2 : calculee primrest = 0 base : "Total INR cdis succeptibles d'etre annules par la TL (en cumul)" ;
INCCDIS_TL_1 : calculee restituee primrest = 0 base : "total INR Cdis susceptible annulation par TL code 22" ;
INCCDIS_TL_22 : calculee restituee primrest = 0 base : "total INR Cdis susceptible annulation par TL code 22" ;
INCCDIS_TL_222 : calculee restituee primrest = 0 base : "total INR Cdis susceptible annulation par TL code " ;
INCCDIS_TL_24 : calculee restituee primrest = 0 base : "total INR Cdis susceptible annulation par TL code " ;
INCCDIS_TL_242 : calculee restituee primrest = 0 base : "total INR Cdis susceptible annulation par TL code " ;
INCCHR_NET : calculee restituee primrest = 0 base : "interet de retard Contrib Haut rev TL appliquee (en cumul)" ;
INCCHR_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCCHR_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCCHR_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCCHR_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCCHR_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCCHR_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCCHR_TL_222 : calculee primrest = 0 base : "total INR susceptible annulation par TL code 22" ;
INCCHR_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCCHR_TL_242 : calculee primrest = 0 base : "total INR susceptible annulation par TL code " ;
INCCS_NET : calculee restituee primrest = 0 base : "interet de retard CSG TL appliquee (en cumul)" ;
INCCS_NET2 : calculee primrest = 0 base : "interet de retard CSG TL appliquee (en cumul)" ;
INCCS_NET_A : calculee primrest = 0 base : "interet de csg n-1" ;
INCCS_TL : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL" ;
INCCS_TL2 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL" ;
INCCS_TL_1 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code 22" ;
INCCS_TL_22 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCCS_TL_222 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCCS_TL_24 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCCS_TL_242 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCCVN_NET : calculee restituee primrest = 0 base : "interet de retard CVN TL appliquee (en cumul)" ;
INCCVN_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCCVN_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCCVN_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCCVN_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCCVN_TL_1 : calculee restituee primrest = 0 base : "total INR susceptible annulation par TL code 22" ;
INCCVN_TL_22 : calculee restituee primrest = 0 base : "total INR susceptible annulation par TL code " ;
INCCVN_TL_222 : calculee restituee primrest = 0 base : "total INR susceptible annulation par TL code " ;
INCCVN_TL_24 : calculee restituee primrest = 0 base : "total INR susceptible annulation par TL code " ;
INCCVN_TL_242 : calculee restituee primrest = 0 base : "total INR susceptible annulation par TL code " ;
INCDIS_TL : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCDIS_TL2 : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCDIS_TL_1 : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCDIS_TL_22 : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCDIS_TL_222 : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCDIS_TL_24 : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCDIS_TL_242 : calculee primrest = 0 base : "total INR cdis susceptible annulation par TL" ;
INCGLOA_NET : calculee restituee primrest = 0 base : "interet de retard GLO TL appliquee (en cumul)" ;
INCGLO_NET2 : calculee primrest = 0 base : " INTERETS DE RETARD glo TL APPLIQUEE (en cumul)" ;
INCGLO_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCGLO_TL : calculee restituee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INCGLO_TL2 : calculee primrest = 0 base : "Total INR glo succeptibles d'etre annules par la TL (en cumul)" ;
INCGLO_TL_1 : calculee restituee primrest = 0 base : "total INR glo susceptible annulation par TL code 22" ;
INCGLO_TL_22 : calculee restituee primrest = 0 base : "total INR glo susceptible annulation par TL code " ;
INCGLO_TL_222 : calculee restituee primrest = 0 base : "total INR glo susceptible annulation par TL code " ;
INCGLO_TL_24 : calculee restituee primrest = 0 base : "total INR glo susceptible annulation par TL code " ;
INCGLO_TL_242 : calculee restituee primrest = 0 base : "total INR glo susceptible annulation par TL code " ;
INCHR_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCHR_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCHR_TL_1 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INCHR_TL_22 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCHR_TL_222 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCHR_TL_24 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCHR_TL_242 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCIFI_NET : calculee restituee primrest = 0 base : "interet de retard IFI TL appliquee (en cumul)" ;
INCIFI_NET2 : calculee primrest = 0 base : "interet de retard Isf TL appliquee (en cumul)" ;
INCIFI_NET_A : calculee primrest = 0 base : "interet de ir n-1" ;
INCIFI_TL : calculee restituee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIFI_TL2 : calculee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIFI_TL_1 : calculee restituee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIFI_TL_22 : calculee restituee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIFI_TL_222 : calculee restituee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIFI_TL_24 : calculee restituee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIFI_TL_242 : calculee restituee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INCIR_NET : calculee restituee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INCIR_NET2 : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INCIR_NET_A : calculee primrest = 0 base : "interet de ir n-1" ;
INCIR_TL : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL" ;
INCIR_TL2 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL" ;
INCIR_TL_1 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INCIR_TL_22 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCIR_TL_222 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCIR_TL_24 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCIR_TL_242 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code " ;
INCPCAP_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD PCAPTAX TL APPLIQUEE (en cumul)" ;
INCPCAP_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCPCAP_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCPCAP_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCPCAP_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCPCAP_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCPCAP_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCPCAP_TL_222 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCPCAP_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCPCAP_TL_242 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCPSOL_NET : calculee restituee primrest = 0 base : "interet de retard PSOL TL appliquee (en cumul)" ;
INCPSOL_NET2 : calculee primrest = 0 base : "interet de retard Psol TL appliquee (en cumul)" ;
INCPSOL_NET_A : calculee primrest = 0 base : "MONTANT IR des INR retard   traitement precedent" ;
INCPSOL_TL : calculee restituee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul)" ;
INCPSOL_TL2 : calculee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul)" ;
INCPSOL_TL_1 : calculee restituee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul) code 22" ;
INCPSOL_TL_22 : calculee restituee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul) code 22" ;
INCPSOL_TL_222 : calculee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul) code 22" ;
INCPSOL_TL_24 : calculee restituee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul) code 22" ;
INCPSOL_TL_242 : calculee primrest = 0 base : "total INR PSol susceptible annulation TL (en cumul) code " ;
INCPS_NET : calculee restituee primrest = 0 base : "interet de retard PRS TL appliquee (en cumul)" ;
INCPS_NET2 : calculee primrest = 0 base : "interet de retard PRS TL appliquee (en cumul)" ;
INCPS_NET_A : calculee primrest = 0 base : "interet de csg n-1" ;
INCPS_TL : calculee restituee primrest = 0 base : "total INR PS susceptible annulation TL (en cumul)" ;
INCRD_NET : calculee restituee primrest = 0 base : "interet de retard RDS TL appliquee (en cumul)" ;
INCRD_NET2 : calculee primrest = 0 base : "interet de retard RDS TL appliquee (en cumul)" ;
INCRD_NET_A : calculee primrest = 0 base : "interet de csg n-1" ;
INCRD_TL : calculee restituee primrest = 0 base : "total INR RDS susceptible annulation par TL" ;
INCRD_TL2 : calculee primrest = 0 base : "total INR RDS susceptible annulation par TL" ;
INCRD_TL_1 : calculee restituee primrest = 0 base : "total INR RDS susceptible annulation par TL code 22" ;
INCRD_TL_22 : calculee restituee primrest = 0 base : "total INR RDS susceptible annulation par TL code " ;
INCRD_TL_222 : calculee restituee primrest = 0 base : "total INR RDS susceptible annulation par TL code " ;
INCRD_TL_24 : calculee restituee primrest = 0 base : "total INR RDS susceptible annulation par TL code " ;
INCRD_TL_242 : calculee restituee primrest = 0 base : "total INR RDS susceptible annulation par TL code " ;
INCRSE1_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE1_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE1_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE1_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE1_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE1_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE1_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE1_TL_222 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE1_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE1_TL_242 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE2_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE2_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE2_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE2_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE2_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE2_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE2_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE2_TL_222 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE2_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE2_TL_242 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE3_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE3_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE3_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE3_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE3_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE3_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE3_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE3_TL_222 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE3_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE3_TL_242 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE4_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE4_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE4_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE4_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE4_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE4_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE4_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE4_TL_222 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE4_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE4_TL_242 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE5_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE5_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE5_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE5_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE5_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE5_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE5_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE5_TL_222 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE5_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE5_TL_242 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE6_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE6_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE6_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE6_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE6_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE6_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE6_TL_2 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE6_TL_22 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE6_TL_222 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE6_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE6_TL_242 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE8_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD rev source etrang TL APPLIQUEE (en cumul)" ;
INCRSE8_NET2 : calculee primrest = 0 base : "interet de retard  TL appliquee (en cumul)" ;
INCRSE8_NET_A : calculee primrest = 0 base : "interet retard n-1" ;
INCRSE8_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE8_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCRSE8_TL_1 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code 22" ;
INCRSE8_TL_222 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE8_TL_24 : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCRSE8_TL_242 : calculee primrest = 0 base : "total INR  susceptible annulation par TL code " ;
INCS_TL : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL" ;
INCS_TL2 : calculee primrest = 0 base : "total INR CS susceptible annulation par TL" ;
INCS_TL_1 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code 22" ;
INCS_TL_22 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCS_TL_222 : calculee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCS_TL_24 : calculee restituee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCS_TL_242 : calculee primrest = 0 base : "total INR CS susceptible annulation par TL code " ;
INCTAXA_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD TAXAGA TL APPLIQUEE (en cumul)" ;
INCTAXA_NET2 : calculee primrest = 0 base : " INTERETS DE RETARD TAXAGA TL APPLIQUEE (en cumul)" ;
INCTAXA_NET_A : calculee primrest = 0 base : "interet de retard taxe assur n-1" ;
INCTAXA_TL : calculee restituee primrest = 0 base : "Total INR taxe assur succeptibles d'etre annules par la TL (en cumul)" ;
INCTAXA_TL2 : calculee primrest = 0 base : "Total INR taxe assur succeptibles d'etre annules par la TL (en cumul)" ;
INCTAXA_TL_1 : calculee restituee primrest = 0 base : "Total INR taxe assur succeptibles annules par la TL (cumul) code 22" ;
INCTAXA_TL_22 : calculee restituee primrest = 0 base : "Total INR taxe assur succeptibles annules par la TL (cumul) code " ;
INCTAXA_TL_222 : calculee primrest = 0 base : "Total INR taxe assur succeptibles annules par la TL (cumul) code " ;
INCTAXA_TL_24 : calculee restituee primrest = 0 base : "Total INR taxe assur succeptibles annules par la TL (cumul) code " ;
INCTAXA_TL_242 : calculee primrest = 0 base : "Total INR taxe assur succeptibles annules par la TL (cumul) code " ;
INCTOTCS : calculee restituee primrest = 1 base : "montant total interets retard IR CS avis facture" ;
INCTOTIR : calculee restituee primrest = 1 base : "montant total interets retard IR CS avis facture" ;
INCVN_TL : calculee restituee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCVN_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INCVN_TL_1 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INCVN_TL_22 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code" ;
INCVN_TL_222 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code" ;
INCVN_TL_24 : calculee restituee primrest = 0 base : "total INR IR susceptible annulation par TL code" ;
INCVN_TL_242 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code" ;
IND08 : calculee restituee primrest = 0 : "Indicateur contribuable Seuil 8 e" ;
IND12 : calculee restituee primrest = 1 : "Indicateur contribuable Seuil 12" ;
IND61IR : calculee restituee primrest = 1 : "Indicateur contribuable non mis en recouvrement Seuil 61 IR" ;
IND61PS : calculee restituee primrest = 1 : "Indicateur contribuable non mis en recouvrement Seuil 61 PS" ;
IND8XRAUTO : calculee restituee primrest = 1 : "Indicateur calcul automatique 8XR" ;
IND8ZK : calculee restituee primrest = 1 : "indicateur 8ZK N" ;
IND9HI0 : calculee restituee primrest = 0 : "indicateur Iliad Contentieux 9HI mis a zero" ;
INDACOINR_A : calculee primrest = 0 base : "indicateur acompte inr n-1" ;
INDACPAS : calculee restituee primrest = 1 : "Indicateur codes pour acompte PAS" ;
INDBICTAUX : calculee restituee primrest = 1 : "Indicateur BIC PAS conforme" ;
INDBNCTAUX : calculee restituee primrest = 1 : "Indicateur BNC PAS conforme" ;
INDC : calculee restituee primrest = 0 : "Indicateur d'existence de revenu CONJOINT" ;
INDCEX : calculee restituee primrest = 1 : "Indicateur Brav pour restit non imp presqu imposable et autre " ;
INDCEXIFI : calculee restituee primrest = 1 base : "Indicateur IFI" ;
INDCODCO : calculee restituee primrest = 1 base : "Flag absence code COx en premier traiement penalise" ;
INDCODDAJ : calculee primrest = 0 : "Indicateur d'existence de revenu declare salaire DOM pour prorata" ;
INDCODIFI : calculee primrest = 0 : "Indicateur codes IFI" ;
INDCOL : calculee restituee primrest = 1 : "Indicateur avis CSG ligne total net" ;
INDCOLSOL : calculee restituee primrest = 0 : "Indicateur avis CSG (colonne Prel Sol 2 %) ligne total net" ;
INDCOLVN : calculee restituee primrest = 1 : "Indicateur avis CSG (colonne Contrib.sal. 10 %) ligne total net" ;
INDCSG820 : calculee restituee primrest = 1 : "Indicateur CSG 8,2 % ligne total net" ;
INDCT : calculee primrest = 0 : "indicateur Contentieux" ;
INDCTX : calculee restituee primrest = 1 : "indicateur Iliad Contentieux" ;
INDCTX23 : calculee restituee primrest = 0 : "indicateur Iliad Contentieux pour ISF dans regles isf" ;
INDDEFICIT : calculee restituee primrest = 0 : "zone pour iliad pour indiquer presence deficit" ;
INDDG : calculee primrest = 0 : "Indicateur deficit global" ;
INDECS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 13 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TW : "Indemnites journalieres soumises a la CSG au taux de 6,2 %" ;
INDEFCAP : calculee restituee primrest = 1 : "Variable CAP Part pour indiquer presence deficit " ;
INDEFTS1 : calculee restituee primrest = 0 : "indicateur deficit TS frais reel sup declare TS" ;
INDEFTS2 : calculee restituee primrest = 0 : "indicateur deficit TS frais reel sup declare TS" ;
INDEFTS3 : calculee restituee primrest = 0 : "indicateur deficit TS frais reel sup declare TS" ;
INDEFTS4 : calculee restituee primrest = 0 : "indicateur deficit TS frais reel sup declare TS" ;
INDEFTSC : calculee restituee primrest = 0 : "indicateur deficit TS frais reel sup declare TS" ;
INDEFTSV : calculee restituee primrest = 0 : "indicateur deficit TS frais reel sup declare TS" ;
INDESSOC : calculee restituee primrest = 0 base : "Condition annulation taux foyer" ;
INDFLAGCC820 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCCDIS : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCCHR : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCCSG : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCCVN : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCGLO : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCIFI : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCIR : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCPCAP : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCPSOL : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRDS : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE1 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE2 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE3 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE4 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE5 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE6 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCRSE8 : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDFLAGCTAXA : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
INDGARD : calculee restituee primrest = 1 : "Indicateur de plafonnement de frais de garde (AGARD)" ;
INDGLOA : calculee restituee primrest = 1 : "Indicateur gains levee options 7,5 % ligne total net" ;
INDIAMD1 : calculee restituee primrest = 1 : "Indicateur remise a 0 IR" ;
INDIMPOS : calculee restituee primrest = 1 : "indicateur Iliad restitution" ;
INDIRN1 : calculee restituee primrest = 1 : "Indicateur nature imposition totale pour PAS" ;
INDIRPS : calculee restituee primrest = 1 : "Indicateur nature imposition (IR, PS, IR + PS)" ;
INDIRRAS : calculee restituee primrest = 1 base : "Indicateur affichage RAS ou acomptes payé en 2019 pour le BRAV" ;
INDIS : calculee restituee primrest = 1 : "indicateur Iliad imposition supplementaire" ;
INDIS26 : calculee restituee primrest = 0 : "indicateur Iliad imposition supplementaire ISF a partir rang 26" ;
INDJNONIMPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ZZB : "Indemnites journalieres non imposables - Declarant 2 " type REEL ;
INDJNONIMPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ZZA : "Indemnites journalieres non imposables - Declarant 1 " type REEL ;
INDM13 : calculee restituee primrest = 0 : "zone pour iliad compris entre 4400 et 10000. M13" ;
INDM14 : calculee restituee primrest = 1 : "zone pour iliad pour inf. M14" ;
INDM15 : calculee restituee primrest = 1 : "zone pour iliad pour inf. M15" ;
INDMAJREV : calculee restituee primrest = 0 : "indicateur codes major?s de 1,25" ;
INDNAPCR : calculee restituee primrest = 1 : "Indicateur remise a 0 PS" ;
INDNCTAZ : calculee restituee primrest = 1 : "Indicateur affichage taux foyer (cas particuliers)" ;
INDNIRI : calculee primrest = 0 : "Indicateur impot = 0 apres reduction d impot" ;
INDNMR : calculee restituee primrest = 1 : "Indicateur contribuable non mis en recouvrement" ;
INDNMR1 : calculee primrest = 0 : "Indicateur contribuable NMR car IR < seuil perception" ;
INDNMR2 : calculee primrest = 0 : "Indicateur contribuable NMR car NAP < seuil recouvrement CP" ;
INDNMRI : calculee primrest = 0 : "Indicateur contribuable non mis en recouvrement suite a reduction" ;
INDNOVACPT : calculee restituee primrest = 1 : "Indicateur premier paiement acompte" ;
INDP : calculee primrest = 0 : "Indicateur d'existence de revenu P.A.C" ;
INDPAS : calculee restituee primrest = 1 : "Indicateur codes revenus dans le champ du PAS" ;
INDPASC : calculee primrest = 0 : "Indicateur codes revenus dans le champ du PAS - Dec 2" ;
INDPASF : calculee primrest = 0 : "Indicateur codes revenus dans le champ du PAS - Foyer" ;
INDPASMIN : calculee primrest = 0 : "Indicateur application taux minimum pour PAS" ;
INDPASP : calculee primrest = 0 : "Indicateur codes revenus dans le champ du PAS - PAC" ;
INDPASV : calculee primrest = 0 : "Indicateur codes revenus dans le champ du PAS - Dec 1" ;
INDPL : calculee primrest = 0 : "Indicateur de plafonnement du QF limite (PLAF_CDPART)" ;
INDPLAF : calculee primrest = 0 : "Indicateur montant total investissements outre mer plafond" ;
INDPLAF1 : calculee primrest = 0 : "Indicateur montant total invest. outre mer plafond (taux 15 %)" ;
INDPLAF2 : calculee primrest = 0 : "Indicateur montant total invest. outre mer plafond (taux 13 %)" ;
INDPLAF3 : calculee primrest = 0 : "Indicateur montant total invest. outre mer plafond (taux 11 %)" ;
INDPVSURSI : saisie revenu classe = 0 priorite = 42 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3WY : "Code X. Plus-values exit tax (sursis ou non): montant > 10 chiffres" type BOOLEEN ;
INDRCMDEF : calculee primrest = 0 base : "indicateur  2CA sup au net RCM ordi et quot." ;
INDRCMDEFQ : calculee primrest = 0 base : "indicateur  1 si RCM quot net sup quote part 2CA sur quotient" ;
INDRES : calculee restituee primrest = 0 base : "Condition de ressources CIDEVDUR" ;
INDRESTIT : calculee restituee primrest = 0 : "indicateur Iliad restitution" ;
INDREV1A8 : calculee restituee primrest = 0 : "Indicateur d'existence de revenu declare du point 1 a 8" ;
INDREV1A8BIS : calculee restituee primrest = 0 : "Indicateur d'existence de revenu declare du point 1 a 8 pour ano982" ;
INDRFR : calculee restituee primrest = 0 : "Indicateur RFR pour obligation declaration en ligne" ;
INDRSE1 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 7,5 %) ligne total net" ;
INDRSE2 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 6,6 %) ligne total net" ;
INDRSE3 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 6,2 %) ligne total net" ;
INDRSE4 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 3,8 %) ligne total net" ;
INDRSE5 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 7,5 %) ligne total net" ;
INDRSE6 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 7,5 %) ligne total net" ;
INDRSE8 : calculee restituee primrest = 1 : "Indicateur avis CSG (rev. source etrang. 6,6 %) ligne total net" ;
INDSALEMP : calculee restituee primrest = 1 : "Indicateur salaries employeurs particuliers" ;
INDSEUIL12 : calculee primrest = 0 : "Indicateur contribuable Seuil 12 e" ;
INDSEUIL12IR : calculee primrest = 0 : "Indicateur contribuable Seuil 12 e" ;
INDSEUIL61 : calculee primrest = 0 : "Indicateur contribuable Seuil 61 e" ;
INDSEUILBA : calculee restituee primrest = 0 base : "ind seuil ba" ;
INDSEUILBA1731 : calculee restituee primrest = 0 base : "ind seuil ba hors 1731" ;
INDT : calculee restituee primrest = 1 : "indicateur avis CSG ligne total net ou degrevement" ;
INDTAZ : calculee restituee primrest = 1 : "Condition annulation taux foyer" ;
INDTD : calculee restituee primrest = 0 : "indicateur avis CSG ligne total net ou degrevement" ;
INDTEFF : calculee primrest = 0 : "Indicateur d'existence de revenu pour tx eff automatique" ;
INDTEFFPAS : calculee primrest = 0 : "Indicateur codes revenus taux effectif PAS" ;
INDTELEIR : calculee restituee primrest = 0 : "Indicateur d'existence de revenu declare pour TELEIR sf rfrn-" ;
INDTOTCR : calculee restituee primrest = 1 : "Indicateur remise a 0 PS" ;
INDTRAIT : calculee restituee primrest = 0 : "Indicateur ligne continue avis CSG" ;
INDTXMIN : calculee restituee primrest = 0 : "Indicateur de taux minimum" ;
INDTXMOY : calculee restituee primrest = 0 : "Indicateur de taux moyen" ;
INDV : calculee restituee primrest = 0 : "Indicateur d'existence de revenu VOUS" ;
IND_101 : calculee restituee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
IND_102 : calculee restituee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
IND_103 : calculee restituee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
IND_104 : calculee restituee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
IND_10C : calculee restituee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
IND_10MIN_01 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_10MIN_02 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_10MIN_03 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_10MIN_04 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_10MIN_0C : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_10MIN_0V : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_10P : calculee primrest = 0 : "Indicateur d'affichage deduction 10% PAC pour CSYND" ;
IND_10V : calculee restituee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
IND_APB1 : calculee primrest = 0 : "booleen application deduction minimale pensions" ;
IND_APB2 : calculee primrest = 0 : "booleen application deduction minimale pensions" ;
IND_APB3 : calculee primrest = 0 : "booleen application deduction minimale pensions" ;
IND_APB4 : calculee primrest = 0 : "booleen application deduction minimale pensions" ;
IND_APBC : calculee primrest = 0 : "booleen application deduction minimale pensions" ;
IND_APBV : calculee primrest = 0 : "booleen application deduction minimale pensions" ;
IND_BTANC : calculee primrest = 0 : "indicateur simulation BTANC" ;
IND_COLC : calculee restituee primrest = 0 : "indicateur avis CSG (presence colonne CSG) ligne total net" ;
IND_COLD : calculee restituee primrest = 1 : "indicateur avis CSG (Contrib. social sal.) ligne total net" ;
IND_COLR : calculee restituee primrest = 1 : "indicateur avis CSG (presence colonne RDS) ligne total net" ;
IND_CTXC : calculee restituee primrest = 0 : "indicateur Iliad Contentieux" ;
IND_CTXD : calculee restituee primrest = 0 : "indicateur iliad ctx (contribution sociale salariale)" ;
IND_CTXP : calculee restituee primrest = 0 : "indicateur iliad ctx" ;
IND_CTXR : calculee restituee primrest = 0 : "indicateur iliad ctx" ;
IND_IMP : calculee primrest = 0 : "Indicateur contribuable imposable" ;
IND_IRINF80 : calculee primrest = 0 : "indicateur IR seul inferieur au seuil de 80F" ;
IND_IRNMR : calculee primrest = 0 : "indicateur IR seul NMR avis facture" ;
IND_MIN1 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_MIN2 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_MIN3 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_MIN4 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_MINC : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_MINV : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A." ;
IND_NI : calculee primrest = 0 : "Indicateur contribuable non imposable" ;
IND_NIRED : calculee primrest = 0 : "indicateur IR nul apres reductions d impot avis facture" ;
IND_PASSAGE : calculee primrest = 0 : "indicateur numero de passage" ;
IND_PASSAGEISF : calculee primrest = 0 : "indicateur numero de passage" ;
IND_PASSAGEISF_A : calculee primrest = 0 base : "indicateur numero de passage" ;
IND_PASSAGE_A : calculee primrest = 0 base : "indicateur numero de passage" ;
IND_PASSR9901 : calculee primrest = 0 : "indicateur numero de passage pr r99 et r01" ;
IND_PASSR9901ISF : calculee primrest = 0 : "indicateur numero de passage pr r99 et r01" ;
IND_PASSR9901ISF_A : calculee primrest = 0 base : "indicateur numero de passage" ;
IND_PASSR9901_A : calculee primrest = 0 base : "indicateur numero de passage" ;
IND_REST : calculee restituee primrest = 0 : "Indicateur restituable" ;
IND_REST50 : calculee primrest = 0 : "Indicateur d'affichage IR_SERVICE" ;
IND_REV : calculee primrest = 0 : "Indicateur d'existence de revenu declare" ;
IND_RJLJ : saisie penalite primrest = 0 alias V_IND_RJLJ : " nouv cor:indicateur redressement judiciaire" ;
IND_SPR : calculee primrest = 0 : "Indicateur d'existence de salaire pension rente declares" ;
IND_TDR : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZK : "Revenus nets frontaliers et fonctionnaires internationaux" ;
IND_TL : saisie penalite primrest = 0 alias V_IND_TL : "nouv cor: indicateur d exoneration possible par la TL" ;
IND_TL_MF : saisie penalite primrest = 0 alias V_IND_TL_MF : "nouv cor: booleen: vaut 1 si mauvaise foi" ;
IND_ZIGPROF : calculee primrest = 0 : "avis csg Revenus professionnels non salaries" ;
IND_ZIGRCM : calculee primrest = 0 : "avis csg RCM" ;
IND_ZIGREVORIGIND : calculee primrest = 0 : "avis csg :indicateur de presence :revenus origine indertminee" ;
IND_ZIGRFG : calculee primrest = 0 : "avis csg Revenus forfait" ;
IND_ZIGRTF : calculee primrest = 0 : "avis csg :indicateur de presence :taux forfaitaire" ;
INE : calculee restituee primrest = 1 : "Imputations non restituables" ;
INEAF : calculee primrest = 0 : "Imputations non restituables AF" ;
INETABADAJ1 : calculee primrest = 0 : "Impot proportionnel dom" ;
INETABADAJ4 : calculee primrest = 0 : "Impot proportionnel dom" ;
INETABADAJ6 : calculee primrest = 0 : "Impot proportionnel dom" ;
INETABAEAJ1 : calculee primrest = 0 : "Impot proportionnel dom" ;
INETABAEAJ4 : calculee primrest = 0 : "Impot proportionnel dom" ;
INETABAEAJ6 : calculee primrest = 0 : "Impot proportionnel dom" ;
INGLO_TL : calculee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INGLO_TL2 : calculee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INGLO_TL_1 : calculee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INGLO_TL_222 : calculee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INGLO_TL_24 : calculee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INGLO_TL_242 : calculee primrest = 0 base : "total INR glo susceptible annulation par TL" ;
INIFI_TL : calculee primrest = 0 base : "total INR IR susceptible annulation par TL" ;
INIFI_TL2 : calculee primrest = 0 base : "total INR IFI susceptible annulation par TL" ;
INIFI_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL" ;
INIFI_TL_22 : calculee primrest = 0 base : "total INR IFI susceptible annulation par TL code 22" ;
INIFI_TL_222 : calculee primrest = 0 base : "total INR IFI susceptible annulation par TL code 22" ;
INIFI_TL_24 : calculee primrest = 0 base : "total INR IFI susceptible annulation par TL code 22" ;
INIFI_TL_242 : calculee primrest = 0 base : "total INR IFI susceptible annulation par TL code 22" ;
INIR_TL : calculee primrest = 0 base : "total INR IR susceptible annulation par TL" ;
INIR_TL2 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL" ;
INIR_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INIR_TL_222 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INIR_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INIR_TL_242 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INPCAP_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INPCAP_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INPCAP_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INPCAP_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INPCAP_TL_24 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INPCAP_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INPSOL_TL : calculee primrest = 0 : "total INR PSol susceptible annulation par TL" ;
INPSOL_TL2 : calculee primrest = 0 : "total INR PSol susceptible annulation par TL" ;
INPSOL_TL_1 : calculee primrest = 0 : "total INR PSol susceptible annulation par TL code 22" ;
INPSOL_TL_222 : calculee primrest = 0 : "total INR PSol susceptible annulation par TL" ;
INPSOL_TL_24 : calculee primrest = 0 : "total INR PSol susceptible annulation par TL" ;
INPSOL_TL_242 : calculee primrest = 0 : "total INR PSol susceptible annulation par TL" ;
INRC820_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD contrib. sal. TL appliquee" ;
INRC820_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRC820_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRC820_NET2 : calculee primrest = 0 : " INTERETS DE RETARD contrib. sal. TL appliquee" ;
INRC820_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRC820_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRC820_NET_1 : calculee restituee primrest = 0 base : " INTERETS DE RETARD contrib. sal  8.2 TL appliquee code 22" ;
INRC820_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRC820_NET_222 : calculee primrest = 0 base : " INTERETS DE RETARD contrib. sal.  TL appliquee code 22" ;
INRC820_NET_24 : calculee primrest = 0 base : " INTERETS DE RETARD contrib. sal.  TL appliquee code 22" ;
INRC820_NET_242 : calculee primrest = 0 base : " INTERETS DE RETARD contrib. sal.  TL appliquee code 22" ;
INRC820_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRC820_NTL : calculee primrest = 0 base : "MONTANT contrib. sal. des INR retard non TL" ;
INRC820_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRC820_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code 22" ;
INRC820_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code 22" ;
INRC820_NTLDEC : calculee primrest = 0 base : "MONTANT csal des INR retard non TL traitement courant" ;
INRC820_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRC820_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRC820_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRC820_NTLDEC_22 : calculee primrest = 0 base : "MONTANT cdis des INR retard non TL traitement courant code 22" ;
INRC820_NTLDEC_24 : calculee primrest = 0 base : "MONTANT cdis des INR retard non TL traitement courant code 22" ;
INRC820_NTL_22 : calculee primrest = 0 base : "MONTANT csal des INR retard non TL" ;
INRC820_NTL_22_A : calculee primrest = 0 base : "interet de retard csal NTL evt n-1" ;
INRC820_NTL_24 : calculee primrest = 0 base : "MONTANT csal des INR retard non TL" ;
INRC820_NTL_24_A : calculee primrest = 0 base : "interet de retard csal NTL evt n-1" ;
INRC820_NTL_A : calculee primrest = 0 base : "interet de retard cdis  NTL evt n-1" ;
INRC820_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRC820_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRC820_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRC820_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRC820_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRC820_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRC820_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRC820_RETDEF : calculee primrest = 0 base : "MONTANT contrib. soc sal. des INR retard pour retard ou defaut 2042" ;
INRC820_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT contrib.sal.  n-1" ;
INRC820_TLA : calculee primrest = 0 : "interet de retard : calcul de la TL: cdis" ;
INRC820_TLACQ : calculee primrest = 0 : "interet de retard new cdis tl avant application de la TL" ;
INRC820_TLACQ_1 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRC820_TLACQ_22 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRC820_TLACQ_24 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRC820_TLADEC : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent" ;
INRC820_TLADEC_22 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRC820_TLADEC_222 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRC820_TLADEC_24 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRC820_TLADEC_242 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRC820_TLA_22 : calculee primrest = 0 : "interet de retard : calcul de la TL: csal code 22" ;
INRC820_TLA_24 : calculee primrest = 0 : "interet de retard : calcul de la TL: csal code 22" ;
INRC820_TLDEC : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent" ;
INRC820_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRC820_TLDEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRC820_TLDEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRC820_TL_22_A : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRC820_TL_22_AD : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRC820_TL_24_A : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRC820_TL_24_AD : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRC820_TL_A : calculee primrest = 0 base : "interet de retard cdis TL evt n-1" ;
INRC820_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCDIS_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD contrib. sal. TL appliquee" ;
INRCDIS_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCDIS_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCDIS_NET2 : calculee primrest = 0 : " INTERETS DE RETARD contrib. sal. TL appliquee" ;
INRCDIS_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCDIS_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRCDIS_NET_1 : calculee restituee primrest = 0 base : " INTERETS DE RETARD contrib. sal  TL appliquee code 22" ;
INRCDIS_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRCDIS_NET_222 : calculee primrest = 0 base : " INTERETS DE RETARD contrib. sal.  TL appliquee code 22" ;
INRCDIS_NET_24 : calculee primrest = 0 base : " INTERETS DE RETARD contrib. sal.  TL appliquee code 22" ;
INRCDIS_NET_242 : calculee primrest = 0 base : " INTERETS DE RETARD contrib. sal.  TL appliquee code 22" ;
INRCDIS_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRCDIS_NTL : calculee primrest = 0 base : "MONTANT contrib. sal. des INR retard non TL" ;
INRCDIS_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRCDIS_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code 22" ;
INRCDIS_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code 22" ;
INRCDIS_NTLDEC : calculee primrest = 0 base : "MONTANT csal des INR retard non TL traitement courant" ;
INRCDIS_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCDIS_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCDIS_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCDIS_NTLDEC_22 : calculee primrest = 0 base : "MONTANT cdis des INR retard non TL traitement courant code 22" ;
INRCDIS_NTLDEC_24 : calculee primrest = 0 base : "MONTANT cdis des INR retard non TL traitement courant code 22" ;
INRCDIS_NTL_22 : calculee primrest = 0 base : "MONTANT csal des INR retard non TL" ;
INRCDIS_NTL_22_A : calculee primrest = 0 base : "interet de retard csal NTL evt n-1" ;
INRCDIS_NTL_24 : calculee primrest = 0 base : "MONTANT csal des INR retard non TL" ;
INRCDIS_NTL_24_A : calculee primrest = 0 base : "interet de retard csal NTL evt n-1" ;
INRCDIS_NTL_A : calculee primrest = 0 base : "interet de retard cdis  NTL evt n-1" ;
INRCDIS_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCDIS_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCDIS_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCDIS_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRCDIS_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRCDIS_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRCDIS_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRCDIS_RETDEF : calculee primrest = 0 base : "MONTANT contrib. soc sal. des INR retard pour retard ou defaut 2042" ;
INRCDIS_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT contrib.sal.  n-1" ;
INRCDIS_TLA : calculee primrest = 0 : "interet de retard : calcul de la TL: cdis" ;
INRCDIS_TLACQ : calculee primrest = 0 : "interet de retard new cdis tl avant application de la TL" ;
INRCDIS_TLACQ_1 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRCDIS_TLACQ_22 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRCDIS_TLACQ_24 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRCDIS_TLADEC : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent" ;
INRCDIS_TLADEC_22 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRCDIS_TLADEC_222 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRCDIS_TLADEC_24 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRCDIS_TLADEC_242 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code 22" ;
INRCDIS_TLA_22 : calculee primrest = 0 : "interet de retard : calcul de la TL: csal code 22" ;
INRCDIS_TLA_24 : calculee primrest = 0 : "interet de retard : calcul de la TL: csal code 22" ;
INRCDIS_TLDEC : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent" ;
INRCDIS_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRCDIS_TLDEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRCDIS_TLDEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRCDIS_TL_22_A : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRCDIS_TL_22_AD : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRCDIS_TL_24_A : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRCDIS_TL_24_AD : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code 22" ;
INRCDIS_TL_A : calculee primrest = 0 base : "interet de retard cdis TL evt n-1" ;
INRCDIS_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCEF_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL " ;
INRCEF_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code22" ;
INRCHR_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRCHR_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCHR_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCHR_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRCHR_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCHR_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRCHR_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRCHR_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRCHR_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRCHR_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRCHR_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRCHR_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRCHR_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRCHR_NTL10 : calculee primrest = 0 base : "MONTANT  des INR retard non TL cat TL 10" ;
INRCHR_NTL10_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL cat TL 10 code 22" ;
INRCHR_NTL10_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL cat TL 10 code 22" ;
INRCHR_NTL15 : calculee primrest = 0 base : "MONTANT  des INR retard  NTL cat TL 15 " ;
INRCHR_NTL15_22 : calculee primrest = 0 base : "MONTANT  des INR retard  NTL cat TL 15  code 22" ;
INRCHR_NTL15_24 : calculee primrest = 0 base : "MONTANT  des INR retard  NTL cat TL 15  code 22" ;
INRCHR_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRCHR_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRCHR_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRCHR_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRCHR_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCHR_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRCHR_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRCHR_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRCHR_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRCHR_NTLPROV : calculee primrest = 0 base : "MONTANT  des INR retard non TL cat TL 10 et 15 " ;
INRCHR_NTLPROV_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL cat TL 10 et 15  code 22" ;
INRCHR_NTLPROV_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL cat TL 10 et 15  code 22" ;
INRCHR_NTL_22 : calculee primrest = 0 base : "MONTANT chr des INR retard non TL code 22" ;
INRCHR_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRCHR_NTL_24 : calculee primrest = 0 base : "MONTANT chr des INR retard non TL code 22" ;
INRCHR_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRCHR_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRCHR_R9901 : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRCHR_R9901A : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRCHR_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRCHR_R99R : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCHR_R99RA : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee n-1" ;
INRCHR_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRCHR_RECT : calculee primrest = 0 base : "MONTANT  des INR retard  rectif" ;
INRCHR_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRCHR_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRCHR_TL15 : calculee primrest = 0 base : "MONTANT  des INR retard  TL cat TL 15 " ;
INRCHR_TL15_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL cat TL 15  code 22" ;
INRCHR_TL15_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL cat TL 15  code 22" ;
INRCHR_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRCHR_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCHR_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCHR_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCHR_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCHR_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRCHR_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRCHR_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRCHR_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRCHR_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRCHR_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRCHR_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRCHR_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRCHR_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRCHR_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRCHR_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRCHR_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCHR_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCHR_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCHR_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCHR_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCHR_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCRDS_NTL : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL" ;
INRCRDS_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRCRDS_NTLADEC_22 : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL decla." ;
INRCRDS_NTLADEC_24 : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL decla." ;
INRCRDS_NTLDEC : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL traitement courant" ;
INRCRDS_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCRDS_NTLDECD_22 : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant def" ;
INRCRDS_NTLDECD_24 : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant def" ;
INRCRDS_NTLDEC_22 : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL decla." ;
INRCRDS_NTLDEC_24 : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL decla." ;
INRCRDS_NTL_22 : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL code 22" ;
INRCRDS_NTL_22_A : calculee primrest = 0 base : "MONTANT CRDS des INR retard  NTL code 22 antirieur" ;
INRCRDS_NTL_24 : calculee primrest = 0 base : "MONTANT CRDS des INR retard non TL code 22" ;
INRCRDS_NTL_24_A : calculee primrest = 0 base : "MONTANT CRDS des INR retard  NTL code 22 antirieur" ;
INRCRDS_NTL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCRDS_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCRDS_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCRDS_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCRDS_R99R : calculee primrest = 0 base : "MONTANT CRDS des INR retard  rectif code 99 prim. penalisee" ;
INRCRDS_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRCRDS_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRCRDS_RECT : calculee primrest = 0 base : "MONTANT CRDS des INR retard  rectif" ;
INRCRDS_RETDEF : calculee primrest = 0 base : "MONTANT CRDS des INR retard pour retard ou defaut 2042" ;
INRCRDS_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRCRDS_TLA : calculee primrest = 0 base : "MONTANT TL CRDS des INR retard traitement courant" ;
INRCRDS_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCRDS_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRCRDS_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRCRDS_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRCRDS_TLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRCRDS_TLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCRDS_TLADEC_222 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCRDS_TLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCRDS_TLADEC_242 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCRDS_TLA_22 : calculee primrest = 0 base : "MONTANT TL CRDS des INR retard traitement courant code 22" ;
INRCRDS_TLA_24 : calculee primrest = 0 base : "MONTANT TL CRDS des INR retard traitement courant code 22" ;
INRCRDS_TLDEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRCRDS_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRCRDS_TLDEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCRDS_TLDEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCRDS_TL_22_A : calculee primrest = 0 base : "MONTANT CRDS des INR retard  TL code 22 anterieur" ;
INRCRDS_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCRDS_TL_24_A : calculee primrest = 0 base : "MONTANT CRDS des INR retard  TL code 22 anterieur" ;
INRCRDS_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCRDS_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCRDS_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCSAL_TLACQ : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL" ;
INRCSAL_TLACQ_1 : calculee primrest = 0 : "interet de retard new csal tl avant application de la TL reduit" ;
INRCSG_NET : calculee restituee primrest = 0 base : "INR CSG TL appliquee" ;
INRCSG_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCSG_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCSG_NET2 : calculee primrest = 0 : "INR CSG TL appliquee" ;
INRCSG_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRCSG_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRCSG_NET_1 : calculee restituee primrest = 0 base : "INR CSG appliquee code 22" ;
INRCSG_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRCSG_NET_222 : calculee primrest = 0 base : "INR CSG appliquee code 22" ;
INRCSG_NET_24 : calculee primrest = 0 base : "INR CSG appliquee code 22" ;
INRCSG_NET_242 : calculee primrest = 0 base : "INR CSG appliquee code 22" ;
INRCSG_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRCSG_NTL : calculee primrest = 0 base : "MONTANT CSG des INR retard non TL" ;
INRCSG_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRCSG_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code 22" ;
INRCSG_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code 22" ;
INRCSG_NTLDEC : calculee primrest = 0 base : "MONTANT CSG des INR retard non TL du traitement courant" ;
INRCSG_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCSG_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCSG_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCSG_NTLDEC_22 : calculee primrest = 0 base : "MONTANT CSG des INR retard non TL du traitement courant code 22" ;
INRCSG_NTLDEC_24 : calculee primrest = 0 base : "MONTANT CSG des INR retard non TL du traitement courant code 22" ;
INRCSG_NTL_22 : calculee primrest = 0 base : "MONTANT CSG des INR retard non TL code 22" ;
INRCSG_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRCSG_NTL_24 : calculee primrest = 0 base : "MONTANT CSG des INR retard non TL code 22" ;
INRCSG_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 24" ;
INRCSG_NTL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCSG_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCSG_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCSG_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCSG_R99R : calculee primrest = 0 base : "MONTANT CSG des INR retard  rectif code 99 prim. penalisee" ;
INRCSG_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRCSG_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRCSG_RECT : calculee primrest = 0 base : "MONTANT CSG des INR retard  rectif" ;
INRCSG_RETDEF : calculee primrest = 0 base : "MONTANT CSG des INR retard pour retard ou defaut 2042" ;
INRCSG_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRCSG_TLA : calculee primrest = 0 base : "MONTANT CSG TL des INR retard applique" ;
INRCSG_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCSG_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRCSG_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRCSG_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRCSG_TLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRCSG_TLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCSG_TLADEC_222 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCSG_TLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCSG_TLADEC_242 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCSG_TLA_22 : calculee primrest = 0 base : "MONTANT CSG TL des INR retard applique code 22" ;
INRCSG_TLA_24 : calculee primrest = 0 base : "MONTANT CSG TL des INR retard applique code 22" ;
INRCSG_TLDEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRCSG_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRCSG_TLDEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCSG_TLDEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRCSG_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCSG_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCSG_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCSG_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRCSG_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCSG_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCVN_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRCVN_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRCVN_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRCVN_NET_222 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRCVN_NET_24 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRCVN_NET_242 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRCVN_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRCVN_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRCVN_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRCVN_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRCVN_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRCVN_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCVN_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCVN_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRCVN_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code " ;
INRCVN_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code " ;
INRCVN_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRCVN_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code" ;
INRCVN_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRCVN_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 24" ;
INRCVN_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRCVN_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCVN_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCVN_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRCVN_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRCVN_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRCVN_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRCVN_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRCVN_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRCVN_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRCVN_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRCVN_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCVN_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCVN_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCVN_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRCVN_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRCVN_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code" ;
INRCVN_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code" ;
INRCVN_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code" ;
INRCVN_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code" ;
INRCVN_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRCVN_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRCVN_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRCVN_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRCVN_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code " ;
INRCVN_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code " ;
INRCVN_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRCVN_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRCVN_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRCVN_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRCVN_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRCVN_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRD_TL : calculee primrest = 0 : "total INR RDS susceptible annulation par TL" ;
INRD_TL2 : calculee primrest = 0 : "total INR RDS susceptible annulation par TL" ;
INRD_TL_1 : calculee primrest = 0 : "total INR RDS susceptible annulation par TL code 22" ;
INRD_TL_22 : calculee primrest = 0 : "total INR RDS susceptible annulation par TL code " ;
INRD_TL_222 : calculee primrest = 0 : "total INR RDS susceptible annulation par TL code " ;
INRD_TL_24 : calculee primrest = 0 : "total INR RDS susceptible annulation par TL code " ;
INRD_TL_242 : calculee primrest = 0 : "total INR RDS susceptible annulation par TL code " ;
INRGAIN_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRGAIN_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRGLO_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD GLO TL appliquee" ;
INRGLO_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRGLO_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRGLO_NET2 : calculee primrest = 0 : " INTERETS DE RETARD GLO TL appliquee" ;
INRGLO_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRGLO_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRGLO_NET_1 : calculee restituee primrest = 0 base : " INTERETS DE RETARD GLO TL appliquee code 22" ;
INRGLO_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRGLO_NET_222 : calculee primrest = 0 base : " INTERETS DE RETARD glo  TL appliquee code 22" ;
INRGLO_NET_24 : calculee primrest = 0 base : " INTERETS DE RETARD glo  TL appliquee code 22" ;
INRGLO_NET_242 : calculee primrest = 0 base : " INTERETS DE RETARD glo  TL appliquee code 22" ;
INRGLO_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRGLO_NTL : calculee primrest = 0 base : "MONTANT contrib. sal. des INR retard non TL" ;
INRGLO_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRGLO_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRGLO_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRGLO_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL traitement courant" ;
INRGLO_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRGLO_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRGLO_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRGLO_NTLDEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  non TL traitement precedent code " ;
INRGLO_NTLDEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  non TL traitement precedent code " ;
INRGLO_NTL_22 : calculee primrest = 0 base : "MONTANT csal des INR retard non TL" ;
INRGLO_NTL_22_A : calculee primrest = 0 base : "interet de retard cdis  NTL evt n-1 code " ;
INRGLO_NTL_24 : calculee primrest = 0 base : "MONTANT csal des INR retard non TL" ;
INRGLO_NTL_24_A : calculee primrest = 0 base : "interet de retard cdis  NTL evt n-1 code " ;
INRGLO_NTL_A : calculee primrest = 0 base : "interet de retard cdis  NTL evt n-1" ;
INRGLO_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRGLO_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRGLO_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRGLO_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRGLO_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRGLO_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRGLO_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRGLO_RETDEF : calculee primrest = 0 base : "MONTANT contrib. soc sal. des INR retard pour retard ou defaut 2042" ;
INRGLO_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT contrib.sal.  n-1" ;
INRGLO_TLA : calculee primrest = 0 : "interet retard tl appliquee " ;
INRGLO_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRGLO_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRGLO_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRGLO_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRGLO_TLADEC : calculee primrest = 0 base : "MONTANT GLO des INR retard  TL traitement precedent " ;
INRGLO_TLADEC_22 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code " ;
INRGLO_TLADEC_222 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code" ;
INRGLO_TLADEC_24 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code " ;
INRGLO_TLADEC_242 : calculee primrest = 0 base : "MONTANT csal des INR retard  TL traitement precedent code" ;
INRGLO_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRGLO_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRGLO_TLDEC : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent " ;
INRGLO_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRGLO_TLDEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code " ;
INRGLO_TLDEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code " ;
INRGLO_TL_22_A : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code " ;
INRGLO_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRGLO_TL_24_A : calculee primrest = 0 base : "interet de retard csal TL evt n-1 code " ;
INRGLO_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRGLO_TL_A : calculee primrest = 0 base : "interet de retard cdis  TL evt n-1" ;
INRGLO_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIFI_NET : calculee restituee primrest = 0 base : "INR IFI TL appliquee" ;
INRIFI_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRIFI_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRIFI_NET2 : calculee restituee primrest = 0 base : "INR IFI appliquee de l'evt" ;
INRIFI_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRIFI_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRIFI_NET_1 : calculee restituee primrest = 0 base : "INR IFI TL appliquee" ;
INRIFI_NET_1_A : calculee primrest = 0 base : "MONTANT IFI des INR  penalisee" ;
INRIFI_NET_222 : calculee restituee primrest = 0 base : "INR IFI appliquee de l'evt" ;
INRIFI_NET_24 : calculee restituee primrest = 0 base : "INR IFI appliquee de l'evt" ;
INRIFI_NET_242 : calculee restituee primrest = 0 base : "INR IFI appliquee de l'evt" ;
INRIFI_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRIFI_NTL : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL" ;
INRIFI_NTLADEC : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL" ;
INRIFI_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL code 22" ;
INRIFI_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL code " ;
INRIFI_NTLDEC : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL du traitement courant" ;
INRIFI_NTLDECD : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL du traitement courant" ;
INRIFI_NTLDECD_22 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL du traitement courant code" ;
INRIFI_NTLDECD_24 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL du traitement courant code" ;
INRIFI_NTLDEC_22 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL du traitement courant code" ;
INRIFI_NTLDEC_24 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL du traitement courant code" ;
INRIFI_NTL_22 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL code" ;
INRIFI_NTL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIFI_NTL_24 : calculee primrest = 0 base : "MONTANT IFI des INR retard non TL code" ;
INRIFI_NTL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIFI_NTL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIFI_R9901 : calculee primrest = 0 base : "MONTANT IFI des INR retard  rectif code 99 prim. penalisee n-1" ;
INRIFI_R9901A : calculee primrest = 0 base : "MONTANT IFI des INR retard  rectif code 99 prim. penalisee n-1" ;
INRIFI_R9901_A : calculee primrest = 0 base : "MONTANT IFI des INR retard  rectif code 99 prim. penalisee" ;
INRIFI_R99R : calculee primrest = 0 base : "MONTANT IFI des INR retard  rectif code 99 prim. penalisee n-1" ;
INRIFI_R99RA : calculee primrest = 0 base : "MONTANT IFI des INR retard  rectif code 99 prim. penalisee n-1" ;
INRIFI_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRIFI_RECT : calculee primrest = 0 base : "MONTANT IFI des INR retard  rectif" ;
INRIFI_RETDEF : calculee primrest = 0 base : "MONTANT IR des INR retard pour retard ou defaut 2042" ;
INRIFI_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRIFI_TLA : calculee primrest = 0 base : "MONTANT IFI TL des INR retard applique" ;
INRIFI_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRIFI_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRIFI_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code" ;
INRIFI_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code" ;
INRIFI_TLADEC : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent" ;
INRIFI_TLADEC_22 : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent code" ;
INRIFI_TLADEC_222 : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent code" ;
INRIFI_TLADEC_24 : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent code" ;
INRIFI_TLADEC_242 : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent code" ;
INRIFI_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRIFI_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRIFI_TLDEC : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent" ;
INRIFI_TLDECD : calculee primrest = 0 base : "MONTANT IFI des INR retard TL du traitement courant " ;
INRIFI_TLDEC_22 : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent code " ;
INRIFI_TLDEC_24 : calculee primrest = 0 base : "MONTANT IFI des INR retard  TL traitement precedent code " ;
INRIFI_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIFI_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIFI_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIFI_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIFI_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIFI_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIR_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRIR_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRIR_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRIR_NET2 : calculee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRIR_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRIR_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRIR_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRIR_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRIR_NET_222 : calculee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRIR_NET_242 : calculee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRIR_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRIR_NTL : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRIR_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRIR_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRIR_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRIR_NTLDEC : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant" ;
INRIR_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRIR_NTLDECD_22 : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant def " ;
INRIR_NTLDECD_24 : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant def " ;
INRIR_NTLDEC_22 : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant code " ;
INRIR_NTLDEC_24 : calculee primrest = 0 base : "MONTANT IR des INR non TL du traitement courant code " ;
INRIR_NTL_2 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRIR_NTL_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRIR_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code " ;
INRIR_NTL_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRIR_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code " ;
INRIR_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRIR_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRIR_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRIR_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRIR_R99R : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRIR_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRIR_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRIR_RECT : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif" ;
INRIR_RECT_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIR_RETDEF : calculee primrest = 0 base : "MONTANT IR des INR retard pour retard ou defaut 2042" ;
INRIR_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRIR_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRIR_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRIR_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code22" ;
INRIR_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code" ;
INRIR_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code" ;
INRIR_TLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRIR_TLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code " ;
INRIR_TLADEC_222 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code " ;
INRIR_TLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code " ;
INRIR_TLADEC_242 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code " ;
INRIR_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRIR_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRIR_TLDEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRIR_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRIR_TLDEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code " ;
INRIR_TLDEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code " ;
INRIR_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIR_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIR_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIR_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRIR_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRIR_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRISF_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code22" ;
INRLOY_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRLOY_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRLOY_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRLOY_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPCAP_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRPCAP_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRPCAP_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRPCAP_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRPCAP_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRPCAP_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRPCAP_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRPCAP_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRPCAP_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRPCAP_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRPCAP_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRPCAP_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRPCAP_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def " ;
INRPCAP_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def " ;
INRPCAP_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code " ;
INRPCAP_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code " ;
INRPCAP_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRPCAP_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code " ;
INRPCAP_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code " ;
INRPCAP_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code " ;
INRPCAP_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRPCAP_R9901 : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRPCAP_R9901A : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRPCAP_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRPCAP_R99R : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRPCAP_R99RA : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee n-1" ;
INRPCAP_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRPCAP_RECT : calculee primrest = 0 base : "MONTANT  des INR retard  rectif" ;
INRPCAP_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRPCAP_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRPCAP_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRPCAP_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPCAP_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPCAP_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPCAP_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPCAP_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRPCAP_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code" ;
INRPCAP_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code" ;
INRPCAP_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code" ;
INRPCAP_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code" ;
INRPCAP_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRPCAP_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code " ;
INRPCAP_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRPCAP_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRPCAP_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code" ;
INRPCAP_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code" ;
INRPCAP_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRPCAP_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRPCAP_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRPCAP_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRPCAP_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRPCAP_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRPRS_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPRS_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22" ;
INRPRS_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code" ;
INRPRS_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code" ;
INRPSOL_NET : calculee restituee primrest = 0 base : "INR Psol TL appliquee" ;
INRPSOL_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRPSOL_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRPSOL_NET2 : calculee primrest = 0 : "INR Psol TL appliquee" ;
INRPSOL_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRPSOL_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRPSOL_NET_1 : calculee restituee primrest = 0 base : "INR Psol TL appliquee code 22 24" ;
INRPSOL_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRPSOL_NET_222 : calculee primrest = 0 base : "INR Psol  appliquee code 22" ;
INRPSOL_NET_24 : calculee primrest = 0 base : "INR Psol  appliquee code 22" ;
INRPSOL_NET_242 : calculee primrest = 0 base : "INR Psol  appliquee code 22" ;
INRPSOL_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRPSOL_NTL : calculee primrest = 0 base : "MONTANT PRS des INR retard non TL" ;
INRPSOL_NTLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard non TL" ;
INRPSOL_NTLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRPSOL_NTLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard non TL code " ;
INRPSOL_NTLDEC : calculee primrest = 0 base : "MONTANT Psol des INR retard non TL traitement courant" ;
INRPSOL_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRPSOL_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def code" ;
INRPSOL_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def code" ;
INRPSOL_NTLDEC_22 : calculee primrest = 0 base : "MONTANT Psol des INR retard non TL traitement courant code" ;
INRPSOL_NTLDEC_24 : calculee primrest = 0 base : "MONTANT Psol des INR retard non TL traitement courant code" ;
INRPSOL_NTL_22 : calculee primrest = 0 base : "MONTANT PRS des INR retard non TL code" ;
INRPSOL_NTL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRPSOL_NTL_24 : calculee primrest = 0 base : "MONTANT PRS des INR retard non TL code" ;
INRPSOL_NTL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code " ;
INRPSOL_NTL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRPSOL_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRPSOL_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRPSOL_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRPSOL_R99R : calculee primrest = 0 base : "MONTANT Psol des INR retard  rectif code 99 prim. penalisee" ;
INRPSOL_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRPSOL_R99R_A : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRPSOL_RECT : calculee primrest = 0 base : "MONTANT Psol des INR retard  rectif" ;
INRPSOL_RETDEF : calculee primrest = 0 base : "MONTANT PSOL des INR retard pour retard ou defaut 2042" ;
INRPSOL_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRPSOL_TLA : calculee primrest = 0 base : "MONTANT  TL Psol des INR retard traitement courant" ;
INRPSOL_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRPSOL_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22 24" ;
INRPSOL_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22 24" ;
INRPSOL_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL code 22 24" ;
INRPSOL_TLADEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent " ;
INRPSOL_TLADEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRPSOL_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRPSOL_TLADEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRPSOL_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRPSOL_TLA_22 : calculee primrest = 0 base : "MONTANT  TL Psol des INR retard traitement courant code 22" ;
INRPSOL_TLA_24 : calculee primrest = 0 base : "MONTANT  TL Psol des INR retard traitement courant code 22" ;
INRPSOL_TLDEC : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent" ;
INRPSOL_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRPSOL_TLDEC_22 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRPSOL_TLDEC_24 : calculee primrest = 0 base : "MONTANT IR des INR retard  TL traitement precedent code 22" ;
INRPSOL_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRPSOL_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRPSOL_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRPSOL_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRPSOL_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRPSOL_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRDS_NET : calculee restituee primrest = 0 base : "INR RDS TL appliquee" ;
INRRDS_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRDS_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRDS_NET2 : calculee primrest = 0 : "INR RDS TL appliquee" ;
INRRDS_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRDS_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRRDS_NET_1 : calculee restituee primrest = 0 base : "INR RDS appliquee code 22" ;
INRRDS_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRDS_NET_222 : calculee primrest = 0 base : "INR RDS appliquee code 22" ;
INRRDS_NET_24 : calculee primrest = 0 base : "INR CSG appliquee code 22" ;
INRRDS_NET_242 : calculee primrest = 0 base : "INR RDS appliquee code 22" ;
INRRDS_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE1_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE1_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE1_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE1_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE1_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE1_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE1_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE1_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE1_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE1_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE1_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE1_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE1_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE1_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE1_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE1_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE1_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE1_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE1_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE1_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE1_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE1_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE1_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE1_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE1_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE1_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE1_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE1_R9901 : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE1_R9901A : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE1_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE1_R99R : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE1_R99RA : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE1_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE1_RECT : calculee primrest = 0 base : "MONTANT  des INR retard  rectif" ;
INRRSE1_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE1_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE1_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE1_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE1_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE1_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE1_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE1_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE1_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE1_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE1_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE1_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE1_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE1_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE1_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE1_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE1_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE1_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE1_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE1_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE1_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE1_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE1_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE1_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE2_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE2_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE2_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE2_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE2_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE2_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE2_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE2_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE2_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE2_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE2_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE2_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE2_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE2_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE2_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE2_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE2_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE2_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE2_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE2_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE2_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE2_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE2_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE2_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE2_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE2_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE2_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE2_R9901 : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE2_R9901A : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE2_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE2_R99R : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE2_R99RA : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE2_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE2_RECT : calculee primrest = 0 base : "MONTANT  des INR retard  rectif" ;
INRRSE2_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE2_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE2_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE2_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE2_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE2_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE2_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE2_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE2_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE2_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE2_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE2_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE2_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE2_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE2_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE2_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE2_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE2_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE2_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE2_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE2_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE2_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE2_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE2_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE3_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE3_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE3_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE3_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE3_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE3_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE3_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE3_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE3_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE3_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE3_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE3_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE3_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE3_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE3_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE3_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE3_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE3_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE3_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE3_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE3_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE3_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE3_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE3_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE3_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE3_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE3_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE3_R9901 : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE3_R9901A : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE3_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE3_R99R : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE3_R99RA : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE3_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE3_RECT : calculee primrest = 0 base : "MONTANT  des INR retard  rectif" ;
INRRSE3_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE3_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE3_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE3_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE3_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE3_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE3_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE3_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE3_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE3_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE3_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE3_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE3_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE3_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE3_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE3_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE3_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE3_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE3_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE3_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE3_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE3_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE3_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE3_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE4_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE4_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE4_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE4_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE4_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE4_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE4_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE4_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE4_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE4_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE4_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE4_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE4_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE4_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE4_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE4_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE4_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE4_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE4_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE4_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def 22" ;
INRRSE4_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE4_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE4_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE4_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE4_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE4_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE4_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE4_R9901 : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE4_R9901A : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE4_R9901_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE4_R99R : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee" ;
INRRSE4_R99RA : calculee primrest = 0 base : "MONTANT  des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE4_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE4_RECT : calculee primrest = 0 base : "MONTANT  des INR retard  rectif" ;
INRRSE4_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE4_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE4_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE4_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE4_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE4_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE4_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE4_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE4_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE4_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE4_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE4_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE4_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE4_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE4_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE4_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE4_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE4_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE4_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE4_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE4_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE4_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE4_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE4_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE5_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE5_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE5_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE5_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE5_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE5_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE5_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE5_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE5_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE5_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE5_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE5_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE5_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE5_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE5_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE5_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE5_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE5_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE5_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE5_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE5_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE5_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE5_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE5_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE5_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE5_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE5_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE5_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE5_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE5_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE5_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRRSE5_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE5_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE5_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRRSE5_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE5_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE5_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE5_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE5_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE5_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE5_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE5_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE5_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE5_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE5_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE5_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE5_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE5_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE5_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE5_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE5_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE5_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE5_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE5_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE5_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE5_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE5_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE5_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE6_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE6_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE6_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE6_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE6_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE6_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE6_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE6_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE6_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE6_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE6_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE6_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE6_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE6_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE6_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE6_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE6_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE6_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE6_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE6_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE6_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE6_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE6_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE6_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE6_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE6_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE6_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE6_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE6_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE6_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE6_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRRSE6_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE6_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE6_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRRSE6_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE6_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE6_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE6_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE6_TLACQ_1 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE6_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE6_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE6_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE6_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE6_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE6_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE6_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE6_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE6_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE6_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE6_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE6_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE6_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE6_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE6_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE6_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE6_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE6_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE6_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE8_NET : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt" ;
INRRSE8_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE8_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE8_NET2 : calculee primrest = 0 base : "INR appliquee de l'evt" ;
INRRSE8_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE8_NETADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRRSE8_NET_1 : calculee restituee primrest = 0 base : "INR IR appliquee de l'evt code 22" ;
INRRSE8_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE8_NET_222 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE8_NET_24 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE8_NET_242 : calculee primrest = 0 base : "INR  appliquee de l'evt code 22" ;
INRRSE8_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRRSE8_NTL : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE8_NTLADEC : calculee primrest = 0 base : "MONTANT  des INR retard non TL" ;
INRRSE8_NTLADEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE8_NTLADEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE8_NTLDEC : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant" ;
INRRSE8_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRRSE8_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def code 22" ;
INRRSE8_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def code 22" ;
INRRSE8_NTLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE8_NTLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant code 22" ;
INRRSE8_NTL_22 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE8_NTL_22_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE8_NTL_24 : calculee primrest = 0 base : "MONTANT  des INR retard non TL code 22" ;
INRRSE8_NTL_24_A : calculee primrest = 0 base : "interet de retard NTL evt n-1 code 22" ;
INRRSE8_NTL_A : calculee primrest = 0 base : "interet de retard NTL evt n-1" ;
INRRSE8_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE8_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE8_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRRSE8_R99R : calculee primrest = 0 base : "MONTANT des INR retard  rectif code 99 prim. penalisee" ;
INRRSE8_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRRSE8_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRRSE8_RECT : calculee primrest = 0 base : "MONTANT cdis des INR retard  rectif" ;
INRRSE8_RETDEF : calculee primrest = 0 base : "MONTANT des INR retard pour retard ou defaut 2042" ;
INRRSE8_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT  n-1" ;
INRRSE8_TLA : calculee primrest = 0 : "interet retard tl appliquee" ;
INRRSE8_TLACQ : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE8_TLACQ_22 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE8_TLACQ_24 : calculee primrest = 0 : "interet de retard new tl avant application de la TL" ;
INRRSE8_TLADEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE8_TLADEC_22 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE8_TLADEC_222 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE8_TLADEC_24 : calculee primrest = 0 base : "MONTANT des INR retard  TL traitement precedent code 22" ;
INRRSE8_TLADEC_242 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE8_TLA_22 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE8_TLA_24 : calculee primrest = 0 : "interet retard tl appliquee code 22" ;
INRRSE8_TLDEC : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent" ;
INRRSE8_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRRSE8_TLDEC_22 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE8_TLDEC_24 : calculee primrest = 0 base : "MONTANT  des INR retard  TL traitement precedent code 22" ;
INRRSE8_TL_22_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE8_TL_22_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE8_TL_24_A : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE8_TL_24_AD : calculee primrest = 0 base : "interet de retard TL evt n-1 code 22" ;
INRRSE8_TL_A : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRRSE8_TL_AD : calculee primrest = 0 base : "interet de retard TL evt n-1" ;
INRSE1_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE1_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE1_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE1_TL_22 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE1_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE1_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE1_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE2_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE2_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE2_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE2_TL_22 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE2_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE2_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE2_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE3_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE3_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE3_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE3_TL_22 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE3_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE3_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE3_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE4_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE4_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE4_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE4_TL_22 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE4_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE4_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE4_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE5_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE5_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE5_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE5_TL_22 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE5_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE5_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE5_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE6_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE6_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE6_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE6_TL_22 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE6_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE6_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE6_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE8_TL : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE8_TL2 : calculee primrest = 0 base : "total INR  susceptible annulation par TL" ;
INRSE8_TL_1 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE8_TL_222 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRSE8_TL_24 : calculee primrest = 0 base : "total INR IR susceptible annulation par TL code 22" ;
INRSE8_TL_242 : calculee primrest = 0 base : "total INR chr susceptible annulation par TL code 22" ;
INRTAXA_NET : calculee restituee primrest = 0 base : " INTERETS DE RETARD taxe assur TL appliquee" ;
INRTAXA_NET1A : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRTAXA_NET1ADEF : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRTAXA_NET2 : calculee primrest = 0 : " INTERETS DE RETARD taxe assur TL appliquee" ;
INRTAXA_NETA : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
INRTAXA_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRTAXA_NET_1 : calculee restituee primrest = 0 base : " INTERETS DE RETARD taxe assur TL appliquee code 22" ;
INRTAXA_NET_1_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRTAXA_NET_222 : calculee primrest = 0 base : " INTERETS DE RETARD taxe assur TL appliquee code 22" ;
INRTAXA_NET_24 : calculee primrest = 0 base : " INTERETS DE RETARD taxe assur TL appliquee code 22" ;
INRTAXA_NET_242 : calculee primrest = 0 base : " INTERETS DE RETARD taxe assur TL appliquee code 22" ;
INRTAXA_NET_A : calculee primrest = 0 base : "MONTANT IR des INR  penalisee" ;
INRTAXA_NTL : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL" ;
INRTAXA_NTLADEC : calculee primrest = 0 base : "MONTANT Taxe assur des INR retard non TL" ;
INRTAXA_NTLADEC_22 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL code 22" ;
INRTAXA_NTLADEC_24 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL code 22" ;
INRTAXA_NTLDEC : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL traitement courant" ;
INRTAXA_NTLDECD : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRTAXA_NTLDECD_22 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRTAXA_NTLDECD_24 : calculee primrest = 0 base : "MONTANT  des INR non TL du traitement courant def" ;
INRTAXA_NTLDEC_2 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL traitement courant code 22" ;
INRTAXA_NTLDEC_22 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL traitement courant code 22" ;
INRTAXA_NTLDEC_24 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL traitement courant code 22" ;
INRTAXA_NTL_22 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL" ;
INRTAXA_NTL_22_A : calculee primrest = 0 base : "interet de retard taxe assur NTL evt n-1" ;
INRTAXA_NTL_24 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard non TL" ;
INRTAXA_NTL_24_A : calculee primrest = 0 base : "interet de retard taxe assur NTL evt n-1" ;
INRTAXA_NTL_A : calculee primrest = 0 base : "interet de retard taxe assur NTL evt n-1" ;
INRTAXA_R9901 : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRTAXA_R9901A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRTAXA_R9901_A : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee" ;
INRTAXA_R99R : calculee primrest = 0 base : "MONTANT taxe assur des INR retard  rectif code 99 prim. penalisee" ;
INRTAXA_R99RA : calculee primrest = 0 base : "MONTANT IR des INR retard  rectif code 99 prim. penalisee n-1" ;
INRTAXA_R99R_A : calculee primrest = 0 base : "interet de retard evt n-1 R99 penalise" ;
INRTAXA_RECT : calculee primrest = 0 base : "MONTANTtaxe assur des INR retard  rectif" ;
INRTAXA_RETDEF : calculee primrest = 0 base : "MONTANT taxe assur des INR retard pour retard ou defaut 2042" ;
INRTAXA_RETDEF_A : calculee primrest = 0 base : "interet de RETARD/DEFAUT taxe assur.  n-1" ;
INRTAXA_TLA : calculee primrest = 0 : "interet de retard : calcul de la TL: taxe assur" ;
INRTAXA_TLACQ : calculee primrest = 0 : "interet de retard new taxe assur tl avant application de la TL" ;
INRTAXA_TLACQ_1 : calculee primrest = 0 : "interet de retard new taxe assur tl avant application de la TL reduit" ;
INRTAXA_TLACQ_22 : calculee primrest = 0 : "interet de retard new taxe assur tl avant application de la TL reduit" ;
INRTAXA_TLACQ_24 : calculee primrest = 0 : "interet de retard new taxe assur tl avant application de la TL reduit" ;
INRTAXA_TLADEC : calculee primrest = 0 base : "MONTANT taxe assur des INR retard  TL traitement precedent" ;
INRTAXA_TLADEC_22 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard  TL traitement precedent code 22" ;
INRTAXA_TLADEC_222 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard  TL traitement precedent code 22" ;
INRTAXA_TLADEC_24 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard  TL traitement precedent code 22" ;
INRTAXA_TLADEC_242 : calculee primrest = 0 base : "MONTANT taxe assur des INR retard  TL traitement precedent code 22" ;
INRTAXA_TLA_22 : calculee primrest = 0 : "interet de retard : calcul de la TL: taxe assur code 22" ;
INRTAXA_TLA_24 : calculee primrest = 0 : "interet de retard : calcul de la TL: taxe assur code 22" ;
INRTAXA_TLDEC : calculee primrest = 0 base : "MONTANT CRL des INR retard  TL traitement precedent" ;
INRTAXA_TLDECD : calculee primrest = 0 base : "MONTANT  des INR  TL du traitement courant def" ;
INRTAXA_TLDEC_22 : calculee primrest = 0 base : "MONTANT CRL des INR retard  TL traitement precedent code 22" ;
INRTAXA_TLDEC_24 : calculee primrest = 0 base : "MONTANT CRL des INR retard  TL traitement precedent code 22" ;
INRTAXA_TL_22_A : calculee primrest = 0 base : "interet de retard taxe assur TL evt n-1 code 22" ;
INRTAXA_TL_22_AD : calculee primrest = 0 base : "interet de retard taxe assur TL evt n-1 code 22" ;
INRTAXA_TL_24_A : calculee primrest = 0 base : "interet de retard taxe assur TL evt n-1 code 22" ;
INRTAXA_TL_24_AD : calculee primrest = 0 base : "interet de retard taxe assur TL evt n-1 code 22" ;
INRTAXA_TL_A : calculee primrest = 0 base : "interet de retard taxe assur. TL evt n-1" ;
INRTAXA_TL_AD : calculee primrest = 0 base : "interet de retard taxe assur TL evt n-1" ;
INRTOT : calculee primrest = 0 base : "Total INR" ;
INRTOT_NET : calculee restituee primrest = 0 base : "Total des interets de retard TL appliquee" ;
INRTOT_NET1ADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INRTOT_NETADEF : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
INR_C820_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_C820_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL r22" ;
INR_C820_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL r22" ;
INR_C820_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_C820_TARDIF : calculee restituee primrest = 0 : " INR contrib. sal. issus de la 2042 tardive" ;
INR_C820_TARDIF_A : calculee restituee primrest = 0 : " INR contrib. sal. issus de la 2042 tardive" ;
INR_C820_TL : calculee restituee primrest = 0 base : "INR contrib. sal. TL issus de la 2042 TL" ;
INR_C820_TL_22 : calculee restituee primrest = 0 base : "INR contrib. sal. TL issus de la 2042 TL r22" ;
INR_C820_TL_24 : calculee restituee primrest = 0 base : "INR contrib. sal. TL issus de la 2042 TL r22" ;
INR_C820_TOT : calculee primrest = 0 base : "INR contrib. sal.  totaux issus de la 2042" ;
INR_CDIS_NTL : calculee restituee primrest = 0 base : "INR Cdis NTL issus de la 2042 NTL" ;
INR_CDIS_NTL_22 : calculee restituee primrest = 0 base : "INR contrib. sal.  NTL issus de la 2042 TL code 22" ;
INR_CDIS_NTL_24 : calculee restituee primrest = 0 base : "INR contrib. sal.  NTL issus de la 2042 TL code 22" ;
INR_CDIS_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CDIS_TARDIF : calculee restituee primrest = 0 : " INR contrib. sal. issus de la 2042 tardive" ;
INR_CDIS_TARDIF_A : calculee primrest = 0 base : "interet de retard tardif contrib. sal. evt n-1" ;
INR_CDIS_TL : calculee restituee primrest = 0 base : "INR contrib. sal. TL issus de la 2042 TL" ;
INR_CDIS_TL_22 : calculee restituee primrest = 0 base : "INR contrib. sal. NTL issus de la 2042 TL code 22" ;
INR_CDIS_TL_24 : calculee restituee primrest = 0 base : "INR contrib. sal. NTL issus de la 2042 TL code 22" ;
INR_CDIS_TOT : calculee primrest = 0 base : "INR contrib. sal.  totaux issus de la 2042" ;
INR_CHR_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_CHR_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL code 22" ;
INR_CHR_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL code 22" ;
INR_CHR_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CHR_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_CHR_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CHR_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_CHR_TL_22 : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042 TL code 22" ;
INR_CHR_TL_24 : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042 TL code 22" ;
INR_CHR_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_CRDS_NTL : calculee restituee primrest = 0 base : "INR CRDS NTL issus de la 2042 NTL" ;
INR_CRDS_NTL_22 : calculee restituee primrest = 0 base : "INR CRDS NTL issus de la 2042 NTL code 22" ;
INR_CRDS_NTL_24 : calculee restituee primrest = 0 base : "INR CRDS NTL issus de la 2042 NTL code 22" ;
INR_CRDS_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CRDS_TARDIF : calculee restituee primrest = 0 : "INR CRDS issus de la 2042 tardive" ;
INR_CRDS_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CRDS_TL : calculee restituee primrest = 0 base : "INR CRDS TL issus de la 2042 TL" ;
INR_CRDS_TL_22 : calculee restituee primrest = 0 base : "INR CRDS TL issus de la 2042 TL code 22" ;
INR_CRDS_TL_24 : calculee restituee primrest = 0 base : "INR CRDS TL issus de la 2042 TL code 22" ;
INR_CRDS_TOT : calculee primrest = 0 base : "INR CRDS totaux issus de la 2042" ;
INR_CSG_NTL : calculee restituee primrest = 0 base : "INR CSG NTL issus de la 2042 NTL" ;
INR_CSG_NTL_22 : calculee restituee primrest = 0 base : "INR CSG NTL issus de la 2042  code 22" ;
INR_CSG_NTL_24 : calculee restituee primrest = 0 base : "INR CSG NTL issus de la 2042  code 22" ;
INR_CSG_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CSG_TARDIF : calculee restituee primrest = 0 : "INR CSG issus de la 2042 tardive" ;
INR_CSG_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CSG_TL : calculee restituee primrest = 0 base : "INR CSG TL issus de la 2042 TL" ;
INR_CSG_TL_22 : calculee restituee primrest = 0 base : "INR CSG TL issus de la 2042 TL code 22" ;
INR_CSG_TL_24 : calculee restituee primrest = 0 base : "INR CSG TL issus de la 2042 TL code 22" ;
INR_CSG_TOT : calculee primrest = 0 base : "INR CSG totaux issus de la 2042" ;
INR_CVN_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_CVN_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL code 22" ;
INR_CVN_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL code 22" ;
INR_CVN_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CVN_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_CVN_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_CVN_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_CVN_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_CVN_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_CVN_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_GLO_NTL : calculee restituee primrest = 0 base : "INR Cdis NTL issus de la 2042 NTL" ;
INR_GLO_NTL_22 : calculee restituee primrest = 0 base : "INR glo NTL issus de la 2042  code 22" ;
INR_GLO_NTL_24 : calculee restituee primrest = 0 base : "INR glo NTL issus de la 2042  code 22" ;
INR_GLO_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_GLO_TARDIF : calculee restituee primrest = 0 : " INR contrib. sal. issus de la 2042 tardive" ;
INR_GLO_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_GLO_TL : calculee restituee primrest = 0 base : "INR Cdis NTL issus de la 2042 TL" ;
INR_GLO_TL_22 : calculee restituee primrest = 0 base : "INR glo TL issus de la 2042  code 22" ;
INR_GLO_TL_24 : calculee restituee primrest = 0 base : "INR glo TL issus de la 2042  code 22" ;
INR_GLO_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_IFI_NTL : calculee restituee primrest = 0 base : "INR IFI NTL issus de la 2042 NTL" ;
INR_IFI_NTL_22 : calculee restituee primrest = 0 base : "INR IFI  NTL issus de la 2042  code 22" ;
INR_IFI_TARDIF : calculee restituee primrest = 0 : "INR IFI issus de la 2042 tardive" ;
INR_IFI_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_IFI_TL : calculee restituee primrest = 0 base : "INR IFI TL issus de la 2042 TL" ;
INR_IFI_TL_22 : calculee restituee primrest = 0 base : "INR IFI  TL issus de la 2042  code 22" ;
INR_IFI_TL_24 : calculee restituee primrest = 0 base : "INR IFI  TL issus de la 2042  code 22" ;
INR_IFI_TOT : calculee primrest = 0 base : "INR IFI totaux issus de la 2042" ;
INR_IR_NTL : calculee restituee primrest = 0 base : "INR IR NTL issus de la 2042 NTL" ;
INR_IR_NTL_22 : calculee restituee primrest = 0 base : "INR IR NTL issus de la 2042 code 22" ;
INR_IR_NTL_24 : calculee restituee primrest = 0 base : "INR IR NTL issus de la 2042 code 22" ;
INR_IR_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_IR_TARDIF : calculee restituee primrest = 0 : "INR IR issus de la 2042 tardive" ;
INR_IR_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_IR_TL : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042 TL" ;
INR_IR_TL_22 : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042 code 22" ;
INR_IR_TL_24 : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042 code 22" ;
INR_IR_TOT : calculee primrest = 0 base : "INR IR totaux issus de la 2042" ;
INR_NTL_GLOB_C820 : calculee primrest = 0 base : "INR  globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_C8202 : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CDIS : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CDIS2 : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CHR : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CHR2 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CRDS : calculee primrest = 0 base : "INR CRDS globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CRDS2 : calculee primrest = 0 base : "INR CRDS globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CSG : calculee primrest = 0 base : "INR CSG globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CSG2 : calculee primrest = 0 base : "INR CSG globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CVN : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_CVN2 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_GLO : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_GLO2 : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_IFI : calculee primrest = 0 base : "INR  globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_IFI2 : calculee primrest = 0 base : "INR IFI globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_IR : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_IR2 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_PCAP : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_PCAP2 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_PS : calculee primrest = 0 base : "INR PS globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_PSOL : calculee primrest = 0 base : "INR PSol globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_PSOL2 : calculee primrest = 0 base : "INR PS globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE1 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE12 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE2 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE22 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE3 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE32 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE4 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE42 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE5 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE52 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE6 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE62 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE8 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_RSE82 : calculee primrest = 0 base : "INR globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_TAXA : calculee primrest = 0 base : "INR taxe assur globaux issus de la 2042 NTL" ;
INR_NTL_GLOB_TAXA2 : calculee primrest = 0 base : "INR taxe assur globaux issus de la 2042 NTL" ;
INR_PCAP_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_PCAP_NTL_22 : calculee restituee primrest = 0 base : "INR IR NTL issus de la 2042  code 22" ;
INR_PCAP_NTL_24 : calculee restituee primrest = 0 base : "INR IR NTL issus de la 2042  code 22" ;
INR_PCAP_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_PCAP_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_PCAP_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_PCAP_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_PCAP_TL_22 : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042  code 22" ;
INR_PCAP_TL_24 : calculee restituee primrest = 0 base : "INR IR TL issus de la 2042  code 22" ;
INR_PCAP_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_PSOL_NTL : calculee restituee primrest = 0 base : "INR PSol NTL issus de la 2042 NTL" ;
INR_PSOL_NTL_22 : calculee restituee primrest = 0 base : "INR PSol NTL issus de la 2042  code 22" ;
INR_PSOL_NTL_24 : calculee restituee primrest = 0 base : "INR PSol NTL issus de la 2042  code 22" ;
INR_PSOL_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_PSOL_TARDIF : calculee restituee primrest = 0 : "INR PS issus de la 2042 tardive" ;
INR_PSOL_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_PSOL_TL : calculee restituee primrest = 0 base : "INR PSol TL issus de la 2042 TL" ;
INR_PSOL_TL_22 : calculee restituee primrest = 0 base : "INR PSol TL issus de la 2042  code 22" ;
INR_PSOL_TL_24 : calculee restituee primrest = 0 base : "INR PSol TL issus de la 2042  code 22" ;
INR_PSOL_TOT : calculee primrest = 0 base : "INR PSol totaux issus de la 2042" ;
INR_RSE1_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE1_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE1_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE1_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE1_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_RSE1_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE1_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE1_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE1_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE1_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_RSE2_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE2_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE2_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE2_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE2_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_RSE2_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE2_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE2_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE2_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE2_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_RSE3_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE3_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE3_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE3_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE3_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_RSE3_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE3_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE3_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE3_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE3_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_RSE4_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE4_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE4_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE4_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE4_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_RSE4_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE4_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE4_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE4_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE4_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_RSE5_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE5_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE5_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE5_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE5_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_RSE5_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE5_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE5_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE5_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE5_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_RSE6_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE6_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE6_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE6_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE6_TARDIF : calculee restituee primrest = 0 : "INR  issus de la 2042 tardive" ;
INR_RSE6_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE6_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE6_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE6_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE6_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_RSE8_NTL : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042 NTL" ;
INR_RSE8_NTL_22 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE8_NTL_24 : calculee restituee primrest = 0 base : "INR  NTL issus de la 2042  code 22" ;
INR_RSE8_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE8_TARDIF : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE8_TARDIF_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_RSE8_TL : calculee restituee primrest = 0 base : "INR  TL issus de la 2042 TL" ;
INR_RSE8_TL_22 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE8_TL_24 : calculee restituee primrest = 0 base : "INR  TL issus de la 2042  code 22" ;
INR_RSE8_TOT : calculee primrest = 0 base : "INR  totaux issus de la 2042" ;
INR_TAXAGA_NTL : calculee restituee primrest = 0 base : "INR taxe assur  NTL issus de la 2042 NTL" ;
INR_TAXAGA_NTL_22 : calculee restituee primrest = 0 base : "INR taxe assur NTL issus de la 2042 TL code 22" ;
INR_TAXAGA_NTL_24 : calculee restituee primrest = 0 base : "INR taxe assur NTL issus de la 2042  code 22" ;
INR_TAXAGA_TARDIF : calculee restituee primrest = 0 : " INR taxe assur issus de la 2042 tardive" ;
INR_TAXAGA_TL : calculee restituee primrest = 0 base : "INR taxe assur TL issus de la 2042 TL" ;
INR_TAXAGA_TL_22 : calculee restituee primrest = 0 base : "INR taxe assur TL issus de la 2042  code 22" ;
INR_TAXAGA_TL_24 : calculee restituee primrest = 0 base : "INR taxe assur TL issus de la 2042  code 22" ;
INR_TAXAGA_TOT : calculee primrest = 0 base : "INRtaxe assur totaux issus de la 2042" ;
INR_TAXA_TARD22_A : calculee primrest = 0 base : "interet de retard evt n-1" ;
INR_TAXA_TARDIF_A : calculee primrest = 0 base : "interet de retard tardif taxe assur. evt n-1" ;
INR_TL_GLOB_C820 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL" ;
INR_TL_GLOB_C8202 : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 TL" ;
INR_TL_GLOB_CDIS : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 TL" ;
INR_TL_GLOB_CDIS2 : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 TL" ;
INR_TL_GLOB_CHR : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_CHR2 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_CRDS : calculee restituee primrest = 0 base : "INR CRDS globaux issus de la 2042 TL" ;
INR_TL_GLOB_CRDS2 : calculee primrest = 0 base : "INR CRDS globaux issus de la 2042 TL" ;
INR_TL_GLOB_CSG : calculee restituee primrest = 0 base : "INR CSG globaux issus de la 2042 TL" ;
INR_TL_GLOB_CSG2 : calculee primrest = 0 base : "INR CSG globaux issus de la 2042 TL" ;
INR_TL_GLOB_CVN : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_CVN2 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_GLO : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 TL" ;
INR_TL_GLOB_GLO2 : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 TL" ;
INR_TL_GLOB_IFI : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL" ;
INR_TL_GLOB_IFI2 : calculee primrest = 0 base : "INR IFI globaux issus de la 2042 TL" ;
INR_TL_GLOB_IR : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_IR2 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_PCAP : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_PCAP2 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_PS : calculee restituee primrest = 0 base : "INR PS globaux issus de la 2042 TL" ;
INR_TL_GLOB_PSOL : calculee primrest = 0 base : "INR PSol globaux issus de la 2042 TL" ;
INR_TL_GLOB_PSOL2 : calculee primrest = 0 base : "INR PS globaux issus de la 2042 NTL" ;
INR_TL_GLOB_RSE1 : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE12 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE2 : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE22 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE3 : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE32 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE4 : calculee restituee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE42 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE5 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE52 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE6 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE62 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE8 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL" ;
INR_TL_GLOB_RSE82 : calculee primrest = 0 base : "INR globaux issus de la 2042 TL" ;
INR_TL_GLOB_TAXA : calculee restituee primrest = 0 base : "INR taxe assur globaux issus de la 2042 TL" ;
INR_TL_GLOB_TAXA2 : calculee primrest = 0 base : "INR taxe assur globaux issus de la 2042 TL" ;
INR_TOT_GLOB_C820 : calculee primrest = 0 base : "INR  globaux issus de la 2042 Total" ;
INR_TOT_GLOB_C8202 : calculee primrest = 0 base : "INR  globaux issus de la 2042 Total" ;
INR_TOT_GLOB_C820C : calculee primrest = 0 base : "INR  globaux issus de la 2042 Total" ;
INR_TOT_GLOB_CDIS : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 total" ;
INR_TOT_GLOB_CDIS2 : calculee primrest = 0 base : "INR CDIS globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CDISC : calculee primrest = 0 : "INR CDIS globaux issus de la 2042 TL et NTL code 22" ;
INR_TOT_GLOB_CHR : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CHR2 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CHRC : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_CRDS : calculee primrest = 0 base : "INR CRDS globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CRDS2 : calculee primrest = 0 base : "INR CRDS globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CRDSC : calculee primrest = 0 : "INR CRDS globaux issus de la 2042 TL et NTL code 22" ;
INR_TOT_GLOB_CSG : calculee primrest = 0 base : "INR CSG globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CSG2 : calculee primrest = 0 base : "INR CSG globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CSGC : calculee primrest = 0 : "INR CSG globaux issus de la 2042 TL et NTL code 22" ;
INR_TOT_GLOB_CVN : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CVN2 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_CVNC : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_GLO : calculee primrest = 0 base : "INR cdis globaux issus de la 2042 total" ;
INR_TOT_GLOB_GLO2 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_GLOC : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_IFI : calculee primrest = 0 base : "INR IFI globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_IFI2 : calculee primrest = 0 base : "INR IFI globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_IFIC : calculee primrest = 0 : "INR IFI globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_IR : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_IR2 : calculee primrest = 0 base : "INR IR globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_IRC : calculee primrest = 0 : "INR IR globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_PCAP : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_PCAP2 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_PCAPC : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_PS : calculee primrest = 0 base : "INR PS globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_PSOL : calculee primrest = 0 base : "INR PSol globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_PSOL2 : calculee primrest = 0 base : "INR PS globaux issus de la 2042 " ;
INR_TOT_GLOB_PSOLC : calculee primrest = 0 base : "INR PS globaux issus de la 2042 " ;
INR_TOT_GLOB_RSE1 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE12 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE1C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_RSE2 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE22 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE2C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_RSE3 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE32 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE3C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_RSE4 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE42 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE4C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_RSE5 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE52 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE5C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_RSE6 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE62 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE6C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_RSE8 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE82 : calculee primrest = 0 base : "INR  globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_RSE8C : calculee primrest = 0 : "INR  globaux issus de la 2042 TL et NTL sans codes 22" ;
INR_TOT_GLOB_TAXA : calculee primrest = 0 base : "INR taxe assur globaux issus de la 2042 TL et NTL" ;
INR_TOT_GLOB_TAXA2 : calculee primrest = 0 base : "INR taxe assur globaux issus de la 2042 total" ;
INR_TOT_GLOB_TAXAC : calculee primrest = 0 base : "INR taxe assur globaux issus de la 2042 total" ;
INTAN : calculee primrest = 0 : "Annee date notification" ;
INTANIFI : calculee primrest = 0 : "Annee date notification" ;
INTAXA_TL : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL" ;
INTAXA_TL2 : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL" ;
INTAXA_TL_1 : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL" ;
INTAXA_TL_22 : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL" ;
INTAXA_TL_222 : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL code 22" ;
INTAXA_TL_24 : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL" ;
INTAXA_TL_242 : calculee primrest = 0 base : "total INR taxe assur susceptible annulation par TL code 22" ;
INTDIFAGRI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UM : "Interets paiement differe agriculteurs  " ;
INTERE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias RTR : "Interets taxes au quotient" ;
INTERENB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NTR : "Interets taxes au quotient - Nb d'annees" ;
INTMS : calculee primrest = 0 : "Mois date notification" type DATE_MM ;
INTMSIFI : calculee primrest = 0 : "Mois date notification" type DATE_MM ;
INVENTC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5UC : "Inventeurs : produits taxables a 10 % - Declarant 2" ;
INVENTP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5VC : "Inventeurs : produits taxables a 10 % - PAC" ;
INVENTV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5TC : "Inventeurs : produits taxables a 10 % - Declarant 1" ;
INVLGAUTRE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQL : "Reduction autre investissement outre-mer dans le logement en 2009" ;
INVLGDEB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQT : "Reduction investissement outre-mer logement 2010 initie avant 2009" ;
INVLGDEB2009 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQC : "Reduction investissement outre-mer logement 2009 engage avant 2009" ;
INVLGDEB2010 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQM : "Reduction investissement outre-mer logement 2010 engage en 2009" ;
INVLOG2008 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQB : "Reduction invest. Outre-mer dans le logement jusqu'au 31/12/2008" ;
INVLOG2009 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQD : "Reduction autre investissement outre-mer dans le logement en 2010" ;
INVNPROF1 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IN : "Invest. loc. meublee non prof. realise du 01/01/2011 au 31/03/2011" ;
INVNPROF1_A : calculee primrest = 0 : "RI evt avant" ;
INVOMLOGOA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOA : "Red. invest. outre-mer logt 2011 engage avant 2011 initie avant 2009" ;
INVOMLOGOB : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOB : "Reduction invest. outre-mer logt 2011 engage avant 2011 initie en 2009" ;
INVOMLOGOC : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOC : "Reduction invest. outre-mer logt 2011 engage avant 2011 initie en 2010" ;
INVOMLOGOH : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOH : "Reduction invest. outre-mer logt 2011 engage en 2011 initie avant 2009" ;
INVOMLOGOI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOI : "Reduction invest. outre-mer logt 2011 engage en 2011 initie en 2009" ;
INVOMLOGOJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOJ : "Reduction invest. outre-mer logt 2011 engage en 2011 initie en 2010" ;
INVOMLOGOK : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOK : "Reduction autres invest. outre-mer logt realises en 2011" ;
INVOMLOGOL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOL : "Red. invest. outre-mer logt 2012 engage avant 2011 initie avant 2009" ;
INVOMLOGOM : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOM : "Reduction invest. outre-mer logt 2012 engage avant 2011 initie en 2009" ;
INVOMLOGON : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HON : "Reduction invest. outre-mer logt 2012 engage avant 2011 initie en 2010" ;
INVOMLOGOO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOO : "Reduction invest. outre-mer logt 2012 engage en 2011 initie avant 2009" ;
INVOMLOGOP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOP : "Reduction invest. outre-mer logt 2012 engage en 2011 initie en 2009" ;
INVOMLOGOQ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOQ : "Reduction invest. outre-mer logt 2012 engage en 2011 initie en 2010" ;
INVOMLOGOR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOR : "Reduction invest. outre-mer logt 2012 engage en 2011 initie en 2011" ;
INVOMLOGOS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOS : "Reduction invest. outre-mer logt 2012 engage en 2012 initie avant 2009" ;
INVOMLOGOT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOT : "Reduction invest. outre-mer logt 2012 engage en 2012 initie en 2009" ;
INVOMLOGOU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOU : "Reduction invest. outre-mer logt 2012 engage en 2012 initie en 2010" ;
INVOMLOGOV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOV : "Reduction invest. outre-mer logt 2012 engage en 2012 initie en 2011" ;
INVOMLOGOW : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HOW : "Reduction autres invest. outre-mer logement realises en 2012" ;
INVRETDI : calculee primrest = 0 : "Plafonnement HDI" ;
INVRETDIA : calculee primrest = 0 : "Plafonnement HDI avec case HQA coche" ;
INVRETDIR : calculee primrest = 0 : "Plafonnement HDI retrocede" ;
INVRETDIRA : calculee primrest = 0 : "Plafonnement HDI retrocede avec case 7QA coche" ;
INVRETDJ : calculee primrest = 0 : "Plafonnement HDJ" ;
INVRETDJA : calculee primrest = 0 : "Plafonnement HDJ avec case HQA coche" ;
INVRETDJR : calculee primrest = 0 : "Plafonnement HDJ retrocede" ;
INVRETDJRA : calculee primrest = 0 : "Plafonnement HDJ retrocede avec case 7QA coche" ;
INVRETDK : calculee primrest = 0 : "Plafonnement HDK" ;
INVRETDKA : calculee primrest = 0 : "Plafonnement HDK avec case HQA coche" ;
INVRETDM : calculee primrest = 0 : "Plafonnement HDM" ;
INVRETDMA : calculee primrest = 0 : "Plafonnement HDM avec case HQA coche" ;
INVRETDN : calculee primrest = 0 : "Plafonnement HDN" ;
INVRETDNA : calculee primrest = 0 : "Plafonnement HDN avec case HQA coche" ;
INVRETDNR : calculee primrest = 0 : "Plafonnement HDN retrocede" ;
INVRETDNRA : calculee primrest = 0 : "Plafonnement HDN retrocede avec case 7QA coche" ;
INVRETDO : calculee primrest = 0 : "Plafonnement HDO" ;
INVRETDOA : calculee primrest = 0 : "Plafonnement HDO avec case HQA coche" ;
INVRETDOR : calculee primrest = 0 : "Plafonnement HDO retrocede" ;
INVRETDORA : calculee primrest = 0 : "Plafonnement HDO retrocede avec case 7QA coche" ;
INVRETDP : calculee primrest = 0 : "Plafonnement HDP" ;
INVRETDPA : calculee primrest = 0 : "Plafonnement HDP avec case HQA coche" ;
INVRETDR : calculee primrest = 0 : "Plafonnement HDR" ;
INVRETDRA : calculee primrest = 0 : "Plafonnement HDR avec case HQA coche" ;
INVRETDS : calculee primrest = 0 : "Plafonnement HDS" ;
INVRETDSA : calculee primrest = 0 : "Plafonnement HDS avec case HQA coche" ;
INVRETDSR : calculee primrest = 0 : "Plafonnement HDS retrocede" ;
INVRETDSRA : calculee primrest = 0 : "Plafonnement HDS retrocede avec case 7QA coche" ;
INVRETDT : calculee primrest = 0 : "Plafonnement HDT" ;
INVRETDTA : calculee primrest = 0 : "Plafonnement HDT avec case HQA coche" ;
INVRETDTR : calculee primrest = 0 : "Plafonnement HDT retrocede" ;
INVRETDTRA : calculee primrest = 0 : "Plafonnement HDT retrocede avec case 7QA coche" ;
INVRETDU : calculee primrest = 0 : "Plafonnement HDU" ;
INVRETDUA : calculee primrest = 0 : "Plafonnement HDU avec case HQA coche" ;
INVRETDW : calculee primrest = 0 : "Plafonnement HDW" ;
INVRETDWA : calculee primrest = 0 : "Plafonnement HDW avec case HQA coche" ;
INVRETEN : calculee primrest = 0 : "Plafonnement HEN" ;
INVRETENA : calculee primrest = 0 : "Plafonnement HEN avec case HQA coche" ;
INVRETENR : calculee primrest = 0 : "Plafonnement HEN retrocede" ;
INVRETENRA : calculee primrest = 0 : "Plafonnement HEN retrocede avec case 7QA coche" ;
INVRETENT : calculee primrest = 0 : "Plafonnement investissements entreprise" ;
INVRETEO : calculee primrest = 0 : "Plafonnement HEO" ;
INVRETEOA : calculee primrest = 0 : "Plafonnement HEO avec case HQA coche" ;
INVRETEOR : calculee primrest = 0 : "Plafonnement HEO retrocede" ;
INVRETEORA : calculee primrest = 0 : "Plafonnement HEO retrocede avec case 7QA coche" ;
INVRETEP : calculee primrest = 0 : "Plafonnement HEP" ;
INVRETEPA : calculee primrest = 0 : "Plafonnement HEP avec case HQA coche" ;
INVRETER : calculee primrest = 0 : "Plafonnement HER" ;
INVRETERA : calculee primrest = 0 : "Plafonnement HER avec case HQA coche" ;
INVRETES : calculee primrest = 0 : "Plafonnement HES" ;
INVRETESA : calculee primrest = 0 : "Plafonnement HES avec case HQA coche" ;
INVRETESR : calculee primrest = 0 : "Plafonnement HES retrocede" ;
INVRETESRA : calculee primrest = 0 : "Plafonnement HES retrocede avec case 7QA coche" ;
INVRETET : calculee primrest = 0 : "Plafonnement HET" ;
INVRETETA : calculee primrest = 0 : "Plafonnement HET avec case HQA coche" ;
INVRETETR : calculee primrest = 0 : "Plafonnement HET retrocede" ;
INVRETETRA : calculee primrest = 0 : "Plafonnement HET retrocede avec case 7QA coche" ;
INVRETEU : calculee primrest = 0 : "Plafonnement HEU" ;
INVRETEUA : calculee primrest = 0 : "Plafonnement HEU avec case HQA coche" ;
INVRETEW : calculee primrest = 0 : "Plafonnement HEW" ;
INVRETEWA : calculee primrest = 0 : "Plafonnement HEW avec case HQA coche" ;
INVRETFN : calculee primrest = 0 : "Plafonnement HFN" ;
INVRETFNA : calculee primrest = 0 : "Plafonnement HFN avec case HQA coche" ;
INVRETFNR : calculee primrest = 0 : "Plafonnement HFN retrocede" ;
INVRETFNRA : calculee primrest = 0 : "Plafonnement HFN retrocede avec case 7QA coche" ;
INVRETFO : calculee primrest = 0 : "Plafonnement HFO" ;
INVRETFOA : calculee primrest = 0 : "Plafonnement HFO avec case HQA coche" ;
INVRETFOR : calculee primrest = 0 : "Plafonnement HFO retrocede" ;
INVRETFORA : calculee primrest = 0 : "Plafonnement HFO retrocede avec case 7QA coche" ;
INVRETFP : calculee primrest = 0 : "Plafonnement HFP" ;
INVRETFPA : calculee primrest = 0 : "Plafonnement HFP avec case HQA coche" ;
INVRETFR : calculee primrest = 0 : "Plafonnement HFR" ;
INVRETFRA : calculee primrest = 0 : "Plafonnement HFR avec case HQA coche" ;
INVRETFS : calculee primrest = 0 : "Plafonnement HFS" ;
INVRETFSA : calculee primrest = 0 : "Plafonnement HFS avec case HQA coche" ;
INVRETFSR : calculee primrest = 0 : "Plafonnement HFS retrocede" ;
INVRETFSRA : calculee primrest = 0 : "Plafonnement HFS retrocede avec case 7QA coche" ;
INVRETFT : calculee primrest = 0 : "Plafonnement HFT" ;
INVRETFTA : calculee primrest = 0 : "Plafonnement HFT avec case HQA coche" ;
INVRETFTR : calculee primrest = 0 : "Plafonnement HFT retrocede" ;
INVRETFTRA : calculee primrest = 0 : "Plafonnement HFT retrocede avec case 7QA coche" ;
INVRETFU : calculee primrest = 0 : "Plafonnement HFU" ;
INVRETFUA : calculee primrest = 0 : "Plafonnement HFU avec case HQA coche" ;
INVRETFW : calculee primrest = 0 : "Plafonnement HFW" ;
INVRETFWA : calculee primrest = 0 : "Plafonnement HFW avec case HQA coche" ;
INVRETGS : calculee primrest = 0 : "Plafonnement HGS" ;
INVRETGSA : calculee primrest = 0 : "Plafonnement HGS avec case HQA coche" ;
INVRETGSR : calculee primrest = 0 : "Plafonnement HGS retrocede" ;
INVRETGSRA : calculee primrest = 0 : "Plafonnement HGS retrocede avec case 7QA coche" ;
INVRETGT : calculee primrest = 0 : "Plafonnement HGT" ;
INVRETGTA : calculee primrest = 0 : "Plafonnement HGT avec case HQA coche" ;
INVRETGTR : calculee primrest = 0 : "Plafonnement HGT retrocede" ;
INVRETGTRA : calculee primrest = 0 : "Plafonnement HGT retrocede avec case 7QA coche" ;
INVRETGU : calculee primrest = 0 : "Plafonnement HGU" ;
INVRETGUA : calculee primrest = 0 : "Plafonnement HGU avec case HQA coche" ;
INVRETGW : calculee primrest = 0 : "Plafonnement HGW" ;
INVRETGWA : calculee primrest = 0 : "Plafonnement HGW avec case HQA coche" ;
INVRETHS : calculee primrest = 0 : "Plafonnement HHS" ;
INVRETHSA : calculee primrest = 0 : "Plafonnement HHS avec case HQA coche" ;
INVRETHSR : calculee primrest = 0 : "Plafonnement HHS retrocede" ;
INVRETHSRA : calculee primrest = 0 : "Plafonnement HHS retrocede avec case 7QA coche" ;
INVRETHT : calculee primrest = 0 : "Plafonnement HHT" ;
INVRETHTA : calculee primrest = 0 : "Plafonnement HHT avec case HQA coche" ;
INVRETHTR : calculee primrest = 0 : "Plafonnement HHT retrocede" ;
INVRETHTRA : calculee primrest = 0 : "Plafonnement HHT retrocede avec case 7QA coche" ;
INVRETHU : calculee primrest = 0 : "Plafonnement HHU" ;
INVRETHUA : calculee primrest = 0 : "Plafonnement HHU avec case HQA coche" ;
INVRETHW : calculee primrest = 0 : "Plafonnement HHW" ;
INVRETHWA : calculee primrest = 0 : "Plafonnement HHW avec case HQA coche" ;
INVRETIS : calculee primrest = 0 : "Plafonnement HIS" ;
INVRETISA : calculee primrest = 0 : "Plafonnement HIS avec case HQA coche" ;
INVRETISR : calculee primrest = 0 : "Plafonnement HIS retrocede" ;
INVRETISRA : calculee primrest = 0 : "Plafonnement HIS retrocede avec case 7QA coche" ;
INVRETIT : calculee primrest = 0 : "Plafonnement HIT" ;
INVRETITA : calculee primrest = 0 : "Plafonnement HIT avec case HQA coche" ;
INVRETITR : calculee primrest = 0 : "Plafonnement HIT retrocede" ;
INVRETITRA : calculee primrest = 0 : "Plafonnement HIT retrocede avec case 7QA coche" ;
INVRETIU : calculee primrest = 0 : "Plafonnement HIU" ;
INVRETIUA : calculee primrest = 0 : "Plafonnement HIU avec case HQA coche" ;
INVRETIW : calculee primrest = 0 : "Plafonnement HIW" ;
INVRETIWA : calculee primrest = 0 : "Plafonnement HIW avec case HQA coche" ;
INVRETLOG : calculee primrest = 0 : "Plafonnement investissements logement" ;
INVRETOB : calculee primrest = 0 : "Plafonnement HOB" ;
INVRETOBA : calculee primrest = 0 : "Plafonnement 7OB avec case 7QA coche" ;
INVRETOC : calculee primrest = 0 : "Plafonnement HOC" ;
INVRETOCA : calculee primrest = 0 : "Plafonnement 7OC avec case 7QA coche" ;
INVRETOD : calculee primrest = 0 : "Plafonnement HOD" ;
INVRETODA : calculee primrest = 0 : "Plafonnement HOD avec case HQA coche" ;
INVRETOE : calculee primrest = 0 : "Plafonnement HOE" ;
INVRETOEA : calculee primrest = 0 : "Plafonnement HOE avec case HQA coche" ;
INVRETOF : calculee primrest = 0 : "Plafonnement HOF" ;
INVRETOFA : calculee primrest = 0 : "Plafonnement HOF avec case HQA coche" ;
INVRETOG : calculee primrest = 0 : "Plafonnement HOG" ;
INVRETOGA : calculee primrest = 0 : "Plafonnement HOG avec case HQA coche" ;
INVRETOI : calculee primrest = 0 : "Plafonnement 7OI" ;
INVRETOIA : calculee primrest = 0 : "Plafonnement 7OI avec case 7QA coche" ;
INVRETOJ : calculee primrest = 0 : "Plafonnement 7OJ" ;
INVRETOJA : calculee primrest = 0 : "Plafonnement 7OJ avec case 7QA coche" ;
INVRETOK : calculee primrest = 0 : "Plafonnement 7OK" ;
INVRETOKA : calculee primrest = 0 : "Plafonnement 7OK avec case 7QA coche" ;
INVRETOM : calculee primrest = 0 : "Plafonnement 7OM" ;
INVRETOMA : calculee primrest = 0 : "Plafonnement 7OM avec case 7QA coche" ;
INVRETON : calculee primrest = 0 : "Plafonnement 7ON" ;
INVRETONA : calculee primrest = 0 : "Plafonnement HON avec case HQA coche" ;
INVRETOP : calculee primrest = 0 : "Plafonnement 7OP" ;
INVRETOPA : calculee primrest = 0 : "Plafonnement 7OP avec case 7QA coche" ;
INVRETOQ : calculee primrest = 0 : "Plafonnement 7OQ" ;
INVRETOQA : calculee primrest = 0 : "Plafonnement 7OQ avec case 7QA coche" ;
INVRETOR : calculee primrest = 0 : "Plafonnement 7OR" ;
INVRETORA : calculee primrest = 0 : "Plafonnement 7OR avec case 7QA coche" ;
INVRETOT : calculee primrest = 0 : "Plafonnement 7OT" ;
INVRETOTA : calculee primrest = 0 : "Plafonnement 7OT avec case 7QA coche" ;
INVRETOU : calculee primrest = 0 : "Plafonnement 7OU" ;
INVRETOUA : calculee primrest = 0 : "Plafonnement 7OU avec case 7QA coche" ;
INVRETOV : calculee primrest = 0 : "Plafonnement 7OV" ;
INVRETOVA : calculee primrest = 0 : "Plafonnement 7OV avec case 7QA coche" ;
INVRETOW : calculee primrest = 0 : "Plafonnement 7OW" ;
INVRETOWA : calculee primrest = 0 : "Plafonnement 7OW avec case 7QA coche" ;
INVRETOX : calculee primrest = 0 : "Plafonnement HOX" ;
INVRETOXA : calculee primrest = 0 : "Plafonnement HOX avec case HQA coche" ;
INVRETOY : calculee primrest = 0 : "Plafonnement HOY" ;
INVRETOYA : calculee primrest = 0 : "Plafonnement HOY avec case HQA coche" ;
INVRETOZ : calculee primrest = 0 : "Plafonnement HOZ" ;
INVRETOZA : calculee primrest = 0 : "Plafonnement HOZ avec case HQA coche" ;
INVRETQB : calculee primrest = 0 : "Plafonnement 7QB" ;
INVRETQC : calculee primrest = 0 : "Plafonnement 7QC" ;
INVRETQD : calculee primrest = 0 : "Plafonnement 7QD" ;
INVRETQDA : calculee primrest = 0 : "Plafonnement 7QD avec case 7QA coche" ;
INVRETQL : calculee primrest = 0 : "Plafonnement 7QL" ;
INVRETQLA : calculee primrest = 0 : "Plafonnement 7QL avec case 7QA coche" ;
INVRETQM : calculee primrest = 0 : "Plafonnement 7QM" ;
INVRETQMA : calculee primrest = 0 : "Plafonnement 7QM avec case 7QA coche" ;
INVRETQT : calculee primrest = 0 : "Plafonnement 7QT" ;
INVRETSOC : calculee primrest = 0 : "Plafonnement investissements logement social" ;
INVRETUA : calculee primrest = 0 : "Plafonnement HUA" ;
INVRETUAA : calculee primrest = 0 : "Plafonnement HUA avec case HQA coche" ;
INVRETUB : calculee primrest = 0 : "Plafonnement HUB" ;
INVRETUBA : calculee primrest = 0 : "Plafonnement HUB avec case HQA coche" ;
INVRETUC : calculee primrest = 0 : "Plafonnement HUC" ;
INVRETUCA : calculee primrest = 0 : "Plafonnement HUC avec case HQA coche" ;
INVRETUD : calculee primrest = 0 : "Plafonnement HUD" ;
INVRETUDA : calculee primrest = 0 : "Plafonnement HUD avec case HQA coche" ;
INVRETUE : calculee primrest = 0 : "Plafonnement HUE" ;
INVRETUEA : calculee primrest = 0 : "Plafonnement HUE avec case HQA coche" ;
INVRETUF : calculee primrest = 0 : "Plafonnement HUF" ;
INVRETUFA : calculee primrest = 0 : "Plafonnement HUF avec case HQA coche" ;
INVRETUG : calculee primrest = 0 : "Plafonnement HUG" ;
INVRETUGA : calculee primrest = 0 : "Plafonnement HUG avec case HQA coche" ;
INVRETUH : calculee primrest = 0 : "Plafonnement HUH" ;
INVRETUHA : calculee primrest = 0 : "Plafonnement HUH avec case HQA coche" ;
INVRETUI : calculee primrest = 0 : "Plafonnement HUI" ;
INVRETUIA : calculee primrest = 0 : "Plafonnement HUI avec case HQA coche" ;
INVRETUJ : calculee primrest = 0 : "Plafonnement HUJ" ;
INVRETUJA : calculee primrest = 0 : "Plafonnement HUJ avec case HQA coche" ;
INVRETUK : calculee primrest = 0 : "Plafonnement HUK" ;
INVRETUKA : calculee primrest = 0 : "Plafonnement HUK avec case HQA coche" ;
INVRETUL : calculee primrest = 0 : "Plafonnement HUL" ;
INVRETULA : calculee primrest = 0 : "Plafonnement HUL avec case HQA coche" ;
INVRETUM : calculee primrest = 0 : "Plafonnement HUM" ;
INVRETUMA : calculee primrest = 0 : "Plafonnement HUM avec case HQA coche" ;
INVRETUN : calculee primrest = 0 : "Plafonnement HUN" ;
INVRETUNA : calculee primrest = 0 : "Plafonnement HUN avec case HQA coche" ;
INVRETUO : calculee primrest = 0 : "Plafonnement HUO" ;
INVRETUOA : calculee primrest = 0 : "Plafonnement HUO avec case HQA coche" ;
INVRETUP : calculee primrest = 0 : "Plafonnement HUP" ;
INVRETUPA : calculee primrest = 0 : "Plafonnement HUP avec case HQA coche" ;
INVRETUQ : calculee primrest = 0 : "Plafonnement HUQ" ;
INVRETUQA : calculee primrest = 0 : "Plafonnement HUQ avec case HQA coche" ;
INVRETUR : calculee primrest = 0 : "Plafonnement HUR" ;
INVRETURA : calculee primrest = 0 : "Plafonnement HUR avec case HQA coche" ;
INVRETUS : calculee primrest = 0 : "Plafonnement HUS" ;
INVRETUSA : calculee primrest = 0 : "Plafonnement HUS avec case HQA coche" ;
INVRETUT : calculee primrest = 0 : "Plafonnement HUT" ;
INVRETUTA : calculee primrest = 0 : "Plafonnement HUT avec case HQA coche" ;
INVRETUU : calculee primrest = 0 : "Plafonnement HUU" ;
INVRETUUA : calculee primrest = 0 : "Plafonnement HUU avec case HQA coche" ;
INVRETVA : calculee primrest = 0 : "Plafonnement HVA" ;
INVRETVAA : calculee primrest = 0 : "Plafonnement HVA avec case HQA coche" ;
INVRETVB : calculee primrest = 0 : "Plafonnement HVB" ;
INVRETVBA : calculee primrest = 0 : "Plafonnement HVB avec case HQA coche" ;
INVRETVC : calculee primrest = 0 : "Plafonnement HVC" ;
INVRETVCA : calculee primrest = 0 : "Plafonnement HVC avec case HQA coche" ;
INVRETVD : calculee primrest = 0 : "Plafonnement HVD" ;
INVRETVDA : calculee primrest = 0 : "Plafonnement HVD avec case HQA coche" ;
INVRETVE : calculee primrest = 0 : "Plafonnement HVE" ;
INVRETVEA : calculee primrest = 0 : "Plafonnement HVE avec case HQA coche" ;
INVRETVF : calculee primrest = 0 : "Plafonnement HVF" ;
INVRETVFA : calculee primrest = 0 : "Plafonnement HVF avec case HQA coche" ;
INVRETVG : calculee primrest = 0 : "Plafonnement HVG" ;
INVRETVGA : calculee primrest = 0 : "Plafonnement HVG avec case HQA coche" ;
INVRETVH : calculee primrest = 0 : "Plafonnement HVH" ;
INVRETVHA : calculee primrest = 0 : "Plafonnement HVH avec case HQA coche" ;
INVRETVI : calculee primrest = 0 : "Plafonnement HVI" ;
INVRETVIA : calculee primrest = 0 : "Plafonnement HVI avec case HQA coche" ;
INVRETVJ : calculee primrest = 0 : "Plafonnement HVJ" ;
INVRETVJA : calculee primrest = 0 : "Plafonnement HVJ avec case HQA coche" ;
INVRETVK : calculee primrest = 0 : "Plafonnement HVK" ;
INVRETVKA : calculee primrest = 0 : "Plafonnement HVK avec case HQA coche" ;
INVRETVL : calculee primrest = 0 : "Plafonnement HVL" ;
INVRETVLA : calculee primrest = 0 : "Plafonnement HVL avec case HQA coche" ;
INVRETXQ : calculee primrest = 0 : "Plafonnement HXQ" ;
INVRETXQA : calculee primrest = 0 : "Plafonnement HXQ avec case HQA coche" ;
INVRETXQR : calculee primrest = 0 : "Plafonnement HXQ retrocede" ;
INVRETXQRA : calculee primrest = 0 : "Plafonnement HXQ retrocede avec case HQA coche" ;
INVRETXR : calculee primrest = 0 : "Plafonnement HXR" ;
INVRETXRA : calculee primrest = 0 : "Plafonnement HXR avec case HQA coche" ;
INVRETXRR : calculee primrest = 0 : "Plafonnement HXR retrocede" ;
INVRETXRRA : calculee primrest = 0 : "Plafonnement HXR retrocede avec case HQA coche" ;
INVRETXS : calculee primrest = 0 : "Plafonnement HXS" ;
INVRETXSA : calculee primrest = 0 : "Plafonnement HXS avec case HQA coche" ;
INVRETXSR : calculee primrest = 0 : "Plafonnement HXS retrocede" ;
INVRETXSRA : calculee primrest = 0 : "Plafonnement HXS retrocede avec case HQA coche" ;
INVRETXT : calculee primrest = 0 : "Plafonnement HXT" ;
INVRETXTA : calculee primrest = 0 : "Plafonnement HXT avec case HQA coche" ;
INVRETXTR : calculee primrest = 0 : "Plafonnement HXT retrocede" ;
INVRETXTRA : calculee primrest = 0 : "Plafonnement HXT retrocede avec case HQA coche" ;
INVRETXU : calculee primrest = 0 : "Plafonnement HXU" ;
INVRETXUA : calculee primrest = 0 : "Plafonnement HXU avec case HQA coche" ;
INVRETXUR : calculee primrest = 0 : "Plafonnement HXU retrocede" ;
INVRETXURA : calculee primrest = 0 : "Plafonnement HXU retrocede avec case HQA coche" ;
INVRETYA : calculee primrest = 0 : "Plafonnement HYA" ;
INVRETYAA : calculee primrest = 0 : "Plafonnement HYA avec case HQA coche" ;
INVRETYAR : calculee primrest = 0 : "Plafonnement HYA retrocede" ;
INVRETYARA : calculee primrest = 0 : "Plafonnement HYA retrocede avec case HQA coche" ;
INVRETYB : calculee primrest = 0 : "Plafonnement HYB" ;
INVRETYBA : calculee primrest = 0 : "Plafonnement HYB avec case HQA coche" ;
INVRETYBR : calculee primrest = 0 : "Plafonnement HYB retrocede" ;
INVRETYBRA : calculee primrest = 0 : "Plafonnement HYB retrocede avec case HQA coche" ;
INVRETYC : calculee primrest = 0 : "Plafonnement HYC" ;
INVRETYCA : calculee primrest = 0 : "Plafonnement HYC avec case HQA coche" ;
INVRETYCR : calculee primrest = 0 : "Plafonnement HYC retrocede" ;
INVRETYCRA : calculee primrest = 0 : "Plafonnement HYC retrocede avec case HQA coche" ;
INVRETYD : calculee primrest = 0 : "Plafonnement HYD" ;
INVRETYDA : calculee primrest = 0 : "Plafonnement HYD avec case HQA coche" ;
INVRETYDR : calculee primrest = 0 : "Plafonnement HYD retrocede" ;
INVRETYDRA : calculee primrest = 0 : "Plafonnement HYD retrocede avec case HQA coche" ;
INVRETYE : calculee primrest = 0 : "Plafonnement HYE" ;
INVRETYEA : calculee primrest = 0 : "Plafonnement HYE avec case HQA coche" ;
INVRETYER : calculee primrest = 0 : "Plafonnement HYE retrocede" ;
INVRETYERA : calculee primrest = 0 : "Plafonnement HYE retrocede avec case HQA coche" ;
INVRETYF : calculee primrest = 0 : "Plafonnement HYF" ;
INVRETYFA : calculee primrest = 0 : "Plafonnement HYF avec case HQA coche" ;
INVRETYFR : calculee primrest = 0 : "Plafonnement HYF retrocede" ;
INVRETYFRA : calculee primrest = 0 : "Plafonnement HYF retrocede avec case HQA coche" ;
INVRETYG : calculee primrest = 0 : "Plafonnement HYG" ;
INVRETYGA : calculee primrest = 0 : "Plafonnement HYG avec case HQA coche" ;
INVRETYGR : calculee primrest = 0 : "Plafonnement HYG retrocede" ;
INVRETYGRA : calculee primrest = 0 : "Plafonnement HYG retrocede avec case HQA coche" ;
IPAE : calculee restituee primrest = 1 : "Impot paye a l'etranger (8VL, 8VM, 8WM, 8UM)" ;
IPBOCH : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8TK : "Revenus etrangers avec credit d'impot = impot francais " type REEL ;
IPCAPTAXC : calculee restituee primrest = 1 : "Impot liberatoire pension capital taxable conjoint" ;
IPCAPTAXP : calculee restituee primrest = 1 : "Impot liberatoire pension capital taxable PAC" ;
IPCAPTAXT : calculee restituee primrest = 1 : "Impot liberatoire pension capital taxable total" ;
IPCAPTAXTOT : calculee restituee primrest = 1 : "Impot liberatoire pension capital taxable total avant credit impot 8XT" ;
IPCAPTAXT_EVT1 : calculee primrest = 0 base : "IPCAPTAXT 1er evt R07, 08, 17, 18, 31 utile si C ensuite" ;
IPCAPTAXV : calculee restituee primrest = 1 : "Impot liberatoire pension capital taxable vous" ;
IPCHER : saisie revenu classe = 0 priorite = 50 categorie_TL = 50 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8TC : "Credit d'impot recherche non restituable" ;
IPHQ : calculee primrest = 0 : "Droits sur les revenus hors quotient" ;
IPHQ2 : calculee primrest = 0 : "Droits sur les revenus hors quotient (sans ded abt DOM)" ;
IPHQANT2 : calculee primrest = 0 : "ancien plafqf: revenus hors quotient" ;
IPMOND : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 8TI : "Taux effectif" ;
IPPNCS : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8TU : "Revenus nets patrimoine etrangers avec credit d'impot (CSG, CRDS, PS)" type REEL ;
IPPRICORSE : saisie revenu classe = 0 priorite = 40 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8TP : "Reprise credit d'impot Corse " ;
IPQ01 : calculee primrest = 0 : "Droit sur les revenus hors quotient" ;
IPQ02 : calculee primrest = 0 : "Droit sur les revenus hors quotient" ;
IPQ03 : calculee primrest = 0 : "Droit sur les revenus hors quotient avec 3WG" ;
IPQ05 : calculee primrest = 0 : "Droit sur les revenus hors quotient" ;
IPQ1 : calculee primrest = 0 : "Droits simples totaux" ;
IPQ1001 : calculee primrest = 0 : "Droit sur les bases de quotient 1 a x" ;
IPQ1005 : calculee primrest = 0 : "Droit sur tous les revenus au quotient" ;
IPQ11 : calculee primrest = 0 : "Droit sur tous les revenus au quotient" ;
IPQ15 : calculee primrest = 0 : "Droit sur tous les revenus au quotient" ;
IPQ2 : calculee primrest = 0 : "Droits simples totaux" ;
IPQ21 : calculee primrest = 0 : "Droit sur les bases de quotient 1 a x" ;
IPQ25 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
IPQ3 : calculee primrest = 0 : "Droits simples totaux avec 3WG" ;
IPQ31 : calculee primrest = 0 : "Droit sur les bases de quotient 1 a x" ;
IPQ35 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
IPQ41 : calculee primrest = 0 : "Droit sur les bases de quotient 1 a x" ;
IPQ45 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
IPQ5 : calculee primrest = 0 : "Droits simples totaux" ;
IPQANT01 : calculee primrest = 0 : "ancien plafqf:Droit sur les revenus hors quotient" ;
IPQANT1 : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQANT1001 : calculee primrest = 0 : "ancien plafqf:Droit sur tous les revenus au quotient" ;
IPQANT11 : calculee primrest = 0 : "ancien plafqf:Droit sur tous les revenus au quotient" ;
IPQANT21 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 a x" ;
IPQANT31 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 a x" ;
IPQANT41 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 a x" ;
IPQANTRUA : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQANTRVG : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQANTRWA : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQANTRWB : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQF11 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF15 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF21 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF25 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF31 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF35 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF41 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQF45 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC" ;
IPQFANT11 : calculee primrest = 0 : "ancine plafqf:Droit sur les pensions footballeurs PAC" ;
IPQFANT21 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions footballeurs PAC" ;
IPQFANT31 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions footballeurs PAC" ;
IPQFANT41 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions footballeurs PAC" ;
IPQFANTC1 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions footballeurs CONJOINT" ;
IPQFANTV1 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions footballeurs VOUS" ;
IPQFC1 : calculee primrest = 0 : "Droit sur les pensions footballeurs CONJOINT" ;
IPQFC5 : calculee primrest = 0 : "Droit sur les pensions footballeurs CJT" ;
IPQFV1 : calculee primrest = 0 : "Droit sur les pensions footballeurs VOUS" ;
IPQFV5 : calculee primrest = 0 : "Droit sur les pensions footballeurs VOUS" ;
IPQPALIM11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM15 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM25 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM35 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIM45 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMANT11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMANT21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMANT31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMANT41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMANTC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMANTV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMC5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPALIMV5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR15 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR25 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR35 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRR45 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANT11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANT21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANT31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANT41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTZ11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTZ21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTZ31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTZ41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTZC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRANTZV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRC5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRV5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ15 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ25 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ35 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZ45 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZC5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQPRRZV5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAF : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAF1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAF5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAFANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRAG : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAG1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAG5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAGANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRAI : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAI5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAIANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RAI" ;
IPQRAL : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAL1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAL5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRALANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRAM : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAM5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRAMANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRBF : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBF1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBF5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBFANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRBG : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBG1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBG5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBGANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRBI : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBI5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBIANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RBI" ;
IPQRBL : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBL1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBL5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBLANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRBM : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBM5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRBMANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRCF : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCF1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCF5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCFANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRCG : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCG1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCG5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCGANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRCK : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCK5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCKANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RCK" ;
IPQRCL : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCL1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCL5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCLANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRCM : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCM5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRCMCH1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMCH5 : calculee primrest = 0 : "droits sur les rcm quotient" ;
IPQRCMCHANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMDC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMDC5 : calculee primrest = 0 : "droits sur les rcm quotient" ;
IPQRCMDCANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMFU1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMFU5 : calculee primrest = 0 : "droits sur les rcm quotient" ;
IPQRCMFUANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMGO1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMGO5 : calculee primrest = 0 : "droits sur les rcm quotient" ;
IPQRCMGOANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMTR1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMTR5 : calculee primrest = 0 : "droits sur les rcm quotient" ;
IPQRCMTRANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMTS1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMTS5 : calculee primrest = 0 : "droits sur les rcm quotient" ;
IPQRCMTSANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRCMYY1 : calculee primrest = 0 : " droits quotient RYY" ;
IPQRCMYY5 : calculee primrest = 0 : "droits sur les rcm quotient RYY" ;
IPQRCMYYANT1 : calculee primrest = 0 : "droits quotient RYY" ;
IPQRDF : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDF1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDF5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDFANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRDG : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDG1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDG5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDGANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRDL : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDL1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDL5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDLANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRDM : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDM5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRDMANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQREF : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREF1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREF5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREFANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQREL : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREL1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREL5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRELANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQREM : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREM5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQREMANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRF11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRF15 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRF21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRF25 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRF31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRF35 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFANT11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFANT21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFANT31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFF : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFF1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFF5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFFANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRFG : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFG1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFG5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFGANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRFL : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFL1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFL5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFLANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRFM : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFM5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRFMANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRGG : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRGG1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRGG5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRGGANT : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRUA1 : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RUA" ;
IPQRUA5 : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQRVG1 : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RVG" ;
IPQRVG5 : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQRVO1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO1R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO51 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO51R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO55 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO55R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO5ANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO5ANT1R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO5R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO61 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO61R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO65 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO65R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO6ANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO6ANT1R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO71 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO71R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO75 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO75R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO7ANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVO7ANT1R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVOANT1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRVOANT1R : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQRWA1 : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWA" ;
IPQRWA5 : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQRWB1 : calculee primrest = 0 : "Droit sur tous les revenus au quotient code RWB" ;
IPQRWB5 : calculee primrest = 0 : "ancien plafqf:Droits simples totaux" ;
IPQT : calculee primrest = 0 : "Droit sur tous les revenus au quotient" ;
IPQT2 : calculee primrest = 0 : "Droit sur tous les revenus au quotient (sans ded abt DOM)" ;
IPQTS11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS15 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS25 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS35 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTS45 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSANT11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSANT21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSANT31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSANT41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSANTC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSANTV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSC5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP15 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP25 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP35 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMP45 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPANT11 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPANT21 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPANT31 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPANT41 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPANTC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPANTV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPC1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPC5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSREMPV5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSV1 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPQTSV5 : calculee primrest = 0 : "ancien plafqf : droits quotient" ;
IPRECH : saisie revenu classe = 0 priorite = 50 categorie_TL = 50 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8TB : "Credit d'impot recherche restituable" ;
IPREP : saisie revenu classe = 0 priorite = 40 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8TF : "Reprises de reduction d'impot" ;
IPREPCORSE : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8TO : "Report credit d'impot Corse " ;
IPRODOM1 : calculee primrest = 0 : "Impot proportionnel dom" ;
IPRODOM4 : calculee primrest = 0 : "Impot proportionnel dom" ;
IPRODOM6 : calculee primrest = 0 : "Impot proportionnel dom" ;
IPROGUY1 : calculee primrest = 0 : "Impot proportionnel guy" ;
IPROGUY4 : calculee primrest = 0 : "Impot proportionnel guy" ;
IPROGUY6 : calculee primrest = 0 : "Impot proportionnel guy" ;
IPROP : calculee restituee primrest = 1 : "Impot proportionnel" ;
IPSOUR : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8TA : "Retenue a la source, des non residents au taux de 20 %" ;
IPSUIS : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TJ : "Frontalier franco-suisse - Declarant 1" ;
IPSUISC : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TY : "Frontalier franco-suisse - Declarant 2" ;
IPSURSI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TN : "Montant de l'impot en sursis de paiement " ;
IPTEFN : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8ZN : "Taux effectif - Deficit mondial" ;
IPTEFN1731 : calculee restituee primrest = 0 base : "Deficit 8ZN pour 1731" ;
IPTEFNP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
IPTEFP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8ZR : "Taux effectif - Revenu mondial" type REEL ;
IPTXMO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 0 modcat = 1 primrest = 0 alias 8TM : "Taux moyen - Revenu net mondial " ;
IQUOAUT : calculee primrest = 0 : "Impot quotient autrea soustraire  pour prorata dom" ;
IQUODAJ1 : calculee primrest = 0 : "Impot quotient DAJ 30% dom" ;
IQUOEAJ1 : calculee primrest = 0 : "Impot quotient EAJ 40% dom" ;
IQUORAJ1 : calculee primrest = 0 : "Impot quotient RAJ RBJ metro" ;
IQUOTOT1 : calculee primrest = 0 : "Impot au quotient tous quotients confondus" ;
IQUOTOT5 : calculee primrest = 0 : "Impot au quotient tous quotients confondus" ;
IQUOTOTANT1 : calculee primrest = 0 : "pour ancien plafqf:Impot au quotient tous quotients confondus" ;
IR9YI : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
IR9YIP : calculee primrest = 0 : "Calcul INR : Base pour prorata 9YI/9YP primitif" ;
IR9YIPA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
IR9YIPA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
IR9YI_A : calculee primrest = 0 base : "Correctif: IR9YI" ;
IR9YI_P : calculee primrest = 0 base : "IR9YI primitif" ;
IR9YI_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
IR9YI_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
IRACPAS : calculee restituee primrest = 1 : "RAS et acomptes IR" ;
IRANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8ZG : "IR provisoire suite a cessation, cession" ;
IRANT_A : calculee primrest = 0 base : "Imposition provisoire anterieure" ;
IRB : calculee restituee primrest = 1 : "Impot brut" ;
IRB2 : calculee restituee primrest = 0 : "Impot brut+ CRDB + CADB brutes" ;
IRBAF : calculee primrest = 0 : "Impot brut AF" ;
IRBASE : calculee restituee primrest = 0 : "base des majorations en IR" ;
IRBASE2042_FIC : calculee restituee primrest = 0 base : "Montant IRN en base declaration fictive" ;
IRBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde irbase" ;
IRBASE_I : calculee restituee primrest = 0 : "base des majorations en IR pour alimenter IRBASE_IREF" ;
IRBASE_IRECT : calculee restituee primrest = 0 base : "Montant IR isole : IR calcule - CI calcule" ;
IRBASE_N : calculee restituee primrest = 0 : "base des majorations en IR pour alimenter IRBASE_NREF" ;
IRBASE_NRECT : calculee restituee primrest = 0 base : "Montant IR +TAXAGA, HR PCAP - CI" ;
IRBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde IRBASE" ;
IRBINR : calculee primrest = 0 : "Impot brut pour INR" ;
IRBTEO : calculee primrest = 0 : "Impot brut AF" ;
IRCOMMUN : calculee restituee primrest = 0 : "IR revenus indiv communs PAS" ;
IRCOMP : calculee restituee primrest = 1 : "Total IR avec montants non mis en recouvrement et non restitues" ;
IRCOMPANT : calculee restituee primrest = 1 : "Ant. total IR avec montants non mis en recouvrement, non restitues" ;
IRCUM : calculee restituee primrest = 1 : "Cumul de l'imposition anterieurement acquittee" ;
IRCUMBIS : calculee primrest = 0 : "IRCUM intermediaire" ;
IRCUM_A : calculee primrest = 0 base : "Imposition IR anterieure" ;
IRD : calculee primrest = 0 : "Impot sur le revenu du" ;
IRDEG : calculee restituee primrest = 1 : "Impot sur le revenu degreve (SANS DROIT DE BAIL)" ;
IRE : calculee restituee primrest = 1 : "Imputations restituables" ;
IRE2 : calculee restituee primrest = 0 : "Imputations restituables yc credit d impot adhesion CGA" ;
IREAF : calculee primrest = 0 : "Imputations restituables pour PLAF" ;
IRECR : calculee restituee primrest = 0 : "Credit recherche reportable" ;
IRECRAF : calculee primrest = 0 : "Credit recherche reportable AF" ;
IREP : calculee restituee primrest = 1 : "Reprise d'impot" ;
IREST : calculee restituee primrest = 1 : "Impot sur le revenu restitue  (IR + 1%)" ;
IRESTCIMR : calculee restituee primrest = 1 : "IREST sans CIMR" ;
IRESTIR : calculee restituee primrest = 1 : "Impot sur le revenu restitue  total sans contrib soc" ;
IRESTIT : calculee restituee primrest = 0 : "Impot sur le revenu restitue total (IR + 1%)" ;
IRESTITIR : calculee restituee primrest = 0 : "Impot sur le revenu restitue total IR  sans PS" ;
IREST_A : calculee primrest = 0 base : "correctif: impot sur le revenu restitue (IR + 1%)" ;
IRETS : calculee restituee primrest = 1 : "Retenue a la source" ;
IRETS1 : calculee restituee primrest = 1 : "Retenue a la source IPSOUR limite IR avant CI" ;
IRETS1AF : calculee primrest = 0 : "Retenue a la source IPSOUR limite IR avant CI AF" ;
IRETS2 : calculee restituee primrest = 1 : "Retenue a la source IPAE limite 8PA ou (IR avant CI - IRETS1)" ;
IRETS21 : calculee restituee primrest = 1 : "Retenue a la source IPAE limite 8PB ou (IR avant CI - IRETS1)" ;
IRETS21AF : calculee primrest = 0 : "Retenue a la source IPAE limite 8PB ou (IR avant CI - IRETS1) AF" ;
IRETS2AF : calculee primrest = 0 : "Retenue a la source IPAE limite 8PA ou (IR avant CI - IRETS1) AF" ;
IRETSAF : calculee primrest = 0 : "Retenue a la source AF" ;
IREXIT : calculee restituee primrest = 1 base : "Impot correspondant a exit tax si 3WA et 3WB/WI presents" ;
IREXITI : calculee restituee primrest = 1 base : "Impot correspondant a exit tax sans 3WB" ;
IREXITS : calculee restituee primrest = 1 base : "Impot correspondant a exit tax avec 3WA" ;
IRINDIV : calculee restituee primrest = 0 : "Impot de reference individuel PAS" ;
IRINDIV1 : calculee restituee primrest = 0 : "Impot de reference individuel PAS" ;
IRINDPAS : calculee primrest = 0 : "IR des revenus ordinaires individualises PAS" ;
IRINDPAS1 : calculee primrest = 0 : "IR des revenus ordinaires individualises PAS" ;
IRINDPAS2 : calculee primrest = 0 : "IR des revenus ordinaires individualises PAS" ;
IRINDPASC : calculee primrest = 0 : "IR des revenus ordinaires individualises PAS - Dec 2" ;
IRINDPASQ : calculee primrest = 0 : "IR des revenus ordinaires individualises + quotient PAS" ;
IRINDPASQ1 : calculee primrest = 0 : "IR des revenus ordinaires individualises + quotient PAS" ;
IRINDPASQ2 : calculee primrest = 0 : "IR des revenus ordinaires individualises + quotient PAS" ;
IRINDPASQC : calculee primrest = 0 : "IR des revenus ordinaires individualises + quotient PAS - Dec 2" ;
IRINDPASQV : calculee primrest = 0 : "IR des revenus ordinaires individualises + quotient PAS - Dec 1" ;
IRINDPASV : calculee primrest = 0 : "IR des revenus ordinaires individualises PAS - Dec 1" ;
IRN : calculee restituee primrest = 1 : "Impot net ou restitution nette" ;
IRN8EA : calculee restituee primrest = 1 : "Impot net ou restitution nette" ;
IRNAF : calculee primrest = 0 : "Impot net ou restitution nette AF" ;
IRNET : calculee restituee primrest = 1 : "Total de votre imposition (si positif)" ;
IRNET2 : calculee primrest = 0 : "Total de votre imposition" ;
IRNET3 : calculee restituee primrest = 1 : "Total de votre imposition (si positif) - documents comptables" ;
IRNETBA : calculee restituee primrest = 1 : "Total de votre imposition (si positif) avec BA - documents comptables" ;
IRNETBIS : calculee primrest = 0 : "IRNET avant bidouille du 8ZI" ;
IRNETTER : calculee primrest = 0 : "IRNET avant bidouille du 8ZI" ;
IRNET_A : calculee primrest = 0 base : "Net a payer IR anterieur" ;
IRNIN : calculee restituee primrest = 1 : "IMPOT SERVANT AU CALCUL DES BASES DES MAJOS 1728 ET INR" ;
IRNINCFIR : calculee restituee primrest = 0 : "total IR sans les penalites en IR" ;
IRNINHCOA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
IRNINHCOA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
IRNINMAJOP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde base majo P" ;
IRNINMAJOP_DEF : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
IRNINMAJO_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
IRNINTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde IRNIN pour depot tardif" ;
IRNINTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde irnin pour depot tardif" ;
IRNIN_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
IRNIN_INR : calculee primrest = 0 : "IMPOT BASE DES INR apres imputation 9YI" ;
IRNIN_INRREF : calculee primrest = 0 : "IMPOT BASE DES INR apres imputation 9YI" ;
IRNIN_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
IRNIN_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
IRNIN_MAJOP : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
IRNIN_NTLDEC : calculee primrest = 0 base : "MONTANT IR base des INR retard non TL du traitement courant" ;
IRNIN_NTLDEC_1 : calculee primrest = 0 base : "MONTANT IR base des INR retard non TL du traitement courant code 22" ;
IRNIN_NTLDEC_198 : calculee primrest = 0 base : "MONTANT IR base des INR retard non TL du traitement courant code 22" ;
IRNIN_NTLDEC_22 : calculee primrest = 0 base : "MONTANT IR base des INR retard non TL du traitement courant code 22" ;
IRNIN_NTLDEC_24 : calculee primrest = 0 base : "MONTANT IR base des INR retard non TL du traitement courant code 22" ;
IRNIN_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
IRNIN_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
IRNIN_PADO : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
IRNIN_PADO_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
IRNIN_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
IRNIN_R : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
IRNIN_R9901 : calculee primrest = 0 base : " nouv cor:IR rectifie pour calcul INR code 99 prim. ou 01 " ;
IRNIN_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
IRNIN_R99R : calculee primrest = 0 base : " nouv cor:IR rectifie pour calcul INR code 99 prim. penalisee" ;
IRNIN_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
IRNIN_RECT : calculee primrest = 0 base : " nouv cor:IR rectifie pour calcul INR" ;
IRNIN_RECT_A : calculee primrest = 0 base : "Correctif: impot ayant subi la rectif" ;
IRNIN_REF : calculee primrest = 0 base : "MONTANT IR  base du calcul INR" ;
IRNIN_REFP : calculee primrest = 0 base : "MONTANT IR initiale maj R99 et C base du calcul INR" ;
IRNIN_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
IRNIN_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde IRNIN pour retard" ;
IRNIN_TLDEC : calculee primrest = 0 base : "MONTANT IR base des INR retard TL du traitement courant" ;
IRNIN_TLDEC_1 : calculee primrest = 0 base : "MONTANT IR base des INR retard TL du traitement courant code 22" ;
IRNIN_TLDEC_199 : calculee primrest = 0 base : "MONTANT IR base des INR retard TL du traitement courant code 22" ;
IRNIN_TLDEC_22 : calculee primrest = 0 base : "MONTANT IR base des INR retard TL du traitement courant code 22" ;
IRNIN_TLDEC_24 : calculee primrest = 0 base : "MONTANT IR base des INR retard TL du traitement courant code 24" ;
IRNN : calculee restituee primrest = 0 : "IR net (immediat+differe) hors 1% fiscal (base majo 1729)" ;
IRN_A : calculee primrest = 0 base : "Correctif: impot net ou restitution nette" ;
IRPREMIER : calculee restituee primrest = 0 : "IR revenus indiv plus bas PAS" ;
IRPROV : calculee restituee primrest = 1 : "IR provisoire 8ZG ventile entre les dif. impots ==> IR" ;
IRPSCUM : calculee restituee primrest = 1 : "Cumul total de l'imposition anterieurement acquittee avec PS" ;
IRPSCUM_P : calculee primrest = 0 base : "Base IR PS primitif" ;
IRPSNET : calculee restituee primrest = 1 : "Solde total impot sur le revenu et prelevements sociaux(avis)" ;
IRPSREST : calculee restituee primrest = 1 : "Solde total IR et PS restitue - DESF" ;
IRPUR : calculee restituee primrest = 1 : "Part IR hors reprise avance RICI montant mis en recouvrement IR" ;
IRRAP : calculee restituee primrest = 1 : "reprise avance RICI montant mis en recouvrement au titre  de l'IR" ;
IRTOTAL : calculee restituee primrest = 1 : "IR total foyer PAS" ;
IR_ANT : calculee primrest = 0 base : "MONTANT IR base des INR retard traitement precedent" ;
IR_ANT2 : calculee primrest = 0 base : "MONTANT IR base des INR retard traitement precedent" ;
IR_ISO_RECT : calculee primrest = 0 base : "IR apres prise en compte de tous rappels" ;
IR_NTL : calculee primrest = 0 base : "MONTANT IR base des INR NTL retard traitement courant" ;
IR_NTL2 : calculee primrest = 0 base : "MONTANT IR base des INR NTL retard traitement courant" ;
IR_NTL_1 : calculee primrest = 0 base : "MONTANT IR base des INR NTL retard traitement courant code 22" ;
IR_NTL_22 : calculee primrest = 0 base : "MONTANT IR base des INR NTL retard traitement courant code 22" ;
IR_NTL_222 : calculee primrest = 0 base : "MONTANT IR base des INR NTL retard traitement courant code 22" ;
IR_NTL_24 : calculee primrest = 0 base : "MONTANT IR base des INR NTL retard traitement courant code 22" ;
IR_NTL_242 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant code 22" ;
IR_PRI : calculee primrest = 0 base : "MONTANT IR base des INR retard primitif" ;
IR_PRI2 : calculee primrest = 0 base : "MONTANT IR base des INR retard primitif" ;
IR_REF_INR : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement de reference" ;
IR_TL : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant" ;
IR_TL2 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant" ;
IR_TL_1 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant code 22" ;
IR_TL_22 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant code 22" ;
IR_TL_222 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant code 22" ;
IR_TL_24 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant code 22" ;
IR_TL_242 : calculee primrest = 0 base : "MONTANT IR base des INR TL retard traitement courant code 22" ;
IS011 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS012 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS013 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial avec 3WG" ;
IS014 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS015 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS016 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial 8VV art. 168" ;
IS021 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS022 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS023 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial avec 3WG" ;
IS024 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS025 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial Tx moyen" ;
IS026 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial 8VV art. 168" ;
IS511 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS512 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS513 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial avec 3WG" ;
IS515 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS521 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS522 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial" ;
IS523 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial avec 3WG" ;
IS525 : calculee primrest = 0 : "Droits simples avant plafonnement du quotient familial Tx moyen" ;
ISF1 : calculee restituee primrest = 0 : "Avis ISF :  Si decote, montant ISF avant decote" ;
ISF4BASE : calculee primrest = 0 : "base des penalites en ISF" ;
ISF4BIS : calculee restituee primrest = 0 : "Net a payer ISF avec contribution exceptionnelle avant penalites" ;
ISFDEG : calculee restituee primrest = 0 : "Impot sur la fortune degreve   " ;
ISFDEGR : calculee restituee primrest = 0 : "Degrevement ISF calcule pouvant etre inferieur a 8 euros" ;
ISFNET : calculee restituee primrest = 0 base : "Avis ISF : Net a payer ISF apres pena eventuelles- avant seuil mer" ;
ISFTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde isf pour retard" ;
ISF_A : calculee primrest = 0 base : "correctif : Isf anterieure" ;
ISF_P : calculee primrest = 0 base : "ISF" ;
ISF_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
ISF_PA_A : calculee primrest = 0 base : "Correctif: impot ISF servant de base au calcul INR ant" ;
ISNETDAJ4 : calculee primrest = 0 : "Impot proportionnel dom" ;
ISNETEAJ4 : calculee primrest = 0 : "Impot proportionnel dom" ;
ITOTDOM1 : calculee primrest = 0 : "Impot proportionnel dom" ;
ITOTDOM4 : calculee primrest = 0 : "Impot proportionnel dom" ;
ITOTDOM6 : calculee primrest = 0 : "Impot proportionnel dom" ;
ITP : calculee primrest = 0 : "Impot @ taux proportionnel" ;
ITPRCM : calculee primrest = 0 : "Impot @ taux proportionnel RCM code 2FA" ;
ITRED : calculee restituee primrest = 1 : "Total des reductions d'impot" ;
ITREDFRI : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 restituee primrest = 0 alias V_REDFRI : "ITRED de la decla finale avant application 1731 bis " type REEL ;
ITRED_P : calculee primrest = 0 base : "total reductions  declaration primitive pour calcul de DEFRI -art1731" ;
JEUNART : calculee restituee primrest = 0 : "zone pour visual basic: jeune createur" ;
LIBIMP : calculee restituee primrest = 1 : "Versements liberatoire : montant impute" ;
LIBREST : calculee restituee primrest = 1 : "Versements liberatoire : montant restitution" ;
LIG0 : calculee restituee primrest = 1 : "indicateur valeur locative de l'avis facture" ;
LIG0010 : calculee restituee primrest = 1 : "indicateur ligne 0010 de l'avis detaille IR" ;
LIG0020 : calculee restituee primrest = 1 : "indicateur ligne 0020 de l'avis detaille IR" ;
LIG0030 : calculee restituee primrest = 1 : "indicateur ligne 0030 de l'avis detaille IR" ;
LIG0040 : calculee restituee primrest = 1 : "indicateur ligne 0040 de l'avis detaille IR" ;
LIG0050 : calculee restituee primrest = 1 : "indicateur ligne 0050 de l'avis detaille IR" ;
LIG0060 : calculee restituee primrest = 1 : "indicateur ligne 0060 de l'avis detaille IR" ;
LIG0070 : calculee restituee primrest = 1 : "indicateur ligne 0070 de l'avis detaille IR" ;
LIG01 : calculee restituee primrest = 1 : "indicateur  de l'avis facture" ;
LIG02 : calculee restituee primrest = 1 : "Indicateur avis LIG0 + LIG2" ;
LIG062C : calculee restituee primrest = 1 : "indicateur d'affichage ligne pension quotient 2 cjt IR" ;
LIG062P : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 pac IR" ;
LIG062V : calculee restituee primrest = 1 : "indicateur d'affichage ligne pension quotient 2 vous IR" ;
LIG066 : calculee restituee primrest = 1 : "indicateur d'affichage de l'avis detaille d l'IR" ;
LIG1 : calculee restituee primrest = 1 : "indicateur presence article 168 CGI avis facture" ;
LIG10 : calculee restituee primrest = 1 : "indicateur colonnde de ligne 10 de l'avis detaille de l'IR" ;
LIG106 : calculee restituee primrest = 1 : "indicateur ligne 106 de l'avis detaille de l'IR" ;
LIG10622 : calculee restituee primrest = 1 : "indicateur ligne 106 de l'avis detaille de l'IR code 22" ;
LIG109 : calculee restituee primrest = 1 : "indicateur ligne 109 de l'avis detaille de l'IR" ;
LIG10C : calculee restituee primrest = 1 : "indicateur colonnde de ligne 10 de l'avis detaille de l'IR" ;
LIG10P : calculee restituee primrest = 1 : "indicateur colonnde de ligne 10 de l'avis detaille de l'IR" ;
LIG10V : calculee restituee primrest = 1 : "indicateur colonnde de ligne 10 de l'avis detaille de l'IR" ;
LIG10YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG1100 : calculee restituee primrest = 1 : "indicateur d'affichage de l'avis detaille d l'IR" ;
LIG1111 : calculee restituee primrest = 1 : "Ligne pour art. 1731bis" ;
LIG1112 : calculee restituee primrest = 1 : "Ligne pour art. 1731bis" ;
LIG1130 : calculee restituee primrest = 1 : "indicateur ligne 1130de l'avis detaille de l'IR" ;
LIG12 : calculee restituee primrest = 1 : "Indicateur avis LIG1 + LIG2" ;
LIG121 : calculee restituee primrest = 1 : "Ligne pour art. 1731bis" ;
LIG12NMR : calculee restituee primrest = 1 : "indicateur ligne non mis en recouv. avec 8ZG (12 E)" ;
LIG13 : calculee restituee primrest = 1 : "indicateur ligne 13 de l'avis detaille de l'IR" ;
LIG134 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG134C : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG134P : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG134V : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG136 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG138 : calculee restituee primrest = 1 : "Indicateur affichage avis IR" ;
LIG1390 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG1430 : calculee restituee primrest = 1 : "indicateur ligne 1430 de l'avis detaille de l'IR" ;
LIG1431 : calculee restituee primrest = 1 : "indicateur ligne revenu forfaitaire taux 18 %" ;
LIG1432 : calculee restituee primrest = 1 : "Indicateur ligne revenu forfaitaire taux 19 %" ;
LIG1500 : calculee restituee primrest = 1 : "indicateur ligne 1500de l'avis detaille de l'IR" ;
LIG1500YT : calculee restituee primrest = 1 : "Indicateur de l'avis IR avec 9YT" ;
LIG150BPS1 : calculee restituee primrest = 1 : "Indicateur exit tax et CEHR art. 150-0 Bter - PS 15,5%" ;
LIG150BPS2 : calculee restituee primrest = 1 : "Indicateur exit tax et CEHR art. 150-0 Bter - PS 17,2%" ;
LIG150BTER : calculee restituee primrest = 1 : "Indicateur exit tax et CEHR art. 150-0 Bter" ;
LIG1510 : calculee restituee primrest = 1 : "indicateur ligne 1510de l'avis detaille de l'IR" ;
LIG1510YT : calculee restituee primrest = 1 : "Indicateur de l'avis IR avec 9YT" ;
LIG1522 : calculee restituee primrest = 1 : "indicateur ligne 1522 de l'avis detaille de l'IR" ;
LIG1523 : calculee restituee primrest = 1 : "indicateur ligne 1523 de l'avis detaille de l'IR" ;
LIG1545 : calculee restituee primrest = 1 : "indicateur ligne 1545de l'avis detaille de l'IR" ;
LIG1546 : calculee restituee primrest = 1 : "indicateur ligne prorata DOM avis" ;
LIG1550 : calculee restituee primrest = 1 : "indicateur ligne taux moyen de l'avis detaille de l'IR" ;
LIG1740 : calculee restituee primrest = 1 : "reduction d impot complementaire plafonnement QF" ;
LIG1760 : calculee restituee primrest = 1 : "indicateur ligne de l'avis detaille de l'IR" ;
LIG1780 : calculee restituee primrest = 1 : "indicateur ligne 1780de l'avis detaille de l'IR" ;
LIG1820 : calculee restituee primrest = 1 : "montant de l impot net sur les revenus soumis au bareme" ;
LIG1950 : calculee restituee primrest = 1 : "indicateur ligne 1950de l'avis detaille de l'IR" ;
LIG2 : calculee restituee primrest = 1 : "Indicateur avis IR + PS" ;
LIG2040 : calculee restituee primrest = 1 : "indicateur inv. non pro dom tom entreprise avis detaille de l'IR" ;
LIG2051 : calculee restituee primrest = 1 : "indicateur ligne 2051 de l'avis detaille IR" ;
LIG2052 : calculee restituee primrest = 1 : "indicateur ligne IR anterieur a deduire" ;
LIG2053 : calculee restituee primrest = 1 : "indicateur ligne 2050 de l'avis detaille IR" ;
LIG20YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG2140 : calculee restituee primrest = 1 : "indicateur ligne 2140 de l'avis detaille IR" ;
LIG2141 : calculee restituee primrest = 1 : "indicateur de l'avis detaille IR" ;
LIG2150 : calculee restituee primrest = 1 : "indicateur ligne 2150 de l'avis detaille IR" ;
LIG2171 : calculee restituee primrest = 1 : "indicateur ligne 2160 de l'avis detaille IR" ;
LIG2305 : calculee restituee primrest = 1 : "indicateur ligne de l'avis detaille IR" ;
LIG2355 : calculee restituee primrest = 1 : "indicateur ligne 2355de l'avis detaille de l'IR" ;
LIG2380 : calculee restituee primrest = 1 : "indicateur ligne 2355de l'avis detaille de l'IR" ;
LIG2383 : calculee restituee primrest = 1 : "indicateur ligne 1545de l'avis detaille de l'IR" ;
LIG2501 : calculee restituee primrest = 1 : "indicateur ligne 2501 de l'avis detaille IR" ;
LIG25012 : calculee restituee primrest = 1 : "indicateur lignes absence de revenu non residents" ;
LIG2503 : calculee restituee primrest = 1 : "indicateur ligne 2503 de l'avis detaille IR" ;
LIG29 : calculee restituee primrest = 1 : "indicateur ligne 29 de l'avis detaille de l'IR" ;
LIG2OP : calculee restituee primrest = 1 : "Indicateur presence 2OP" ;
LIG2RCMABT : calculee restituee primrest = 1 : "indicateur d'affichage de l'avis detaille d l'IR" ;
LIG2TU : calculee restituee primrest = 1 : "Indicateur perte en capital (2TU)" ;
LIG2TUV : calculee restituee primrest = 1 : "Indicateur perte en capital (2TU, 2TV)" ;
LIG3 : calculee restituee primrest = 1 : "Indicateur taux majo. > 40 %" ;
LIG30 : calculee restituee primrest = 1 : "indicateur ligne micro foncier de l'avis detaille de l'IR" ;
LIG30YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG3525 : calculee restituee primrest = 1 : "indicateur ligne pour memoire avis detaille IR" ;
LIG3710 : calculee restituee primrest = 1 : "indicateur ligne 3710 de l'avis detaille IR" ;
LIG3720 : calculee restituee primrest = 1 : "indicateur ligne 3720 de l'avis detaille IR" ;
LIG3730 : calculee restituee primrest = 1 : "indicateur ligne 3730 de l'avis detaille IR" ;
LIG3740 : calculee restituee primrest = 1 : "indicateur ligne 3740 de l'avis detaille IR" ;
LIG3750 : calculee restituee primrest = 1 : "indicateur ligne 3750 de l'avis detaille IR" ;
LIG400DEG : calculee restituee primrest = 1 : "LIGNE votre impot net a payer est inferieur a 61 E (degrevement)" ;
LIG40YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG4271 : calculee restituee primrest = 1 : "Indicateur ligne 4271 de l'avis detaille IR" ;
LIG49 : calculee restituee primrest = 1 : "indicateur ligne 49 de l'avis detaille de l'IR" ;
LIG50YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG52 : calculee restituee primrest = 1 : "indicateur ligne 52 de l'avis detaille de l'IR" ;
LIG58 : calculee restituee primrest = 1 : "indicateur ligne 57 de l'avis detaille de l'IR" ;
LIG585 : calculee restituee primrest = 1 : "indicateur ligne 57 de l'avis detaille de l'IR" ;
LIG5HY : calculee restituee primrest = 1 : "Indicateur lignes 5HY PAS" ;
LIG5HY1 : calculee restituee primrest = 1 : "Indicateur lignes 5HY PAS correctif sans option" ;
LIG5IY : calculee restituee primrest = 1 : "Indicateur lignes 5IY PAS" ;
LIG5IY1 : calculee restituee primrest = 1 : "Indicateur lignes 5IY PAS correctif sans option" ;
LIG60YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG65 : calculee restituee primrest = 1 : "indicateur ligne 65 de l'avis detaille de l'IR" ;
LIG68 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIG70YT : calculee restituee primrest = 1 : "Indicateur ligne 0010 de l'avis detaille IR avec 9YT" ;
LIG74 : calculee restituee primrest = 1 : "indicateur ligne 74 de l'avis detaille de l'IR" ;
LIG75 : calculee restituee primrest = 1 : "indicateur ligne 75 de l'avis detaille de l'IR" ;
LIG7GW : calculee restituee primrest = 1 : "Indicateur report plafonnement global entreprises solidaires (7GW)" ;
LIG80 : calculee restituee primrest = 1 : "indicateur ligne 80 de l'avis detaille de l'IR" ;
LIG81 : calculee restituee primrest = 1 : "indicateur ligne 81 de l'avis detaille de l'IR" ;
LIG815 : calculee restituee primrest = 1 : "indicateur ligne 81 de l'avis detaille de l'IR" ;
LIG816 : calculee restituee primrest = 1 : "indicateur ligne 35 de l'avis detaille de l'IR" ;
LIG82 : calculee restituee primrest = 1 : "indicateurlig 82de l'avis detaille de l'IR" ;
LIG899 : calculee restituee primrest = 1 : "Indicateur de l'avis IR" ;
LIG899YT : calculee restituee primrest = 1 : "Indicateur de l'avis IR avec 9YT" ;
LIG8FV : calculee restituee primrest = 1 : "indicateur ligne affichage diplo (8FV)" ;
LIG900 : calculee restituee primrest = 1 : "indicateur de l'avis facture" ;
LIG900YT : calculee restituee primrest = 1 : "Indicateur de l'avis IR avec 9YT" ;
LIG910 : calculee restituee primrest = 1 : "indicateur ligne 910 de l'avis detaille de l'IR" ;
LIG931 : calculee restituee primrest = 1 : "Ligne pour art. 1731bis" ;
LIG936 : calculee restituee primrest = 1 : "Ligne pour art. 1731bis" ;
LIG98B : calculee restituee primrest = 1 : "indicateur ligne 98  de l'avis detaille de l'IR" ;
LIGABDET : calculee restituee primrest = 1 : "indicateur ligne produits et PV exoneres de structures capital risque" ;
LIGABDETP : calculee restituee primrest = 1 : "indicateur ligne abattement detention de titres avec PV" ;
LIGABIMPMV : calculee restituee primrest = 1 : "ligne abattement cessions valeur mobiliere impatrie moins value" ;
LIGABIMPPV : calculee restituee primrest = 1 : "ligne abattement cessions valeur mobiliere impatrie plus values" ;
LIGACPAS : calculee restituee primrest = 1 : "Indicateur ligne prelevements anterieurs" ;
LIGALIQUO : calculee restituee primrest = 1 : "Indicateur lignes pensions alimentaire au quotient" ;
LIGAMEETREV : calculee restituee primrest = 1 : "indicateur ligne affichage amende fiscale (9YV et 9YW)" ;
LIGANNUL : calculee restituee primrest = 1 : "LIGNE annulation de 2042 ( pour iliad CTX )" ;
LIGANNUL2042 : calculee restituee primrest = 1 : "indicateur valeur annulation  l'avis facture" ;
LIGANTREIR : calculee restituee primrest = 1 : "Indicateur ligne restitution anterieure a ajouter" ;
LIGAUCUN : calculee restituee primrest = 1 : "Indicateur aucun impot mis en recouvrement avis IR + PS" ;
LIGAUTSOC : calculee restituee primrest = 1 : "Indicateur PS autres nets bloc 3" ;
LIGAVFISC : calculee restituee primrest = 1 : "indicateur Plafonnement des avantages fiscaux" ;
LIGBAHQ : calculee restituee primrest = 1 : "Indicateur BA hors quotient" ;
LIGBAM : calculee restituee primrest = 1 : "Indicateur benefices agricoles regime micro" ;
LIGBAMARG : calculee restituee primrest = 1 : "Indicateur affichage avis IR" ;
LIGBAMICF1 : calculee restituee primrest = 1 : "Indicateur BA micro foyer" ;
LIGBAMICF2 : calculee restituee primrest = 1 : "Indicateur BA micro foyer" ;
LIGBAMMV : calculee restituee primrest = 1 : "Indicateur benefices agricoles regime micro MV" ;
LIGBAMPV : calculee restituee primrest = 1 : "Indicateur benefices agricoles regime micro PV" ;
LIGBAMTOT : calculee restituee primrest = 1 : "Indicateur benefices agricoles regime micro total foyer fiscal" ;
LIGBAMVC : calculee restituee primrest = 1 : "Indicateur moins values BA micro - declarant 2" ;
LIGBAMVP : calculee restituee primrest = 1 : "Indicateur moins values BA micro - PAC" ;
LIGBAMVV : calculee restituee primrest = 1 : "Indicateur moins values BA micro - declarant 1" ;
LIGBAPERP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGBAQ : calculee restituee primrest = 1 : "Indicateur BA quotient" ;
LIGBASRET : calculee restituee primrest = 1 : "indicateur d'affichage 8ZI 8YO" ;
LIGBICAP : calculee restituee primrest = 1 : "Indicateur affichage BIC pro. auto-entrepreneur" ;
LIGBICNP : calculee restituee primrest = 1 : "Indicateur BIC non pro" ;
LIGBICNPFQ : calculee restituee primrest = 1 : "Indicateur BIC non pro foyer au quotient" ;
LIGBICNPQ : calculee restituee primrest = 1 : "Indicateur BIC non pro quotient" ;
LIGBICPRO : calculee restituee primrest = 1 : "Indicateur BIC pro hors quotient" ;
LIGBICPROQ : calculee restituee primrest = 1 : "Indicateur BIC pro quotient" ;
LIGBICTOT : calculee restituee primrest = 1 : "Indicateur BIC micro non pro" ;
LIGBLOC : calculee restituee primrest = 1 : "Indicateur ligne supplement impot" ;
LIGBNCAFF : calculee restituee primrest = 1 : "Indicateur BNC pro" ;
LIGBNCAFFQ : calculee restituee primrest = 1 : "Indicateur BNC pro quotient" ;
LIGBNCAP : calculee restituee primrest = 1 : "Indicateur affichage BNC pro. auto-entrepreneur" ;
LIGBNCCREA : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGBNCDF : calculee restituee primrest = 1 : "indicateur ligne deficit BNC de l'avis detaille IR" ;
LIGBNCDF1 : calculee restituee primrest = 1 : "indicateur ligne deficit BNC annee n de l'avis detaille IR" ;
LIGBNCDF2 : calculee restituee primrest = 1 : "indicateur ligne deficit BNC annee n-2 de l'avis detaille IR" ;
LIGBNCDF3 : calculee restituee primrest = 1 : "indicateur ligne deficit BNC annee n-2 de l'avis detaille IR" ;
LIGBNCDF4 : calculee restituee primrest = 1 : "indicateur ligne deficit BNC annee n-3 de l'avis detaille IR" ;
LIGBNCDF5 : calculee restituee primrest = 1 : "indicateur ligne deficit BNC annee n-4 de l'avis detaille IR" ;
LIGBNCDF6 : calculee restituee primrest = 1 : "indicateur ligne deficit BNC annee n-5 de l'avis detaille IR" ;
LIGBNCMV : calculee restituee primrest = 1 : "Indicateur ligne BNC prof. regime special moins-values" ;
LIGBNCNF : calculee restituee primrest = 1 : "indicateur revenu non cmmerciaux declares" ;
LIGBNCNPMV : calculee restituee primrest = 1 : "Indicateur ligne BNC non pro regime special moins-values" ;
LIGBNCNPPV : calculee restituee primrest = 1 : "Indicateur ligne BNC non pro regime special plus-values" ;
LIGBNCPHQ : calculee restituee primrest = 1 : "Indicateur BNC pro hors quotient" ;
LIGBNCPV : calculee restituee primrest = 1 : "Indicateur ligne BNC prof. regime special plus-values" ;
LIGBPLIB : calculee restituee primrest = 1 : "indicateur ligne base prelevement liberatoire" ;
LIGBPTP10 : calculee restituee primrest = 1 : "Indicateur revenus taux forfaitaire 10% - avis" ;
LIGBRAS : calculee restituee primrest = 1 : "Indicateur affichage 8ZB" ;
LIGCBAIL : calculee restituee primrest = 1 : "indicateur affichage:  redevable des prel sociaux ou autres cotisation" ;
LIGCBOIS : calculee restituee primrest = 1 : "Indicateur revenus forfaitaires coupe de bois" ;
LIGCDIS : calculee restituee primrest = 1 : "Indicateur gains et distributions soumis a contribution salariale 30 %" ;
LIGCELSOM1 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM2 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM3 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM4 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM5 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM6 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM7 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM8 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCELSOM9 : calculee restituee primrest = 1 : "Indicateur invest. Scellier" ;
LIGCHR17281 : calculee restituee primrest = 1 : "Indicateur contrib. hauts revenus add INR article 1728 nat=1" ;
LIGCI2CK : calculee restituee primrest = 1 : "Indicateur ligne prelevement forfaitaire sur capitaux mobiliers (2CK)" ;
LIGCICA : calculee restituee primrest = 1 : "indicateur CICA de l'avis detaille de l'IR" ;
LIGCICAP : calculee restituee primrest = 1 : "Indicateur credit pensions taxees a 7,5 % (8XT)" ;
LIGCIFORET : calculee restituee primrest = 1 : "Indicateur credit investissements forestiers" ;
LIGCIGARD : calculee restituee primrest = 1 : "indicateur CIGARD de l'avis detaille de l'IR" ;
LIGCIGE : calculee restituee primrest = 1 : "indicateur CIGE de l'avis detaille de l'IR" ;
LIGCIGLO : calculee restituee primrest = 1 : "Indicateur credit gains levee (8XF, 8XG, 8XH)" ;
LIGCIHJA : calculee restituee primrest = 1 : "Indicateur investissemnt entreprise DOM (HJA)" ;
LIGCINE : calculee restituee primrest = 1 : "indicateur CINE de l'avis detaille de l'IR" ;
LIGCIPAP : calculee restituee primrest = 1 : "Indicateur CIPAP de l'avis detaille de l'IR" ;
LIGCITEC : calculee restituee primrest = 1 : "indicateur CITEC de l'avis detaille de l'IR" ;
LIGCIVHELEC : calculee restituee primrest = 1 : "indicateur CIVHELEC de l'avis detaille de l'IR" ;
LIGCOD2DG : calculee restituee primrest = 1 : "indicateur ligne produits de placement soumis a prelevements sociaux" ;
LIGCOD3BN : calculee restituee primrest = 1 : "Indicateur ligne MV cessions actifs numeriques" ;
LIGCOD3SG : calculee restituee primrest = 1 : "Indicateur ligne abattements (3SG)" ;
LIGCOD3SL : calculee restituee primrest = 1 : "Indicateur ligne abattements (3SL)" ;
LIGCOD3WH : calculee restituee primrest = 1 : "Indicateur ligne PV imposable au bareme" ;
LIGCOD8TE : calculee restituee primrest = 1 : "Indicateur 8TE avis" ;
LIGCOD8WK : calculee restituee primrest = 1 : "indicateur COD8WK de l'avis detaille de l'IR" ;
LIGCOLENT : calculee restituee primrest = 1 : "indicateur ligne investissement outre-mer entreprise - report 2009" ;
LIGCOMP01 : calculee restituee primrest = 1 : "indicateur ligne report prestation compens. de l'avis detaille de l'IR" ;
LIGCONGA : calculee restituee primrest = 1 : "indicateur CRECONGAGRI de l'avis detaille de l'IR" ;
LIGCORRECT : calculee restituee primrest = 1 : "indicateur lignes impot avant correction de l'avis detaille IR" ;
LIGCORSE : calculee restituee primrest = 1 : "LIGNE investissement corse" ;
LIGCOTFOR : calculee restituee primrest = 1 : "Indicateur cotisations assurance foret de l'avis detaille de l'IR" ;
LIGCRDIE : calculee restituee primrest = 1 : "Indicateur avis IR - Credit revenus etrangers" ;
LIGCREBIO : calculee restituee primrest = 1 : "indicateur CREAGRIBIO de l'avis detaille de l'IR" ;
LIGCRED1 : calculee restituee primrest = 1 : "Indicateur credits d'impots avis IR" ;
LIGCRED2 : calculee restituee primrest = 1 : "Indicateur credits d'impots avis IR" ;
LIGCRED3 : calculee restituee primrest = 1 : "Indicateur credits d'impots avis IR" ;
LIGCREFAM : calculee restituee primrest = 1 : "indicateur CREFAM de l'avis detaille de l'IR" ;
LIGCREFORM : calculee restituee primrest = 1 : "indicateur CREFORMCHENT de l'avis detaille de l'IR" ;
LIGCREGLY : calculee restituee primrest = 1 : "indicateur CREAGRIGLY de l'avis detaille de l'IR" ;
LIGCREHVE : calculee restituee primrest = 1 : "indicateur CREAGRIHVE de l'avis detaille de l'IR" ;
LIGCVNSAL : calculee restituee primrest = 1 : "Indicateur gains soumis a contribution salariale de 10 %" ;
LIGDAB : calculee restituee primrest = 1 : "indicateur revenu non cmmerciaux impution def ant." ;
LIGDBAIP : calculee restituee primrest = 1 : "indicateur d'affichage deficits agricoles anterieurs imputes en 2007" ;
LIGDCSGD : calculee restituee primrest = 1 : "LIGNE CSG DEUCTIBLE IR (traitement correctif)" ;
LIGDEFBA : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBA1 : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBA2 : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBA3 : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBA4 : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBA5 : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBA6 : calculee restituee primrest = 1 : "indicateur ligne deficit BA  de l'avis detaille IR" ;
LIGDEFBANIF : calculee restituee primrest = 1 : "Indicateur ligne BA def pour 1731" ;
LIGDEFBICNPF : calculee restituee primrest = 1 : "indicateur rbic def imposable du foyer" ;
LIGDEFBNCNPF : calculee restituee primrest = 1 : "indicateur revenu non cmmerciaux imposable du foyer" ;
LIGDEFNPLOC : calculee restituee primrest = 1 : "Indicateur deficit invest. locations meublees non professionnelles" ;
LIGDEFPLOC : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees professionnelles deficit" ;
LIGDEFRFNONI : calculee restituee primrest = 1 : "Indicateur ligne RF def pour 1731" ;
LIGDEG : calculee restituee primrest = 1 : "Indicateur ligne degrevement" ;
LIGDEGRES : calculee restituee primrest = 1 : "Indicateur ligne degrevement et restitution" ;
LIGDEVDUR : calculee restituee primrest = 1 : "indicateur CIDEVDUR de l'avis detaille de l'IR" ;
LIGDFACC : calculee restituee primrest = 1 : "indicateur edition frais accueil - montant" ;
LIGDFANT : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIGDFLOCNPF : calculee restituee primrest = 1 : "Indicateur deficit invest. locations meublees non professionnelles" ;
LIGDFRCM : calculee restituee primrest = 1 : "indicateur ligne deficit RCM " ;
LIGDFRCM1 : calculee restituee primrest = 1 : "Indicateur ligne deficit RCM annee n-6" ;
LIGDFRCM2 : calculee restituee primrest = 1 : "Indicateur ligne deficit RCM annee n-5" ;
LIGDFRCM3 : calculee restituee primrest = 1 : "Indicateur ligne deficit RCM annee n-4" ;
LIGDFRCM4 : calculee restituee primrest = 1 : "Indicateur ligne deficit RCM annee n-3" ;
LIGDFRCM5 : calculee restituee primrest = 1 : "Indicateur ligne deficit RCM annee n-2" ;
LIGDFRCMN : calculee restituee primrest = 1 : "indicateur ligne deficit RCM annee N" ;
LIGDIDAB : calculee restituee primrest = 1 : "indicateur revenu non cmmerciaux impution def ant." ;
LIGDIPLOI : calculee restituee primrest = 1 : "indicateur ligne diplo imposable" ;
LIGDIPLONI : calculee restituee primrest = 1 : "indicateur ligne diplo non imposable" ;
LIGDLMRN : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. de l'avis detaille IR" ;
LIGDLMRN1 : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. n-1 de l'avis detaille IR" ;
LIGDLMRN2 : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. n-2 de l'avis detaille IR" ;
LIGDLMRN3 : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. n-3 de l'avis detaille IR" ;
LIGDLMRN4 : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. n-4 de l'avis detaille IR" ;
LIGDLMRN5 : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. n-5 de l'avis detaille IR" ;
LIGDLMRN6 : calculee restituee primrest = 1 : "indicateur ligne deficit loc. meub. n-6 de l'avis detaille IR" ;
LIGDOMSOC1 : calculee restituee primrest = 1 : "indicateur ligne investissement outre-mer dans social - report 2009" ;
LIGDONDJ : calculee restituee primrest = 1 : "Indicateur dons associations culturelles" ;
LIGDPREC : calculee restituee primrest = 1 : "indicateur edition frais accueil - nombre" ;
LIGDRCVM : calculee restituee primrest = 1 : "indicateur ligne deficit cession val mobiliere de l'avis detaille IR" ;
LIGDRFRP : calculee restituee primrest = 1 : "indicateur ligne deficit rev. fonc. de l'avis detaille IR" ;
LIGDUFREP : calculee restituee primrest = 1 : "Indicateur invest. locatif Duflot reports" ;
LIGDUFTOT : calculee restituee primrest = 1 : "indicateur somme  invest. locatif Duflot" ;
LIGEMP : calculee restituee primrest = 1 : "Indicateur ligne impot net retenu" ;
LIGEMPLOI : calculee restituee primrest = 1 : "Indicateur credit competitivite emploi" ;
LIGETAL : calculee restituee primrest = 1 : "Indicateur impot etalement BA" ;
LIGEXBA : calculee restituee primrest = 1 : "Indicateur revenus exoneres micro BA" ;
LIGEXOCET : calculee restituee primrest = 1 : "ligne sommes d'un CET versees sur PERCO " type REEL ;
LIGF10C : calculee restituee primrest = 1 : "indicateur ligne salaires et assimiles avis IR" ;
LIGF10P : calculee restituee primrest = 1 : "indicateur ligne salaires et assimiles avis IR" ;
LIGF10V : calculee restituee primrest = 1 : "indicateur ligne salaires et assimiles avis IR" ;
LIGFIPC : calculee restituee primrest = 1 : "indicateur FIP Corse de l'avis detaille de l'IR" ;
LIGFIPDOM : calculee restituee primrest = 1 : "Indicateur FIP DOM COM de l'avis detaille de l'IR" ;
LIGFOOTQUO : calculee restituee primrest = 1 : "Indicateur lignes pecule footballeur au quotient" ;
LIGFORET : calculee restituee primrest = 1 : "indicateur FORET de l'avis detaille de l'IR" ;
LIGHABPRIN : calculee restituee primrest = 1 : "indicateur habitation principale de l'avis detaille de l'IR" ;
LIGHAUTANT : calculee restituee primrest = 1 : "Indicateur contribution sur les hauts revenus anterieur" ;
LIGHAUTDEG : calculee restituee primrest = 1 : "Indicateur contribution hauts revenus degrevee" ;
LIGHAUTNET : calculee restituee primrest = 1 : "Indicateur contribution sur les hauts revenus net" ;
LIGHL1 : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7HL 7HM" ;
LIGHL2 : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7HL 7HM" ;
LIGHR3WT : calculee restituee primrest = 1 : "Indicateur contribution hauts revenus taux effectif" ;
LIGHRTEFF : calculee restituee primrest = 1 : "Indicateur contribution hauts revenus taux effectif" ;
LIGI017 : calculee restituee primrest = 1 : "Indicateur presence 3WA 3WB" ;
LIGIBAEX : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIGIDEGR : calculee restituee primrest = 1 : "Indicateur ligne degrevement" ;
LIGIDEGRC : calculee restituee primrest = 1 : "Indicateur ligne degrevement calcule" ;
LIGIDFG1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2025 (7ID,7IF,7IG)" ;
LIGIDFG2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2024 et 2025 (7ID,F,G)" ;
LIGIDRS : calculee restituee primrest = 1 : "Indicateur impot avant reductions d'impot" ;
LIGIFI : calculee restituee primrest = 1 : "IFI : indicateur edition avis " ;
LIGIFI0DEG : calculee restituee primrest = 1 : "indicateur ligne impot net IFI nul apres degrevement" ;
LIGIFI17281 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1728  de l'avis detaille IFI si pas majo 34" ;
LIGIFI17285 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1728  de l'avis detaille IFI si majo 34" ;
LIGIFI1729 : calculee restituee primrest = 1 : "en position 9760, pour l'affichage des articles du CGI" ;
LIGIFI9269 : calculee restituee primrest = 1 : "indicateur ligne 9269 de l'avis detaille IFI" ;
LIGIFI9749 : calculee restituee primrest = 1 : "indicateur saut ligne quand majo sans interets retard sur avis IFI" ;
LIGIFI9AA : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9AA" ;
LIGIFI9AB : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9AB" ;
LIGIFI9AC : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9AC" ;
LIGIFI9AD : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9AD" ;
LIGIFI9BA : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9BA" ;
LIGIFI9BB : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9BB" ;
LIGIFI9CA : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9CA" ;
LIGIFI9GF : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9GF" ;
LIGIFI9GH : calculee restituee primrest = 1 : "Indicateur avis IFI - code 9GH" ;
LIGIFIACT : calculee restituee primrest = 1 : "Indicateur avis IFI - total actif" ;
LIGIFIANNUL : calculee restituee primrest = 1 : "LIGNE annulation de 2042 IFI( pour iliad CTX )" ;
LIGIFIANT : calculee restituee primrest = 1 : "indicateur ligne IFI anterieur a deduire" ;
LIGIFIAPR : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI apres reduction" ;
LIGIFIBASE : calculee restituee primrest = 1 : "Indicateur avis IFI - patrimoine nette imposable " ;
LIGIFIBRUT : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI avant reduction" ;
LIGIFICEE : calculee restituee primrest = 1 : "Indicateur avis IFI - reductions dons en Europe (9NG)" ;
LIGIFICOR1 : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI avant penalite et interets de retard av corr" ;
LIGIFIDEC : calculee restituee primrest = 1 : "Indicateur avis IFI - Decote IFI" ;
LIGIFIDEG : calculee restituee primrest = 1 : "indicateur ligne montant degrevement IFI superieur a 8 euro" ;
LIGIFIDEGR : calculee restituee primrest = 1 : "indicateur ligne montant degrevement IFI" ;
LIGIFIDIR : calculee restituee primrest = 1 : "Indicateur avis IFI - en detention directe" ;
LIGIFIDIRECT : calculee restituee primrest = 1 : "Indicateur avis IFI - en detention directe" ;
LIGIFIDON : calculee restituee primrest = 1 : "Indicateur avis IFI - dons" ;
LIGIFIE : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI paye a l etranger (9RS)" ;
LIGIFIIMPU : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI avant imputation sans reduc" ;
LIGIFIINF8 : calculee restituee primrest = 1 : "IFI : indicateur edition avis - IFIDEGR inferieur a 8 euros" ;
LIGIFINDIR : calculee restituee primrest = 1 : "Indicateur avis IFI - en detention indirecte" ;
LIGIFINDIR1 : calculee restituee primrest = 1 : "Indicateur avis IFI - en detention indirecte" ;
LIGIFINET : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI final - IFINET peut etre inf. a seuil mer" ;
LIGIFINEW : calculee restituee primrest = 1 : "indicateur ligne present avis remplace precedent 'avis detaille IFI" ;
LIGIFINMR : calculee restituee primrest = 1 : "IFI : non mis en recouvrement car inferieur a 12 euros" ;
LIGIFINMRDEG : calculee restituee primrest = 1 : "IFI : indicateur edition avis -IFIDEGR inf a 8 et ISF4 inferieur a 12" ;
LIGIFINMRIS : calculee restituee primrest = 1 : "IFI : montant a payer supplementaire inferieur a 12" ;
LIGIFINOPEN : calculee restituee primrest = 1 : "Indicateur avis IFI - IFI sans penalite et interets de retard" ;
LIGIFIPAS : calculee restituee primrest = 1 : "Indicateur avis IFI - total passif" ;
LIGIFIRAN : calculee restituee primrest = 1 : "Indicateur avis IFI - reductions dons en France (9NC)" ;
LIGIFIRECOU : calculee restituee primrest = 1 : "indicateur nette a recouvrer IFI" ;
LIGIFIRED : calculee restituee primrest = 1 : "Indicateur avis IFI - reductions sans reductions PAC" ;
LIGIFIREDPEN8 : calculee restituee primrest = 1 : "Indicateur avis IFI - reductions sans reductions PAC si MAJO 08" ;
LIGIFIRET : calculee restituee primrest = 1 : "indicateur ligne interet de retard de l'avis detaille IFI" ;
LIGIFIRET22 : calculee restituee primrest = 1 : "indicateur ligne interet de retard reduit de l'avis detaille IFI" ;
LIGIFITRCT : calculee restituee primrest = 1 : "indicateur avis IFI degrevement par telecorrection V_TRCT positif" ;
LIGIFIZERO : calculee restituee primrest = 1 : "IFI : montant a payer nul" ;
LIGIHAUT : calculee restituee primrest = 1 : "Indicateur contribution hauts revenus" ;
LIGIINET : calculee restituee primrest = 1 : "Indicateur ligne supplement impot" ;
LIGIINETC : calculee restituee primrest = 1 : "Indicateur ligne supplement impot calcule" ;
LIGILMNP1 : calculee restituee primrest = 1 : "Indicateur invest. loc. meublee non prof." ;
LIGILMNP3 : calculee restituee primrest = 1 : "Indicateur invest. loc. meublee non prof." ;
LIGILMNP4 : calculee restituee primrest = 1 : "Indicateur invest. loc. meublee non prof." ;
LIGIM1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2025 (7IM)" ;
LIGIM2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2024 et 2025 (7IM)" ;
LIGIMPTR : calculee restituee primrest = 1 : "Indicateur revenus taux forfaitaire RCMIMPTR" ;
LIGINRHAUT : calculee restituee primrest = 1 : "Indicateur interets de retard contribution exceptionnelle" ;
LIGINRHAUT2 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit contribution exceptionnelle" ;
LIGINRPCAP : calculee restituee primrest = 1 : "Indicateur interets de retard prelevement liberatoire" ;
LIGINRPCAP2 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit prelevement liberatoire" ;
LIGINRTAX : calculee restituee primrest = 1 : "indicateur ligne INR de l'avis detaille de l'IR taxe assurance" ;
LIGINRTAX22 : calculee restituee primrest = 1 : "indicateur ligne INR TAXA de l'avis detaille de l'IR code 22" ;
LIGINVQUO : calculee restituee primrest = 1 : "Indicateur lignes pensions invalidite au quotient" ;
LIGIPAE : calculee restituee primrest = 1 : "Indicateur impot paye a l'etranger" ;
LIGIPCAP : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire" ;
LIGIPCAPC : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire - conjoint" ;
LIGIPCAPP : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire - PAC" ;
LIGIPCAPV : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire - vous" ;
LIGIPLAF : calculee restituee primrest = 1 : "Indicateur avis IFI - plafonnement" ;
LIGIPSOUR : calculee restituee primrest = 1 : "Indicateur retenue a la source non resident 8TA" ;
LIGIQ1 : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7IQ" ;
LIGIQ2 : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7IQ" ;
LIGIRBLOC : calculee restituee primrest = 1 : "Indicateur IR bloc 3" ;
LIGIREST : calculee restituee primrest = 1 : "Indicateur ligne restitution" ;
LIGIRESTC : calculee restituee primrest = 1 : "Indicateur ligne restitution calcule" ;
LIGIREXIT : calculee restituee primrest = 1 : "Indicateur imposition exit tax (3WB/3WI avec 3WA)" ;
LIGIREXITI : calculee restituee primrest = 1 : "Indicateur imposition exit tax (3WB/3WI sans 3WA)" ;
LIGIREXITIB : calculee restituee primrest = 1 : "Indicateur imposition exit tax (3WB/3WI sans 3WA) hors bareme" ;
LIGIREXITS : calculee restituee primrest = 1 : "Indicateur imposition exit tax (3WA sans 3WB/3WI)" ;
LIGIREXITSA : calculee restituee primrest = 1 : "Indicateur imposition exit tax (3WA sans 3WB/3WI) hors bareme" ;
LIGIRNET : calculee restituee primrest = 1 : "indicateur lignes NET" ;
LIGIRRAS : calculee restituee primrest = 1 : "Indicateur lignes IR PAS" ;
LIGIRRAS1 : calculee restituee primrest = 1 : "Indicateur lignes IR PAS correctif sans option" ;
LIGJZ1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2025 (7JZ)" ;
LIGJZ2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2024 et 2025 (7JZ)" ;
LIGLOCANAH : calculee restituee primrest = 1 : "Indicateur loc avantage avis IR" ;
LIGLOCENT : calculee restituee primrest = 1 : "indicateur ligne investissement outre-mer dans entreprise" ;
LIGLOCNSEUL : calculee restituee primrest = 1 : "Indicateur revenus locations meublees non pro. regime micro" ;
LIGLOCSEUL : calculee restituee primrest = 1 : "Indicateur revenus locations meublees non pro. regime micro" ;
LIGLOGDOM : calculee restituee primrest = 1 : "indicateur ligne investissement outre-mer dans logement" ;
LIGLOGSOC : calculee restituee primrest = 1 : "indicateur ligne investissement outre-mer dans social" ;
LIGMBDREPNPC : calculee restituee primrest = 1 : "indicateur ligne deficit micro -V non pro  de l'avis detaille IR" ;
LIGMBDREPNPP : calculee restituee primrest = 1 : "indicateur ligne deficit micro -V non pro  de l'avis detaille IR" ;
LIGMBDREPNPV : calculee restituee primrest = 1 : "indicateur ligne deficit micro -V non pro  de l'avis detaille IR" ;
LIGMECENAT : calculee restituee primrest = 1 : "LIGNE mecenat" ;
LIGMETART : calculee restituee primrest = 1 : "indicateur CREARTS de l'avis detaille de l'IR" ;
LIGMH1 : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7MH" ;
LIGMH2 : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7MH" ;
LIGMIBDREPC : calculee restituee primrest = 1 : "indicateur ligne deficit micro -V  pro  de l'avis detaille IR" ;
LIGMIBDREPP : calculee restituee primrest = 1 : "indicateur ligne deficit micro -V  pro  de l'avis detaille IR" ;
LIGMIBDREPV : calculee restituee primrest = 1 : "indicateur ligne deficit micro -V  pro  de l'avis detaille IR" ;
LIGMIBMV : calculee restituee primrest = 1 : "Indicateur ligne BIC prof. micro moins-values" ;
LIGMIBNPNEG : calculee restituee primrest = 1 : "indicateur BIC micro non pro negatif" ;
LIGMIBNPPOS : calculee restituee primrest = 1 : "indicateur BIC micro non pro positif" ;
LIGMIBPNEG : calculee restituee primrest = 1 : "indicateur BIC micro pro negatif" ;
LIGMIBPPOS : calculee restituee primrest = 1 : "indicateur BIC micro pro positif" ;
LIGMIBPV : calculee restituee primrest = 1 : "Indicateur ligne BIC prof. micro plus-values" ;
LIGMICMV : calculee restituee primrest = 1 : "Indicateur BIC micro MV" ;
LIGMICPV : calculee restituee primrest = 1 : "Indicateur BIC micro PV" ;
LIGMLOC : calculee restituee primrest = 1 : "Indicateur revenus locations meublees non pro. regime micro" ;
LIGMLOCAB : calculee restituee primrest = 1 : "Indicateur revenus loc. meublees non pro. regime micro - abattements" ;
LIGMN1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro" ;
LIGMN2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro" ;
LIGMOBNR : calculee restituee primrest = 1 : "Indicateur plus values non residents (3SE)" ;
LIGMW1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro" ;
LIGMW2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro" ;
LIGMXBINP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGMXBIP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGMZ1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2020 a 2027 (7mz)" ;
LIGMZ2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2020 a 2027 (7mz)" ;
LIGNANTREIR : calculee restituee primrest = 1 : "Indicateur ligne impot anterieur a deduire" ;
LIGNEMP : calculee restituee primrest = 1 : "Indicateur ligne impot net" ;
LIGNEUV : calculee restituee primrest = 1 : "Indicateur LOCRESINEUV (7IJ) de l'avis detaille de l'IR" ;
LIGNEUV1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2025 (7IJ,N,V)" ;
LIGNEUV2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2024 et 2025 (7IJ,N,V)" ;
LIGNIDB : calculee restituee primrest = 1 : "indicateur affichage : les prel sociaux  ou autres cotis < 61 E et NMR" ;
LIGNIIR : calculee restituee primrest = 1 : "LIGNE vous n etes pas imposable a l impot sur le revenu" ;
LIGNIIRAF : calculee restituee primrest = 1 : "indicateur ligne non imposable mais credit d'impot" ;
LIGNIIRDEG : calculee restituee primrest = 1 : "LIGNE vous n etes pas imposable a l impot sur le revenu (degrevement)" ;
LIGNINOUV : calculee restituee primrest = 1 : "Indicateur non imposanle (ligne 4224)" ;
LIGNMAJCHR1 : calculee restituee primrest = 1 : "Indicateur ligne MAJO 1728 contribution hauts revenus" ;
LIGNMAJCHR3 : calculee restituee primrest = 1 : "Indicateur ligne MAJO 1758A contribution hauts revenus" ;
LIGNMAJCHR4 : calculee restituee primrest = 1 : "Indicateur ligne MAJO 1729, 1732, 1758 contribution hauts revenus" ;
LIGNMAJIFI1 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1728  de l'avis detaille IFI" ;
LIGNMAJIFI4 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1728  de l'avis detaille IFI" ;
LIGNMAJPCAP1 : calculee restituee primrest = 1 : "Indicateur ligne MAJO 1728 prelevement liberatoire" ;
LIGNMAJPCAP3 : calculee restituee primrest = 1 : "Indicateur ligne MAJO 1758A prelevement liberatoire" ;
LIGNMAJPCAP4 : calculee restituee primrest = 1 : "Indicateur ligne MAJO 1729, 1732, 1758 prelevement liberatoire" ;
LIGNMAJTAXA1 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1728 TAXAGA de l'avis detaille de l'IR" ;
LIGNMAJTAXA3 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1758A TAXAGA de l'avis detaille de l'IR" ;
LIGNMAJTAXA4 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1729, 1732, 1758 TAXAGA de l'avis " ;
LIGNMRR : calculee restituee primrest = 1 : "Indicateur ligne trop restitue non mis en recouvrement" ;
LIGNMRS : calculee restituee primrest = 1 : "Indicateur ligne supplement impot non mis en recouvrement" ;
LIGNOCEP : calculee restituee primrest = 1 : "indicateur revenu non commerciaux declares" ;
LIGNOCEPIMP : calculee restituee primrest = 1 : "indicateur revenu non commerciaux declares" ;
LIGNOCEPIMPH : calculee restituee primrest = 1 : "indicateur revenu non commerciaux declares" ;
LIGNOCEPIMPQ : calculee restituee primrest = 1 : "indicateur revenu non commerciaux quotient declares" ;
LIGNONREC : calculee restituee primrest = 1 : "Indicateur ligne montant non mis en recouvrement" ;
LIGNONREST : calculee restituee primrest = 1 : "Indicateur ligne montant non restitue" ;
LIGNORMAN : calculee restituee primrest = 1 : "Indicateur invest. locatif DENORMANDIE" ;
LIGNORMREP : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie reports" ;
LIGNORMTOT : calculee restituee primrest = 1 : "indicateur somme invest. locatif Denormandie" ;
LIGNPLOC : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees non professionnelles" ;
LIGNPLOCF : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees non professionnelles" ;
LIGNRBASE : calculee restituee primrest = 1 : "indicateur d'affichage 8ZI 8ZO" ;
LIGOW1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2025 (7OW)" ;
LIGOW2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2024 et 2025 (7OW)" ;
LIGOX1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2025 (7OX)" ;
LIGOX2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2018 a 2024 et 2025 (7OX)" ;
LIGOY1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2019 a 2026 (7OY)" ;
LIGOY2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2019 a 2024 et 2025 (7OY)" ;
LIGPAS : calculee restituee primrest = 1 : "Indicateur lignes PAS" ;
LIGPAS1 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait > 10) sans option" ;
LIGPAS21 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait > 10 et < 20) sans option" ;
LIGPAS28 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait > 10 et < 20) avec option" ;
LIGPAS28M : calculee restituee primrest = 1 : "Indicateur PAS (notrait 14, 16) avec option prelevement mensuel" ;
LIGPAS28M1 : calculee restituee primrest = 1 : "Indicateur PAS (notrait 14, 16) avec option prelevement mensuel" ;
LIGPAS28T : calculee restituee primrest = 1 : "Indicateur PAS (notrait 14, 16) avec option prelevement trimestriel" ;
LIGPAS28T1 : calculee restituee primrest = 1 : "Indicateur PAS (notrait 14, 16) avec option prelevement trimestriel" ;
LIGPAS28T2 : calculee restituee primrest = 1 : "Indicateur PAS (notrait 14, 16) avec option prelevement trimestriel" ;
LIGPAS31 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait en 3) sans option" ;
LIGPAS38 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait en 3) avec option" ;
LIGPAS38M : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 3) avec option prelevement mensuel" ;
LIGPAS38M1 : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 3) avec option prelevement mensuel" ;
LIGPAS38T : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 3) avec option prelevement trimestriel" ;
LIGPAS38T1 : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 3) avec option prelevement trimestriel" ;
LIGPAS38T2 : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 3) avec option prelevement trimestriel" ;
LIGPAS61 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait en 6) sans option" ;
LIGPAS68 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait en 6) avec option" ;
LIGPAS68M : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 6) avec option prelevement mensuel" ;
LIGPAS68M1 : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 6) avec option prelevement mensuel" ;
LIGPAS68T : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 6) avec option prelevement trimestriel" ;
LIGPAS68T1 : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 6) avec option prelevement trimestriel" ;
LIGPAS68T2 : calculee restituee primrest = 1 : "Indicateur PAS (notrait en 6) avec option prelevement trimestriel" ;
LIGPAS8 : calculee restituee primrest = 1 : "Indicateur lignes PAS (notrait > 10) avec option" ;
LIGPAS81 : calculee restituee primrest = 1 : "Indicateur PAS correctif option acomptes mensuels < 5" ;
LIGPAS82 : calculee restituee primrest = 1 : "Indicateur PAS correctif option acomptes trimestriels < 15" ;
LIGPAS8C : calculee restituee primrest = 1 : "Indicateur PAS correctif option confidentialite" ;
LIGPAS8C1 : calculee restituee primrest = 1 : "Indicateur PAS correctif option confidentialite dec 1" ;
LIGPAS8C2 : calculee restituee primrest = 1 : "Indicateur PAS correctif option confidentialite dec 2" ;
LIGPAS8D : calculee restituee primrest = 1 : "Indicateur lignes PAS correctif avec option - deces du foyer" ;
LIGPAS8F : calculee restituee primrest = 1 : "Indicateur PAS correctif option taux foyer" ;
LIGPAS8I : calculee restituee primrest = 1 : "Indicateur PAS correctif option individualisation" ;
LIGPAS8M : calculee restituee primrest = 1 : "Indicateur PAS correctif option prelevement mensuel" ;
LIGPAS8OM : calculee restituee primrest = 1 : "Indicateur PAS correctif option mensuel" ;
LIGPAS8OT : calculee restituee primrest = 1 : "Indicateur PAS correctif option trimestriel" ;
LIGPAS8P : calculee restituee primrest = 1 : "Indicateur lignes PAS situation partielle correctif avec option" ;
LIGPAS8T : calculee restituee primrest = 1 : "Indicateur PAS correctif option prelevement trimestriel" ;
LIGPAS8Z : calculee restituee primrest = 1 : "Indicateur lignes PAS + 0AZ (correctif) avec option" ;
LIGPAS8ZEP : calculee restituee primrest = 1 : "Indicateur lignes PAS situation particuliere correctif avec option" ;
LIGPASDL : calculee restituee primrest = 1 : "Indicateur PAS declaration en ligne avec option" ;
LIGPASE1 : calculee restituee primrest = 1 : "Indicateur lignes PAS correctif deces integralite foyer" ;
LIGPASEND : calculee restituee primrest = 1 : "Indicateur lignes PAS deces integralite foyer" ;
LIGPASENDL : calculee restituee primrest = 1 : "Indicateur lignes PAS deces integralite foyer" ;
LIGPASI1 : calculee restituee primrest = 1 : "Indicateur lignes PAS correctif acomptes < 5" ;
LIGPASIND : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation" ;
LIGPASPART : calculee restituee primrest = 1 : "Indicateur lignes PAS situation partielle" ;
LIGPASPART1 : calculee restituee primrest = 1 : "Indicateur lignes PAS situation partielle correctif sans option" ;
LIGPASZ : calculee restituee primrest = 1 : "Indicateur lignes PAS + 0AZ" ;
LIGPASZ1 : calculee restituee primrest = 1 : "Indicateur lignes PAS + 0AZ (correctif) sans option" ;
LIGPASZDL : calculee restituee primrest = 1 : "Indicateur lignes PAS + 0AZ" ;
LIGPASZEP1 : calculee restituee primrest = 1 : "Indicateur lignes PAS situation particuliere correctif sans option" ;
LIGPATNATR : calculee restituee primrest = 1 : "Bas avis : report reduc depenses protection patrimoine naturel" ;
LIGPCAP17281 : calculee restituee primrest = 1 : "Indicateur prel. lib. add INR article 1728 taux 10 % nat=1" ;
LIGPCAPANT : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire anterieur" ;
LIGPCAPDEG : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire sur pensions degreve" ;
LIGPCAPNET : calculee restituee primrest = 1 : "Indicateur prelevement liberatoire net" ;
LIGPENS : calculee restituee primrest = 1 : "Indicateur lignes pensions retraites rentes" ;
LIGPENSQUO : calculee restituee primrest = 1 : "Indicateur lignes pensions retraites rentes au quotient" ;
LIGPENTY : calculee restituee primrest = 1 : "Indicateur report plafonnement global petites entreprises" ;
LIGPERP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERP1234 : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERP13 : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERP24 : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPC : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPCP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPFAM : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPI : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR PERP impatries" ;
LIGPERPM : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPMAR : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPMI : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPV : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPERPVP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGPETAL19 : calculee restituee primrest = 1 : "indicateur IMPETAL19 de l'avis detaille de l'IR" ;
LIGPETAL20 : calculee restituee primrest = 1 : "indicateur IMPETAL20 de l'avis detaille de l'IR" ;
LIGPETAL21 : calculee restituee primrest = 1 : "indicateur IMPETAL21 de l'avis detaille de l'IR" ;
LIGPINEL : calculee restituee primrest = 1 : "Indicateur invest. locatif PINEL" ;
LIGPINELPRO : calculee restituee primrest = 1 : "Indicateur invest. locatif PINEL 1ere prorogation" ;
LIGPINTOT : calculee restituee primrest = 1 : "indicateur somme  invest. locatif PINEL" ;
LIGPIREP : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel reports" ;
LIGPLAFGWN : calculee restituee primrest = 1 : "Indicateur plaf glob souscription capital SOCFONC 7GW" ;
LIGPLAFRSN : calculee restituee primrest = 1 : "Indicateur affichage Plaf av fiscaux  report reduc petites entreprises" ;
LIGPLAFRSN5 : calculee restituee primrest = 1 : "Ind affichage Plaf av fiscaux  report 2015 reduc petites entreprises" ;
LIGPLAFRSN6 : calculee restituee primrest = 1 : "Ind affichage Plaf av fiscaux  report 2016 reduc petites entreprises" ;
LIGPLAFRSN7 : calculee restituee primrest = 1 : "Ind affichage Plaf av fiscaux  report 2017 reduc petites entreprises" ;
LIGPLAFRSN8 : calculee restituee primrest = 1 : "Ind affichage Plaf av fiscaux  report 2018 reduc petites entreprises" ;
LIGPLAFRSN9 : calculee restituee primrest = 1 : "Ind affichage Plaf av fiscaux  report 2019 reduc petites entreprises" ;
LIGPLOC : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees professionnelles" ;
LIGPLOC1 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n" ;
LIGPLOC10 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-9" ;
LIGPLOC2 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-1" ;
LIGPLOC3 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-2" ;
LIGPLOC4 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-3" ;
LIGPLOC5 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-4" ;
LIGPLOC6 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-5" ;
LIGPLOC7 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-6" ;
LIGPLOC8 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-7" ;
LIGPLOC9 : calculee restituee primrest = 1 : "Indicateur ligne invest. locations meublees pro. deficit n-8" ;
LIGPNPER : calculee restituee primrest = 1 : "Indicateur lignes pensions nouveaux PER" ;
LIGPNPERQ : calculee restituee primrest = 1 : "Indicateur pensions nouveaux PER au quotient" ;
LIGPOUEX : calculee restituee primrest = 1 : "Indicateur pourboires exoneres" ;
LIGPRELIB : calculee restituee primrest = 1 : "indicateur ligne pour memoire avis detaille IR" ;
LIGPRELPS : calculee restituee primrest = 1 : "Indicateur acomptes et restitutions pour PS" ;
LIGPRESINT : calculee restituee primrest = 1 : "Indicateur code 8WC de l'avis IR" ;
LIGPRESSE : calculee restituee primrest = 1 : "Indicateur PRESSE avis IR" ;
LIGPRETUD : calculee restituee primrest = 1 : "indicateur CIPRETUD de l'avis detaille de l'IR" ;
LIGPREX : calculee restituee primrest = 1 : "Indicateur prime partage de la valeur exoneree" ;
LIGPREXREP : calculee restituee primrest = 1 : "Indicateur prime partage de la valeur exoneree report" ;
LIGPROPIREP : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel prorogation reports" ;
LIGPROPIREP1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel prorogation reports" ;
LIGPRR2 : calculee restituee primrest = 1 : "Indicateur pensions retraites rentes taxees au quotient" ;
LIGPS : calculee restituee primrest = 1 : "Indicateur prelevements sociaux" ;
LIGPSBIC : calculee restituee primrest = 1 : "Indicateur lignes BIC prelevements sociaux PAS" ;
LIGPSBIC1 : calculee restituee primrest = 1 : "Indicateur lignes BIC prelevements sociaux PAS correctif sans option" ;
LIGPSBLOC : calculee restituee primrest = 1 : "Indicateur PS bloc 3" ;
LIGPSNET : calculee restituee primrest = 1 : "Indicateur PS nets bloc 3" ;
LIGPSNET1 : calculee restituee primrest = 1 : "Indicateur PS nets au taux de 17.2% bloc 3" ;
LIGPSPAC : calculee restituee primrest = 1 : "Indicateur lignes revenus PAC prelevements sociaux PAS" ;
LIGPSPAC1 : calculee restituee primrest = 1 : "Indicateur lignes PAC prelevements sociaux PAS correctif sans option" ;
LIGPSRAS : calculee restituee primrest = 1 : "Indicateur lignes prelevements sociaux PAS" ;
LIGPSRAS1 : calculee restituee primrest = 1 : "Indicateur lignes prelevements sociaux PAS correctif sans option" ;
LIGPV3SB : calculee restituee primrest = 1 : "Indicateur ligne PV imposable au bareme" ;
LIGPV3VG : calculee restituee primrest = 1 : "indicateur d'affichage de l'avis detaille d l'IR" ;
LIGPV3WBI : calculee restituee primrest = 1 : "Indicateur PV et creances exit tax" ;
LIGPVETR : calculee restituee primrest = 1 : "LIGNE credit PV etrangeres" ;
LIGPVIMMO : calculee restituee primrest = 1 : "Indicateur plus values imposables (3VZ)" ;
LIGPVIMPOS : calculee restituee primrest = 1 : "indicateur ligne impot plus values imposables" ;
LIGPVMTS : calculee restituee primrest = 1 : "Indicateur PV mobiliere taux special" ;
LIGPVSURSI : calculee restituee primrest = 1 : "Indicateur plus values et creances en sursis de paiement" ;
LIGPVTISOC : calculee restituee primrest = 1 : "Indicateur plus values en report imposition (3WE)" ;
LIGPZ1 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2019 a 2026 (7pz)" ;
LIGPZ2 : calculee restituee primrest = 1 : "Ind. report invest. loc. meub. non pro. 2019 a 2026 (7pz)" ;
LIGR2VQR : calculee restituee primrest = 1 : "Indicateur ligne moins-value 2VQ 2VR" ;
LIGRAS : calculee restituee primrest = 1 : "Indicateur lignes PAS" ;
LIGRAS1 : calculee restituee primrest = 1 : "Indicateur lignes PAS (correctif) sans option" ;
LIGRASASSO : calculee restituee primrest = 1 : "Indicateur lignes asso gerant PAS" ;
LIGRASASSO1 : calculee restituee primrest = 1 : "Indicateur lignes ASSO PAS correctif sans option" ;
LIGRASAUSA : calculee restituee primrest = 1 : "Indicateur lignes Agassu PAS" ;
LIGRASAUSA1 : calculee restituee primrest = 1 : "Indicateur lignes AUSA PAS correctif sans option" ;
LIGRASBA : calculee restituee primrest = 1 : "Indicateur lignes BA PAS" ;
LIGRASBA1 : calculee restituee primrest = 1 : "Indicateur lignes BA PAS correctif sans option" ;
LIGRASBIC : calculee restituee primrest = 1 : "Indicateur lignes BIC PAS" ;
LIGRASBIC1 : calculee restituee primrest = 1 : "Indicateur lignes BIC PAS correctif sans option" ;
LIGRASBNC : calculee restituee primrest = 1 : "Indicateur lignes BNC PAS" ;
LIGRASBNC1 : calculee restituee primrest = 1 : "Indicateur lignes BNC PAS correctif sans option" ;
LIGRASCDV : calculee restituee primrest = 1 : "Indicateur lignes PAS pour C, D et V" ;
LIGRASCDV1 : calculee restituee primrest = 1 : "Indicateur lignes PAS pour C, D et V - correctif" ;
LIGRASIND1 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) sans option" ;
LIGRASIND21 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) sans option" ;
LIGRASIND28 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) avec option" ;
LIGRASIND31 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) sans option" ;
LIGRASIND38 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) avec option" ;
LIGRASIND61 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) sans option" ;
LIGRASIND68 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) avec option" ;
LIGRASIND8 : calculee restituee primrest = 1 : "Indicateur lignes PAS individualisation (correctif) avec option" ;
LIGRASINF : calculee restituee primrest = 1 : "Indicateur lignes PAS + acompte < 5" ;
LIGRASLEMP : calculee restituee primrest = 1 : "Indicateur lignes particuliers employeurs PAS" ;
LIGRASLEMP1 : calculee restituee primrest = 1 : "Indicateur lignes LEMP PAS correctif sans option" ;
LIGRASOM : calculee restituee primrest = 1 : "Indicateur lignes PAS pour O et M" ;
LIGRASOM1 : calculee restituee primrest = 1 : "Indicateur lignes PAS pour O et M - correctif" ;
LIGRASPAC : calculee restituee primrest = 1 : "Indicateur lignes revenus PAC PAS" ;
LIGRASPAC1 : calculee restituee primrest = 1 : "Indicateur lignes PAC PAS correctif sans option" ;
LIGRASRF : calculee restituee primrest = 1 : "Indicateur lignes RF PAS" ;
LIGRASRF1 : calculee restituee primrest = 1 : "Indicateur lignes RF PAS correctif sans option" ;
LIGRASRFS : calculee restituee primrest = 1 : "Indicateur lignes RF PAS prelevements sociaux" ;
LIGRASRFS1 : calculee restituee primrest = 1 : "Indicateur lignes RF PAS prelevements sociaux correctif sans option" ;
LIGRASRVTO : calculee restituee primrest = 1 : "Indicateur lignes RVTO PAS" ;
LIGRASRVTO1 : calculee restituee primrest = 1 : "Indicateur lignes RVTO PAS correctif sans option" ;
LIGRASRVTOS : calculee restituee primrest = 1 : "Indicateur lignes RVTO PAS prelevements sociaux" ;
LIGRASRVTOS1 : calculee restituee primrest = 1 : "Indicateur lignes RVTO PAS prelevements sociaux correctif sans option" ;
LIGRASSUP : calculee restituee primrest = 1 : "Indicateur lignes PAS + acompte > 5" ;
LIGRASTOT1 : calculee restituee primrest = 1 : "Indicateur lignes total acompte dec 1 PAS" ;
LIGRASTOT2 : calculee restituee primrest = 1 : "Indicateur lignes total acompte dec 2 PAS" ;
LIGRASTOTF : calculee restituee primrest = 1 : "Indicateur lignes total acompte foyer PAS" ;
LIGRASTSPE : calculee restituee primrest = 1 : "Indicateur lignes TSPE PAS" ;
LIGRASTSPE1 : calculee restituee primrest = 1 : "Indicateur lignes TSPE PAS correctif sans option" ;
LIGRCELHL : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7HL 7HM" ;
LIGRCELHZ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELHZ" ;
LIGRCELIQ : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7IQ" ;
LIGRCELKC : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELKC" ;
LIGRCELKD : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELKD" ;
LIGRCELKT : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELKT" ;
LIGRCELKU : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELKU" ;
LIGRCELKV : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELKV" ;
LIGRCELLA : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7LA" ;
LIGRCELLB : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2010 non imputee 7LB" ;
LIGRCELLC : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2011 non imputee 7LC" ;
LIGRCELLQ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7LQ" ;
LIGRCELLR : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2010 non imputee 7LR" ;
LIGRCELLU : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2011 non imputee 7LU" ;
LIGRCELLV : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2012 non imputee 7LV" ;
LIGRCELLY : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2012 non imputee 7LY" ;
LIGRCELMA : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee 7MA" ;
LIGRCELMB : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee 7MB" ;
LIGRCELMC : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee 7MC" ;
LIGRCELMD : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee 7MD" ;
LIGRCELMH : calculee restituee primrest = 1 : "Report prorogation Scellier  - 7MH" ;
LIGRCELMI : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee" ;
LIGRCELMJ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee" ;
LIGRCELMK : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee" ;
LIGRCELML : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee" ;
LIGRCELMO : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MO" ;
LIGRCELMP : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MP" ;
LIGRCELMQ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MQ" ;
LIGRCELMR : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MR" ;
LIGRCELMS : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MS" ;
LIGRCELMT : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MT" ;
LIGRCELMU : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MU" ;
LIGRCELMV : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee 7MV" ;
LIGRCELPC : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELPC" ;
LIGRCELPD : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELPD" ;
LIGRCELPE : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELPE" ;
LIGRCELRIJ : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RI 7RJ 7RK 7RL" ;
LIGRCELRK : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRCELRL : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRCELRM : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRCELRMN : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RM 7RN 7RO 7RP" ;
LIGRCELRN : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRCELRQ : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RQ" ;
LIGRCELSIJ : calculee restituee primrest = 1 : "Report 2016 a 2018 Scellier  - 7SI 7SJ 7SK 7SL" ;
LIGRCELUU : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELUU" ;
LIGRCELUV : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELUV" ;
LIGRCELUW : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELUW" ;
LIGRCELUX : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELUX" ;
LIGRCELXHI : calculee restituee primrest = 1 : "Report 2016 a 2018 Scellier  - 7XH 7XI 7XJ 7XK" ;
LIGRCELXO : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELXO" ;
LIGRCELXP : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELXP" ;
LIGRCELXQ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELXQ" ;
LIGRCELYI : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELYI" ;
LIGRCELYJ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELYJ" ;
LIGRCELYK : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELYK" ;
LIGRCELYL : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELYL" ;
LIGRCELZAB : calculee restituee primrest = 1 : "Report 2016 a 2018 Scellier  - 7ZA 7ZB" ;
LIGRCELZI : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELZI" ;
LIGRCELZJ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELZJ" ;
LIGRCELZK : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELZK" ;
LIGRCELZL : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELZL" ;
LIGRCELZO : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELZO" ;
LIGRCELZP : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation RRCELZP" ;
LIGRCELZV : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7ZM 7ZN" ;
LIGRCIF : calculee restituee primrest = 1 : "Indicateur report travaux forestiers" ;
LIGRCIFAD : calculee restituee primrest = 1 : "Indicateur report travaux forestiers avec adhesion" ;
LIGRCIFADSN : calculee restituee primrest = 1 : "Indicateur report travaux forestiers apres sinistre avec adhesion" ;
LIGRCIFSIN : calculee restituee primrest = 1 : "Indicateur report travaux forestiers apres sinistre" ;
LIGRCMABT : calculee restituee primrest = 1 : "indicateur d'affichage de l'avis detaille d l'IR" ;
LIGRCMIMPAT : calculee restituee primrest = 1 : "indicateur ligne abattement revenus capitaux mobiliers impatries" ;
LIGRCMRDS : calculee restituee primrest = 1 : "indicateur ligne produits de placement soumis a prelevements sociaux" ;
LIGRCMSOC : calculee restituee primrest = 1 : "indicateur ligne produits de placement soumis a prelevements sociaux" ;
LIGRCODJZ : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. 2013 (7JZ)" ;
LIGRCODMN : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro." ;
LIGRCODMW : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro." ;
LIGRCODMZ : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. 2020 (7mz)" ;
LIGRCODOW : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. 2016 (7OW)" ;
LIGRCODOX : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. 2017 (7OX)" ;
LIGRCODOY : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. 2018 (7OY)" ;
LIGRCODPZ : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. 2019 (7pz)" ;
LIGRDCSG : calculee restituee primrest = 1 : "indicateur d'affichage CSG deductible 2007" ;
LIGRDNORMTOT : calculee restituee primrest = 1 : "indicateur somme des lig des reports Pinel" ;
LIGRED : calculee restituee primrest = 1 : "Indicateur ligne reductions de l'avis IR" ;
LIGREDAGRI : calculee restituee primrest = 1 : "indicateur INTDIFAGRI de l'avis detaille de l'IR" ;
LIGREDYT : calculee restituee primrest = 1 : "Indicateur ligne reductions de l'avis IR" ;
LIGREGCI : calculee restituee primrest = 1 : "Indicateur credit hauts revenus (8XR)" ;
LIGREHAB : calculee restituee primrest = 1 : "Indicateur travaux rehabilitation residence tourisme" ;
LIGREP7TA : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TA)" ;
LIGREP7TB : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TB)" ;
LIGREP7TJ : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TJ)" ;
LIGREP7TK : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TK)" ;
LIGREP7TM : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TM)" ;
LIGREP7TO : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TO)" ;
LIGREP7TP : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TP)" ;
LIGREP7TQ : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TQ)" ;
LIGREP7TR : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TR)" ;
LIGREP7TS : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TS)" ;
LIGREP7TT : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TT)" ;
LIGREP7TU : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7TU)" ;
LIGREP7TV : calculee restituee primrest = 1 : "Indicateur report travaux forestiers" ;
LIGREP7TW : calculee restituee primrest = 1 : "Indicateur report travaux forestiers" ;
LIGREP7UA : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7UA)" ;
LIGREP7UB : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7UB)" ;
LIGREP7UP : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7UP)" ;
LIGREP7UT : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7UT)" ;
LIGREP7VL : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7VL)" ;
LIGREP7VM : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7VM)" ;
LIGREP7VN : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7VN)" ;
LIGREP7VQ : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7VQ)" ;
LIGREP7VR : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7VR)" ;
LIGREP7VS : calculee restituee primrest = 1 : "Indicateur report travaux forestiers (7VS)" ;
LIGREPAR : calculee restituee primrest = 1 : "Indicateur ligne grosses reparations nus-proprietaire " ;
LIGREPAR1 : calculee restituee primrest = 1 : "Indicateur grosses reparations nus-proprietaire report 2014" ;
LIGREPAR2 : calculee restituee primrest = 1 : "Indicateur grosses reparations nus-proprietaire report 2013" ;
LIGREPAR3 : calculee restituee primrest = 1 : "Indicateur grosses reparations nus-proprietaire report 2012" ;
LIGREPAR4 : calculee restituee primrest = 1 : "Indicateur grosses reparations nus-proprietaire report 2011" ;
LIGREPAR5 : calculee restituee primrest = 1 : "Indicateur grosses reparations nus-proprietaire report 2010" ;
LIGREPARN : calculee restituee primrest = 1 : "Indicateur report grosses reparations nus-proprietaire report 2015" ;
LIGREPBXN : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HBX, HCN)" ;
LIGREPBYO : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HBY, HCO)" ;
LIGREPBZP : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HBZ, HCP)" ;
LIGREPCBR : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HCB, HCR)" ;
LIGREPCCS : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HCC, HCS)" ;
LIGREPCDT : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HCD, HCT)" ;
LIGREPCICE : calculee restituee primrest = 1 : "Indicateur report credit competitivite" ;
LIGREPCORSE : calculee restituee primrest = 1 : "indicateur report Corse avis detaille de l'IR" ;
LIGREPDON : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIGREPDONR : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIGREPDONR1 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR n-1" ;
LIGREPDONR2 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR n-2" ;
LIGREPDONR3 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR n-3" ;
LIGREPDONR4 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR n-4" ;
LIGREPKW : calculee restituee primrest = 1 : "Indicateur restauration immo report 7KW" ;
LIGREPKX : calculee restituee primrest = 1 : "Indicateur restauration immo report (7KX)" ;
LIGREPKZ : calculee restituee primrest = 1 : "Indicateur restauration immo report 7KZ" ;
LIGREPLOC10 : calculee restituee primrest = 1 : "Reports- LMNP 2011 reduc non imputee" ;
LIGREPLOC11 : calculee restituee primrest = 1 : "Reports- LMNP 2011 reduc non imputee" ;
LIGREPLOC12 : calculee restituee primrest = 1 : "Reports- LMNP 2012 reduc non imputee" ;
LIGREPLOC15 : calculee restituee primrest = 1 : "Reports- LMNP 2013 2014 2015 reduc non imputee" ;
LIGREPLOC9 : calculee restituee primrest = 1 : "Reports- LMNP 2011 reduc non imputee" ;
LIGREPPLB : calculee restituee primrest = 1 : "Indicateur report invest. outre mer entreprise" ;
LIGREPPLU : calculee restituee primrest = 1 : "indicateur ligne report imposition" ;
LIGREPQKG : calculee restituee primrest = 1 : "indicateur report investissements outre mer logement social" ;
LIGREPRECH : calculee restituee primrest = 1 : "Indicateur report credit recherche" ;
LIGREPREPAR : calculee restituee primrest = 1 : "indicateur ligne grosses reparations nus-proprietaire report" ;
LIGREPREST : calculee restituee primrest = 1 : "Indicateur restauration immo report" ;
LIGREPTBE : calculee restituee primrest = 1 : "Indicateur report investissements outre mer" ;
LIGREPXIO : calculee restituee primrest = 1 : "Indicateur report investissements outre mer (HXI, HXO)" ;
LIGREPXY : calculee restituee primrest = 1 : "Indicateur restauration immo report 2018" ;
LIGRES : calculee restituee primrest = 1 : "Indicateur ligne restitution" ;
LIGRESINF : calculee restituee primrest = 1 : "Indicateur ligne somme inferieure a 8 non restituee" ;
LIGRESINF50 : calculee restituee primrest = 1 : "indicateur ligne libelle sommes inf a 50 f pas restituees" ;
LIGRESTIMO : calculee restituee primrest = 1 : "indicateur ligne travaux de restauration immibiliere" ;
LIGRESTIMO1 : calculee restituee primrest = 1 : "Indicateur travaux restauration immobiliere" ;
LIGRESTREP : calculee restituee primrest = 1 : "Indicateur travaux restauration immobiliere report" ;
LIGREVAAS : calculee restituee primrest = 1 : "Indicateur revenus agents assurance" ;
LIGREVAC : calculee restituee primrest = 1 : "Indicateur revenus donnant lieu a acompte" ;
LIGREVAGA : calculee restituee primrest = 1 : "Indicateur revenus agents assurance" ;
LIGREVEMP : calculee restituee primrest = 1 : "Indicateur revenus salarie employeur" ;
LIGREVNEXO : calculee restituee primrest = 1 : "Indicateur heures sup non exonerees" ;
LIGREVRF : calculee restituee primrest = 1 : "LIG rev. foncier quotient de l'avis detaille de l'IR" ;
LIGRGWN0 : calculee restituee primrest = 1 : "Indicateur affichage report N souscription capital SOCFONC 7GW" ;
LIGRIDOMPRO : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGRIJ1 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RI 7RJ 7RK 7RL" ;
LIGRIJ2 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RI 7RJ 7RK 7RL" ;
LIGRIRENOV : calculee restituee primrest = 1 : "indicateur RIRENOV de l'avis detaille de l'IR" ;
LIGRLOCIDFG : calculee restituee primrest = 1 : "Indicateur report invest. loc. meublee non pro. (7ID,7IF,7IG) avis IR" ;
LIGRMN1 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RM 7RN 7RO 7RP" ;
LIGRMN2 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RM 7RN 7RO 7RP" ;
LIGRNIDF : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF en EURO" ;
LIGRNIDF0 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF0 en EURO (annee n)" ;
LIGRNIDF1 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF1 en EURO" ;
LIGRNIDF2 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF2 en EURO" ;
LIGRNIDF3 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF3 en EURO" ;
LIGRNIDF4 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF4 en EURO" ;
LIGRNIDF5 : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne RNIDF5 en EURO" ;
LIGRNONA : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NA - report" ;
LIGRNONA1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NA - report" ;
LIGRNONA2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NA - report" ;
LIGRNONB : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NB - report" ;
LIGRNONB1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NB - report" ;
LIGRNONB2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NB - report" ;
LIGRNONC : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NC - report" ;
LIGRNONC1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NC - report" ;
LIGRNONC2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NC - report" ;
LIGRNOND : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7ND - report" ;
LIGRNOND1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7ND - report" ;
LIGRNOND2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7ND - report" ;
LIGRNONE : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NE - report" ;
LIGRNONE1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NE - report" ;
LIGRNONE2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NE - report" ;
LIGRNONF : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NF - report" ;
LIGRNONF1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NF - report" ;
LIGRNONF2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NF - report" ;
LIGRNONG : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NG - report" ;
LIGRNONG1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NG - report" ;
LIGRNONG2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NG - report" ;
LIGRNONH : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NH - report" ;
LIGRNONH1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NH - report" ;
LIGRNONH2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NH - report" ;
LIGRNONI : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NI - report" ;
LIGRNONI1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NI - report" ;
LIGRNONI2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NI - report" ;
LIGRNONJ : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NJ - report" ;
LIGRNONJ1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NJ - report" ;
LIGRNONJ2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NJ - report" ;
LIGRNONK : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NK - report" ;
LIGRNONK1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NK - report" ;
LIGRNONK2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NK - report" ;
LIGRNONL : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NL - report" ;
LIGRNONL1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NL - report" ;
LIGRNONL2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie 7NL - report" ;
LIGRNONM : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNONM1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNONM2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNONN : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNONN1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNONN2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNOPF : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNOPF1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNOPF2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNOPG : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNOPG1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGRNOPG2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Denormandie - report" ;
LIGROBOR : calculee restituee primrest = 1 : "ligne amortissement deduit des revenus fonciers" ;
LIGRPINELTOT : calculee restituee primrest = 1 : "indicateur somme des lig des reports Pinel" ;
LIGRPIQA : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QA - report" ;
LIGRPIQA1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QA - report" ;
LIGRPIQA2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QA - report" ;
LIGRPIQB : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QB - report" ;
LIGRPIQB1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QB - report" ;
LIGRPIQB2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QB - report" ;
LIGRPIQC : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QC - report" ;
LIGRPIQC1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QC - report" ;
LIGRPIQC2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QC - report" ;
LIGRPIQD : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QD - report" ;
LIGRPIQD1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QD - report" ;
LIGRPIQD2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QD - report" ;
LIGRPIQI : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QI - report" ;
LIGRPIQI1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QI - report" ;
LIGRPIQI2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QI - report" ;
LIGRPIQJ : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QJ - report" ;
LIGRPIQJ1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QJ - report" ;
LIGRPIQJ2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QJ - report" ;
LIGRPIQK : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QK - report" ;
LIGRPIQK1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QK - report" ;
LIGRPIQK2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QK - report" ;
LIGRPIQL : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QL - report" ;
LIGRPIQL1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QL - report" ;
LIGRPIQL2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QL - report" ;
LIGRPIQM : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQM1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQM2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQN : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQN1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQN2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQO : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQO1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQO2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQP : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQP1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQP2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIQQ : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QQ - report" ;
LIGRPIQQ1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QQ - report" ;
LIGRPIQQ2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QQ - report" ;
LIGRPIQW : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QW - report" ;
LIGRPIQW1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QW - report" ;
LIGRPIQW2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QW - report" ;
LIGRPIQX : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QX - report" ;
LIGRPIQX1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QX - report" ;
LIGRPIQX2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QX - report" ;
LIGRPIQY : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QY - report" ;
LIGRPIQY1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QY - report" ;
LIGRPIQY2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7QY - report" ;
LIGRPIRP : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIRP1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIRP2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIRQ : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIRQ1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIRQ2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel - report" ;
LIGRPIRX : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7RX - report" ;
LIGRPIRX1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7RX - report" ;
LIGRPIRX2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7RX - report" ;
LIGRPIRY : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7RY - report" ;
LIGRPIRY1 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7RY - report" ;
LIGRPIRY2 : calculee restituee primrest = 1 : "Indicateur invest. locatif Pinel 7RY - report" ;
LIGRQ1 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RQ" ;
LIGRQ2 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier  - 7RQ" ;
LIGRRCEL1 : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2012 non imputee 7MG" ;
LIGRRCEL10 : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2012 non imputee" ;
LIGRRCEL11 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2012 non imputee" ;
LIGRRCEL12 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee" ;
LIGRRCEL13 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier non imputee" ;
LIGRRCEL2 : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2011 non imputee" ;
LIGRRCEL22 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2011 non imputee" ;
LIGRRCEL3 : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2010 non imputee" ;
LIGRRCEL33 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2010 non impute." ;
LIGRRCEL4 : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2009 non imputee" ;
LIGRRCEL44 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier 2009 non imputee" ;
LIGRRCEL5 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCEL6 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCEL7 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCEL8 : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCEL9 : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2012 non imputee" ;
LIGRRCELE : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCELF : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCELG : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCELH : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCELI : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCELJ : calculee restituee primrest = 1 : "Indicateur report reduction Scellier prorogation" ;
LIGRRCELK : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2012 non imputee" ;
LIGRRCELL : calculee restituee primrest = 1 : "Bas avis IR : Report reduction Scellier 2012 non imputee" ;
LIGRSN : calculee restituee primrest = 1 : "Indicateur affichage report souscription capital petites entreprises" ;
LIGRSN01 : calculee restituee primrest = 1 : "Indicateur report N souscription capital petites entreprises" ;
LIGRSN1 : calculee restituee primrest = 1 : "Indicateur report N souscription capital petites entreprises" ;
LIGRSN2 : calculee restituee primrest = 1 : "Indicateur affichage report N-1 souscription capital petites entr" ;
LIGRSOCREPR : calculee restituee primrest = 1 : "indicateur ligne avis" ;
LIGRVG : calculee restituee primrest = 1 : "Indicateur PV quotient (RVG)" ;
LIGRZRE : calculee restituee primrest = 1 : "Indicateur ligne ZRE de l'avis IR" ;
LIGRZRF : calculee restituee primrest = 1 : "Indicateur ligne ZRF de l'avis IR" ;
LIGSALDOM : calculee restituee primrest = 1 : "indicateur salarie domicile de l'avis detaille de l'IR" ;
LIGSIJ1 : calculee restituee primrest = 1 : "Report 2018 a 2025 Scellier - 7SI 7SJ 7SK 7SL" ;
LIGSIJ2 : calculee restituee primrest = 1 : "Report 2018 a 2025 Scellier - 7SI 7SJ 7SK 7SL" ;
LIGSPDREPNPC : calculee restituee primrest = 1 : "indicateur ligne deficit bnc spe -V  non pro  de l'avis detaille IR" ;
LIGSPDREPNPP : calculee restituee primrest = 1 : "indicateur ligne deficit bnc spe -V  non pro  de l'avis detaille IR" ;
LIGSPDREPNPV : calculee restituee primrest = 1 : "indicateur ligne deficit bnc spe -V  non pro  de l'avis detaille IR" ;
LIGSPEDREPC : calculee restituee primrest = 1 : "indicateur ligne deficit bnc spe -V  pro  de l'avis detaille IR" ;
LIGSPEDREPP : calculee restituee primrest = 1 : "indicateur ligne deficit bnc spe -V  pro  de l'avis detaille IR" ;
LIGSPEDREPV : calculee restituee primrest = 1 : "indicateur ligne deficit bnc spe -V  pro  de l'avis detaille IR" ;
LIGSPENETPF : calculee restituee primrest = 1 : "Indicateur BNC prof. regime special moins-values foyer" ;
LIGSPENP : calculee restituee primrest = 1 : "indicateur BNC special non pro" ;
LIGSPENPNEG : calculee restituee primrest = 1 : "indicateur BNC special non pro negatif" ;
LIGSPENPPOS : calculee restituee primrest = 1 : "indicateur BNC special non pro positif" ;
LIGSUP : calculee restituee primrest = 1 : "Indicateur ligne supplement impot" ;
LIGSUR : calculee restituee primrest = 1 : "Indicateur pour saut de ligne" ;
LIGSURIMP : calculee restituee primrest = 1 : "indicateur ligne impot en sursis de paiement" ;
LIGSXBN : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGTAUX : calculee restituee primrest = 1 : "Indicateur affichage des differents taux" ;
LIGTAXA17281 : calculee restituee primrest = 1 : "ind TAXAGA add INR de l'avis IR article 1728 taux 10 % nat=1" ;
LIGTAXADEG : calculee restituee primrest = 1 : "indicateur ligne TAXASSUR degrevee de l'avis detaille de l'IR" ;
LIGTAXANET : calculee restituee primrest = 1 : "indicateur TAXASSUR de l'avis detaille de l'IR" ;
LIGTAXANT : calculee restituee primrest = 1 : "indicateur ligne taxe agent assurance anterieur" ;
LIGTAXASSUR : calculee restituee primrest = 1 : "indicateur acompte TAXASSUR" ;
LIGTAXASSURC : calculee restituee primrest = 1 : "indicateur acompte TAXASSUR" ;
LIGTAXASSURV : calculee restituee primrest = 1 : "indicateur acompte TAXASSUR" ;
LIGTITREXC : calculee restituee primrest = 1 : "indicateur titre     conjoint          revenus exo" ;
LIGTITREXCP : calculee restituee primrest = 1 : "indicateur titre     conjoint enfants  revenus exo" ;
LIGTITREXP : calculee restituee primrest = 1 : "indicateur titre     enfants           revenus exo" ;
LIGTITREXV : calculee restituee primrest = 1 : "indicateur titre vous                  revenus exo" ;
LIGTITREXVC : calculee restituee primrest = 1 : "indicateur titre vous conjoint         revenus exo" ;
LIGTITREXVCP : calculee restituee primrest = 1 : "indicateur titre cous conjoint enafant revenus exo" ;
LIGTITREXVP : calculee restituee primrest = 1 : "indicateur titre vous   enfants        revenus exo" ;
LIGTRCT : calculee restituee primrest = 1 : "Indicateur telecorrection" ;
LIGTTPVQ : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
LIGTXF24 : calculee restituee primrest = 1 : "indicateur ligne tx forfaitaire 24%  avis IR" ;
LIGTXF30 : calculee restituee primrest = 1 : "indicateur ligne tx forfaitaire 30%  avis IR" ;
LIGTXF40 : calculee restituee primrest = 1 : "indicateur ligne tx forfaitaire 40 %  avis IR" ;
LIGTXMARJ : calculee restituee primrest = 1 : "Indicateur affichage taux marginal" ;
LIGTXMOYIMP : calculee restituee primrest = 1 : "Indicateur affichage taux moyen" ;
LIGTXMOYNEG : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGTXMOYPOS : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGTXNEGYT : calculee restituee primrest = 1 : "Indicateur affichage de l'avis detaille IR avec 9YT" ;
LIGTXPOSYT : calculee restituee primrest = 1 : "Indicateur affichage de l'avis detaille IR avec 9YT" ;
LIGVERCOMP : calculee restituee primrest = 1 : "Indicateur complement versement liberatoire" ;
LIGVERSLIB : calculee restituee primrest = 1 : "indicateur AUTOVERSLIB de l'avis detaille de l'IR" ;
LIGVERSUP : calculee restituee primrest = 1 : "Indicateur supplement versement liberatoire (8UX)" ;
LIGVIEU : calculee restituee primrest = 1 : "Indicateur investissement location meublee non pro - report 7IM" ;
LIGXBA : calculee restituee primrest = 1 : "Indicateur affichage exo benefice agricole" ;
LIGXBINP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGXBIP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGXBN : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGXBP : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGXHI1 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier" ;
LIGXHI2 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier" ;
LIGXHSUP : calculee restituee primrest = 1 : "Indicateur affichage heures supplementaires" ;
LIGXIMPA : calculee restituee primrest = 1 : "Indicateur affichage exo sal impatrie" ;
LIGXSPEN : calculee restituee primrest = 1 : "indicateur affichage  de l'avis detaille IR" ;
LIGXTSA : calculee restituee primrest = 1 : "Indicateur affichage exo ts agent assu" ;
LIGZAB1 : calculee restituee primrest = 1 : "Report 2018 a 2025 Scellier - 7ZA 7ZB" ;
LIGZAB2 : calculee restituee primrest = 1 : "Report 2018 a 2025 Scellier - 7ZA 7ZB" ;
LIGZRS : calculee restituee primrest = 1 : "Indicateur montant total RAS preleve" ;
LIGZV1 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier - 7ZV" ;
LIGZV2 : calculee restituee primrest = 1 : "Report prorogation 2018 Scellier - 7ZV" ;
LIG_172810 : calculee restituee primrest = 1 : "indicateur ligne INR de l'avis IR article 1728 taux 10 % nat = 1" ;
LIG_AVISIFI : calculee restituee primrest = 1 : "IFI : indicateur edition avis " ;
LIG_BICNPF : calculee restituee primrest = 1 : "indicateur ligne BICNPF l'avis detaille IR" ;
LIG_CORRECT : calculee restituee primrest = 1 : "indicateur lignes impot avant correction de l'avis detaille IR" ;
LIG_DEFNPI : calculee restituee primrest = 1 : "indicateur ligne DEFNPI l'avis detaille IR" ;
LIG_GATASA : calculee restituee primrest = 1 : "indicateur ligne gains cessions taxables en salaires avis IR" ;
LIG_IRNET : calculee restituee primrest = 1 : "indicateur ligen IRNET" ;
LIG_MEMO : calculee restituee primrest = 1 : "indicateur ligne pour memoire avis detaille IR" ;
LIG_MIBP : calculee restituee primrest = 1 : "indicateur BIC micro pro " ;
LIG_NMAJ1 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1728  de l'avis detaille de l'IR" ;
LIG_NMAJ3 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1758A  de l'avis detaille de l'IR" ;
LIG_NMAJ4 : calculee restituee primrest = 1 : "indicateur ligne MAJO 1729, 1732, 1758 de l'avis detaille de l'IR" ;
LIG_R8ZT : calculee restituee primrest = 1 : "indicateur ligne R8ZT de l'avis detaille de l'IR" ;
LIG_REPORT : calculee restituee primrest = 1 : "indicateur ligne REPORTS    de l'avis detaille IR" ;
LIG_REVASS : calculee restituee primrest = 1 : "indicateur ligne Alocations avis IR" ;
LIG_SAL : calculee restituee primrest = 1 : "indicateur ligne salaires avis IR" ;
LIG_SALASS : calculee restituee primrest = 1 : "indicateur ligne salaires et assimiles avis IR" ;
LIG_SURSIS : calculee restituee primrest = 1 : "indicateur lignes sursis    de l'avis detaille IR" ;
LIM1000 : const=1000.00000  ;
LIM10000 : const=10000.00000  ;
LIM150 : const=150.00000  ;
LIM1500 : const=1500.00000  ;
LIM15000 : const=15000.00000  ;
LIM18000 : const=18000.00000  ;
LIM2000 : const=2000.00000  ;
LIM22000 : const=22000.00000  ;
LIM24000 : const=24000.00000  ;
LIM300 : const=300.00000  ;
LIM3000 : const=3000.00000  ;
LIM3350 : const=3350.00000  ;
LIM350 : const=350.00000  ;
LIM400 : const=400.00000  ;
LIM4000 : const=4000.00000  ;
LIM5000 : const=5000.00000  ;
LIM600 : const=600.00000  ;
LIM6000 : const=6000.00000  ;
LIM670 : const=670.00000  ;
LIM7500 : const=7500.00000  ;
LIMCELLIER : const=300000.00000  ;
LIMDPAE : calculee primrest = 0 : "Deduction pour pension alimentaire etudiant" ;
LIMDUFLO : const=300000.00000  ;
LIMFIPDOM : const=12000.00000  ;
LIMHR1 : const=250000.00000  ;
LIMHR2 : const=500000.00000  ;
LIMHRTX1 : const=500000.00000  ;
LIMINFBAR1 : calculee primrest = 0 : "Limite inferieure bareme double liquidation" ;
LIMINFBAR2 : calculee primrest = 0 : "Limite inferieure bareme double liquidation" ;
LIMINFBAR3 : calculee primrest = 0 : "Limite inferieure bareme double liquidation" ;
LIMINFBAR4 : calculee primrest = 0 : "Limite inferieure bareme double liquidation" ;
LIMINFBAR5 : calculee primrest = 0 : "Limite inferieure bareme double liquidation" ;
LIMINFBAR6 : calculee primrest = 0 : "Limite inferieure bareme double liquidation" ;
LIMIT10 : calculee restituee primrest = 0 : "Plafonnement global de certains avantages fiscaux (2010/2010)" ;
LIMIT11 : calculee restituee primrest = 0 : "Plafonnement global de certains avantages fiscaux, limite 2011" ;
LIMIT12 : calculee restituee primrest = 0 : "Plafonnement global de certains avantages fiscaux, limite 2012" ;
LIMIT9 : calculee restituee primrest = 0 : "Plafonnement global de certains avantages fiscaux (2009/2010)" ;
LIMLOC : const=50000.00000  ;
LIMLOC2 : const=33333.00000  ;
LIMREPDUF : const=9667.00000  ;
LIMREPLOC1 : const=3667.00000  ;
LIMREPLOC10 : const=33333.00000  ;
LIMREPLOC11 : const=10000.00000  ;
LIMREPLOC2 : const=6000.00000  ;
LIMREPLOC3 : const=7334.00000  ;
LIMREPLOC4 : const=11001.00000  ;
LIMREPLOC5 : const=12000.00000  ;
LIMREPLOC6 : const=13334.00000  ;
LIMREPLOC7 : const=14668.00000  ;
LIMREPLOC8 : const=16666.00000  ;
LIMREPLOC9 : const=6667.00000  ;
LIMREPPIN1 : const=6000.00000  ;
LIMREPPIN2 : const=9667.00000  ;
LIMREPPIN3 : const=11500.00000  ;
LIMREPPIN4 : const=10000.00000  ;
LIMREPPIN5 : const=18000.00000  ;
LIMREPSC1 : const=33336.00000  ;
LIMREPSC10 : const=4000.00000  ;
LIMREPSC11 : const=6000.00000  ;
LIMREPSC12 : const=10000.00000  ;
LIMREPSC2 : const=8000.00000  ;
LIMREPSC3 : const=12000.00000  ;
LIMREPSC4 : const=16000.00000  ;
LIMREPSC5 : const=21600.00000  ;
LIMREPSC6 : const=24000.00000  ;
LIMREPSC7 : const=26672.00000  ;
LIMREPSC8 : const=28800.00000  ;
LIMREPSC9 : const=43200.00000  ;
LIMRFR : const=15000.00000  ;
LIMSUPBAR1 : calculee primrest = 0 : "Limite superieure bareme double liquidation" ;
LIMSUPBAR2 : calculee primrest = 0 : "Limite superieure bareme double liquidation" ;
LIMSUPBAR3 : calculee primrest = 0 : "Limite superieure bareme double liquidation" ;
LIMSUPBAR4 : calculee primrest = 0 : "Limite superieure bareme double liquidation" ;
LIMSUPBAR5 : calculee primrest = 0 : "Limite superieure bareme double liquidation" ;
LIMSUPBAR6 : calculee primrest = 0 : "Limite superieure bareme double liquidation" ;
LIM_ABTRNGDBL : const=26400.00000  ;
LIM_ABTRNGSIMP : const=16410.00000  ;
LIM_AGE_ABVIEUX : const=65.00000  ;
LIM_AGE_EXO : const=65.00000  ;
LIM_AGE_LET_S : const=74.00000  ;
LIM_AIDOMI : const=12000.00000  ;
LIM_AIDOMI2 : const=20000.00000  ;
LIM_AIDOMI3 : const=15000.00000  ;
LIM_ASSUR1 : const=23000.00000  ;
LIM_ASSUR2 : const=107000.00000  ;
LIM_ASSUR3 : const=200000.00000  ;
LIM_BAR1 : const=0.00000  ;
LIM_BAR2 : const=10777.00000  ;
LIM_BAR3 : const=27478.00000  ;
LIM_BAR4 : const=78570.00000  ;
LIM_BAR5 : const=168994.00000  ;
LIM_BTIMP : const=150.00000  ;
LIM_BTREVFONC : const=5400.00000  ;
LIM_BTRNI : const=6000.00000  ;
LIM_BTRNI10 : const=10000.00000  ;
LIM_CONTROLE : const=600.00000  ;
LIM_CURE : const=10000.00000  ;
LIM_DEVSUP : const=6157.00000  ;
LIM_DEVSUP1 : const=3078.50000  ;
LIM_DIFAGRI : const=5000.00000  ;
LIM_FIPCORSE : const=12000.00000  ;
LIM_FORET : const=1000.00000  ;
LIM_FRACC : const=3786.00000  ;
LIM_IDF1 : const=25068.00000  ;
LIM_IDF2 : const=36792.00000  ;
LIM_IDF3 : const=44188.00000  ;
LIM_IDF4 : const=51597.00000  ;
LIM_IDF5 : const=59026.00000  ;
LIM_IDFSUP : const=7422.00000  ;
LIM_IFIDEC : const=1400000.00000  ;
LIM_IFIINF : const=1300000.00000  ;
LIM_INFRESTIT : const=4400.00000  ;
LIM_INF_BAR1 : const=0.00000  ;
LIM_INF_BAR2 : const=10777.00000  ;
LIM_INF_BAR3 : const=27478.00000  ;
LIM_INF_BAR4 : const=78570.00000  ;
LIM_INF_BAR5 : const=168994.00000  ;
LIM_INF_BAR6 : const=0.00000  ;
LIM_INF_MOD1 : const=0.00000  ;
LIM_INF_MOD2 : const=10777.00000  ;
LIM_INF_MOD3 : const=27478.00000  ;
LIM_INF_MOD4 : const=78570.00000  ;
LIM_INF_MOD5 : const=168994.00000  ;
LIM_INF_MOD6 : const=0.00000  ;
LIM_INVLOC : const=11440.00000  ;
LIM_INVLOC3 : const=8333.00000  ;
LIM_ISFDEC : const=1400000.00000  ;
LIM_ISFINF : const=1300000.00000  ;
LIM_ISFSUP : const=2570000.00000  ;
LIM_MIBPRES : const=72600.00000  ;
LIM_MIBVEN : const=176200.00000  ;
LIM_MICFON : const=15000.00000  ;
LIM_N1IDF1 : const=24918.00000  ;
LIM_N1IDF2 : const=36572.00000  ;
LIM_N1IDF3 : const=43924.00000  ;
LIM_N1IDF4 : const=51289.00000  ;
LIM_N1IDF5 : const=58674.00000  ;
LIM_N1IDFSUP : const=7377.00000  ;
LIM_N1NONIDF1 : const=18960.00000  ;
LIM_N1NONIDF2 : const=27729.00000  ;
LIM_N1NONIDF3 : const=33345.00000  ;
LIM_N1NONIDF4 : const=38958.00000  ;
LIM_N1NONIDF5 : const=44592.00000  ;
LIM_N1NONIDFSUP : const=5617.00000  ;
LIM_NONID5 : const=44592.00000  ;
LIM_NONIDF1 : const=19074.00000  ;
LIM_NONIDF2 : const=27896.00000  ;
LIM_NONIDF3 : const=33547.00000  ;
LIM_NONIDF4 : const=39192.00000  ;
LIM_NONIDF5 : const=44860.00000  ;
LIM_NONIDFSUP : const=5617.00000  ;
LIM_NONIDFSUPN : const=5651.00000  ;
LIM_PATNAT : const=10000.00000  ;
LIM_PENSALENF : const=6368.00000  ;
LIM_PERPMAX : const=32909.00000  ;
LIM_PERPMAXBT : const=32909.00000  ;
LIM_PERPMIN : const=4114.00000  ;
LIM_PERPMINBT : const=4114.00000  ;
LIM_PREMAIDE : const=15000.00000  ;
LIM_PREMAIDE2 : const=18000.00000  ;
LIM_PRETUD : const=1000.00000  ;
LIM_PROSP : const=80000.00000  ;
LIM_REPCOMPENS : const=30500.00000  ;
LIM_REPORT : const=600.00000  ;
LIM_RESTIMO : const=100000.00000  ;
LIM_RESTIMO1 : const=400000.00000  ;
LIM_RESTIT : const=10000.00000  ;
LIM_RESTIT2 : const=8900.00000  ;
LIM_RESTIT3 : const=8899.00000  ;
LIM_RESTNET : const=1000000.00000  ;
LIM_RFRMAX1 : const=27706.00000  ;
LIM_RFRMAX125 : const=31811.00000  ;
LIM_RFRMAX15 : const=35915.00000  ;
LIM_RFRMAX175 : const=40020.00000  ;
LIM_RFRMAX2 : const=44124.00000  ;
LIM_RFRMAX225 : const=47203.00000  ;
LIM_RFRMAX25 : const=50281.00000  ;
LIM_RFRMAX275 : const=53360.00000  ;
LIM_RFRMAX3 : const=56438.00000  ;
LIM_SOCNOUV2 : const=20000.00000  ;
LIM_SOCREPR : const=20000.00000  ;
LIM_SOUFIP : const=12000.00000  ;
LIM_SPEBNC : const=70000.00000  ;
LIM_SPEBNC2 : const=34900.00000  ;
LIM_SUP_BAR1 : const=10777.00000  ;
LIM_SUP_BAR2 : const=27478.00000  ;
LIM_SUP_BAR3 : const=78570.00000  ;
LIM_SUP_BAR4 : const=168994.00000  ;
LIM_SUP_BAR5 : const=9999999999.00000  ;
LIM_SUP_BAR6 : const=0.00000  ;
LIM_SUP_MOD1 : const=10777.00000  ;
LIM_SUP_MOD2 : const=27478.00000  ;
LIM_SUP_MOD3 : const=78570.00000  ;
LIM_SUP_MOD4 : const=168994.00000  ;
LIM_SUP_MOD5 : const=9999999999.00000  ;
LIM_SUP_MOD6 : const=0.00000  ;
LIM_TITPRISE : const=50000.00000  ;
LIM_TR1_IFI : const=800000.00000  ;
LIM_TR1_ISF : const=800000.00000  ;
LIM_TR2_IFI : const=1300000.00000  ;
LIM_TR2_ISF : const=1300000.00000  ;
LIM_TR3_IFI : const=2570000.00000  ;
LIM_TR3_ISF : const=2570000.00000  ;
LIM_TR4_IFI : const=5000000.00000  ;
LIM_TR4_ISF : const=5000000.00000  ;
LIM_TR5_IFI : const=10000000.00000  ;
LIM_TR5_ISF : const=10000000.00000  ;
LIM_TRANCHEBOISGFA : const=101897.00000  ;
LNPRODEF1 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GJ : "Locations meublees non professionnelles - Deficit de 2021" ;
LNPRODEF10 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GA : "Locations meublees non professionnelles - Deficit de 2012" ;
LNPRODEF101731 : calculee restituee primrest = 0 base : "Deficit 5GA pour 1731" ;
LNPRODEF10P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF11731 : calculee restituee primrest = 0 base : "Deficit 5GJ pour 1731" ;
LNPRODEF1P2 : calculee restituee primrest = 0 base : "Deficit 5GJ pour 1731 P2" ;
LNPRODEF2 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GI : "Locations meublees non professionnelles - Deficit de 2020" ;
LNPRODEF21731 : calculee restituee primrest = 0 base : "Deficit 5GI pour 1731" ;
LNPRODEF2P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF3 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GH : "Locations meublees non professionnelles - Deficit de 2019" ;
LNPRODEF31731 : calculee restituee primrest = 0 base : "Deficit 5GH pour 1731" ;
LNPRODEF3P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF4 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GG : "Locations meublees non professionnelles - Deficit de 2018" ;
LNPRODEF41731 : calculee restituee primrest = 0 base : "Deficit 5GG pour 1731" ;
LNPRODEF4P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF5 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GF : "Locations meublees non professionnelles - Deficit de 2017" ;
LNPRODEF51731 : calculee restituee primrest = 0 base : "Deficit 5GF pour 1731" ;
LNPRODEF5P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF6 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GE : "Locations meublees non professionnelles - Deficit de 2016" ;
LNPRODEF61731 : calculee restituee primrest = 0 base : "Deficit 5GE pour 1731" ;
LNPRODEF6P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF7 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GD : "Locations meublees non professionnelles - Deficit de 2015" ;
LNPRODEF71731 : calculee restituee primrest = 0 base : "Deficit 5GD pour 1731" ;
LNPRODEF7P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF8 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GC : "Locations meublees non professionnelles - Deficit de 2014" ;
LNPRODEF81731 : calculee restituee primrest = 0 base : "Deficit 5GC pour 1731" ;
LNPRODEF8P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LNPRODEF9 : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5GB : "Locations meublees non professionnelles - Deficit de 2013" ;
LNPRODEF91731 : calculee restituee primrest = 0 base : "Deficit 5GB pour 1731" ;
LNPRODEF9P2 : calculee restituee primrest = 0 base : "Deficit 5xx pour 1731 P2" ;
LOCDEFNPC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5OZ : "Locations meublees non prof. hors CGA - Deficit - Declarant 2" ;
LOCDEFNPCGAC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5OY : "Locations meublees non prof. sous CGA - Deficit - Declarant 2" ;
LOCDEFNPCGAPAC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 primrest = 0 alias 5PY : "Locations meublees non professionnelles sous CGA - Deficit - PAC" ;
LOCDEFNPCGAV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5NY : "Locations meublees non prof. sous CGA - Deficit - Declarant 1" ;
LOCDEFNPPAC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5PZ : "Locations meublees non professionnelles hors CGA - Deficit - PAC" ;
LOCDEFNPV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5NZ : "Locations meublees non prof. hors CGA - Deficit - Declarant 1" ;
LOCGITC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OJ : "Location de chambres d'hotes deja soumises aux PS - Declarant 2" ;
LOCGITCC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OM : "Location meublee sous CGA deja taxees aux prel. sociaux - Declarant 2" ;
LOCGITCC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCGITCP : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PM : "Location meublee. sous CGA deja taxees aux prel. sociaux. - PAC" ;
LOCGITCP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCGITCV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5NM : "Location meublee sous CGA deja taxees aux prel. Sociaux - Declarant 1" ;
LOCGITCV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCGITHCC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5LM : "Location meublee hors CGA deja taxees aux prel. Sociaux - Declarant 2" ;
LOCGITHCC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCGITHCP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5MM : "Location meublee hors CGA deja taxees aux prelevements sociaux - PAC" ;
LOCGITHCP_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCGITHCV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5KM : "Location meublee hors CGA deja taxees aux prel. Sociaux - Declarant 1" ;
LOCGITHCV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCGITP : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PJ : "Location de chambres d'hotes deja soumises aux PS - PAC" ;
LOCGITV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5NJ : "Location de chambres d'hotes deja soumises aux PS - Declarant 1" ;
LOCMEUBID : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ID : "Investissements locations meublees non professionnelles 2012" ;
LOCMEUBID_A : calculee primrest = 0 : "RI evt avant" ;
LOCMEUBII : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7II : "Invest. loc. meublee non prof. : engagement de location Case a cocher" type BOOLEEN ;
LOCMEUBJT_A : calculee primrest = 0 : "RI evt avant" ;
LOCMEUBJV_A : calculee primrest = 0 : "RI evt avant" ;
LOCMEUBJW_A : calculee primrest = 0 : "RI evt avant" ;
LOCMEUBJX_A : calculee primrest = 0 : "RI evt avant" ;
LOCMEUBJY_A : calculee primrest = 0 : "RI evt avant" ;
LOCNPASSC : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes IR PAS (dec2)" ;
LOCNPASSCN : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes IR PAS (dec2)" ;
LOCNPASSP : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes IR PAS (Pac)" ;
LOCNPASSPN : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes IR PAS (Pac)" ;
LOCNPASSPSC : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes PS PAS (dec2)" ;
LOCNPASSPSF : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes PS PAS (foyer)" ;
LOCNPASSPSP : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes PS PAS (Pac)" ;
LOCNPASSPSV : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes PS PAS (dec1)" ;
LOCNPASSV : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes IR PAS (dec1)" ;
LOCNPASSVN : calculee primrest = 0 : "BIC non pro locations meublees - Assiette des acomptes IR PAS (dec1)" ;
LOCNPC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OK : "Revenus locations meublees non professionnelles hors CGA - Declarant 2" ;
LOCNPCF : calculee restituee primrest = 0 : "Total imposable LOC non  pro " ;
LOCNPCF1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
LOCNPCGAC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OA : "Revenus locations meublees non prof. sous CGA - Declarant 2" ;
LOCNPCGAC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCNPCGAPAC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PA : "Revenus locations meublees non professionnels sous CGA - PAC" ;
LOCNPCGAPAC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCNPCGAV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5NA : "Revenus locations meublees non professionnelles sous CGA - Declarant 1" ;
LOCNPCGAV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCNPC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCNPPAC : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PK : "Revenus locations meublees non professionnelles hors CGA - PAC" ;
LOCNPPAC_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCNPROTAUX : calculee restituee primrest = 1 : "BIC loc non pro total foyer PAS" ;
LOCNPV : saisie revenu classe = 3 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5NK : "Revenus locations meublees non prof. hors CGA - Declarant 1" ;
LOCNPV_P : calculee primrest = 0 base : "code rev initial pour 1731 bis" ;
LOCPRORATA : calculee primrest = 0 : "Prorata location pour application art 1731bis" ;
LOCRESINEUV : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IJ : "Investissements locations meublees non professionnelles 2011" ;
LOCRESINEUV_A : calculee primrest = 0 : "RI evt avant" ;
LOY7LS : calculee restituee primrest = 1 : "Net loy CI Covid 7LS" ;
LOYBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final taxe loyer petites surfaces en base declaration fictive" ;
LOYBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo TAXLOY 4BH" ;
MAJO1728C820 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 C soc Sal" ;
MAJO1728CDIS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 C soc Sal" ;
MAJO1728CHR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 contrib haut rev" ;
MAJO1728CS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 CS" ;
MAJO1728CVN : calculee restituee primrest = 0 base : "Montant majo. totales 1728 CVNSAL" ;
MAJO1728GLO : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 GLO" ;
MAJO1728IFI : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 IFI" ;
MAJO1728IFI2 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 IFI" ;
MAJO1728IR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 IR" ;
MAJO1728ISF : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 ISF" ;
MAJO1728PCAP : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 pens. capital" ;
MAJO1728PS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 PS" ;
MAJO1728PSOL : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 PSOL" ;
MAJO1728RD : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 RD" ;
MAJO1728RSE1 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang. 8TQ" ;
MAJO1728RSE2 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang. 8TV" ;
MAJO1728RSE3 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang. 8TW" ;
MAJO1728RSE4 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang. 8TX" ;
MAJO1728RSE5 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang. 8TR" ;
MAJO1728RSE6 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang.CASA" ;
MAJO1728RSE8 : calculee restituee primrest = 0 base : "Montant majo. totales 1728 rev. source etrang.8TH 8SD" ;
MAJO1728TAXA : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1728 TAXAGA" ;
MAJO1728TOT : calculee restituee primrest = 1 base : " Montant MAJO totales 1728 " ;
MAJO1729C820 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 CS" ;
MAJO1729CDIS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 CSal" ;
MAJO1729CHR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 hauts revenus" ;
MAJO1729CS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 CS" ;
MAJO1729CVN : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 Cvnsal (03 04 05 22 55)" ;
MAJO1729GLO : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 CGLOA (03 04 05 22 55)" ;
MAJO1729IR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 IR" ;
MAJO1729PCAP : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729pensions en capital" ;
MAJO1729PS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 PS" ;
MAJO1729PSOL : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 PS" ;
MAJO1729RD : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RD" ;
MAJO1729RSE1 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE1" ;
MAJO1729RSE2 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE2" ;
MAJO1729RSE3 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE3" ;
MAJO1729RSE4 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE4" ;
MAJO1729RSE5 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE5 (03 04 05 22 55)" ;
MAJO1729RSE6 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE6 (03 04 05 22 55)" ;
MAJO1729RSE8 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 RSE8 (03 04 05 22 55)" ;
MAJO1729TAXA : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 TAXAGA" ;
MAJO1729_TOT : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1729 " ;
MAJO1732C820 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 CSG 8.2" type REEL ;
MAJO1732CDIS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 CSal" type REEL ;
MAJO1732CHR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 hauts revenus" type REEL ;
MAJO1732CS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 CS" type REEL ;
MAJO1732CVN : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 Cvnsalc MAJOCVN06" type REEL ;
MAJO1732GLO : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 CGLOA MAJOGLO06" type REEL ;
MAJO1732IR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 IR" type REEL ;
MAJO1732PCAP : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 pensions en capital" type REEL ;
MAJO1732PS : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 PS" type REEL ;
MAJO1732PSOL : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 PS" type REEL ;
MAJO1732RD : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 RD" type REEL ;
MAJO1732RSE1 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE1" type REEL ;
MAJO1732RSE2 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE2" type REEL ;
MAJO1732RSE3 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE3" type REEL ;
MAJO1732RSE4 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE4" type REEL ;
MAJO1732RSE5 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE5 MAJORSE506" type REEL ;
MAJO1732RSE6 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE6 MAJORSE606" type REEL ;
MAJO1732RSE8 : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1732 RSE8" type REEL ;
MAJO1732TAXA : calculee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 TAXAGA" type REEL ;
MAJO1732_TOT : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1730 " type REEL ;
MAJO1758ACHR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758A contrib haut rev" type REEL ;
MAJO1758AIR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758A IR" type REEL ;
MAJO1758APCAP : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758A PCAPTAX" type REEL ;
MAJO1758ATAXA : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758A TAXAGA" type REEL ;
MAJO1758ATOT : calculee restituee primrest = 1 base : " nouv cor : Montant MAJO totales 1758A pour taxation" type REEL ;
MAJO1758A_TOT : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758A " type REEL ;
MAJO1758CHR : calculee primrest = 0 base : " nouv cor : Montant MAJO totales 1758 hauts revenus" type REEL ;
MAJO1758CS : calculee primrest = 0 base : " nouv cor : Montant MAJO totales 1758 CS" type REEL ;
MAJO1758IR : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758 IR" type REEL ;
MAJO1758PS : calculee primrest = 0 base : " nouv cor : Montant MAJO totales 1758 PS" type REEL ;
MAJO1758PSOL : calculee primrest = 0 base : " nouv cor : Montant MAJO totales 1758 PS" type REEL ;
MAJO1758RD : calculee primrest = 0 base : " nouv cor : Montant MAJO totales 1758 RD" type REEL ;
MAJO1758_TOT : calculee restituee primrest = 0 base : " nouv cor : Montant MAJO totales 1758" type REEL ;
MAJO4IRTOT : calculee restituee primrest = 0 base : "Montant MAJO IR totales 1729 1732 1758 pour ecrans iliad si correctif" ;
MAJO4PSTOT : calculee restituee primrest = 0 base : "Montant MAJO PS totales 1729 1732 1758 pour ecrans iliad si correctif" ;
MAJO4TOT : calculee restituee primrest = 0 base : "Montant MAJO totales 1729, 1732 et 1758 pour ecrans iliad si correctif" ;
MAJOC82001 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOC82002 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 02" ;
MAJOC82002TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOC82002TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOC82002TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOC82002TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOC82002TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOC82002_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOC82003 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOC82003TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOC82003TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOC82003TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOC82003TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOC82003TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOC82003_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOC82004 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOC82005 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOC82006 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOC82007 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 07" ;
MAJOC82007TARDIF_A : calculee primrest = 0 base : "nouv cor : Montant MAJO07 TARDIF CSal 8.2 %" ;
MAJOC82007TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %" type REEL ;
MAJOC82007TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %  finale" type REEL ;
MAJOC82007TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8 .2 % apres rectif" type REEL ;
MAJOC82007TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CSal 8.2 %" ;
MAJOC82007_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF CSal 8.2 %" ;
MAJOC82008 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 08" ;
MAJOC82008TARDIF_A : calculee primrest = 0 base : "nouv cor : Montant MAJO07 TARDIF CSal 8.2 %" ;
MAJOC82008TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %" type REEL ;
MAJOC82008TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %  finale" type REEL ;
MAJOC82008TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8 .2 % apres rectif" type REEL ;
MAJOC82008TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CSal 8.2 %" ;
MAJOC82008_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF CSal 8.2 %" ;
MAJOC82010 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 10" ;
MAJOC82011 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 11" ;
MAJOC82017 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 17" ;
MAJOC82017TARDIF_A : calculee primrest = 0 base : "nouv cor : Montant MAJO07 TARDIF CSal 8.2 %" ;
MAJOC82017TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %" type REEL ;
MAJOC82017TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %  finale" type REEL ;
MAJOC82017TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8 .2 % apres rectif" type REEL ;
MAJOC82017TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF CSal 8.2 %" ;
MAJOC82017_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF CSal 8.2 %" ;
MAJOC82022 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 22" ;
MAJOC82035 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 35" ;
MAJOC82055 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOC82099 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 99" ;
MAJOC820PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOC820ST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJOC820" ;
MAJOC820TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF Cont. soc Sal. 8.2" ;
MAJOC820TARDIF_D : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF Cont. soc Sal. 8.2" ;
MAJOC820TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif Csal 8.2 %" ;
MAJOC820TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 8.2 %  finale" type REEL ;
MAJOC820TARDIF_R : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF Cont. soc Sal. 8.2" ;
MAJOC820_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en CSal 8.2 % cumul pour la strate" ;
MAJOC820_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  CSal 8.2 %" ;
MAJOC820_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo CS 8.2 %" ;
MAJOCAP01 : calculee primrest = 0 base : " nouv cor : Majo CAP code oceans 01 " ;
MAJOCAP02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCAP02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCAP02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital finale" type REEL ;
MAJOCAP02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension capital apres rectif" type REEL ;
MAJOCAP02_1 : calculee primrest = 0 base : " nouv cor : Majo CAP code oceans 02 majo 1728" ;
MAJOCAP02_1_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 02 majo 1758A" ;
MAJOCAP02_1_TL : calculee restituee primrest = 0 base : " nouv cor : Majo PCAP code oceans 02 majo 1758A" ;
MAJOCAP02_2 : calculee restituee primrest = 0 base : " nouv cor : Majo PCAP  code oceans 02 majo " ;
MAJOCAP02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 02 majo 1758A" ;
MAJOCAP02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 02 majo 1758A" ;
MAJOCAP02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCAP03 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 03" ;
MAJOCAP03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCAP03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCAP03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital finale" type REEL ;
MAJOCAP03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension capital apres rectif" type REEL ;
MAJOCAP03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCAP04 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 04" ;
MAJOCAP05 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 05" ;
MAJOCAP06 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 06" ;
MAJOCAP07 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 07" ;
MAJOCAP07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF pensions en capital" ;
MAJOCAP07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCAP07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital finale" type REEL ;
MAJOCAP07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension capital apres rectif" type REEL ;
MAJOCAP07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIFpension en capital" ;
MAJOCAP08 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 08" ;
MAJOCAP08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF pensions en capital" ;
MAJOCAP08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCAP08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital  finale" type REEL ;
MAJOCAP08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital apres rectif" type REEL ;
MAJOCAP08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF pension en capital" ;
MAJOCAP10_1 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 10 majo 1728" ;
MAJOCAP10_2 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 10 majo 1758A" ;
MAJOCAP11 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 11" ;
MAJOCAP17_1 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 17 majo 1728" ;
MAJOCAP17_1TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF pension en capital" ;
MAJOCAP17_2 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 17 majo 1758A" ;
MAJOCAP17_2TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF pension en capital" ;
MAJOCAP22 : calculee primrest = 0 base : " nouv cor : Majo CAP code oceans 22" ;
MAJOCAP35 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 35" ;
MAJOCAP55 : calculee restituee primrest = 0 base : " nouv cor : Majo CAP code oceans 55" ;
MAJOCAP99 : calculee primrest = 0 base : " nouv cor : Majo CAP code oceans 99" ;
MAJOCAPPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOCAPST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo pour pensions en capital cumul pour la strate" ;
MAJOCAPTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF pension en capital" ;
MAJOCAPTARDIF_A1 : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF PCAPTAX" ;
MAJOCAPTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCAPTARDIF_D1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PCAPTAX" type REEL ;
MAJOCAPTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJOCAPTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital finale" type REEL ;
MAJOCAPTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital  apres rectif" type REEL ;
MAJOCAPTARDIF_R1 : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF PCAPTAX" ;
MAJOCAP_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJOCAP" ;
MAJOCAP_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard pension en capital" ;
MAJOCDIS01 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOCDIS02 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOCDIS02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCDIS02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOCDIS02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOCDIS02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 30 % apres rectif" type REEL ;
MAJOCDIS02TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCDIS02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCDIS03 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOCDIS03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCDIS03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOCDIS03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOCDIS03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOCDIS03TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCDIS03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCDIS04 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOCDIS05 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOCDIS06 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 01 " ;
MAJOCDIS07 : calculee restituee primrest = 0 base : " nouv cor : Majo CSal 30% code oceans 07 " ;
MAJOCDIS07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF csal 30%" ;
MAJOCDIS07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal30%" type REEL ;
MAJOCDIS07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 30 %  finale" type REEL ;
MAJOCDIS07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 30 % apres rectif" type REEL ;
MAJOCDIS07TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CSal 30% " ;
MAJOCDIS07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF CSal 30%" ;
MAJOCDIS08 : calculee restituee primrest = 0 base : " nouv cor : Majo CSal 30% code oceans 08 " ;
MAJOCDIS08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF csal 30%" ;
MAJOCDIS08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal30%" type REEL ;
MAJOCDIS08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal  30% finale" type REEL ;
MAJOCDIS08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 30% apres rectif" type REEL ;
MAJOCDIS08TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF CSal 30% " ;
MAJOCDIS08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF CSal 30% " ;
MAJOCDIS10 : calculee restituee primrest = 0 base : " nouv cor : Majo CSal 30% code oceans 10 " ;
MAJOCDIS11 : calculee restituee primrest = 0 base : " nouv cor : Majo CSal 30% code oceans 11 " ;
MAJOCDIS17 : calculee restituee primrest = 0 base : " nouv cor : MajCSal 30% code oceans 17 " ;
MAJOCDIS17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF csal 30%" ;
MAJOCDIS17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal30%" type REEL ;
MAJOCDIS17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal  30 % finale" type REEL ;
MAJOCDIS17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 30% apres rectif" type REEL ;
MAJOCDIS17TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF CSal 30%" ;
MAJOCDIS17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF CSal 30% " ;
MAJOCDIS22 : calculee primrest = 0 base : " nouv cor : Majo CSal 30% code oceans 22 " ;
MAJOCDIS35 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 35" ;
MAJOCDIS55 : calculee restituee primrest = 0 base : " nouv cor : Majo C soc Sal code oceans 55" ;
MAJOCDIS99 : calculee primrest = 0 base : " nouv cor : Majo CSal 30% code oceans 99 " ;
MAJOCDISPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOCDISST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJOCDIS" ;
MAJOCDISTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF Cont. soc Sal." ;
MAJOCDISTARDIF_D : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF Cont. soc Sal." ;
MAJOCDISTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif Csal 30%" ;
MAJOCDISTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF csal 30% finale" type REEL ;
MAJOCDISTARDIF_R : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF Cont. soc Sal." ;
MAJOCDIS_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en CSal 30% cumul pour la strate" ;
MAJOCDIS_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  CSal 30%" ;
MAJOCDIS_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo CSal 30%" ;
MAJOCHR_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo hauts revenus" ;
MAJOCONTROLE35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOCP02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF TAXAGA" ;
MAJOCP03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF TAXAGA" ;
MAJOCP07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF pensions en capital" ;
MAJOCP08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF pensions en capital" ;
MAJOCP17_1TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF pensions en capital" ;
MAJOCP17_1TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCP17_1TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF pensions en capital" ;
MAJOCP17_2TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF pensions en capital" ;
MAJOCP17_2TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital" type REEL ;
MAJOCP17_2TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF pension en capital finale" type REEL ;
MAJOCP17_2TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO pension en capital apres rectif" type REEL ;
MAJOCP17_2TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF pensions en capital" ;
MAJOCS01 : calculee primrest = 0 base : " nouv cor : Majo CS code oceans 01 " ;
MAJOCS02 : calculee primrest = 0 base : " nouv cor : Majo CS code oceans 02 " ;
MAJOCS02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCS02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOCS02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJOCS02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOCS02TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJOCS02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOCS02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCS03 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 03 " ;
MAJOCS03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCS03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOCS03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJOCS03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOCS03TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJOCS03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOCS03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCS04 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 04 " ;
MAJOCS05 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 05 " ;
MAJOCS06 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 06 " ;
MAJOCS07 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 07 " ;
MAJOCS07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CS " ;
MAJOCS07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFCSG  " type REEL ;
MAJOCS07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CS " ;
MAJOCS07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  finale" type REEL ;
MAJOCS07TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF P IR " ;
MAJOCS07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  apres rectif" type REEL ;
MAJOCS07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF CS " ;
MAJOCS08 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 08 " ;
MAJOCS08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF CS " ;
MAJOCS08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFCSG  " type REEL ;
MAJOCS08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF CS " ;
MAJOCS08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  finale" type REEL ;
MAJOCS08TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF P IR " ;
MAJOCS08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  apres rectif" type REEL ;
MAJOCS08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF CS " ;
MAJOCS10 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 10 " ;
MAJOCS11 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 11 " ;
MAJOCS17 : calculee restituee primrest = 0 base : " nouv cor : MajCS code oceans 17 " ;
MAJOCS17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJ17 TARDIF CS " ;
MAJOCS17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFCSG  " type REEL ;
MAJOCS17TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF CS " ;
MAJOCS17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  finale" type REEL ;
MAJOCS17TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P IR " ;
MAJOCS17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  apres rectif" type REEL ;
MAJOCS17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF CS " ;
MAJOCS22 : calculee primrest = 0 base : " nouv cor : Majo CS code oceans 22 " ;
MAJOCS30 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 30 " ;
MAJOCS31 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 31 " ;
MAJOCS32 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 32 " ;
MAJOCS35 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 35" ;
MAJOCS55 : calculee restituee primrest = 0 base : " nouv cor : Majo CS code oceans 55" ;
MAJOCS99 : calculee primrest = 0 base : " nouv cor : Majo CS code oceans 99 " ;
MAJOCSPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOCSST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJOCS" ;
MAJOCSTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCSTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFCSG  " type REEL ;
MAJOCSTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJOCSTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  finale" type REEL ;
MAJOCSTARDIF_P : calculee primrest = 0 : "nouv cor : Majo CS pour retard et MajoP" type REEL ;
MAJOCSTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CSG  apres rectif" type REEL ;
MAJOCS_P02 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJOCS_P03 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJOCS_P07 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 07 pour la CSG" ;
MAJOCS_P08 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 08 pour la CSG" ;
MAJOCS_P10 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour la CSG" ;
MAJOCS_P11 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 11 pour la CSG" ;
MAJOCS_P17 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour la CSG" ;
MAJOCS_P31 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 31 pour la CSG" ;
MAJOCS_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en CS cumul pour la strate" ;
MAJOCS_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  CS" ;
MAJOCS_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo CS " ;
MAJOCVN01 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 01 " ;
MAJOCVN02 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 02" ;
MAJOCVN02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCVN02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOCVN02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOCVN02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOCVN02TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCVN02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCVN03 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 03" ;
MAJOCVN03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCVN03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOCVN03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOCVN03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOCVN03TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOCVN03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOCVN04 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 04" ;
MAJOCVN05 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 05" ;
MAJOCVN06 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 06" ;
MAJOCVN07 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 07" ;
MAJOCVN07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIFcvnsal" ;
MAJOCVN07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal 10%" type REEL ;
MAJOCVN07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal  finale" type REEL ;
MAJOCVN07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal apres rectif" type REEL ;
MAJOCVN07TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF Cvnsal " ;
MAJOCVN07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF cvnsalc" ;
MAJOCVN08 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 08" ;
MAJOCVN08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIFcvnsal" ;
MAJOCVN08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal 10%" type REEL ;
MAJOCVN08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal  finale" type REEL ;
MAJOCVN08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal apres rectif" type REEL ;
MAJOCVN08TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF Cvnsal " ;
MAJOCVN08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF cvnsal" ;
MAJOCVN10 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 10" ;
MAJOCVN11 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 11" ;
MAJOCVN17 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 17" ;
MAJOCVN17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIFcvnsal" ;
MAJOCVN17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal 10%" type REEL ;
MAJOCVN17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal  finale" type REEL ;
MAJOCVN17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal apres rectif" type REEL ;
MAJOCVN17TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF Cvnsal " ;
MAJOCVN17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF cvnsal" ;
MAJOCVN22 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 22" ;
MAJOCVN35 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 35" ;
MAJOCVN55 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 55" ;
MAJOCVN99 : calculee restituee primrest = 0 base : " nouv cor : Majo cvnsalc code oceans 99" ;
MAJOCVNPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOCVNST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo en CVNSALC  cumul pour la strate" ;
MAJOCVNTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF CVNSAL" ;
MAJOCVNTARDIF_D : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF CVNSAL" ;
MAJOCVNTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJOCVNTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal  finale" type REEL ;
MAJOCVNTARDIF_R : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF CVNSAL" ;
MAJOCVN_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJOCVN" ;
MAJOCVN_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal" ;
MAJOCVN_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo Cvnsal" ;
MAJOGLO01 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 01 " ;
MAJOGLO02 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 02" ;
MAJOGLO02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOGLO02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOGLO02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOGLO02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOGLO02TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOGLO02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOGLO03 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 03" ;
MAJOGLO03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOGLO03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOGLO03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOGLO03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOGLO03TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOGLO03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOGLO04 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 04" ;
MAJOGLO05 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 05" ;
MAJOGLO06 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 06" ;
MAJOGLO07 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 07" ;
MAJOGLO07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CGLOA" ;
MAJOGLO07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA" type REEL ;
MAJOGLO07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA  finale" type REEL ;
MAJOGLO07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA apres rectif" type REEL ;
MAJOGLO07TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF CGLOA" ;
MAJOGLO07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF CGLOA" ;
MAJOGLO08 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 08" ;
MAJOGLO08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF CGLOA" ;
MAJOGLO08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA" type REEL ;
MAJOGLO08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA  finale" type REEL ;
MAJOGLO08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOAl apres rectif" type REEL ;
MAJOGLO08TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF CGLOA" ;
MAJOGLO08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF CGLOA" ;
MAJOGLO10 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 10" ;
MAJOGLO11 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 11" ;
MAJOGLO17 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 17" ;
MAJOGLO17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF CGLOA" ;
MAJOGLO17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA" type REEL ;
MAJOGLO17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA  finale" type REEL ;
MAJOGLO17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA apres rectif" type REEL ;
MAJOGLO17TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF CGLOA" ;
MAJOGLO17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF CGLOA" ;
MAJOGLO22 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 22" ;
MAJOGLO35 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 35" ;
MAJOGLO55 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 55" ;
MAJOGLO99 : calculee restituee primrest = 0 base : " nouv cor : Majo cgloa code oceans 99" ;
MAJOGLOPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOGLOST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo en GLO  cumul pour la strate" ;
MAJOGLOTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF GLO" ;
MAJOGLOTARDIF_D : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF GLO." ;
MAJOGLOTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJOGLOTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF GLO  finale" type REEL ;
MAJOGLOTARDIF_R : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF GLO" ;
MAJOGLO_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJOGLO" ;
MAJOGLO_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOA" ;
MAJOGLO_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo CGLOA" ;
MAJOHR01 : calculee primrest = 0 base : " nouv cor : Majo HR code oceans 01 " ;
MAJOHR02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOHR02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOHR02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJOHR02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOHR02TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJOHR02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOHR02_1 : calculee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1728" ;
MAJOHR02_1_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1758A" ;
MAJOHR02_1_TL : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1758A" ;
MAJOHR02_1_TL15 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1758A" ;
MAJOHR02_2 : calculee restituee primrest = 0 base : " nouv cor : Majo CHR  code oceans 02 majo " ;
MAJOHR02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1758A" ;
MAJOHR02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1758A" ;
MAJOHR02_2_TL15 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 02 majo 1758A" ;
MAJOHR02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF " ;
MAJOHR03 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 03" ;
MAJOHR03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOHR03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOHR03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJOHR03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOHR03TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJOHR03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOHR03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF " ;
MAJOHR04 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 04" ;
MAJOHR05 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 05" ;
MAJOHR06 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 06" ;
MAJOHR07 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 07" ;
MAJOHR07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF hauts revenus" ;
MAJOHR07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus" type REEL ;
MAJOHR07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF hauts revenus" ;
MAJOHR07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus  finale" type REEL ;
MAJOHR07TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF P CHR" ;
MAJOHR07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus apres rectif" type REEL ;
MAJOHR07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF hauts revenus" ;
MAJOHR08 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 08" ;
MAJOHR08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF hauts revenus" ;
MAJOHR08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus" type REEL ;
MAJOHR08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF hauts revenus" ;
MAJOHR08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus  finale" type REEL ;
MAJOHR08TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF P CHR" ;
MAJOHR08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus apres rectif" type REEL ;
MAJOHR08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF contribution hauts revenus" ;
MAJOHR10_1 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 10 majo 1728" ;
MAJOHR10_2 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 10 majo 1758A" ;
MAJOHR11 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 11" ;
MAJOHR17_1 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 17 majo 1728" ;
MAJOHR17_1TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF haut revenus" ;
MAJOHR17_1TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF hauts revenus" ;
MAJOHR17_1TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus" type REEL ;
MAJOHR17_1TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P CHR" ;
MAJOHR17_1TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF hauts revenus" ;
MAJOHR17_2 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 17 majo 1758A" ;
MAJOHR17_2TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF hauts revenus" ;
MAJOHR17_2TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF hauts revenus" ;
MAJOHR17_2TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF contrib haut rev" type REEL ;
MAJOHR17_2TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus  finale" type REEL ;
MAJOHR17_2TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P CHR" ;
MAJOHR17_2TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO hauts revenus  apres rectif" type REEL ;
MAJOHR17_2TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF hauts revenus" ;
MAJOHR22 : calculee primrest = 0 base : " nouv cor : Majo HR code oceans 22" ;
MAJOHR30 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 30" ;
MAJOHR31 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 31" ;
MAJOHR32 : calculee restituee primrest = 0 base : " nouv cor : Majo hauts revenus code oceans 32 " ;
MAJOHR35 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 35" ;
MAJOHR55 : calculee restituee primrest = 0 base : " nouv cor : Majo HR code oceans 55" ;
MAJOHR99 : calculee primrest = 0 base : " nouv cor : Majo HR code oceans 99" ;
MAJOHRPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOHRST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo pour hauts revenus  cumul pour la strate" ;
MAJOHRTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF hauts revenus" ;
MAJOHRTARDIF_A1 : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF contrib haut rev" ;
MAJOHRTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus  " type REEL ;
MAJOHRTARDIF_D1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PCAPTAX" type REEL ;
MAJOHRTARDIF_DEF : calculee primrest = 0 base : "nouv cor : sauvegarde majo pour depot tardif" ;
MAJOHRTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus  finale" type REEL ;
MAJOHRTARDIF_P : calculee primrest = 0 : "nouv cor : Majo pour CHR en retard et Majo P" type REEL ;
MAJOHRTARDIF_P1 : calculee primrest = 0 : "nouv cor : Majo pour CHR en retard et Majo P" type REEL ;
MAJOHRTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF hauts revenus  apres rectif" type REEL ;
MAJOHRTARDIF_R1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOHRTARDIF_REF : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOHRTARDIF" ;
MAJOHR_P02 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJOHR_P03 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJOHR_P07 : calculee primrest = 0 : "nouv cor : majo p code 07" ;
MAJOHR_P08 : calculee primrest = 0 : "nouv cor : majo P code 08" ;
MAJOHR_P10_1 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour la CHR" ;
MAJOHR_P10_2 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour la CHR" ;
MAJOHR_P11 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 11 pour la CHR" ;
MAJOHR_P17_1 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour la CHR" ;
MAJOHR_P17_2 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour la CHR" ;
MAJOHR_P31 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 31 pour la CHR" ;
MAJOHR_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJOHR" ;
MAJOHR_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard contribution hauts revenus" ;
MAJOIFI01 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 01 " ;
MAJOIFI02 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 02" ;
MAJOIFI03 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 03" ;
MAJOIFI04 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 04" ;
MAJOIFI05 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 05" ;
MAJOIFI07 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 07 " ;
MAJOIFI07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IFI" ;
MAJOIFI07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI " type REEL ;
MAJOIFI07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI  finale" type REEL ;
MAJOIFI07TARDIF_R  : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI apres rectif" type REEL ;
MAJOIFI07TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07TARDIF IFI" ;
MAJOIFI07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF IFI " ;
MAJOIFI08 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 08" ;
MAJOIFI08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF IFI" ;
MAJOIFI08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI " type REEL ;
MAJOIFI08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI  finale" type REEL ;
MAJOIFI08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI apres rectif" type REEL ;
MAJOIFI08TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08TARDIF IFI" ;
MAJOIFI08_TARDIF : calculee primrest = 0 : "nouv cor : Montant MAJO08 TARDIF IFI" ;
MAJOIFI10 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 10" ;
MAJOIFI10TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO10 TARDIF IFI" ;
MAJOIFI10TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI " type REEL ;
MAJOIFI10TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI  finale" type REEL ;
MAJOIFI10TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI apres rectif" type REEL ;
MAJOIFI10TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO10TARDIF IFI" ;
MAJOIFI10_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO10 TARDIF IFI " ;
MAJOIFI11 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 11" ;
MAJOIFI17 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 17" ;
MAJOIFI17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF IFI" ;
MAJOIFI17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI " type REEL ;
MAJOIFI17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI  finale" type REEL ;
MAJOIFI17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI apres rectif" type REEL ;
MAJOIFI17TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17TARDIF IFI" ;
MAJOIFI17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF IFI " ;
MAJOIFI35 : calculee restituee primrest = 0 base : " nouv cor : Majo ifi code oceans 35" ;
MAJOIFI35B : calculee primrest = 0 base : " nouv cor : Majo ifi code oceans 35" ;
MAJOIFI55 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 55" ;
MAJOIFI99 : calculee restituee primrest = 0 base : " nouv cor : Majo IFI code oceans 99" ;
MAJOIFITARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF IFI" ;
MAJOIFITARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI  " type REEL ;
MAJOIFITARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif IFI30%" ;
MAJOIFITARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI" type REEL ;
MAJOIFITARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IFI  apres rectif" type REEL ;
MAJOIFI_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard IFI" ;
MAJOIR01 : calculee primrest = 0 base : " nouv cor : Majo IR code oceans 01 " ;
MAJOIR02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF IR " ;
MAJOIR02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIR02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  finale" type REEL ;
MAJOIR02TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P IR " ;
MAJOIR02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  apres rectif" type REEL ;
MAJOIR02_1 : calculee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo 1728" ;
MAJOIR02_1_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo 1758A NTL ind20 a 1" ;
MAJOIR02_1_NTL15 : calculee restituee primrest = 0 base : "Majo IR si TL15 code oceans 02 majo 1758A NTL ind20 a 1" ;
MAJOIR02_1_TL : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo 1758A TL ind20 a 1" ;
MAJOIR02_2 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo " ;
MAJOIR02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo 1758A NTL ind20 a 0" ;
MAJOIR02_2_NTL15 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo 1758A NTL ind20 a 0" ;
MAJOIR02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 02 majo 1758A TL ind20 a 0" ;
MAJOIR02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR " ;
MAJOIR03 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 03 " ;
MAJOIR03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF IR " ;
MAJOIR03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIR03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  finale" type REEL ;
MAJOIR03TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P IR " ;
MAJOIR03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  apres rectif" type REEL ;
MAJOIR03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR " ;
MAJOIR04 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 04 " ;
MAJOIR05 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 05 " ;
MAJOIR06 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 06 " ;
MAJOIR07 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 07 " ;
MAJOIR07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIR07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  finale" type REEL ;
MAJOIR07TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF P IR " ;
MAJOIR07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  apres rectif" type REEL ;
MAJOIR07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR08 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 08 " ;
MAJOIR08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF IR " ;
MAJOIR08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIR08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF IR " ;
MAJOIR08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  finale" type REEL ;
MAJOIR08TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF P IR " ;
MAJOIR08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  apres rectif" type REEL ;
MAJOIR08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF IR " ;
MAJOIR10_1 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 10 majo 1728" ;
MAJOIR10_2 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 10 majo 1758A" ;
MAJOIR11 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 11 " ;
MAJOIR17_1 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 17 majo 1728" ;
MAJOIR17_1TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF IR " ;
MAJOIR17_1TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF IR " ;
MAJOIR17_1TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIR17_1TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  finale" type REEL ;
MAJOIR17_1TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P IR " ;
MAJOIR17_1TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR17_2 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 17 majo 1758A" ;
MAJOIR17_2TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF IR " ;
MAJOIR17_2TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF IR " ;
MAJOIR17_2TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIR17_2TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  finale" type REEL ;
MAJOIR17_2TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P IR " ;
MAJOIR17_2TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  apres rectif" type REEL ;
MAJOIR17_2TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF IR " ;
MAJOIR22 : calculee primrest = 0 base : " nouv cor : Majo IR code oceans 22 " ;
MAJOIR30 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 30 " ;
MAJOIR31 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 31 " ;
MAJOIR32 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 32 " ;
MAJOIR35 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 35" ;
MAJOIR55 : calculee restituee primrest = 0 base : " nouv cor : Majo IR code oceans 55" ;
MAJOIR99 : calculee primrest = 0 base : " nouv cor : Majo IR code oceans 99 " ;
MAJOIRPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOIRST_DEF : calculee primrest = 0 base : " nouv cor: majo de la strate precedente" ;
MAJOIRTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF IR " ;
MAJOIRTARDIF_A1 : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF IR " ;
MAJOIRTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIRTARDIF_D1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIRTARDIF_DEF : calculee primrest = 0 base : "nouv cor : sauvegarde majo pour depot tardif" ;
MAJOIRTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIRTARDIF_P : calculee primrest = 0 : "nouv cor : Majo pour IR en retard et Majo P" type REEL ;
MAJOIRTARDIF_P1 : calculee primrest = 0 : "nouv cor : Majo pour IR en retard et Majo P" type REEL ;
MAJOIRTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIRTARDIF_R1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF IR  " type REEL ;
MAJOIRTARDIF_REF : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOIRTARDIF" ;
MAJOIR_P02 : calculee primrest = 0 : "nouv cor : majo p code 02" ;
MAJOIR_P03 : calculee primrest = 0 : "nouv cor : majo p code 03" ;
MAJOIR_P07 : calculee primrest = 0 : "nouv cor : majo p code 07" ;
MAJOIR_P08 : calculee primrest = 0 : "nouv cor : majo P code 08" ;
MAJOIR_P10_1 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour l'IR" ;
MAJOIR_P10_2 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour l'IR" ;
MAJOIR_P11 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 11 pour l'IR" ;
MAJOIR_P17_1 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour l'IR" ;
MAJOIR_P17_2 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour l'IR" ;
MAJOIR_P31 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 31 pour l'IR" ;
MAJOIR_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en IR cumul pour la strate" ;
MAJOIR_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  IR" ;
MAJOIR_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo IR " ;
MAJOISF17 : calculee restituee primrest = 0 base : " nouv cor : Majo ISF code oceans 17" ;
MAJOISF17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF ISF" ;
MAJOISF17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF ISF" type REEL ;
MAJOISF17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF ISF  apres rectif" type REEL ;
MAJOISFTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF ISF" ;
MAJOISFTARDIF_A1 : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF ISF" ;
MAJOISFTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF ISF  " type REEL ;
MAJOISFTARDIF_D1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF ISF  " type REEL ;
MAJOISFTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF ISF  apres rectif" type REEL ;
MAJOISFTARDIF_R1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF ISF" type REEL ;
MAJOLO02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOLO02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOLO02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJOLO02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOLO02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOLO02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF " ;
MAJOLO03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOLO03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOLO03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJOLO03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOLO03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOLO03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF " ;
MAJOLO07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF loyer eleve" ;
MAJOLO07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXLOY" type REEL ;
MAJOLO07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF TAXLOY" ;
MAJOLO07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF loyer petite surface  finale" type REEL ;
MAJOLO07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF loyer eleve  apres rectif" type REEL ;
MAJOLO07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 tardif loyer sur petites surfaces" ;
MAJOLO08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF loyer eleve" ;
MAJOLO08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXLOY" type REEL ;
MAJOLO08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF TAXLOY" ;
MAJOLO08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF loyer petite surface  finale" type REEL ;
MAJOLO08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF loyer eleve  apres rectif" type REEL ;
MAJOLO08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 tardif loyer sur petites surfaces" ;
MAJOLO17_1TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17_1 tardif loyer sur petites surfaces" ;
MAJOLO17_1TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF loyer eleve" ;
MAJOLO17_1TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXLOY" type REEL ;
MAJOLO17_1TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF loyer petite surface  finale" type REEL ;
MAJOLO17_1TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF loyer eleve  apres rectif" type REEL ;
MAJOLO17_1TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF TAXLOY" ;
MAJOPCAP_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo pensions en capital" ;
MAJOPCS02 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPCS02_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPCS02_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS03 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPCS03_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPCS03_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS07 : calculee restituee primrest = 0 base : " nouv cor : Majo PCS code oceans 07 " ;
MAJOPCS07_A : calculee primrest = 0 base : " nouv cor : Majo PCS code oceans 07 " ;
MAJOPCS07_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS08 : calculee restituee primrest = 0 base : " nouv cor : Majo PCS code oceans 08 " ;
MAJOPCS08_A : calculee primrest = 0 base : " nouv cor : Majo PCS code oceans 08 " ;
MAJOPCS08_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS10 : calculee restituee primrest = 0 base : " nouv cor : Majo PCS code oceans 10 " ;
MAJOPCS10_A : calculee primrest = 0 base : " nouv cor : Majo PCS code oceans 10 " ;
MAJOPCS10_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS11 : calculee restituee primrest = 0 base : " nouv cor : Majo PCS code oceans 11 " ;
MAJOPCS11_A : calculee primrest = 0 base : " nouv cor : Majo PCS code oceans 11 " ;
MAJOPCS11_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS17 : calculee restituee primrest = 0 base : " nouv cor : Majo PCS code oceans 17 " ;
MAJOPCS17_A : calculee primrest = 0 base : " nouv cor : Majo PCS code ocean17 " ;
MAJOPCS17_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS31 : calculee restituee primrest = 0 base : " nouv cor : Majo PCS code oceans 31" ;
MAJOPCS31_A : calculee primrest = 0 base : " nouv cor : Majo PCS code oceans 31" ;
MAJOPCS31_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPCS_A : calculee primrest = 0 base : "nouv cor : sauvegarde Majo P" ;
MAJOPCS_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations de type P" ;
MAJOPCS_TOT : calculee primrest = 0 base : " nouv cor : Cumul Majo P CS " ;
MAJOPHR02 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPHR02_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPHR02_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR03 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPHR03_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPHR03_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR07 : calculee restituee primrest = 0 base : " nouv cor : Majo P pour CHR code oceans 07 " ;
MAJOPHR07_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 07 " ;
MAJOPHR07_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR08 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 08 " ;
MAJOPHR08_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 08 " ;
MAJOPHR08_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR10_1 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 10" ;
MAJOPHR10_1A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 10 " ;
MAJOPHR10_1DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR10_2 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 10" ;
MAJOPHR10_2A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 10 " ;
MAJOPHR10_2DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR11 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 11 " ;
MAJOPHR11_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 11 " ;
MAJOPHR11_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR17_1 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 17" ;
MAJOPHR17_1A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 17 " ;
MAJOPHR17_1DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR17_2 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 17" ;
MAJOPHR17_2A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 17 " ;
MAJOPHR17_2DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR31 : calculee restituee primrest = 0 base : " nouv cor : Majo P sur CHR code oceans 31 " ;
MAJOPHR31_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 31" ;
MAJOPHR31_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPHR_A : calculee primrest = 0 base : "nouv cor : sauvegarde majo P" ;
MAJOPHR_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations de type P" ;
MAJOPHR_TOT : calculee primrest = 0 base : " nouv cor : Cumul Majo P IR " ;
MAJOPIR02 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPIR02_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPIR02_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR03 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPIR03_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPIR03_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR07 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 07 " ;
MAJOPIR07_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 07 " ;
MAJOPIR07_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR08 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 08 " ;
MAJOPIR08_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 08 " ;
MAJOPIR08_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR10_1 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 10" ;
MAJOPIR10_1A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 10 " ;
MAJOPIR10_1DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR10_2 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 10" ;
MAJOPIR10_2A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 10 " ;
MAJOPIR10_2DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR11 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 11 " ;
MAJOPIR11_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 11 " ;
MAJOPIR11_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR17_1 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 7" ;
MAJOPIR17_1A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 17 " ;
MAJOPIR17_1DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR17_2 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 7" ;
MAJOPIR17_2A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 17 " ;
MAJOPIR17_2DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR31 : calculee restituee primrest = 0 base : " nouv cor : Majo PIR code oceans 31" ;
MAJOPIR31_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans 31" ;
MAJOPIR31_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPIR_A : calculee primrest = 0 base : "nouv cor : sauvegarde majo P" ;
MAJOPIR_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations de type P" ;
MAJOPIR_TOT : calculee primrest = 0 base : " nouv cor : Cumul Majo P IR " ;
MAJOPPSOL02 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPPSOL02_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPPSOL02_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL03 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPPSOL03_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPPSOL03_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL07 : calculee restituee primrest = 0 base : " nouv cor : Majo PPSOL code oceans 17 " ;
MAJOPPSOL07_A : calculee primrest = 0 base : " nouv cor : Majo PPSol code oceans " ;
MAJOPPSOL07_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL08 : calculee restituee primrest = 0 base : " nouv cor : Majo PPSOL code oceans 08 " ;
MAJOPPSOL08_A : calculee primrest = 0 base : " nouv cor : Majo PPSol code oceans " ;
MAJOPPSOL08_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL10 : calculee restituee primrest = 0 base : " nouv cor : Majo PPSOL code oceans 10 " ;
MAJOPPSOL10_A : calculee primrest = 0 base : " nouv cor : Majo PPSol code oceans " ;
MAJOPPSOL10_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL11 : calculee restituee primrest = 0 base : " nouv cor : Majo PPSOL code oceans 11 " ;
MAJOPPSOL11_A : calculee primrest = 0 base : " nouv cor : Majo PPSol code oceans " ;
MAJOPPSOL11_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL17 : calculee restituee primrest = 0 base : " nouv cor : Majo PPSOL code oceans 17 " ;
MAJOPPSOL17_A : calculee primrest = 0 base : " nouv cor : Majo PPSol code oceans " ;
MAJOPPSOL17_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL31 : calculee restituee primrest = 0 base : " nouv cor : Majo PPSOL code oceans 31" ;
MAJOPPSOL31_A : calculee primrest = 0 base : " nouv cor : Majo PPSol code oceans " ;
MAJOPPSOL31_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPPSOL_A : calculee primrest = 0 base : "nouv cor : sauvegarde Majo P" ;
MAJOPPSOL_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations de type P" ;
MAJOPPSOL_TOT : calculee primrest = 0 base : " nouv cor : Cumul Majo P PSol" ;
MAJOPPS_A : calculee primrest = 0 base : "nouv cor : sauvegarde Majo P" ;
MAJOPPS_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations de type P" ;
MAJOPRD02 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPRD02_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPRD02_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD03 : calculee restituee primrest = 0 base : " nouv cor : Majo  code oceans " ;
MAJOPRD03_A : calculee primrest = 0 base : " nouv cor : Majo PIR code oceans " ;
MAJOPRD03_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD07 : calculee restituee primrest = 0 base : " nouv cor : Majo PRD code oceans 07 " ;
MAJOPRD07_A : calculee primrest = 0 base : " nouv cor : Majo PRD code oceans 07 " ;
MAJOPRD07_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD08 : calculee restituee primrest = 0 base : " nouv cor : Majo PRD code oceans 08 " ;
MAJOPRD08_A : calculee primrest = 0 base : " nouv cor : Majo PRD code oceans 08 " ;
MAJOPRD08_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD10 : calculee restituee primrest = 0 base : " nouv cor : Majo PRD code oceans 10 " ;
MAJOPRD10_A : calculee primrest = 0 base : " nouv cor : Majo PRD code oceans 10 " ;
MAJOPRD10_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD11 : calculee restituee primrest = 0 base : " nouv cor : Majo PRD code oceans 11 " ;
MAJOPRD11_A : calculee primrest = 0 base : " nouv cor : Majo PRD code oceans 11 " ;
MAJOPRD11_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD17 : calculee restituee primrest = 0 base : " nouv cor : Majo PRD code oceans 17 " ;
MAJOPRD17_A : calculee primrest = 0 base : " nouv cor : Majo PRD code oceans 17 " ;
MAJOPRD17_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD31 : calculee restituee primrest = 0 base : " nouv cor : Majo PRD code oceans 31" ;
MAJOPRD31_A : calculee primrest = 0 base : " nouv cor : Majo PRD code oceans 31" ;
MAJOPRD31_DEF : calculee primrest = 0 base : "nouv cor:sauvegarde des majorations 1728 de type P" ;
MAJOPRD_A : calculee primrest = 0 base : "nouv cor : sauvegarde Majo P" ;
MAJOPRD_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations de type P" ;
MAJOPRD_TOT : calculee primrest = 0 base : " nouv cor : Cumul Majo P RD " ;
MAJOPS30 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 04" ;
MAJOPS32 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 04" ;
MAJOPSL02TARDIF_DF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOPSL03TARDIF_DF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOPSL07TARDIF_DF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF PS " ;
MAJOPSL08TARDIF_DF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF PS " ;
MAJOPSL17TARDIF_DF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF PS " ;
MAJOPSOL01 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans " ;
MAJOPSOL02 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans " ;
MAJOPSOL02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOPSOL02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOPSOL02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOPSOL02TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJOPSOL02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOPSOL02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOPSOL03 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 03 " ;
MAJOPSOL03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOPSOL03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOPSOL03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOPSOL03TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJOPSOL03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOPSOL03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJOPSOL04 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 04" ;
MAJOPSOL05 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 05" ;
MAJOPSOL06 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 06" ;
MAJOPSOL07 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 07 " ;
MAJOPSOL07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF PS " ;
MAJOPSOL07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  " type REEL ;
MAJOPSOL07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  finale" type REEL ;
MAJOPSOL07TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF P IR " ;
MAJOPSOL07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  apres rectif" type REEL ;
MAJOPSOL07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF PS " ;
MAJOPSOL08 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 08 " ;
MAJOPSOL08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF PS " ;
MAJOPSOL08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  " type REEL ;
MAJOPSOL08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  finale" type REEL ;
MAJOPSOL08TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF P IR " ;
MAJOPSOL08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  apres rectif" type REEL ;
MAJOPSOL08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS " ;
MAJOPSOL10 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 10 " ;
MAJOPSOL11 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 11 " ;
MAJOPSOL17 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 17 " ;
MAJOPSOL17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF PS " ;
MAJOPSOL17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  " type REEL ;
MAJOPSOL17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  finale" type REEL ;
MAJOPSOL17TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P IR " ;
MAJOPSOL17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  apres rectif" type REEL ;
MAJOPSOL17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF PS " ;
MAJOPSOL22 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 22" ;
MAJOPSOL30 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 30" ;
MAJOPSOL31 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 31 " ;
MAJOPSOL32 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 32" ;
MAJOPSOL35 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 35" ;
MAJOPSOL55 : calculee restituee primrest = 0 base : " nouv cor : Majo PSOL code oceans 55" ;
MAJOPSOLPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOPSOLST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJOPS" ;
MAJOPSOLTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF PSOL" ;
MAJOPSOLTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PSOL " type REEL ;
MAJOPSOLTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJOPSOLTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PS  finale" type REEL ;
MAJOPSOLTARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PSOL " type REEL ;
MAJOPSOLTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF PSOL " type REEL ;
MAJOPSOL_P02 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJOPSOL_P03 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJOPSOL_P07 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 07 pour le PRS" ;
MAJOPSOL_P08 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 08 pour le PRS" ;
MAJOPSOL_P10 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour le Psol" ;
MAJOPSOL_P11 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 11 pour le PRS" ;
MAJOPSOL_P17 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour le PRS" ;
MAJOPSOL_P31 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 31 pour le PRS" ;
MAJOPSOL_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en PS cumul pour la strate" ;
MAJOPSOL_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard PS" ;
MAJOPSST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJOPS" ;
MAJOPS_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en PS cumul pour la strate" ;
MAJOPS_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo PS " ;
MAJORD01 : calculee primrest = 0 base : " nouv cor : Majo RD code oceans 01 " ;
MAJORD02 : calculee primrest = 0 base : " nouv cor : Majo RD code oceans 02 " ;
MAJORD02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORD02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORD02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJORD02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORD02TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJORD02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORD02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORD03 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 03 " ;
MAJORD03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORD03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORD03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF" ;
MAJORD03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORD03TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF P " ;
MAJORD03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORD03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORD04 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 04 " ;
MAJORD05 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 05 " ;
MAJORD06 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 06 " ;
MAJORD07 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 07 " ;
MAJORD07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RD " ;
MAJORD07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFRD  " type REEL ;
MAJORD07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RD " ;
MAJORD07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  finale" type REEL ;
MAJORD07TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF P IR " ;
MAJORD07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  apres rectif" type REEL ;
MAJORD07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RD " ;
MAJORD08 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 08 " ;
MAJORD08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RD " ;
MAJORD08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFRD  " type REEL ;
MAJORD08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RD " ;
MAJORD08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  finale" type REEL ;
MAJORD08TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF P IR " ;
MAJORD08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  apres rectif" type REEL ;
MAJORD08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RD " ;
MAJORD10 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 10 " ;
MAJORD11 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 11 " ;
MAJORD17 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 17 " ;
MAJORD17TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJ17 TARDIF RD " ;
MAJORD17TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFRD  " type REEL ;
MAJORD17TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RD " ;
MAJORD17TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  finale" type REEL ;
MAJORD17TARDIF_P : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF P IR " ;
MAJORD17TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  apres rectif" type REEL ;
MAJORD17_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RD " ;
MAJORD22 : calculee primrest = 0 base : " nouv cor : Majo RD code oceans 22 " type REEL ;
MAJORD30 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 30 " ;
MAJORD31 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 31 " ;
MAJORD32 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 32 " ;
MAJORD35 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 35" ;
MAJORD55 : calculee restituee primrest = 0 base : " nouv cor : Majo RD code oceans 55" ;
MAJORD99 : calculee primrest = 0 base : " nouv cor : Majo RD code oceans 99 " ;
MAJORDPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 " ;
MAJORDST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJORD" ;
MAJORDTARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF RD " ;
MAJORDTARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIFRD  " type REEL ;
MAJORDTARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJORDTARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  finale" type REEL ;
MAJORDTARDIF_P : calculee primrest = 0 : "nouv cor : Majo RD pour retard et MajoP" type REEL ;
MAJORDTARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RD  apres rectif" type REEL ;
MAJORD_P02 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJORD_P03 : calculee primrest = 0 : "nouv cor : majo p " ;
MAJORD_P07 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 07 pour la CRDS" ;
MAJORD_P08 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 08 pour la CRDS" ;
MAJORD_P10 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 10 pour la CRDS" ;
MAJORD_P11 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 11 pour la CRDS" ;
MAJORD_P17 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 17 pour la CRDS" ;
MAJORD_P31 : calculee primrest = 0 : "MAJOS 1728 P CODE MAJO 31 pour la CRDS" ;
MAJORD_ST : calculee primrest = 0 : "SUPPLEMENT  base majo en RD cumul pour la strate" ;
MAJORD_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard RD" ;
MAJORD_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RD " ;
MAJORSE101 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 01 " ;
MAJORSE102 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 01 " ;
MAJORSE102TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE102TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE102TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE102TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE102TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE102_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE103 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 01 " ;
MAJORSE103TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE103TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE103TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE103TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE103TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE103_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE104 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 01 " ;
MAJORSE105 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 01 " ;
MAJORSE106 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 01 " ;
MAJORSE107 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1  code oceans 07 " ;
MAJORSE107TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE1" ;
MAJORSE107TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 7,5%" type REEL ;
MAJORSE107TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 7,5%  finale" type REEL ;
MAJORSE107TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 apres rectif" type REEL ;
MAJORSE107TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE1 7,5%" ;
MAJORSE107_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE1 7,5%" ;
MAJORSE108 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 08 " ;
MAJORSE108TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE1" ;
MAJORSE108TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 7,5%" type REEL ;
MAJORSE108TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 7,5% finale" type REEL ;
MAJORSE108TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 apres rectif" type REEL ;
MAJORSE108TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE1 7,5%" ;
MAJORSE108_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE1 7,5% " ;
MAJORSE110 : calculee restituee primrest = 0 base : " nouv cor : RSE1 code oceans 10 " ;
MAJORSE111 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 11 " ;
MAJORSE117 : calculee restituee primrest = 0 base : " nouv cor : Maj RSE1 code oceans 17 " ;
MAJORSE117TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE1" ;
MAJORSE117TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 7,5%" type REEL ;
MAJORSE117TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1  7,5 % finale" type REEL ;
MAJORSE117TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 apres rectif" type REEL ;
MAJORSE117TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE1 7,5%" ;
MAJORSE117_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE1 7,5%" ;
MAJORSE122 : calculee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 22 " ;
MAJORSE135 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE155 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 55" ;
MAJORSE199 : calculee primrest = 0 base : " nouv cor : Majo RSE1 code oceans 99 " ;
MAJORSE1PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE1ST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJORSE1" ;
MAJORSE1TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TQ" ;
MAJORSE1TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TQ" ;
MAJORSE1TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif RSE1 7,5%" ;
MAJORSE1TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE1 7,5% finale" type REEL ;
MAJORSE1TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TQ" ;
MAJORSE1_ST : calculee primrest = 0 : "SUPPLEMENT  RSE1 7,5% cumul pour la strate" ;
MAJORSE1_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  RSE1 7,5%" ;
MAJORSE1_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE1 7,5%" ;
MAJORSE201 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 01 " ;
MAJORSE202 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 01 " ;
MAJORSE202TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE202TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE202TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE202TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE202TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE202_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE203 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 01 " ;
MAJORSE203TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE203TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE203TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE203TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE203TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE203_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE204 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 01 " ;
MAJORSE205 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 01 " ;
MAJORSE206 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 01 " ;
MAJORSE207 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2  code oceans 07 " ;
MAJORSE207TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE2" ;
MAJORSE207TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 6,8%" type REEL ;
MAJORSE207TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 6,6%  finale" type REEL ;
MAJORSE207TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 apres rectif" type REEL ;
MAJORSE207TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE2 6,6%" ;
MAJORSE207_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE2 6,6%" ;
MAJORSE208 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 08 " ;
MAJORSE208TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE2" ;
MAJORSE208TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 6,8%" type REEL ;
MAJORSE208TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 7,5% finale" type REEL ;
MAJORSE208TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 apres rectif" type REEL ;
MAJORSE208TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE2 6,6%" ;
MAJORSE208_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE2 6,6% " ;
MAJORSE210 : calculee restituee primrest = 0 base : " nouv cor : RSE2 code oceans 10 " ;
MAJORSE211 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 11 " ;
MAJORSE217 : calculee restituee primrest = 0 base : " nouv cor : Maj RSE2 code oceans 17 " ;
MAJORSE217TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE2" ;
MAJORSE217TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 6,8%" type REEL ;
MAJORSE217TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2  6,8 % finale" type REEL ;
MAJORSE217TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 apres rectif" type REEL ;
MAJORSE217TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE2 6,6%" ;
MAJORSE217_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE2 6,6%" ;
MAJORSE222 : calculee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 22 " ;
MAJORSE235 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE255 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 55" ;
MAJORSE299 : calculee primrest = 0 base : " nouv cor : Majo RSE2 code oceans 99 " ;
MAJORSE2PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE2ST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJORSE2" ;
MAJORSE2TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TV" ;
MAJORSE2TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TV" ;
MAJORSE2TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif RSE2 6,8%" ;
MAJORSE2TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE2 6,8% finale" type REEL ;
MAJORSE2TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TV" ;
MAJORSE2_ST : calculee primrest = 0 : "SUPPLEMENT  RSE2 6,6% cumul pour la strate" ;
MAJORSE2_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  RSE2 6,6%" ;
MAJORSE2_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE2 7,5%" ;
MAJORSE301 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 01 " ;
MAJORSE302 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 01 " ;
MAJORSE302TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE302TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE302TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE302TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE302TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE302_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE303 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 01 " ;
MAJORSE303TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE303TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE303TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE303TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE303TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE303_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE304 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 01 " ;
MAJORSE305 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 01 " ;
MAJORSE306 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 01 " ;
MAJORSE307 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3  code oceans 07 " ;
MAJORSE307TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE3" ;
MAJORSE307TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 6,2%" type REEL ;
MAJORSE307TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 6,2%  finale" type REEL ;
MAJORSE307TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 apres rectif" type REEL ;
MAJORSE307TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE3 6,2%" ;
MAJORSE307_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE3 6,2%" ;
MAJORSE308 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 08 " ;
MAJORSE308TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE3" ;
MAJORSE308TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 6,2%" type REEL ;
MAJORSE308TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 6,2% finale" type REEL ;
MAJORSE308TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 apres rectif" type REEL ;
MAJORSE308TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE3 6,2%" ;
MAJORSE308_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE3 6,2% " ;
MAJORSE310 : calculee restituee primrest = 0 base : " nouv cor : RSE3 code oceans 10 " ;
MAJORSE311 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 11 " ;
MAJORSE317 : calculee restituee primrest = 0 base : " nouv cor : Maj RSE3 code oceans 17 " ;
MAJORSE317TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE3" ;
MAJORSE317TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 6,2%" type REEL ;
MAJORSE317TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3  6,2 % finale" type REEL ;
MAJORSE317TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 apres rectif" type REEL ;
MAJORSE317TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE3 6,2%" ;
MAJORSE317_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE3 6,2%" ;
MAJORSE322 : calculee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 22 " ;
MAJORSE335 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE355 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 55" ;
MAJORSE399 : calculee primrest = 0 base : " nouv cor : Majo RSE3 code oceans 99 " ;
MAJORSE3PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE3ST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJORSE3" ;
MAJORSE3TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TW" ;
MAJORSE3TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TW" ;
MAJORSE3TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif RSE3 6,2%" ;
MAJORSE3TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE3 6,2% finale" type REEL ;
MAJORSE3TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TW" ;
MAJORSE3_ST : calculee primrest = 0 : "SUPPLEMENT  RSE3 6,2% cumul pour la strate" ;
MAJORSE3_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  RSE3 6,2%" ;
MAJORSE3_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE3 6,2%" ;
MAJORSE401 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 01 " ;
MAJORSE402 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 01 " ;
MAJORSE402TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE402TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE402TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE402TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE402TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE402_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE403 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 01 " ;
MAJORSE403TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE403TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE403TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE403TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE403TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE403_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE404 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 01 " ;
MAJORSE405 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 01 " ;
MAJORSE406 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 01 " ;
MAJORSE407 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4  code oceans 07 " ;
MAJORSE407TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE4" ;
MAJORSE407TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 3,8%" type REEL ;
MAJORSE407TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 3,8%  finale" type REEL ;
MAJORSE407TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 apres rectif" type REEL ;
MAJORSE407TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE4 3,8%" ;
MAJORSE407_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE4 3,8%" ;
MAJORSE408 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 08 " ;
MAJORSE408TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE4" ;
MAJORSE408TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 3,8%" type REEL ;
MAJORSE408TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 3,8% finale" type REEL ;
MAJORSE408TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 apres rectif" type REEL ;
MAJORSE408TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE4 3,8%" ;
MAJORSE408_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE4 3,8% " ;
MAJORSE410 : calculee restituee primrest = 0 base : " nouv cor : RSE4 code oceans 10 " ;
MAJORSE411 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 11 " ;
MAJORSE417 : calculee restituee primrest = 0 base : " nouv cor : Maj RSE4 code oceans 17 " ;
MAJORSE417TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE4" ;
MAJORSE417TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 3,8%" type REEL ;
MAJORSE417TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4  3,8 % finale" type REEL ;
MAJORSE417TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 apres rectif" type REEL ;
MAJORSE417TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE4 3,8%" ;
MAJORSE417_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE4 3,8%" ;
MAJORSE422 : calculee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 22 " ;
MAJORSE435 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE455 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 55" ;
MAJORSE499 : calculee primrest = 0 base : " nouv cor : Majo RSE4 code oceans 99 " ;
MAJORSE4PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE4ST_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde de la strate en cours de MAJORSE4" ;
MAJORSE4TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TX" ;
MAJORSE4TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TX" ;
MAJORSE4TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif RSE4 3,8%" ;
MAJORSE4TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE4 3,8% finale" type REEL ;
MAJORSE4TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TX" ;
MAJORSE4_ST : calculee primrest = 0 : "SUPPLEMENT  RSE4 3,8% cumul pour la strate" ;
MAJORSE4_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard  RSE4 3,8%" ;
MAJORSE4_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE4 3,8%" ;
MAJORSE501 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 01 " ;
MAJORSE502 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 02" ;
MAJORSE502TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE502TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE502TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE502TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE502TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE502_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE503 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 03" ;
MAJORSE503TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE503TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE503TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE503TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE503TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE503_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE504 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 04" ;
MAJORSE505 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 05" ;
MAJORSE506 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 06" ;
MAJORSE507 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 07" ;
MAJORSE507TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE5" ;
MAJORSE507TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5 7,5%" type REEL ;
MAJORSE507TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5  finale" type REEL ;
MAJORSE507TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5 apres rectif" type REEL ;
MAJORSE507TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE5 7,5%" ;
MAJORSE507_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE5" ;
MAJORSE508 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 08" ;
MAJORSE508TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE5" ;
MAJORSE508TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5 7,5%" type REEL ;
MAJORSE508TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5  finale" type REEL ;
MAJORSE508TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CGLOAl apres rectif" type REEL ;
MAJORSE508TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE5 7,5%" ;
MAJORSE508_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE5" ;
MAJORSE510 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 10" ;
MAJORSE511 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 11" ;
MAJORSE517 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 17" ;
MAJORSE517TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE5" ;
MAJORSE517TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5 7,5%" type REEL ;
MAJORSE517TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5  finale" type REEL ;
MAJORSE517TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5 apres rectif" type REEL ;
MAJORSE517TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE5 7,5%" ;
MAJORSE517_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE5" ;
MAJORSE522 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 22" ;
MAJORSE535 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE555 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 55" ;
MAJORSE599 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE5 code oceans 99" ;
MAJORSE5PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE5ST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo en RSE5  cumul pour la strate" ;
MAJORSE5TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TR" ;
MAJORSE5TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TR" ;
MAJORSE5TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif RSE5 7,5%" ;
MAJORSE5TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF cvnsal  finale" type REEL ;
MAJORSE5TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. 8TR" ;
MAJORSE5_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJORSE5" ;
MAJORSE5_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5" ;
MAJORSE5_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE5" ;
MAJORSE601 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 01 " ;
MAJORSE602 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 02 " ;
MAJORSE602TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE602TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE602TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE602TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE602TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE602_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE603 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 01 " ;
MAJORSE603TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE603TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE603TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE603TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE603TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE603_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE604 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 04 " ;
MAJORSE605 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 05 " ;
MAJORSE606 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 06 " ;
MAJORSE607 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 07" ;
MAJORSE607TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE6" ;
MAJORSE607TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6 0,3%" type REEL ;
MAJORSE607TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6  finale" type REEL ;
MAJORSE607TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6 apres rectif" type REEL ;
MAJORSE607TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF RSE6 0,3%" ;
MAJORSE607_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE6 " ;
MAJORSE608 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 08" ;
MAJORSE608TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE6" ;
MAJORSE608TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6 0,3%" type REEL ;
MAJORSE608TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6  finale" type REEL ;
MAJORSE608TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6 apres rectif" type REEL ;
MAJORSE608TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF RSE6 0,3%" ;
MAJORSE608_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE6" ;
MAJORSE610 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 10" ;
MAJORSE611 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 11" ;
MAJORSE617 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 17" ;
MAJORSE617TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE6" ;
MAJORSE617TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5 0,3%" type REEL ;
MAJORSE617TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6  finale" type REEL ;
MAJORSE617TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6 apres rectif" type REEL ;
MAJORSE617TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF RSE6 0,3%" ;
MAJORSE617_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE6" ;
MAJORSE622 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 22" ;
MAJORSE635 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE655 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 55" ;
MAJORSE699 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE6 code oceans 99" ;
MAJORSE6PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE6ST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo en RSE6  cumul pour la strate" ;
MAJORSE6TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif RSE6" ;
MAJORSE6TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif RSE6" ;
MAJORSE6TARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif RSE6 0,3%" ;
MAJORSE6TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE6  finale" type REEL ;
MAJORSE6TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif rev. source etrang. RSE6" ;
MAJORSE6_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJORSE6" ;
MAJORSE6_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE5" ;
MAJORSE6_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE6" ;
MAJORSE801 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 01 " ;
MAJORSE802 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 02 " ;
MAJORSE802TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE802TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE802TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE802TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE802TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE802_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE803 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 01 " ;
MAJORSE803TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE803TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJORSE803TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJORSE803TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJORSE803TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE803_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF CS " ;
MAJORSE804 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans " ;
MAJORSE805 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans " ;
MAJORSE806 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans " ;
MAJORSE807 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 07" ;
MAJORSE807TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE807TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE7" type REEL ;
MAJORSE807TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE7 finale" type REEL ;
MAJORSE807TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8 apres rectif" type REEL ;
MAJORSE807TARD_DEF : calculee primrest = 0 base : "nouv cor : Montant MAJO07 TARDIF RSE8" ;
MAJORSE807_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF RSE7" ;
MAJORSE808 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 08" ;
MAJORSE808TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE808TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE7" type REEL ;
MAJORSE808TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8 finale" type REEL ;
MAJORSE808TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8 apres rectif" type REEL ;
MAJORSE808TARD_DEF : calculee primrest = 0 base : "nouv cor : Montant MAJO08 TARDIF RSE8" ;
MAJORSE808_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF RSE8" ;
MAJORSE810 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 10" ;
MAJORSE811 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 11" ;
MAJORSE817 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 17" ;
MAJORSE817TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJORSE817TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8" type REEL ;
MAJORSE817TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8 finale" type REEL ;
MAJORSE817TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8 apres rectif" type REEL ;
MAJORSE817TARD_DEF : calculee primrest = 0 base : "nouv cor : Montant MAJO17 TARDIF RSE8" ;
MAJORSE817_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF RSE8" ;
MAJORSE822 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 22" ;
MAJORSE835 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE code oceans 35" ;
MAJORSE855 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans " ;
MAJORSE899 : calculee restituee primrest = 0 base : " nouv cor : Majo RSE8 code oceans 99" ;
MAJORSE8PRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJORSE8ST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo en RSE8  cumul pour la strate" ;
MAJORSE8TARDIF_A : calculee primrest = 0 base : "Montant majo. tardif RSE8" ;
MAJORSE8TARDIF_D : calculee primrest = 0 base : "Montant majo. tardif RSE8" ;
MAJORSE8TARDIF_DEF : calculee primrest = 0 base : "nouv cor : Montant MAJO TARDIF RSE8" ;
MAJORSE8TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8  finale" type REEL ;
MAJORSE8TARDIF_R : calculee primrest = 0 base : "Montant majo. tardif RSE8" ;
MAJORSE8_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJORSE7" ;
MAJORSE8_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF RSE8" ;
MAJORSE8_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo RSE8" ;
MAJOTA02TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF TAXAGA" ;
MAJOTA03TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF TAXAGA" ;
MAJOTA07TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF TAXAGA" ;
MAJOTA08TARDIF_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF TAXAGA" ;
MAJOTA17_1TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF TAXA" ;
MAJOTA17_1TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF TAXAGA" ;
MAJOTA17_1TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  " type REEL ;
MAJOTA17_1TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF TAXAGA" ;
MAJOTA17_2TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO17 TARDIF TAXA" ;
MAJOTA17_2TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO17 TARDIF TAXAGA" ;
MAJOTA17_2TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  " type REEL ;
MAJOTA17_2TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  finale" type REEL ;
MAJOTA17_2TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  apres rectif" type REEL ;
MAJOTA17_2TARD_DEF : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF TAXAGA" ;
MAJOTARDCOA : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOA_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOB : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOB_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOD : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOD_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOE : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOE_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOF : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOF_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOG : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOG_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOH : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOH_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOJ : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOJ_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOL : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOL_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOM : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOM_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOO : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOO_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOP : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOP_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOQ : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOQ_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOR : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOR_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOT : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOT_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOU : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOU_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOV : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOV_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOW : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOW_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTARDCOX : calculee primrest = 0 : "Majo CAP COV tardif" ;
MAJOTARDCOX_A : calculee primrest = 0 base : "nouv cor : sauvegarde MAJOTARDCOx" ;
MAJOTAXA01 : calculee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 01 " ;
MAJOTAXA02TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOTAXA02TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOTAXA02TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOTAXA02TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOTAXA02_1 : calculee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 02 majo 1728" ;
MAJOTAXA02_1_TL : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 02 majo 1758A" ;
MAJOTAXA02_2 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXA  code oceans 02 majo " ;
MAJOTAXA02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Majo Taxa code oceans 02 majo 1758A NTL " ;
MAJOTAXA02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 02 majo 1758A" ;
MAJOTAXA02_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF " ;
MAJOTAXA03 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 03" ;
MAJOTAXA03TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF " ;
MAJOTAXA03TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF" type REEL ;
MAJOTAXA03TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF  finale" type REEL ;
MAJOTAXA03TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF   apres rectif" type REEL ;
MAJOTAXA03_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF " ;
MAJOTAXA04 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 04" ;
MAJOTAXA05 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 05" ;
MAJOTAXA06 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 06" ;
MAJOTAXA07 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 07" ;
MAJOTAXA07TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO07 TARDIF TAXAGA" ;
MAJOTAXA07TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  " type REEL ;
MAJOTAXA07TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  finale" type REEL ;
MAJOTAXA07TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  apres rectif" type REEL ;
MAJOTAXA07_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO07 TARDIF TAXA" ;
MAJOTAXA08 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 08" ;
MAJOTAXA08TARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO08 TARDIF TAXAGA" ;
MAJOTAXA08TARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  " type REEL ;
MAJOTAXA08TARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  finale" type REEL ;
MAJOTAXA08TARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  apres rectif" type REEL ;
MAJOTAXA08_TARDIF : calculee primrest = 0 : " nouv cor : Montant MAJO08 TARDIF TAXA" ;
MAJOTAXA10_1 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 10 majo 1728" ;
MAJOTAXA10_2 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 10 majo 1758A" ;
MAJOTAXA11 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 11" ;
MAJOTAXA17_1 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 17 majo 1728" ;
MAJOTAXA17_2 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 17 majo 1758A" ;
MAJOTAXA22 : calculee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 22" ;
MAJOTAXA35 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 35" ;
MAJOTAXA55 : calculee restituee primrest = 0 base : " nouv cor : Majo TAXA code oceans 55" ;
MAJOTAXA99 : calculee primrest = 0 base : " nouv cor : Majo TAXAGA code oceans 99" ;
MAJOTAXAPRO35 : calculee restituee primrest = 0 base : " nouv cor : Majo code oceans 35 proratise" ;
MAJOTAXAST_DEF : calculee primrest = 0 base : "SUPPLEMENT  base majo en TAXAGA  cumul pour la strate" ;
MAJOTAXATARDIF_A : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF TAXAGA " ;
MAJOTAXATARDIF_A1 : calculee primrest = 0 base : " nouv cor : Montant MAJO TARDIF TAXAGA " ;
MAJOTAXATARDIF_D : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  " type REEL ;
MAJOTAXATARDIF_D1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  " type REEL ;
MAJOTAXATARDIF_DEF : calculee primrest = 0 base : " nouv cor:sauvegarde des majorations pour depot tardif" ;
MAJOTAXATARDIF_F : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  finale" type REEL ;
MAJOTAXATARDIF_R : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  apres rectif" type REEL ;
MAJOTAXATARDIF_R1 : calculee primrest = 0 : " nouv cor : Montant MAJO TARDIF TAXAGA  apres rectif" type REEL ;
MAJOTAXA_ST : calculee primrest = 0 : " nouv cor:sauvegarde de la strate en cours de MAJOTAXA" ;
MAJOTAXA_TARDIF : calculee primrest = 0 : " nouv cor:MAJO de la 2042 deposee en retard TAXAGA" ;
MAJOTAXA_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo TAXAGA " ;
MAJOTO : calculee primrest = 0 : "SUPPLEMENT TOTAL: base majo TOUTE TAXE ADDITIONNEES" ;
MAJOTOT28IR : calculee restituee primrest = 1 base : "Montant MAJO IR totales 1728 pour ecrans iliad si correctif" ;
MAJOTOT28PS : calculee restituee primrest = 1 base : "Montant MAJO Contrib soc totales 1728 pour ecrans iliad si correctif" ;
MAJOTOT35 : calculee restituee primrest = 0 base : " Montant MAJO totales 35" ;
MAJOTOT35PRO : calculee primrest = 0 base : " Montant MAJO totales 35 sans 8na 8nb" ;
MAJO_TOT : calculee restituee primrest = 0 base : " nouv cor : Cumul Majo tout impot" ;
MAJREV : const=1.25000  ;
MAJREV20 : const=1.10000  ;
MAJSALDOM : const=1500.00000  ;
MAJTX1 : calculee restituee primrest = 1 : "taux majorations IR nature 1 avis facture" ;
MAJTX3 : calculee restituee primrest = 1 : "taux majorations IR nature 3 avis facture" ;
MAJTX4 : calculee restituee primrest = 1 : "taux majorations IR nature 4 avis facture" ;
MAJTXC : calculee primrest = 0 : "taux majorations CSG avis facture" ;
MAJTXC1 : calculee restituee primrest = 1 : "taux majorations CSG avis facture nature 1" ;
MAJTXC4 : calculee restituee primrest = 1 : "taux majorations CSG avis facture nature 4" ;
MAJTXC820 : calculee primrest = 0 : "taux majorations Cont. Sal. avis facture" ;
MAJTXC8201 : calculee restituee primrest = 1 : "taux majorations Cont.Sal. avis facture nature 1" ;
MAJTXC8204 : calculee restituee primrest = 1 : "taux majorations Cont.Sal. avis facture nature 4" ;
MAJTXCDIS : calculee primrest = 0 : "taux majorations Cont. Sal. avis facture" ;
MAJTXCDIS1 : calculee restituee primrest = 1 : "taux majorations Cont.Sal. avis facture nature 1" ;
MAJTXCDIS4 : calculee restituee primrest = 1 : "taux majorations Cont. Sal. avis facture nature 4" ;
MAJTXCHR1 : calculee restituee primrest = 1 : "Taux majo. hauts revenus nature 1 (avis IR)" ;
MAJTXCHR3 : calculee restituee primrest = 1 : "Taux majorations contribution hauts revenus nature 3 " ;
MAJTXCHR4 : calculee restituee primrest = 1 : "Taux majorations contribution hauts revenus nature 4 " ;
MAJTXCVN : calculee primrest = 0 : "taux majorations Cont. Sal. CVN avis facture" ;
MAJTXCVN1 : calculee restituee primrest = 1 : "Taux majorations CVNSAL avis facture nature 1" ;
MAJTXCVN4 : calculee restituee primrest = 1 : "Taux majorations CVNSAL avis facture nature 4" ;
MAJTXGLO1 : calculee restituee primrest = 1 : "taux majorations GLO. avis facture nature 1" ;
MAJTXGLO4 : calculee restituee primrest = 1 : "Taux majorations CGLOA avis facture nature 4" ;
MAJTXGLOA : calculee primrest = 0 : "taux majorations Cont. Sal. CGLOA avis facture" ;
MAJTXIFI1 : calculee restituee primrest = 1 : "IFI :  taux majoration nature 1 avis facture IFI majo 1728" ;
MAJTXIFI4 : calculee restituee primrest = 1 : "IFI :  taux majoration nature 1 avis facture IFI majo 1728" ;
MAJTXP : calculee primrest = 0 : "taux majorations PRS avis facture" ;
MAJTXP1 : calculee restituee primrest = 1 : "taux majorations CSG avis facture nature 4" ;
MAJTXP4 : calculee restituee primrest = 1 : "taux majorations CSG avis facture nature 4" ;
MAJTXPCAP1 : calculee restituee primrest = 1 : "Taux majorations prelevement liberatoire nature 1" ;
MAJTXPCAP3 : calculee restituee primrest = 1 : "Taux majorations prelevement liberatoire nature 3 " ;
MAJTXPCAP4 : calculee restituee primrest = 1 : "Taux majorations prelevement liberatoire nature 4 " ;
MAJTXR : calculee primrest = 0 : "taux majorations RDS avis facture" ;
MAJTXR1 : calculee restituee primrest = 1 : "taux majorations CSG avis facture nature 4" ;
MAJTXR4 : calculee restituee primrest = 1 : "taux majorations CSG avis facture nature 4" ;
MAJTXRSE1 : calculee primrest = 0 : "taux majorations RSE1" ;
MAJTXRSE11 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TQ nature 1 (avis CSG)" ;
MAJTXRSE14 : calculee restituee primrest = 1 : "taux majorations RSE1 avis facture nature 4" ;
MAJTXRSE2 : calculee primrest = 0 : "taux majorations RSE2 avis facture" ;
MAJTXRSE21 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TV nature 1 (avis CSG)" ;
MAJTXRSE24 : calculee restituee primrest = 1 : "taux majorations RSE2 avis facture nature 4" ;
MAJTXRSE3 : calculee primrest = 0 : "taux majorations RSE3 avis facture" ;
MAJTXRSE31 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TW nature 1 (avis CSG)" ;
MAJTXRSE34 : calculee restituee primrest = 1 : "taux majorations RSE3 avis facture nature 4" ;
MAJTXRSE4 : calculee primrest = 0 : "taux majorations RSE4 avis facture" ;
MAJTXRSE41 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TX nature 1 (avis CSG)" ;
MAJTXRSE44 : calculee restituee primrest = 1 : "taux majorations RSE4 avis facture nature 4" ;
MAJTXRSE5 : calculee primrest = 0 : "taux majorations RSE5" ;
MAJTXRSE51 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TR nature 1 (avis CSG)" ;
MAJTXRSE54 : calculee restituee primrest = 1 : "taux majorations RSE5 avis facture nature 4" ;
MAJTXRSE6 : calculee primrest = 0 : "taux majorations RSE6" ;
MAJTXRSE61 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang.CASA nature 1 (avis CSG)" ;
MAJTXRSE64 : calculee restituee primrest = 1 : "taux majorations RSE5 avis facture nature 4" ;
MAJTXRSE8 : calculee primrest = 0 : "taux majorations RSE8" ;
MAJTXRSE81 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TH 8SD nature 1 (avis CSG)" ;
MAJTXRSE84 : calculee restituee primrest = 1 : "Taux majo. rev. source etrang. 8TH 8SD nature 4 (avis CSG)" ;
MAJTXTAXA3 : calculee restituee primrest = 1 : "taux majorations IR nature 3 avis facture TAXAGA" ;
MAJTXTAXA4 : calculee restituee primrest = 1 : "taux majorations IR nature 4 avis facture TAXAGA" ;
MAJ_CGA_AGA : calculee restituee primrest = 0 : "variable CFIR : ligne 13bis matrice IR_SDFDL mjo. 0,25" type REEL ;
MAXDOM2 : calculee primrest = 0 : "Variable somme inv. dom" ;
MAXDOM3 : calculee primrest = 0 : "Variable somme inv. dom" ;
MCDV : calculee restituee primrest = 1 : "1 =marie 2 =celibataire 3= divorce 4=veuf" ;
MCSG820 : calculee restituee primrest = 1 : "Montant  CSG 8.2 %" ;
MCSG820_A : calculee primrest = 0 base : "correctif : Cdis anterieure" ;
MCSG820_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde MCSG820" ;
MCSG820_RECT : calculee primrest = 0 base : "Taxation 2042_RECT pour la TL: sauvegarde MCSG820" ;
MCSG820_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde MCSG820" ;
MESGOUV : calculee restituee primrest = 1 : "Indicateur beneficiaire des mesures fiscales de bas de bareme" ;
MFCDIS : calculee restituee primrest = 0 base : "Indicateur mauvaise foi CDIS" ;
MFCHR : calculee restituee primrest = 0 base : "Indicateur mauvaise foi contribution hauts revenus" ;
MFCHR7 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi contribution hauts revenus" ;
MFCS : calculee restituee primrest = 0 base : "Indicateur mauvaise foi CSG" ;
MFCSAL : calculee restituee primrest = 0 base : "Indicateur mauvaise foi CSAL" ;
MFCVN : calculee restituee primrest = 0 base : "Indicateur mauvaise foi CVN" ;
MFGAIN : calculee restituee primrest = 0 base : "Indicateur mauvaise foi GAINSAL" ;
MFGLO : calculee restituee primrest = 0 base : "Indicateur mauvaise foi GLO" ;
MFIFI : calculee restituee primrest = 0 base : "Indicateur mauvaise foi IFI" ;
MFIR : calculee restituee primrest = 0 base : "Indicateur mauvaise foi IR" ;
MFLOY : calculee restituee primrest = 0 base : "Indicateur mauvaise foi loyers eleves" ;
MFMCSG820 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi MCSG820" ;
MFPCAP : calculee restituee primrest = 0 base : "Indicateur mauvaise foi prelevement liberatoire" ;
MFPS : calculee restituee primrest = 0 base : "Indicateur mauvaise foi PRS" ;
MFPSOL : calculee restituee primrest = 0 base : "Indicateur mauvaise foi PSOL" ;
MFRD : calculee restituee primrest = 0 base : "Indicateur mauvaise foi RDS" ;
MFREGV : calculee restituee primrest = 0 base : "Indicateur mauvaise foi REGV" ;
MFRSE1 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres (8TQ)" ;
MFRSE2 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres (8TV)" ;
MFRSE3 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres (8TW)" ;
MFRSE4 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres (8TX)" ;
MFRSE5 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres (8TR)" ;
MFRSE6 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres" ;
MFRSE7 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres" ;
MFRSE8 : calculee restituee primrest = 0 base : "Indicateur mauvaise foi revenus de sources etrangeres" ;
MFTAXAGA : calculee restituee primrest = 0 base : "Indicateur mauvaise foi TAXAGA" ;
MIB1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5LQ : "BIC professionnels regime micro - Plus-values a 12,8 % - Declarant 2 " ;
MIB1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5MQ : "BIC professionnels regime micro - Plus-values a 12,8 % - PAC " ;
MIB1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5KQ : "BIC professionnels regime micro - Plus-values a 12,8 % - Declarant 1 " ;
MIBDEC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5LR : "BIC prof. regime micro - Moins-values a long terme - Declarant 2 " ;
MIBDEP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5MR : "BIC professionnels regime micro - Moins-values a long terme - PAC " ;
MIBDEV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5KR : "BIC prof. regime micro - Moins-values a long terme - Declarant 1 " ;
MIBDREPC : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO MOINS VALUE: CONJOINT" ;
MIBDREPNPC : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO MOINS VALUE: CONJOINT" ;
MIBDREPNPP : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO MOINS VALUE: PAC" ;
MIBDREPNPV : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO MOINS VALUE: VOUS" ;
MIBDREPP : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO MOINS VALUE: PAC" ;
MIBDREPV : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO MOINS VALUE: VOUS" ;
MIBEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5LN : "BIC professionnels regime micro - Revenus exoneres - Declarant 2 " ;
MIBEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5MN : "BIC professionnels regime micro - Revenus exoneres - PAC " ;
MIBEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5KN : "BIC professionnels regime micro - Revenus exoneres - Declarant 1 " ;
MIBGITEC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OG : "Location de chambres d'hotes et meubles de tourisme - Declarant 2" ;
MIBGITEP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PG : "Location de chambres d'hotes et meubles de tourisme - PAC" ;
MIBGITEV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5NG : "Location de chambres d'hotes et meubles de tourisme - Declarant 1" ;
MIBMEUC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5OD : "BIC non professionnels regime micro - Locations meublees - Declarant 2" ;
MIBMEUP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5PD : "BIC non professionnels regime micro - Locations meublees - PAC" ;
MIBMEUV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 5 nat_code = 0 modcat = 1 primrest = 0 alias 5ND : "BIC non professionnels regime micro - Locations meublees - Declarant 1" ;
MIBNETNPPF : calculee restituee primrest = 1 : "activit de prest services non prof. pour le foyer agregat IR" ;
MIBNETNPPLF : calculee restituee primrest = 1 : "activit de prest services non prof. pour le foyer agregat IR" ;
MIBNETNPTOT : calculee restituee primrest = 1 : "Avis - Micro bic net total foyer (sauf + V 16%)" ;
MIBNETNPVF : calculee restituee primrest = 1 : "activit de ventes non prof. pour le foyer agregat IR" ;
MIBNETNPVLF : calculee restituee primrest = 1 : "activit de ventes non prof. pour le foyer agregat IR" ;
MIBNETNPVLNSC : calculee primrest = 0 : "ventes net  non pro non soumise aux prestations soc." ;
MIBNETNPVLNSP : calculee primrest = 0 : "ventes net  non pro non soumise aux prestations soc." ;
MIBNETNPVLNSV : calculee primrest = 0 : "ventes net  non pro non soumise aux prestations soc." ;
MIBNETNPVLSC : calculee primrest = 0 : "ventes net  non pro soumise aux prestations soc." ;
MIBNETNPVLSP : calculee primrest = 0 : "ventes net  non pro soumise aux prestations soc." ;
MIBNETNPVLSV : calculee primrest = 0 : "ventes net  non pro soumise aux prestations soc." ;
MIBNETPF : calculee restituee primrest = 1 : "activit de prest services profes. pour le foyer agr. IR" ;
MIBNETPTOT : calculee restituee primrest = 1 : "Avis - Micro bic net total foyer (sauf + V 16%)" ;
MIBNETVF : calculee restituee primrest = 1 : "activit de vente de marchandises prof. pour le foyer agregat IR" ;
MIBNP1AC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5OQ : "BIC non prof. regime micro - Plus-values a 12,8 % - Declarant 2 " ;
MIBNP1AP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5PQ : "BIC non professionnels regime micro - Plus-values a 12,8 % - PAC " ;
MIBNP1AV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5NQ : "BIC non prof. regime micro - Plus-values a 12,8 % - Declarant 1 " ;
MIBNPDCT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 1 modcat = 1 restituee primrest = 1 alias 5IU : "BIC non prof. regime micro - Moins-values a court terme - Declarant 1" ;
MIBNPDEC : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5OR : "BIC non prof. regime micro - Moins-values a long terme - Declarant 2 " ;
MIBNPDEP : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5PR : "BIC non professionnels regime micro - Moins-values a long terme - PAC " ;
MIBNPDEV : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 5NR : "BIC non prof. regime micro - Moins-values a long terme - Declarant 1 " ;
MIBNPEXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5ON : "BIC non professionnels regime micro - Revenus exoneres - Declarant 2 " ;
MIBNPEXP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5PN : "BIC non professionnels regime micro - Revenus exoneres - PAC " ;
MIBNPEXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5NN : "BIC non professionnels regime micro - Revenus exoneres - Declarant 1 " ;
MIBNPLOCNPSC : calculee primrest = 0 : "Revenu net imposable des locations meublees non soumises aux PS" ;
MIBNPLOCNPSP : calculee primrest = 0 : "Revenu net imposable des locations meublees non soumises aux PS" ;
MIBNPLOCNPSV : calculee primrest = 0 : "Revenu net imposable des locations meublees non soumises aux PS" ;
MIBNPLOCPSC : calculee primrest = 0 : "Revenu net imposable des locations meublees soumises aux p. sociaux" ;
MIBNPLOCPSP : calculee primrest = 0 : "Revenu net imposable des locations meublees soumises aux p. sociaux" ;
MIBNPLOCPSV : calculee primrest = 0 : "Revenu net imposable des locations meublees soumises aux p. sociaux" ;
MIBNPPRESC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5OP : "BIC non prof. regime micro - Activites prestations - Declarant 2 " ;
MIBNPPRESP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5PP : "BIC non professionnels regime micro - Activites prestations - PAC " ;
MIBNPPRESV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5NP : "BIC non prof. regime micro - Activites prestations - Declarant 1 " ;
MIBNPPVC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5OX : "BIC non prof. regime micro - Plus-values a court terme - Declarant 2 " ;
MIBNPPVP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5PX : "BIC non professionnels regime micro - Plus-values a court terme - PAC " ;
MIBNPPVV : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5NX : "BIC non prof. regime micro - Plus-values a court terme - Declarant 1 " ;
MIBNPRABC : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO, ABATTEMENT: conjoint" ;
MIBNPRABP : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO, ABATTEMENT: PAC" ;
MIBNPRABV : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO, ABATTEMENT: VOUS" ;
MIBNPRC : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO, DECLARES: CONJOINT" ;
MIBNPRNETC : calculee restituee primrest = 1 : "AVIS99:BIC  NON PROFESS., REGIME MICRO, NETS CONJOINT" ;
MIBNPRNETP : calculee restituee primrest = 1 : "AVIS99:BIC  NON PROFESS., REGIME MICRO, NETS PAC" ;
MIBNPRNETV : calculee restituee primrest = 1 : "AVIS99:BIC  NON PROFESS., REGIME MICRO, NETS VOUS" ;
MIBNPRP : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO, DECLARES: PAC" ;
MIBNPRV : calculee restituee primrest = 1 : "AVIS99:BIC NON PROFESS., REGIME MICRO, DECLARES: VOUS" ;
MIBNPVENC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5OO : "BIC non professionnels regime micro - Activites ventes - Declarant 2 " ;
MIBNPVENP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5PO : "BIC non professionnels regime micro - Activites ventes - PAC " ;
MIBNPVENV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 3 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5NO : "BIC non prof. regime micro - Activites ventes - Declarant 1 " ;
MIBPRESC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5LP : "BIC professionnels regime micro - Activites prestations - Declarant 2 " ;
MIBPRESP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5MP : "BIC professionnels regime micro - Activites prestations - PAC " ;
MIBPRESV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5KP : "BIC professionnels regime micro - Activites prestations - Declarant 1 " ;
MIBPVC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5LX : "BIC prof. regime micro - Plus-values a court terme - Declarant 2 " ;
MIBPVC1731 : calculee restituee primrest = 0 base : "BIC  regime micro professionnel PV 1731bic" ;
MIBPVCP2 : calculee restituee primrest = 0 base : "BIC regime micro plus values nettes" ;
MIBPVCP3 : calculee restituee primrest = 0 base : "BIC regime micro plus values nettes" ;
MIBPVP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5MX : "BIC professionnels regime micro - Plus-values a court terme - PAC " ;
MIBPVP1731 : calculee restituee primrest = 0 base : "BIC  regime micro professionnel PV 1731bic" ;
MIBPVPP2 : calculee restituee primrest = 0 base : "BIC regime micro plus values nettes" ;
MIBPVPP3 : calculee restituee primrest = 0 base : "BIC regime micro plus values nettes" ;
MIBPVV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5KX : "BIC prof. regime micro - Plus-values a court terme - Declarant 1 " ;
MIBPVV1731 : calculee restituee primrest = 0 base : "BIC  regime micro professionnel PV 1731bic" ;
MIBPVVP2 : calculee restituee primrest = 0 base : "BIC regime micro plus values nettes" ;
MIBPVVP3 : calculee restituee primrest = 0 base : "BIC regime micro plus values nettes" ;
MIBR : calculee primrest = 0 : "AVIS99:BIC PROFESS., REGIME MICRO, DECLARES: FOYER" ;
MIBRABC : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, ABATTEMENT: conjoint" ;
MIBRABP : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, ABATTEMENT: PAC" ;
MIBRABV : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, ABATTEMENT: VOUS" ;
MIBRC : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, DECLARES: CONJOINT" ;
MIBRNET : calculee restituee primrest = 0 : "AVIS99:BIC PROFESS., REGIME MICRO, NETS FOYER" ;
MIBRNETC : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, NETS CONJOINT" ;
MIBRNETC1731 : calculee restituee primrest = 0 base : "BIC  regime micro professionnel PV 1731bic" ;
MIBRNETCP2 : calculee restituee primrest = 0 base : "BIC regime micro net" ;
MIBRNETCP3 : calculee restituee primrest = 0 base : "BIC regime micro net" ;
MIBRNETP : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, NETS PAC" ;
MIBRNETP1731 : calculee restituee primrest = 0 base : "BIC  regime micro professionnel PV 1731bic" ;
MIBRNETPP2 : calculee restituee primrest = 0 base : "BIC regime micro net" ;
MIBRNETPP3 : calculee restituee primrest = 0 base : "BIC regime micro net" ;
MIBRNETV : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, NETS VOUS" ;
MIBRNETV1731 : calculee restituee primrest = 0 base : "BIC  regime micro professionnel PV 1731bic" ;
MIBRNETVP2 : calculee restituee primrest = 0 base : "BIC regime micro net" ;
MIBRNETVP3 : calculee restituee primrest = 0 base : "BIC regime micro net" ;
MIBRP : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, DECLARES: PAC" ;
MIBRV : calculee restituee primrest = 1 : "AVIS99:BIC PROFESS., REGIME MICRO, DECLARES: VOUS" ;
MIBVENC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5LO : "BIC professionnels regime micro - Activites ventes - Declarant 2 " ;
MIBVENP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5MO : "BIC professionnels regime micro - Activites ventes - PAC " ;
MIBVENV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 5KO : "BIC professionnels regime micro - Activites ventes - Declarant 1 " ;
MIB_1AC : calculee primrest = 0 : "	PV totales (prof et non professionnelles )" ;
MIB_1AF : calculee primrest = 0 : "PV nettes du foyer" ;
MIB_1AP : calculee primrest = 0 : "	PV totales (prof et non professionnelles )" ;
MIB_1AV : calculee primrest = 0 : "	PV totales (prof et non professionnelles )" ;
MIB_ABNPPC : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels prestations" ;
MIB_ABNPPLC : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels prestations" ;
MIB_ABNPPLP : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels prestations" ;
MIB_ABNPPLV : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels prestations" ;
MIB_ABNPPP : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels prestations" ;
MIB_ABNPPV : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels prestations" ;
MIB_ABNPVC : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels vente de march" ;
MIB_ABNPVLC : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels loc gite" ;
MIB_ABNPVLP : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels loc gite" ;
MIB_ABNPVLV : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels loc gite" ;
MIB_ABNPVP : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels vente de march" ;
MIB_ABNPVV : calculee primrest = 0 : "	 repartition de l abat rev  NON professionnels vente de march" ;
MIB_ABPC : calculee primrest = 0 : "	 repartition de l abat rev  professionnels prestations" ;
MIB_ABPP : calculee primrest = 0 : "	 repartition de l abat rev  professionnels prestations" ;
MIB_ABPV : calculee primrest = 0 : "	 repartition de l abat rev  professionnels prestations" ;
MIB_ABVC : calculee primrest = 0 : "	 repartition de l abat rev professionnels vente de marchandise" ;
MIB_ABVP : calculee primrest = 0 : "	 repartition de l abat rev professionnels vente de marchandise" ;
MIB_ABVV : calculee primrest = 0 : "	 repartition de l abat rev professionnels vente de marchandise" ;
MIB_APC : calculee primrest = 0 : "	Abattements prestations de service" ;
MIB_APP : calculee primrest = 0 : "	Abattements prestations de service" ;
MIB_APV : calculee primrest = 0 : "	Abattements prestations de service" ;
MIB_AVC : calculee primrest = 0 : "	abattements vente de marchandise" ;
MIB_AVP : calculee primrest = 0 : "	abattements vente de marchandise" ;
MIB_AVV : calculee primrest = 0 : "	abattements vente de marchandise" ;
MIB_NETCC : calculee primrest = 0 : "BIC  pro - Plus ou moins values a court terme pour dec2" ;
MIB_NETCP : calculee primrest = 0 : "BIC  pro - Plus ou moins values a court terme pour Pac" ;
MIB_NETCT : calculee primrest = 0 : "BIC  pro - Plus ou moins values a court terme du foyer" ;
MIB_NETCV : calculee primrest = 0 : "BIC  pro - Plus ou moins values a court terme pour dec1" ;
MIB_NETNPCT : calculee primrest = 0 : "BIC NON PROF plus ou moins values a court terme du foyer" ;
MIB_NETNPPC : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPPLC : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPPLP : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPPLV : calculee primrest = 0 : "Micro BIC net non pro - Prestations de services - Loc. meublees " ;
MIB_NETNPPP : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPPV : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPVC : calculee primrest = 0 : "activit de vente de marchandises ou assimile NON prof" ;
MIB_NETNPVLC : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPVLP : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPVLV : calculee primrest = 0 : "prestations de services net  non pro" ;
MIB_NETNPVP : calculee primrest = 0 : "activit de vente de marchandises ou assimile NON prof" ;
MIB_NETNPVV : calculee primrest = 0 : "activit de vente de marchandises ou assimile NON prof" ;
MIB_NETPC : calculee primrest = 0 : "prestations de services net pro" ;
MIB_NETPP : calculee primrest = 0 : "prestations de services net pro" ;
MIB_NETPV : calculee primrest = 0 : "prestations de services net pro" ;
MIB_NETVC : calculee primrest = 0 : "activit de vente de marchandises ou assimile" ;
MIB_NETVP : calculee primrest = 0 : "activit de vente de marchandises ou assimile" ;
MIB_NETVV : calculee primrest = 0 : "activit de vente de marchandises ou assimile" ;
MIB_NP1AC : calculee primrest = 0 : "	PV non professionnelles" ;
MIB_NP1AP : calculee primrest = 0 : "	PV non professionnelles" ;
MIB_NP1AV : calculee primrest = 0 : "	PV non professionnelles" ;
MIB_P1AC : calculee primrest = 0 : "	PV professionnelles" ;
MIB_P1AP : calculee primrest = 0 : "	PV professionnelles" ;
MIB_P1AV : calculee primrest = 0 : "	PV professionnelles" ;
MIB_TPRESC : calculee primrest = 0 : "	le total rev prof et non prof prestations de services" ;
MIB_TPRESP : calculee primrest = 0 : "	le total rev prof et non prof prestations de services" ;
MIB_TPRESV : calculee primrest = 0 : "	le total rev prof et non prof prestations de services" ;
MIB_TTC : calculee primrest = 0 : "	Total prof et non prof declares" ;
MIB_TTP : calculee primrest = 0 : "	Total prof et non prof declares" ;
MIB_TTV : calculee primrest = 0 : "	Total prof et non prof declares" ;
MIB_TVENC : calculee primrest = 0 : "	le total rev prof et non prof  activit de vente de march" ;
MIB_TVENP : calculee primrest = 0 : "le total rev prof et non prof  activit de vente de march " ;
MIB_TVENV : calculee primrest = 0 : "	le total rev prof et non prof  activit de vente de march" ;
MICFR : calculee restituee primrest = 0 : "Frais forfaitaires Regime micro foncier" ;
MICFRQ : calculee restituee primrest = 0 : "Frais forfaitaires Regime micro foncier quotient" ;
MICROBNCC : calculee restituee primrest = 0 : "PAS affichage avis micro BNC Conjoint - RNI + PVCT - MVCT" ;
MICROBNCP : calculee restituee primrest = 0 : "PAS affichage avis micro BNC PAC - RNI + PVCT - MVCT" ;
MICROBNCV : calculee restituee primrest = 0 : "PAS affichage avis micro BNC Vous - RNI + PVCT - MVCT" ;
MIN_DEDPR : const=422.00000  ;
MIN_DEDSFORFTS : const=472.00000  ;
MIN_DEMEMPLOI : const=962.00000  ;
MIN_MBIC : const=305.00000  ;
MIN_SPEBNC : const=305.00000  ;
MLOCABC : calculee restituee primrest = 1 : "AVIS Location. non pro, REGIME MICRO, ABATTEMENT: cjt" ;
MLOCABP : calculee restituee primrest = 1 : "AVIS Location non pro., REGIME MICRO, ABATTEMENT: pac" ;
MLOCABV : calculee restituee primrest = 1 : "AVIS Location non pro., REGIME MICRO, ABATTEMENT: VOUS" ;
MLOCDECC : calculee restituee primrest = 1 : "AVIS Location non pro, REGIME MICRO, DECLARES cjt" ;
MLOCDECP : calculee restituee primrest = 1 : "AVIS: Location non pro, REGIME MICRO, DECLARES pac" ;
MLOCDECV : calculee restituee primrest = 1 : "AVIS  Location non pro, REGIME MICRO, DECLARES vous" ;
MLOCNET : calculee restituee primrest = 1 : "AVIS Location non pro, REGIME MICRO, NETS FOYER" ;
MLOCNET1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
MLOCNETC : calculee restituee primrest = 1 : "AVIS Location non pro, REGIME MICRO, NETS cjt" ;
MLOCNETP : calculee restituee primrest = 1 : "AVIS Location non pro, REGIME MICRO, NETS pac" ;
MLOCNETV : calculee restituee primrest = 1 : "AVIS Location non pro, REGIME MICRO, NETS VOUS" ;
MOISAN : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9YU : "Date de depot de la declaration (mois et annee)        " ;
MOISAN2 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias V_MOISAN2 : "Date de notification (Mois et Annee)       " ;
MOISAN_ISF : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 12 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9XU : "IFI : date de depot de la declaration (mois et annee)" ;
MOIS_RAPPEL : saisie penalite primrest = 0 alias V_MOI_RAPPEL : "Champ mois de la date de notification dans un rappel" type DATE_MM ;
MONTNETCS : calculee primrest = 0 : "Prelevement social 1% + penalites TO prelevement social" ;
MONT_RAPPEL : saisie penalite primrest = 0 alias V_MON_RAPPEL : "Champ montant du rappel dans une ligne rappel" ;
MPSOL : calculee restituee primrest = 1 : "Contribution solidarite  7.5 %" ;
MPSOL_A : calculee primrest = 0 base : "correctif : CSG anterieure" ;
MTAP : calculee restituee primrest = 1 : "montant des acomptes provisionnels" ;
MTAPPS : calculee restituee primrest = 1 : "montant des acomptes provisionnels PS" ;
MTRC : const=61.00000  ;
MTRL : const=153.00000  ;
MTRS : const=183.00000  ;
NAB : calculee primrest = 0 : "Nombre abattements personnes agees" ;
NABTEF : calculee primrest = 0 : "Nombre abattements personnes agees tx eff" ;
NABTEFRFR : calculee primrest = 0 : "Nombre abattements personnes agees tx eff" ;
NAPC61 : calculee restituee primrest = 1 : "PS nette inf a 61 sans bloc 3" ;
NAPC820AVIM : calculee restituee primrest = 0 : "Total contribution 8.2" ;
NAPCDIS : calculee restituee primrest = 1 : "Net a payer contribution sociale salariale" ;
NAPCDISAVIM : calculee restituee primrest = 0 : "Total contribution 1% (l12)" ;
NAPCOROLCS : calculee restituee primrest = 0 : "Net a payer (ou a restituer, ou a degrever) correctif CS" ;
NAPCOROLIR : calculee restituee primrest = 0 : "Net a payer (ou a restituer, ou a degrever) correctif IR" ;
NAPCR : calculee restituee primrest = 1 : "Net a payer (CSG + CRDS)" ;
NAPCR61 : calculee restituee primrest = 1 : "PS nette inf a 61 e pour correctif " ;
NAPCR61_A : calculee restituee primrest = 0 base : "napcr61 evt avant" ;
NAPCRB61 : calculee primrest = 0 : "PS nette inf a 61 e" ;
NAPCRBIS : calculee primrest = 0 : "Net a payer (CSG + CRDS)" ;
NAPCRINR : calculee primrest = 0 : "Net a payer (CSG + CRDS) sans totcra" ;
NAPCRP : calculee restituee primrest = 1 : "Net a payer (CSG + CRDS) revenus patrimoine" ;
NAPCRP2 : calculee primrest = 0 : "Net a payer (CSG + CRDS) revenus patrimoine " ;
NAPCRPAVIM : calculee restituee primrest = 0 : "Net a payer (CSG + CRDS)" ;
NAPCRPAVIMB : calculee restituee primrest = 0 : "Net a payer (CSG + CRDS) sans CIMR PS" ;
NAPCRPB : calculee restituee primrest = 1 : "Net a payer (CSG + CRDS) revenus patrimoine sans CIMR PS" ;
NAPCRPIAMD1 : calculee primrest = 0 : "Impot CS apres retrait de l'avantage en impot sur dons " ;
NAPCRTARDIF_A : calculee primrest = 0 base : "nouv cor : sauvegarde NAPCR pour retard" ;
NAPCRTOT : calculee restituee primrest = 0 : "Net a payer total contributions sociales avec  8XK 8YK" ;
NAPCR_P : calculee primrest = 0 base : "net a payer contrib soc. primitif" ;
NAPCS : calculee restituee primrest = 1 : "Net a payer CSG" ;
NAPCSAVIM : calculee restituee primrest = 0 : "Total contribution 1% (l12)" ;
NAPCSAVIMB : calculee primrest = 0 : "Total contribution 1% (l12) sans CIMR" ;
NAPCSB : calculee primrest = 0 : "Net a payer CSG sans CIMR PS" ;
NAPCSG820 : calculee restituee primrest = 1 : "Net a payer contribution sociale salariale" ;
NAPCVN : calculee restituee primrest = 1 : "Net a payer CVNSAL" ;
NAPCVNAVIM : calculee restituee primrest = 0 : "Total contribution 1% (l12)" ;
NAPGLOA : calculee restituee primrest = 1 : "Net a payer contribution titre et action grat. 1TT et 1UT" ;
NAPGLOAVIM : calculee restituee primrest = 0 : "Total contribution 1TT 1UT (l12)" ;
NAPI : calculee primrest = 0 : "Net a payer intermediaire" ;
NAPIFITOT : calculee restituee primrest = 1 : "Net a payer IFI avec penalites et interets de retard" ;
NAPINI : calculee primrest = 0 : "Net a payer intermediaire pour calcul CODINI" ;
NAPIR : calculee primrest = 0 : "NAP IR avant imputation de l'impot provisoire" ;
NAPIR_A : calculee primrest = 0 base : "Impot " ;
NAPPS : calculee restituee primrest = 1 : "Total contribution 1% (l12)" ;
NAPPSOL : calculee restituee primrest = 1 : "Total contribution solidarite 2% " ;
NAPPSOLAVIM : calculee primrest = 0 : "Total contribution PSOL" ;
NAPPSOLAVIMB : calculee primrest = 0 : "Total contribution PSOL sans CIMR PS" ;
NAPPSOLB : calculee primrest = 0 : "Total contribution solidarite 2% sans CIMR" ;
NAPRD : calculee restituee primrest = 1 : "Net a payer CRDS" ;
NAPRDAVIM : calculee restituee primrest = 0 : "Total contribution 1% (l12)" ;
NAPRDAVIMB : calculee primrest = 0 : "Total contribution 1% (l12) sans CIMR PS" ;
NAPRDB : calculee primrest = 0 : "Net a payer CRDS sans CIMR" ;
NAPRSE1 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere (8TQ)" ;
NAPRSE1AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPRSE2 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere (8TV)" ;
NAPRSE2AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPRSE3 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere (8TW)" ;
NAPRSE3AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPRSE4 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere (8TX)" ;
NAPRSE4AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPRSE5 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere (8TR)" ;
NAPRSE5AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPRSE6 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere CASA (8SA 8SC 8TV)" ;
NAPRSE6AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPRSE8 : calculee restituee primrest = 1 : "Net a payer CSG revenus de source etrangere 8TH 8SD" ;
NAPRSE8AVIM : calculee restituee primrest = 0 : "Total contribution avant imputation" ;
NAPSANSPENA : calculee restituee primrest = 1 : "Acomptes provisionnels. NAP sans pena pour calcul plaft avantages fisc" ;
NAPT : calculee restituee primrest = 1 : "Net a payer (ou a restituer, ou a degrever)" ;
NAPTEMP : calculee restituee primrest = 1 : "Net a payer provisoire IR  (ou a restituer, ou a degrever)" ;
NAPTEMPCX : calculee restituee primrest = 0 : "Net a payer provisoire IR  (ou a restituer, ou a degrever) pour CTX" ;
NAPTIR : calculee restituee primrest = 1 : "Net a payer IR sans PS (ou a restituer, ou a degrever)" ;
NAPTIR1 : calculee restituee primrest = 1 : "Net a payer IR sans PS  seuil 61 E  ou restituable" ;
NAPTIR2 : calculee restituee primrest = 1 : "Net a payer IR sans PS (ou a restituer, ou a degrever)" ;
NAPTIR61 : calculee restituee primrest = 1 : "Net a payer IR sans PS (ou a restituer, ou a degrever) seuil 61 E" ;
NAPTIRNET : calculee restituee primrest = 1 : "Solde impot sur le revenu - avis" ;
NAPTIRNET2 : calculee restituee primrest = 1 : "Solde IR pour compensation ACI - documents comptables" ;
NAPTOT : calculee restituee primrest = 0 : "Net a payer total apres correctif - variable creee pour ILIAD" ;
NAPTOTA : calculee primrest = 0 : "Net a payer total apres correctif - anterieur  IR et PS neg ou pos" ;
NAPTOTAIR : calculee primrest = 0 : "Net a payer  apres correctif - anterieur  IR neg ou pos" ;
NAT1 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NAT11 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NAT1BIS : calculee primrest = 0 : "Indicateur de nature d'imposition en cas de 8ZG" ;
NAT21 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NAT70 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NAT71 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NAT81 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NAT91 : calculee primrest = 0 : "Indicateur de nature d'imposition" ;
NATCRP : calculee restituee primrest = 0 : "Indicateur de nature d'imposition CSG RDS PRS" ;
NATIMP : calculee restituee primrest = 1 : "Indicateur de nature d'imposition" ;
NATIMPIFI : calculee restituee primrest = 1 : "Indicateur de nature d'imposition IFI" ;
NATIMPIR : calculee restituee primrest = 1 : "Indicateur de nature d'imposition IR seul" ;
NATIMP_A : calculee primrest = 0 base : "Indicateur de nature d'imposition" ;
NATMAJ : calculee restituee primrest = 1 : "Nature Majo IR avis facture" ;
NATMAJC : calculee restituee primrest = 1 : "Nature Majo CSG avis facture" ;
NATMAJC820 : calculee restituee primrest = 1 : "Nature Majo Cont.Sal. avis facture 8.2" ;
NATMAJC820I : calculee primrest = 0 : "Nature Majo Soc Csal avis facture 8.2" ;
NATMAJCAP : calculee restituee primrest = 0 : "Nature Majo CAP avis facture" ;
NATMAJCAPI : calculee restituee primrest = 0 : "Nature Majo CAP avis facture" ;
NATMAJCDIS : calculee restituee primrest = 1 : "Nature Majo Cont.Sal. avis facture" ;
NATMAJCDISI : calculee primrest = 0 : "Nature Majo Soc Csal avis facture" ;
NATMAJCHR : calculee restituee primrest = 0 : "Nature Majo CHR avis facture" ;
NATMAJCHRI : calculee restituee primrest = 0 : "Nature Majo CHR avis facture" ;
NATMAJCI : calculee primrest = 0 : "Nature Majo CSG avis facture" ;
NATMAJCVN : calculee restituee primrest = 1 : "Nature majo. CVNSAL avis facture" ;
NATMAJCVNI : calculee primrest = 0 : "Nature Majo CVN avis facture" ;
NATMAJGLOA : calculee restituee primrest = 1 : "Nature Majo gains levee options" ;
NATMAJGLOAI : calculee primrest = 0 : "Nature Majo Soc CGLOA avis facture" ;
NATMAJI : calculee primrest = 0 : "Nature Majo IR avis facture" ;
NATMAJIFI : calculee restituee primrest = 1 : "Nature Majo IFI avis facture" ;
NATMAJIFINOR : calculee restituee primrest = 1 : "Nature Majo IFI avis facture" ;
NATMAJIFIRED : calculee restituee primrest = 1 : "Nature Majo IFI avis facture" ;
NATMAJP : calculee restituee primrest = 1 : "Nature Majo PRS avis facture" ;
NATMAJPI : calculee primrest = 0 : "Nature Majo PRS avis facture" ;
NATMAJR : calculee restituee primrest = 1 : "Nature Majo RDS avis facture" ;
NATMAJRI : calculee primrest = 0 : "Nature Majo RDS avis facture" ;
NATMAJRSE1 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. 8TQ (avis CSG)" ;
NATMAJRSE1I : calculee restituee primrest = 0 : "Nature majo rev. source etrang. 8TQ (avis CSG)" ;
NATMAJRSE2 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. 8TV (avis CSG)" ;
NATMAJRSE2I : calculee restituee primrest = 0 : "Nature majo rev. source etrang. 8TV (avis CSG)" ;
NATMAJRSE3 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. 8TW (avis CSG)" ;
NATMAJRSE3I : calculee restituee primrest = 0 : "Nature majo rev. source etrang. 8TW (avis CSG)" ;
NATMAJRSE4 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. 8TX (avis CSG)" ;
NATMAJRSE4I : calculee restituee primrest = 0 : "Nature majo rev. source etrang. 8TX (avis CSG)" ;
NATMAJRSE5 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. 8TR (avis CSG)" ;
NATMAJRSE5I : calculee primrest = 0 : "Nature Majo Soc RSE5 avis facture" ;
NATMAJRSE6 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. CASA 8SA 8SC 8TV (CSG)" ;
NATMAJRSE6I : calculee primrest = 0 : "Nature Majo Soc RSE6 avis facture" ;
NATMAJRSE8 : calculee restituee primrest = 1 : "Nature majo rev. source etrang. 8TH 8SD" ;
NATMAJRSE8I : calculee restituee primrest = 0 : "Nature majo rev. source etrang. 8TH 8SD" ;
NATPENA : calculee primrest = 0 : "Variable code nature penalite servant a l'affichage" ;
NB0BT2MIQAR : calculee primrest = 0 : "nb de quarts de part supplementiare pour les 0BT garde alt +2 enfants" ;
NB0BTMIQAR : calculee primrest = 0 : "nb de quarts de part supplementiare pour les 0BT garde alt 1 2em enf" ;
NB0BTQAR : calculee primrest = 0 : "nb de quarts de part supplementiare pour les 0BT garde alt et exclus" ;
NBACT : saisie revenu classe = 0 priorite = 30 categorie_TL = 30 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7FG : "Frais de comptabilite - Adhesion CGA-AA - Nombre d'exploitations" ;
NBCO : calculee primrest = 0 : "Zone corrective" ;
NBFOTH : calculee restituee primrest = 1 : "Nombre de personnes foyer" type ENTIER ;
NBLO : calculee primrest = 0 : "Zone corrective" ;
NBMIQAR : calculee primrest = 0 : "nb de quarts de part supplementiare pour les couples" ;
NBMOIS : calculee restituee primrest = 0 base : "Nombre de mois : base du taux des interets de retard" ;
NBMOIS2 : calculee restituee primrest = 0 base : "Nombre de mois : base du taux des interets de retard" ;
NBMOIS2ISF : calculee restituee primrest = 0 base : "Nombre de mois : base du taux des interets de retard ISF" ;
NBMOISI : calculee restituee primrest = 0 base : "Nombre de mois : base du taux des interets de retard" ;
NBMOISI2 : calculee restituee primrest = 0 base : "Nombre de mois : base du taux des interets de retard" ;
NBPART : calculee restituee primrest = 1 : "modification du quotient familial" ;
NBPERS : calculee primrest = 0 : "Nombre de personnes foyer total" type ENTIER ;
NBPERSN1 : calculee primrest = 0 : "Nombre de personnes foyer total n-1" type ENTIER ;
NBPOTE : calculee restituee primrest = 1 : "Nombre de personnes foyer" type ENTIER ;
NBPT : calculee restituee primrest = 1 : "Nombre de parts" ;
NBPTPAS : calculee restituee primrest = 0 : "Nombre de parts pour individualisation taux PAS" ;
NBQAR : calculee primrest = 0 : "Nombre de parts relatif a la residence alternee" ;
NBQAR1 : calculee primrest = 0 : "composant de NBQAR(NBP residence alternee)" ;
NBQAR2 : calculee primrest = 0 : "composant de NBQAR(NBP residence alternee)" ;
NBQAR3 : calculee primrest = 0 : "composant de NBQAR(NBP residence alternee)" ;
NBQAR4 : calculee primrest = 0 : "composant de NBQAR(NBP residence alternee)" ;
NBQART : calculee primrest = 0 : "composant de NBQAR: cas case OBT (NBP residence alternee)" ;
NBREMOIS2 : calculee restituee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS222 : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS222ISF : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS222ISF_A : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS222_A : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS2ISF : calculee restituee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS2ISF_A : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOIS2_A : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR" ;
NBREMOISCS2 : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR cont. soc." ;
NBREMOISCS222 : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR cont. soc." ;
NBREMOISCS222_A : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR cont.cs" ;
NBREMOISCS2_A : calculee primrest = 0 base : "NBRE mois servant reellement au calcul des INR cont.cs" ;
NBREMOISISF2 : calculee restituee primrest = 0 base : "NBRE mois servant reellement au calcul des INR ISF" ;
NBREMOISISF222 : calculee restituee primrest = 0 base : "NBRE mois servant reellement au calcul des INR isf" ;
NBYV1 : calculee primrest = 0 : "Nombre de parts NBP" ;
NBYV2 : calculee primrest = 0 : "Nombre de parts situation de famille" ;
NB_TRANCHES_BAR : const=5.00000  ;
NC820BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NC820BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NC820BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NCC : calculee primrest = 0 : "1/2 part pour carte de combattant" ;
NCCO01 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO01_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO02 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO02_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO03 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO03_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO04 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO04_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO05 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO05_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO06 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO06_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO07 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO07_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO08 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO08_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO09 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO09_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO10 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO10_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO11 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO11_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO12 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO12_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO30 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO30_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO31 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO31_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCCO55 : calculee primrest = 0 : "nouv cor : NUNV" ;
NCCO55_D : calculee primrest = 0 base : "nouv cor : NUNV" ;
NCDISBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NCDISBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NCDISBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NCHENF1 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EL : "Pensions alimentaires - 1er enfant majeur impose separement " ;
NCHENF2 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EM : "Pensions alimentaires - 2eme enfant majeur impose separement " ;
NCHENF3 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EN : "Pensions alimentaires - 3eme enfant majeur impose separement " ;
NCHENF4 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6EQ : "Pensions alimentaires - 4eme enfant majeur impose separement " ;
NCHRBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NCHRBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NCHRBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NCOMP : calculee restituee primrest = 1 : "Frais de compta : nombre d'exploitations retenu" ;
NCSBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NCSBASEBIS : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NCSBASEBIS_A : calculee primrest = 0 base : "base evt n-1 avec COx" ;
NCSBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NCSBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NCVNBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NCVNBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NCVNBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NDA : calculee primrest = 0 : "Nombre de personnes ages" ;
NEGIANAF : calculee primrest = 0 : "Minnimu Impot apres imputations non restituables AF a reintegrer" ;
NEGIANTEO : calculee primrest = 0 : "Minnimu Impot apres imputations non restituables AF a reintegrer" ;
NETEXO2RA : calculee primrest = 0 base : "Netexo2RA" ;
NETEXO2RB : calculee primrest = 0 base : "Netexo2RB" ;
NETEXO2RC : calculee primrest = 0 base : "Netexo2RC" ;
NETEXO2RD : calculee primrest = 0 base : "Netexo2RD" ;
NETFRSCSGD : calculee restituee primrest = 1 : "Montant frais PAS CSG impute IR net - DESF" ;
NETFRSCSGIR : calculee restituee primrest = 1 : "Montant frais PAS CSG impute IR net - documents comptables" ;
NETFRSCSGIR3 : calculee restituee primrest = 1 : "Montant frais PAS CSG impute IR net - documents comptables" ;
NETFRSPASD : calculee restituee primrest = 1 : "Montant frais PAS CSG net - DESF" ;
NETFRSPASPS : calculee restituee primrest = 1 : "Montant frais PAS CSG net - documents comptables" ;
NGLOBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NGLOBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NGLOBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NIN : calculee primrest = 0 : "Nombre de parts du aux invalides" ;
NINVENT12 : calculee primrest = 0 : "Plafonnement theorique entreprise cumul" ;
NINVRETDI : calculee primrest = 0 : "Plafonnement HDI theorique" ;
NINVRETDIR : calculee primrest = 0 : "Plafonnement HDI retrocede theorique" ;
NINVRETDJ : calculee primrest = 0 : "Plafonnement HDJ theorique" ;
NINVRETDJR : calculee primrest = 0 : "Plafonnement HDJ retrocede theorique" ;
NINVRETDK : calculee primrest = 0 : "Plafonnement HDK theorique" ;
NINVRETDM : calculee primrest = 0 : "Plafonnement HDM theorique" ;
NINVRETDN : calculee primrest = 0 : "Plafonnement HDN theorique" ;
NINVRETDNR : calculee primrest = 0 : "Plafonnement HDN retrocede theorique" ;
NINVRETDO : calculee primrest = 0 : "Plafonnement HDO theorique" ;
NINVRETDOR : calculee primrest = 0 : "Plafonnement HDO retrocede theorique" ;
NINVRETDP : calculee primrest = 0 : "Plafonnement HDP theorique" ;
NINVRETDR : calculee primrest = 0 : "Plafonnement HDR theorique" ;
NINVRETDS : calculee primrest = 0 : "Plafonnement HDS theorique" ;
NINVRETDSR : calculee primrest = 0 : "Plafonnement HDS retrocede theorique" ;
NINVRETDT : calculee primrest = 0 : "Plafonnement HDT theorique" ;
NINVRETDTR : calculee primrest = 0 : "Plafonnement HDT retrocede theorique" ;
NINVRETDU : calculee primrest = 0 : "Plafonnement HDU theorique" ;
NINVRETDW : calculee primrest = 0 : "Plafonnement HDW theorique" ;
NINVRETEN : calculee primrest = 0 : "Plafonnement HEN theorique" ;
NINVRETENR : calculee primrest = 0 : "Plafonnement HEN retrocede theorique" ;
NINVRETEO : calculee primrest = 0 : "Plafonnement HEO theorique" ;
NINVRETEOR : calculee primrest = 0 : "Plafonnement HEO retrocede theorique" ;
NINVRETEP : calculee primrest = 0 : "Plafonnement HEP theorique" ;
NINVRETER : calculee primrest = 0 : "Plafonnement HER theorique" ;
NINVRETES : calculee primrest = 0 : "Plafonnement HES theorique" ;
NINVRETESR : calculee primrest = 0 : "Plafonnement HES retrocede theorique" ;
NINVRETET : calculee primrest = 0 : "Plafonnement HET theorique" ;
NINVRETETR : calculee primrest = 0 : "Plafonnement HET retrocede theorique" ;
NINVRETEU : calculee primrest = 0 : "Plafonnement HEU theorique" ;
NINVRETEW : calculee primrest = 0 : "Plafonnement HEW theorique" ;
NINVRETFN : calculee primrest = 0 : "Plafonnement HFN theorique" ;
NINVRETFNR : calculee primrest = 0 : "Plafonnement HFN retrocede theorique" ;
NINVRETFO : calculee primrest = 0 : "Plafonnement HFO theorique" ;
NINVRETFOR : calculee primrest = 0 : "Plafonnement HFO retrocede theorique" ;
NINVRETFP : calculee primrest = 0 : "Plafonnement HFP theorique" ;
NINVRETFR : calculee primrest = 0 : "Plafonnement HFR theorique" ;
NINVRETFS : calculee primrest = 0 : "Plafonnement HFS theorique" ;
NINVRETFSR : calculee primrest = 0 : "Plafonnement HFS retrocede theorique" ;
NINVRETFT : calculee primrest = 0 : "Plafonnement HFT theorique" ;
NINVRETFTR : calculee primrest = 0 : "Plafonnement HFT retrocede theorique" ;
NINVRETFU : calculee primrest = 0 : "Plafonnement HFU theorique" ;
NINVRETFW : calculee primrest = 0 : "Plafonnement HFW theorique" ;
NINVRETGS : calculee primrest = 0 : "Plafonnement HGS theorique" ;
NINVRETGSR : calculee primrest = 0 : "Plafonnement HGS retrocede theorique" ;
NINVRETGT : calculee primrest = 0 : "Plafonnement HGT theorique" ;
NINVRETGTR : calculee primrest = 0 : "Plafonnement HGT retrocede theorique" ;
NINVRETGU : calculee primrest = 0 : "Plafonnement HGU theorique" ;
NINVRETGW : calculee primrest = 0 : "Plafonnement HGW theorique" ;
NINVRETHS : calculee primrest = 0 : "Plafonnement HHS theorique" ;
NINVRETHSR : calculee primrest = 0 : "Plafonnement HHS retrocede theorique" ;
NINVRETHT : calculee primrest = 0 : "Plafonnement HHT theorique" ;
NINVRETHTR : calculee primrest = 0 : "Plafonnement HHT retrocede theorique" ;
NINVRETHU : calculee primrest = 0 : "Plafonnement HHU theorique" ;
NINVRETHW : calculee primrest = 0 : "Plafonnement HHW theorique" ;
NINVRETIS : calculee primrest = 0 : "Plafonnement HIS theorique" ;
NINVRETISR : calculee primrest = 0 : "Plafonnement HIS retrocede theorique" ;
NINVRETIT : calculee primrest = 0 : "Plafonnement HIT theorique" ;
NINVRETITR : calculee primrest = 0 : "Plafonnement HIT retrocede theorique" ;
NINVRETIU : calculee primrest = 0 : "Plafonnement HIU theorique" ;
NINVRETIW : calculee primrest = 0 : "Plafonnement HIW theorique" ;
NINVRETOA : calculee primrest = 0 : "Plafonnement HOA theorique" ;
NINVRETOB : calculee primrest = 0 : "Plafonnement 7OB theorique" ;
NINVRETOC : calculee primrest = 0 : "Plafonnement 7OC theorique" ;
NINVRETOD : calculee primrest = 0 : "Plafonnement code HOD theorique" ;
NINVRETOE : calculee primrest = 0 : "Plafonnement code HOE theorique" ;
NINVRETOF : calculee primrest = 0 : "Plafonnement code HOF theorique" ;
NINVRETOG : calculee primrest = 0 : "Plafonnement code HOG theorique" ;
NINVRETOH : calculee primrest = 0 : "Plafonnement 7OH theorique" ;
NINVRETOI : calculee primrest = 0 : "Plafonnement 7OI theorique" ;
NINVRETOJ : calculee primrest = 0 : "Plafonnement 7OJ theorique" ;
NINVRETOK : calculee primrest = 0 : "Plafonnement 7OK theorique" ;
NINVRETOL : calculee primrest = 0 : "Plafonnement 7OL theorique" ;
NINVRETOM : calculee primrest = 0 : "Plafonnement 7OM theorique" ;
NINVRETON : calculee primrest = 0 : "Plafonnement 7ON theorique" ;
NINVRETOO : calculee primrest = 0 : "Plafonnement 7OO theorique" ;
NINVRETOP : calculee primrest = 0 : "Plafonnement 7OP theorique" ;
NINVRETOQ : calculee primrest = 0 : "Plafonnement 7OQ theorique" ;
NINVRETOR : calculee primrest = 0 : "Plafonnement 7OR theorique" ;
NINVRETOS : calculee primrest = 0 : "Plafonnement 7OS theorique" ;
NINVRETOT : calculee primrest = 0 : "Plafonnement 7OT theorique" ;
NINVRETOU : calculee primrest = 0 : "Plafonnement 7OU theorique" ;
NINVRETOV : calculee primrest = 0 : "Plafonnement 7OV theorique" ;
NINVRETOW : calculee primrest = 0 : "Plafonnement 7OW theorique" ;
NINVRETOX : calculee primrest = 0 : "Plafonnement code HOX theorique" ;
NINVRETOY : calculee primrest = 0 : "Plafonnement code HOY theorique" ;
NINVRETOZ : calculee primrest = 0 : "Plafonnement code HOZ theorique" ;
NINVRETQB : calculee primrest = 0 : "Plafonnement 7QB theorique" ;
NINVRETQC : calculee primrest = 0 : "Plafonnement 7QC theorique" ;
NINVRETQD : calculee primrest = 0 : "Plafonnement 7QD theorique" ;
NINVRETQL : calculee primrest = 0 : "Plafonnement 7QL theorique" ;
NINVRETQM : calculee primrest = 0 : "Plafonnement 7QM theorique" ;
NINVRETQT : calculee primrest = 0 : "Plafonnement 7QT theorique" ;
NINVRETUA : calculee primrest = 0 : "Plafonnement code HUA theorique" ;
NINVRETUB : calculee primrest = 0 : "Plafonnement code HUB theorique" ;
NINVRETUC : calculee primrest = 0 : "Plafonnement code HUC theorique" ;
NINVRETUD : calculee primrest = 0 : "Plafonnement code HUD theorique" ;
NINVRETUE : calculee primrest = 0 : "Plafonnement code HUE theorique" ;
NINVRETUF : calculee primrest = 0 : "Plafonnement code HUF theorique" ;
NINVRETUG : calculee primrest = 0 : "Plafonnement code HUG theorique" ;
NINVRETUH : calculee primrest = 0 : "Plafonnement code HUH theorique" ;
NINVRETUI : calculee primrest = 0 : "Plafonnement code HUI theorique" ;
NINVRETUJ : calculee primrest = 0 : "Plafonnement code HUJ theorique" ;
NINVRETUK : calculee primrest = 0 : "Plafonnement code HUK theorique" ;
NINVRETUL : calculee primrest = 0 : "Plafonnement code HUL theorique" ;
NINVRETUM : calculee primrest = 0 : "Plafonnement code HUM theorique" ;
NINVRETUN : calculee primrest = 0 : "Plafonnement code HUN theorique" ;
NINVRETUO : calculee primrest = 0 : "Plafonnement code HUO theorique" ;
NINVRETUP : calculee primrest = 0 : "Plafonnement code HUP theorique" ;
NINVRETUQ : calculee primrest = 0 : "Plafonnement code HUQ theorique" ;
NINVRETUR : calculee primrest = 0 : "Plafonnement code HUR theorique" ;
NINVRETUS : calculee primrest = 0 : "Plafonnement code HUS theorique" ;
NINVRETUT : calculee primrest = 0 : "Plafonnement code HUT theorique" ;
NINVRETUU : calculee primrest = 0 : "Plafonnement code HUU theorique" ;
NINVRETVA : calculee primrest = 0 : "Plafonnement code HVA theorique" ;
NINVRETVB : calculee primrest = 0 : "Plafonnement code HVB theorique" ;
NINVRETVC : calculee primrest = 0 : "Plafonnement code HVC theorique" ;
NINVRETVD : calculee primrest = 0 : "Plafonnement code HVD theorique" ;
NINVRETVE : calculee primrest = 0 : "Plafonnement code HVE theorique" ;
NINVRETVF : calculee primrest = 0 : "Plafonnement code HVF theorique" ;
NINVRETVG : calculee primrest = 0 : "Plafonnement code HVG theorique" ;
NINVRETVH : calculee primrest = 0 : "Plafonnement code HVH theorique" ;
NINVRETVI : calculee primrest = 0 : "Plafonnement code HVI theorique" ;
NINVRETVJ : calculee primrest = 0 : "Plafonnement code HVJ theorique" ;
NINVRETVK : calculee primrest = 0 : "Plafonnement code HVK theorique" ;
NINVRETVL : calculee primrest = 0 : "Plafonnement code HVL theorique" ;
NINVRETXQ : calculee primrest = 0 : "Plafonnement HXQ theorique" ;
NINVRETXQR : calculee primrest = 0 : "Plafonnement HXQ retrocede theorique" ;
NINVRETXR : calculee primrest = 0 : "Plafonnement HXR theorique" ;
NINVRETXRR : calculee primrest = 0 : "Plafonnement HXR retrocede theorique" ;
NINVRETXS : calculee primrest = 0 : "Plafonnement HXS theorique" ;
NINVRETXSR : calculee primrest = 0 : "Plafonnement HXS retrocede theorique" ;
NINVRETXT : calculee primrest = 0 : "Plafonnement HXT theorique" ;
NINVRETXTR : calculee primrest = 0 : "Plafonnement HXT retrocede theorique" ;
NINVRETXU : calculee primrest = 0 : "Plafonnement HXU theorique" ;
NINVRETXUR : calculee primrest = 0 : "Plafonnement HXU retrocede theorique" ;
NINVRETYA : calculee primrest = 0 : "Plafonnement HYA theorique" ;
NINVRETYAR : calculee primrest = 0 : "Plafonnement HYA retrocede theorique" ;
NINVRETYB : calculee primrest = 0 : "Plafonnement HYB theorique" ;
NINVRETYBR : calculee primrest = 0 : "Plafonnement HYB retrocede theorique" ;
NINVRETYC : calculee primrest = 0 : "Plafonnement HYC theorique" ;
NINVRETYCR : calculee primrest = 0 : "Plafonnement HYC retrocede theorique" ;
NINVRETYD : calculee primrest = 0 : "Plafonnement HYD theorique" ;
NINVRETYDR : calculee primrest = 0 : "Plafonnement HYD retrocede theorique" ;
NINVRETYE : calculee primrest = 0 : "Plafonnement HYE theorique" ;
NINVRETYER : calculee primrest = 0 : "Plafonnement HYE retrocede theorique" ;
NINVRETYF : calculee primrest = 0 : "Plafonnement HYF theorique" ;
NINVRETYFR : calculee primrest = 0 : "Plafonnement HYF retrocede theorique" ;
NINVRETYG : calculee primrest = 0 : "Plafonnement HYG theorique" ;
NINVRETYGR : calculee primrest = 0 : "Plafonnement HYG retrocede theorique" ;
NIRNIN : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NIRNINBIS : calculee primrest = 0 : "IMPOT BASE DES INR partie negative 2" ;
NIRNINBIS_A : calculee primrest = 0 base : "base evt n-1 avec COx" ;
NIRNIN_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NIRNIN_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NMAJ1 : calculee restituee primrest = 1 : "montant majorations de nature 1 IR (avis)" ;
NMAJ3 : calculee restituee primrest = 1 : "montant majorations de nature 3 IR (avis)" ;
NMAJ4 : calculee restituee primrest = 1 : "montant majorations de nature 4 IR (avis)" ;
NMAJC1 : calculee restituee primrest = 1 : "montant majorations de nature 1 pour la CSG" ;
NMAJC4 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour la CSG" ;
NMAJC8201 : calculee restituee primrest = 1 : "montant majorations de nature 1 pour la Cont. soc sal. 8.2" ;
NMAJC8204 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour la Cont. soc sal. 8.2" ;
NMAJCDIS1 : calculee restituee primrest = 1 : "montant majorations de nature 1 pour la Cont. soc sal." ;
NMAJCDIS4 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour la Cont. soc sal." ;
NMAJCHR1 : calculee restituee primrest = 1 : "montant majorations de nature 1 Contrib Haut rev (avis)" ;
NMAJCHR3 : calculee restituee primrest = 1 : "montant majorations de nature 3 Contrib Haut rev (avis)" ;
NMAJCHR4 : calculee restituee primrest = 1 : "montant majorations de nature 4 Contrib Haut rev (avis)" ;
NMAJCVN1 : calculee restituee primrest = 1 : "montant majorations de nature 1 pour la CVNSAL" ;
NMAJCVN4 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour le CVNSAL" ;
NMAJGLO1 : calculee restituee primrest = 1 : "montant majorations de nature 1 1TT 1UT  (avis)" ;
NMAJGLO4 : calculee restituee primrest = 1 : "montant majorations de nature 4 1TT 1UT  (avis)" ;
NMAJIFI1 : calculee restituee primrest = 1 : "montant majorations de nature 1 IFI (avis)" ;
NMAJIFI4 : calculee restituee primrest = 0 : "prise en compte des majorations de nature 4 (codes penalite 03,04,05)" ;
NMAJISF1 : calculee restituee primrest = 0 : "montant majorations de nature 1 ISF (avis)" ;
NMAJISF1BIS : calculee primrest = 0 : "montant majorations de nature 1 ISF (avis)" ;
NMAJP4 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour le PRS" ;
NMAJPCAP1 : calculee restituee primrest = 1 : "montant majorations de nature 1 PCAPTAX (avis)" ;
NMAJPCAP3 : calculee restituee primrest = 1 : "montant majorations de nature 3 PCAPTAX (avis)" ;
NMAJPCAP4 : calculee restituee primrest = 1 : "montant majorations de nature 4 PCAPTAX (avis)" ;
NMAJPSOL1 : calculee restituee primrest = 1 : "montant majorations de nature 1 pour le PS" ;
NMAJPSOL4 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour le Ps solidarite" ;
NMAJR1 : calculee restituee primrest = 1 : "montant majorations de nature 1 pour la CRDS" ;
NMAJR4 : calculee restituee primrest = 1 : "montant majorations de nature 4 pour la RDS" ;
NMAJRSE11 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. 8TQ" ;
NMAJRSE14 : calculee restituee primrest = 1 : "montant majorations de nature 4 rev. source etrang.(avis)" ;
NMAJRSE1TOT : calculee restituee primrest = 1 : "Montant total des majo de nature 1 pour RSE1,RSE2,RSE,RSE4 et RSE5" ;
NMAJRSE21 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. 8TV" ;
NMAJRSE24 : calculee restituee primrest = 1 : "montant majorations de nature 4  rev. source etrang(avis)" ;
NMAJRSE31 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. 8TW" ;
NMAJRSE34 : calculee restituee primrest = 1 : "montant majorations de nature 4 rev. source etrang (avis)" ;
NMAJRSE41 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. 8TX" ;
NMAJRSE44 : calculee restituee primrest = 1 : "montant majorations de nature 4  rev. source etrang (avis)" ;
NMAJRSE4TOT : calculee restituee primrest = 1 : "Montant total des majo de nature 4 pour RSE1,RSE2,RSE,RSE4 et RSE5" ;
NMAJRSE51 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. 8TR" ;
NMAJRSE54 : calculee restituee primrest = 1 : "montant majorations de nature 4  rev. source etrang (avis)" ;
NMAJRSE61 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. CASA" ;
NMAJRSE64 : calculee restituee primrest = 1 : "montant majorations de nature 4  rev. source etrang (avis)" ;
NMAJRSE81 : calculee restituee primrest = 1 : "Montant majorations de nature 1 rev. source etrang. 8TH 8SD" ;
NMAJRSE84 : calculee restituee primrest = 1 : "Montant majorations de nature 4 rev. source etrang. 8TH 8 SD" ;
NMAJTAXA1 : calculee restituee primrest = 1 : "montant majorations de nature 1 IR (avis)" ;
NMAJTAXA3 : calculee restituee primrest = 1 : "montant majorations de nature 3 IR (avis)" ;
NMAJTAXA4 : calculee restituee primrest = 1 : "montant majorations de nature 4 IR (avis)" ;
NNRI2 : calculee primrest = 0 : "Reductions impot lot 2" ;
NOCEPC : calculee restituee primrest = 1 : "Rev non comm non pro conjoint" ;
NOCEPIMP : calculee primrest = 0 : "REV NON COMMERCIAUX NON PROF NETS IMPOSABLE MAJORES" ;
NOCEPIMP5NS : calculee primrest = 0 : " BNC  " ;
NOCEPIMP5OS : calculee primrest = 0 : " BNC  " ;
NOCEPIMP5SN : calculee primrest = 0 : " BNC  " ;
NOCEPIMP5XX : calculee primrest = 0 : " BNC  " ;
NOCEPIMP5YX : calculee primrest = 0 : " BNC  " ;
NOCEPIMP5ZX : calculee primrest = 0 : " BNC  " ;
NOCEPIMPC : calculee restituee primrest = 1 : "REV NON COMM NON PROF NETS IMPOSABLE MAJORES conj" ;
NOCEPIMPN : calculee restituee primrest = 0 : " BNC  non pro HQ pour avis" ;
NOCEPIMPNC : calculee primrest = 0 : " BNC  " ;
NOCEPIMPNP : calculee primrest = 0 : " BNC  " ;
NOCEPIMPNV : calculee primrest = 0 : " BNC  " ;
NOCEPIMPP : calculee restituee primrest = 1 : "REV NON COMM NON PROF NETS IMPOSABLE MAJORES PAC" ;
NOCEPIMPQ : calculee restituee primrest = 1 : "BNC non pro au quotient total" ;
NOCEPIMPQC : calculee restituee primrest = 0 : "BNC non pro au quotient - dec 2" ;
NOCEPIMPQP : calculee restituee primrest = 0 : "BNC non pro au quotient - PAC" ;
NOCEPIMPQREP : calculee primrest = 0 : "BNC non pro au quotient total report" ;
NOCEPIMPQV : calculee restituee primrest = 0 : "BNC non pro au quotient - dec 1" ;
NOCEPIMPV : calculee restituee primrest = 1 : "REV NON COMM NON PROF NETS IMPOSABLE MAJORES vous" ;
NOCEPP : calculee restituee primrest = 1 : "Rev non comm non pro pac" ;
NOCEPV : calculee restituee primrest = 1 : "Rev non comm non pro vous" ;
NOMBRE0 : const=0.00000  ;
NOMBRE00 : const=0.00000  ;
NOMBRE01 : const=1.00000  ;
NOMBRE02 : const=2.00000  ;
NOMBRE03 : const=3.00000  ;
NOMBRE04 : const=4.00000  ;
NOMBRE05 : const=5.00000  ;
NOMBRE06 : const=6.00000  ;
NOMBRE07 : const=7.00000  ;
NOMBRE08 : const=8.00000  ;
NOMBRE09 : const=9.00000  ;
NOMBRE1 : const=1.00000  ;
NOMBRE10 : const=10.00000  ;
NOMBRE11 : const=11.00000  ;
NOMBRE12 : const=12.00000  ;
NOMBRE13 : const=13.00000  ;
NOMBRE14 : const=14.00000  ;
NOMBRE15 : const=15.00000  ;
NOMBRE16 : const=16.00000  ;
NOMBRE17 : const=17.00000  ;
NOMBRE18 : const=18.00000  ;
NOMBRE19 : const=19.00000  ;
NOMBRE2 : const=2.00000  ;
NOMBRE20 : const=20.00000  ;
NOMBRE21 : const=21.00000  ;
NOMBRE22 : const=22.00000  ;
NOMBRE23 : const=23.00000  ;
NOMBRE24 : const=24.00000  ;
NOMBRE25 : const=25.00000  ;
NOMBRE26 : const=26.00000  ;
NOMBRE27 : const=27.00000  ;
NOMBRE28 : const=28.00000  ;
NOMBRE29 : const=29.00000  ;
NOMBRE3 : const=3.00000  ;
NOMBRE30 : const=30.00000  ;
NOMBRE31 : const=31.00000  ;
NOMBRE32 : const=32.00000  ;
NOMBRE33 : const=33.00000  ;
NOMBRE34 : const=34.00000  ;
NOMBRE35 : const=35.00000  ;
NOMBRE36 : const=36.00000  ;
NOMBRE37 : const=37.00000  ;
NOMBRE38 : const=38.00000  ;
NOMBRE39 : const=39.00000  ;
NOMBRE4 : const=4.00000  ;
NOMBRE40 : const=40.00000  ;
NOMBRE41 : const=41.00000  ;
NOMBRE42 : const=42.00000  ;
NOMBRE43 : const=43.00000  ;
NOMBRE44 : const=44.00000  ;
NOMBRE45 : const=45.00000  ;
NOMBRE46 : const=46.00000  ;
NOMBRE47 : const=47.00000  ;
NOMBRE48 : const=48.00000  ;
NOMBRE49 : const=49.00000  ;
NOMBRE5 : const=5.00000  ;
NOMBRE50 : const=50.00000  ;
NOMBRE51 : const=51.00000  ;
NOMBRE52 : const=52.00000  ;
NOMBRE53 : const=53.00000  ;
NOMBRE54 : const=54.00000  ;
NOMBRE55 : const=55.00000  ;
NOMBRE56 : const=56.00000  ;
NOMBRE57 : const=57.00000  ;
NOMBRE58 : const=58.00000  ;
NOMBRE59 : const=59.00000  ;
NOMBRE6 : const=6.00000  ;
NOMBRE60 : const=60.00000  ;
NOMBRE61 : const=61.00000  ;
NOMBRE62 : const=62.00000  ;
NOMBRE63 : const=63.00000  ;
NOMBRE64 : const=64.00000  ;
NOMBRE65 : const=65.00000  ;
NOMBRE66 : const=66.00000  ;
NOMBRE67 : const=67.00000  ;
NOMBRE68 : const=68.00000  ;
NOMBRE69 : const=69.00000  ;
NOMBRE7 : const=7.00000  ;
NOMBRE70 : const=70.00000  ;
NOMBRE71 : const=71.00000  ;
NOMBRE72 : const=72.00000  ;
NOMBRE73 : const=73.00000  ;
NOMBRE74 : const=74.00000  ;
NOMBRE75 : const=75.00000  ;
NOMBRE76 : const=76.00000  ;
NOMBRE77 : const=77.00000  ;
NOMBRE78 : const=78.00000  ;
NOMBRE79 : const=79.00000  ;
NOMBRE8 : const=8.00000  ;
NOMBRE80 : const=80.00000  ;
NOMBRE81 : const=81.00000  ;
NOMBRE82 : const=82.00000  ;
NOMBRE83 : const=83.00000  ;
NOMBRE84 : const=84.00000  ;
NOMBRE85 : const=85.00000  ;
NOMBRE86 : const=86.00000  ;
NOMBRE87 : const=87.00000  ;
NOMBRE88 : const=88.00000  ;
NOMBRE89 : const=89.00000  ;
NOMBRE9 : const=9.00000  ;
NOMBRE90 : const=90.00000  ;
NOMBRE91 : const=91.00000  ;
NOMBRE92 : const=92.00000  ;
NOMBRE93 : const=93.00000  ;
NOMBRE94 : const=94.00000  ;
NOMBRE95 : const=95.00000  ;
NOMBRE96 : const=96.00000  ;
NOMBRE97 : const=97.00000  ;
NOMBRE98 : const=98.00000  ;
NOMBRE99 : const=99.00000  ;
NONLIGPS : calculee restituee primrest = 1 : "Indicateur pas de prelevements sociaux" ;
NONMER : calculee restituee primrest = 1 : "Montant non remis en recouvrement" ;
NONMERIR : calculee restituee primrest = 1 : "Montant non mis en recouvrement origine IR" ;
NONMERPS : calculee restituee primrest = 1 : "Montant non mis en recouvrement origine PS" ;
NONREST : calculee restituee primrest = 1 : "Cumul de la restitution anterieurement calculee inf a 8 euro" ;
NONRESTIR : calculee restituee primrest = 1 : "Montant non restitue origine IR" ;
NONRESTPS : calculee restituee primrest = 1 : "Montant non restitue origine PS" ;
NOPENA_RESTIT : calculee restituee primrest = 0 : " var intermediaire pour calcul SUPIR sur strate sans reprise restit." ;
NPA : calculee primrest = 0 : "Nombre de parts du aux personnes a charge" ;
NPCAPBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NPCAPBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NPCAPBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NPLOCC : calculee primrest = 0 : "loctation meublee non pro hors cga conjoint" ;
NPLOCCGAC : calculee primrest = 0 : "loctation meublee non pro sous cga conjoint" ;
NPLOCCGANSC : calculee primrest = 0 : "loctation meublee non pro  cga non soumise prel soc" ;
NPLOCCGANSP : calculee primrest = 0 : "loctation meublee non pro  cga non soumise prel soc" ;
NPLOCCGANSV : calculee primrest = 0 : "loctation meublee non pro  cga non soumise prel soc" ;
NPLOCCGAPAC : calculee primrest = 0 : "loctation meublee non pro sous cga PAC" ;
NPLOCCGASC : calculee primrest = 0 : "loctation meublee non pro  cga " ;
NPLOCCGASP : calculee primrest = 0 : "loctation meublee non pro  cga " ;
NPLOCCGASSC : calculee primrest = 0 : "loctation meublee non pro sous cga conjoint art 1731" ;
NPLOCCGASSPAC : calculee primrest = 0 : "loctation meublee non pro sous cga pac art 1731" ;
NPLOCCGASSV : calculee primrest = 0 : "loctation meublee non pro sous cga vous art 1731" ;
NPLOCCGASV : calculee primrest = 0 : "loctation meublee non pro  cga vous" ;
NPLOCCGAV : calculee primrest = 0 : "loctation meublee non pro sous cga vous" ;
NPLOCNETBIS : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
NPLOCNETBIS1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
NPLOCNETC : calculee restituee primrest = 1 : "loctation meublee non pro sous et hors CGA conjoint" ;
NPLOCNETC1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
NPLOCNETDFANTBIS : calculee primrest = 0 : "loctation meublee non pro total foyer hors def. anterieur" ;
NPLOCNETF : calculee restituee primrest = 1 : "loctation meublee non pro total foyer" ;
NPLOCNETF1 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF10 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF2 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF3 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF4 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF5 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF6 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF7 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF8 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETF9 : calculee primrest = 0 : "loctation meublee non pro total foyer" ;
NPLOCNETFHDEFANT : calculee primrest = 0 : "loctation meublee non pro total foyer hors def. anterieur" ;
NPLOCNETF_P : calculee primrest = 0 base : "Rev bnc" ;
NPLOCNETPAC : calculee restituee primrest = 1 : "loctation meublee non pro sous et hors CGA PAC" ;
NPLOCNETPAC1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
NPLOCNETSC : calculee primrest = 0 : "locations meublees non pro soumises aux PS apres deficit ant. (dec2)" ;
NPLOCNETSF : calculee restituee primrest = 0 : "loc. meublee non pro soumise aux prel. sociaux apres def. ant. (foyer)" ;
NPLOCNETSP : calculee primrest = 0 : "locations meublees non pro soumises aux PS apres deficit ant. (PAC)" ;
NPLOCNETSV : calculee primrest = 0 : "locations meublees non pro soumises aux PS apres deficit ant. (dec1)" ;
NPLOCNETTSC : calculee restituee primrest = 0 : "loc. meublee non pro sous et hors CGA calcul conjoint soumis prel" ;
NPLOCNETTSF : calculee primrest = 0 : "loc. meublees non pro soumises aux prel. sociaux avant def ant (foyer)" ;
NPLOCNETTSP : calculee restituee primrest = 0 : "loc. meublee non pro sous et hors CGA calcul  soumis prel" ;
NPLOCNETTSV : calculee restituee primrest = 0 : "loc. meublee non pro sous et hors CGA calcul  soumis prel" ;
NPLOCNETV : calculee restituee primrest = 1 : "loctation meublee non pro sous et hors CGA vous" ;
NPLOCNETV1731 : calculee restituee primrest = 0 base : "Variable  pr affichage 1731" ;
NPLOCNSC : calculee primrest = 0 : "loctation meublee non pro  hors cga non soumise prel soc" ;
NPLOCNSP : calculee primrest = 0 : "loctation meublee non pro  hors cga non soumise prel soc" ;
NPLOCNSV : calculee primrest = 0 : "loctation meublee non pro  hors cga non soumise prel soc" ;
NPLOCPAC : calculee primrest = 0 : "loctation meublee non pro hors cga PAC" ;
NPLOCSC : calculee primrest = 0 : "loc. meublee non pro  hors cga soumise prel soc" ;
NPLOCSP : calculee primrest = 0 : "loc. meublee non pro  hors cga soumise prel soc" ;
NPLOCSSC : calculee primrest = 0 : "loctation meublee non pro hors cga  art 1731bis" ;
NPLOCSSPAC : calculee primrest = 0 : "loctation meublee non pro hors cga  art 1731bis" ;
NPLOCSSV : calculee primrest = 0 : "loctation meublee non pro hors cga vous art 1731bis" ;
NPLOCSV : calculee primrest = 0 : "loc. meublee non pro  hors cga soumise prel soc" ;
NPLOCV : calculee primrest = 0 : "loctation meublee non pro hors cga vous" ;
NPS : calculee primrest = 0 : "1/2 part supplementaire pour personnes seules avec personnes a charge" ;
NPSOLBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NPSOLBASEBIS : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NPSOLBASEBIS_A : calculee primrest = 0 base : "base evt n-1 avec COx" ;
NPSOLBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NPSOLBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRBASE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8ZO : "Base imposable apres depart a l'etranger (non residents)" ;
NRDBASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRDBASEBIS : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRDBASEBIS_A : calculee primrest = 0 base : "base evt n-1 avec COx" ;
NRDBASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRDBASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRDOMSOC1 : calculee primrest = 0 : "Investissements outre mer logement social - report 2009 - reduction" ;
NRINET : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8ZI : "Impot net apres depart a l'etranger (non residents)" ;
NRLOGSOC : calculee primrest = 0 : "Investissements outre mer logement social - reduction" ;
NRSE1BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE1BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE1BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRSE2BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE2BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE2BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRSE3BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE3BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE3BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRSE4BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE4BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE4BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRSE5BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE5BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE5BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRSE6BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE6BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE6BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NRSE8BASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NRSE8BASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NRSE8BASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NSA : calculee primrest = 0 : "1/2 part supplementaire correspondant au plafond de 6100F" ;
NSA2 : calculee primrest = 0 : "1/2 part supplementaire correspondant au plafond de 6100F" ;
NSM : calculee primrest = 0 : "Nombre de parts du a la situation matrimoniale" ;
NSP : calculee primrest = 0 : "Nombre de parts du a diverses situations particulieres" ;
NTAXABASE : calculee primrest = 0 : "IMPOT BASE DES INR partie negative" ;
NTAXABASE_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
NTAXABASE_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
NUMBA : calculee restituee primrest = 0 : "Calcul du taux - Numerateur B a - SIMULATEUR " ;
NUMBADEC1 : calculee restituee primrest = 0 : "Ts, pesions, rentes, gerants et associes DEC1 - SIMULATEUR " ;
NUMBADEC2 : calculee restituee primrest = 0 : "Ts, pesions, rentes, gerants et associes DEC2 - SIMULATEUR " ;
NUMBAPAC : calculee restituee primrest = 0 : "Ts, pesions, rentes, gerants et associes PAC - SIMULATEUR " ;
NUM_CAP_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la TL en prelevement liberatoire" ;
NUM_CDIS_TL : calculee restituee primrest = 0 : "nouv cor : numerateur pour calculer la CDIS en TL" ;
NUM_CHR_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la TL en contribution hauts revenus" ;
NUM_CS_TL : calculee restituee primrest = 0 : " nouv cor:numerateur pour calculer la TL en CS" ;
NUM_CVN_TL : calculee restituee primrest = 0 : "Numerateur pour calculer CVN en TL" ;
NUM_GLO_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la GLO en TL" ;
NUM_IR_TL : calculee restituee primrest = 0 : " nouv cor:numerateur pour calculer la TL en IR " ;
NUM_MCSG820_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la TL en MCSG820" ;
NUM_PATNET_TL : calculee restituee primrest = 0 : "Numerateur pour IFI en TL" ;
NUM_PSOL_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la TL en PSOL" ;
NUM_PS_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la TL en PRS" ;
NUM_RAPPEL : saisie penalite primrest = 0 alias V_NUM_RAPPEL : "Champ numero rappel dans une ligne rappel" ;
NUM_RD_TL : calculee restituee primrest = 0 : "Numerateur pour calculer la TL en RDS" ;
NUM_RSE1_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres (8TQ) en TL" ;
NUM_RSE2_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres (8TV) en TL" ;
NUM_RSE3_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres (8TW) en TL" ;
NUM_RSE4_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres (8TX) en TL" ;
NUM_RSE5_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres (8TR) en TL" ;
NUM_RSE6_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres en TL" ;
NUM_RSE8_TL : calculee restituee primrest = 0 : "Numerateur pour les revenus de sources etrangeres en TL" ;
NUM_TAXAGA_TL : calculee restituee primrest = 0 : "nouv cor : numerateur pour calculer la TAXAGA en CRL" ;
NUPROPT : calculee restituee primrest = 1 : "Grosses reparations " type REEL ;
NUREPAR : calculee restituee primrest = 1 : "Deduction grosses reparations nus-proprietaires" ;
NUREPARTEF : calculee primrest = 0 : "Deduction grosses reparations nus-proprietaires tx eff" ;
NUREPARTEFRFR : calculee primrest = 0 : "Deduction grosses reparations nus-proprietaires tx eff" ;
NUTOT : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES DE L'EXERCICE" ;
NUTOT01 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 01" ;
NUTOT01_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 01" ;
NUTOT02 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 02" ;
NUTOT02_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 02" ;
NUTOT03 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 03" ;
NUTOT03_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 03" ;
NUTOT04 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 04" ;
NUTOT04_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 04" ;
NUTOT05 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 05" ;
NUTOT05_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 05" ;
NUTOT06 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 06" ;
NUTOT06_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 06" ;
NUTOT07 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT07_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT08 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT08_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT09 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT09_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT10 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT10_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT11 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT11_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT12 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT12_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT30 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 30 (8WW)" ;
NUTOT30_D : calculee primrest = 0 base : "Correctif  TOTAL DES RAPPELS UTILES POUR LE CODE MAJO 30 (8WW)" ;
NUTOT31 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT31_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NUTOT55 : calculee primrest = 0 : "nouv cor = NUNV" ;
NUTOT55_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAA55 : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias AG55 : "nouv cor = Rappels annies antirieures par classe BA et pour code 01" ;
NVBAD02 : calculee primrest = 0 : "Rappels utiles reportables par classe BA et pour code 02" ;
NVBAD02_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe BA et pour code 02" ;
NVBAD03 : calculee primrest = 0 : "Rappels utiles reportables par classe BA et pour code 03" ;
NVBAD03_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe BA et pour code 03" ;
NVBAD04 : calculee primrest = 0 : "Rappels utiles reportables par classe BA et pour code 04" ;
NVBAD04_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe BA et pour code 04" ;
NVBAD05 : calculee primrest = 0 : "Rappels utiles reportables par classe BA et pour code 05" ;
NVBAD05_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe BA et pour code 05" ;
NVBAD06 : calculee primrest = 0 : "Rappels utiles reportables par classe BA et pour code 06" ;
NVBAD06_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe BA et pour code 06" ;
NVBAD07 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD07_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD08 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD08_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD09 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD09_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD10 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD10_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD11 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD11_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD12 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD12_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD30 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD30_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD31 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD31_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVBAD55 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVBAD55_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD02 : calculee primrest = 0 : "Rappels utiles reportables par classe CO et pour code 02" ;
NVCOD02_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe CO et pour code 02" ;
NVCOD03 : calculee primrest = 0 : "Rappels utiles reportables par classe CO et pour code 03" ;
NVCOD03_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe CO et pour code 03" ;
NVCOD04 : calculee primrest = 0 : "Rappels utiles reportables par classe CO et pour code 04" ;
NVCOD04_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe CO et pour code 04" ;
NVCOD05 : calculee primrest = 0 : "Rappels utiles reportables par classe CO et pour code 05" ;
NVCOD05_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe CO et pour code 05" ;
NVCOD06 : calculee primrest = 0 : "Rappels utiles reportables par classe CO et pour code 06" ;
NVCOD06_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe CO et pour code 06" ;
NVCOD07 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD07_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD08 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD08_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD09 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD09_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD10 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD10_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD11 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD11_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD12 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD12_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD30 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD30_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD31 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD31_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVCOD55 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVCOD55_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOA55 : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias LO55 : "nouv cor = Rappels annies antirieures par classe LO et pour code 01" ;
NVLOD02 : calculee primrest = 0 : "Rappels utiles reportables par classe LO et pour code 02" ;
NVLOD02_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD03 : calculee primrest = 0 : "Rappels utiles reportables par classe LO et pour code 03" ;
NVLOD03_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe LO et pour code 03" ;
NVLOD04 : calculee primrest = 0 : "Rappels utiles reportables par classe LO et pour code 04" ;
NVLOD04_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe LO et pour code 04" ;
NVLOD05 : calculee primrest = 0 : "Rappels utiles reportables par classe LO et pour code 05" ;
NVLOD05_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe LO et pour code 05" ;
NVLOD06 : calculee primrest = 0 : "Rappels utiles reportables par classe LO et pour code 06" ;
NVLOD06_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe LO et pour code 06" ;
NVLOD07 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD07_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD08 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD08_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD09 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD09_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD10 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD10_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD11 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD11_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD12 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD12_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD30 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD30_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD31 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD31_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVLOD55 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVLOD55_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCA55 : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NC55 : "nouv cor = Rappels annies antirieures par classe NC et pour code 01" ;
NVNCD02 : calculee primrest = 0 : "Rappels utiles reportables par classe NC et pour code 02" ;
NVNCD02_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD03 : calculee primrest = 0 : "Rappels utiles reportables par classe NC et pour code 03" ;
NVNCD03_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe NC et pour code 03" ;
NVNCD04 : calculee primrest = 0 : "Rappels utiles reportables par classe NC et pour code 04" ;
NVNCD04_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe NC et pour code 04" ;
NVNCD05 : calculee primrest = 0 : "Rappels utiles reportables par classe NC et pour code 05" ;
NVNCD05_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe NC et pour code 05" ;
NVNCD06 : calculee primrest = 0 : "Rappels utiles reportables par classe NC et pour code 06" ;
NVNCD06_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe NC et pour code 06" ;
NVNCD07 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD07_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD08 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD08_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD09 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD09_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD10 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD10_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD11 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD11_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD12 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD12_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD30 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD30_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD31 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD31_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVNCD55 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVNCD55_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFA55 : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias RF55 : "nouv cor = Rappels annies antirieures par classe RF et pour code 01" ;
NVRFD02 : calculee primrest = 0 : "Rappels utiles reportables par classe RF et pour code 02" ;
NVRFD02_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe RF et pour code 02" ;
NVRFD03 : calculee primrest = 0 : "Rappels utiles reportables par classe RF et pour code 03" ;
NVRFD03_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe RF et pour code 03" ;
NVRFD04 : calculee primrest = 0 : "Rappels utiles reportables par classe RF et pour code 04" ;
NVRFD04_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe RF et pour code 04" ;
NVRFD05 : calculee primrest = 0 : "Rappels utiles reportables par classe RF et pour code 05" ;
NVRFD05_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe RF et pour code 05" ;
NVRFD06 : calculee primrest = 0 : "Rappels utiles reportables par classe RF et pour code 06" ;
NVRFD06_D : calculee primrest = 0 base : "Correctif: Rappels utiles reportables par classe RF et pour code 06" ;
NVRFD07 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD07_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD08 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD08_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD09 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD09_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD10 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD10_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD11 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD11_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD12 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD12_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD30 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD30_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD31 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD31_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
NVRFD55 : calculee primrest = 0 : "nouv cor = NUNV" ;
NVRFD55_D : calculee primrest = 0 base : "nouv cor = NUNV" ;
OCEDIMP : calculee restituee primrest = 0 : "imposition totale du traitement correctif" ;
OPTPLAF15 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias HQA : "Option pour le plafonnement en % du revenu : case a cocher" type BOOLEEN ;
P10MINSC : calculee primrest = 0 : "deductions hors droits d'auteur plafonnees pour le PERP" ;
P10MINSP : calculee primrest = 0 : "deductions hors droits d'auteur plafonnees pour le PERP" ;
P10MINSV : calculee primrest = 0 : "deductions hors droits d'auteur plafonnees pour le PERP" ;
P2GE : calculee primrest = 0 : "plafond des red d impot gros equipement 2eme periode" ;
P2GEWL : calculee primrest = 0 : "plafond des red d impot gros equipement specifique 7WL" ;
PAAP : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GU : "Autres pensions alimentaires " ;
PAAV : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 6GP : "Pensions alimentaires - decision de justice avant le 01/01/2006" ;
PAC : calculee primrest = 0 : "Nombre de personnes a charge" ;
PALI1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1CO : "Pensions alimentaires percues - PAC 1" ;
PALI2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1DO : "Pensions alimentaires percues - PAC 2" type REEL ;
PALI3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1EO : "Pensions alimentaires percues - PAC 3" type REEL ;
PALI4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1FO : "Pensions alimentaires percues - PAC 4" type REEL ;
PALIC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1BO : "Pensions alimentaires percues - Declarant 2" type REEL ;
PALIP : calculee restituee primrest = 1 : "Pensions alimentaires des personbnes a charges" type REEL ;
PALIV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1AO : "Pensions alimentaires percues - Declarant 1" type REEL ;
PAPIMP : calculee restituee primrest = 1 : "Montant CIPAP impute" ;
PAPREST : calculee restituee primrest = 1 : "Montant CIPAP restitue" ;
PASATDEC1IR : calculee primrest = 0 : "PAS attendu dec1" ;
PASATDEC1PS : calculee primrest = 0 : "PAS attendu dec1" ;
PASATDEC2IR : calculee primrest = 0 : "PAS attendu dec2" ;
PASATDEC2PS : calculee primrest = 0 : "PAS attendu dec2" ;
PASATFOYIR : calculee restituee primrest = 1 : "PAS attendu foyer" ;
PASATFOYPS : calculee restituee primrest = 1 : "PAS attendu foyer" ;
PASBACC : calculee primrest = 0 : "BA sous CGA - PAS - Base soumis aux acomptes - Declarant 2" ;
PASBACP : calculee primrest = 0 : "BA sous CGA - PAS - Base soumis aux acomptes - PAC" ;
PASBACV : calculee primrest = 0 : "BA sous CGA - PAS - Base soumis aux acomptes - Declarant 1" ;
PASBAHC : calculee primrest = 0 : "BA hors CGA - PAS - Base soumis aux acomptes - Declarant 2" ;
PASBAHP : calculee primrest = 0 : "BA hors CGA - PAS - Base soumis aux acomptes - PAC" ;
PASBAHV : calculee primrest = 0 : "BA hors CGA - PAS - Base soumis aux acomptes - Declarant 1" ;
PASBICNPC : calculee primrest = 0 : "BIC non pro - Repartition des revenus pour PAS (dec2)" ;
PASBICNPCC : calculee primrest = 0 : "BIC net non pro sous CGA - Assiette des acomptes PAS (dec2)" ;
PASBICNPCP : calculee primrest = 0 : "BIC net non pro sous CGA - Assiette des acomptes PAS (Pac)" ;
PASBICNPCV : calculee primrest = 0 : "BIC net non pro sous CGA - Assiette des acomptes PAS (dec1)" ;
PASBICNPNCC : calculee primrest = 0 : "BIC non pro hors CGA - Assiette des acomptes PAS (dec2)" ;
PASBICNPNCP : calculee primrest = 0 : "BIC non pro hors CGA - Assiette des acomptes PAS (Pac)" ;
PASBICNPNCV : calculee primrest = 0 : "BIC non pro hors CGA - Assiette des acomptes PAS (dec1)" ;
PASBICPCC : calculee primrest = 0 : "BIC pro sous CGA - assiette acomptes PAS (dec2)" ;
PASBICPCP : calculee primrest = 0 : "BIC pro sous CGA - assiette acomptes PAS (Pac)" ;
PASBICPCV : calculee primrest = 0 : "BIC pro sous CGA - assiette acomptes PAS (dec1)" ;
PASBICPNCC : calculee primrest = 0 : "BIC pro hors CGA - Assiette des acomptes PAS (dec2)" ;
PASBICPNCP : calculee primrest = 0 : "BIC pro hors CGA - Assiette des acomptes PAS (Pac)" ;
PASBICPNCV : calculee primrest = 0 : "BIC pro hors CGA - Assiette des acomptes PAS (dec1)" ;
PASBNNAAC : calculee primrest = 0 : "BNC non pro CGA declarant 2 - variable PAS de BNNAAC" ;
PASBNNAAP : calculee primrest = 0 : "BNC non pro CGA PAC - variable PAS de BNNAAV" ;
PASBNNAAV : calculee primrest = 0 : "BNC non pro CGA Declarant 1 - variable PAS de BNNAAV" ;
PASBNNAC : calculee primrest = 0 : "BNC pro CGA declarant 2 - variable PAS de BNNAV" ;
PASBNNAP : calculee primrest = 0 : "BNC pro CGA PAC - variable PAS de BNNAV" ;
PASBNNAV : calculee primrest = 0 : "BNC pro CGA declarant 1 - variable PAS de BNNAV" ;
PASBNNSC : calculee primrest = 0 : "BNC pro hors CGA declarant 2 - variable PAS de BNNSV" ;
PASBNNSP : calculee primrest = 0 : "BNC pro hors CGA PAC - variable PAS de BNNSV" ;
PASBNNSV : calculee primrest = 0 : "BNC pro hors CGA declarant 1 - variable PAS de BNNSV" ;
PASDENF : calculee restituee primrest = 0 : "Denominateur calcul taux foyer PAS" ;
PASDENI1 : calculee primrest = 0 : "Denominateur calcul taux individuel 1 PAS" ;
PASDENI2 : calculee restituee primrest = 0 : "Denominateur calcul taux individuel 2 PAS" ;
PASEFDEC1IR : calculee primrest = 0 : "PAS EFFECTUE dec1" ;
PASEFDEC1PS : calculee primrest = 0 : "PAS EFFECTUE dec1" ;
PASEFDEC2IR : calculee primrest = 0 : "PAS EFFECTUE dec2" ;
PASEFDEC2PS : calculee primrest = 0 : "PAS EFFECTUE dec2" ;
PASEFFOYIR : calculee restituee primrest = 1 : "PAS effectue foyer" ;
PASEFFOYPS : calculee restituee primrest = 1 : "PAS effectue foyer" ;
PASFARFAITIR : calculee restituee primrest = 1 : "Total PAS IR foyer fiscal" ;
PASIR : calculee restituee primrest = 1 : "Paiements PAS - documents comptables" ;
PASNOCEPIMPC : calculee restituee primrest = 0 : "PAS - BNC non pro nets imposables majores - declarant 2 conjoint" ;
PASNOCEPIMPP : calculee restituee primrest = 1 : "PAS - BNC non pro nets imposables majores - declarant 1 pac" ;
PASNOCEPIMPV : calculee restituee primrest = 0 : "PAS - BNC non pro nets imposables majores - declarant 1 vous" ;
PASNUMF : calculee restituee primrest = 0 : "Numerateur calcul taux foyer PAS" ;
PASNUMI1 : calculee primrest = 0 : "Numerateur calcul taux individuel 1 PAS" ;
PASNUMI2 : calculee restituee primrest = 0 : "Numerateur calcul taux individuel 2 PAS" ;
PASOPTION8 : calculee primrest = 0 : "Indicateur option PAS correctif" ;
PASPARFAITPS : calculee restituee primrest = 1 : "Total PAS PS foyer fiscal" ;
PASPRAOM : calculee primrest = 0 : "Pensions pour le PAS savoir si UNDEF ou non" ;
PASPRBOM : calculee primrest = 0 : "Pensions pour le PAS savoir si UNDEF ou non" ;
PASPRC : calculee primrest = 0 : "Pensions pour le PAS savoir si UNDEF ou non" ;
PASPRN1AL : calculee restituee primrest = 0 : "Pensions rentes  nettes de frais pour le PAS 1AL" ;
PASPRN1BL : calculee restituee primrest = 0 : "Pensions rentes  nettes de frais pour le PAS 1BL" ;
PASPRN1PAC : calculee restituee primrest = 0 : "Pensions rentes  nettes de frais pour le PAS PAC" ;
PASPRNAOM : calculee restituee primrest = 0 : "pensions nettes totale pour PAS 1AO 1AM" ;
PASPRNBOM : calculee restituee primrest = 0 : "pensions nettes totale pour PAS 1BO 1BM" ;
PASPRNC : calculee restituee primrest = 0 : "Pensions rentes  nettes de frais pour le PAS" ;
PASPRNP : calculee restituee primrest = 0 : "Pensions rentes  nettes de frais pour le PAS" ;
PASPRNPAC : calculee restituee primrest = 0 : "Pensions nettes etrangere pour le PAS" ;
PASPRNV : calculee restituee primrest = 0 : "Pensions rentes  nettes de frais pour le PAS" ;
PASPRV : calculee primrest = 0 : "Pensions pour le PAS savoir si UNDEF ou non" ;
PASRF : calculee primrest = 0 : "Revenus fonciers - Base acompte pour le PAS" ;
PASRFASS : calculee primrest = 0 : "Revenus micro-fonciers soumis aux acomptes pour le PAS" ;
PASRNPLOCFC : calculee primrest = 0 : "Locations meublees non pro - Repartition des revenus pour PAS (dec2)" ;
PASRNPLOCFF : calculee primrest = 0 : "Locations meublees non pro - Repartition des revenus pour PAS (foyer)" ;
PASRNPLOCFP : calculee primrest = 0 : "Locations meublees non pro - Repartition des revenus pour PAS (pac)" ;
PASRNPLOCFV : calculee primrest = 0 : "Locations meublees non pro - Repartition des revenus pour PAS (dec1)" ;
PASS_TLCDIS : saisie penalite primrest = 0 alias V_PASS_TLCDI : "nouv cor: zone de communication entre le C et le macro langage" ;
PASS_TLCS : saisie penalite primrest = 0 alias V_PASS_TLCS : "nouv cor: zone de communication entre le C et le macro langage" ;
PASS_TLCSAL : saisie penalite primrest = 0 alias V_PASS_CSAL : "nouv cor: zone de communication entre le C et le macro langage" ;
PASS_TLIFI : saisie penalite primrest = 0 alias V_PASS_TLIFI : "nouv cor: zone de communication entre le C et le macro langage" ;
PASS_TLIR : saisie penalite primrest = 0 alias V_PASS_TLIR : "nouv cor: zone de communication entre le C et le macro langage" ;
PASS_TLTAX : saisie penalite primrest = 0 alias V_PASS_TLTAX : "nouv cor: zone de communication entre le C et le macro langage" ;
PASS_TLTAXAGA : saisie penalite primrest = 0 alias V_PASS_TAXA : "nouv cor: zone de communication entre le C et le macro langage" ;
PASTOTAL : calculee restituee primrest = 1 : "Total PAS IR foyer fiscal" ;
PASTOTALPS : calculee restituee primrest = 1 : "Total PAS PS foyer fiscal" ;
PASTOTTSPRC : calculee primrest = 0 : "PAS total TS et Pensions  conj" ;
PASTOTTSPRV : calculee primrest = 0 : "PAS total TS et Pensions  vous" ;
PASTSC : calculee primrest = 0 : "Pensions pour le PAS savoir si UNDEF ou non" ;
PASTSN1AG : calculee restituee primrest = 0 : "Traitements et salaires nets de frais pour le PAS code 1AG" ;
PASTSN1BG : calculee restituee primrest = 0 : "Traitements et salaires nets de frais pour le PAS code 1BG" ;
PASTSN1PAC : calculee restituee primrest = 0 : "Traitements et salaires nets de frais pour le PAS code PAC " ;
PASTSNTC : calculee restituee primrest = 0 : "Traitements et salaires nets de frais pour le PAS" ;
PASTSNTP : calculee restituee primrest = 0 : "Traitements et salaires nets de frais pour le PAS" ;
PASTSNTV : calculee restituee primrest = 0 : "Traitements et salaires nets de frais pour le PAS" ;
PASTSV : calculee primrest = 0 : "Pensions pour le PAS savoir si UNDEF ou non" ;
PATNET_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde PATNET" ;
PATNET_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
PATNET_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde PATNET" ;
PC820_A : calculee primrest = 0 base : "PENALITES DE LA CS a 8.2" ;
PCAPANTAFF : calculee restituee primrest = 1 : "Taxe assurance anterieur a afficher sur l avis" ;
PCAPBASE : calculee primrest = 0 : " nouv cor:base des majo psension versee capital" ;
PCAPBASEHCOV : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
PCAPBASEHCOV_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
PCAPBASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
PCAPBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
PCAPBASE_INRREF : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
PCAPBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
PCAPBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
PCAPBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
PCAPBRUT_P : calculee primrest = 0 base : "Correctif: impot servant de base au  MAJOS 1728" ;
PCAPCUM : calculee restituee primrest = 1 : "Cumul des pensions versees en ccapital deja acquittee" ;
PCAPDEG : calculee restituee primrest = 0 : "droit de bail PCAPTAX degrevee" ;
PCAPNEG : calculee primrest = 0 : "taxe + INR + majo" ;
PCAPNET : calculee restituee primrest = 1 : "PCAPTAX + INR + majo" ;
PCAPNET3 : calculee restituee primrest = 1 : "PCAPTAX + INR + majo - documents comptables" ;
PCAPNET_A : calculee primrest = 0 base : "Net a payer psension versee capital anterieur" ;
PCAPTAXC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 9 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1BT : "Pensions en capital taxables a 7,5 % - Declarant 2" ;
PCAPTAXDEG : calculee restituee primrest = 0 : "droit de bail PCAPTAX degrevee" ;
PCAPTAXNET : calculee primrest = 0 : "taxe + INR + majo" ;
PCAPTAXV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 9 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 1AT : "Pensions en capital taxables a 7,5 % - Declarant 1" ;
PCAPTOT : calculee restituee primrest = 0 : "Cumul de PCAPTAX  seule deja acquittee" ;
PCAP_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
PCAP_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
PCAP_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde prelevement liberatoire" ;
PCAP_NTL : calculee primrest = 0 base : "MONTANT base des INR NTL retard traitement courant" ;
PCAP_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
PCAP_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
PCAP_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
PCAP_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
PCAP_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
PCAP_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
PCAP_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_P : calculee primrest = 0 base : "Correctif: PCAP issu du primitif" ;
PCAP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR pcap" ;
PCAP_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
PCAP_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
PCAP_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
PCAP_R : calculee primrest = 0 base : "( REFERENCE )" ;
PCAP_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
PCAP_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
PCAP_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
PCAP_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
PCAP_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
PCAP_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
PCAP_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
PCAP_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
PCAP_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
PCAP_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde" ;
PCAP_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
PCAP_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
PCAP_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
PCAP_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
PCAP_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
PCAP_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
PCAP_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
PCAP_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCAP_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
PCDIS : calculee restituee primrest = 1 : "Penalites contribution sociale salariale" ;
PCDIS_A : calculee primrest = 0 base : "PENALITES DE LA cdis" ;
PCHR_A : calculee primrest = 0 base : "correctif : total des penalites IR majos 1728,1729,TO,INR" ;
PCSG : calculee restituee primrest = 1 : "Penalites de la CSG" ;
PCSG820 : calculee restituee primrest = 1 : "Penalites contribution sociale salariale 8.2" ;
PCSG820_A : calculee primrest = 0 base : "PENALITES DE LA CS a 8.2" ;
PCSG92 : calculee restituee primrest = 0 : "Penalites contribution sociale salariale 9.2" ;
PCSGBR : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
PCSGBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
PCSGD : calculee primrest = 0 : "penalites CSG" ;
PCSG_A : calculee primrest = 0 base : "Penalites de la CSG anterieur" ;
PCVN : calculee restituee primrest = 1 : "Penalites de la CVNSAL" ;
PCVN_A : calculee primrest = 0 base : "correctif : total des penalites CVN majos 1728,1729,TO,INR" ;
PD10MC : calculee primrest = 0 : "deduction 10% hors DA apres prise en compte de la deduction minimale " ;
PD10MP : calculee primrest = 0 : "deduction 10% hors DA apres prise en compte de la deduction minimale " ;
PD10MV : calculee primrest = 0 : "deduction 10% hors DA apres prise en compte de la deduction minimale " ;
PDEDMINC : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires pour le PERP" ;
PDEDMINP : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires pour le PERP" ;
PDEDMINV : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires pour le PERP" ;
PDEG : calculee restituee primrest = 0 : "Penalites totales degrevees" ;
PDEVDUR : calculee primrest = 0 : "plafond credit depenses developpement durable" ;
PDFNC : calculee primrest = 0 : "Deduction forfaitaire de 10% pour le PERP" ;
PDFNP : calculee primrest = 0 : "Deduction forfaitaire de 10% pour le PERP" ;
PDFNV : calculee primrest = 0 : "Deduction forfaitaire de 10% pour le PERP" ;
PEBF1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias FCS : "Pensions footballeurs - PAC 1 " ;
PEBF2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias FDS : "Pensions footballeurs - PAC 2 " ;
PEBF3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias FES : "Pensions footballeurs - PAC 3" ;
PEBF4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias FFS : "Pensions footballeurs - PAC 4" ;
PEBFC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias FBS : "Pensions footballeurs - Declarant 2" ;
PEBFV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias FAS : "Pensions footballeurs - Declarant 1" ;
PENA994 : calculee restituee primrest = 0 base : "Flag presence penalite dans et hors 1731bis" ;
PENAIRCS : calculee restituee primrest = 1 : "Total des penalites IR et PS" ;
PENALIM1 : calculee primrest = 0 : "pensions nettes  alimentaire" ;
PENALIM1_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENALIM2 : calculee primrest = 0 : "pensions nettes  alimentaire" ;
PENALIM2_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENALIM3 : calculee primrest = 0 : "pensions nettes  alimentaire" ;
PENALIM3_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENALIM4 : calculee primrest = 0 : "pensions nettes  alimentaire" ;
PENALIM4_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENALIMC : calculee primrest = 0 : "pensions nettes  alimentaire" ;
PENALIMC_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENALIMP : calculee restituee primrest = 0 : "pensions nettes  quotient alim. pac" ;
PENALIMT_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENALIMV : calculee primrest = 0 : "pensions nettes  alimentaire" ;
PENALIMV_1731 : calculee primrest = 0 : "pension alim 1731" ;
PENAPAS : calculee restituee primrest = 1 : "Total des penalites PAS" ;
PENA_RESTIT : calculee restituee primrest = 0 : " variable intermediaire pour calculer SUPIR" ;
PENECS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TX : "Pensions retraite et invalidite soumis a CSG au taux de 3,8 %" ;
PENF1 : calculee primrest = 0 : "Pensions nettes footballeurs - PAC" ;
PENF1_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENF2 : calculee primrest = 0 : "Pensions nettes footballeurs - PAC" ;
PENF2_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENF3 : calculee primrest = 0 : "Pensions nettes footballeurs - PAC" ;
PENF3_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENF4 : calculee primrest = 0 : "Pensions nettes footballeurs - PAC" ;
PENF4_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENFC : calculee restituee primrest = 1 : "Pensions nettes footballeurs - Conjoint" ;
PENFC_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENFP : calculee restituee primrest = 1 : "Pensions nettes footballeurs - PAC" ;
PENFT_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENFV : calculee restituee primrest = 1 : "Pensions nettes footballeurs - Vous" ;
PENFV_1731 : calculee primrest = 0 : "pension footeux 1731" ;
PENIN1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1CZ : "Pensions d'invalidite - PAC 1" type REEL ;
PENIN2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1DZ : "Pensions d'invalidite - PAC 2" type REEL ;
PENIN3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1EZ : "Pensions d'invalidite - PAC 3" type REEL ;
PENIN4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1FZ : "Pensions d'invalidite - PAC 4" type REEL ;
PENINC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1BZ : "Pensions d'invalidite connues - Declarant 2" type REEL ;
PENINV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1AZ : "Pensions d'invalidite - Declarant 1" type REEL ;
PENSALC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias RBO : "Pensions alimentaires taxees au quotient - Declarant 2" ;
PENSALNBC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBO : "Pensions alimentaires taxees au quotient : Nb d'annees - Declarant 2" ;
PENSALNBP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCO : "Pensions alimentaires taxees au quotient : Nombre d'annees - PAC 1" ;
PENSALNBP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDO : "Pensions alimentaires taxees au quotient : Nombre d'annees - PAC 2" ;
PENSALNBP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEO : "Pensions alimentaires taxees au quotient : Nombre d'annees - PAC 3" ;
PENSALNBP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFO : "Pensions alimentaires taxees au quotient : Nombre d'annees - PAC 4" ;
PENSALNBV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAO : "Pensions alimentaires taxees au quotient : Nb d'annees - Declarant 1" ;
PENSALP : calculee restituee primrest = 1 : "pensions declarees  quotient alim. pac" ;
PENSALP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCO : "Pensions alimentaires taxees au quotient - PAC 1" ;
PENSALP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDO : "Pensions alimentaires taxees au quotient - PAC 2" ;
PENSALP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REO : "Pensions alimentaires taxees au quotient - PAC 3" ;
PENSALP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFO : "Pensions alimentaires taxees au quotient - PAC 4" ;
PENSALV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias RAO : "Pensions alimentaires taxees au quotient - Declarant 1" ;
PENSDECC : calculee restituee primrest = 1 : "Somme pensions retraites rentes - Declarant 2" ;
PENSDECP : calculee restituee primrest = 1 : "Somme pensions retraites rentes - PAC" ;
PENSDECV : calculee restituee primrest = 1 : "Somme pensions retraites rentes - Declarant 1" ;
PENSTOT1 : calculee primrest = 0 : "pensions nettes  quotient normale + alim. P1" ;
PENSTOT2 : calculee primrest = 0 : "pensions nettes  quotient normale + alim. P2" ;
PENSTOT3 : calculee primrest = 0 : "pensions nettes  quotient normale + alim. P3" ;
PENSTOT4 : calculee primrest = 0 : "pensions nettes  quotient normale + alim. P4" ;
PENSTOTC : calculee restituee primrest = 1 : "pensions nettes  quotient normale + alim." ;
PENSTOTP : calculee restituee primrest = 1 : "pensions nettes  quotient normale + alim." ;
PENSTOTV : calculee restituee primrest = 1 : "pensions nettes  quotient normale + alim." ;
PEN_RAPPEL : saisie penalite primrest = 0 alias V_PEN_RAPPEL : "Zone corrective" ;
PERPBANC : calculee primrest = 0 : "PERP:Revenus agricoles - CJT -" ;
PERPBANP : calculee primrest = 0 : "PERP:Revenus agricoles - PAC -" ;
PERPBANV : calculee primrest = 0 : "PERP:Revenus agricoles - VOUS -" ;
PERPBICMNC : calculee primrest = 0 : "PERP:Revenus BIC micro  - CJT -" ;
PERPBICMNP : calculee primrest = 0 : "PERP:Revenus BIC micro  - PAC -" ;
PERPBICMNV : calculee primrest = 0 : "PERP:Revenus BIC micro  - VOUS -" ;
PERPBICPNC : calculee primrest = 0 : "PERP:Revenus BIC reel  - CJT -" ;
PERPBICPNP : calculee primrest = 0 : "PERP:Revenus BIC reel  - PAC -" ;
PERPBICPNV : calculee primrest = 0 : "PERP:Revenus BIC reel  - VOUS -" ;
PERPBNCMNC : calculee primrest = 0 : "PERP:Revenus BNC micro  - CJT -" ;
PERPBNCMNP : calculee primrest = 0 : "PERP:Revenus BNC micro  - PAC -" ;
PERPBNCMNV : calculee primrest = 0 : "PERP:Revenus BNC micro  - VOUS -" ;
PERPBNCPNC : calculee primrest = 0 : "PERP:Revenus BNC professionnel  - CJT -" ;
PERPBNCPNP : calculee primrest = 0 : "PERP:Revenus BNC professionnel  - PAC -" ;
PERPBNCPNV : calculee primrest = 0 : "PERP:Revenus BNC professionnel  - VOUS -" ;
PERPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6QT : "Cotisations 2022 - Declarant 2 - Regimes obligatoires entreprise" ;
PERPDCOTC : calculee restituee primrest = 1 : "Cotisations deduites des revenus 2004" ;
PERPDCOTP : calculee restituee primrest = 1 : "Cotisations deduites des revenus 2004" ;
PERPDCOTV : calculee restituee primrest = 1 : "Cotisations deduites des revenus 2004" ;
PERPIMPATRIE : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6QW : "Plafond PERP nouveau resident - Case a cocher" type BOOLEEN ;
PERPINDAFFC : calculee restituee primrest = 1 : "indicateur PERP afficahe avis Cjt" ;
PERPINDAFFP : calculee restituee primrest = 1 : "indicateur PERP afficahe avis PAC" ;
PERPINDAFFV : calculee restituee primrest = 1 : "indicateur PERP afficahe avis vous" ;
PERPINDC : calculee restituee primrest = 1 : "indicateur PERP conjoint" type REEL ;
PERPINDCC : calculee restituee primrest = 1 : "indicateur cotisations PERP conjoint   " type REEL ;
PERPINDCP : calculee restituee primrest = 1 : "indicateur cotisations PERP PAP   " type REEL ;
PERPINDCV : calculee restituee primrest = 1 : "indicateur cotisations PERP vous" type REEL ;
PERPINDP : calculee restituee primrest = 1 : "indicateur PERP PAC" type REEL ;
PERPINDV : calculee restituee primrest = 1 : "indicateur PERP vous" type REEL ;
PERPMUTU : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6QR : "Demande plafond PERP mutualise" type BOOLEEN ;
PERPNONSALC : calculee primrest = 0 : "PERP:REVENUS D ACTIVITE NON SALARIALE - CJT -" ;
PERPNONSALP : calculee primrest = 0 : "PERP:REVENUS D ACTIVITE NON SALARIALE - PAC -" ;
PERPNONSALV : calculee primrest = 0 : "PERP:REVENUS D ACTIVITE NON SALARIALE - VOUS -" ;
PERPP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6QU : "Cotisations 2022 - PAC - Regimes obligatoires entreprise" ;
PERPPLAFC : calculee restituee primrest = 1 : "PERP:plafond global de deductibilite - CJT -" ;
PERPPLAFCANT : calculee primrest = 0 : "plafond PERP 2003 conjoint" ;
PERPPLAFCC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias APT : "Plafond PERP 2021 - Declarant 2" ;
PERPPLAFCOMC : calculee restituee primrest = 1 : "PERP:plafond complementaire impatries" ;
PERPPLAFCOMP : calculee restituee primrest = 1 : "PERP:plafond complementaire impatries" ;
PERPPLAFCOMV : calculee restituee primrest = 1 : "PERP:plafond complementaire impatries" ;
PERPPLAFCP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias APU : "Plafond PERP 2021 - PAC " ;
PERPPLAFCV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias APS : "Plafond PERP 2021 - Declarant 1" ;
PERPPLAFIMPC : calculee primrest = 0 : "PERP:plafond  impatries" ;
PERPPLAFIMPP : calculee primrest = 0 : "PERP:plafond  impatries" ;
PERPPLAFIMPV : calculee primrest = 0 : "PERP:plafond  impatries" ;
PERPPLAFMU1C : calculee restituee primrest = 1 : "plafond PERP mutualise Cjt pour affichage avis" ;
PERPPLAFMU1V : calculee restituee primrest = 1 : "plafond PERP mutualise Vous pour affichage avis" ;
PERPPLAFMUTC : calculee primrest = 0 : "plafond PERP mutualise Cjt" ;
PERPPLAFMUTV : calculee primrest = 0 : "plafond PERP mutualise Vous" ;
PERPPLAFNU1C : calculee restituee primrest = 1 : "plafond deduction PERP non utilise n-1" ;
PERPPLAFNU1P : calculee restituee primrest = 1 : "plafond deduction PERP non utilise n-1" ;
PERPPLAFNU1V : calculee restituee primrest = 1 : "plafond deduction PERP non utilise n-1" ;
PERPPLAFNU2C : calculee restituee primrest = 1 : "plafond deduction PERP non utilise n-2" ;
PERPPLAFNU2P : calculee restituee primrest = 1 : "plafond deduction PERP non utilise n-2" ;
PERPPLAFNU2V : calculee restituee primrest = 1 : "plafond deduction PERP non utilise n-2" ;
PERPPLAFNU3C : calculee primrest = 0 : "plafond deduction PERP non utilise n-3" ;
PERPPLAFNU3P : calculee primrest = 0 : "plafond deduction PERP non utilise n-3" ;
PERPPLAFNU3V : calculee primrest = 0 : "plafond deduction PERP non utilise n-3" ;
PERPPLAFNUC : calculee primrest = 0 : "plafond deduction PERP non utilise" ;
PERPPLAFNUC1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias DPT : "Plafond PERP non utilise en 2021 - Declarant 2" ;
PERPPLAFNUC2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias CPT : "Plafond PERP non utilise en 2020 - Declarant 2" ;
PERPPLAFNUC2ANT : calculee primrest = 0 : "plafond PERP N-2" ;
PERPPLAFNUC3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias BPT : "Plafond PERP non utilise en 2019 - Declarant 2" ;
PERPPLAFNUC3ANT : calculee primrest = 0 : "plafond PERP N-3" ;
PERPPLAFNUNC : calculee restituee primrest = 1 : "plafond deduction PERP non utilise annee N" ;
PERPPLAFNUNP : calculee restituee primrest = 1 : "plafond deduction PERP non utilise annee N" ;
PERPPLAFNUNV : calculee restituee primrest = 1 : "plafond deduction PERP non utilise annee N" ;
PERPPLAFNUP : calculee primrest = 0 : "plafond deduction PERP non utilise" ;
PERPPLAFNUP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias DPU : "Plafond PERP non utilise en 2021 - PAC" ;
PERPPLAFNUP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias CPU : "Plafond PERP non utilise en 2020 - PAC" ;
PERPPLAFNUP2ANT : calculee primrest = 0 : "plafond PERP N-2" ;
PERPPLAFNUP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias BPU : "Plafond PERP non utilise en 2019 - PAC" ;
PERPPLAFNUP3ANT : calculee primrest = 0 : "plafond PERP N-3" ;
PERPPLAFNUTC : calculee primrest = 0 : "plafond deduction PERP non utilise annee N" ;
PERPPLAFNUTP : calculee primrest = 0 : "plafond deduction PERP non utilise annee N" ;
PERPPLAFNUTV : calculee primrest = 0 : "plafond deduction PERP non utilise annee N" ;
PERPPLAFNUV : calculee primrest = 0 : "plafond deduction PERP non utilise" ;
PERPPLAFNUV1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias DPS : "Plafond PERP non utilise en 2021 - Declarant 1" ;
PERPPLAFNUV2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias CPS : "Plafond PERP non utilise en 2020 - Declarant 1" ;
PERPPLAFNUV2ANT : calculee primrest = 0 : "plafond PERP N-2" ;
PERPPLAFNUV3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias BPS : "Plafond PERP non utilise en 2019 - Declarant 1" ;
PERPPLAFNUV3ANT : calculee primrest = 0 : "plafond PERP N-3" ;
PERPPLAFP : calculee restituee primrest = 1 : "PERP:plafond global de deductibilite - PAC -" ;
PERPPLAFPANT : calculee primrest = 0 : "plafond PERP 2003 PAC" ;
PERPPLAFTC : calculee restituee primrest = 1 : "PERP:plafond global de deductibilite - CJT -" ;
PERPPLAFTP : calculee restituee primrest = 1 : "PERP:plafond global de deductibilite - PAC -" ;
PERPPLAFTV : calculee restituee primrest = 1 : "PERP:plafond global de deductibilite - VOUS -" ;
PERPPLAFV : calculee restituee primrest = 1 : "PERP:plafond global de deductibilite - VOUS -" ;
PERPPLAFVANT : calculee primrest = 0 : "plafond PERP 2003 vous" ;
PERPPLATCANT : calculee restituee primrest = 1 : "plafond PERP total annee N" ;
PERPPLATPANT : calculee restituee primrest = 1 : "plafond PERP total annee N" ;
PERPPLATVANT : calculee restituee primrest = 1 : "plafond PERP total annee N" ;
PERPREVTOTC : calculee primrest = 0 : "PERP:Revenus total sal + non sal - CJT -" ;
PERPREVTOTP : calculee primrest = 0 : "PERP:Revenus total sal + non sal - PAC -" ;
PERPREVTOTV : calculee primrest = 0 : "PERP:Revenus total sal + non sal - VOUS -" ;
PERPSALC : calculee primrest = 0 : "PERP:REVENUS D ACTIVITE SALARIALE - CJT -" ;
PERPSALDC : calculee primrest = 0 : "PERP:Deduction forfaitaire D ACTIVITE SALARIALE - CJT -" ;
PERPSALDP : calculee primrest = 0 : "PERP:Deduction forfaitaire D ACTIVITE SALARIALE - PAC -" ;
PERPSALDV : calculee primrest = 0 : "PERP:Deduction forfaitaire D ACTIVITE SALARIALE - VOUS -" ;
PERPSALNC : calculee primrest = 0 : "PERP:Revenus nets D ACTIVITE SALARIALE - CJT -" ;
PERPSALNP : calculee primrest = 0 : "PERP:Revenus nets D ACTIVITE SALARIALE - PAC -" ;
PERPSALNV : calculee primrest = 0 : "PERP:Revenus nets D ACTIVITE SALARIALE - VOUS -" ;
PERPSALP : calculee primrest = 0 : "PERP:REVENUS D ACTIVITE SALARIALE - PAC -" ;
PERPSALV : calculee primrest = 0 : "PERP:REVENUS D ACTIVITE SALARIALE - VOUS -" ;
PERPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6QS : "Cotisations 2022 - Declarant 1 - Regimes obligatoires entreprise" ;
PERP_BOOL : calculee primrest = 0 : "PERP:BOOLEEN perp pour PAC" ;
PERP_COND1 : calculee primrest = 0 : "PERP:mutualisation situation1" ;
PERP_COND2 : calculee primrest = 0 : "PERP:mutualisation situation2" ;
PERP_COTC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6RT : "Cotisations 2022 - Declarant 2 - PERP et assimiles" ;
PERP_COTP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6RU : "Cotisations 2022 - PAC - PERP et assimiles" ;
PERP_COTV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6RS : "Cotisations 2022 - Declarant 1 - PERP et assimiles" ;
PERP_INDC : calculee primrest = 0 : "indicateur PERP conjoint" ;
PERP_INDP : calculee primrest = 0 : "indicateur PERP PAP" ;
PERP_INDV : calculee primrest = 0 : "indicateur PERP vous" ;
PERP_MUT : calculee primrest = 0 : "PERP:BOOLEEN si mutualisation" ;
PERP_NONC : calculee primrest = 0 : "indicateur PERP cjt" ;
PERP_NONP : calculee primrest = 0 : "indicateur PERP PAC" ;
PERP_NONV : calculee primrest = 0 : "indicateur PERP Vous" ;
PFPTC : calculee primrest = 0 : "deduction de 10% ou frais reels pour le PERP" ;
PFPTP : calculee primrest = 0 : "deduction de 10% ou frais reels pour le PERP" ;
PFPTV : calculee primrest = 0 : "deduction de 10% ou frais reels pour le PERP" ;
PFRDC : calculee primrest = 0 : "Frais reels declares pour le PERP" ;
PFRDP : calculee primrest = 0 : "Frais reels declares pour le PERP" ;
PFRDV : calculee primrest = 0 : "Frais reels declares pour le PERP" ;
PGLOA : calculee restituee primrest = 1 : "Penalites sur LOAAG (1TT et 1UT)" ;
PGLOA_A : calculee primrest = 0 base : "correctif : total des penalites GLOA majos 1728,1729,TO,INR" ;
PHAUTREV : calculee restituee primrest = 1 : "Penalites sur hauts revenus" ;
PIFI : calculee restituee primrest = 1 : "Penalites et interets de retard IFI" ;
PIFI_A : calculee primrest = 0 base : "PENALITES DE IFI" ;
PIND_10C : calculee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
PIND_10MIN_0C : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A. pour le PERP" ;
PIND_10MIN_0P : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A. pour le PERP" ;
PIND_10MIN_0V : calculee primrest = 0 : "booleen d'existence d'une deduction minimale hors D.A. pour le PERP" ;
PIND_10P : calculee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
PIND_10V : calculee primrest = 0 : "Indicateur d'affichage deduction 10%" ;
PIND_MINC : calculee primrest = 0 : "pour le PERP" ;
PIND_MINP : calculee primrest = 0 : "pour le PERP" ;
PIND_MINV : calculee primrest = 0 : "pour le PERP" ;
PINELAI_A : calculee primrest = 0 : "RI evt avant" ;
PINELBI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7BI : "Invest. Pinel metro realise et acheve en 2014 : report 1/9 de la RI" ;
PINELBI_A : calculee primrest = 0 : "RI evt avant" ;
PINELBZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELCI_A : calculee primrest = 0 : "RI evt avant" ;
PINELCZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CZ : "Invest. Pinel metro realise et acheve en 2015 : report 1/9 de la RI" ;
PINELCZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELDI : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7DI : "Invest. Pinel outre-mer realise et acheve 2014 : report 1/9  de la RI" ;
PINELDI_A : calculee primrest = 0 : "RI evt avant" ;
PINELDZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELEZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EZ : "Invest. Pinel outre-mer realise et acheve en 2015: report 1/9 de la RI" ;
PINELEZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELQM_A : calculee primrest = 0 : "RI evt avant" ;
PINELQN_A : calculee primrest = 0 : "RI evt avant" ;
PINELQO_A : calculee primrest = 0 : "RI evt avant" ;
PINELQP_A : calculee primrest = 0 : "RI evt avant" ;
PINELQZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELRZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7RZ : "Invest. Pinel metro realise et acheve en 2016 : report 1/9 de la RI" ;
PINELRZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELSZ_A : calculee primrest = 0 : "RI evt avant" ;
PINELTZ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7TZ : "Invest Pinel outre-mer realise et acheve en 2016 : report 1/9 de la RI" ;
PINELTZ_A : calculee primrest = 0 : "RI evt avant" ;
PIR : calculee restituee primrest = 1 : "Penalites sur IR" ;
PIRBR : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
PIRBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
PIRD : calculee primrest = 0 : "Penalites dues sur l'IR" ;
PIRNEG : calculee primrest = 0 : "Penalites sur IR negatif" ;
PIRNETNEG : calculee primrest = 0 : "Penalites sur IR negatif" ;
PIR_A : calculee primrest = 0 base : "correctif : total des penalites IR majos 1728,1729,TO,INR" ;
PLA : calculee restituee primrest = 1 : "Montant total du plafonnement QF" ;
PLABAR1 : const=0.00000  ;
PLABAR2 : const=1185.47000  ;
PLABAR3 : const=6406.29000  ;
PLABAR4 : const=15048.99000  ;
PLABAR5 : const=21808.75000  ;
PLABAR6 : const=0.00000  ;
PLACOMP : calculee restituee primrest = 1 : "Plafond complementaire de l'avantage QF (invalides,sit.part.)" ;
PLAF20000 : const=20000.00000  ;
PLAFAPAP : calculee primrest = 0 : "plafond credit premier abonnement presse" ;
PLAFCDPART : calculee primrest = 0 : "Plafond calcule de l avantage fiscal procure par la demi part sup" ;
PLAFHABPRIN : const=3750.00000  ;
PLAFHABPRINENF : const=500.00000  ;
PLAFIFI : calculee restituee primrest = 1 : "montant plafonnement ifi retenu" type REEL ;
PLAFIMP : const=1868.00000  ;
PLAFPRESCOMP : const=30500.00000  ;
PLAFQF : calculee restituee primrest = 1 : "Indicateur de plafonnement du quotient familial" ;
PLAFRED_FORTRA : calculee primrest = 0 : "pour calcul de BASE7UXI" ;
PLAF_99999 : const=99999.00000  ;
PLAF_AF : const=80.00000  ;
PLAF_AF2 : const=450.00000  ;
PLAF_ASSCULT : const=562.00000  ;
PLAF_CDPART : const=1002.00000  ;
PLAF_CDPART2 : const=0.00000  ;
PLAF_CINE : const=18000.00000  ;
PLAF_COMPPART : const=3959.00000  ;
PLAF_COMPSURV : const=300.00000  ;
PLAF_COMPSURVQAR : const=150.00000  ;
PLAF_DEDFORFTS : const=13522.00000  ;
PLAF_DEDPRFOYER : const=4123.00000  ;
PLAF_DEMIPART : const=1678.00000  ;
PLAF_DEVDUR : const=8000.00000  ;
PLAF_DEVDURN : const=2400.00000  ;
PLAF_FCPI : const=12000.00000  ;
PLAF_FOREST : const=5700.00000  ;
PLAF_FOREST1 : const=6250.00000  ;
PLAF_FOREST2 : const=2000.00000  ;
PLAF_FORFBA : const=76225.00000  ;
PLAF_FRCOMPTA : const=915.00000  ;
PLAF_GE2 : const=5000.00000  ;
PLAF_GE2_ENF2 : const=500.00000  ;
PLAF_GE2_ENF3 : const=600.00000  ;
PLAF_GE2_PAC : const=400.00000  ;
PLAF_GE2_PACN : const=120.00000  ;
PLAF_GE2_PACQAR : const=200.00000  ;
PLAF_GE2_PACQARN : const=60.00000  ;
PLAF_IFIRED : calculee restituee primrest = 0 : "Plafond de 50000 ou 45000 pour reductions IFI" ;
PLAF_INVDOM : const=40000.00000  ;
PLAF_INVDOM1 : const=74286.00000  ;
PLAF_INVDOM2 : const=300000.00000  ;
PLAF_INVDOM3 : const=36000.00000  ;
PLAF_INVDOM4 : const=30600.00000  ;
PLAF_INVDOM5 : const=270000.00000  ;
PLAF_INVDOM6 : const=229500.00000  ;
PLAF_INVDOM7 : const=93333.00000  ;
PLAF_NTRDAM : const=1000.00000  ;
PLAF_NUREPAR : const=25000.00000  ;
PLAF_PERPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6PT : "Plafond PERP corrige 2022 - Declarant 2" ;
PLAF_PERPP : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6PU : "Plafond PERP corrige 2022 - PAC" ;
PLAF_PERPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 6PS : "Plafond PERP corrige 2022 - Declarant 1" ;
PLAF_PLACOMP : const=1673.00000  ;
PLAF_PRECONS : const=600.00000  ;
PLAF_RABDOM : const=2450.00000  ;
PLAF_RABGUY : const=4050.00000  ;
PLAF_RCMAV1 : const=4600.00000  ;
PLAF_REDGARD : const=3500.00000  ;
PLAF_REDGARDQAR : const=1750.00000  ;
PLAF_REDREPAS : const=1000.00000  ;
PLAF_RENOV : const=20000.00000  ;
PLAF_RESINEUV : const=300000.00000  ;
PLAF_RSURV : const=1525.00000  ;
PLANT : calculee restituee primrest = 0 : "Plafond de l'avantage QF anterieur a 98" ;
PLAQAR : calculee primrest = 0 : "Montant total du plafonnement QF QuARt de part (residence alternee)" ;
PLAREM1 : const=0.00000  ;
PLAREM2 : const=1107.04000  ;
PLAREM3 : const=5982.25000  ;
PLAREM4 : const=14052.84000  ;
PLAREM5 : const=20365.08000  ;
PLAREM6 : const=0.00000  ;
PLIBE : calculee restituee primrest = 1 : "Prelevement Liberatoire déclarée pour avis" ;
PLOCNETF : calculee restituee primrest = 1 base : "location meublee pro total foyer" ;
PLOCNETF_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
PLR1 : calculee primrest = 0 : "Seuil calcule de l'abattement" ;
PLR2 : calculee primrest = 0 : "Seuil calcule de l'abattement" ;
PLR3 : calculee primrest = 0 : "Seuil calcule de l'abattement" ;
PLR4 : calculee primrest = 0 : "Seuil calcule de l'abattement" ;
PLRC : calculee primrest = 0 : "Seuil calcule de l'abattement" ;
PLRV : calculee primrest = 0 : "Seuil calcule de l'abattement" ;
PL_PB : calculee primrest = 0 : "plafond pensions a repartir" ;
PMIB_APC : calculee primrest = 0 : "	Abattements prestations de service PERP" ;
PMIB_APP : calculee primrest = 0 : "	Abattements prestations de service PERP" ;
PMIB_APV : calculee primrest = 0 : "	Abattements prestations de service PERP" ;
PMIB_AVC : calculee primrest = 0 : "	abattements vente de marchandise PERP" ;
PMIB_AVP : calculee primrest = 0 : "	abattements vente de marchandise PERP" ;
PMIB_AVV : calculee primrest = 0 : "	abattements vente de marchandise PERP" ;
PMIB_NETPC : calculee primrest = 0 : "	prestations de services net pro PERP" ;
PMIB_NETPP : calculee primrest = 0 : "	prestations de services net pro PERP" ;
PMIB_NETPV : calculee primrest = 0 : "	prestations de services net pro PERP" ;
PMIB_NETVC : calculee primrest = 0 : "	activit de vente de marchandises ou assimile PERP" ;
PMIB_NETVP : calculee primrest = 0 : "	activit de vente de marchandises ou assimile PERP" ;
PMIB_NETVV : calculee primrest = 0 : "	activit de vente de marchandises ou assimile PERP" ;
PNPER : calculee restituee primrest = 1 : "Pensions en capital des nouveaux PER - PAC" ;
PPCAP : calculee restituee primrest = 1 : "Penalites sur PCAPTAX" ;
PPCAPNEG : calculee primrest = 0 : "Penalites sur CAP negatif" ;
PPCAPNETNEG : calculee primrest = 0 : "taxe + INR + majo" ;
PPCAP_A : calculee primrest = 0 base : "correctif : total des penalites PCAPTAX majos 1728,1729,TO,INR" ;
PPCAP_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL: sauvegarde" ;
PPE_DATE_DEB : calculee primrest = 0 : "PPE:DATE DE DEBUT CALCULEE EN FONCTION DE X,Y,Z" ;
PPE_DATE_FIN : calculee primrest = 0 : "PPE:DATE DE FIN CALCULEE EN FONCTION DE X,Y,Z" ;
PPE_DEBJJ : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_DEBJJMM : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_DEBJJMMMM : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_DEBMM : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_DEBUT : calculee primrest = 0 : "PPE:QUANTIEME DANS L ANNE :DEBUT DE PERIODE  " ;
PPE_FIN : calculee primrest = 0 : "PPE:QUANTIEME DANS L ANNE :FIN DE PERIODE  " ;
PPE_FINJJ : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_FINJJMM : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_FINJJMMMM : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPE_FINMM : calculee primrest = 0 : "PPE:VARIABLE DE TRAVAIL SUR LES DATES" ;
PPLIB : saisie revenu classe = 0 priorite = 60 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 2EE : "Produits placement soumis aux prelevements liberatoires  " ;
PPRS : calculee restituee primrest = 1 : "PENALITE DU  1%" ;
PPSOL : calculee restituee primrest = 1 : "PENALITE de solidarite 2 %" ;
PPSOLBR : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
PPSOLBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
PPSOL_A : calculee primrest = 0 base : "Correctif: penalites PSOL majos 1728,1729,TO,INR" ;
PRB1 : calculee primrest = 0 : "Pensions brutes totales" ;
PRB2 : calculee primrest = 0 : "Pensions brutes totales" ;
PRB3 : calculee primrest = 0 : "Pensions brutes totales" ;
PRB4 : calculee primrest = 0 : "Pensions brutes totales" ;
PRBC : calculee primrest = 0 : "Pensions brutes totales" ;
PRBR1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CS : "Pensions, retraites, rentes - PAC 1" ;
PRBR2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DS : "Pensions, retraites, rentes - PAC 2" ;
PRBR3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1ES : "Pensions, retraites, rentes - PAC 3" ;
PRBR4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1FS : "Pensions, retraites, rentes - PAC 4" ;
PRBRC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BS : "Pensions, retraites, rentes - Declarant 2" ;
PRBRV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AS : "Pensions, retraites, rentes - Declarant 1" ;
PRBV : calculee primrest = 0 : "Pensions brutes totales" ;
PRC : calculee restituee primrest = 1 : "Pensions, retraites, rentes" ;
PRDS : calculee restituee primrest = 1 : "PENALITES DE LA CRDS" ;
PRDSBR : calculee primrest = 0 base : "interet de retard IR TL appliquee (en cumul)" ;
PRDSBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
PRDSD : calculee primrest = 0 : "penalites RDS" ;
PRDS_A : calculee primrest = 0 base : "PENALITES DE LA RDS" ;
PREHAB : calculee restituee primrest = 1 : "declar? habitation principale " ;
PREHABT : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VX : "Interets pret habitation principale (label BBC) - taux 40 %" ;
PREHABT2 : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VZ : "Interets pret habitation principale - taux 20 %" ;
PREHABTN2 : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VV : "Interets pret habitation principale - taux 15 %" ;
PREHABTVT : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7VT : "Interets pret habitation principale - taux 10 %" ;
PREIMP : calculee restituee primrest = 1 : "Prets etudiant : montant imputation" ;
PRELCS : calculee restituee primrest = 1 : "Prelevements sociaux CSG CRDS 17,2% - avis" ;
PRELIB : calculee restituee primrest = 1 : "revenu soumis aux prelevements liberatoires" ;
PRELIBXT : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 9 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XT : "Pensions etrangeres a 7,5 % avec credit = impot francais" ;
PRELPS : calculee restituee primrest = 1 : "Prelevements sociaux CSG CRDS PSOL 17,2% - avis" ;
PRELPSOL : calculee restituee primrest = 1 : "Prelevements sociaux PSOL 17,2% - avis" ;
PREM8_11 : calculee restituee primrest = 1 base : "Flag premier evt avec R08 ou R11" ;
PREMAIDE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7DQ : "Case a cocher 1er emploi d'un salarie a domicile" type BOOLEEN ;
PREP10C : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA pour le PERP" ;
PREP10P : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA pour le PERP" ;
PREP10V : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA pour le PERP" ;
PREREST : calculee restituee primrest = 1 : "Prets etudiant : montant restitution" ;
PREREV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8VX : "Presomption de revenu (correctif)" ;
PREREV1731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
PRESAN : calculee primrest = 0 : "pre indicateur sanction action indue ou arret acompte" ;
PRESCOMP2000 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7WN : "Prestations compensatoires - Sommes versees en 2022" ;
PRESCOMPJUGE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7WO : "Prestations compensatoires - Sommes totales 2022" ;
PRESINTER : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8WC : "Credit d'impot prets sans interet" ;
PRETUD : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UK : "Interets pret etudiant payes en 2022" type REEL ;
PRETUDANT : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TD : "Interets pret etudiant payes avant 2022" ;
PREVAUSOCANT : calculee primrest = 0 : "Total autres PS hors PAS anterieures" ;
PREVAUTSOC : calculee restituee primrest = 1 : "Autres prelevements sociaux (avis)" ;
PREVSOCNET : calculee restituee primrest = 1 : "solde des prelevements sociaux(avis)" ;
PREXNET : calculee restituee primrest = 1 : "EXO prime partage valeur - PAC" ;
PREXRET : calculee restituee primrest = 1 : "EXO prime partage valeur - PAC" ;
PRN : calculee restituee primrest = 1 : "zone batch 1507 (SAL-PR-N)" ;
PRN1 : calculee primrest = 0 : "Pensions et rentes nettes" ;
PRN1AI : calculee primrest = 0 : "pensions nettes totale" ;
PRN1AL : calculee primrest = 0 : "pensions nettes totale" ;
PRN1AM : calculee primrest = 0 : "pensions nettes totale" ;
PRN1AO : calculee primrest = 0 : "pensions nettes totale" ;
PRN1AS : calculee primrest = 0 : "pensions nettes totale" ;
PRN1AZ : calculee primrest = 0 : "pensions nettes totale" ;
PRN1BI : calculee primrest = 0 : "pensions nettes totale" ;
PRN1BL : calculee primrest = 0 : "pensions nettes totale" ;
PRN1BM : calculee primrest = 0 : "pensions nettes totale" ;
PRN1BO : calculee primrest = 0 : "pensions nettes totale" ;
PRN1BS : calculee primrest = 0 : "pensions nettes totale" ;
PRN1BZ : calculee primrest = 0 : "pensions nettes totale" ;
PRN1CI : calculee primrest = 0 : "pensions nettes totale" ;
PRN1CL : calculee primrest = 0 : "pensions nettes totale" ;
PRN1CM : calculee primrest = 0 : "pensions nettes totale" ;
PRN1CO : calculee primrest = 0 : "pensions nettes totale" ;
PRN1CS : calculee primrest = 0 : "pensions nettes totale" ;
PRN1CZ : calculee primrest = 0 : "pensions nettes totale" ;
PRN1DI : calculee primrest = 0 : "pensions nettes totale" ;
PRN1DL : calculee primrest = 0 : "pensions nettes totale" ;
PRN1DM : calculee primrest = 0 : "pensions nettes totale" ;
PRN1DO : calculee primrest = 0 : "pensions nettes totale" ;
PRN1DS : calculee primrest = 0 : "pensions nettes totale" ;
PRN1DZ : calculee primrest = 0 : "pensions nettes totale" ;
PRN1EI : calculee primrest = 0 : "pensions nettes totale" ;
PRN1EL : calculee primrest = 0 : "pensions nettes totale" ;
PRN1EM : calculee primrest = 0 : "pensions nettes totale" ;
PRN1EO : calculee primrest = 0 : "pensions nettes totale" ;
PRN1ES : calculee primrest = 0 : "pensions nettes totale" ;
PRN1EZ : calculee primrest = 0 : "pensions nettes totale" ;
PRN1FI : calculee primrest = 0 : "pensions nettes totale" ;
PRN1FL : calculee primrest = 0 : "pensions nettes totale" ;
PRN1FM : calculee primrest = 0 : "pensions nettes totale" ;
PRN1FO : calculee primrest = 0 : "pensions nettes totale" ;
PRN1FS : calculee primrest = 0 : "pensions nettes totale" ;
PRN1FZ : calculee primrest = 0 : "pensions nettes totale" ;
PRN2 : calculee primrest = 0 : "Pensions et rentes nettes" ;
PRN3 : calculee primrest = 0 : "Pensions et rentes nettes" ;
PRN4 : calculee primrest = 0 : "Pensions et rentes nettes" ;
PRNC : calculee primrest = 0 : "Pensions et rentes nettes" ;
PRNDEF1AI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1AL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1AM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1AO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1AS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1AZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1BI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1BL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1BM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1BO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1BS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1BZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1CI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1CL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1CM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1CO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1CS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1CZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1DI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1DL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1DM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1DO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1DS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1DZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1EI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1EL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1EM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1EO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1ES : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1EZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1FI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1FL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1FM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1FO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1FS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEF1FZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFFAS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFFBS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFFCS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFFDS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFFES : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFFFS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRAI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRAL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRAM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRAO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRAS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRAZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRBI : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRBL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRBM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRBO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRBS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRBZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRCK : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRCL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRCM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRCO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRCS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRCZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRDL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRDM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRDO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRDS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRDZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFREL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFREM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFREO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRES : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFREZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRFL : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRFM : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRFO : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRFS : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNDEFRFZ : calculee primrest = 0 : "Part deficit TS dans pensions nettes d'abattement de 10%" ;
PRNFAS : calculee primrest = 0 : "pensions nettes totale" ;
PRNFBS : calculee primrest = 0 : "pensions nettes totale" ;
PRNFCS : calculee primrest = 0 : "pensions nettes totale" ;
PRNFDS : calculee primrest = 0 : "pensions nettes totale" ;
PRNFES : calculee primrest = 0 : "pensions nettes totale" ;
PRNFFS : calculee primrest = 0 : "pensions nettes totale" ;
PRNN1 : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1AL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1AM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1AO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1AS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1AZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1BL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1BM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1BO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1BS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1BZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1CL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1CM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1CO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1CS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1CZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1DL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1DM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1DO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1DS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1DZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1EL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1EM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1EO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1ES : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1EZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1FL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1FM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1FO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1FS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN1FZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN2 : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN3 : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNN4 : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNC : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNFAS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNFBS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNFCS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNFDS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNFES : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNFFS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNP : calculee primrest = 0 : "pensions des personnes a charge" ;
PRNNRAL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRAM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRAO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRAS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRAZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRBL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRBM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRBO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRBS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRBZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRCL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRCM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRCO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRCS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRCZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRDL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRDM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRDO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRDS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRDZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNREL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNREM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNREO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRES : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNREZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRFL : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRFM : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRFO : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRFS : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNRFZ : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNNV : calculee primrest = 0 : "pensions nettes d'abattement de 10%" ;
PRNRAI : calculee primrest = 0 : "pensions nettes totale" ;
PRNRAL : calculee primrest = 0 : "pensions nettes totale" ;
PRNRAM : calculee primrest = 0 : "pensions nettes totale" ;
PRNRAO : calculee primrest = 0 : "pensions nettes totale" ;
PRNRAS : calculee primrest = 0 : "pensions nettes totale" ;
PRNRAZ : calculee primrest = 0 : "pensions nettes totale" ;
PRNRBI : calculee primrest = 0 : "pensions nettes totale" ;
PRNRBL : calculee primrest = 0 : "pensions nettes totale" ;
PRNRBM : calculee primrest = 0 : "pensions nettes totale" ;
PRNRBO : calculee primrest = 0 : "pensions nettes totale" ;
PRNRBS : calculee primrest = 0 : "pensions nettes totale" ;
PRNRBZ : calculee primrest = 0 : "pensions nettes totale" ;
PRNRCK : calculee primrest = 0 : "pensions nettes totale" ;
PRNRCL : calculee primrest = 0 : "pensions nettes totale" ;
PRNRCM : calculee primrest = 0 : "pensions nettes totale" ;
PRNRCO : calculee primrest = 0 : "pensions nettes totale" ;
PRNRCS : calculee primrest = 0 : "pensions nettes totale" ;
PRNRCZ : calculee primrest = 0 : "pensions nettes totale" ;
PRNRDL : calculee primrest = 0 : "pensions nettes totale" ;
PRNRDM : calculee primrest = 0 : "pensions nettes totale" ;
PRNRDO : calculee primrest = 0 : "pensions nettes totale" ;
PRNRDS : calculee primrest = 0 : "pensions nettes totale" ;
PRNRDZ : calculee primrest = 0 : "pensions nettes totale" ;
PRNREL : calculee primrest = 0 : "pensions nettes totale" ;
PRNREM : calculee primrest = 0 : "pensions nettes totale" ;
PRNREO : calculee primrest = 0 : "pensions nettes totale" ;
PRNRES : calculee primrest = 0 : "pensions nettes totale" ;
PRNREZ : calculee primrest = 0 : "pensions nettes totale" ;
PRNRFL : calculee primrest = 0 : "pensions nettes totale" ;
PRNRFM : calculee primrest = 0 : "pensions nettes totale" ;
PRNRFO : calculee primrest = 0 : "pensions nettes totale" ;
PRNRFS : calculee primrest = 0 : "pensions nettes totale" ;
PRNRFZ : calculee primrest = 0 : "pensions nettes totale" ;
PRNV : calculee primrest = 0 : "Pensions et rentes nettes" ;
PRODOM : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8ZP : "Revenus nets percus - DOM 30 %" type REEL ;
PROGUY : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8ZV : "Revenus nets percus en Guyane ou Mayotte 40 %" type REEL ;
PROPCS : calculee primrest = 0 : "nouv cor : somme PROPCSx" ;
PROPCS02 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPCS03 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPCS07 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 07 pour la CSG" ;
PROPCS08 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 08 pour la CSG" ;
PROPCS10 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 10 pour la CSG" ;
PROPCS11 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 11 pour la CSG" ;
PROPCS17 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 17 pour la CSG" ;
PROPCS31 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 31 pour la CSG" ;
PROPCS_A : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPCS_DEF : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPHR : calculee primrest = 0 : "nouv cor : somme PROPHRx" ;
PROPHR02 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPHR03 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPHR07 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 07" ;
PROPHR08 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 08" ;
PROPHR10 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 10" ;
PROPHR11 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 11" ;
PROPHR17 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 17" ;
PROPHR31 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 31" ;
PROPHR_A : calculee primrest = 0 base : " nouv cor : prorata MAJO P " type REEL ;
PROPHR_DEF : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPIR : calculee primrest = 0 : "nouv cor : somme PROPIRx" ;
PROPIR02 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 02" ;
PROPIR03 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 03" ;
PROPIR07 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 07" ;
PROPIR08 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 08" ;
PROPIR10 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 10" ;
PROPIR11 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 11" ;
PROPIR17 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO17" ;
PROPIR31 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 31" ;
PROPIR_A : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPIR_DEF : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPPS : calculee primrest = 0 : "nouv cor : somme PROPPSx" ;
PROPPS02 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPPS03 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPPS07 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 07 pour les Cot Soc" ;
PROPPS08 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 08 pour les Cot Soc" ;
PROPPS10 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 10 pour les Cot Soc" ;
PROPPS11 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 11 pour les Cot Soc" ;
PROPPS17 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO17 pour les Cot Soc" ;
PROPPS31 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 31 pour les Cot Soc" ;
PROPPSOL : calculee primrest = 0 : "nouv cor : somme PROPPSolx" ;
PROPPSOL_A : calculee restituee primrest = 0 base : "prelevement provisoire anterieur PSOL" ;
PROPPS_A : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPPS_DEF : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPRD : calculee primrest = 0 : "nouv cor : somme PROPRDx" ;
PROPRD02 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPRD03 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO " ;
PROPRD07 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 07 pour la CRDS" ;
PROPRD08 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 08 pour la CRDS" ;
PROPRD10 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 10 pour la CRDS" ;
PROPRD11 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 11 pour la CRDS" ;
PROPRD17 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 17 pour la CRDS" ;
PROPRD31 : calculee primrest = 0 : "PRORATA 1728 P CODE MAJO 31 pour la CRDS" ;
PROPRD_A : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PROPRD_DEF : calculee primrest = 0 base : " nouv cor : prorata MAJO P" type REEL ;
PRORADFANT : calculee restituee primrest = 0 base : "prorata pour DFANT 1731" ;
PRORATABA : calculee primrest = 0 : "Pro def a repartir  BA rev norm + quot pour art 1731bis" ;
PRORATALOC : calculee primrest = 0 : "Pro def a repartir  LOC rev norm + quot pour art 1731bis" ;
PRORATAPSOL : const=0.29412  ;
PRORATARF : calculee primrest = 0 : "Prorata RF pour application art 1731bis" ;
PROVIE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias RCH : "Produits d'assurance vie taxes au quotient" ;
PROVIENB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCH : "Produits d'assurance vie taxes au quotient - Nombre d'annees" ;
PRP : calculee restituee primrest = 1 : "Pensions, retraites, rentes" ;
PRQCJ : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient Conjoint" ;
PRQNC : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient Conjoint" ;
PRQNP : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient PAC" ;
PRQNV : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient Vous" ;
PRQPC : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient PAC" ;
PRQVO : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient Vous" ;
PRQZC : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient  RxZ" ;
PRQZP : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient  RxZ" ;
PRQZV : calculee restituee primrest = 1 : "pensions,retraites declarees taxees au quotient  RxZ" ;
PRR1 : calculee primrest = 0 : "Pensions nettes ordinaires - PAC" ;
PRR2 : calculee primrest = 0 : "Pensions nettes ordinaires - PAC" ;
PRR21 : calculee primrest = 0 : "Pensions nettes taxees au quotient 2 - PAC" ;
PRR21_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR22 : calculee primrest = 0 : "Pensions nettes taxees au quotient 2 - PAC" ;
PRR22_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR23 : calculee primrest = 0 : "Pensions nettes taxees au quotient 2 - PAC" ;
PRR23_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR24 : calculee primrest = 0 : "Pensions nettes taxees au quotient 2 - PAC" ;
PRR24_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2C : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient 2 - Conjoint" ;
PRR2C_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2P : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient 2 - PAC" ;
PRR2RAI : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RAL : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RAM : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RBI : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RBL : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RBM : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RCK : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RCL : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RCM : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RDL : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RDM : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2REL : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2REM : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RFL : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2RFM : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code Rxx" ;
PRR2T_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2V : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient 2 - Vous" ;
PRR2V_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2Z1 : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2Z1_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2Z2 : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2Z2_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2Z3 : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2Z3_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2Z4 : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2Z4_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2ZC : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2ZC_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2ZP : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2ZT_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR2ZV : calculee restituee primrest = 0 : "Pensions nettes taxees au quotient  - code RxZ" ;
PRR2ZV_1731 : calculee primrest = 0 : "pension quot.-  1731 " ;
PRR3 : calculee primrest = 0 : "Pensions nettes ordinaires - PAC" ;
PRR4 : calculee primrest = 0 : "Pensions nettes ordinaires - PAC" ;
PRRC : calculee primrest = 0 : "Pensions nettes ordinaires - Cjt" ;
PRRV : calculee primrest = 0 : "Pensions nettes ordinaires - Vous" ;
PRS : calculee restituee primrest = 0 : "Contribution sociale" ;
PRSE1 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere (8TQ)" ;
PRSE1_A : calculee primrest = 0 base : "correctif : total des penalites  majos 1728,1729,TO,INR" ;
PRSE2 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere (8TV)" ;
PRSE2_A : calculee primrest = 0 base : "correctif : total des penalites  majos 1728,1729,TO,INR" ;
PRSE3 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere (8TW)" ;
PRSE3_A : calculee primrest = 0 base : "correctif : total des penalites  majos 1728,1729,TO,INR" ;
PRSE4 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere (8TX)" ;
PRSE4_A : calculee primrest = 0 base : "correctif : total des penalites  majos 1728,1729,TO,INR" ;
PRSE5 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere (8TR)" ;
PRSE5_A : calculee primrest = 0 base : "correctif : total des penalites RSE5 majos 1728,1729,TO,INR" ;
PRSE6 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere CASA" ;
PRSE6_A : calculee primrest = 0 base : "correctif : total des penalites  majos 1728,1729,TO,INR" ;
PRSE8 : calculee restituee primrest = 1 : "Penalites de la CSG revenus de source etrangere 8TH 8SD" ;
PRSE8_A : calculee primrest = 0 base : "correctif : total des penalites  majos 1728,1729,TO,INR" ;
PRSNET : calculee restituee primrest = 1 : "PRS net   avant test des 160F" ;
PRSPROV : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8ZS : "Prelevement social provisoire suite a cessation, cession" ;
PRSPROV_A : calculee restituee primrest = 0 base : "prelevement provisoire anterieur" ;
PRTEFF : calculee restituee primrest = 1 : "AG 1507: cumul des pensions taux effectif" ;
PRV : calculee restituee primrest = 1 : "Pensions, retraites, rentes" ;
PRZC : calculee restituee primrest = 1 : "Pensions, retraites, rentes code 1xZ" ;
PRZP : calculee restituee primrest = 1 : "Pensions, retraites, rentes code 1xZ" ;
PRZV : calculee restituee primrest = 1 : "Pensions, retraites, rentes code 1xZ" ;
PS9YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
PS9YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
PS9YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
PS9YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
PS9YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
PSACPAS : calculee restituee primrest = 1 : "Acomptes PS" ;
PSBASE : calculee primrest = 0 : " nouv cor:base des majo PS" ;
PSBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final PS en base declaration fictive" ;
PSBASEHCOY : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
PSBASEHCOY_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
PSBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
PSBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
PSBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo PS" ;
PSIIMP : calculee restituee primrest = 1 : "Credit pret sans interet : montant impute" ;
PSIREST : calculee restituee primrest = 1 : "Credit pret sans interet : montant restitution" ;
PSNET : calculee restituee primrest = 1 : "Total des prelevements sociaux - avis" ;
PSOL : calculee restituee primrest = 1 : "Contribution sociale et solidarite" ;
PSOLBASE : calculee primrest = 0 : " nouv cor:base des majo PS" ;
PSOLBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final PS en base declaration fictive solidaire" ;
PSOLBASEHCOD : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
PSOLBASEHCOD_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
PSOLBASEMAJO_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
PSOLBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde Psol base" ;
PSOLBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
PSOLBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
PSOLBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
PSOLBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo PS" ;
PSOLBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
PSOLBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde PS 1er evenement" ;
PSOLBR : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
PSOLBR2 : calculee primrest = 0 base : "montant interets retard IR avis facture" ;
PSOLBRUT : calculee primrest = 0 : "Prelevement solidarite net avant CIMR PSOL" ;
PSOLCOMP : calculee restituee primrest = 1 : "Total PSOL" ;
PSOLCOMPANT : calculee restituee primrest = 1 : "Total PSOL anterieur" ;
PSOLMAJOP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde base majo P" ;
PSOLMAJOP_DEF : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
PSOLNET : calculee restituee primrest = 1 : "Prelevement solidarite net " ;
PSOLNET1 : calculee restituee primrest = 1 : "Prelevement solidarite net (prise en compte du seuil de 61E)" ;
PSOLNETEMP : calculee restituee primrest = 0 : "ps 2%  nette temp pour correctif " ;
PSOLTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde PSOL pour retard" ;
PSOLTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde PSOL pour retard" ;
PSOL_A : calculee primrest = 0 base : "Psol anterieur" ;
PSOL_ANT : calculee primrest = 0 : "MONTANT PSol base des INR retard traitement precedent" ;
PSOL_ANT2 : calculee primrest = 0 : "MONTANT PSol base des INR retard traitement precedent" ;
PSOL_MAJOP : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
PSOL_NTL : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant" ;
PSOL_NTL2 : calculee primrest = 0 : "MONTANT Psol base des INR NTL retard traitement courant" ;
PSOL_NTLDEC : calculee primrest = 0 base : "MONTANT Psol base des INR retard non TL traitement courant" ;
PSOL_NTLDEC_1 : calculee primrest = 0 base : "MONTANT Psol base des INR retard non TL traitement courant code 22" ;
PSOL_NTLDEC_198 : calculee primrest = 0 base : "MONTANT PSOL base des INR retard non TL traitement courant code 22" ;
PSOL_NTLDEC_22 : calculee primrest = 0 base : "MONTANT Psol base des INR retard non TL traitement courant code 22" ;
PSOL_NTLDEC_24 : calculee primrest = 0 base : "MONTANT Psol base des INR retard non TL traitement courant code 22" ;
PSOL_NTL_1 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_NTL_22 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_NTL_222 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_NTL_24 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_NTL_242 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_P : calculee primrest = 0 base : "Correctif: contribution 1%" ;
PSOL_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
PSOL_PADO : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
PSOL_PADO_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR pour DO" ;
PSOL_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
PSOL_PRI : calculee primrest = 0 base : "MONTANT PSol base des INR retard primitif" ;
PSOL_PRI2 : calculee primrest = 0 base : "MONTANT PSol base des INR retard primitif" ;
PSOL_R : calculee primrest = 0 base : "Psol social ( D REFERENCE )" ;
PSOL_R9901 : calculee primrest = 0 base : " nouv cor: psol rectifie pour calcul INR code 99 prim. " ;
PSOL_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
PSOL_R99R : calculee primrest = 0 base : " nouv cor: PSOL rectifie pour calcul INR code 99 prim. penalisee" ;
PSOL_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
PSOL_RECT : calculee primrest = 0 : "MONTANT Psol base des INR retard traitement courant" ;
PSOL_REF : calculee primrest = 0 base : "MONTANT PSOL base du calcul INR retard" ;
PSOL_REFP : calculee primrest = 0 base : "MONTANT CS initiale maj R99 et C base du calcul INR" ;
PSOL_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
PSOL_REF_INR : calculee primrest = 0 base : "MONTANT PSol base des INR TL retard traitement de reference" ;
PSOL_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde PRS pour retard" ;
PSOL_TL : calculee primrest = 0 base : "MONTANT Psol base des INR TL retard traitement courant " ;
PSOL_TL2 : calculee primrest = 0 : "MONTANT Psol base des INR TL retard traitement courant" ;
PSOL_TLDEC : calculee primrest = 0 base : "MONTANT Psol base des INR retard TL du traitement courant" ;
PSOL_TLDEC_1 : calculee primrest = 0 base : "MONTANT PSOL base des INR retard TL du traitement courant code 22" ;
PSOL_TLDEC_199 : calculee primrest = 0 base : "MONTANT Psol base des INR retard TL du traitement courant code 22" ;
PSOL_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
PSOL_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
PSOL_TL_1 : calculee primrest = 0 base : "MONTANT Psol base des INR TL retard traitement courant code 22" ;
PSOL_TL_22 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_TL_222 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_TL_24 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSOL_TL_242 : calculee primrest = 0 base : "MONTANT Psol base des INR NTL retard traitement courant code 22" ;
PSRTF : calculee primrest = 0 : "revenus au taux forfaitaire PS (avis CSG)" ;
PS_BPCOS : calculee restituee primrest = 0 : "avis csg: gains de cession" ;
PS_TL : calculee primrest = 0 base : "MONTANT PS base des INR TL retard traitement courant" ;
PTAXA : calculee restituee primrest = 1 : "PENALITE TAXAGA" ;
PTAXANEG : calculee primrest = 0 : "Penalites sur taxa negatif" ;
PTAXANETNEG : calculee primrest = 0 : "Penalites sur taxa negatif" ;
PTAXA_A : calculee primrest = 0 base : "correctif : total des penalites TAXAGA majos 1728,1729,TO,INR" ;
PTOCDIS : calculee restituee primrest = 1 : "PENALITE DE TO Contribution sociale salariale" ;
PTOCSG : calculee primrest = 0 : "PENALITES DE TO CSG" ;
PTOCSG820 : calculee restituee primrest = 0 : "PENALITE DE TO Contribution sociale 8.2" ;
PTOCVN : calculee restituee primrest = 1 : "Penalites TO CVNSAL 10% " ;
PTOGLOA : calculee restituee primrest = 0 : "PENALITE DE TO Contribution GLO (1TT 1UT)" ;
PTOIFI : calculee restituee primrest = 1 : "PENALITE de TO ifi" ;
PTOIFI22 : calculee restituee primrest = 1 : "PENALITE de TO ifi TX reduit" ;
PTOIR : calculee restituee primrest = 1 : "PENALITE DE TO IR ET 1% RCM" ;
PTOPSOL : calculee restituee primrest = 0 : "PENALITE DE TO prelevement solidarite" ;
PTORDS : calculee primrest = 0 : "PENALITES DE TO CRDS" ;
PTORSE1 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8TQ)" ;
PTORSE2 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8TV)" ;
PTORSE3 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8TW)" ;
PTORSE4 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8TX)" ;
PTORSE5 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8TR)" ;
PTORSE6 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8TR)" ;
PTORSE8 : calculee primrest = 0 : "Penalites TO CSG revenus de source etrangere (8SD 8TH)" ;
PTOT : calculee restituee primrest = 1 : "Total des penalites IR + PS" ;
PTOTAXA : calculee restituee primrest = 1 : "PENALITE DE TO TAXAGA" ;
PTOTCHR : calculee restituee primrest = 0 : "PENALITE DE to contribution haut revenus" ;
PTOTD : calculee primrest = 0 : "Total net des penalites IR + 1% RCM + PS" ;
PTOTIRCS : calculee restituee primrest = 1 : "Total des penalites IR,  PS et les autres" ;
PTOTPCAP : calculee restituee primrest = 0 : "penalite total pension versee en capital" ;
PTOT_A : calculee primrest = 0 base : "Correctif: Total des penalites IR + PS" ;
PTPS10C : calculee primrest = 0 : "abattement 10% brut pour le PERP" ;
PTPS10P : calculee primrest = 0 : "abattement 10% brut pour le PERP" ;
PTPS10V : calculee primrest = 0 : "abattement 10% brut pour le PERP" ;
PV : calculee primrest = 0 : " nouv cor:taxation 2042_INIT pour la TL: sauvegard PV" ;
PVBAR : calculee primrest = 0 : "Partie de PV passant au bareme " ;
PVBAR3SB : calculee restituee primrest = 1 : "Partie de PV passant au bareme  3SB 3WB 3WI " ;
PVBAR3VAVB : calculee restituee primrest = 0 : "Partie de PV passant au bareme  si 3VA et ou 3VB" ;
PVBAR3VG : calculee restituee primrest = 1 : "Partie de PV passant au bareme 3VG 3SB 3WB 3WI 3VL" ;
PVBARHR : calculee primrest = 0 : "Partie de PV passant au bareme  hauts revenus" ;
PVBARHRPA : calculee primrest = 0 : "Partie de PV passant au bareme calcul abt PA  CHR" ;
PVBARPA : calculee primrest = 0 : "Partie de PV passant au bareme calcul abt PA tx eff" ;
PVBARPS : calculee primrest = 0 : "Partie de PV passant au bareme  PS" ;
PVBNCFOYER : calculee primrest = 0 : "Montant Plus Values total BNC prof et non prof" ;
PVCODNVG : calculee primrest = 0 : "Partie de PV nbre annee NVG+NUA modulation" ;
PVCODRUA : calculee primrest = 0 : "Partie de PV quotient au bareme RUA-RVA-RSL" ;
PVCODRVG : calculee primrest = 0 : "Partie de PV quotient au bareme RVG-RSG nor" ;
PVCREA : calculee restituee primrest = 1 base : "PV en sursis de paiement (3WA + RWA)" ;
PVCREB : calculee restituee primrest = 1 base : "PV en sursis de paiement (3WB + RWB)" ;
PVEXOSEC : saisie revenu classe = 8 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3VW : "Plus-values exonerees residence secondaire" ;
PVIMMO : saisie revenu classe = 0 priorite = 60 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3VZ : "Plus-values immobilieres" ;
PVIMPOS : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3WB : "Plus-values et creances sans sursis de paiement taxables a l'IR " ;
PVINCE : saisie revenu classe = 4 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5NT : "BNC non professionnels - Plus-values a 12,8 % - Declarant 2 " ;
PVINDUSBA : calculee primrest = 0 : "PV revenus propriete industrielle non professionnels BA" ;
PVINDUSNONPRO : calculee primrest = 0 : "PV revenus propriete industrielle non professionnels BNC" ;
PVINDUSNONPRO1 : calculee primrest = 0 : "PV revenus propriete indus non pro BNC dec1" ;
PVINDUSNONPRO2 : calculee primrest = 0 : "PV revenus propriete indus non pro BNC dec2" ;
PVINDUSNONPRO3 : calculee primrest = 0 : "PV revenus propriete indus non pro BNC dec3" ;
PVINDUSNP : calculee primrest = 0 : "PV revenus propriete industrielle  non professionnels" ;
PVINDUSNPBIC : calculee primrest = 0 : "PV revenus propriete industrielle  non professionnels" ;
PVINDUSP : calculee primrest = 0 : "PV revenus propriete industrielle professionnels" ;
PVINDUSPBIC : calculee primrest = 0 : "PV revenus propriete industrielle professionnels BIC" ;
PVINDUSPBNC : calculee primrest = 0 : "PV revenus propriete industrielle non professionnels BNC" ;
PVINDUSPRO : calculee primrest = 0 : "PV revenus propriete industrielle professionnels BNC" ;
PVINPE : saisie revenu classe = 4 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5OT : "BNC non professionnels. Plus-values a 12,8 % - PAC" ;
PVINVE : saisie revenu classe = 0 priorite = 42 categorie_TL = 21 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5SO : "BNC non professionnels - Plus-values a 12,8 % - Declarant 1" ;
PVMOBNR : saisie revenu classe = 0 priorite = 60 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3SE : "Plus-value de cession de valeurs mobilieres non residents" ;
PVMTS : calculee restituee primrest = 1 base : "Impot plus-values mobilieres au taux specifique" ;
PVQ_INIT : calculee primrest = 0 base : " nouv cor:taxation 2042_INIT pour la TL: sauvegard PVQ" ;
PVQ_RECT : calculee primrest = 0 base : " nouv cor:taxation 2042_RECT pour la TL: sauvegarde PVQ" ;
PVQ_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde PVQ" ;
PVREP8 : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 3VX : "Code X - Plus-value en report d'imposition : montant > 10 chiffres" type BOOLEEN ;
PVREPORT : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3WH : "PV 2022 avant abattement en report d'imposition (art.150-0 B ter) " ;
PVRVGRUA : calculee restituee primrest = 1 : "Partie de PV quotient au bareme RVG RUA" ;
PVSOCC : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5IG : "Plus-values exo. a imposer aux contributions sociales - Declarant 2" ;
PVSOCV : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 5HG : "Plus-values exonerees a imposer aux contrib. sociales - Declarant 1" ;
PVSURSI : saisie revenu classe = 0 priorite = 60 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3WA : "Plus-values et creances taxables a l'IR en sursis de paiement" ;
PVTAUX : calculee primrest = 0 : "Partie de PV a taux proportionnel " ;
PVTAUXPS : calculee primrest = 0 : "Partie de PV a taux proportionnel  PS" ;
PVTAXSB : saisie revenu classe = 8 priorite = 42 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 3SB : "Plus-values avec report expire en 2022" ;
PVTERPS : calculee restituee primrest = 1 : "Partie de PV pour RFR" ;
PVTITRESOC : saisie revenu classe = 0 priorite = 60 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 6 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 3WE : "Complement de prix percu en 2022" ;
PVTXEFF : calculee primrest = 0 : "Calcul des  PV pour corriger 8ZR ou 8ZN pour RFR" ;
PVTXEFF2 : calculee primrest = 0 : "Calcul des  PV pour corriger 8ZR ou 8ZN pour RFR" ;
PVTXEFF2HR : calculee primrest = 0 : "Calcul des  PV pour corriger 8ZR ou 8ZN pour RFR HR" ;
PVTXEFFHR : calculee primrest = 0 : "Calcul des  PV pour corriger 8ZR ou 8ZN pour RFR Hauts revenus" ;
PVTZBIS : calculee primrest = 0 : "Partie de PV pour PS" ;
PVTZPS : calculee primrest = 0 : "Partie de PV pour RFR" ;
PV_INIT : calculee primrest = 0 base : " nouv cor:taxation 2042_INIT pour la TL: sauvegard PV" ;
PV_RECT : calculee primrest = 0 base : " nouv cor:taxation 2042_RECT pour la TL: sauvegarde PV" ;
PV_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde PV" ;
QF011 : calculee primrest = 0 : "Quotient familial" ;
QF012 : calculee primrest = 0 : "Quotient familial" ;
QF014 : calculee primrest = 0 : "Quotient familial" ;
QF015 : calculee primrest = 0 : "Quotient familial" ;
QF016 : calculee primrest = 0 : "Quotient familial 8VV art.168" ;
QF021 : calculee primrest = 0 : "Quotient familial" ;
QF022 : calculee primrest = 0 : "Quotient familial" ;
QF024 : calculee primrest = 0 : "Quotient familial" ;
QF025 : calculee primrest = 0 : "Quotient familial tx moyen 2 parts tx moyen" ;
QF026 : calculee primrest = 0 : "Quotient familial 8VV art.168" ;
QF511 : calculee primrest = 0 : "Quotient familial" ;
QF512 : calculee primrest = 0 : "Quotient familial" ;
QF515 : calculee primrest = 0 : "Quotient familial" ;
QF521 : calculee primrest = 0 : "Quotient familial" ;
QF522 : calculee primrest = 0 : "Quotient familial" ;
QF525 : calculee primrest = 0 : "Quotient familial tx moyen 2 parts" ;
QUOKIRE : calculee restituee primrest = 1 : "revenus au quotient>>=2 servant pour REVKIRE" ;
QUOKIREHR : calculee restituee primrest = 1 : "revenus au quotient>>=2 servant pour REVKIRE haut revenu" ;
R14BA : calculee primrest = 0 : "revenus foncier nets du deficit 4BB" ;
R15HC : calculee restituee primrest = 0 : " BA" ;
R15IC : calculee restituee primrest = 0 : " BA" ;
R15JC : calculee restituee primrest = 0 : " BA" ;
R15JG : calculee restituee primrest = 0 : " BNC  " ;
R15KC : calculee primrest = 0 : "BIC pro net sous CGA pour 5KC" ;
R15LC : calculee primrest = 0 : "BIC pro net sous CGA pour 5LC" ;
R15MC : calculee primrest = 0 : "BIC pro net sous CGA pour 5MC" ;
R15NC : calculee primrest = 0 : "BIC non pro net sous CGA pour 5NC" ;
R15OC : calculee primrest = 0 : "BIC non pro net sous CGA pour 5OC" ;
R15PC : calculee primrest = 0 : "BIC non pro net sous CGA pour 5OC" ;
R15QC : calculee restituee primrest = 0 : " BNC  " ;
R15RC : calculee restituee primrest = 0 : " BNC  " ;
R15RF : calculee restituee primrest = 0 : " BNC  " ;
R15SC : calculee restituee primrest = 0 : " BNC  " ;
R15SF : calculee restituee primrest = 0 : " BNC  " ;
R15XJ : calculee restituee primrest = 0 : " BNC  " ;
R15XS : calculee restituee primrest = 0 : " BNC  " ;
R15YJ : calculee restituee primrest = 0 : " BNC  " ;
R15YS : calculee restituee primrest = 0 : " BNC  " ;
R15ZJ : calculee restituee primrest = 0 : " BNC  " ;
R15ZS : calculee restituee primrest = 0 : " BNC  " ;
R1649 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8WW : "Transfert de fonds a l'etranger (correctif)" ;
R16491731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
R1CJG : calculee restituee primrest = 0 : " BNC  " ;
R1CQC : calculee restituee primrest = 0 : " BNC  " ;
R1CRC : calculee restituee primrest = 0 : " BNC  " ;
R1CRF : calculee restituee primrest = 0 : " BNC  " ;
R1CSC : calculee restituee primrest = 0 : " BNC  " ;
R1CSF : calculee restituee primrest = 0 : " BNC  " ;
R1RBA : calculee primrest = 0 : "revenus foncier nets du deficit 4BB" ;
R1SBA : calculee primrest = 0 : "revenus foncier nets du deficit 4BB" ;
R24BA : calculee primrest = 0 : "Revenus fonciers net du deficit 4BC" ;
R25HIC : calculee primrest = 0 : "BA hors CGA - PAS - variable intermediaire pour ron2pas conjoint" ;
R25HIP : calculee primrest = 0 : "BA hors CGA - PAS - variable intermediaire pour ron2pas PAC" ;
R25HIV : calculee primrest = 0 : "BA hors CGA - PAS - variable intermediaire pour ron2pas vous" ;
R25KI : calculee primrest = 0 : "BIC pro net hors CGA pour 5KI" ;
R25LI : calculee primrest = 0 : "BIC pro net hors CGA pour 5LI" ;
R25MI : calculee primrest = 0 : "BIC pro net hors CGA pour 5MI" ;
R25NI : calculee primrest = 0 : "BIC non pro net hors CGA pour 5NI" ;
R25NS : calculee primrest = 0 : "BNC non pro net hors CGA pour 5NS" ;
R25OI : calculee primrest = 0 : "BIC non pro net hors CGA pour 5OI" ;
R25OS : calculee primrest = 0 : "BNC non pro net hors CGA pour 5OS" ;
R25PI : calculee primrest = 0 : "BIC non pro net hors CGA pour 5PI" ;
R25SN : calculee primrest = 0 : "BNC non pro net hors CGA pour 5SN" ;
R2BA : calculee primrest = 0 : "revenus fonciers nets du deficit 4BC" ;
R2MAJ5HI : calculee primrest = 0 : "BA hors CGA - PAS - total rev soumis aux acomptes - Declarant 1" ;
R2MAJ5II : calculee primrest = 0 : "BA hors CGA - PAS - total rev soumis aux acomptes - Declarant 2" ;
R2MAJ5JI : calculee primrest = 0 : "BA hors CGA - PAS - total rev soumis aux acomptes - Declarant 3" ;
R2MAJ5KI : calculee primrest = 0 : "BIC pro net hors CGA pour 5KI majore" ;
R2MAJ5LI : calculee primrest = 0 : "BIC pro net hors CGA pour 5LI majore" ;
R2MAJ5MI : calculee primrest = 0 : "BIC pro net hors CGA pour 5MI majore" ;
R2MAJ5NI : calculee primrest = 0 : "BIC pro net hors CGA pour 5NI majore" ;
R2MAJ5NS : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5OI : calculee primrest = 0 : "BIC pro net hors CGA pour 5OI majore" ;
R2MAJ5OS : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5PI : calculee primrest = 0 : "BIC pro net hors CGA pour 5PI majore" ;
R2MAJ5QI : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5RI : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5SI : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5SN : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5XX : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5YX : calculee restituee primrest = 0 : " BNC  " ;
R2MAJ5ZX : calculee restituee primrest = 0 : " BNC  " ;
R2MAJCNS : calculee restituee primrest = 0 : " BNC  " ;
R2MAJCOS : calculee restituee primrest = 0 : " BNC  " ;
R2MAJCQI : calculee restituee primrest = 0 : " BNC  " ;
R2MAJCRI : calculee restituee primrest = 0 : " BNC  " ;
R2MAJCSI : calculee restituee primrest = 0 : " BNC  " ;
R2MAJCSN : calculee restituee primrest = 0 : " BNC  " ;
R2PLAFPME21 : calculee restituee primrest = 1 : "Plaft reduc souscrip. capital petites 2021 limite 13000" ;
R2RBA : calculee primrest = 0 : "Revenus fonciers net du deficit 4BC" ;
R2SBA : calculee primrest = 0 : "Revenus fonciers net du deficit 4BC" ;
R34BA : calculee primrest = 0 : "Revenus fonciers nets imposables" ;
R35NA : calculee primrest = 0 : "Variable intermediaire pour LOCNPASSPSV" ;
R35NK : calculee primrest = 0 : "Variable intermediaire pour LOCNPASSPSV" ;
R35OA : calculee primrest = 0 : "Variable intermediaire pour LOCNPASSPSC" ;
R35OK : calculee primrest = 0 : "Variable intermediaire pour LOCNPASSPSC" ;
R35PA : calculee primrest = 0 : "Variable intermediaire pour LOCNPASSPSP" ;
R35PK : calculee primrest = 0 : "Variable intermediaire pour LOCNPASSPSP" ;
R3BA : calculee primrest = 0 : "R2/BA- 4BD" ;
R3CGAC : calculee primrest = 0 : "Total locations meublees non pro sous CGA (dec2)" ;
R3CGAP : calculee primrest = 0 : "Total locations meublees non pro sous CGA (Pac)" ;
R3CGAV : calculee primrest = 0 : "Total locations meublees non pro sous CGA (dec1)" ;
R3LOCC : calculee primrest = 0 : "loc. meublee non pro hors cga sans majoration" ;
R3LOCP : calculee primrest = 0 : "loc. meublee non pro hors cga sans majoration" ;
R3LOCV : calculee primrest = 0 : "loc. meublee non pro hors cga sans majoration" ;
R3NOCGAC : calculee primrest = 0 : "Total locations meublees non pro hors CGA (dec2)" ;
R3NOCGAP : calculee primrest = 0 : "Total locations meublees non pro hors CGA (Pac)" ;
R3NOCGAV : calculee primrest = 0 : "Total locations meublees non pro hors CGA (dec1)" ;
R3RBA : calculee primrest = 0 : " R2/BA- 4BD" ;
R3SBA : calculee primrest = 0 : "RF net imposables au quotient" ;
R4BE : calculee primrest = 0 : "R/4BE net- 4BD" ;
R4BK : calculee primrest = 0 : "RF quotient" ;
R4BL : calculee primrest = 0 : "Revenus fonciers 4BL" ;
R8ZT : calculee restituee primrest = 1 : "Retenu 8ZT (limite au RBG)" ;
RAA : calculee primrest = 0 : "Reduction aide alimentaire particulier" ;
RAALIM : calculee primrest = 0 : "Reduction aide alimentaire particulier" ;
RAFORET : calculee primrest = 0 : "Reduction cotisation defense des foret contre incendie" ;
RAGRI : calculee primrest = 0 : "Reduction interets differe de paiement accorde aux agriculteurs" ;
RAH : calculee primrest = 0 : "Reduction depense d'hebergement" ;
RANDJ : calculee primrest = 0 : "Reduction asso culturelles" ;
RAPBA_REP02 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP03 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP04 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP05 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP06 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP30 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPBA_REP55 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPCI_INIT : calculee restituee primrest = 0 base : "nouv cor: A COMPLETER!!!" ;
RAPCI_RECT : calculee restituee primrest = 0 base : "Montant des credits d ' impot en base saisi dans le rappel" ;
RAPCI_TL : calculee restituee primrest = 0 base : "nouv cor: A COMPLETER!!!" ;
RAPCO_N01 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N02 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N03 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N04 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N05 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N06 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N30 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_N55 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP02 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP03 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP04 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP05 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP06 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP30 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPCO_REP55 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP02 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP03 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP04 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP05 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP06 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP30 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPLO_REP55 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP02 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP03 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP04 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP05 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP06 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP30 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPNC_REP55 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPRESSE : calculee primrest = 0 : "Reduction souscription capital presse" ;
RAPRF_REP02 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP03 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP04 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP05 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP06 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP30 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAPRF_REP55 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RAP_CAP : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur prelevement liberatoire" ;
RAP_CDIS : calculee primrest = 0 : "nouv cor : difference taxation 2042_INIT et 2042_TL sur Cdis" ;
RAP_CHR : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur contrib. hauts revenus" ;
RAP_CI : calculee primrest = 0 base : " nouv cor: difference taxation 2042_INIT et 2042_TL sur CI" ;
RAP_CRDS : calculee primrest = 0 : " nouv cor:difference taxation 2042_INIT et 2042_TL sur CRDS " ;
RAP_CVN : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur CVN" ;
RAP_EFF : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur revenus taux effectif" ;
RAP_GLO : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur Glo" ;
RAP_MCSG820 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur MSG820" ;
RAP_PATNET : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur PATNET" ;
RAP_PSOL : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur PSOL" ;
RAP_PV : calculee primrest = 0 : " nouv cor:difference taxation 2042_INIT et 2042_TL sur PV " ;
RAP_PVQ : calculee primrest = 0 : " nouv cor:difference taxation 2042_INIT et 2042_TL sur PVQ " ;
RAP_RDS : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RDS " ;
RAP_RI : calculee primrest = 0 : " nouv cor: difference taxation 2042_INIT et 2042_TL sur RI" ;
RAP_RNI : calculee primrest = 0 : " nouv cor:difference taxation 2042_INIT et 2042_TL sur RNI " ;
RAP_RSE1 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE1" ;
RAP_RSE2 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE2" ;
RAP_RSE3 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE3" ;
RAP_RSE4 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE4" ;
RAP_RSE5 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE5" ;
RAP_RSE6 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE6" ;
RAP_RSE8 : calculee primrest = 0 : "Difference taxation 2042_INIT et 2042_TL sur RSE8" ;
RAP_TAXAGA : calculee primrest = 0 : "nouv cor : difference taxation 2042_INIT et 2042_TL sur TAXAGA" ;
RAP_UTI01 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI02 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI03 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI04 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI05 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI06 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI07 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI08 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI09 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI10 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI11 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI12 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI30 : calculee primrest = 0 : "TOTAL DES RAPPELS UTILES DE L'EXERCICE CODE MAJO 30 (8WW)" ;
RAP_UTI31 : calculee primrest = 0 : "nouv cor = NUNV" ;
RAP_UTI55 : calculee restituee primrest = 0 : "nouv cor = NUNV" ;
RASACOCS : calculee restituee primrest = 1 base : "Acomptes preleves CSG CRDS - avis" ;
RASACOIR : calculee restituee primrest = 1 base : "Acomptes preleves IR - avis" ;
RASACOPS : calculee restituee primrest = 1 : "Acomptes preleves PS - avis" ;
RASACOPSOL : calculee restituee primrest = 1 base : "Acomptes preleves PSOL - avis" ;
RASACTOTIR : calculee restituee primrest = 1 : "Total acompte annuel foyer PAS IR" ;
RASACTOTPS : calculee restituee primrest = 1 : "Total acompte annuel foyer PAS PS" ;
RASASSO1 : calculee restituee primrest = 1 : "Base gerant art 62 acompte PAS - declarant 1" ;
RASASSO1N : calculee primrest = 0 : "Base gerant art 62 acompte PAS - declarant 1" ;
RASASSO2 : calculee restituee primrest = 1 : "Base gerant art 62 acompte PAS - declarant 2" ;
RASASSO2N : calculee primrest = 0 : "Base gerant art 62 acompte PAS - declarant 2" ;
RASASSOF1 : calculee restituee primrest = 1 : "Montant acompte annuel revenus gerants foyer - Declarant 1" ;
RASASSOF2 : calculee restituee primrest = 1 : "Montant acompte annuel revenus gerants foyer - Declarant 2" ;
RASASSOFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel gerant foyer - Declarant 1" ;
RASASSOFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel gerant foyer - Declarant 2" ;
RASASSOFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel gerant foyer - Declarant 1" ;
RASASSOFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel gerant foyer - Declarant 2" ;
RASASSOI1 : calculee restituee primrest = 1 : "Montant acompte annuel revenus gerants indiv - Declarant 1" ;
RASASSOI2 : calculee restituee primrest = 1 : "Montant acompte annuel revenus gerants indiv - Declarant 2" ;
RASASSOIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel geran indiv - Declarant 1" ;
RASASSOIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel geran indiv - Declarant 2" ;
RASASSOIT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel geran indiv - Declarant 1" ;
RASASSOIT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel geran indiv - Declarant 2" ;
RASASSOP : calculee restituee primrest = 1 : "Base gerant art 62 acompte PAS - PAC" ;
RASASSOPN : calculee primrest = 0 : "Base gerant art 62 acompte PAS - PAC" ;
RASATDEC1IR : calculee primrest = 0 : "RAS attendu dec1" ;
RASATDEC2IR : calculee primrest = 0 : "RAS attendu dec2" ;
RASAUSA1 : calculee restituee primrest = 1 : "Base Agassu acompte PAS - declarant 1" ;
RASAUSA1N : calculee primrest = 0 : "Base Agassu acompte PAS - declarant 1" ;
RASAUSA2 : calculee restituee primrest = 1 : "Base Agassu acompte PAS - declarant 2" ;
RASAUSA2N : calculee primrest = 0 : "Base Agassu acompte PAS - declarant 2" ;
RASAUSAF1 : calculee restituee primrest = 1 : "Montant acompte annuel autres revenus foyer - Declarant 1" ;
RASAUSAF2 : calculee restituee primrest = 1 : "Montant acompte annuel autres revenus foyer - Declarant 2" ;
RASAUSAFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel agassu foyer - Declarant 1" ;
RASAUSAFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel agassu foyer - Declarant 2" ;
RASAUSAFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel agassu foyer - Declarant 1" ;
RASAUSAFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel agassu foyer - Declarant 2" ;
RASAUSAI1 : calculee restituee primrest = 1 : "Montant acompte annuel autres revenus indiv - Declarant 1" ;
RASAUSAI2 : calculee restituee primrest = 1 : "Montant acompte annuel autres revenus indiv - Declarant 2" ;
RASAUSAIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel agassu indiv - Declarant 1" ;
RASAUSAIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel agassu indiv - Declarant 2" ;
RASAUSAIT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel agassu indiv - Declarant 1" ;
RASAUSAIT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel agassu indiv - Declarant 2" ;
RASBA1 : calculee restituee primrest = 1 : "Base BA acompte PAS - Declarant 1" ;
RASBA1N : calculee primrest = 0 : "Base BA acompte PAS - Declarant 1" ;
RASBA2 : calculee restituee primrest = 1 : "Base BA acompte PAS - Declarant 2" ;
RASBA2N : calculee primrest = 0 : "Base BA acompte PAS - Declarant 2" ;
RASBAF1 : calculee restituee primrest = 1 : "Montant acompte annuel BA foyer - Declarant 1" ;
RASBAF2 : calculee restituee primrest = 1 : "Montant acompte annuel BA foyer - Declarant 2" ;
RASBAFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel BA foyer - Declarant 1" ;
RASBAFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel BA foyer - Declarant 2" ;
RASBAFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel BA foyer - Declarant 1" ;
RASBAFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel BA foyer - Declarant 2" ;
RASBAI1 : calculee restituee primrest = 1 : "Montant acompte annuel BA indiv - Declarant 1" ;
RASBAI2 : calculee restituee primrest = 1 : "Montant acompte annuel BA indiv - Declarant 2" ;
RASBAIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel BA indiv - Declarant 1" ;
RASBAIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel BA indiv - Declarant 2" ;
RASBAIT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel BA indiv - Declarant 1" ;
RASBAIT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel BA indiv - Declarant 2" ;
RASBAP : calculee restituee primrest = 1 : "Base BA acompte PAS - PAC" ;
RASBAPN : calculee primrest = 0 : "Base BA acompte PAS - PAC" ;
RASBIC1 : calculee restituee primrest = 1 : "Base BIC acompte PAS - Declarant 1" ;
RASBIC1N : calculee primrest = 0 : "Base BIC acompte PAS - Declarant 1" ;
RASBIC2 : calculee restituee primrest = 1 : "Base BIC acompte PAS - Declarant 2" ;
RASBIC2N : calculee primrest = 0 : "Base BIC acompte PAS - Declarant 2" ;
RASBICF1 : calculee restituee primrest = 1 : "Montant acompte annuel BIC foyer - Declarant 1" ;
RASBICF2 : calculee restituee primrest = 1 : "Montant acompte annuel BIC foyer - Declarant 2" ;
RASBICFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel BIC foyer - Declarant 1" ;
RASBICFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel BIC foyer - Declarant 2" ;
RASBICFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel BIC foyer - Declarant 1" ;
RASBICFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel BIC foyer - Declarant 2" ;
RASBICI1 : calculee restituee primrest = 1 : "Montant acompte annuel BIC indiv - Declarant 1" ;
RASBICI2 : calculee restituee primrest = 1 : "Montant acompte annuel BIC indiv - Declarant 2" ;
RASBICIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel BIC indiv - Declarant 1" ;
RASBICIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel BIC indiv - Declarant 2" ;
RASBICIT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel BIC indiv - Declarant 1" ;
RASBICIT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel BIC indiv - Declarant 2" ;
RASBICM1 : calculee restituee primrest = 1 : "Total acompte BIC mensuel (IR + PS) PAS - dec1" ;
RASBICM2 : calculee restituee primrest = 1 : "Total acompte BIC mensuel (IR + PS) PAS - dec2" ;
RASBICP : calculee restituee primrest = 1 : "Base BIC acompte PAS - PAC" ;
RASBICPN : calculee primrest = 0 : "Base BIC acompte PAS - PAC" ;
RASBNC1 : calculee restituee primrest = 1 : "Base BNC acompte PAS - Declarant 1" ;
RASBNC1N : calculee primrest = 0 : "Base BNC acompte PAS - Declarant 1" ;
RASBNC2 : calculee restituee primrest = 1 : "Base BNC acompte PAS - Declarant 2" ;
RASBNC2N : calculee primrest = 0 : "Base BNC acompte PAS - Declarant 2" ;
RASBNCF1 : calculee restituee primrest = 1 : "Montant acompte annuel BNC foyer - Declarant 1" ;
RASBNCF2 : calculee restituee primrest = 1 : "Montant acompte annuel BNC foyer - Declarant 2" ;
RASBNCFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel BNC foyer - Declarant 1" ;
RASBNCFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel BNC foyer - Declarant 2" ;
RASBNCFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel BNC foyer - Declarant 1" ;
RASBNCFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel BNC foyer - Declarant 2" ;
RASBNCI1 : calculee restituee primrest = 1 : "Montant acompte annuel BNC indiv - Declarant 1" ;
RASBNCI2 : calculee restituee primrest = 1 : "Montant acompte annuel BNC indiv - Declarant 2" ;
RASBNCIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel BNC indiv - Declarant 1" ;
RASBNCIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel BNC indiv - Declarant 2" ;
RASBNCIT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel BNC indiv - Declarant 1" ;
RASBNCIT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel BNC indiv - Declarant 2" ;
RASBNCP : calculee restituee primrest = 1 : "Base BNC acompte PAS - PAC" ;
RASBNCPN : calculee primrest = 0 : "Base BNC acompte PAS - PAC" ;
RASCTXCS : calculee restituee primrest = 1 base : "Restitutions deja accordees CSG CRDS - avis" ;
RASCTXIR : calculee restituee primrest = 1 base : "Restitutions deja accordees IR - avis" ;
RASCTXPS : calculee restituee primrest = 1 base : "Restitutions deja accordees PS - avis" ;
RASCTXPSOL : calculee restituee primrest = 1 base : "Restitutions deja accordees PSOL - avis" ;
RASEXCEDIR : calculee restituee primrest = 1 : "Total acomptes IR verses excedant acomptes calcules" ;
RASEXCEDPS : calculee restituee primrest = 1 : "Total acomptes PS verses excedant acomptes calcules" ;
RASGASSUP : calculee restituee primrest = 1 : "Base rev autre salaire acompte PAS - PAC" ;
RASGASSUPN : calculee primrest = 0 : "Base rev autre salaire acompte PAS - PAC" ;
RASGL4 : calculee primrest = 0 : "RAS Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
RASGL4C : calculee primrest = 0 : "RAS Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
RASGL4P : calculee primrest = 0 : "RAS Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
RASGL4V : calculee primrest = 0 : "RAS Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
RASGLF1 : calculee primrest = 0 : "RAS pensions footballeurs imposables - Vous" ;
RASGLF2 : calculee primrest = 0 : "RAS pensions footballeurs imposables - Vous" ;
RASGLF3 : calculee primrest = 0 : "RAS pensions footballeurs imposables - Vous" ;
RASGLF4 : calculee primrest = 0 : "RAS pensions footballeurs imposables - Vous" ;
RASGLFC : calculee primrest = 0 : "RAS pensions footballeurs imposables - Conjoint" ;
RASGLFTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLFV : calculee primrest = 0 : "RAS pensions footballeurs imposables - Vous" ;
RASGLPALIM1 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPALIM2 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPALIM3 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPALIM4 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPALIMC : calculee primrest = 0 : "RAS Revenus au quotient pension alimentaire" ;
RASGLPALIMTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer pension alimentaire" ;
RASGLPALIMV : calculee primrest = 0 : "RAS Revenus au quotient pension alimentaire" ;
RASGLPRR1 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRR2 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRR3 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRR4 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRRC : calculee primrest = 0 : "RAS Revenus au quotient pension normale" ;
RASGLPRRTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer pension normale" ;
RASGLPRRV : calculee primrest = 0 : "RAS Revenus au quotient pension normale" ;
RASGLPRRZ1 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRRZ2 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRRZ3 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRRZ4 : calculee primrest = 0 : "RAS  imposables " ;
RASGLPRRZC : calculee primrest = 0 : "RAS Revenus au quotient pension normale code RxZ" ;
RASGLPRRZV : calculee primrest = 0 : "RAS Revenus au quotient pension normale code RxZ" ;
RASGLRAF : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRAG : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRAI : calculee primrest = 0 : "RAS Revenus au quotient nets imposables" ;
RASGLRAL : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRAM : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRBF : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRBG : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRBI : calculee primrest = 0 : "RAS Revenus au quotient nets imposables" ;
RASGLRBL : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRBM : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRCF : calculee primrest = 0 : "quotient " ;
RASGLRCG : calculee primrest = 0 : "RAS  imposables " ;
RASGLRCK : calculee primrest = 0 : "RAS Revenus au quotient nets imposables" ;
RASGLRCL : calculee primrest = 0 : "RAS  imposables " ;
RASGLRCM : calculee primrest = 0 : "RAS  imposables " ;
RASGLRCMCH : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRCMDC : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRCMFU : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRCMGO : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRCMTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLRCMTR : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRCMTS : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRCMYY : calculee primrest = 0 : "RAS Revenus au quotient " ;
RASGLRDF : calculee primrest = 0 : "quotient " ;
RASGLRDG : calculee primrest = 0 : "RAS  imposables " ;
RASGLRDL : calculee primrest = 0 : "RAS  imposables " ;
RASGLRDM : calculee primrest = 0 : "RAS  imposables " ;
RASGLREF : calculee primrest = 0 : "quotient " ;
RASGLREL : calculee primrest = 0 : "RAS  imposables " ;
RASGLREM : calculee primrest = 0 : "RAS  imposables " ;
RASGLRF1 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRF2 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRF3 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRFF : calculee primrest = 0 : "quotient " ;
RASGLRFG : calculee primrest = 0 : "RAS  imposables " ;
RASGLRFL : calculee primrest = 0 : "RAS  imposables " ;
RASGLRFM : calculee primrest = 0 : "RAS  imposables " ;
RASGLRFTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLRGG : calculee primrest = 0 : "RAS  imposables " ;
RASGLRUA : calculee primrest = 0 : "RAS Revenus au quotient NUA hors revenus footballeurs nets imposables" ;
RASGLRVG : calculee primrest = 0 : "RAS Revenus au quotient NVG hors revenus footballeurs nets imposables" ;
RASGLRVO : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRVO5 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRVO5R : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRVO6 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRVO6R : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRVO7 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
RASGLRVO7R : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRVOR : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
RASGLRVOTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLRWA : calculee primrest = 0 : "RAS Revenus au quotient NWA hors revenus footballeurs nets imposables" ;
RASGLRWB : calculee primrest = 0 : "RAS Revenus au quotient NWB hors revenus footballeurs nets imposables" ;
RASGLTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLTS1 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTS2 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTS3 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTS4 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTSC : calculee primrest = 0 : "RAS Traitements AFN imposables Conjoint" ;
RASGLTSREMP1 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTSREMP2 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTSREMP3 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTSREMP4 : calculee primrest = 0 : "RAS  imposables " ;
RASGLTSREMPC : calculee primrest = 0 : "RAS Traitements  imposables quotient" ;
RASGLTSREMPTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLTSREMPV : calculee primrest = 0 : "RAS Traitements  imposables quotient" ;
RASGLTSTOT : calculee primrest = 0 : "RAS gain levee  quotient total foyer " ;
RASGLTSV : calculee primrest = 0 : "RAS Traitements AFN imposables Vous" ;
RASIPAE : calculee restituee primrest = 1 : "Impot paye etranger IPAE pour REGCO 1 et 3" ;
RASIPQ1001 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQ1001C : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x Conj" ;
RASIPQ1001V : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x Vous" ;
RASIPQ31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQ41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQ41C : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQ41P : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQ41V : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQF11 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQF21 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQF31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQF41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQFC1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQFV1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPALIM11 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPALIM21 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPALIM31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPALIM41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPALIMC1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPALIMV1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRR11 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRR21 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRR31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRR41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRRC1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQPRRV1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQPRRZ11 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRRZ21 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRRZ31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRRZ41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQPRRZC1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQPRRZV1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRAF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRAG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRAI1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRAL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRAM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRBF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRBG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRBI1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRBL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRBM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRCF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRCG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRCK1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRCL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRCM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRCMCH1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRCMDC1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRCMFU1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRCMGO1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRCMTR1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRCMTS1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRCMYY1 : calculee primrest = 0 : "RAS  droits quotient RYY" ;
RASIPQRDF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRDG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRDL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRDM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQREF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQREL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQREM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRF11 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRF21 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRF31 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRFF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRFG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRFL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRFM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRGG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRUA1 : calculee primrest = 0 : "RAS Droit sur tous les revenus au quotient code RUA" ;
RASIPQRVG1 : calculee primrest = 0 : "RAS Droit sur tous les revenus au quotient code RVG" ;
RASIPQRVO1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRVO51 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRVO5R1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRVO61 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRVO6R1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRVO71 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQRVO7R1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRVOR1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQRWA1 : calculee primrest = 0 : "RAS Droit sur tous les revenus au quotient code RWA" ;
RASIPQRWB1 : calculee primrest = 0 : "RAS Droit sur tous les revenus au quotient code RWB" ;
RASIPQTS11 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTS21 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTS31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTS41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTSC1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQTSREMP11 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTSREMP21 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTSREMP31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTSREMP41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 a x" ;
RASIPQTSREMPC1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQTSREMPV1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPQTSV1 : calculee primrest = 0 : "RAS ancien plafqf : droits quotient" ;
RASIPSOUR : calculee restituee primrest = 1 : "Retenue a la source IPSOUR pour REGCO 2 et 3" ;
RASIQUOTOT : calculee primrest = 0 : "RAS Impot au quotient tous quotients confondus " ;
RASLEMP1 : calculee restituee primrest = 1 : "Base particuliers employeurs acompte PAS - declarant 1" ;
RASLEMP2 : calculee restituee primrest = 1 : "Base particuliers employeurs acompte PAS - declarant 2" ;
RASLEMPF1 : calculee restituee primrest = 1 : "Montant acompte annuel revenus employeurs foyer - Declarant 1" ;
RASLEMPF2 : calculee restituee primrest = 1 : "Montant acompte annuel revenus employeurs foyer - Declarant 2" ;
RASLEMPFM : calculee restituee primrest = 1 : "Montant acompte mensuel employeur foyer - dec 1 + dec 2" ;
RASLEMPFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel employeur foyer - Declarant 1" ;
RASLEMPFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel employeur foyer - Declarant 2" ;
RASLEMPI1 : calculee restituee primrest = 1 : "Montant acompte annuel revenus employeurs indiv - Declarant 1" ;
RASLEMPI2 : calculee restituee primrest = 1 : "Montant acompte annuel revenus employeurs indiv - Declarant 2" ;
RASLEMPIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel employeur indiv - Declarant 1" ;
RASLEMPIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel employeur indiv - Declarant 2" ;
RASPAC : calculee restituee primrest = 1 : "Base revenus PAC acompte PAS" ;
RASPAC1 : calculee restituee primrest = 1 : "Base revenus PAC acompte PAS - dec 1" ;
RASPAC2 : calculee restituee primrest = 1 : "Base revenus PAC acompte PAS - dec 2" ;
RASPACA : calculee restituee primrest = 1 : "Acompte mensuel revenus PAC foyer PAS" ;
RASPACF : calculee restituee primrest = 1 : "Montant acompte annuel revenus PAC foyer" ;
RASPACF1 : calculee restituee primrest = 1 : "Montant acompte annuel revenus PAC indiv - Declarant 1" ;
RASPACF2 : calculee restituee primrest = 1 : "Montant acompte annuel revenus PAC indiv - Declarant 2" ;
RASPACFM1 : calculee restituee primrest = 1 : "Acompte revenus PAC foyer mensuel PAS - dec 1" ;
RASPACFM2 : calculee restituee primrest = 1 : "Acompte revenus PAC foyer mensuel PAS - dec 2" ;
RASPACFT1 : calculee restituee primrest = 1 : "Acompte revenus PAC foyer trimestriel PAS - dec 1" ;
RASPACFT2 : calculee restituee primrest = 1 : "Acompte revenus PAC foyer trimestriel PAS - dec 2" ;
RASPACM : calculee restituee primrest = 1 : "Total acompte revenus pac mensuel (IR + PS) PAS" ;
RASPACPS : calculee restituee primrest = 1 : "Base BIC PS PAC acompte prelevements sociaux PAS" ;
RASPACPS1 : calculee restituee primrest = 1 : "Base BIC PAC acompte annuel PS PAS - Declarant 1" ;
RASPACPS2 : calculee restituee primrest = 1 : "Base BIC PAC acompte annuel PS PAS - Declarant 2" ;
RASPACPSM1 : calculee restituee primrest = 1 : "Base BIC PAC acompte PS PAS mensuel - Declarant 1" ;
RASPACPSM2 : calculee restituee primrest = 1 : "Base BIC PAC acompte PS PAS mensuel - Declarant 2" ;
RASPACPST1 : calculee restituee primrest = 1 : "Base BIC PAC acompte PS PAS trimestriel - Declarant 1" ;
RASPACPST2 : calculee restituee primrest = 1 : "Base BIC PAC acompte PS PAS trimestriel - Declarant 2" ;
RASPENAC : calculee restituee primrest = 1 base : "montant penalites acomptes" ;
RASPS5HY : calculee restituee primrest = 1 : "Base 5HY acompte prelevements sociaux PAS" ;
RASPS5HYM : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel 5HY" ;
RASPS5HYT : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel 5HY" ;
RASPS5IY : calculee restituee primrest = 1 : "Base 5IY acompte prelevements sociaux PAS" ;
RASPS5IYM : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel 5IY" ;
RASPS5IYT : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel 5IY" ;
RASPS5JY : calculee restituee primrest = 1 : "Base 5JY acompte prelevements sociaux PAS" ;
RASPSBIC1 : calculee restituee primrest = 1 : "Base BIC acompte prelevements sociaux PAS - Declarant 1" ;
RASPSBIC2 : calculee restituee primrest = 1 : "Base BIC acompte prelevements sociaux PAS - Declarant 2" ;
RASPSBICM1 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel BIC - Declarant 1" ;
RASPSBICM2 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel BIC - Declarant 2" ;
RASPSBICP : calculee restituee primrest = 1 : "Base BIC acompte prelevements sociaux PAS - PAC" ;
RASPSBICT1 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel BIC - Declarant 1" ;
RASPSBICT2 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel BIC - Declarant 2" ;
RASPSMEUB1 : calculee restituee primrest = 1 : "Montant acompte annuel loc non pro foyer - Declarant 1" ;
RASPSMEUB2 : calculee restituee primrest = 1 : "Montant acompte annuel loc non pro foyer - Declarant 2" ;
RASPSMEUBM1 : calculee restituee primrest = 1 : "Acompte PAS loc non pro restant a payer mensuel - Declarant 1" ;
RASPSMEUBM2 : calculee restituee primrest = 1 : "Acompte PAS loc non pro restant a payer mensuel - Declarant 2" ;
RASPSMEUBT1 : calculee restituee primrest = 1 : "Acompte PAS loc non pro restant a payer trimestriel - Declarant 1" ;
RASPSMEUBT2 : calculee restituee primrest = 1 : "Acompte PAS loc non pro restant a payer trimestriel - Declarant 2" ;
RASPSNSAL1 : calculee restituee primrest = 1 : "Montant acompte annuel prof non sal foyer - Declarant 1" ;
RASPSNSAL2 : calculee restituee primrest = 1 : "Montant acompte annuel prof non sal foyer - Declarant 2" ;
RASPSNSALM1 : calculee restituee primrest = 1 : "Acompte PAS prof non sal restant a payer mensuel - Declarant 1" ;
RASPSNSALM2 : calculee restituee primrest = 1 : "Acompte PAS prof non sal restant a payer mensuel - Declarant 2" ;
RASPSNSALT1 : calculee restituee primrest = 1 : "Acompte PAS prof non sal restant a payer trimestriel - Declarant 1" ;
RASPSNSALT2 : calculee restituee primrest = 1 : "Acompte PAS prof non sal restant a payer trimestriel - Declarant 2" ;
RASPSPAC : calculee restituee primrest = 1 : "Base revenus PAC acompte prelevements sociaux PAS" ;
RASPSPAC1 : calculee restituee primrest = 1 : "Base revenus PAC acompte prelevements sociaux PAS - dec 1" ;
RASPSPAC2 : calculee restituee primrest = 1 : "Base revenus PAC acompte prelevements sociaux PAS - dec 2" ;
RASPSPACA : calculee restituee primrest = 1 : "Acompte revenus PAC prelevements sociaux foyer PAS" ;
RASPSPACM1 : calculee restituee primrest = 1 : "Acompte revenus PAC prel. sociaux foyer mensuel PAS - dec 1" ;
RASPSPACM2 : calculee restituee primrest = 1 : "Acompte revenus PAC prel. sociaux foyer mensuel PAS - dec 2" ;
RASPSPACT1 : calculee restituee primrest = 1 : "Acompte revenus PAC prel. sociaux foyer trimestriel PAS - dec 1" ;
RASPSPACT2 : calculee restituee primrest = 1 : "Acompte revenus PAC prel. sociaux foyer trimestriel PAS - dec 2" ;
RASPSRF : calculee restituee primrest = 1 : "Base RF acompte prelevements sociaux PAS " ;
RASPSRF1 : calculee restituee primrest = 1 : "Base RF acompte prelevements sociaux PAS - Declarant 1" ;
RASPSRF2 : calculee restituee primrest = 1 : "Base RF acompte prelevements sociaux PAS - Declarant 2" ;
RASPSRFA : calculee restituee primrest = 1 : "Acompte RF prelevements sociaux foyer PAS" ;
RASPSRFM1 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel RF - Declarant 1" ;
RASPSRFM2 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel RF - Declarant 2" ;
RASPSRFT1 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel RF - Declarant 1" ;
RASPSRFT2 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel RF - Declarant 2" ;
RASPSRVTO : calculee restituee primrest = 1 : "Base RVTO acompte prelevements sociaux PAS" ;
RASPSRVTO1 : calculee restituee primrest = 1 : "Base RVTO acompte prelevements sociaux PAS - Declarant 1" ;
RASPSRVTO2 : calculee restituee primrest = 1 : "Base RVTO acompte prelevements sociaux PAS - Declarant 2" ;
RASPSRVTOA : calculee restituee primrest = 1 : "Acompte RVTO prelevements sociaux foyer PAS" ;
RASPSRVTOM1 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel RVTO - Declarant 1" ;
RASPSRVTOM2 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux mensuel RVTO - Declarant 2" ;
RASPSRVTOT1 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel RVTO - Declarant 1" ;
RASPSRVTOT2 : calculee restituee primrest = 1 : "Montant acompte prelevements sociaux trimestriel RVTO - Declarant 2" ;
RASRASSOMF1 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer mensuel foyer - Declarant 1" ;
RASRASSOMF2 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer mensuel foyer - Declarant 2" ;
RASRASSOMI1 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer mensuel indiv - Declarant 1" ;
RASRASSOMI2 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer mensuel indiv - Declarant 2" ;
RASRASSOTF1 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer trimestriel foyer - Dec 1" ;
RASRASSOTF2 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer trimestriel foyer - Dec 2" ;
RASRASSOTI1 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer trimestriel indiv - Dec 1" ;
RASRASSOTI2 : calculee restituee primrest = 1 : "Acompte PAS revenus asso restant a payer trimestriel indiv - Dec 2" ;
RASRAUSAMF1 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer mensuel foyer - Declarant 1" ;
RASRAUSAMF2 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer mensuel foyer - Declarant 2" ;
RASRAUSAMI1 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer mensuel indiv - Declarant 1" ;
RASRAUSAMI2 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer mensuel indiv - Declarant 2" ;
RASRAUSATF1 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer trimestriel foyer - Dec 1" ;
RASRAUSATF2 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer trimestriel foyer - Dec 2" ;
RASRAUSATI1 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer trimestriel indiv - Dec 1" ;
RASRAUSATI2 : calculee restituee primrest = 1 : "Acompte PAS autres revenus restant a payer trimestriel indiv - Dec 2" ;
RASRBAMF1 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer mensuel foyer - Declarant 1" ;
RASRBAMF2 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer mensuel foyer - Declarant 2" ;
RASRBAMI1 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer mensuel indiv - Declarant 1" ;
RASRBAMI2 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer mensuel indiv - Declarant 2" ;
RASRBATF1 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer trimestriel foyer - Declarant 1" ;
RASRBATF2 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer trimestriel foyer - Declarant 2" ;
RASRBATI1 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer trimestriel indiv - Declarant 1" ;
RASRBATI2 : calculee restituee primrest = 1 : "Acompte PAS BA restant a payer trimestriel indiv - Declarant 2" ;
RASRBICMF1 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer mensuel foyer - Declarant 1" ;
RASRBICMF2 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer mensuel foyer - Declarant 2" ;
RASRBICMI1 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer mensuel indiv - Declarant 1" ;
RASRBICMI2 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer mensuel indiv - Declarant 2" ;
RASRBICTF1 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer trimestriel foyer - Declarant 1" ;
RASRBICTF2 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer trimestriel foyer - Declarant 2" ;
RASRBICTI1 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer trimestriel indiv - Declarant 1" ;
RASRBICTI2 : calculee restituee primrest = 1 : "Acompte PAS BIC restant a payer trimestriel indiv - Declarant 2" ;
RASRBNCMF1 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer mensuel foyer - Declarant 1" ;
RASRBNCMF2 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer mensuel foyer - Declarant 2" ;
RASRBNCMI1 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer mensuel indiv - Declarant 1" ;
RASRBNCMI2 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer mensuel indiv - Declarant 2" ;
RASRBNCTF1 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer trimestriel foyer - Declarant 1" ;
RASRBNCTF2 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer trimestriel foyer - Declarant 2" ;
RASRBNCTI1 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer trimestriel indiv - Declarant 1" ;
RASRBNCTI2 : calculee restituee primrest = 1 : "Acompte PAS BNC restant a payer trimestriel indiv - Declarant 2" ;
RASREV4 : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREV4C : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREV4HTC : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREV4HTP : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREV4HTV : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREV4P : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREV4V : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREVALIM : calculee primrest = 0 : "RAS total " ;
RASREVALIMC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVALIMV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVF : calculee primrest = 0 : "RAS Revenus foot nets au quotient" ;
RASREVFC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVFV : calculee primrest = 0 : "RAS  revenus au quotient 4" ;
RASREVPAC : calculee primrest = 0 : "RAS  revenus au quotient PAC" ;
RASREVPRR : calculee primrest = 0 : "RAS total " ;
RASREVPRRC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVPRRHTC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVPRRHTV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVPRRV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVQTOT : calculee primrest = 0 : "RAS somme des revevus aux quotient :REVx REVAFN REVF" ;
RASREVQTOTHT : calculee primrest = 0 : "RAS somme des revevus aux quotient :REVx REVAFN REVF hors tx eff" ;
RASREVQUO : calculee primrest = 0 : "RAS  revenus au quotient >=2 nets" ;
RASREVRF : calculee primrest = 0 : "RAS Revenus fonciers nets au quotient" ;
RASREVTS : calculee primrest = 0 : "RAS total TS " ;
RASREVTSC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSHTC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSHTV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSREMP : calculee primrest = 0 : "RAS total TS remplacement" ;
RASREVTSREMPC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSREMPHTC : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSREMPHTV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSREMPV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASREVTSV : calculee primrest = 0 : "RAS  revenus au quotient " ;
RASRF : calculee restituee primrest = 1 : "Base RF acompte PAS" ;
RASRF1 : calculee restituee primrest = 1 : "Base RF acompte PAS - Declarant 1" ;
RASRF2 : calculee restituee primrest = 1 : "Base RF acompte PAS - Declarant 2" ;
RASRFA : calculee restituee primrest = 1 : "Acompte RF foyer PAS" ;
RASRFF : calculee restituee primrest = 1 : "Montant acompte annuel RF foyer" ;
RASRFF1 : calculee restituee primrest = 1 : "Montant acompte annuel RF indiv - Declarant 1" ;
RASRFF2 : calculee restituee primrest = 1 : "Montant acompte annuel RF indiv - Declarant 2" ;
RASRFFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel RF foyer - Declarant 1" ;
RASRFFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel RF foyer - Declarant 2" ;
RASRFFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel RF foyer - Declarant 1" ;
RASRFFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel RF foyer - Declarant 2" ;
RASRFM : calculee restituee primrest = 1 : "Total acompte revenus RF mensuel (IR + PS) PAS" ;
RASRFN : calculee primrest = 0 : "Base RF acompte PAS" ;
RASRFPS : calculee restituee primrest = 1 : "Base RF acompte prelevements sociaux PAS" ;
RASRFPS1 : calculee restituee primrest = 1 : "Base RF acompte annuel PS PAS - Declarant 1" ;
RASRFPS2 : calculee restituee primrest = 1 : "Base RF acompte annuel PS PAS - Declarant 2" ;
RASRFPSM1 : calculee restituee primrest = 1 : "Base RF acompte PS PAS mensuel - Declarant 1" ;
RASRFPSM2 : calculee restituee primrest = 1 : "Base RF acompte PS PAS mensuel - Declarant 2" ;
RASRFPST1 : calculee restituee primrest = 1 : "Base RF acompte PS PAS trimestriel - Declarant 1" ;
RASRFPST2 : calculee restituee primrest = 1 : "Base RF acompte PS PAS trimestriel - Declarant 2" ;
RASRPACM1 : calculee restituee primrest = 1 : "Acompte PAS revenus PAC restant a payer mensuel - Declarant 1" ;
RASRPACM2 : calculee restituee primrest = 1 : "Acompte PAS revenus PAC restant a payer mensuel - Declarant 2" ;
RASRPACT1 : calculee restituee primrest = 1 : "Acompte PAS revenus PAC restant a payer trimestriel - Declarant 1" ;
RASRPACT2 : calculee restituee primrest = 1 : "Acompte PAS revenus PAC restant a payer trimestriel - Declarant 2" ;
RASRPQ4 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQ4C : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme" ;
RASRPQ4P : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme" ;
RASRPQ4RAJV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
RASRPQ4RBJC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
RASRPQ4TVC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQ4V : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme" ;
RASRPQ4VC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQF1 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQF2 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQF3 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQF4 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQFC : calculee primrest = 0 : "RAS pensions foot imposables suivant le quotient soumis au bareme" ;
RASRPQFV : calculee primrest = 0 : "RAS pensions foot imposables suivant le quotient soumis au bareme" ;
RASRPQPALIM1 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPALIM2 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPALIM3 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPALIM4 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPALIMC : calculee primrest = 0 : "RAS pensions  alim imposables suivant le quotient soumis au bareme" ;
RASRPQPALIMV : calculee primrest = 0 : "RAS pensions  alim imposables suivant le quotient soumis au bareme" ;
RASRPQPRR1 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRR2 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRR3 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRR4 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRRC : calculee primrest = 0 : "RAS pensions  alim imposables suivant le quotient soumis au bareme" ;
RASRPQPRRV : calculee primrest = 0 : "RAS pensions  alim imposables suivant le quotient soumis au bareme" ;
RASRPQPRRZ1 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRRZ2 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRRZ3 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRRZ4 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQPRRZC : calculee primrest = 0 : "RAS pensions  alim imposables suivant le quotient soumis au bareme" ;
RASRPQPRRZV : calculee primrest = 0 : "RAS pensions  alim imposables suivant le quotient soumis au bareme" ;
RASRPQRAF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRAG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRAI : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme quot. " ;
RASRPQRAL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRAM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRBF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRBG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRBI : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme quot. " ;
RASRPQRBL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRBM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRCF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRCG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRCK : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme quot. " ;
RASRPQRCL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRCM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRCMCH : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRCMDC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRCMFU : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRCMGO : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRCMTR : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRCMTS : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRCMYY : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient " ;
RASRPQRDF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRDG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRDL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRDM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQREF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQREL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQREM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRF1 : calculee primrest = 0 : "RAS rev. foncier imposables suivant le quotient soumis au bareme" ;
RASRPQRF2 : calculee primrest = 0 : "RAS rev. foncier imposables suivant le quotient soumis au bareme" ;
RASRPQRF3 : calculee primrest = 0 : "RAS rev. foncier imposables suivant le quotient soumis au bareme" ;
RASRPQRFF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRFG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRFL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRFM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRGG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me" ;
RASRPQRUA : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NUA" ;
RASRPQRVG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. NVG" ;
RASRPQRVO : calculee primrest = 0 : "RAS rente viagere imposables suivant le quotient soumis au bareme" ;
RASRPQRVO5 : calculee primrest = 0 : "RAS rente viagere imposables suivant le quotient soumis au bareme" ;
RASRPQRVO5R : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRVO6 : calculee primrest = 0 : "RAS rente viagere imposables suivant le quotient soumis au bareme" ;
RASRPQRVO6R : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRVO7 : calculee primrest = 0 : "RAS rente viagere imposables suivant le quotient soumis au bareme" ;
RASRPQRVO7R : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRVOR : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
RASRPQRWA : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. NWA" ;
RASRPQRWB : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. NWB" ;
RASRPQTS1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTS2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTS3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTS4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSC : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSREMP1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSREMP2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSREMP3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSREMP4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSREMPC : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSREMPV : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRPQTSV : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
RASRRFM1 : calculee restituee primrest = 1 : "Acompte PAS RF restant a payer mensuel - Declarant 1" ;
RASRRFM2 : calculee restituee primrest = 1 : "Acompte PAS RF restant a payer mensuel - Declarant 2" ;
RASRRFT1 : calculee restituee primrest = 1 : "Acompte PAS RF restant a payer trimestriel - Declarant 1" ;
RASRRFT2 : calculee restituee primrest = 1 : "Acompte PAS RF restant a payer trimestriel - Declarant 2" ;
RASRRVTOM1 : calculee restituee primrest = 1 : "Acompte PAS RVTO restant a payer mensuel - Declarant 1" ;
RASRRVTOM2 : calculee restituee primrest = 1 : "Acompte PAS RVTO restant a payer mensuel - Declarant 2" ;
RASRRVTOT1 : calculee restituee primrest = 1 : "Acompte PAS RVTO restant a payer trimestriel - Declarant 1" ;
RASRRVTOT2 : calculee restituee primrest = 1 : "Acompte PAS RVTO restant a payer trimestriel - Declarant 2" ;
RASRTSPEMF1 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer mensuel foyer - Declarant 1" ;
RASRTSPEMF2 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer mensuel foyer - Declarant 2" ;
RASRTSPEMI1 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer mensuel indiv - Declarant 1" ;
RASRTSPEMI2 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer mensuel indiv - Declarant 2" ;
RASRTSPETF1 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer trimestriel foyer - Declarant 1" ;
RASRTSPETF2 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer trimestriel foyer - Declarant 2" ;
RASRTSPETI1 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer trimestriel indiv - Declarant 1" ;
RASRTSPETI2 : calculee restituee primrest = 1 : "Acompte PAS TSPE restant a payer trimestriel indiv - Declarant 2" ;
RASRVTO : calculee restituee primrest = 1 : "Base RVTO acompte PAS" ;
RASRVTO1 : calculee restituee primrest = 1 : "Base RVTO acompte PAS - Declarant 1" ;
RASRVTO2 : calculee restituee primrest = 1 : "Base RVTO acompte PAS - Declarant 2" ;
RASRVTOA : calculee restituee primrest = 1 : "Acompte RVTO foyer PAS" ;
RASRVTOF : calculee restituee primrest = 1 : "Montant acompte annuel RVTO foyer" ;
RASRVTOF1 : calculee restituee primrest = 1 : "Montant acompte annuel RVTO indiv - Declarant 1" ;
RASRVTOF2 : calculee restituee primrest = 1 : "Montant acompte annuel RVTO indiv - Declarant 2" ;
RASRVTOFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel RVTO foyer - Declarant 1" ;
RASRVTOFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel RVTO foyer - Declarant 2" ;
RASRVTOFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel RVTO foyer - Declarant 1" ;
RASRVTOFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel RVTO foyer - Declarant 2" ;
RASRVTOM : calculee restituee primrest = 1 : "Total acompte revenus RVTO mensuel (IR + PS) PAS" ;
RASRVTOPS : calculee restituee primrest = 1 : "Base RVTO acompte prelevements sociaux PAS" ;
RASRVTOPS1 : calculee restituee primrest = 1 : "Base RVTO acompte annuel PS PAS - Declarant 1" ;
RASRVTOPS2 : calculee restituee primrest = 1 : "Base RVTO acompte annuel PS PAS - Declarant 2" ;
RASRVTOPSM1 : calculee restituee primrest = 1 : "Base RVTO acompte PS PAS mensuel - Declarant 1" ;
RASRVTOPSM2 : calculee restituee primrest = 1 : "Base RVTO acompte PS PAS mensuel - Declarant 2" ;
RASRVTOPST1 : calculee restituee primrest = 1 : "Base RVTO acompte PS PAS trimestriel - Declarant 1" ;
RASRVTOPST2 : calculee restituee primrest = 1 : "Base RVTO acompte PS PAS trimestriel - Declarant 2" ;
RASSALIR : calculee restituee primrest = 1 base : "Retenue a la source prelevee - avis" ;
RASTONEQUO : calculee primrest = 0 : "RAS revenus au quotient >=2 nets" ;
RASTONEQUO1 : calculee primrest = 0 : "RAS somme des revenus au quotient divises par leur quotient respectif" ;
RASTONEQUO1C : calculee primrest = 0 : "RAS somme des revenus au quotient divises par leur quotient respectif" ;
RASTONEQUO1T : calculee primrest = 0 : "somme des revenus au quot divises par leur quotient respectif tx eff" ;
RASTONEQUO1V : calculee primrest = 0 : "RAS somme des revenus au quotient divises par leur quotient respectif" ;
RASTONEQUOHT : calculee primrest = 0 : " RAS revenus au quotient >=2 nets tx eff" ;
RASTONPAS : calculee primrest = 0 : "RAS revenus au quotient" ;
RASTOT : calculee restituee primrest = 1 : "Total acompte PAS" ;
RASTOT1 : calculee restituee primrest = 1 : "Total acompte declarant 1 PAS" ;
RASTOT2 : calculee restituee primrest = 1 : "Total acompte declarant 2 PAS" ;
RASTOTALQUO : calculee primrest = 0 : "RAS Somme des revenus au quotient >=2" ;
RASTOTALQUOHT : calculee primrest = 0 : "RAS Somme des revenus au quotient >=2 hors tx eff" ;
RASTOTF : calculee restituee primrest = 1 : "Total acompte foyer PAS" ;
RASTOTFM : calculee restituee primrest = 1 : "Total acomptes mensuels foyer PAS" ;
RASTOTFT : calculee restituee primrest = 1 : "Total acomptes trimestriels foyer PAS" ;
RASTOTIM : calculee restituee primrest = 1 : "Total acomptes mensuels individuel PAS" ;
RASTOTIT : calculee restituee primrest = 1 : "Total acomptes trimestriels individuel PAS" ;
RASTOTM : calculee restituee primrest = 0 : "Total acomptes mensuels PAS" ;
RASTOTT : calculee restituee primrest = 0 : "Total acomptes trimestriels PAS" ;
RASTSPE1 : calculee restituee primrest = 1 : "Base TSPE acompte PAS - Declarant 1" ;
RASTSPE1N : calculee primrest = 0 : "Base TSPE acompte PAS - Declarant 1" ;
RASTSPE2 : calculee restituee primrest = 1 : "Base TSPE acompte PAS - Declarant 2" ;
RASTSPE2N : calculee primrest = 0 : "Base TSPE acompte PAS - Declarant 2" ;
RASTSPEF1 : calculee restituee primrest = 1 : "Montant acompte annuel TSPE foyer - Declarant 1" ;
RASTSPEF2 : calculee restituee primrest = 1 : "Montant acompte annuel TSPE foyer - Declarant 2" ;
RASTSPEFM1 : calculee restituee primrest = 1 : "Montant acompte mensuel TSPE foyer - Declarant 1" ;
RASTSPEFM2 : calculee restituee primrest = 1 : "Montant acompte mensuel TSPE foyer - Declarant 2" ;
RASTSPEFT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel TSPE foyer - Declarant 1" ;
RASTSPEFT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel TSPE foyer - Declarant 2" ;
RASTSPEI1 : calculee restituee primrest = 1 : "Montant acompte annuel TSPE indiv - Declarant 1" ;
RASTSPEI2 : calculee restituee primrest = 1 : "Montant acompte annuel TSPE indiv - Declarant 2" ;
RASTSPEIM1 : calculee restituee primrest = 1 : "Montant acompte mensuel TSPE indiv - Declarant 1" ;
RASTSPEIM2 : calculee restituee primrest = 1 : "Montant acompte mensuel TSPE indiv - Declarant 2" ;
RASTSPEIT1 : calculee restituee primrest = 1 : "Montant acompte trimestriel TSPE indiv - Declarant 1" ;
RASTSPEIT2 : calculee restituee primrest = 1 : "Montant acompte trimestriel TSPE indiv - Declarant 2" ;
RASTSPEP : calculee restituee primrest = 1 : "Base TSPE acompte PAS - PAC" ;
RASTSPEPN : calculee primrest = 0 : "Base TSPE acompte PAS - PAC" ;
RASTSPR1 : calculee restituee primrest = 1 : "Base traitements et salaires acompte PAS - Declarant 1" ;
RASTSPR2 : calculee restituee primrest = 1 : "Base traitements et salaires acompte PAS - Declarant 2" ;
RASTXDEC1 : calculee restituee primrest = 1 : "Taux declarant 1 PAS" ;
RASTXDEC2 : calculee restituee primrest = 1 : "Taux declarant 2 PAS" ;
RASTXFOYER : calculee restituee primrest = 1 : "Taux foyer PAS" ;
RASTXMARJ : calculee primrest = 0 : "Taux marginal d imposition (derniere tranche) pour les BA tx marj" ;
RASTXPAC : calculee restituee primrest = 1 : "Taux PAC PAS" ;
RASTXPAC1 : calculee primrest = 0 : "Taux PAS PAC TS 1" ;
RASTXPAC2 : calculee primrest = 0 : "Taux PAS PAC TS 2" ;
RASTXPAC3 : calculee primrest = 0 : "Taux PAS PAC TS 3" ;
RASTXPAC4 : calculee primrest = 0 : "Taux PAS PAC TS 4" ;
RASTXPAC5 : calculee primrest = 0 : "Taux PAS PAC BA" ;
RASTXPAC6 : calculee primrest = 0 : "Taux PAS PAC BIC" ;
RASTXPAC7 : calculee primrest = 0 : "Taux PAS PAC BNC" ;
RASZIPQ1TOT : calculee primrest = 0 : "RAS somme des ZIPQi1" ;
RASZIPQ31 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQ41 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQ41C : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQ41P : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQ41V : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQF11 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQF1TOT : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQF21 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQF31 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQF41 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQFC1 : calculee primrest = 0 : "RAS Droit sur les pensions foot CONJ avant x par le quotient" ;
RASZIPQFV1 : calculee primrest = 0 : "RAS Droit sur les pensions foot  VOUS    avant x par le quotient" ;
RASZIPQPALIM11 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPALIM1TOT : calculee primrest = 0 : "RAS somme des ZIPQi1" ;
RASZIPQPALIM21 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPALIM31 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPALIM41 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPALIMC1 : calculee primrest = 0 : "RAS droit sur les pensions Alim  avant x par le quotient" ;
RASZIPQPALIMV1 : calculee primrest = 0 : "RAS droit sur les pensions Alim  avant x par le quotient" ;
RASZIPQPRR11 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRR1TOT : calculee primrest = 0 : "RAS somme des ZIPQi1" ;
RASZIPQPRR21 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRR31 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRR41 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRRC1 : calculee primrest = 0 : "RAS droit sur les pensions Alim  avant x par le quotient" ;
RASZIPQPRRV1 : calculee primrest = 0 : "RAS droit sur les pensions Alim  avant x par le quotient" ;
RASZIPQPRRZ11 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRRZ1TOT : calculee primrest = 0 : "RAS somme des ZIPQi1" ;
RASZIPQPRRZ21 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRRZ31 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRRZ41 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQPRRZC1 : calculee primrest = 0 : "RAS droit sur les pensions Alim  avant x par le quotient RBZ" ;
RASZIPQPRRZV1 : calculee primrest = 0 : "RAS droit sur les pensions Alim  avant x par le quotient RAZ" ;
RASZIPQRAF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRAG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRAI1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRAL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRAM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRBF1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRBG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRBI1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRBL1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRBM1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRCF1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRCG1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRCK1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRCL1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRCM1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRCM1TOT : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMCH1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMDC1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMFU1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMGO1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMTR1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMTS1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient" ;
RASZIPQRCMYY1 : calculee primrest = 0 : "RAS droit sur les rcm  avant x par le quotient RYY" ;
RASZIPQRDF1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRDG1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRDL1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRDM1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQREF1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQREL1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQREM1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRF11 : calculee primrest = 0 : "RAS droit sur les rev fonc  avant x par le quotient" ;
RASZIPQRF1TOT : calculee primrest = 0 : "RAS droit sur les rev fonc  avant x par le quotient" ;
RASZIPQRF21 : calculee primrest = 0 : "RAS droit sur les rev fonc  avant x par le quotient" ;
RASZIPQRF31 : calculee primrest = 0 : "RAS droit sur les rev fonc  avant x par le quotient" ;
RASZIPQRFF1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRFG1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRFL1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRFM1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRGG1 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQRUA1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient RUA" ;
RASZIPQRVG1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient RVG " ;
RASZIPQRVO1 : calculee primrest = 0 : "RAS droit sur les rvo  avant x par le quotient" ;
RASZIPQRVO1TOT : calculee primrest = 0 : "RAS droit sur les rvo  avant x par le quotient" ;
RASZIPQRVO51 : calculee primrest = 0 : "RAS droit sur les rvo  avant x par le quotient" ;
RASZIPQRVO5R1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRVO61 : calculee primrest = 0 : "RAS droit sur les rvo  avant x par le quotient" ;
RASZIPQRVO6R1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRVO71 : calculee primrest = 0 : "RAS droit sur les rvo  avant x par le quotient" ;
RASZIPQRVO7R1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRVOR1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient 1 @ x" ;
RASZIPQRWA1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient RWA" ;
RASZIPQRWB1 : calculee primrest = 0 : "RAS Droit sur les bases de quotient RWB" ;
RASZIPQTS11 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTS1TOT : calculee primrest = 0 : "RAS ancien plafqf : droit sur les TS avant x par le quotient" ;
RASZIPQTS21 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTS31 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTS41 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTSC1 : calculee primrest = 0 : "RAS ancien plafqf : droit sur les TS avant x par le quotient" ;
RASZIPQTSREMP11 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTSREMP1TOT : calculee primrest = 0 : "RAS ancien plafqf : droit sur les TS avant x par le quotient" ;
RASZIPQTSREMP21 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTSREMP31 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTSREMP41 : calculee primrest = 0 : "RAS somme des ZIPQ" ;
RASZIPQTSREMPC1 : calculee primrest = 0 : "RAS ancien plafqf : droit sur les TS avant x par le quotient" ;
RASZIPQTSREMPV1 : calculee primrest = 0 : "RAS ancien plafqf : droit sur les TS avant x par le quotient" ;
RASZIPQTSV1 : calculee primrest = 0 : "RAS ancien plafqf : droit sur les TS avant x par le quotient" ;
RAVC : calculee primrest = 0 : "Revenu TOTAL assurances vie et capitalisation" ;
RAVCNOR : calculee primrest = 0 : "Revenu TOTAL assurances vie et capitalisation" ;
RAVCNORM1 : calculee primrest = 0 : "Revenu TOTAL assurances vie et capitalisation 1" ;
RB01 : calculee primrest = 0 : "Revenu imposable pour le calcul du quotient familial" ;
RB02 : calculee primrest = 0 : "Revenu imposable pour le calcul du quotient familial" ;
RB04 : calculee primrest = 0 : "Revenu imposable pour le calcul de l'impot TH en presence de code 8ZK" ;
RB05 : calculee primrest = 0 : "Revenu imposable pour le calcul du taux moyen" ;
RB06 : calculee primrest = 0 : "Revenu imposable pour 8VV art. 168" ;
RB51 : calculee primrest = 0 : "Revenu imposable pour le calcul du quotient familial" ;
RB52 : calculee primrest = 0 : "Revenu imposable pour le calcul du quotient familial" ;
RB55 : calculee primrest = 0 : "Revenu imposable pour le calcul du quotient familial taux moyen" ;
RBAC : calculee restituee primrest = 1 : "Revenus agricoles" ;
RBAP : calculee restituee primrest = 1 : "Revenus agricoles" ;
RBAT : calculee restituee primrest = 1 : "Revenus  agricoles hors quotient imposable" ;
RBAT_P : calculee primrest = 0 base : "Rev ba " ;
RBAV : calculee restituee primrest = 1 : "Revenus agricoles" ;
RBBA : saisie penalite primrest = 0 alias V_RBBA : "Zone corrective" ;
RBBA01 : saisie penalite primrest = 0 alias V_RBBA01 : "nouv cor : NUNV" ;
RBBA02 : saisie penalite primrest = 0 alias V_RBBA02 : "nouv cor : NUNV" ;
RBBA03 : saisie penalite primrest = 0 alias V_RBBA03 : "nouv cor : NUNV" ;
RBBA04 : saisie penalite primrest = 0 alias V_RBBA04 : "nouv cor : NUNV" ;
RBBA05 : saisie penalite primrest = 0 alias V_RBBA05 : "nouv cor : NUNV" ;
RBBA06 : saisie penalite primrest = 0 alias V_RBBA06 : "nouv cor : NUNV" ;
RBBA07 : saisie penalite primrest = 0 alias V_RBBA07 : "nouv cor : NUNV" ;
RBBA08 : saisie penalite primrest = 0 alias V_RBBA08 : "nouv cor : NUNV" ;
RBBA09 : saisie penalite primrest = 0 alias V_RBBA09 : "nouv cor : NUNV" ;
RBBA10 : saisie penalite primrest = 0 alias V_RBBA10 : "nouv cor : NUNV" ;
RBBA11 : saisie penalite primrest = 0 alias V_RBBA11 : "nouv cor : NUNV" ;
RBBA12 : saisie penalite primrest = 0 alias V_RBBA12 : "nouv cor : NUNV" ;
RBBA30 : saisie penalite primrest = 0 alias V_RBBA30 : "nouv cor : NUNV" ;
RBBA31 : saisie penalite primrest = 0 alias V_RBBA31 : "nouv cor : NUNV" ;
RBBA55 : saisie penalite primrest = 0 alias V_RBBA55 : "nouv cor : NUNV" ;
RBCC01 : saisie penalite primrest = 0 alias V_RBCC01 : "nouv cor : NUNV" ;
RBCC02 : saisie penalite primrest = 0 alias V_RBCC02 : "nouv cor : NUNV" ;
RBCC03 : saisie penalite primrest = 0 alias V_RBCC03 : "nouv cor : NUNV" ;
RBCC04 : saisie penalite primrest = 0 alias V_RBCC04 : "nouv cor : NUNV" ;
RBCC05 : saisie penalite primrest = 0 alias V_RBCC05 : "nouv cor : NUNV" ;
RBCC06 : saisie penalite primrest = 0 alias V_RBCC06 : "nouv cor : NUNV" ;
RBCC07 : saisie penalite primrest = 0 alias V_RBCC07 : "nouv cor : NUNV" ;
RBCC08 : saisie penalite primrest = 0 alias V_RBCC08 : "nouv cor : NUNV" ;
RBCC09 : saisie penalite primrest = 0 alias V_RBCC09 : "nouv cor : NUNV" ;
RBCC10 : saisie penalite primrest = 0 alias V_RBCC10 : "nouv cor : NUNV" ;
RBCC11 : saisie penalite primrest = 0 alias V_RBCC11 : "nouv cor : NUNV" ;
RBCC12 : saisie penalite primrest = 0 alias V_RBCC12 : "nouv cor : NUNV" ;
RBCC30 : saisie penalite primrest = 0 alias V_RBCC30 : "nouv cor : NUNV" ;
RBCC31 : saisie penalite primrest = 0 alias V_RBCC31 : "nouv cor : NUNV" ;
RBCC55 : saisie penalite primrest = 0 alias V_RBCC55 : "nouv cor : NUNV" ;
RBCO : saisie penalite primrest = 0 alias V_RBCO : "Zone corrective" ;
RBCO01 : saisie penalite primrest = 0 alias V_RBCO01 : "nouv cor : NUNV" ;
RBCO02 : saisie penalite primrest = 0 alias V_RBCO02 : "nouv cor : NUNV" ;
RBCO03 : saisie penalite primrest = 0 alias V_RBCO03 : "nouv cor : NUNV" ;
RBCO04 : saisie penalite primrest = 0 alias V_RBCO04 : "nouv cor : NUNV" ;
RBCO05 : saisie penalite primrest = 0 alias V_RBCO05 : "nouv cor : NUNV" ;
RBCO06 : saisie penalite primrest = 0 alias V_RBCO06 : "nouv cor : NUNV" ;
RBCO07 : saisie penalite primrest = 0 alias V_RBCO07 : "nouv cor : NUNV" ;
RBCO08 : saisie penalite primrest = 0 alias V_RBCO08 : "nouv cor : NUNV" ;
RBCO09 : saisie penalite primrest = 0 alias V_RBCO09 : "nouv cor : NUNV" ;
RBCO10 : saisie penalite primrest = 0 alias V_RBCO10 : "nouv cor : NUNV" ;
RBCO11 : saisie penalite primrest = 0 alias V_RBCO11 : "nouv cor : NUNV" ;
RBCO12 : saisie penalite primrest = 0 alias V_RBCO12 : "nouv cor : NUNV" ;
RBCO30 : saisie penalite primrest = 0 alias V_RBCO30 : "nouv cor : NUNV" ;
RBCO31 : saisie penalite primrest = 0 alias V_RBCO31 : "nouv cor : NUNV" ;
RBCO55 : saisie penalite primrest = 0 alias V_RBCO55 : "nouv cor : NUNV" ;
RBDC01 : saisie penalite primrest = 0 alias V_RBDC01 : "Zone corrective utile au calcul des NUNV (RDS)" ;
RBDC02 : saisie penalite primrest = 0 alias V_RBDC02 : "Zone corrective utile au calcul des NUNV (RDS)" ;
RBDC03 : saisie penalite primrest = 0 alias V_RBDC03 : "Zone corrective utile au calcul des NUNV (RDS)" ;
RBDC04 : saisie penalite primrest = 0 alias V_RBDC04 : "Zone corrective utile au calcul des NUNV (RDS)" ;
RBDC05 : saisie penalite primrest = 0 alias V_RBDC05 : "Zone corrective utile au calcul des NUNV (RDS)" ;
RBDC06 : saisie penalite primrest = 0 alias V_RBDC06 : "Zone corrective utile au calcul des NUNV (RDS)" ;
RBDC07 : saisie penalite primrest = 0 alias V_RBDC07 : "nouv cor : NUNV" ;
RBDC08 : saisie penalite primrest = 0 alias V_RBDC08 : "nouv cor : NUNV" ;
RBDC09 : saisie penalite primrest = 0 alias V_RBDC09 : "nouv cor : NUNV" ;
RBDC10 : saisie penalite primrest = 0 alias V_RBDC10 : "nouv cor : NUNV" ;
RBDC11 : saisie penalite primrest = 0 alias V_RBDC11 : "nouv cor : NUNV" ;
RBDC12 : saisie penalite primrest = 0 alias V_RBDC12 : "nouv cor : NUNV" ;
RBDC30 : saisie penalite primrest = 0 alias V_RBDC30 : "nouv cor : NUNV" ;
RBDC31 : saisie penalite primrest = 0 alias V_RBDC31 : "nouv cor : NUNV" ;
RBDC55 : saisie penalite primrest = 0 alias V_RBDC55 : "nouv cor : NUNV" ;
RBG1 : calculee restituee primrest = 0 : "Revenu brut global" ;
RBG2 : calculee primrest = 0 : "Revenu brut global moins la CSg deductible" ;
RBG2TEF : calculee primrest = 0 : "Revenu brut  tx effectif" ;
RBG2TEFRFR : calculee primrest = 0 : "Revenu brut  tx effectif" ;
RBGTEF : calculee primrest = 0 : "Revenu brut global tx effectif" ;
RBGTEFRFR : calculee primrest = 0 : "Revenu brut global tx effectif" ;
RBGTH : calculee restituee primrest = 1 : "somme de revenu brut declare pour la th" ;
RBL1 : calculee primrest = 0 : "Revenu base des limitations de charges deductibles" ;
RBLO : saisie penalite primrest = 0 alias V_RBLO : "Zone corrective" ;
RBLO01 : saisie penalite primrest = 0 alias V_RBLO01 : "Zone corrective" ;
RBLO02 : saisie penalite primrest = 0 alias V_RBLO02 : "Zone corrective" ;
RBLO03 : saisie penalite primrest = 0 alias V_RBLO03 : "Zone corrective" ;
RBLO04 : saisie penalite primrest = 0 alias V_RBLO04 : "Zone corrective" ;
RBLO05 : saisie penalite primrest = 0 alias V_RBLO05 : "Zone corrective" ;
RBLO06 : saisie penalite primrest = 0 alias V_RBLO06 : "Zone corrective" ;
RBLO07 : saisie penalite primrest = 0 alias V_RBLO07 : "nouv cor : NUNV" ;
RBLO08 : saisie penalite primrest = 0 alias V_RBLO08 : "nouv cor : NUNV" ;
RBLO09 : saisie penalite primrest = 0 alias V_RBLO09 : "nouv cor : NUNV" ;
RBLO10 : saisie penalite primrest = 0 alias V_RBLO10 : "nouv cor : NUNV" ;
RBLO11 : saisie penalite primrest = 0 alias V_RBLO11 : "nouv cor : NUNV" ;
RBLO12 : saisie penalite primrest = 0 alias V_RBLO12 : "nouv cor : NUNV" ;
RBLO30 : saisie penalite primrest = 0 alias V_RBLO30 : "nouv cor : NUNV" ;
RBLO31 : saisie penalite primrest = 0 alias V_RBLO31 : "nouv cor : NUNV" ;
RBLO55 : saisie penalite primrest = 0 alias V_RBLO55 : "nouv cor : NUNV" ;
RBLTEF : calculee primrest = 0 : "Revenu brut  tx effectif" ;
RBLTEFRFR : calculee primrest = 0 : "Revenu brut  tx effectif" ;
RBNC : saisie penalite primrest = 0 alias V_RBNC : "Zone corrective" ;
RBNC01 : saisie penalite primrest = 0 alias V_RBNC01 : "Zone corrective" ;
RBNC02 : saisie penalite primrest = 0 alias V_RBNC02 : "Zone corrective" ;
RBNC03 : saisie penalite primrest = 0 alias V_RBNC03 : "Zone corrective" ;
RBNC04 : saisie penalite primrest = 0 alias V_RBNC04 : "Zone corrective" ;
RBNC05 : saisie penalite primrest = 0 alias V_RBNC05 : "Zone corrective" ;
RBNC06 : saisie penalite primrest = 0 alias V_RBNC06 : "Zone corrective" ;
RBNC07 : saisie penalite primrest = 0 alias V_RBNC07 : "nouv cor : NUNV" ;
RBNC08 : saisie penalite primrest = 0 alias V_RBNC08 : "nouv cor : NUNV" ;
RBNC09 : saisie penalite primrest = 0 alias V_RBNC09 : "nouv cor : NUNV" ;
RBNC10 : saisie penalite primrest = 0 alias V_RBNC10 : "nouv cor : NUNV" ;
RBNC11 : saisie penalite primrest = 0 alias V_RBNC11 : "nouv cor : NUNV" ;
RBNC12 : saisie penalite primrest = 0 alias V_RBNC12 : "nouv cor : NUNV" ;
RBNC30 : saisie penalite primrest = 0 alias V_RBNC30 : "nouv cor : NUNV" ;
RBNC31 : saisie penalite primrest = 0 alias V_RBNC31 : "nouv cor : NUNV" ;
RBNC55 : saisie penalite primrest = 0 alias V_RBNC55 : "nouv cor : NUNV" ;
RBPC01 : saisie penalite primrest = 0 alias V_RBPC01 : "Zone corrective" ;
RBPC02 : saisie penalite primrest = 0 alias V_RBPC02 : "Zone corrective" ;
RBPC03 : saisie penalite primrest = 0 alias V_RBPC03 : "Zone corrective" ;
RBPC04 : saisie penalite primrest = 0 alias V_RBPC04 : "Zone corrective" ;
RBPC05 : saisie penalite primrest = 0 alias V_RBPC05 : "Zone corrective" ;
RBPC06 : saisie penalite primrest = 0 alias V_RBPC06 : "Zone corrective" ;
RBPC07 : saisie penalite primrest = 0 alias V_RBPC07 : "nouv cor : NUNV" ;
RBPC08 : saisie penalite primrest = 0 alias V_RBPC08 : "nouv cor : NUNV" ;
RBPC09 : saisie penalite primrest = 0 alias V_RBPC09 : "nouv cor : NUNV" ;
RBPC10 : saisie penalite primrest = 0 alias V_RBPC10 : "nouv cor : NUNV" ;
RBPC11 : saisie penalite primrest = 0 alias V_RBPC11 : "nouv cor : NUNV" ;
RBPC12 : saisie penalite primrest = 0 alias V_RBPC12 : "nouv cor : NUNV" ;
RBPC30 : saisie penalite primrest = 0 alias V_RBPC30 : "nouv cor : NUNV" ;
RBPC31 : saisie penalite primrest = 0 alias V_RBPC31 : "nouv cor : NUNV" ;
RBPC55 : saisie penalite primrest = 0 alias V_RBPC55 : "nouv cor : NUNV" ;
RBRC01 : saisie penalite primrest = 0 alias V_RBRC01 : "Zone corrective" ;
RBRC02 : saisie penalite primrest = 0 alias V_RBRC02 : "Zone corrective" ;
RBRC03 : saisie penalite primrest = 0 alias V_RBRC03 : "Zone corrective" ;
RBRC04 : saisie penalite primrest = 0 alias V_RBRC04 : "Zone corrective" ;
RBRC05 : saisie penalite primrest = 0 alias V_RBRC05 : "Zone corrective" ;
RBRC06 : saisie penalite primrest = 0 alias V_RBRC06 : "Zone corrective" ;
RBRC07 : saisie penalite primrest = 0 alias V_RBRC07 : "nouv cor : NUNV" ;
RBRC08 : saisie penalite primrest = 0 alias V_RBRC08 : "nouv cor : NUNV" ;
RBRC09 : saisie penalite primrest = 0 alias V_RBRC09 : "nouv cor : NUNV" ;
RBRC10 : saisie penalite primrest = 0 alias V_RBRC10 : "nouv cor : NUNV" ;
RBRC11 : saisie penalite primrest = 0 alias V_RBRC11 : "nouv cor : NUNV" ;
RBRC12 : saisie penalite primrest = 0 alias V_RBRC12 : "nouv cor : NUNV" ;
RBRC30 : saisie penalite primrest = 0 alias V_RBRC30 : "nouv cor : NUNV" ;
RBRC31 : saisie penalite primrest = 0 alias V_RBRC31 : "nouv cor : NUNV" ;
RBRC55 : saisie penalite primrest = 0 alias V_RBRC55 : "nouv cor : NUNV" ;
RBRF : saisie penalite primrest = 0 alias V_RBRF : "Zone corrective" ;
RBRF01 : saisie penalite primrest = 0 alias V_RBRF01 : "Zone corrective" ;
RBRF02 : saisie penalite primrest = 0 alias V_RBRF02 : "Zone corrective" ;
RBRF03 : saisie penalite primrest = 0 alias V_RBRF03 : "Zone corrective" ;
RBRF04 : saisie penalite primrest = 0 alias V_RBRF04 : "Zone corrective" ;
RBRF05 : saisie penalite primrest = 0 alias V_RBRF05 : "Zone corrective" ;
RBRF06 : saisie penalite primrest = 0 alias V_RBRF06 : "Zone corrective" ;
RBRF07 : saisie penalite primrest = 0 alias V_RBRF07 : "nouv cor : NUNV" ;
RBRF08 : saisie penalite primrest = 0 alias V_RBRF08 : "nouv cor : NUNV" ;
RBRF09 : saisie penalite primrest = 0 alias V_RBRF09 : "nouv cor : NUNV" ;
RBRF10 : saisie penalite primrest = 0 alias V_RBRF10 : "nouv cor : NUNV" ;
RBRF11 : saisie penalite primrest = 0 alias V_RBRF11 : "nouv cor : NUNV" ;
RBRF12 : saisie penalite primrest = 0 alias V_RBRF12 : "nouv cor : NUNV" ;
RBRF30 : saisie penalite primrest = 0 alias V_RBRF30 : "nouv cor : NUNV" ;
RBRF31 : saisie penalite primrest = 0 alias V_RBRF31 : "nouv cor : NUNV" ;
RBRF55 : saisie penalite primrest = 0 alias V_RBRF55 : "nouv cor : NUNV" ;
RC1 : calculee primrest = 0 : "booleen" ;
RC1INI : calculee primrest = 0 : "booleen" ;
RCCURE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7CE : "Depenses d'hebergement pour personnes dependantes - 2eme personne" ;
RCEL2 : calculee restituee primrest = 0 : "Invt Scellier 2eme logt- Montant avant imputation sur les droits dus" ;
RCEL7BA : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BA_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BA_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BB : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BB_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BB_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BC : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BC_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BC_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BD : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BD_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BD_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BE : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BE_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BE_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BF : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BF_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BF_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BG : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BG_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BG_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BH : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BH_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BH_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7BJ : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7BJ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7BJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7HL : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7HL_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7HL_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7HM : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7HM_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7HM_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IA : calculee restituee primrest = 0 : "Inv. Scellier 7IA - Mtant avant imputation sur droits dus" ;
RCEL7IA_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IA_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IB : calculee restituee primrest = 0 : "Inv. Scellier 7IB - Mtant avant imputation sur droits dus" ;
RCEL7IB_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IC : calculee restituee primrest = 0 : "Inv. Scellier 7IC - Mtant avant imputation sur droits dus" ;
RCEL7IC_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IC_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IE : calculee restituee primrest = 0 : "Inv. Scellier 7IE - Mtant avant imputation sur droits dus" ;
RCEL7IE_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IE_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IF : calculee restituee primrest = 0 : "Inv. Scellier 7IF - Mtant avant imputation sur droits dus" ;
RCEL7IF_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IF_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IG : calculee restituee primrest = 0 : "Inv. Scellier 7IG - Mtant avant imputation sur droits dus" ;
RCEL7IG_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IG_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IH : calculee restituee primrest = 0 : "Inv. Scellier 7IH - Mtant avant imputation sur droits dus" ;
RCEL7IH_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IH_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IO : calculee restituee primrest = 0 : "Inv. Scellier 7IO - Mtant avant imputation sur droits dus" ;
RCEL7IO_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IO_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IP : calculee restituee primrest = 0 : "Inv. Scellier 7IP - Mtant avant imputation sur droits dus" ;
RCEL7IP_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IP_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7IQ : calculee restituee primrest = 0 : "Inv. Scellier 7IQ - Mtant avant imputation sur droits dus" ;
RCEL7IQ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7IQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KJ : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KJ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KK : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KK_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KL : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KL_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KL_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KN : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KN_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KN_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KO : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7KO_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KO_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KP : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KP_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KQ : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KQ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KR : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KR_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KR_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7KS : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7KS_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7KS_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LD : calculee restituee primrest = 0 : "Inv. Scellier 7LD - Mtant avant imputation sur droits dus" ;
RCEL7LD_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LD_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LE : calculee restituee primrest = 0 : "Inv. Scellier 7LE - Mtant avant imputation sur droits dus" ;
RCEL7LE_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LE_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LF : calculee restituee primrest = 0 : "Inv. Scellier 7LF - Mtant avant imputation sur droits dus" ;
RCEL7LF_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LF_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LN : calculee restituee primrest = 0 : "Inv. Scellier 7LN - Mtant avant imputation sur droits dus" ;
RCEL7LN_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LN_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LT : calculee restituee primrest = 0 : "Inv. Scellier 7LT - Mtant avant imputation sur droits dus" ;
RCEL7LT_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LT_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LX : calculee restituee primrest = 0 : "Inv. Scellier 7LX - Mtant avant imputation sur droits dus" ;
RCEL7LX_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LX_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7LZ : calculee restituee primrest = 0 : "Inv. Scellier 7LZ - Mtant avant imputation sur droits dus" ;
RCEL7LZ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7LZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7MG : calculee restituee primrest = 0 : "Inv. Scellier 7MG - Mtant avant imputation sur droits dus" ;
RCEL7MG_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7MG_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7MH : calculee restituee primrest = 0 : "Inv. Scellier 7MH - Mtant avant imputation sur droits dus" ;
RCEL7MH_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7MH_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7RI_P : calculee primrest = 0 base : "Prorogation investissements Scellier - Reduction" ;
RCEL7RK_P : calculee primrest = 0 base : "Prorogation investissements Scellier - Reduction" ;
RCEL7RL_P : calculee primrest = 0 base : "Prorogation investissements Scellier - Reduction" ;
RCEL7RN_P : calculee primrest = 0 base : "Prorogation investissements Scellier - Reduction" ;
RCEL7SD : calculee restituee primrest = 0 : "Inv. Scellier 7SD - Mtant avant imputation sur droits dus" ;
RCEL7SD_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SD_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SE : calculee restituee primrest = 0 : "Inv. Scellier 7SE - Mtant avant imputation sur droits dus" ;
RCEL7SE_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SE_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SF : calculee restituee primrest = 0 : "Inv. Scellier 7SF - Mtant avant imputation sur droits dus" ;
RCEL7SF_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SF_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SG : calculee restituee primrest = 0 : "Inv. Scellier 7SG - Mtant avant imputation sur droits dus" ;
RCEL7SG_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SG_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SH : calculee restituee primrest = 0 : "Inv. Scellier 7SH - Montant avant imputation sur droits dus" ;
RCEL7SH_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SH_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SI : calculee restituee primrest = 0 : "Inv. Scellier 7SI - Montant avant imputation sur droits dus" ;
RCEL7SI_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SJ : calculee restituee primrest = 0 : "Inv. Scellier 7SJ - Montant avant imputation sur droits dus" ;
RCEL7SJ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SK : calculee restituee primrest = 0 : "Inv. Scellier 7SK - Montant avant imputation sur droits dus" ;
RCEL7SK_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SK_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SL : calculee restituee primrest = 0 : "Inv. Scellier 7SL - Montant avant imputation sur droits dus" ;
RCEL7SL_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SQ : calculee restituee primrest = 0 : "Inv. Scellier 7SQ - Montant avant imputation sur droits dus" ;
RCEL7SQ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7SR : calculee restituee primrest = 0 : "Inv. Scellier 7SR - Montant avant imputation sur droits dus" ;
RCEL7SR_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7SR_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7WC : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7WCSD_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7WC_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7WD : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7WD_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7WD_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7WE : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7WE_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7WE_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7WF : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7WF_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7WF_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7WG : calculee restituee primrest = 0 : "Inv. Scellier - Mtant avant imputation sur droits dus" ;
RCEL7WG_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7WG_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7XH : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7XH_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7XH_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7XI : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7XI_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7XI_P : calculee primrest = 0 base : "Prorogation investissements Scellier - Reduction" ;
RCEL7XJ : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7XJ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7XJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7XK : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7XK_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7XK_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7YX : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7YX_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7YY : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7YY_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7YY_P : calculee primrest = 0 base : "RI evt avant" ;
RCEL7YZ : calculee restituee primrest = 0 : "Inv. Scellier - Montant avant imputation sur droits dus" ;
RCEL7YZ_1 : calculee primrest = 0 : "traitement 1731bis" ;
RCEL7YZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAB : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAB1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAB_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAD : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAF : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAF1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAF_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAH : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAH_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAI : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAI_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAP : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAP1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAP_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAR : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAR1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAR_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAS : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAS1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAS_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAT : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAT1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAT_P : calculee primrest = 0 base : "RI evt avant" ;
RCELAU : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELAU1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELAU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELAU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBA : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBB : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBB1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBB_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBC : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBD : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBE : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBE1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBF : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBF1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBF_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBG : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBG1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBG_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBH : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBH_P : calculee primrest = 0 base : "RI evt avant" ;
RCELBJ : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELBJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELBJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELBJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELGS : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELGS1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELGS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELGS_P : calculee primrest = 0 base : "RI evt avant" ;
RCELGU : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELGU1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELGU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELGU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELGX : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELGX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELGX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELGX_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHA : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELHA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHJ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELHJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHK : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELHK1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHK_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHL : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELHL1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHL_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHM : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELHM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHM_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHN : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELHN1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHN_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHY : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELHY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHY_P : calculee primrest = 0 base : "RI evt avant" ;
RCELHZ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELHZ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELHZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELHZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIA : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELIA1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIB : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIB1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIB_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIC : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIC1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIE : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIE1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIF : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIF1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIF_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIG : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIG1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIG_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIH : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIH1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIH_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIO : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIO1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIO_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIP : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIP1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELIP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIP_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIQ : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELIQ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELIQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELIQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELIR_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIS_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIT_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIU_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIV_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIW_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIX_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIY_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELIZ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJE_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJF_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJG_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJH_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJI_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJJ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJK_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELJL_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELKA_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELKB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELKC : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELKC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELKC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKC_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELKD : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELKD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELKD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKD_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELKJ : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKJ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKK : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKK1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKL : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKL1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKL_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKN : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKN1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKN_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKO : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKO1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKO_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKP : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKP1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKQ : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKQ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKR : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKR1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKR_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKS : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELKS1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELKS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKS_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKT : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELKT1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELKT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKT_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKU : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELKU1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELKU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELKV : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELKV1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELKV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELKV_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLA : calculee restituee primrest = 0 : "Investissement Scellier report 2017 reduction 7LA" ;
RCELLA1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LA a la fin 1er traitement si 1731bis" ;
RCELLAP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LA a la fin 1er traitement si 1731bis" ;
RCELLA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLB : calculee restituee primrest = 0 : "Investissement Scellier report 2017 reduction 7LB" ;
RCELLB1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LB a la fin 1er traitement si 1731bis" ;
RCELLBP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LB a la fin 1er traitement si 1731bis" ;
RCELLB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLB_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLC : calculee restituee primrest = 0 : "Investissement Scellier report 2017 reduction 7LC" ;
RCELLC1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LC a la fin 1er traitement si 1731bis" ;
RCELLCP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LC a la fin 1er traitement si 1731bis" ;
RCELLC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLD : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLE : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLE1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLF : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLF1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLF_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLN : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLN1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLN_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLT : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLT1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLT_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLX : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLX_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLY : calculee restituee primrest = 0 : "Investissement Scellier report 2016 reduction - 7LY" ;
RCELLY1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LY a la fin 1er traitement si 1731bis" ;
RCELLYP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LY a la fin 1er traitement si 1731bis" ;
RCELLY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLY_P : calculee primrest = 0 base : "RI evt avant" ;
RCELLZ : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELLZ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELLZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELLZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMA : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MA" ;
RCELMA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMB : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MB" ;
RCELMB1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMB_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMC : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MC" ;
RCELMC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMD : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MD" ;
RCELMD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMG : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELMG1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMG_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMH : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELMH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMH_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMI : calculee restituee primrest = 0 : "Investissement Scellier report reduction" ;
RCELMI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMI_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMJ : calculee restituee primrest = 0 : "Investissement Scellier report reduction" ;
RCELMJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMK : calculee restituee primrest = 0 : "Investissement Scellier report reduction" ;
RCELMK1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMK_P : calculee primrest = 0 base : "RI evt avant" ;
RCELML : calculee restituee primrest = 0 : "Investissement Scellier report reduction" ;
RCELML1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELML_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELML_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMO : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MO" ;
RCELMO1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMO_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELMP : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MP" ;
RCELMP1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMP_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELMQ : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MQ" ;
RCELMQ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMQ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELMR : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MR" ;
RCELMR1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELMR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMR_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELMS : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MS" ;
RCELMS1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7MS a la fin 1er traitement si 1731bis" ;
RCELMS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMS_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMT : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MT" ;
RCELMT1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7MT a la fin 1er traitement si 1731bis" ;
RCELMT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMT_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMU : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MU" ;
RCELMU1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7MU a la fin 1er traitement si 1731bis" ;
RCELMU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELMV : calculee restituee primrest = 0 : "Investissement Scellier report reduction 7MV" ;
RCELMV1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7MV a la fin 1er traitement si 1731bis" ;
RCELMV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELMV_P : calculee primrest = 0 base : "RI evt avant" ;
RCELNO_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNP_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNQ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNR_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNT_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNU_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNV_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELNW_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELPC : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELPC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELPC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELPC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELPD : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELPD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELPD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELPD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELPE : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELPE1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELPE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELPE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELPH : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELPH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELPH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELPI : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELPI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELPI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELPI_P : calculee primrest = 0 base : "RI evt avant" ;
RCELPJ : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELPJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELPJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELPJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELQE : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELQE1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELQE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELQE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELREP : calculee primrest = 0 : "Scellier - pour Colbert  RCELREP =RCELRED09 + RCELRED" ;
RCELREPHA : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7HA" ;
RCELREPHA1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7HA a la fin 1er traitement si 1731bis" ;
RCELREPHAP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7HA a la fin 1er traitement si 1731bis" ;
RCELREPHD : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7HD" ;
RCELREPHD1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7HD a la fin 1er traitement si 1731bis" ;
RCELREPHDP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7HD a la fin 1er traitement si 1731bis" ;
RCELREPHF : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7HF" ;
RCELREPHF1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7HF a la fin 1er traitement si 1731bis" ;
RCELREPHFP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7HF a la fin 1er traitement si 1731bis" ;
RCELREPWT : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7WT" ;
RCELREPWT1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWTP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPWT_P : calculee primrest = 0 base : "RI evt avant" ;
RCELREPWU : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7WU" ;
RCELREPWU1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWUP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPWU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELREPWV : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7WV" ;
RCELREPWV1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWVP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPWV_P : calculee primrest = 0 base : "RI evt avant" ;
RCELREPWW : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7WW" ;
RCELREPWW1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWWP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELREPWW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPWW_P : calculee primrest = 0 base : "RI evt avant" ;
RCELREPYG : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7YG" ;
RCELREPYG1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YG a la fin 1er traitement si 1731bis" ;
RCELREPYGP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YG a la fin 1er traitement si 1731bis" ;
RCELREPYM : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YM" ;
RCELREPYM1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YM a la fin 1er traitement si 1731bis" ;
RCELREPYMP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YB a la fin 1er traitement si 1731bis" ;
RCELREPYM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYM_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YN" ;
RCELREPYN : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YN" ;
RCELREPYN1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YN a la fin 1er traitement si 1731bis" ;
RCELREPYNP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YB a la fin 1er traitement si 1731bis" ;
RCELREPYN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYN_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YN" ;
RCELREPYO : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YO" ;
RCELREPYO1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YO a la fin 1er traitement si 1731bis" ;
RCELREPYOP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YB a la fin 1er traitement si 1731bis" ;
RCELREPYO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYO_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YO" ;
RCELREPYP : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YP" ;
RCELREPYP1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YP a la fin 1er traitement si 1731bis" ;
RCELREPYPP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YB a la fin 1er traitement si 1731bis" ;
RCELREPYP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYP_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YP" ;
RCELREPYT : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YT" ;
RCELREPYT1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YT a la fin 1er traitement si 1731bis" ;
RCELREPYTP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YT a la fin 1er traitement si 1731bis" ;
RCELREPYT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYT_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YT" ;
RCELREPYU : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YU" ;
RCELREPYU1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YU a la fin 1er traitement si 1731bis" ;
RCELREPYUP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YU a la fin 1er traitement si 1731bis" ;
RCELREPYU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYU_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YU" ;
RCELREPYV : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YV" ;
RCELREPYV1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YV a la fin 1er traitement si 1731bis" ;
RCELREPYVP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YV a la fin 1er traitement si 1731bis" ;
RCELREPYV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYV_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YV" ;
RCELREPYW : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YW" ;
RCELREPYW1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YW a la fin 1er traitement si 1731bis" ;
RCELREPYWP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YW a la fin 1er traitement si 1731bis" ;
RCELREPYW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELREPYW_P : calculee primrest = 0 base : "Reduction Scellier  report  - 7YW" ;
RCELREPYX : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YX" ;
RCELREPYX1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YX a la fin 1er traitement si 1731bis" ;
RCELREPYXP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YX a la fin 1er traitement si 1731bis" ;
RCELREPYY : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YY" ;
RCELREPYY1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YY a la fin 1er traitement si 1731bis" ;
RCELREPYYP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YY a la fin 1er traitement si 1731bis" ;
RCELREPYZ : calculee restituee primrest = 1 : "Reduction Scellier  report  - 7YZ" ;
RCELREPYZ1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YZ a la fin 1er traitement si 1731bis" ;
RCELREPYZP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YZ a la fin 1er traitement si 1731bis" ;
RCELRK : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELRK1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELRK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRK_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRL : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELRL1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELRL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRL_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRM : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELRM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELRM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRM_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRN : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELRN1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELRN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRN_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRREDLN : calculee restituee primrest = 1 : "Investissement Scellier report 2013- reduction-Avis Facture- 7LN" ;
RCELRREDLN1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LN a la fin 1er traitement si 1731bis" ;
RCELRREDLNP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LN a la fin 1er traitement si 1731bis" ;
RCELRREDLQ : calculee restituee primrest = 0 : "Investissement Scellier report 2015 reduction-Avis Facture- 7LQ" ;
RCELRREDLQ1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LQ a la fin 1er traitement si 1731bis" ;
RCELRREDLQP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LQ a la fin 1er traitement si 1731bis" ;
RCELRREDLQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRREDLQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRREDLR : calculee restituee primrest = 0 : "Investissement Scellier report 2015 reduction-Avis Facture- 7LR" ;
RCELRREDLR1731 : calculee restituee primrest = 0 base : " Scellier - reduction 1731bis" ;
RCELRREDLRP2 : calculee restituee primrest = 0 base : " Scellier - reduction 1731bis" ;
RCELRREDLR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRREDLR_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRREDLT : calculee restituee primrest = 1 : "Investissement Scellier report 2013- reduction-Avis Facture- 7LT" ;
RCELRREDLT1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LT a la fin 1er traitement si 1731bis" ;
RCELRREDLTP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LT a la fin 1er traitement si 1731bis" ;
RCELRREDLU : calculee restituee primrest = 0 : "Investissement Scellier report 2015 reduction-Avis Facture- 7LU" ;
RCELRREDLU1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LU a la fin 1er traitement si 1731bis" ;
RCELRREDLUP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LU a la fin 1er traitement si 1731bis" ;
RCELRREDLU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRREDLU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRREDLV : calculee restituee primrest = 0 : "Investissement Scellier report 2015 reduction-Avis Facture- 7LV" ;
RCELRREDLV1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LV a la fin 1er traitement si 1731bis" ;
RCELRREDLVP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LV a la fin 1er traitement si 1731bis" ;
RCELRREDLV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRREDLV_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRREDLX : calculee restituee primrest = 1 : "Investissement Scellier report 2013- reduction-Avis Facture- 7LX" ;
RCELRREDLX1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7LX a la fin 1er traitement si 1731bis" ;
RCELRREDLXP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7LX a la fin 1er traitement si 1731bis" ;
RCELRREDMH : calculee restituee primrest = 1 : "Investissement Scellier report 2013- reduction-Avis Facture- 7MH" ;
RCELRREDMH1731 : calculee restituee primrest = 0 base : " Scellier - reduction 7MH a la fin 1er traitement si 1731bis" ;
RCELRREDMHP2 : calculee restituee primrest = 0 base : " Scellier - reduction 7MH a la fin 1er traitement si 1731bis" ;
RCELRT : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7RT" ;
RCELRT1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELRTP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELRT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRT_P : calculee primrest = 0 base : "RI evt avant" ;
RCELRU : calculee restituee primrest = 0 : "Reduction Scellier  report  - 7RU" ;
RCELRU1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELRUP2 : calculee restituee primrest = 0 base : " Scellier report - Reduc a la fin 1er traitement si 1731bis" ;
RCELRU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELRU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSD : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELSD1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELSD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSE : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELSE1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSF : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELSF1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSF_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSG : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELSG1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSG_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSH : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSH1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSH_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSI : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSI1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSI_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSJ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSJ1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSK : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSK1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSK_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSL : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSL1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSL_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSM1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSMP2 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSOM1 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM1_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM2 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM2_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM3 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM3_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM4 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM4_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM5 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM5_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM6 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM6_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM7 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM7_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM8 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM8_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSOM9 : calculee restituee primrest = 1 : "Invest. Scellier - somme des reductions - retenu" ;
RCELSOM9_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSQ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSQ1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELSQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSQ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELSR : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELSR1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELSR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELSR_P : calculee primrest = 0 base : "RI evt avant" ;
RCELTOT : calculee primrest = 0 : "Total des reductions Scellier : cf ordre d imputation et calcul de RED" ;
RCELTOT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELUU : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELUU1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELUU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELUU_P : calculee primrest = 0 base : "RI evt avant" ;
RCELUV : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELUV1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELUV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELUV_P : calculee primrest = 0 base : "RI evt avant" ;
RCELUW : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELUW1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELUW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELUW_P : calculee primrest = 0 base : "RI evt avant" ;
RCELUX : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELUX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELUX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELUX_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWC : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELWC1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELWC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWD : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELWD1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELWD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWD_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWE : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELWE1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELWE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWE_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWF : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELWF1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELWF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWF_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWG : calculee restituee primrest = 1 : "Prorogation investissements Scellier - Reduction" ;
RCELWG1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELWG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWG_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWX : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELWX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELWX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWX_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWY : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELWY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELWY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWY_P : calculee primrest = 0 base : "RI evt avant" ;
RCELWZ : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELWZ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELWZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELWZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXA : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELXA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELXA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXB : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELXB1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELXB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXB_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXC : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELXC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELXC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXH : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELXH1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXH_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXI : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELXI1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXI_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXJ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELXJ1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXK : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELXK1731 : calculee restituee primrest = 0 base : "Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXK_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXL : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELXL1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELXL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXL_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXM : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELXM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELXM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXM_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXN : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELXN1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELXN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXN_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXO : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELXO1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXOP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXO_P : calculee primrest = 0 base : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELXP : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELXP1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXPP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXP_P : calculee primrest = 0 base : "RI evt avant" ;
RCELXQ : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELXQ1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXQP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELXQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELXQ_P : calculee primrest = 0 base : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELYA : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELYA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELYA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYA_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYC : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELYC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELYC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYC_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYG : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELYG1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELYG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYG_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYI : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELYI1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELYI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYI_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYJ : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELYJ1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELYJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYJ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYK : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELYK1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELYK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYK_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYL : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELYL1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELYL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYL_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYR : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELYR1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELYR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYR_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYS : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELYS1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELYS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYS_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYX : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELYX1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELYX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYX_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYY : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELYY1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELYY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYY_P : calculee primrest = 0 base : "RI evt avant" ;
RCELYZ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduc apres imputation sur droits dus" ;
RCELYZ1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RCELYZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELYZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCELZC_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZD_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZE_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZF_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZG_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZH_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZI : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELZI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELZI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZI_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZJ : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELZJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELZJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZJ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZK : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELZK1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELZK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZK_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZL : calculee restituee primrest = 1 : "Prorogation Scellier - Reduction" ;
RCELZL1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELZL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZL_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZM : calculee restituee primrest = 0 : "Prorogation 2019 Scellier" ;
RCELZM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RCELZM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZM_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZN_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RCELZO : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELZO1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZOP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZO_P : calculee primrest = 0 base : "RI evt avant" ;
RCELZP : calculee restituee primrest = 1 : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELZP1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZPP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCELZP_P : calculee primrest = 0 base : "Prorogation 2016 Scellier 2011  -Reduc apres imputation sur droits dus" ;
RCELZQ1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZQP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZR1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZRP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZS1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZSP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZT1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZTP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZU1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZUP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZV1731 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCELZVP2 : calculee restituee primrest = 0 base : " Scellier - Reduc a la fin 1er traitement si 1731bis" ;
RCINE : calculee restituee primrest = 1 : "Cinema audiovisuel" ;
RCINE1 : calculee restituee primrest = 1 : "Cinema audiovisuel" ;
RCINE1731 : calculee restituee primrest = 0 base : "RCINE reduction  a la fin 1er traitement si 1731bis" ;
RCINEP2 : calculee restituee primrest = 0 base : "RCINE reduction  a la fin 1er traitement si 1731bis" ;
RCINE_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Cinema audiovisuel" ;
RCINE_P : calculee primrest = 0 base : "Cinema audiovisuel" ;
RCM1 : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers imposables" ;
RCM11 : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables" ;
RCM11B : calculee restituee primrest = 0 : "Revenus de capitaux mobiliers imposables" ;
RCM1731 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
RCM2FA : calculee primrest = 0 : "Revenus de capitaux mobiliers 2FA imposables " ;
RCMAB : calculee primrest = 0 : "Revenus ouvrant droit a abattement unique 2CD+ACD+BCD+CCD" ;
RCMABD : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2DC : "Dividendes ouvrant droit a abattement " ;
RCMAV : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2CH : "Produits des contrats d'assurance-vie et de capitalisation " ;
RCMAVFT : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 2AB : "Credits d'impot sur valeurs etrangeres" ;
RCMBAR : calculee restituee primrest = 0 base : "Base imposable des RCM taxables au tbareme" ;
RCMBARQUOT : calculee restituee primrest = 0 base : "Base imposable des RCM taxables au bareme" ;
RCMEXCREF : calculee primrest = 0 : "montant excedentaire de la refaction a reintegrer ds REVKIRE" ;
RCMFR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2CA : "RCM - Frais a deduire" ;
RCMFR1731 : calculee restituee primrest = 0 base : "Frais RCM 2CA  pour 1731" ;
RCMFRART1731 : calculee restituee primrest = 0 base : "Frais RCM 2CA  pour 1731 pour avis" ;
RCMFRNET : calculee restituee primrest = 0 base : "Frais RCM 2CA  pour 1731" ;
RCMFRNET1731 : calculee restituee primrest = 0 base : "Frais RCM 2CA  pour 1731" ;
RCMFRNETP2 : calculee restituee primrest = 0 base : "Frais RCM 2CA  pour 1731" ;
RCMFRNET_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
RCMFRORDI : calculee primrest = 0 base : "frais RCM sur RCM ordinaires" ;
RCMFRP2 : calculee restituee primrest = 0 base : "Frais rcm pour 1731" ;
RCMFRQUOT : calculee primrest = 0 base : "frais RCM sur RCM quotient" ;
RCMFRQUOT1 : calculee primrest = 0 base : "frais RCM sur RCM quotient" ;
RCMFRTEMP : calculee restituee primrest = 0 base : "Frais RCM 2CA  pour 1731" ;
RCMFR_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
RCMHAB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2TR : "Produits de placement a revenu fixe sans abattement " ;
RCMHAD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2TS : "Autres revenus distribues et assimiles (12,8 % ou option)" ;
RCMIMPAT : saisie revenu classe = 8 priorite = 11 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 2DM : "Impatries : RCM percus a l'etranger exoneres (50%)" type REEL ;
RCMIMPTN : calculee restituee primrest = 1 base : "Base imposable des RCM taxables au taux de 12.8% modulation" ;
RCMIMPTR : calculee restituee primrest = 1 base : "Base imposable des RCM taxables au taux de 7.5% modulation" ;
RCMLIB : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2DH : "Produits contrats d'assurance-vie soumis au prelevement lib. 7,5 % " ;
RCMNAB : calculee primrest = 0 : "Revenus n'ouvrant pas droit a abattement unique 2LZ+ALZ+BLZ+CLZ" ;
RCMORDNET : calculee primrest = 0 base : " RCM ordi moins frais 2CA calcules sur RCM ordi" ;
RCMORDNETA : calculee primrest = 0 base : "rnetimp(ordi)" ;
RCMORDNETB : calculee primrest = 0 base : "rnetimpbis(ordi)" ;
RCMORDTOT : calculee primrest = 0 base : "Total RCM ordinaire brut pour ventilation des frais" ;
RCMORDTOTNET : calculee primrest = 0 base : "Total RCM ordinaire net  abattement et majoration" ;
RCMPRIV : calculee primrest = 0 : "Revenu struct. reg fisc. priv. RCM n'ouvrant pas droit a abattement" ;
RCMPRIVM : calculee primrest = 0 : "Revenu struct. reg fisc. priv. RCM apres majo" ;
RCMQNET : calculee primrest = 0 base : "RCM quotient net de frais 2CA" ;
RCMQUOTOT : calculee primrest = 0 base : "Total RCM quotient net " ;
RCMQUOTOTNET : calculee primrest = 0 base : "Total RCM quotient net  abattement et majoration" ;
RCMRABD : calculee primrest = 0 : "montant de la refaction sur 2DC" ;
RCMRDS : saisie revenu classe = 8 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2CG : "RCM deja soumis aux prelevements sociaux sans CSG deductible" ;
RCMRNABD : calculee primrest = 0 : "revenus nets de la refaction sur 2DC" ;
RCMRNCH : calculee primrest = 0 base : " RCM 2CH quotient net abattement" ;
RCMRNTNC : calculee primrest = 0 : "revenus nets de la refaction sur 2FU" ;
RCMRTNC : calculee primrest = 0 : "montant de la refaction sur 2FU" ;
RCMSOC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 2BH : "RCM deja soumis aux prelevements sociaux avec CSG deductible" ;
RCMSOCDED : calculee restituee primrest = 1 : "RCM soumis aux PS avec CSG deductible" ;
RCMTNC : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias 2FU : "Revenus des titres non cotes detenus dans un PEA" ;
RCMTOT : calculee primrest = 0 base : "Total RCM ordinaire et quotient net" ;
RCMTOTNET : calculee primrest = 0 base : "RCM apres abt et majo total net de frais 2CA" ;
RCM_I : calculee primrest = 0 : "total xRCM_I" ;
RCM_P : calculee primrest = 0 base : "Correctif: ipour 1731" ;
RCOD7KW : calculee restituee primrest = 1 : "RI Travaux de restauration immo report de la red non imputee 2020" ;
RCOD7KW1731 : calculee restituee primrest = 0 base : "RCOD7Kw reduction a la fin 1er traitement si 1731bis" ;
RCOD7KW_1 : calculee restituee primrest = 0 : "Tx restauration immo report RI 2020" ;
RCOD7KW_P : calculee primrest = 0 base : "RI evt avant" ;
RCOD7KX : calculee restituee primrest = 1 : "RI Travaux de restauration immo report de la réduction non imputee" ;
RCOD7KX1731 : calculee restituee primrest = 0 base : "RCOD7KX reduction a la fin 1er traitement si 1731bis" ;
RCOD7KX_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Reduction emprunt reprise societe" ;
RCOD7KX_P : calculee primrest = 0 base : "RI evt avant" ;
RCOD7KY : calculee restituee primrest = 1 : "RI Travaux de restauration immo report de la réduction non imputee" ;
RCOD7KY1731 : calculee restituee primrest = 0 base : "RCOD7YZ reduction a la fin 1er traitement si 1731bis" ;
RCOD7KY_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Reduction emprunt reprise societe" ;
RCOD7KZ : calculee restituee primrest = 1 : "RI Travaux de restauration immo report de la réduction non imputee" ;
RCOD7KZ1731 : calculee restituee primrest = 0 base : "RCOD7KZ reduction a la fin 1er traitement si 1731bis" ;
RCOD7KZP2 : calculee restituee primrest = 0 base : "RCOD7KZ reduction a la fin 1er traitement si 1731bis" ;
RCOD7KZ_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Reduction emprunt reprise societe" ;
RCOD7KZ_P : calculee primrest = 0 base : "Reduction Capital de societes nouvelles" ;
RCODID : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report (7ID) - reduction" ;
RCODID1731 : calculee restituee primrest = 0 base : "report - Reduc a la fin 1er traitement si 1731bis" ;
RCODIDP2 : calculee restituee primrest = 0 base : "RCODID reduction  du primitif que si ligne de rappel - pour 1731bis" ;
RCODID_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODID_P : calculee primrest = 0 base : "art1731bis (7ID) - reduction" ;
RCODIJ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report (7IJ) - reduction" ;
RCODIJ1731 : calculee restituee primrest = 0 base : "report - Reduc a la fin 1er traitement si 1731bis" ;
RCODIJP2 : calculee restituee primrest = 0 base : "RCODIJ reduction  du primitif que si ligne de rappel - pour 1731bis" ;
RCODIJ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODIJ_P : calculee primrest = 0 base : "art1731bis (7IJ) - reduction" ;
RCODIM : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report (7IM) - reduction" ;
RCODIM1731 : calculee restituee primrest = 0 base : "report - Reduc a la fin 1er traitement si 1731bis" ;
RCODIMP2 : calculee restituee primrest = 0 base : "RCODIM reduction  du primitif que si ligne de rappel - pour 1731bis" ;
RCODIM_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODIM_P : calculee primrest = 0 base : "art1731bis (7IM) - reduction" ;
RCODIN : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report (7IN) - reduction" ;
RCODIN1731 : calculee restituee primrest = 0 base : "report - Reduc a la fin 1er traitement si 1731bis" ;
RCODINP2 : calculee restituee primrest = 0 base : "RCODIN reduction  du primitif que si ligne de rappel - pour 1731bis" ;
RCODIN_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODIN_P : calculee primrest = 0 base : "art1731bis (7IN) - reduction" ;
RCODJT : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7JT) - reduction" ;
RCODJT1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2013 - report n+1 7JT" ;
RCODJT1731 : calculee restituee primrest = 0 base : "RCODJT reduction  a la fin 1er traitement si 1731bis" ;
RCODJT8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2013 - report n+8 7JT" ;
RCODJTJU : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7JT + 7JU) - reduction" ;
RCODJTP2 : calculee restituee primrest = 0 base : "RCODJT reduction  a la fin 1er traitement si 1731bis" ;
RCODJT_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODJZ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7JZ) - reduction" ;
RCODJZ1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2013 - report n+1 7JZ" ;
RCODJZ1731 : calculee restituee primrest = 0 base : "RCODjz reduction  a la fin 1er traitement si 1731bis" ;
RCODJZ8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2013 - report n+1 7JZ" ;
RCODJZ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODJZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCODMN : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7MN) - retenu" ;
RCODMN1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2020 - report n+1 7MN" ;
RCODMN1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RCODMN8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2020 - report n+1 7MN" ;
RCODMN_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODMN_P : calculee primrest = 0 base : "RI evt avant" ;
RCODMW : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7MW) - retenu" ;
RCODMW1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2020 - report n+1 7MZ" ;
RCODMW1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RCODMW8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2020 - report n+1 7MW" ;
RCODMW_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODMW_P : calculee primrest = 0 base : "RI evt avant" ;
RCODMZ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7MZ) - retenu" ;
RCODMZ1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2020 - report n+1 7MZ" ;
RCODMZ1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RCODMZ8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2020 - report n+1 7MZ" ;
RCODMZ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODMZ_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RCODOU : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7OU) - reduction" ;
RCODOU1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2013 - report n+1 7OU" ;
RCODOU1731 : calculee restituee primrest = 0 base : "RCODOU reduction  a la fin 1er traitement si 1731bis" ;
RCODOUP2 : calculee restituee primrest = 0 base : "RCODOU reduction  a la fin 1er traitement si 1731bis" ;
RCODOU_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODOU_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OU) - reduction" ;
RCODOV : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7OV) - reduction" ;
RCODOV1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OV" ;
RCODOV1731 : calculee restituee primrest = 0 base : "RCODOV reduction  a la fin 1er traitement si 1731bis" ;
RCODOV8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OV" ;
RCODOVP2 : calculee restituee primrest = 0 base : "RCODOV reduction  a la fin 1er traitement si 1731bis" ;
RCODOV_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODOV_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OV) - reduction" ;
RCODOW : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7OW) - reduction" ;
RCODOW1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OW" ;
RCODOW1731 : calculee restituee primrest = 0 base : "RCODOW reduction  a la fin 1er traitement si 1731bis" ;
RCODOW8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OW" ;
RCODOWP2 : calculee restituee primrest = 0 base : "RCODOW reduction  a la fin 1er traitement si 1731bis" ;
RCODOW_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODOW_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OV) - reduction" ;
RCODOX : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7OX) - reduction" ;
RCODOX1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OX" ;
RCODOX1731 : calculee restituee primrest = 0 base : "RCODOX reduction  a la fin 1er traitement si 1731bis" ;
RCODOX8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OX" ;
RCODOXP2 : calculee restituee primrest = 0 base : "RCODOX reduction  a la fin 1er traitement si 1731bis" ;
RCODOX_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODOX_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OX) - reduction" ;
RCODOY : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7OY) - reduction" ;
RCODOY1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OY" ;
RCODOY1731 : calculee restituee primrest = 0 base : "RCODOX reduction  a la fin 1er traitement si 1731bis" ;
RCODOY8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7OY" ;
RCODOYP2 : calculee restituee primrest = 0 base : "RCODOY  reduction  a la fin 1er traitement si 1731bis" ;
RCODOY_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODOY_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OX) - reduction" ;
RCODPZ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PZ) - retenu" ;
RCODPZ1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7PZ" ;
RCODPZ1731 : calculee restituee primrest = 0 base : "RCODPZ reduction  a la fin 1er traitement si 1731bis" ;
RCODPZ8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2015 - report n+1 7PZ" ;
RCODPZ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RCODPZ_P : calculee primrest = 0 base : "RI evt avant" ;
RCOLENT : calculee restituee primrest = 1 : "Investissements outre mer entreprise - report 2009 - retenu" ;
RCOLENT1731 : calculee restituee primrest = 0 base : "RCOLENT reduction  a la fin 1er traitement si 1731bis" ;
RCOLENTP2 : calculee restituee primrest = 0 base : "RCOLENT reduction  a la fin 1er traitement si 1731bis" ;
RCOLENTTEO : calculee primrest = 0 : "Investissements outre mer entreprise - report 2009 - retenu AF" ;
RCOLENT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCOLENT_P : calculee primrest = 0 base : "Investissements outre mer entreprise - report 2009 - retenu" ;
RCOMP : calculee restituee primrest = 1 : "Frais de comptabilite" ;
RCOMP1731 : calculee restituee primrest = 0 base : "RCOMP retenu  a la fin 1er traitement si 1731bis" ;
RCOMPP2 : calculee restituee primrest = 0 base : "RCOMP retenu  a la fin 1er traitement si 1731bis" ;
RCOMP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RCOMP_P : calculee primrest = 0 base : "Frais de comptabilite" ;
RCOTFOR : calculee restituee primrest = 1 : "Cotisations assurance pour la foret - reduction" ;
RCOTFOR1731 : calculee restituee primrest = 0 base : "RCOTFOR reduction a la fin 1er traitement si 1731bis" ;
RCOTFORP2 : calculee restituee primrest = 0 base : "RCOTFOR reduction a la fin 1er traitement si 1731bis" ;
RCOTFOR_1 : calculee restituee primrest = 0 : "Cotisations assurance pour la foret - reduction" ;
RCOTFOR_P : calculee primrest = 0 base : "Cotisations assurance pour la foret - reduction" ;
RCSC : saisie revenu classe = 8 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5IY : "Revenus a imposer aux contributions sociales - Declarant 2 " ;
RCSP : saisie revenu classe = 8 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5JY : "Revenus a imposer aux contributions sociales - PAC " ;
RCSV : saisie revenu classe = 8 priorite = 10 categorie_TL = 20 cotsoc = 10 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5HY : "Revenus a imposer aux contributions sociales - Declarant 1 " ;
RD6DG : calculee restituee primrest = 1 : "Deductions foncieres monuments historiques" ;
RD6DGTEF : calculee primrest = 0 : "Deductions 6DG" ;
RD6DGTEFRFR : calculee primrest = 0 : "Deductions 6DG" ;
RD9YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RD9YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RD9YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RD9YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RD9YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RDBASE : calculee primrest = 0 : " nouv cor:base des majo RD" ;
RDBASE2042_FIC : calculee restituee primrest = 0 base : "Montant final CRDS en base declaration fictive" ;
RDBASEHCOR : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RDBASEHCOR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RDBASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RDBASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RDBASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RDBASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RD" ;
RDBASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RDBRUT : calculee primrest = 0 : "RDS net   avant CIMR CDRS" ;
RDCOM : saisie revenu classe = 0 priorite = 30 categorie_TL = 30 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FF : "Frais de comptabilite - Adhesion CGA-AA " ;
RDCSG : calculee restituee primrest = 1 : "Libelle CGS deductible" ;
RDDIV : calculee restituee primrest = 1 : "Deductions diverses" ;
RDDIVTEF : calculee primrest = 0 : "Deductions diverses" ;
RDDIVTEFRFR : calculee primrest = 0 : "Deductions diverses" ;
RDDOUP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UF : "Dons aux oeuvres" ;
RDENL : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EC : "Enfant scolarise - Lycee - Nombre " ;
RDENLQAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7ED : "Enfant en residence alternee - Lycee - Nombre " ;
RDENS : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EA : "Enfant scolarise - College - Nombre " ;
RDENSQAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EB : "Enfant en residence alternee - College - Nombre " ;
RDENU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EF : "Enfant scolarise - Enseignement superieur - Nombre " ;
RDENUQAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7EG : "Enfant en residence alternee - Enseignement superieur - Nombre " ;
RDEQPAHA : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WJ : "Equipements pour l'accessibilite des logements" type REEL ;
RDFOREST : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UN : "Investissements forestiers : acquisition " type REEL ;
RDFORESTGES : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UQ : "CI investissements forestiers : contrat de gestion" type REEL ;
RDFORESTRA : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UP : "CI investissements forestiers : travaux " type REEL ;
RDGARD1 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GA : "Frais de garde - 1er enfant de moins de 6 ans " ;
RDGARD1QAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GE : "Residence alternee Frais de garde - 1er enfant. moins de 6 ans " ;
RDGARD2 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GB : "Frais de garde - 2eme enfant de moins de 6 ans " ;
RDGARD2QAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GF : "Residence alternee Frais de garde - 2eme enfant moins de 6 ans " ;
RDGARD3 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GC : "Frais de garde - 3eme enfant de moins de 6 ans " ;
RDGARD3QAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GG : "Residence alternee Frais de garde - 3eme enfant moins de 6 ans " ;
RDGARD4 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GD : "Frais de garde - 4eme enfant de moins de 6 ans " ;
RDGARD4QAR : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GM : "Residence alternee frais de garde - 4eme enfant moins de 7 ans " ;
RDIFAGRI : calculee restituee primrest = 1 : "Reduction interets differe de paiement accorde aux agriculteurs impute" ;
RDIFAGRI1731 : calculee restituee primrest = 0 base : "RDIFAGRI reduction  a la fin 1er traitement si 1731bis" ;
RDIFAGRIP2 : calculee restituee primrest = 0 base : "RDIFAGRI reduction  a la fin 1er traitement si 1731bis" ;
RDIFAGRI_1 : calculee restituee primrest = 0 : " reduction non plaf pour 1731bis" ;
RDIFAGRI_P : calculee primrest = 0 base : "Reduction interets differe de paiement accorde aux agriculteurs impute" ;
RDMECENAT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7US : "Depenses de mecenat " ;
RDMO : calculee primrest = 0 : "Taux effectif : revenu total" ;
RDNCP : calculee restituee primrest = 1 : "Activites non Commerciales non Pro. taxees aux CSG RDS PRS" ;
RDNET : calculee restituee primrest = 1 : "RDS net   avant test des 160F" ;
RDNETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RDNP : calculee restituee primrest = 1 : "BIC Non Profess. taxees aux CSG RDS PRS" ;
RDOM : calculee primrest = 0 : "Reduction investissement DOM" ;
RDOMSOC1 : calculee restituee primrest = 1 : "Investissements outre mer logement social - report 2009 - reduction" ;
RDOMSOC11731 : calculee restituee primrest = 0 base : "RDOMSOC1 reduction  a la fin 1er traitement si 1731bis" ;
RDOMSOC1P2 : calculee restituee primrest = 0 base : "RDOMSOC1 reduction  a la fin 1er traitement si 1731bis" ;
RDOMSOC1_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDOMSOC1_P : calculee primrest = 0 base : "Investissements outre mer logement social - report 2009 - reduction" ;
RDONDJ : calculee restituee primrest = 1 : "Dons : asso cult" ;
RDONDJ1731 : calculee restituee primrest = 0 base : "RDONDJ reduction  a la fin 1er traitement si 1731bis" ;
RDONDJ_1 : calculee restituee primrest = 0 : " reduction non plaf pour 1731bis asso cult" ;
RDONDJ_P : calculee primrest = 0 base : "Dons : asso cult" ;
RDONDP : calculee restituee primrest = 1 : "Dons : notre dame de paris" ;
RDONDP1731 : calculee restituee primrest = 0 base : "RDONDP reduction  a la fin 1er traitement si 1731bis" ;
RDONDP_1 : calculee primrest = 0 : " reduction non plaf pour 1731bis ndp" ;
RDONIFI1 : calculee restituee primrest = 1 : "IFI : reductions dons aux organismes etablis en France 9NC" type REEL ;
RDONIFI11731 : calculee restituee primrest = 0 base : "IFI - reduction 9NC a la fin 1er traitement si 1731bis" ;
RDONIFI1P2 : calculee restituee primrest = 0 base : "IFI - reduction 9NC a la fin 1er traitement si 1731bis" ;
RDONIFI1_P : calculee primrest = 0 base : "Montant accorde en primitif (declaration P)" ;
RDONIFI2 : calculee restituee primrest = 1 : "IFI : reductions dons aux organismes etablis CEE 9NG" type REEL ;
RDONIFI21731 : calculee restituee primrest = 0 base : "IFI - reduction 9NG a la fin 1er traitement si 1731bis" ;
RDONIFI2P2 : calculee restituee primrest = 0 base : "IFI - reduction 9NG a la fin 1er traitement si 1731bis" ;
RDONIFI2_1 : calculee restituee primrest = 1 : "IFI : reductions dons aux organismes etablis CEE 9NG" type REEL ;
RDONIFI2_P : calculee primrest = 0 base : "Montant accorde en primitif (declaration P)" ;
RDONIFI_1 : calculee restituee primrest = 1 : "IFI : reductions dons aux organismes etablis en France 9NC" type REEL ;
RDONIFI_P : calculee primrest = 0 base : "Correctif: reduction IFI" ;
RDONS : calculee restituee primrest = 1 : "Dons aux oeuvres" type REEL ;
RDONS1731 : calculee restituee primrest = 0 base : "RDONS reduction  a la fin 1er traitement si 1731bis" ;
RDONSP2 : calculee restituee primrest = 0 base : "RDONS reduction  a la fin 1er traitement si 1731bis" ;
RDONS_1 : calculee restituee primrest = 0 : "pour alleger prog - Travaux de restauration immobiliere - reduction" ;
RDONS_P : calculee primrest = 0 base : "Dons aux oeuvres" type REEL ;
RDPRESREPORT : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 1 alias 7WP : "Prestations compensatoires - Report sommes 2021" ;
RDPTP : calculee restituee primrest = 1 : "Plus-values a taux proportionnels taxees a la CRDS et CSG" ;
RDPTPA : calculee primrest = 0 : "Plus-values a taux proportionnels taxees a la CRDS et CSG vous" ;
RDPTPB : calculee primrest = 0 : "Plus-values a taux proportionnels taxees a la CRDS et CSG conjoint" ;
RDPTPC : calculee primrest = 0 : "Plus-values a taux proportionnels taxees a la CRDS et CSG PAC" ;
RDRCM : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG" ;
RDRCM01 : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG" ;
RDRCM1 : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG" ;
RDRCM1APS : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG acompte PS" ;
RDRCM1BIS : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG" ;
RDRCM1BISAPS : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG acompte" ;
RDRCM1NEG : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG negatif" ;
RDRCM1NEGAPS : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG negatif acpt" ;
RDRCM1NEGPLAF : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG negatif" ;
RDRCM1NEGPLAFAPS : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG negatif acp" ;
RDRCM2 : calculee restituee primrest = 1 : "RCM  taxes a tort la CRDS et a la CSG au tx de 7.5 au lieu de 17.2" ;
RDRCMAPS : calculee primrest = 0 : "Revenus de capitaux mobiliers taxes a la CRDS et a la CSG" ;
RDREP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7UD : "Dons aux personnes en difficulte " ;
RDRESU : saisie revenu classe = 0 priorite = 30 categorie_TL = 30 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7GZ : "Rente-survie, contrat d'epargne handicap " ;
RDRF : calculee restituee primrest = 1 : "Revenus fonciers taxes aux CSG RDS PRS" ;
RDRFAPS : calculee primrest = 0 : "Revenus fonciers taxes aux CSG RDS PRS acpte" ;
RDRFPS : calculee restituee primrest = 1 : "Revenus fonciers taxes aux CSG RDS PRS pour article 1731BIS" ;
RDRTF : calculee primrest = 0 : "revenus au taux forfaitaire RDS(avis CSG)" ;
RDRV : calculee restituee primrest = 1 : "Rentes Viageres taxees aux CSG RDS PRS" ;
RDSANC : calculee restituee primrest = 1 : "indicateur de redeclenchement calcul sanction N+1" ;
RDSBASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RDSbase" ;
RDSBASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RDS 1er evenement" ;
RDSC : calculee restituee primrest = 1 : "CRDS nette ( base * taux )" ;
RDSD : calculee restituee primrest = 0 : "RDS due" ;
RDSMAJOP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde base majo P" ;
RDSMAJOP_DEF : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
RDSN : calculee restituee primrest = 0 : "CRDS" ;
RDSNO_A : calculee primrest = 0 : "RI evt avant" ;
RDSTARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RDS pour retard" ;
RDSTARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RDS pour retard" ;
RDSYCJ : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AE : "Cotisations syndicales - Declarant 2 " ;
RDSYPP : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AG : "Cotisations syndicales - PAC " ;
RDSYVO : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7AC : "Cotisations syndicales - Declarant 1 " ;
RDS_A : calculee primrest = 0 base : "RDS anterieur" ;
RDS_MAJOP : calculee primrest = 0 : "nouv cor : sauvegarde base majo P" ;
RDS_P : calculee primrest = 0 base : "RDS" ;
RDS_R : calculee primrest = 0 base : "CRDS (D REFERENCE)" ;
RDS_R9901 : calculee primrest = 0 base : " nouv cor:RDS rectifie pour calcul INR code 99 prim. " ;
RDS_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RDS_R99R : calculee primrest = 0 base : " nouv cor:RDS rectifie pour calcul INR code 99 prim. penalisee" ;
RDS_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RDS_REF : calculee primrest = 0 base : "MONTANT CRDS base du calcul INR retard" ;
RDS_REFP : calculee primrest = 0 base : "MONTANT CS initiale maj R99 et C base du calcul INR" ;
RDS_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
RDS_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RDS pour retard" ;
RDS_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde CRDS" ;
RDS_TLDEC : calculee primrest = 0 base : "MONTANT RDS base des INR retard TL du traitement courant" ;
RDS_TLDEC_1 : calculee primrest = 0 base : "MONTANT RDS base des INR retard TL du traitement courant code 22" ;
RDS_TLDEC_199 : calculee primrest = 0 base : "MONTANT RDS base des INR retard TL du traitement courant code 22" ;
RDS_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RDS_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RDTECH : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7WL : "Travaux de prevention des risques technologiques" ;
RDUFLOEKL1731 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFLOEKLP2 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFLOEKL_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREP : calculee restituee primrest = 1 : "Investissement Duflot reports - reduction" ;
RDUFREP1 : calculee restituee primrest = 1 : "Investissement Duflot reports - reduction" ;
RDUFREP1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RDUFREPFI1731 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFIP2 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFI_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREPFK1731 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFK_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREPFR1731 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFRP2 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFR_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREPFV1731 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFVP2 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFV_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREPFW1731 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFWP2 : calculee restituee primrest = 0 base : "Duflot report - Reduc  a la fin 1er traitement si 1731bis" ;
RDUFREPFW_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREPFX1731 : calculee restituee primrest = 0 base : "RDUFREPFX retenu  a la fin 1er traitement si 1731bis" ;
RDUFREPFX_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RDUFREP_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RD_BPCOS : calculee restituee primrest = 0 : "avis csg: gains de cession" ;
RD_REVETRANG : calculee restituee primrest = 1 : "revenus etrangers           RDS(avis CSG)" ;
RE168 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8VV : "Taxation train de vie (art. 168) (correctif)" ;
REAMOR : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 primrest = 0 alias SBA : "Reintegration amortissement au quotient" ;
REAMORNB : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias TBA : "Reintegration amortissement au quotient - Nb d'annees" ;
REB : calculee restituee primrest = 0 : "Reprises en base" ;
REB1731 : calculee restituee primrest = 0 base : "Pour 1731 bis" ;
RECIMP : calculee restituee primrest = 1 : "Credit recherche (8TB) : montant impute" ;
RECOMP : calculee restituee primrest = 1 : "avis ir:reduction d impot relative au nouveau plaf du quo fam" ;
RECOMPAS : calculee primrest = 0 : "avis ir:reduction d impot relative au nouveau plaf du quo fam" ;
RECREST : calculee restituee primrest = 1 : "Credit recherche (8TB) : montant restitution" ;
RECUM : calculee restituee primrest = 1 : "Cumul de la restitution anterieurement effectuee" ;
RECUMBIS : calculee restituee primrest = 0 : "Cumul de la restitution anterieurement effectuee" ;
RECUMBISIR : calculee primrest = 0 : "Cumul de la restitution anterieurement effectuee IR sans PS" ;
RECUMIR : calculee restituee primrest = 1 : "Cumul de la restitution anterieurement effectuee IR seul" ;
RECUMIRPAS : calculee restituee primrest = 1 : "RECUMIR hors PAS" ;
RECUM_A : calculee primrest = 0 base : "Restitution anterieure" ;
RECUP_INR_C820 : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_C820_A : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_CDIS : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_CDIS_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_CHR : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_CHR_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_CRDS : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_CRDS_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_CSG : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_CSG_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_CVN : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_CVN_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_GLO : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_GLO_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_IFI : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_IFI_A : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_IR : calculee primrest = 0 base : "recuperation DO INR IR  issus de la 2042 n-1" ;
RECUP_INR_IR_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_PCAP : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_PCAP_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_PSOL : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_PSOL_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE1 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE1_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE2 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE2_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE3 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE3_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE4 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE4_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE5 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE5_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE6 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE6_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_RSE8 : calculee primrest = 0 base : "recuperation DO INR   issus de la 2042 n-1" ;
RECUP_INR_RSE8_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RECUP_INR_TAXA : calculee primrest = 0 base : "recup DO INR  issus de la 2042 n-1" ;
RECUP_INR_TAXA_A : calculee primrest = 0 base : "Correctif: recup du degr. pour nlle taxation" ;
RED : calculee restituee primrest = 0 : "Total des reductions d'impot" ;
RED1731 : calculee restituee primrest = 0 base : "reduction  a la fin 1er traitement si 1731bis" ;
RED3WG : calculee primrest = 0 : "Total des reductions d'impot avec 3WG" ;
REDISF : calculee restituee primrest = 0 : "Total des reductions d'impot pour BRAVISF" ;
REDP2 : calculee restituee primrest = 0 base : "reduction  a la fin 1er traitement si 1731bis" ;
REDTL : calculee primrest = 0 : "Total des reductions d'impot pour le calcul de la TL" ;
REDUCAVTCEL : calculee restituee primrest = 0 : "Invest. Scellier -somme des reduc avant scellier" ;
RED_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RED_P : calculee restituee primrest = 0 : "art1731bis - plafonnement reduc" ;
REF1731 : calculee restituee primrest = 1 base : "Flag reference INR 1731" ;
REFRH1_P : calculee primrest = 0 base : "Montant accorde en primitif (declaration P)" ;
REFRH2_P : calculee primrest = 0 base : "Montant accorde en primitif (declaration P)" ;
REGCI : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 1 alias 8XR : "Revenus etrangers avec credit d'impot = impot francais" type REEL ;
REGCIAUTO : calculee restituee primrest = 1 : "Revenus etrangers avec credit d'impot = impot francais Auto" ;
REGPRIV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 restituee primrest = 0 alias 2GO : "Revenus structures a regime fiscal privilegie sans abattement" ;
REGPRIVM : calculee primrest = 0 : "montant majore de GO" ;
REGPRIVMB : calculee primrest = 0 : "montant majore de GO" ;
REI : calculee restituee primrest = 1 : "Reprise d'impot" ;
REMPLAC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBP : "Revenus de remplacement taxes au quotient - Declarant 2" ;
REMPLANBC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBP : "Revenus de remplacement taxes au quotient : nb d'annees - Declarant 2" ;
REMPLANBP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCP : "Revenus de remplacement taxes au quotient : Nombre d'annees - PAC 1" ;
REMPLANBP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDP : "Revenus de remplacement taxes au quotient : Nombre d'annees - PAC 2" ;
REMPLANBP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NEP : "Revenus de remplacement taxes au quotient : Nombre d'annees - PAC 3" ;
REMPLANBP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFP : "Revenus de remplacement taxes au quotient : Nombre d'annees - PAC 4" ;
REMPLANBV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAP : "Revenus de remplacement taxes au quotient : nb d'annees - Declarant 1" ;
REMPLAP1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCP : "Revenus de remplacement taxes au quotient - PAC 1" ;
REMPLAP2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDP : "Revenus de remplacement taxes au quotient - PAC 2" ;
REMPLAP3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias REP : "Revenus de remplacement taxes au quotient - PAC 3" ;
REMPLAP4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RFP : "Revenus de remplacement taxes au quotient - PAC 4" ;
REMPLAV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAP : "Revenus de remplacement taxes au quotient - Declarant 1" ;
REN1 : calculee primrest = 0 base : "Total revenu exceptionnel 1" ;
REN2 : calculee primrest = 0 base : "Total revenu exceptionnel 2" ;
RENDEC1 : calculee primrest = 0 base : "Total revenu exceptionnel dec1" ;
RENDEC2 : calculee primrest = 0 base : "Total revenu exceptionnel dec2" ;
RENDEC3 : calculee primrest = 0 base : "Total revenu exceptionnel pac" ;
RENONA : calculee restituee primrest = 0 : "Denormandie 7NA - Somme des montants a reporter pour Colbert" ;
RENONB : calculee restituee primrest = 0 : "Denormandie 7NB - Somme des montants a reporter pour Colbert" ;
RENONC : calculee restituee primrest = 0 : "Denormandie 7NC - Somme des montants a reporter pour Colbert" ;
RENOND : calculee restituee primrest = 0 : "Denormandie 7ND - Somme des montants a reporter pour Colbert" ;
RENONE : calculee restituee primrest = 0 : "Denormandie 7NE - Somme des montants a reporter pour Colbert" ;
RENONF : calculee restituee primrest = 0 : "Denormandie 7NF - Somme des montants a reporter pour Colbert" ;
RENONG : calculee restituee primrest = 0 : "Denormandie 7NG - Somme des montants a reporter pour Colbert" ;
RENONH : calculee restituee primrest = 0 : "Denormandie 7NH - Somme des montants a reporter pour Colbert" ;
RENONI : calculee restituee primrest = 0 : "Denormandie 7NI - Somme des montants a reporter pour Colbert" ;
RENONJ : calculee restituee primrest = 0 : "Denormandie 7NJ - Somme des montants a reporter pour Colbert" ;
RENONK : calculee restituee primrest = 0 : "Denormandie 7NK - Somme des montants a reporter pour Colbert" ;
RENONL : calculee restituee primrest = 0 : "Denormandie 7NL - Somme des montants a reporter pour Colbert" ;
RENONM : calculee restituee primrest = 0 : "Denormandie 7NM - Somme des montants a reporter pour Colbert" ;
RENONN : calculee restituee primrest = 0 : "Denormandie 7NN - Somme des montants a reporter pour Colbert" ;
RENOPF : calculee restituee primrest = 0 : "Denormandie 7PF - Somme des montants a reporter pour Colbert" ;
RENOPG : calculee restituee primrest = 0 : "Denormandie 7PG - Somme des montants a reporter pour Colbert" ;
RENOV : calculee restituee primrest = 0 : "Reduction travaux de restauration des objets classes " ;
RENTAX : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RAW : "Rentes taxees au quotient - moins de 50 ans " ;
RENTAX5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RBW : "Rentes taxees au quotient - 50 a 59 ans " ;
RENTAX6 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RCW : "Rentes taxees au quotient - 60 a 69 ans " ;
RENTAX7 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias RDW : "Rentes taxees au quotient - a partir de 70 ans " ;
RENTAXNB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NAW : "Rentes taxees au quotient - moins de 50 ans : Nombre d'annees " ;
RENTAXNB5 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NBW : "Rentes taxees au quotient - 50 a 59 ans : Nombre d'annees" ;
RENTAXNB6 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NCW : "Rentes taxees au quotient - 60 a 69 ans : Nombre d'annees " ;
RENTAXNB7 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDW : "Rentes taxees au quotient - a partir de 70 ans : Nombre d'annees " ;
REP101 : calculee primrest = 0 : "pour repartition frais de 10% servant aux abtt. de 10% pour GL et autr" ;
REP102 : calculee primrest = 0 : "pour repartition frais de 10% servant aux abtt. de 10% pour GL et autr" ;
REP103 : calculee primrest = 0 : "pour repartition frais de 10% servant aux abtt. de 10% " ;
REP104 : calculee primrest = 0 : "pour repartition frais de 10% servant aux abtt. de 10% " ;
REP10C : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA" ;
REP10MEU : calculee restituee primrest = 1 : "Reports - montant 2016 reduc Ivt 2010  LMNPRO non impute" ;
REP10V : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA" ;
REP11MEU : calculee restituee primrest = 1 : "Reports - montant 2016 reduc Ivt 2011  LMNPRO non impute" ;
REP12MEU : calculee restituee primrest = 1 : "Reports - montant 2016 reduc Ivt 2012  LMNPRO non impute" ;
REP13MEU : calculee restituee primrest = 1 : "Reports - montant 2018 reduc Ivt 2013  LMNPRO non impute" ;
REP7UA : calculee restituee primrest = 1 : "report CI travaux forestier adhesion 2014 et 2015 pour Colbert " ;
REP7UB : calculee restituee primrest = 1 : "report CI travaux forestier  sinistre adhesion 2014 et 2015 Colbert " ;
REP7UP : calculee restituee primrest = 1 : "report Credit d'impot travaux forestier 2014 et 2015 pour Colbert " ;
REP7UT : calculee restituee primrest = 1 : "report CI travaux forestier apres sinistre 2014 et 2015 pour Colbert " ;
REP9MEU : calculee restituee primrest = 1 : "Reports - montant 2016 reduc Ivt 2009  LMNPRO non impute" ;
REPAR : calculee restituee primrest = 1 : "Report grosses reparations nus-proprietaires n" ;
REPAR1 : calculee restituee primrest = 1 : "Report grosses reparations nus-proprietaires n-1" ;
REPAR2 : calculee restituee primrest = 1 : "Report grosses reparations nus-proprietaires n-2" ;
REPAR3 : calculee restituee primrest = 1 : "Report grosses reparations nus-proprietaires n-3" ;
REPAR4 : calculee restituee primrest = 1 : "Report grosses reparations nus-proprietaires n-4" ;
REPAR5 : calculee restituee primrest = 1 : "Report grosses reparations nus-proprietaires n-5" ;
REPCELHL : calculee restituee primrest = 0 : "Scellier 7HL 7HM - Somme des montants a reporter Colbert" ;
REPCELIQ : calculee restituee primrest = 0 : "Scellier 7IQ - Somme des montants a reporter Colbert" ;
REPCELJIJ : calculee restituee primrest = 0 : "Scellier 7JI 7JJ - Somme des montants a reporter pour Colbert" ;
REPCELMH : calculee restituee primrest = 0 : "Scellier 7MH - Somme des montants a reporter Colbert" ;
REPCELRMNOP : calculee restituee primrest = 0 : "Scellier 7RM 7RN 7RO 7RP - Somme des montants a reporter Colbert" ;
REPCELRQ : calculee restituee primrest = 0 : "Scellier 7RQ - Somme des montants a reporter pour Colbert" ;
REPCELSIJKL : calculee restituee primrest = 0 : "Scellier 7SI 7SJ 7SK 7SL - Somme des montants a reporter Colbert" ;
REPCELXHIJK : calculee restituee primrest = 0 : "Scellier 7XH 7XI 7XJ 7XK - Somme des montants a reporter Colbert" ;
REPCELZAB : calculee restituee primrest = 0 : "Scellier 7ZA 7ZB - Somme des montants a reporter pour Colbert" ;
REPCELZMN : calculee restituee primrest = 0 : "Scellier 7ZM 7ZN - Somme des montants a reporter pour Colbert" ;
REPCI : calculee restituee primrest = 1 : "Report HCI" ;
REPCICE : calculee restituee primrest = 1 : "Report credit d'impot competitivite emploi" ;
REPCIF : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier hors sinistre" ;
REPCIFAD : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier adh hors sinistre" ;
REPCIFADHSN1 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-1  adh hors sinistre" ;
REPCIFADHSN2 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-2  adh hors sinistre" ;
REPCIFADHSN3 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-3  adh hors sinistre" ;
REPCIFADHSN4 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-4  adh hors sinistre" ;
REPCIFADSIN : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier adh avec sinistre" ;
REPCIFADSSN1 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-1  adh avec sinistre" ;
REPCIFADSSN2 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-2  adh avec sinistre" ;
REPCIFADSSN3 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-3  adh avec sinistre" ;
REPCIFADSSN4 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-4  adh avec sinistre " ;
REPCIFADSSN5 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-5  adh avec sinistre " ;
REPCIFADSSN6 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-6  adh avec sinistre " ;
REPCIFADSSN7 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-7  adh avec sinistre " ;
REPCIFHSN1 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-1 hors sinistre" ;
REPCIFHSN2 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-2 hors sinistre" ;
REPCIFHSN3 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-3 hors sinistre" ;
REPCIFHSN4 : calculee restituee primrest = 1 : "Report credit d'impot travaux forestier n-4 hors sinistre" ;
REPCIFSIN : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier avec sinistre" ;
REPCIFSN1 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-1 avec sinistre" ;
REPCIFSN2 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-2 avec sinistre" ;
REPCIFSN3 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-3 avec sinistre" ;
REPCIFSN4 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-4 avec sinistre " ;
REPCIFSN5 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-5 avec sinistre " ;
REPCIFSN6 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-6 avec sinistre " ;
REPCIFSN7 : calculee restituee primrest = 1 : "Report Credit d'impot travaux forestier n-7 avec sinistre " ;
REPCO : calculee restituee primrest = 1 : "Report HCO" ;
REPCORSE : calculee restituee primrest = 1 : "report Credit d'impot investissement corse" ;
REPCT : calculee restituee primrest = 0 : "AG 1507: moins values a court terme reportee" ;
REPDI : calculee restituee primrest = 1 : "Report HDI" ;
REPDOMENTR : calculee restituee primrest = 0 : "report de la reduction d'impots DOM-TOM entreprise pour n" ;
REPDOMENTR1 : calculee restituee primrest = 0 : "report de la reduction d'impots DOM-TOM entreprise pour n-1" ;
REPDOMENTR2 : calculee restituee primrest = 0 : "report de la reduction d'impots DOM-TOM entreprise pour n-2" ;
REPDOMENTR3 : calculee restituee primrest = 0 : "report de la reduction d'impots DOM-TOM entreprise pour n-3" ;
REPDOMENTR4 : calculee restituee primrest = 0 : "report de la reduction d'impots DOM-TOM entreprise pour n-4" ;
REPDOMSOC : calculee restituee primrest = 0 : "Report reduction outre mer logement social annee n" ;
REPDOMSOC1 : calculee restituee primrest = 0 : "Report reduction outre mer logement social annee n-1" ;
REPDOMSOC2 : calculee restituee primrest = 0 : "Report reduction outre mer logement social annee n-2" ;
REPDOMSOC3 : calculee restituee primrest = 0 : "Report reduction outre mer logement social annee n-3" ;
REPDOMSOC4 : calculee restituee primrest = 0 : "Report reduction outre mer logement social annee n-4" ;
REPDON : calculee primrest = 0 : "report depassement plafond dons aux oeuvres" ;
REPDON03 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XS : "Dons aux oeuvres - Report 2017" ;
REPDON04 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XT : "Dons aux oeuvres - Report 2018" ;
REPDON05 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XU : "Dons aux oeuvres - Report 2019" ;
REPDON06 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XW : "Dons aux oeuvres - Report 2020" ;
REPDON07 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7XY : "Dons aux oeuvres - Report 2021" ;
REPDONR : calculee restituee primrest = 1 : "report depassement plafond dons aux oeuvres n" ;
REPDONR1 : calculee restituee primrest = 1 : "report depassement plafond dons aux oeuvres n-1" ;
REPDONR2 : calculee restituee primrest = 1 : "report depassement plafond dons aux oeuvres n-2" ;
REPDONR3 : calculee restituee primrest = 1 : "report depassement plafond dons aux oeuvres n-3" ;
REPDONR4 : calculee restituee primrest = 1 : "report depassement plafond dons aux oeuvres n-4" ;
REPEN : calculee restituee primrest = 1 : "Report HEN" ;
REPENT5 : calculee primrest = 0 : "Report OM entreprise n-5" ;
REPEO : calculee restituee primrest = 1 : "Report HEO" ;
REPEP : calculee restituee primrest = 1 : "Report HEP" ;
REPER : calculee restituee primrest = 1 : "Report HER" ;
REPES : calculee restituee primrest = 1 : "Report HES" ;
REPET : calculee restituee primrest = 1 : "Report HET" ;
REPEU : calculee restituee primrest = 1 : "Report HEU" ;
REPEW : calculee restituee primrest = 1 : "Report HEW" ;
REPFN : calculee restituee primrest = 1 : "Report HFN" ;
REPFO : calculee restituee primrest = 1 : "Report HFO" ;
REPFP : calculee restituee primrest = 1 : "Report HFP" ;
REPFR : calculee restituee primrest = 1 : "Report HFR" ;
REPFS : calculee restituee primrest = 1 : "Report HFS" ;
REPFT : calculee restituee primrest = 1 : "Report HFT" ;
REPFU : calculee restituee primrest = 1 : "Report HFU" ;
REPFW : calculee restituee primrest = 1 : "Report HFW" ;
REPGROREP12 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6HM : "Grosses reparations : report 2012" type REEL ;
REPGROREP13 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6HN : "Grosses reparations : report 2013" type REEL ;
REPGROREP14 : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 9 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 6HO : "Grosses reparations : report 2014" type REEL ;
REPGS : calculee restituee primrest = 1 : "Report HGS" ;
REPGT : calculee restituee primrest = 1 : "Report HGT" ;
REPGU : calculee restituee primrest = 1 : "Report HGU" ;
REPGW : calculee restituee primrest = 1 : "Report HGW" ;
REPHS : calculee restituee primrest = 1 : "Report HHS" ;
REPHT : calculee restituee primrest = 1 : "Report HHT" ;
REPHU : calculee restituee primrest = 1 : "Report HHU" ;
REPHW : calculee restituee primrest = 1 : "Report HHW" ;
REPINVIEU : calculee restituee primrest = 0 : "Invest. locations meublees dans residence neuve 2009 - report" ;
REPINVLOCNP : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve - reduction" ;
REPIQA : calculee restituee primrest = 0 : "Pinel 7QA - Somme des montants a reporter pour Colbert" ;
REPIQB : calculee restituee primrest = 0 : "Pinel 7QB - Somme des montants a reporter pour Colbert" ;
REPIQC : calculee restituee primrest = 0 : "Pinel 7QC - Somme des montants a reporter pour Colbert" ;
REPIQD : calculee restituee primrest = 0 : "Pinel 7QD - Somme des montants a reporter pour Colbert" ;
REPIQI : calculee restituee primrest = 0 : "Pinel 7QI  - Somme des montants a reporter pour Colbert" ;
REPIQJ : calculee restituee primrest = 0 : "Pinel 7QJ  - Somme des montants a reporter pour Colbert" ;
REPIQK : calculee restituee primrest = 0 : "Pinel 7QK  - Somme des montants a reporter pour Colbert" ;
REPIQL : calculee restituee primrest = 0 : "Pinel 7QL  - Somme des montants a reporter pour Colbert" ;
REPIQM : calculee restituee primrest = 0 : "Pinel 7QM  - Somme des montants a reporter pour Colbert" ;
REPIQN : calculee restituee primrest = 0 : "Pinel 7QN - Somme des montants a reporter pour Colbert" ;
REPIQO : calculee restituee primrest = 0 : "Pinel 7QO  - Somme des montants a reporter pour Colbert" ;
REPIQP : calculee restituee primrest = 0 : "Pinel 7QP  - Somme des montants a reporter pour Colbert" ;
REPIQQ : calculee restituee primrest = 0 : "Pinel 7QQ - Somme des montants a reporter pour Colbert" ;
REPIQW : calculee restituee primrest = 0 : "Pinel 7QW  - Somme des montants a reporter pour Colbert" ;
REPIQX : calculee restituee primrest = 0 : "Pinel 7QX - Somme des montants a reporter pour Colbert" ;
REPIQY : calculee restituee primrest = 0 : "Pinel 7QY - Somme des montants a reporter pour Colbert" ;
REPIRP : calculee restituee primrest = 0 : "Pinel 7RP - Somme des montants a reporter pour Colbert" ;
REPIRQ : calculee restituee primrest = 0 : "Pinel 7RQ - Somme des montants a reporter pour Colbert" ;
REPIRX : calculee restituee primrest = 0 : "Pinel 7RX  - Somme des montants a reporter pour Colbert" ;
REPIRY : calculee restituee primrest = 0 : "Pinel 7RY  - Somme des montants a reporter pour Colbert" ;
REPIS : calculee restituee primrest = 1 : "Report HIS" ;
REPIT : calculee restituee primrest = 1 : "Report HIT" ;
REPIU : calculee restituee primrest = 1 : "Report HIU" ;
REPIW : calculee restituee primrest = 1 : "Report HIW" ;
REPLNPT : calculee restituee primrest = 0 : "Reports invest. locations meublees non pro. 2013" ;
REPLOCID : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7ID)" ;
REPLOCIDFG : calculee restituee primrest = 0 : "Invest. locations meublees non pro. 2012" ;
REPLOCIJ : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7IJ)" ;
REPLOCIM : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7IM)" ;
REPLOCIN : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7IN)" ;
REPLOCJZ : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7JZ)" ;
REPLOCMN : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7MN)" ;
REPLOCMW : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7MW)" ;
REPLOCMZ : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7MZ)" ;
REPLOCOV : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7OV)" ;
REPLOCOW : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7OW)" ;
REPLOCOX : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7OX)" ;
REPLOCOY : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7OY)" ;
REPLOCPZ : calculee restituee primrest = 0 : "Report reduction invest. locations meublees non pro (7PZ)" ;
REPMEUHD : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7HD - report" ;
REPMEUHE : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7HE - report" ;
REPMEUHF : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7HF - report" ;
REPMEUHG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7Hg - report" ;
REPMEUHH : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7HH - report" ;
REPMEUHO : calculee restituee primrest = 1 : "Investissements locations meublees (7HO) - report" ;
REPMEUHP : calculee restituee primrest = 1 : "Investissements locations meublees (7HP) - report" ;
REPMEUHQ : calculee restituee primrest = 1 : "Investissements locations meublees (7HQ) - report" ;
REPMEUHR : calculee restituee primrest = 1 : "Investissements locations meublees (7HR) - report" ;
REPMEUHS : calculee restituee primrest = 1 : "Investissements locations meublees (7HS) - report" ;
REPMEUHT : calculee restituee primrest = 1 : "Investissements locations meublees (7HT) - report" ;
REPMEUHU : calculee restituee primrest = 1 : "Investissements locations meublees (7HU) - report" ;
REPMEUHV : calculee restituee primrest = 1 : "Investissements locations meublees (7HV) - report" ;
REPMEUHW : calculee restituee primrest = 1 : "Investissements locations meublees (7HW) - report" ;
REPMEUHX : calculee restituee primrest = 1 : "Investissements locations meublees (7HX) - report" ;
REPMEUKE : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7KE - report" ;
REPMEUKF : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7KF - report" ;
REPMEUKG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7KG - report" ;
REPMEUKH : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7KH - report" ;
REPMEUKI : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7KI - report" ;
REPMEUMN : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7MN - report" ;
REPMEUMW : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7MW - report" ;
REPMEUMZ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7MZ - report" ;
REPMEUOF : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OF - report" ;
REPMEUOG : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OG - report" ;
REPMEUOH : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OH - report" ;
REPMEUOI : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OI - report" ;
REPMEUOJ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OJ - report" ;
REPMEUOK : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OK - report" ;
REPMEUOL : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OL - report" ;
REPMEUOM : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OM - report" ;
REPMEUON : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OO - report" ;
REPMEUOO : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OO - report" ;
REPMEUOP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OP - report" ;
REPMEUOQ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OQ - report" ;
REPMEUOR : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OR - report" ;
REPMEUOS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OS - report" ;
REPMEUOT : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OT - report" ;
REPMEUOW : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OW - report" ;
REPMEUOX : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OX - report" ;
REPMEUOY : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7OY - report" ;
REPMEUPK : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PK provenant 2015 - report" ;
REPMEUPL : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PL provenant 2015 - report" ;
REPMEUPM : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PM provenant 2015 - report" ;
REPMEUPN : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PN provenant 2015 - report" ;
REPMEUPO : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PO provenant 2015 - report" ;
REPMEUPP : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PP provenant 2016 - report" ;
REPMEUPQ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PQ provenant 2016 - report" ;
REPMEUPR : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PR provenant 2016 - report" ;
REPMEUPS : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PS provenant 2016 - report" ;
REPMEUPT : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PT provenant 2016 - report" ;
REPMEUPU : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PU provenant 2017 - report" ;
REPMEUPV : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PV 2017 - report" ;
REPMEUPW : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PW provenant 2017 - report" ;
REPMEUPX : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PX provenant 2017 - report" ;
REPMEUPY : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7PY provenant 2017 - report" ;
REPMEUPZ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7PZ - report" ;
REPMEUSA : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7SA - report" ;
REPMEUSB : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7SB - report" ;
REPMEUSC : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7SC - report" ;
REPMEUSM : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7SM - report" ;
REPMEUSN : calculee restituee primrest = 0 : "Investissements locations meublees (7SN) - report" ;
REPMEUSO : calculee restituee primrest = 0 : "Investissements locations meublees (7SO) - report" ;
REPMEUSP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro. 7SP - report" ;
REPMEUSS : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 7SS - report" ;
REPNATR : calculee restituee primrest = 1 : "report depenses annee courante non imputees protection pat. naturel" ;
REPNUREPAR : calculee restituee primrest = 0 : "Report grosses reparations nus-proprietaires" ;
REPNUREPART : calculee primrest = 0 : "Report grosses reparations nus-proprietaires" ;
REPPLU : calculee restituee primrest = 1 : "avis IR : plus values en report d imposition" ;
REPRCM : calculee restituee primrest = 1 : "Report deficit 2AA 2AL" ;
REPRCM1 : calculee primrest = 0 : "report Q1 suite a imputation 2AA" ;
REPRCM2 : calculee primrest = 0 : "report Q2 suite a imputation 2AA" ;
REPRCM2TU : calculee restituee primrest = 1 base : "Report RCM 2TU et 2TV" ;
REPRCM3 : calculee primrest = 0 : "report Q3 suite a imputation 2AA" ;
REPRCM4 : calculee primrest = 0 : "report Q4 suite a imputation 2AA" ;
REPRCM5 : calculee primrest = 0 : "report Q suite a imputation 2AA" ;
REPRCM6 : calculee primrest = 0 : "report Q suite a imputation 2AA" ;
REPRCM7 : calculee primrest = 0 : "report Q suite a imputation 2AA" ;
REPRCM8 : calculee primrest = 0 : "report Q suite a imputation 2AA" ;
REPRCMAL : calculee primrest = 0 : "montant report rcm 2AL n-5" ;
REPRCMAM : calculee primrest = 0 : "montant report rcm 2AM n-4" ;
REPRCMAN : calculee primrest = 0 : "montant report rcm 2AN n-3" ;
REPRCMAQ : calculee primrest = 0 : "montant report rcm 2AQ n-2" ;
REPRCMAR : calculee primrest = 0 : "montant report rcm 2AR n-1" ;
REPRCMB : calculee restituee primrest = 0 : "Report deficit  pour art 1731" ;
REPRCMB1 : calculee restituee primrest = 0 : "Report deficit  pour art 1731" ;
REPRCMB1731 : calculee restituee primrest = 0 base : "Report RCM pour 1731bis hors BA" ;
REPRCMBIS : calculee restituee primrest = 0 : "Report deficit 2AA 2AL apres art 1731" ;
REPRCMBP2 : calculee restituee primrest = 0 base : "Report RCM pour 1731bis hors BA" ;
REPRCMBP3 : calculee restituee primrest = 0 base : "Report RCM pour 1731bis hors BA" ;
REPRCMB_P : calculee primrest = 0 base : "Report deficit 2AA 2AL art 1731" ;
REPRCMTO : calculee primrest = 0 : "montant report rcm total" ;
REPRECH : calculee restituee primrest = 1 : "Report credit d'impot recherche" ;
REPRESTKW : calculee restituee primrest = 1 : "report reduction 2020 limite " ;
REPRESTKX : calculee restituee primrest = 1 : "report reduction 2019 limite " ;
REPRESTKY : calculee restituee primrest = 1 : "report reduction 2018 limite " ;
REPRESTKZ : calculee restituee primrest = 1 : "report reduction 2021 limite " ;
REPRESTXY : calculee restituee primrest = 1 : "report reduction 2018 " ;
REPSIN : calculee restituee primrest = 1 : "Report travaux forestiers 2009 apres sinistre" ;
REPSINFOR5 : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7TJ : "CI Travaux forestiers apres sinistre - Report 2014" type REEL ;
REPSN3 : calculee primrest = 0 : "Report credit d'impot n3" ;
REPSNO2_A : calculee primrest = 0 : "RI evt avant" ;
REPSNO3_A : calculee primrest = 0 : "RI evt avant" ;
REPSOC : calculee primrest = 0 : "Report OM social" ;
REPSOF : saisie revenu classe = 0 priorite = 11 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 6GH : "Sommes ajoutees au revenu imposable " ;
REPYA : calculee restituee primrest = 1 : "Report HYA" ;
REPYB : calculee restituee primrest = 1 : "Report HYB" ;
REPYC : calculee restituee primrest = 1 : "Report HYC" ;
REPYD : calculee restituee primrest = 1 : "Report HYD" ;
REPYE : calculee restituee primrest = 1 : "Report HYE" ;
REPYF : calculee restituee primrest = 1 : "Report HYF" ;
REPYG : calculee restituee primrest = 1 : "Report HYG" ;
RESINEUV1 : calculee restituee primrest = 1 : "Invest. locations meublees dans residence neuve - report n+1 (7IJ)" ;
RESINEUV8 : calculee restituee primrest = 1 : "Invest. locations meublees dans residence neuve - report n+8 (7IJ)" ;
RESIVIEU : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7IM : "Invest. loc. meublee non prof. 2010 acheve en 2021 (engage en  2010)" ;
RESIVIEU1 : calculee restituee primrest = 1 : "Invest. 2009 locations meublees dans residence neuve - report n+1" ;
RESIVIEU8 : calculee restituee primrest = 1 : "Invest. 2009 locations meublees dans residence neuve - report n+8" ;
REST : calculee primrest = 0 : "Indicateur de restitution" ;
RESTIMONX : calculee primrest = 0 : "Travaux de restauration immobiliere - retenu (7NX)" ;
RESTIMONY : calculee primrest = 0 : "Travaux de restauration immobiliere - retenu (7NY)" ;
RESTIMONY_1 : calculee restituee primrest = 0 : "Travaux de restauration immobiliere - reduction" ;
RESTIMOTX : calculee primrest = 0 : "Travaux de restauration immobiliere - retenu (7X)" ;
RESTIMOTY : calculee primrest = 0 : "Travaux de restauration immobiliere - retenu (7Y)" ;
RESTIMOX : calculee primrest = 0 : "Travaux de restauration immobiliere - retenu (7SX)" ;
RESTITCS : calculee restituee primrest = 1 base : "Restitution impot etranger sur prel sociaux - avis" ;
RESTITPS : calculee restituee primrest = 1 base : "Restitution impot etranger sur prel sociaux - avis" ;
RESTITPSOL : calculee restituee primrest = 1 base : "Restitution impot etranger sur prel sociaux - avis" ;
RESTUC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias RGO : "Revenu de structure hors de France taxes au quotient " ;
RESTUCNB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NGO : "Revenu de structure hors de France taxes au quotient - Nombre d'annees" ;
RETARPRIM : calculee primrest = 0 base : "Indicateur retard 9YT en primitif" ;
RETARPRIMIFI : calculee primrest = 0 base : "Indicateur retard 9XT en primitif" ;
RETC8202 : calculee primrest = 0 base : "montant interets retard Cont. soc 8.2 avis facture" ;
RETC82022 : calculee primrest = 0 base : "montant interets retard Cont. soc 8.2 avis facture r22" ;
RETC8202224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETC82024 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCDIS : calculee restituee primrest = 1 base : "montant interets retard Cont. Soc. salarial avis facture" ;
RETCDIS2 : calculee primrest = 0 base : "montant interets retard Cont. Sal. avis facture" ;
RETCDIS22 : calculee restituee primrest = 1 base : "montant interets retard Cont. soc Sal. code 22" ;
RETCDIS2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCDIS24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCHR2 : calculee restituee primrest = 0 base : "montant interets retard  avis facture" ;
RETCHR22 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETCHR2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCHR24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCODID : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7ID) - calcule" ;
RETCODIJ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7IJ) - calcule" ;
RETCODIM : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7IM) - calcule" ;
RETCODIN : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7IN) - calcule" ;
RETCODJZ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7jz) - calcule" ;
RETCODJZ_1 : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2013 (7jz) - calcule 1731" ;
RETCODMN : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2022 (7MN) - calcule" ;
RETCODMN_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODMW : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2020 (7MW) - calcule" ;
RETCODMW_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODMZ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2020 (7MZ) - calcule" ;
RETCODMZ_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODOU : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2014 (7OU) - calcule" ;
RETCODOV : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2015 (7OV) - calcule" ;
RETCODOV_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODOW : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2015 (7OW) - calcule" ;
RETCODOW_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODOX : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2015 (7OX) - calcule" ;
RETCODOX_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODOY : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2015 (7OY) - calcule" ;
RETCODOY_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCODPZ : calculee restituee primrest = 0 : "Invest. locations meublees non pro 2015 (7PZ) - calcule" ;
RETCODPZ_1 : calculee primrest = 0 : "pour calcul de avec ou sans 1731 bis" ;
RETCS : calculee restituee primrest = 1 base : "montant interets retard CSG avis facture" ;
RETCS2 : calculee restituee primrest = 0 base : "montant interets retard CSG avis facture" ;
RETCS22 : calculee restituee primrest = 1 base : "montant interets retard CS code 22" ;
RETCS2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCS24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETCSG820 : calculee restituee primrest = 1 base : "montant interets retard Cont. Soc. 8.2 %  avis facture" ;
RETCSG8202 : calculee restituee primrest = 1 base : "montant interets retard Cont. Soc. 8.2 %  avis facture" ;
RETCVN : calculee restituee primrest = 1 base : "Montant interets retard CVNSAL avis facture" ;
RETCVN2 : calculee restituee primrest = 1 base : "Montant interets retard CVNSAL avis facture" ;
RETCVN22 : calculee restituee primrest = 1 base : "Montant interets retard CVNSAL code 22" ;
RETCVN2224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETCVN24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETGLOA : calculee restituee primrest = 1 base : "montant interets retard Cont 1TT 1UT avis facture" ;
RETGLOA2 : calculee primrest = 0 base : "montant interets retard Cont. 1TT 1UT. avis facture" ;
RETGLOA22 : calculee restituee primrest = 1 base : "Montant interets retard Cont 1TT 1UT code 22" ;
RETGLOA2224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETGLOA24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETHAUTREV : calculee restituee primrest = 1 base : "montant interets retard IR avis facture" ;
RETIFI : calculee restituee primrest = 1 base : "montant interets retard IFI avis facture" ;
RETIFI2 : calculee primrest = 0 base : "montant interets retard ISF avis facture" ;
RETIFI22 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 22)" ;
RETIFI2224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETIFI24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETIFIRED : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 22+24)" ;
RETIR : calculee restituee primrest = 1 base : "montant interets retard IR avis facture" ;
RETIR2 : calculee restituee primrest = 0 base : "montant interets retard IR avis facture" ;
RETIR22 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETIR2224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETIR24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETIRCSTOT : calculee restituee primrest = 1 base : "montant total interets retard IR CS avis facture" ;
RETPCAP : calculee restituee primrest = 1 base : "montant interets retardprelev lib 7.5 %  avis facture" ;
RETPCAP2 : calculee primrest = 0 base : "montant interets retard prelev lib 7,5% . avis facture" ;
RETPCAP22 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETPCAP2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETPCAP24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETPS : calculee restituee primrest = 1 base : "montant interets retard PRS avis facture" ;
RETPS2 : calculee restituee primrest = 0 base : "montant interets retard CSG avis facture" ;
RETPS22 : calculee restituee primrest = 1 base : "montant interets retard PRS code 22" ;
RETPS2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETPSOL : calculee restituee primrest = 1 base : "montant interets retard de solidarite 2 % avis facture" ;
RETPSOL2 : calculee primrest = 0 base : "montant interets retard de solidarite 2 % correctif" ;
RETPSOL22 : calculee restituee primrest = 1 base : "montant interets retard PSOL code 22" ;
RETPSOL2224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETPSOL24 : calculee restituee primrest = 1 base : "montant interets retard PSOL code 24" ;
RETRD : calculee restituee primrest = 1 base : "montant interets retard RDS avis facture" ;
RETRD2 : calculee restituee primrest = 0 base : "montant interets retard CSG avis facture" ;
RETRD22 : calculee restituee primrest = 1 base : "montant interets retard CRDS code 22" ;
RETRD2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRD24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRESINEUV : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve - calcule" ;
RETRESIVIEU : calculee restituee primrest = 0 : "Investissements locations meublees dans residence neuve 2009 - calcule" ;
RETRESTIMO : calculee restituee primrest = 0 : "Travaux de restauration immobiliere - reduction calcule" ;
RETRESTIMO_2 : calculee restituee primrest = 0 : "Travaux de restauration immobiliere - reduction calcule 2017" ;
RETRSE1 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. 8TQ (avis CSG)" ;
RETRSE12 : calculee primrest = 0 base : "Montant interets retard rev. source etranger 8TQ" ;
RETRSE122 : calculee restituee primrest = 1 base : "Montant interets retard  code 22" ;
RETRSE12224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE124 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE2 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. 8TV (avis CSG)" ;
RETRSE22 : calculee primrest = 0 base : "Montant interets retard rev. source etranger 8TV" ;
RETRSE222 : calculee restituee primrest = 1 base : "Montant interets retard  code 22" ;
RETRSE22224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE3 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. 8TW (avis CSG)" ;
RETRSE32 : calculee primrest = 0 base : "Montant interets retard rev. source etranger 8TW" ;
RETRSE322 : calculee restituee primrest = 1 base : "Montant interets retard  code 22" ;
RETRSE32224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE324 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE4 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. 8TX (avis CSG)" ;
RETRSE42 : calculee primrest = 0 base : "Montant interets retard rev. source etranger 8TX" ;
RETRSE422 : calculee restituee primrest = 1 base : "Montant interets retard  code 22" ;
RETRSE42224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE424 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE5 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. 8TR (avis CSG)" ;
RETRSE52 : calculee primrest = 0 base : "Montant interets retard rev. source etranger 8TR" ;
RETRSE522 : calculee restituee primrest = 1 base : "Montant interets retard  code 22 (8TR)" ;
RETRSE52224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE524 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE6 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. CASA (avis CSG)" ;
RETRSE62 : calculee primrest = 0 base : "Montant interets retard rev. source etranger CASA" ;
RETRSE622 : calculee restituee primrest = 1 base : "Montant interets retard  code 22 (8TR)" ;
RETRSE62224 : calculee restituee primrest = 1 base : "montant interets retard IR avis facture code 22" ;
RETRSE624 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE8 : calculee restituee primrest = 1 base : "Montant interets retard rev. source etrang. 8TH 8SD  (avis CSG)" ;
RETRSE82 : calculee primrest = 0 base : "Montant interets retard rev. source etranger 8TH 8SD" ;
RETRSE822 : calculee restituee primrest = 1 base : "Montant interets retard  code 22 (8TH 8SD)" ;
RETRSE82224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSE824 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETRSETOT : calculee restituee primrest = 1 : "Somme interet retard  RSE net revenus de source etrangere " ;
RETTAXA : calculee restituee primrest = 1 base : "montant interets retard taxe assurance" ;
RETTAXA2 : calculee restituee primrest = 0 base : "montant interets retard tax assur  avis facture" ;
RETTAXA22 : calculee restituee primrest = 1 base : "montant interets retard taxe assurance" ;
RETTAXA2224 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETTAXA24 : calculee restituee primrest = 0 base : "interet de retard a taux reduit (code penalite 24)" ;
RETTOT22 : calculee restituee primrest = 1 base : "montant interets retard total avis facture code 22" ;
RETTOT24 : calculee restituee primrest = 1 base : "montant interets retard total avis facture code 24" ;
RETTOTIR22 : calculee restituee primrest = 1 base : "montant interets retard total avis facture code 22 IR" ;
RETTOTIR24 : calculee restituee primrest = 1 base : "montant interets retard total avis facture code 24 IR" ;
RETTOTPS22 : calculee restituee primrest = 1 base : "montant interets retard total avis facture code 22 PS" ;
RETTOTPS24 : calculee restituee primrest = 1 base : "montant interets retard total avis facture code 24 PS" ;
RETUD : calculee primrest = 0 : "Reduction d'impot pour enfants poursuivant leurs etudes sec. ou sup." ;
RETUD_A : calculee primrest = 0 : "RI evt avant" ;
RETX : calculee restituee primrest = 1 : "taux interets retard IR avis facture" ;
RETXIFI : calculee restituee primrest = 1 : "taux interets retard IR avis facture ifi" ;
RETXISF : calculee restituee primrest = 0 : "taux interets retard IR avis facture isf" ;
RETXISF_A : calculee primrest = 0 base : "Taux des interets de retard pour affichage divers isf" ;
REV1 : calculee primrest = 0 : " revenus au quotient 1" ;
REV2 : calculee primrest = 0 : " revenus au quotient 2" ;
REV3 : calculee primrest = 0 : " revenus au quotient 3" ;
REV4 : calculee primrest = 0 : " revenus au quotient 4" ;
REV4BABICBNN_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731" ;
REV4C : calculee primrest = 0 : " revenus au quotient 4 conj" ;
REV4DAJ_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731" ;
REV4DBJ_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731" ;
REV4EAJ_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731" ;
REV4EBJ_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731" ;
REV4HT : calculee primrest = 0 : "revenus au quotient 4 hors tx effectif" ;
REV4PROV : calculee primrest = 0 : " revenus au quotient 4" ;
REV4RAJV : calculee primrest = 0 : " revenus au quotient 4 vous raj" ;
REV4RBJC : calculee primrest = 0 : " revenus au quotient 4 vous rbj" ;
REV4TVC : calculee primrest = 0 : " revenus au quotient 4 vous conj" ;
REV4V : calculee primrest = 0 : " revenus au quotient 4 vous " ;
REV4VC : calculee primrest = 0 : " revenus au quotient 4 vous conj" ;
REV4_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731" ;
REVAAPAC : calculee restituee primrest = 1 : "Revenus agent assurance PAC" ;
REVACOI : calculee restituee primrest = 0 : "Revenus categoriels taux RAS indiv" ;
REVACOINDIV : calculee restituee primrest = 0 : "Revenus categoriels taux RAS indiv" ;
REVACOMP : calculee restituee primrest = 0 : "BIC BNC BA RF RVTO total foyer PAS" ;
REVACPAC : calculee restituee primrest = 1 : "Revenus pour acompte PAC" ;
REVACT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias RDC : "Revenus des actions taxes au quotient" ;
REVACTNB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NDC : "Revenus des actions taxes au quotient - Nombre d'annees" ;
REVAGA : calculee restituee primrest = 1 : "Revenus agent assurance PAC" ;
REVALIM : calculee primrest = 0 : "total " ;
REVALIMQHT : calculee primrest = 0 : "total hors tx eff" ;
REVBRUTASSU : calculee primrest = 0 base : "revenu brut assurance vie" ;
REVCSXA : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 11 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XA : "Revenus non salaries etrangers. a 9,2 % avec credit d'impot " ;
REVCSXB : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 20 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XB : "Revenus salaries etrangers a 9,2 % avec credit d'impot " ;
REVCSXC : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 21 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XC : "Revenus de remplacement etrangers a 8,3 % avec credit d'impot " ;
REVCSXD : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 13 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XD : "Revenus de remplacement etrangers a 6,2% avec credit d'impot " ;
REVCSXE : saisie revenu classe = 0 priorite = 51 categorie_TL = 10 cotsoc = 14 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8XE : "Revenus de remplacement etrangers 3,8% avec credit d'impot " ;
REVDEC1 : calculee restituee primrest = 0 : "Revenus declarant 1 PAS" ;
REVDEC2 : calculee restituee primrest = 0 : "Revenus declarant 2 PAS" ;
REVDECEXO : calculee restituee primrest = 1 : "Revenu declare exonere" ;
REVDECP : calculee primrest = 0 : "Revenus PAC PAS" ;
REVDECTAX : calculee restituee primrest = 1 : "Revenu declare brut" ;
REVDON : calculee restituee primrest = 1 : "Rev. servant de base au calcul des plaf. dons aux oeuvres" ;
REVDON1731 : calculee restituee primrest = 0 base : "Somme des revenus pour les dons hors 1731" ;
REVEMPAC : calculee restituee primrest = 1 : "Revenus salarie employeur PAC" ;
REVF : calculee primrest = 0 : "total pensions nettes footballeurs" ;
REVFHT : calculee primrest = 0 : "total hors tx eff" ;
REVFONC : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8FV : "Case a cocher : revenus percus par des fonctionnaires Internationaux" type BOOLEEN ;
REVFRACDEC1 : calculee primrest = 0 base : "revenu fractionne dec1" ;
REVFRACDEC2 : calculee primrest = 0 base : "revenu fractionne dec2" ;
REVFRACFOY : calculee primrest = 0 base : "revenu fractionne foyer" ;
REVFRACPAC : calculee primrest = 0 base : "revenu fractionne pac" ;
REVHSUP : calculee restituee primrest = 1 : "Revenus heures sup PAC" ;
REVIBI12C : calculee primrest = 0 : "BIC non pro nets d abattement CGA" ;
REVIBI12P : calculee primrest = 0 : "BIC non pro nets d abattement CGA" ;
REVIBI12V : calculee primrest = 0 : "BIC non pro nets d abattement CGA" ;
REVINDIV : calculee restituee primrest = 0 : "Total revenus individualises PAS" ;
REVINDIV1 : calculee primrest = 0 : "Total revenus individualises PAS dec 1 hors quotient" ;
REVINDIV2 : calculee primrest = 0 : "Total revenus individualises PAS dec 2 hors quotient" ;
REVINDIVD : calculee primrest = 0 : "Total revenus individualises PAS deficit global" ;
REVKIRE : calculee restituee primrest = 1 : "Revenu de reference" ;
REVKIRE1 : calculee primrest = 0 : "Revenu de reference dec1 pour PAS" ;
REVKIRE2 : calculee primrest = 0 : "Revenu de reference dec2 pour PAS" ;
REVKIRE3WH : calculee restituee primrest = 0 : "Revenu de reference" ;
REVKIREDUR2 : calculee restituee primrest = 1 : "Revenu de reference N-2 proratise pour credit impot dvlpement durable" ;
REVKIREHR : calculee restituee primrest = 1 : "Revenu de reference haut revenus" ;
REVMAR1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZC : "Revenus enseignants au Maroc - Declarant 1" ;
REVMAR2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZD : "Revenus enseignants au Maroc - Declarant 2" ;
REVMAR3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8ZE : "Revenus enseignants au Maroc - PAC" ;
REVMENSPAC : calculee primrest = 0 : "Assiette mensuel PAS - PAC" ;
REVMENSPAC1 : calculee primrest = 0 : "Assiette mensuel PAS - PAC 1 TS" ;
REVMENSPAC2 : calculee primrest = 0 : "Assiette mensuel PAS - PAC 2 TS" ;
REVMENSPAC3 : calculee primrest = 0 : "Assiette mensuel PAS - PAC 3 TS" ;
REVMENSPAC4 : calculee primrest = 0 : "Assiette mensuel PAS - PAC 4 TS" ;
REVMENSPAC5 : calculee primrest = 0 : "Assiette mensuel PAS - PAC BA" ;
REVMENSPAC6 : calculee primrest = 0 : "Assiette mensuel PAS - PAC BIC" ;
REVMENSPAC7 : calculee primrest = 0 : "Assiette mensuel PAS - PAC BNC" ;
REVMETRO : calculee primrest = 0 : "Revenu metro" ;
REVNET : calculee primrest = 0 base : "revenu net imposable du foyer bareme et proportionnel" ;
REVNET2CH : calculee primrest = 0 base : "revenu net assurance vie2CH" ;
REVNET2VV : calculee primrest = 0 base : "revenu net assurance vie2VV" ;
REVNET2WW : calculee primrest = 0 base : "revenu net assurance vie2WW" ;
REVNEXO : calculee restituee primrest = 1 : "Heures supplementaires non exonerees - PAC" ;
REVNONASSU : calculee restituee primrest = 1 : "Revenus non assujettis 8RU 8RV" ;
REVORDI : calculee restituee primrest = 0 : "Somme des revenus ordinaires PAS" ;
REVORDIRF : calculee primrest = 0 : "RF oridnaires net imposables apres imputation deficits" ;
REVPASIND : calculee primrest = 0 : "Revenus PAS indiv" ;
REVPEA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 6 nat_code = 0 modcat = 1 primrest = 0 alias RFU : "Revenus dans un PEA taxes au quotient" ;
REVPEANB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 5 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias NFU : "Revenus dans un PEA taxes au quotient - Nombre d'annees" ;
REVPER : calculee primrest = 0 base : "rachat contrat ass vie plus de huit ans" ;
REVPERNOR : calculee primrest = 0 : "Revper sup a exoneration" ;
REVPRR : calculee primrest = 0 : "total " ;
REVPRRQHT : calculee primrest = 0 : "total  hors tx eff" ;
REVQTOT : calculee primrest = 0 : "somme des revevus aux quotient :REVx REVAFN REVF" ;
REVQTOTP1731 : calculee restituee primrest = 0 : "somme des revevus aux quotient :REVx REVAFN REVF hors tx eff" ;
REVQTOTQHT : calculee restituee primrest = 0 : "somme des revevus aux quotient :REVx REVAFN REVF hors tx eff" ;
REVQTOTQHT1731 : calculee restituee primrest = 0 base : "revenus quotient " ;
REVQTOTQHTPROV : calculee restituee primrest = 0 : "somme des revevus aux quotient :REVx REVAFN REVF hors tx eff" ;
REVQUO : calculee primrest = 0 : " revenus au quotient >=2 nets" ;
REVQUOQHT : calculee primrest = 0 : " revenus au quotient >=2 nets hors tx eff" ;
REVQUOT : calculee restituee primrest = 0 : "Somme des revenus au quotient PAS" ;
REVQUOTEFF : calculee primrest = 0 : "Somme des revenus au quotient PAS taux effectif" ;
REVQUOTRF : calculee primrest = 0 : "RF quotient net imposables apres imputation deficits" ;
REVRCM : calculee restituee primrest = 1 : "total " ;
REVRCM_P : calculee primrest = 0 base : "Rev mob.." ;
REVREMP : calculee primrest = 0 : "revenu de remplacement" ;
REVRF : calculee restituee primrest = 1 : "Revenus fonciers nets au quotient" ;
REVRF_P : calculee primrest = 0 base : "Rev fonc." ;
REVRVGUA : calculee restituee primrest = 0 : "Revenus au quotient RVG RUA hors revenus foot nets imposables" ;
REVRVO : calculee primrest = 0 : "total " ;
REVTEFF : calculee restituee primrest = 0 : "Somme des revenus taux effectif PAS" ;
REVTOT : calculee restituee primrest = 0 : "Revenus imposables total foyer PAS" ;
REVTOTINDIV : calculee restituee primrest = 0 : "Revenus imposables total indiv 1 PAS" ;
REVTP : calculee restituee primrest = 1 : "Revenus au taux proportionnel ,en restitution (l9)" ;
REVTP1731 : calculee restituee primrest = 0 base : "Pour calcul 1731" ;
REVTS : calculee primrest = 0 : "total TS " ;
REVTSI : calculee restituee primrest = 0 : "TS taux RAS indiv" ;
REVTSQHT : calculee primrest = 0 : "total TS hors tx eff" ;
REVTSREMP : calculee primrest = 0 : "total TS remplacement" ;
REVTSREMPQHT : calculee primrest = 0 : "total TS remplacement hors tx eff" ;
RFACC : calculee restituee primrest = 1 : "Frais d'accueil retenu" ;
RFACCTEF : calculee primrest = 0 : "Frais d'accueil retenu tx eff." ;
RFACCTEFRFR : calculee primrest = 0 : "Frais d'accueil retenu tx eff." ;
RFC : calculee restituee primrest = 0 : "Reduction frais comptabilite" ;
RFC1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RFCD : calculee restituee primrest = 0 : "Revenu foncier total declare" ;
RFCD1731 : calculee restituee primrest = 0 base : "RF non pro quotient avec 1731" ;
RFCE : calculee restituee primrest = 0 : "Revenu foncier total apres imputation deficits 3CE" ;
RFCE1731 : calculee restituee primrest = 0 base : "RF non pro quotient avec 1731" ;
RFCEAPS : calculee primrest = 0 : "Revenu foncier total apres imputation deficits 3CE acpte" ;
RFCEPS : calculee primrest = 0 : "Revenu foncier total apres imputation deficits 3CE art. 1731bis" ;
RFCF : calculee restituee primrest = 0 : "Revenu foncier total apres imputation deficits 3CF" ;
RFCF1731 : calculee restituee primrest = 0 base : "RF non pro quotient avec 1731" ;
RFCFAPS : calculee primrest = 0 : "Revenu foncier total apres imputation deficits 3CF acpte" ;
RFCFPS : calculee primrest = 0 : "Revenu foncier total apres imputation deficits 3CF art. 1731bis" ;
RFCG : calculee restituee primrest = 1 : "Revenu foncier total apres imputation deficits (4CG)" ;
RFCG1731 : calculee restituee primrest = 0 base : "RF non pro quotient avec 1731" ;
RFCG_R : calculee primrest = 0 base : "Revenu foncier total apres imputation deficits 3CG" ;
RFCPI : calculee primrest = 0 : "Reduction Souscription Parts Fonds Comm de Plac dans l Innovation" ;
RFDANT : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 1 modcat = 1 restituee primrest = 0 alias 4BD : "Deficits fonciers anterieurs non encore imputes " ;
RFDANT1731 : calculee restituee primrest = 0 base : "Deficit 4BD pour 1731" ;
RFDANT4BA : calculee primrest = 0 : "Revenus fonciers ventilation du 4BD sur 4BA" ;
RFDANTP2 : calculee restituee primrest = 0 base : "Deficit 4BD pour 1731" ;
RFDANTRBA : calculee primrest = 0 : "Revenus fonciers ventilation du 4BD sur RBA" ;
RFDANTRBE : calculee primrest = 0 : "Revenus fonciers ventilation du 4BD sur RBE" ;
RFDANTSBA : calculee primrest = 0 : "Revenus fonciers ventilation du 4BD sur SBA" ;
RFDHIS : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 8 nat_code = 1 modcat = 1 restituee primrest = 0 alias 4BC : "Deficit foncier imputable sur revenu global " ;
RFDHIS1731 : calculee restituee primrest = 0 base : "Deficit 4BC pour 1731" ;
RFDHIS_P : calculee primrest = 0 base : "RF pour 1731" ;
RFDORD : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 1 modcat = 1 restituee primrest = 0 alias 4BB : "Deficit foncier imputable sur revenus fonciers " ;
RFDORD1731 : calculee restituee primrest = 0 base : "Deficit 4BB pour 1731" ;
RFDORDP2 : calculee restituee primrest = 0 base : "Deficit 4BB pour 1731" ;
RFG1 : calculee primrest = 0 : "Reduction frais de garde" ;
RFIP : calculee primrest = 0 : "Reduction investissement de proximite" ;
RFIPC : calculee restituee primrest = 1 : "Reduction FIP Corse" ;
RFIPC1 : calculee restituee primrest = 1 : "Reduction FIP Corse" ;
RFIPC1731 : calculee restituee primrest = 0 base : "RFIPC reduction  a la fin 1er traitement si 1731bis" ;
RFIPCORSE : calculee primrest = 0 : "Reduction FIP Corse" ;
RFIPCP2 : calculee restituee primrest = 0 base : "RFIPC reduction  a la fin 1er traitement si 1731bis" ;
RFIPC_1 : calculee restituee primrest = 0 : "Reduction  pour 1731" ;
RFIPC_P : calculee primrest = 0 base : "Reduction FIP Corse" ;
RFIPDOM : calculee restituee primrest = 1 : "Reduction FIP DOM COM" ;
RFIPDOM1 : calculee restituee primrest = 1 : "Reduction FIP DOM COM" ;
RFIPDOM1731 : calculee restituee primrest = 0 base : "RFIPDOM reduction  a la fin 1er traitement si 1731bis" ;
RFIPDOMCOM : calculee primrest = 0 : "Reduction FIP DOM COM" ;
RFIPDOMP2 : calculee restituee primrest = 0 base : "RFIPDOM reduction  a la fin 1er traitement si 1731bis" ;
RFIPDOM_1 : calculee restituee primrest = 0 : "Reduction  pour 1731" ;
RFIPDOM_P : calculee primrest = 0 base : "Reduction FIP DOM COM" ;
RFMIC : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 restituee primrest = 0 alias 4BE : "Regime Micro-foncier - Recettes brutes " ;
RFNTEO  : calculee primrest = 0 : "Plaf. avantages fiscaux : rev. nets fonciers theoriq. hors benef. agr." ;
RFON : calculee restituee primrest = 0 : "Revenus fonciers" ;
RFON1731 : calculee restituee primrest = 0 base : "RF  pour 1731" ;
RFOR : calculee restituee primrest = 1 : "Reduction retenue pour investissement forestier" ;
RFOR1731 : calculee restituee primrest = 0 base : "RFOR retenu  a la fin 1er traitement si 1731bis" ;
RFORDI : saisie revenu classe = 1 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 7 sanction = 1 nat_code = 0 modcat = 1 primrest = 0 alias 4BA : "Revenus fonciers " ;
RFOREST : calculee restituee primrest = 0 : "Reduct.pas encore deduit investissement forestier" ;
RFOREST3 : calculee restituee primrest = 0 : "Reduct.pas encore deduit investissement forestier" ;
RFORET : calculee restituee primrest = 1 : "Reduction cotisation pour defense des forets" ;
RFORET1 : calculee restituee primrest = 1 : "Reduction cotisation pour defense des forets" ;
RFORET1731 : calculee restituee primrest = 0 base : "RFORET retenu  a la fin 1er traitement si 1731bis" ;
RFORETP2 : calculee restituee primrest = 0 base : "RFORET retenu  a la fin 1er traitement si 1731bis" ;
RFORET_1 : calculee restituee primrest = 0 : "Reduction  pour 1731" ;
RFORET_P : calculee primrest = 0 base : "Reduction cotisation pour defense des forets" ;
RFORP2 : calculee restituee primrest = 0 base : "RFOR retenu  a la fin 1er traitement si 1731bis" ;
RFOR_1 : calculee restituee primrest = 0 : "pour alleger prog - Reduction retenue pour investissement forestier" ;
RFOR_P : calculee primrest = 0 base : "Reduction retenue pour investissement forestier" ;
RFQ : calculee restituee primrest = 1 : "Revenu foncier taxe au quotient" ;
RFRDEVDUR : calculee primrest = 0 : "Revenu de reference" ;
RFREVENU : calculee restituee primrest = 0 : "Somme des revenus RF hors deficit 1731bis" ;
RFREVENU1731 : calculee restituee primrest = 0 base : "Somme des revenus RF hors deficit 1731bis" ;
RFREVENUP2 : calculee restituee primrest = 0 base : "Somme des revenus RF hors deficit 1731bis" ;
RFREVENUP3 : calculee restituee primrest = 0 base : "Somme des revenus RF hors deficit 1731bis" ;
RFRH1 : saisie revenu classe = 0 priorite = 51 categorie_TL = 15 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8YB : "RFR 2021 (contribution hauts revenus)" type REEL ;
RFRH1DEF : calculee primrest = 0 : "rfr ant. n-1 retenu 8YA" ;
RFRH2 : saisie revenu classe = 0 priorite = 51 categorie_TL = 15 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8YA : "RFR 2020 (contribution hauts revenus)" type REEL ;
RFRH2DEF : calculee primrest = 0 : "rfr ant. n-1 retenu 8YB" ;
RFRN1 : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8YU : "Revenu fiscal de reference 2021" type REEL ;
RFRN2 : saisie revenu classe = 0 priorite = 51 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 8YS : "Revenu fiscal de reference 2020" type REEL ;
RFROBOR : saisie revenu classe = 0 priorite = 10 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 2 rapcat = 11 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 4BY : "Amortissement Robien ou Borloo deduit des revenus fonciers" ;
RFRPARQF : const=27473.00000  ;
RFRVTOTAUX : calculee restituee primrest = 0 : "(RF + RVTO) / 2 total PAS" ;
RFTAUXF : calculee restituee primrest = 0 : "RF total foyer PAS" ;
RFTEO : calculee primrest = 0 base : "Plafonnement avantages fiscaux : rev. fonciers theoriques  (4BA+4BY)" ;
RG : calculee restituee primrest = 0 : "Revenu global" ;
RG1731 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA hors 1731" ;
RGEPAHA : calculee primrest = 0 : "reduction pour les gros equipements pers. agee handicapee" ;
RGLOA : calculee restituee primrest = 0 : "Option sur titre et acquisition action gratuit taxees a la CRDS et CSG" ;
RGPAR : calculee restituee primrest = 1 : "indicateur regime particulier: 1 DOM, 2 GUY,4 DOM et GUY!" ;
RGPROV : calculee restituee primrest = 0 : "RG prov sans DFANTIMPU pour art 1731" ;
RGPROV1731 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA hors 1731" ;
RGPROVHQ : calculee restituee primrest = 0 base : "RG prov sans DFANTIMPU pour art 1731" ;
RGTECH : calculee primrest = 0 : "Reduction travaux preventions risques technologiques" ;
RHEBE : calculee restituee primrest = 1 : "Reduction retenue depense d'hebergement" ;
RHEBE1731 : calculee restituee primrest = 0 base : "RHEBE retenu  a la fin 1er traitement si 1731bis" ;
RHEBEP2 : calculee restituee primrest = 0 base : "RHEBE retenu  a la fin 1er traitement si 1731bis" ;
RHEBE_1 : calculee restituee primrest = 0 : "pour alleger programmation - Reduction retenue depense d'hebergement" ;
RHEBE_P : calculee primrest = 0 base : "Reduction retenue depense d'hebergement" ;
RI1 : calculee restituee primrest = 1 : "Revenu imposable" ;
RI1RFR : calculee primrest = 0 : "Revenu imposable pour rfr" ;
RI2 : calculee primrest = 0 : "Revenu imposable" ;
RI3 : calculee primrest = 0 : "Revenu imposable avec 3WG" ;
RIDEFRI : calculee restituee primrest = 0 base : "Vaut 1 si deficit et ou reduction different de 0 et majo 1731 bis " type REEL ;
RIDEFRI1731 : calculee restituee primrest = 0 base : " RIDEFRI en fin de primitif corrige." ;
RIDEFRIP2 : calculee restituee primrest = 0 base : "RIDEFRI en 1er traitement defaut retard que lignes de rappels" ;
RIDOMENT : calculee restituee primrest = 0 : "reduction dom entrep. (1/1/03 au 20/07/03)" ;
RIDOMPRO : calculee restituee primrest = 0 : "total report dom ent." ;
RIFIDONCEE_1 : calculee primrest = 0 : "IFI : reductions dons CEE avant plafonnement global reductions IFI" type REEL ;
RIFIDONCEE_2 : calculee primrest = 0 : "IFI : reductions dons CEE avant imputation sur IFI2" type REEL ;
RIFIDONF_1 : calculee primrest = 0 : "IFI : reductions dons France avant imputation sur IFI2" type REEL ;
RIFIFCPI : calculee restituee primrest = 1 : "IFI : reductions souscription FIFI 9NA" type REEL ;
RIFIFCPI1 : calculee restituee primrest = 1 : "IFI : reductions souscription FIFI 9NA" type REEL ;
RIFIFCPI1731 : calculee restituee primrest = 0 base : " Scellier - reduction 9NA a la fin 1er traitement si 1731bis" ;
RIFIFCPIP2 : calculee restituee primrest = 0 base : " Scellier - reduction 9NA a la fin 1er traitement si 1731bis" ;
RIFIFIP : calculee restituee primrest = 1 : "IFI : souscription FIP 9MX" type REEL ;
RIFIFIP1 : calculee restituee primrest = 1 : "IFI : souscription FIP 9MX" type REEL ;
RIFIFIP1731 : calculee restituee primrest = 0 base : " Scellier - reduction 9MX a la fin 1er traitement si 1731bis" ;
RIFIFIPP2 : calculee restituee primrest = 0 base : " Scellier - reduction 9MX a la fin 1er traitement si 1731bis" ;
RIFIIDONF_1 : calculee primrest = 0 : "IFI : reductions dons France avant plafonnement global reductions IFI" type REEL ;
RIFIPMED : calculee restituee primrest = 1 : "IFI : reductions investissements directs PME" type REEL ;
RIFIPMED1 : calculee restituee primrest = 1 : "IFI : reductions investissements directs PME" type REEL ;
RIFIPMED1731 : calculee restituee primrest = 0 base : "IFI - reduction PME a la fin 1er traitement si 1731bis" ;
RIFIPMEDP2 : calculee restituee primrest = 0 base : "IFI - reduction PME a la fin 1er traitement si 1731bis" ;
RIFIPMEI : calculee restituee primrest = 1 : "IFI : reductions investissements indirects PME 9NF" type REEL ;
RIFIPMEI1 : calculee restituee primrest = 1 : "IFI : reductions investissements indirects PME 9NF" type REEL ;
RIFIPMEI1731 : calculee restituee primrest = 0 base : " Scellier - reduction PME a la fin 1er traitement si 1731bis" ;
RIFIPMEIP2 : calculee restituee primrest = 0 base : " Scellier - reduction PME a la fin 1er traitement si 1731bis" ;
RILMHD : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HD) - reduction" ;
RILMHD1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMHD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMHD_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHE : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HE) - reduction" ;
RILMHE1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMHE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMHE_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHF : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HF) - reduction" ;
RILMHF1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMHF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMHF_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HG) - reduction" ;
RILMHG1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMHG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMHG_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHH : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HH) - reduction" ;
RILMHH1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMHH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMHH_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHO : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HO) - reduction" ;
RILMHO1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMHO_1 : calculee restituee primrest = 1 : "Reduction pour 1731" ;
RILMHO_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHP : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HP) - reduction" ;
RILMHP1731 : calculee restituee primrest = 0 base : "RILMIY reduction  a la fin 1er traitement si 1731bis" ;
RILMHP_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHP_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMHQ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HQ) - declare" ;
RILMHQ1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMHQ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHQ_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHR : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HR) - declare" ;
RILMHR1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMHR_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHR_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHS : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HS) - declare" ;
RILMHS1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMHS_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHS_P : calculee primrest = 0 base : "RI evt avant" ;
RILMHT : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HO) - reduction" ;
RILMHT1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RILMHT_1 : calculee restituee primrest = 1 : "Reduction pour 1731" ;
RILMHT_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMHU : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HU) - reduction" ;
RILMHU1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RILMHU_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHU_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMHV : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HV) - reduction" ;
RILMHV1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RILMHV_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHV_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMHW : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HW) - reduction" ;
RILMHW1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RILMHW_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHW_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMHX : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7HX) - reduction" ;
RILMHX1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RILMHX_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMHX_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMIA1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMIAP2 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMIB1731 : calculee restituee primrest = 0 base : "RILMIB reduction  a la fin 1er traitement si 1731bis" ;
RILMIBP2 : calculee restituee primrest = 0 base : "RILMIB reduction  a la fin 1er traitement si 1731bis" ;
RILMIC1731 : calculee restituee primrest = 0 base : "RILMIC reduction  a la fin 1er traitement si 1731bis" ;
RILMICP2 : calculee restituee primrest = 0 base : "RILMIC reduction  a la fin 1er traitement si 1731bis" ;
RILMIY1731 : calculee restituee primrest = 0 base : "RILMIY reduction  a la fin 1er traitement si 1731bis" ;
RILMIYP2 : calculee restituee primrest = 0 base : "RILMIY reduction  a la fin 1er traitement si 1731bis" ;
RILMJC : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JC) - reduction" ;
RILMJC1731 : calculee restituee primrest = 0 base : "RILMJC reduction  a la fin 1er traitement si 1731bis" ;
RILMJCP2 : calculee restituee primrest = 0 base : "RILMJC reduction  a la fin 1er traitement si 1731bis" ;
RILMJI : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JC) - reduction" ;
RILMJI1731 : calculee restituee primrest = 0 base : "RILMJI reduction  a la fin 1er traitement si 1731bis" ;
RILMJIP2 : calculee restituee primrest = 0 base : "RILMJI reduction  a la fin 1er traitement si 1731bis" ;
RILMJS : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JI) - reduction" ;
RILMJS1731 : calculee restituee primrest = 0 base : "RILMJS reduction  a la fin 1er traitement si 1731bis" ;
RILMJSP2 : calculee restituee primrest = 0 base : "RILMJS reduction  a la fin 1er traitement si 1731bis" ;
RILMJV : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JV) - reduction" ;
RILMJV1731 : calculee restituee primrest = 0 base : "RILMJV reduction  a la fin 1er traitement si 1731bis" ;
RILMJVP2 : calculee restituee primrest = 0 base : "RILMJV reduction  a la fin 1er traitement si 1731bis" ;
RILMJV_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMJW : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JW) - reduction" ;
RILMJW1731 : calculee restituee primrest = 0 base : "RILMJW reduction  a la fin 1er traitement si 1731bis" ;
RILMJWP2 : calculee restituee primrest = 0 base : "RILMJW reduction  a la fin 1er traitement si 1731bis" ;
RILMJW_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMJX : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JX) - reduction" ;
RILMJX1731 : calculee restituee primrest = 0 base : "RILMJX reduction  a la fin 1er traitement si 1731bis" ;
RILMJXP2 : calculee restituee primrest = 0 base : "RILMJX reduction  a la fin 1er traitement si 1731bis" ;
RILMJX_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMJY : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7JY) - reduction" ;
RILMJY1731 : calculee restituee primrest = 0 base : "RILMJY reduction  a la fin 1er traitement si 1731bis" ;
RILMJYP2 : calculee restituee primrest = 0 base : "RILMJY reduction  a la fin 1er traitement si 1731bis" ;
RILMJY_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMJY_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7JY) - reduction" ;
RILMKE : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7KE) - reduction" ;
RILMKE1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMKE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMKE_P : calculee primrest = 0 base : "RI evt avant" ;
RILMKF : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7KF) - reduction" ;
RILMKF1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMKF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMKF_P : calculee primrest = 0 base : "RI evt avant" ;
RILMKG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7KG) - reduction" ;
RILMKG1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMKG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMKG_P : calculee primrest = 0 base : "RI evt avant" ;
RILMKH : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7KH) - reduction" ;
RILMKH1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMKH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMKH_P : calculee primrest = 0 base : "RI evt avant" ;
RILMKI : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7KI) - reduction" ;
RILMKI1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMKI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMKI_P : calculee primrest = 0 base : "RI evt avant" ;
RILMNP1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - reduction" ;
RILMNP1_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMNP3 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro 2011 : report - reduction" ;
RILMNP3_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMNP4 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro 2017 - reduction" ;
RILMNP4_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMOA1731 : calculee restituee primrest = 0 base : "RILMOA reduction  a la fin 1er traitement si 1731bis" ;
RILMOAP2 : calculee restituee primrest = 0 base : "RILMOA reduction  a la fin 1er traitement si 1731bis" ;
RILMOA_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOA_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - reduction" ;
RILMOB1731 : calculee restituee primrest = 0 base : "RILMOB reduction  a la fin 1er traitement si 1731bis" ;
RILMOBP2 : calculee restituee primrest = 0 base : "RILMOB reduction  a la fin 1er traitement si 1731bis" ;
RILMOB_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOB_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OB) - reduction" ;
RILMOC1731 : calculee restituee primrest = 0 base : "RILMOC reduction  a la fin 1er traitement si 1731bis" ;
RILMOCP2 : calculee restituee primrest = 0 base : "RILMOC reduction  a la fin 1er traitement si 1731bis" ;
RILMOC_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOC_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - reduction" ;
RILMOD1731 : calculee restituee primrest = 0 base : "RILMOD reduction  a la fin 1er traitement si 1731bis" ;
RILMODP2 : calculee restituee primrest = 0 base : "RILMOE reduction  a la fin 1er traitement si 1731bis" ;
RILMOD_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOD_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - reduction" ;
RILMOE1731 : calculee restituee primrest = 0 base : "RILMOE reduction  a la fin 1er traitement si 1731bis" ;
RILMOEP2 : calculee restituee primrest = 0 base : "RILMOE reduction  a la fin 1er traitement si 1731bis" ;
RILMOE_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOE_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7IC) - reduction" ;
RILMOF : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OF) - reduction" ;
RILMOF1731 : calculee restituee primrest = 0 base : "RILMOF reduction  a la fin 1er traitement si 1731bis" ;
RILMOFP2 : calculee restituee primrest = 0 base : "RILMOF reduction  a la fin 1er traitement si 1731bis" ;
RILMOF_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOF_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OF) - reduction" ;
RILMOG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OG) - reduction" ;
RILMOG1731 : calculee restituee primrest = 0 base : "RILMOG reduction  a la fin 1er traitement si 1731bis" ;
RILMOGP2 : calculee restituee primrest = 0 base : "RILMOG reduction  a la fin 1er traitement si 1731bis" ;
RILMOG_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOG_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OG) - reduction" ;
RILMOH : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OH) - reduction" ;
RILMOH1731 : calculee restituee primrest = 0 base : "RILMOH reduction  a la fin 1er traitement si 1731bis" ;
RILMOHP2 : calculee restituee primrest = 0 base : "RILMOH reduction  a la fin 1er traitement si 1731bis" ;
RILMOH_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOH_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OH) - reduction" ;
RILMOI : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OI) - reduction" ;
RILMOI1731 : calculee restituee primrest = 0 base : "RILMOI reduction  a la fin 1er traitement si 1731bis" ;
RILMOIP2 : calculee restituee primrest = 0 base : "RILMOI reduction  a la fin 1er traitement si 1731bis" ;
RILMOI_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOI_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OI) - reduction" ;
RILMOJ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OJ) - reduction" ;
RILMOJ1731 : calculee restituee primrest = 0 base : "RILMOJ reduction  a la fin 1er traitement si 1731bis" ;
RILMOJP2 : calculee restituee primrest = 0 base : "RILMOJ reduction  a la fin 1er traitement si 1731bis" ;
RILMOJ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOJ_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OJ) - reduction" ;
RILMOK : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OK) - reduction" ;
RILMOK1731 : calculee restituee primrest = 0 base : "RILMOK reduction  a la fin 1er traitement si 1731bis" ;
RILMOKP2 : calculee restituee primrest = 0 base : "RILMOK reduction  a la fin 1er traitement si 1731bis" ;
RILMOK_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOK_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OK) - reduction" ;
RILMOL : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OL) - reduction" ;
RILMOL1731 : calculee restituee primrest = 0 base : "RILMOL reduction  a la fin 1er traitement si 1731bis" ;
RILMOLP2 : calculee restituee primrest = 0 base : "RILMOL reduction  a la fin 1er traitement si 1731bis" ;
RILMOL_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOL_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OL) - reduction" ;
RILMOM : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OM) - reduction" ;
RILMOM1731 : calculee restituee primrest = 0 base : "RILMOM reduction  a la fin 1er traitement si 1731bis" ;
RILMOMP2 : calculee restituee primrest = 0 base : "RILMOM reduction  a la fin 1er traitement si 1731bis" ;
RILMOM_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOM_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OM) - reduction" ;
RILMON : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7ON) - reduction" ;
RILMON1731 : calculee restituee primrest = 0 base : "RILMON reduction  a la fin 1er traitement si 1731bis" ;
RILMONP2 : calculee restituee primrest = 0 base : "RILMON reduction  a la fin 1er traitement si 1731bis" ;
RILMON_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMON_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7ON) - reduction" ;
RILMOO : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7OO) - reduction" ;
RILMOO1731 : calculee restituee primrest = 0 base : "RILMOO reduction  a la fin 1er traitement si 1731bis" ;
RILMOOP2 : calculee restituee primrest = 0 base : "RILMOO reduction  a la fin 1er traitement si 1731bis" ;
RILMOO_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOO_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OO) - reduction" ;
RILMOP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OP) - reduction" ;
RILMOP1731 : calculee restituee primrest = 0 base : "RILMOP reduction  a la fin 1er traitement si 1731bis" ;
RILMOPP2 : calculee restituee primrest = 0 base : "RILMOP reduction  a la fin 1er traitement si 1731bis" ;
RILMOP_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOP_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OP) - reduction" ;
RILMOQ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OQ) - reduction" ;
RILMOQ1731 : calculee restituee primrest = 0 base : "RILMOQ reduction  a la fin 1er traitement si 1731bis" ;
RILMOQP2 : calculee restituee primrest = 0 base : "RILMOQ reduction  a la fin 1er traitement si 1731bis" ;
RILMOQ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOQ_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OQ) - reduction" ;
RILMOR : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OR) - reduction" ;
RILMOR1731 : calculee restituee primrest = 0 base : "RILMOR reduction  a la fin 1er traitement si 1731bis" ;
RILMORP2 : calculee restituee primrest = 0 base : "RILMOR reduction  a la fin 1er traitement si 1731bis" ;
RILMOR_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOR_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OR) - reduction" ;
RILMOS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OS) - reduction" ;
RILMOS1731 : calculee restituee primrest = 0 base : "RILMOS reduction  a la fin 1er traitement si 1731bis" ;
RILMOSP2 : calculee restituee primrest = 0 base : "RILMOS reduction  a la fin 1er traitement si 1731bis" ;
RILMOS_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOS_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OS) - reduction" ;
RILMOT : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7OT) - reduction" ;
RILMOT1731 : calculee restituee primrest = 0 base : "RILMOT reduction  a la fin 1er traitement si 1731bis" ;
RILMOTP2 : calculee restituee primrest = 0 base : "RILMOT reduction  a la fin 1er traitement si 1731bis" ;
RILMOT_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMOT_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7OT) - reduction" ;
RILMPA1731 : calculee restituee primrest = 0 base : "RILMPA reduction  a la fin 1er traitement si 1731bis" ;
RILMPAP2 : calculee restituee primrest = 0 base : "RILMPA reduction  a la fin 1er traitement si 1731bis" ;
RILMPB1731 : calculee restituee primrest = 0 base : "RILMPB reduction  a la fin 1er traitement si 1731bis" ;
RILMPBP2 : calculee restituee primrest = 0 base : "RILMIPB reduction  a la fin 1er traitement si 1731bis" ;
RILMPC1731 : calculee restituee primrest = 0 base : "RILMPC reduction  a la fin 1er traitement si 1731bis" ;
RILMPCP2 : calculee restituee primrest = 0 base : "RILMPC reduction  a la fin 1er traitement si 1731bis" ;
RILMPD1731 : calculee restituee primrest = 0 base : "RILMPD reduction  a la fin 1er traitement si 1731bis" ;
RILMPDP2 : calculee restituee primrest = 0 base : "RILMPD reduction  a la fin 1er traitement si 1731bis" ;
RILMPE1731 : calculee restituee primrest = 0 base : "RILMPE reduction  a la fin 1er traitement si 1731bis" ;
RILMPEP2 : calculee restituee primrest = 0 base : "RILMPE reduction  a la fin 1er traitement si 1731bis" ;
RILMPF : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PF) - reduction" ;
RILMPF1731 : calculee restituee primrest = 0 base : "RILMPF reduction  a la fin 1er traitement si 1731bis" ;
RILMPFP2 : calculee restituee primrest = 0 base : "RILMPF reduction  a la fin 1er traitement si 1731bis" ;
RILMPF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMPF_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PF) - reduction" ;
RILMPG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PG) - reduction" ;
RILMPG1731 : calculee restituee primrest = 0 base : "RILMPG reduction  a la fin 1er traitement si 1731bis" ;
RILMPGP2 : calculee restituee primrest = 0 base : "RILMPG reduction  a la fin 1er traitement si 1731bis" ;
RILMPG_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPH : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PH) - reduction" ;
RILMPH1731 : calculee restituee primrest = 0 base : "RILMPH reduction  a la fin 1er traitement si 1731bis" ;
RILMPHP2 : calculee restituee primrest = 0 base : "RILMPH reduction  a la fin 1er traitement si 1731bis" ;
RILMPH_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPI : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PI) - reduction" ;
RILMPI1731 : calculee restituee primrest = 0 base : "RILMPI reduction  a la fin 1er traitement si 1731bis" ;
RILMPIP2 : calculee restituee primrest = 0 base : "RILMPI reduction  a la fin 1er traitement si 1731bis" ;
RILMPI_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPJ : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PJ) - reduction" ;
RILMPJ1731 : calculee restituee primrest = 0 base : "RILMPJ reduction  a la fin 1er traitement si 1731bis" ;
RILMPJP2 : calculee restituee primrest = 0 base : "RILMPJ reduction  a la fin 1er traitement si 1731bis" ;
RILMPJ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPK : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PK) - reduction" ;
RILMPK1731 : calculee restituee primrest = 0 base : "RILMPK reduction  a la fin 1er traitement si 1731bis" ;
RILMPKP2 : calculee restituee primrest = 0 base : "RILMPK reduction  a la fin 1er traitement si 1731bis" ;
RILMPK_1 : calculee restituee primrest = 1 : "Reduction pour 1731" ;
RILMPK_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PK) - reduction" ;
RILMPL : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PL) - reduction" ;
RILMPL1731 : calculee restituee primrest = 0 base : "RILMPL reduction  a la fin 1er traitement si 1731bis" ;
RILMPLP2 : calculee restituee primrest = 0 base : "RILMPL reduction  a la fin 1er traitement si 1731bis" ;
RILMPL_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPL_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PL) - reduction" ;
RILMPM : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PM) - reduction" ;
RILMPM1731 : calculee restituee primrest = 0 base : "RILMPM reduction  a la fin 1er traitement si 1731bis" ;
RILMPMP2 : calculee restituee primrest = 0 base : "RILMPM reduction  a la fin 1er traitement si 1731bis" ;
RILMPM_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPM_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PM) - reduction" ;
RILMPN : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PN) - reduction" ;
RILMPN1731 : calculee restituee primrest = 0 base : "RILMPN reduction  a la fin 1er traitement si 1731bis" ;
RILMPNP2 : calculee restituee primrest = 0 base : "RILMPN reduction  a la fin 1er traitement si 1731bis" ;
RILMPN_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPN_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PN) - reduction" ;
RILMPO : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PO) - reduction" ;
RILMPO1731 : calculee restituee primrest = 0 base : "RILMPO reduction  a la fin 1er traitement si 1731bis" ;
RILMPOP2 : calculee restituee primrest = 0 base : "RILMPO reduction  a la fin 1er traitement si 1731bis" ;
RILMPO_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPO_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PO) - reduction" ;
RILMPP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PP) - reduction" ;
RILMPP1731 : calculee restituee primrest = 0 base : "RILMPP reduction  a la fin 1er traitement si 1731bis" ;
RILMPPP2 : calculee restituee primrest = 0 base : "RILMPP reduction  a la fin 1er traitement si 1731bis" ;
RILMPP_1 : calculee restituee primrest = 1 : "Reduction pour 1731" ;
RILMPP_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PP) - reduction" ;
RILMPQ : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PQ) - reduction" ;
RILMPQ1731 : calculee restituee primrest = 0 base : "RILMPQ reduction  a la fin 1er traitement si 1731bis" ;
RILMPQP2 : calculee restituee primrest = 0 base : "RILMPQ reduction  a la fin 1er traitement si 1731bis" ;
RILMPQ_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPQ_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PQ) - reduction" ;
RILMPR : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PR) - reduction" ;
RILMPR1731 : calculee restituee primrest = 0 base : "RILMPR reduction  a la fin 1er traitement si 1731bis" ;
RILMPRP2 : calculee restituee primrest = 0 base : "RILMPR reduction  a la fin 1er traitement si 1731bis" ;
RILMPR_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPR_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PR) - reduction" ;
RILMPS : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PS) - reduction" ;
RILMPS1731 : calculee restituee primrest = 0 base : "RILMPS reduction  a la fin 1er traitement si 1731bis" ;
RILMPSP2 : calculee restituee primrest = 0 base : "RILMPS reduction  a la fin 1er traitement si 1731bis" ;
RILMPS_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPS_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PS) - reduction" ;
RILMPT : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PT) - reduction" ;
RILMPT1731 : calculee restituee primrest = 0 base : "RILMPT reduction  a la fin 1er traitement si 1731bis" ;
RILMPTP2 : calculee restituee primrest = 0 base : "RILMPT reduction  a la fin 1er traitement si 1731bis" ;
RILMPT_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPT_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PT) - reduction" ;
RILMPU : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7PU) - reduction" ;
RILMPU1731 : calculee restituee primrest = 0 base : "RILMPU reduction  a la fin 1er traitement si 1731bis" ;
RILMPUP2 : calculee restituee primrest = 0 base : "RILMPU reduction  a la fin 1er traitement si 1731bis" ;
RILMPU_1 : calculee restituee primrest = 1 : "Reduction pour 1731" ;
RILMPU_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PU) - reduction" ;
RILMPV : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PV) - reduction" ;
RILMPV1731 : calculee restituee primrest = 0 base : "RILMPV reduction  a la fin 1er traitement si 1731bis" ;
RILMPVP2 : calculee restituee primrest = 0 base : "RILMPV reduction  a la fin 1er traitement si 1731bis" ;
RILMPV_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPV_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PQ) - reduction" ;
RILMPW : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PW) - reduction" ;
RILMPW1731 : calculee restituee primrest = 0 base : "RILMPW reduction  a la fin 1er traitement si 1731bis" ;
RILMPWP2 : calculee restituee primrest = 0 base : "RILMPW reduction  a la fin 1er traitement si 1731bis" ;
RILMPW_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPW_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PW) - reduction" ;
RILMPX : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PX) - reduction" ;
RILMPX1731 : calculee restituee primrest = 0 base : "RILMPX reduction  a la fin 1er traitement si 1731bis" ;
RILMPXP2 : calculee restituee primrest = 0 base : "RILMPX reduction  a la fin 1er traitement si 1731bis" ;
RILMPX_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPX_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PX) - reduction" ;
RILMPY : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7PY) - reduction" ;
RILMPY1731 : calculee restituee primrest = 0 base : "RILMPY reduction  a la fin 1er traitement si 1731bis" ;
RILMPYP2 : calculee restituee primrest = 0 base : "RILMPY reduction  a la fin 1er traitement si 1731bis" ;
RILMPY_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMPY_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7PY) - reduction" ;
RILMSA : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SA) - reduction" ;
RILMSA1731 : calculee restituee primrest = 0 base : "RILMSA reduction  a la fin 1er traitement si 1731bis" ;
RILMSAP2 : calculee restituee primrest = 0 base : "RILMSA reduction  a la fin 1er traitement si 1731bis" ;
RILMSA_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMSA_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7SA) - reduction" ;
RILMSB : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SB) - reduction" ;
RILMSB1731 : calculee restituee primrest = 0 base : "RILMSB reduction  a la fin 1er traitement si 1731bis" ;
RILMSBP2 : calculee restituee primrest = 0 base : "RILMSB reduction  a la fin 1er traitement si 1731bis" ;
RILMSB_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMSB_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7SB) - reduction" ;
RILMSC : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SC) - reduction" ;
RILMSC1731 : calculee restituee primrest = 0 base : "RILMSC reduction  a la fin 1er traitement si 1731bis" ;
RILMSCP2 : calculee restituee primrest = 0 base : "RILMSC reduction  a la fin 1er traitement si 1731bis" ;
RILMSC_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMSC_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report reduction (7SC) - reduction" ;
RILMSM : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7SM) - reduction" ;
RILMSM1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMSM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMSM_P : calculee primrest = 0 base : "RI evt avant" ;
RILMSN : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7SN) - declare" ;
RILMSN1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMSN_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMSN_P : calculee primrest = 0 base : "RI evt avant" ;
RILMSO : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7SO) - declare" ;
RILMSO1731 : calculee restituee primrest = 0 base : "RILMIA reduction  a la fin 1er traitement si 1731bis" ;
RILMSO_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMSO_P : calculee primrest = 0 base : "RI evt avant" ;
RILMSP : calculee restituee primrest = 0 : "Invest. loc. meublees non pro - report reduction (7SP) - reduction" ;
RILMSP1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RILMSP_1 : calculee restituee primrest = 0 : "Reduction pour 1731" ;
RILMSP_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RILMSS : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report reduction (7SS) - reduction" ;
RILMSS1731 : calculee restituee primrest = 0 base : "RILM reduction  a la fin 1er traitement si 1731bis" ;
RILMSS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RILMSS_P : calculee primrest = 0 base : "RI evt avant" ;
RINNO : calculee restituee primrest = 1 : "Reduction FCP dans l'innovation- Affichage" ;
RINNO1731 : calculee restituee primrest = 0 base : "RINNO retenu  a la fin 1er traitement si 1731bis" ;
RINNOP2 : calculee restituee primrest = 0 base : "RINNO retenu  a la fin 1er traitement si 1731bis" ;
RINNO_1 : calculee restituee primrest = 0 : "pour alleger prog - reduc. Souscrip Parts Fonds Communs Plac Innov." ;
RINNO_P : calculee primrest = 0 base : "Reduction FCP dans l'innovation- Affichage" ;
RINVDOMTOMLG : calculee restituee primrest = 0 : "Reduction investissement DOM TOM log" ;
RINVPEBS : calculee restituee primrest = 1 : "Investissements petites entreprises 2020 - 7BS" ;
RINVPEBT : calculee restituee primrest = 1 : "Investissements petites entreprises 2021 - 7BT" ;
RINVPECA : calculee restituee primrest = 1 : "Investissements petites entreprises 2021 - 7CA" ;
RINVPECH : calculee restituee primrest = 1 : "Investissements petites entreprises 2022 - 7CH" ;
RINVPECI : calculee restituee primrest = 1 : "Investissements petites entreprises 2022 - 7CI" ;
RINVPECR : calculee restituee primrest = 1 : "Investissements petites entreprises 2018 - 7CR" ;
RINVPECS : calculee restituee primrest = 1 : "Investissements petites entreprises 2020 - 7CS" ;
RINVPECT : calculee restituee primrest = 1 : "Investissements petites entreprises 2021 - 7CT" ;
RINVPECV : calculee restituee primrest = 1 : "Investissements petites entreprises 2019 - 7CV" ;
RINVPECX : calculee restituee primrest = 1 : "Investissements petites entreprises 2020 - 7CX" ;
RINVPEDC : calculee restituee primrest = 1 : "Investissements petites entreprises 2021 - 7DC" ;
RINVPEGW : calculee restituee primrest = 1 : "Investissements petites entreprises 2022 - 7GW" ;
RIRENOV : saisie revenu classe = 0 priorite = 30 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7NZ : "Travaux de restauration et de conservation" ;
RISKTEC : saisie revenu classe = 0 priorite = 50 categorie_TL = 40 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7WR : "Travaux de prevention des risques technologiques (logts en location)" ;
RIVCELHL1 : calculee restituee primrest = 1 : "Scellier 7HL 7HM - Montant  a reporter sur declarations futures" ;
RIVCELHL3 : calculee restituee primrest = 1 : "Scellier 7HL 7HM - Montant  a reporter sur declarations futures" ;
RIVCELIQ1 : calculee restituee primrest = 1 : "Scellier 7IQ - Montant  a reporter sur declarations futures" ;
RIVCELIQ3 : calculee restituee primrest = 1 : "Scellier 7IQ - Montant  a reporter sur declarations futures" ;
RIVCELJIJ1 : calculee restituee primrest = 1 : "Scellier 7JI a 7JL - Montant  a reporter" ;
RIVCELJIJ3 : calculee restituee primrest = 1 : "Scellier 7JI a 7JL - Montant  a reporter" ;
RIVCELMH1 : calculee restituee primrest = 1 : "Scellier 7MH - Montant  a reporter sur declarations futures" ;
RIVCELMH3 : calculee restituee primrest = 1 : "Scellier 7MH - Montant  a reporter sur declarations futures" ;
RIVCELRMN1 : calculee restituee primrest = 1 : "Scellier 7RM a 7RP, 7IV a 7IW - Montant  a reporter" ;
RIVCELRMN3 : calculee restituee primrest = 1 : "Scellier 7RM a 7RP, 7IV a 7IW - Montant  a reporter" ;
RIVCELRQ1 : calculee restituee primrest = 1 : "Scellier 7RQ - Montant  a reporter sur declarations futures" ;
RIVCELRQ3 : calculee restituee primrest = 1 : "Scellier 7RQ - Montant  a reporter sur declarations futures" ;
RIVCELSIJ1 : calculee restituee primrest = 1 : "Scellier 7SI SJ SK SL - Montant  a reporter sur declarations futures" ;
RIVCELSIJ3 : calculee restituee primrest = 1 : "Scellier 7SI SJ SK SL - Montant  a reporter sur declarations futures" ;
RIVCELXHI1 : calculee restituee primrest = 1 : "Scellier 7XH XI XJ XK - Montant  a reporter sur declarations futures" ;
RIVCELXHI3 : calculee restituee primrest = 1 : "Scellier 7XH XI XJ XK - Montant  a reporter sur declarations futures" ;
RIVCELZAB1 : calculee restituee primrest = 1 : "Scellier 7ZA 7ZB 7ZG 7ZH - Montant  a reporter" ;
RIVCELZAB3 : calculee restituee primrest = 1 : "Scellier 7ZA 7ZB 7ZG 7ZH - Montant  a reporter" ;
RIVCELZMN1 : calculee restituee primrest = 1 : "Scellier 7ZM 7ZN - Montant  a reporter sur declarations futures" ;
RIVCELZMN3 : calculee restituee primrest = 1 : "Scellier 7ZM 7ZN - Montant  a reporter sur declarations futures" ;
RIVNONA : calculee restituee primrest = 1 : "Denormandie 7NA - Montant  a reporter sur declarations futures" ;
RIVNONA5 : calculee restituee primrest = 1 : "Denormandie 7NA - Montant  a reporter sur declarations futures" ;
RIVNONB : calculee restituee primrest = 1 : "Denormandie 7NB - Montant  a reporter sur declarations futures" ;
RIVNONB8 : calculee restituee primrest = 1 : "Denormandie 7NB - Montant  a reporter sur declarations futures" ;
RIVNONC : calculee restituee primrest = 1 : "Denormandie 7NC - Montant  a reporter sur declarations futures" ;
RIVNONC5 : calculee restituee primrest = 1 : "Denormandie 7NB - Montant  a reporter sur declarations futures" ;
RIVNOND : calculee restituee primrest = 1 : "Denormandie 7ND - Montant  a reporter sur declarations futures" ;
RIVNOND8 : calculee restituee primrest = 1 : "Denormandie 7ND - Montant  a reporter sur declarations futures" ;
RIVNONE : calculee restituee primrest = 1 : "Denormandie 7NE - Montant  a reporter sur declarations futures" ;
RIVNONE5 : calculee restituee primrest = 1 : "Denormandie 7NE - Montant  a reporter sur declarations futures" ;
RIVNONF : calculee restituee primrest = 1 : "Denormandie 7NF - Montant  a reporter sur declarations futures" ;
RIVNONF8 : calculee restituee primrest = 1 : "Denormandie 7NF - Montant  a reporter sur declarations futures" ;
RIVNONG : calculee restituee primrest = 1 : "Denormandie 7NG - Montant  a reporter sur declarations futures" ;
RIVNONG5 : calculee restituee primrest = 1 : "Denormandie 7NG - Montant  a reporter sur declarations futures" ;
RIVNONH : calculee restituee primrest = 1 : "Denormandie 7NH - Montant  a reporter sur declarations futures" ;
RIVNONH8 : calculee restituee primrest = 1 : "Denormandie 7NH - Montant  a reporter sur declarations futures" ;
RIVNONI : calculee restituee primrest = 1 : "Denormandie 7NI - Montant  a reporter sur declarations futures" ;
RIVNONI5 : calculee restituee primrest = 1 : "Denormandie 7NI - Montant  a reporter sur declarations futures" ;
RIVNONJ : calculee restituee primrest = 1 : "Denormandie 7NJ - Montant  a reporter sur declarations futures" ;
RIVNONJ8 : calculee restituee primrest = 1 : "Denormandie 7NJ - Montant  a reporter sur declarations futures" ;
RIVNONK : calculee restituee primrest = 1 : "Denormandie 7NK - Montant  a reporter sur declarations futures" ;
RIVNONK5 : calculee restituee primrest = 1 : "Denormandie 7NK - Montant  a reporter sur declarations futures" ;
RIVNONL : calculee restituee primrest = 1 : "Denormandie 7NL - Montant  a reporter sur declarations futures" ;
RIVNONL8 : calculee restituee primrest = 1 : "Denormandie 7NL - Montant  a reporter sur declarations futures" ;
RIVNONM : calculee restituee primrest = 1 : "Denormandie 7NM - Montant  a reporter sur declarations futures" ;
RIVNONM5 : calculee restituee primrest = 1 : "Denormandie 7NM - Montant  a reporter sur declarations futures" ;
RIVNONN : calculee restituee primrest = 1 : "Denormandie 7NN - Montant  a reporter sur declarations futures" ;
RIVNONN8 : calculee restituee primrest = 1 : "Denormandie 7NN - Montant  a reporter sur declarations futures" ;
RIVNOPF : calculee restituee primrest = 1 : "Denormandie 7PF - Montant  a reporter sur declarations futures" ;
RIVNOPF5 : calculee restituee primrest = 1 : "Denormandie 7PF - Montant  a reporter sur declarations futures" ;
RIVNOPG : calculee restituee primrest = 1 : "Denormandie 7PG - Montant  a reporter sur declarations futures" ;
RIVNOPG8 : calculee restituee primrest = 1 : "Denormandie 7PG - Montant  a reporter sur declarations futures" ;
RIVPIQA : calculee restituee primrest = 1 : "Pinel 7QA - Montant  a reporter sur declarations futures" ;
RIVPIQA5 : calculee restituee primrest = 1 : "Pinel 7QA - Montant  a reporter sur declarations futures" ;
RIVPIQB : calculee restituee primrest = 1 : "Pinel 7QB - Montant  a reporter sur declarations futures" ;
RIVPIQB8 : calculee restituee primrest = 1 : "Pinel 7QB - Montant  a reporter sur declarations futures" ;
RIVPIQC : calculee restituee primrest = 1 : "Pinel 7QC - Montant  a reporter sur declarations futures" ;
RIVPIQC5 : calculee restituee primrest = 1 : "Pinel 7QC - Montant  a reporter sur declarations futures" ;
RIVPIQD : calculee restituee primrest = 1 : "Pinel 7QD - Montant  a reporter sur declarations futures" ;
RIVPIQD8 : calculee restituee primrest = 1 : "Pinel 7QD - Montant  a reporter sur declarations futures" ;
RIVPIQI : calculee restituee primrest = 1 : "Pinel 7QI - Montant  a reporter sur declarations futures" ;
RIVPIQI5 : calculee restituee primrest = 1 : "Pinel 7QI - Montant  a reporter sur declarations futures" ;
RIVPIQJ : calculee restituee primrest = 1 : "Pinel 7QJ - Montant  a reporter sur declarations futures" ;
RIVPIQJ8 : calculee restituee primrest = 1 : "Pinel 7QJ - Montant  a reporter sur declarations futures" ;
RIVPIQK : calculee restituee primrest = 1 : "Pinel 7QK - Montant  a reporter sur declarations futures" ;
RIVPIQK5 : calculee restituee primrest = 1 : "Pinel 7QK - Montant  a reporter sur declarations futures" ;
RIVPIQL : calculee restituee primrest = 1 : "Pinel 7QL - Montant  a reporter sur declarations futures" ;
RIVPIQL8 : calculee restituee primrest = 1 : "Pinel 7QL - Montant  a reporter sur declarations futures" ;
RIVPIQM : calculee restituee primrest = 1 : "Pinel 7QM - Montant  a reporter sur declarations futures" ;
RIVPIQM5 : calculee restituee primrest = 1 : "Pinel 7QM - Montant  a reporter sur declarations futures" ;
RIVPIQN : calculee restituee primrest = 1 : "Pinel 7QN - Montant  a reporter sur declarations futures" ;
RIVPIQN8 : calculee restituee primrest = 1 : "Pinel 7QN - Montant  a reporter sur declarations futures" ;
RIVPIQO : calculee restituee primrest = 1 : "Pinel 7QO - Montant  a reporter sur declarations futures" ;
RIVPIQO5 : calculee restituee primrest = 1 : "Pinel 7QO - Montant  a reporter sur declarations futures" ;
RIVPIQP : calculee restituee primrest = 1 : "Pinel 7QP - Montant  a reporter sur declarations futures" ;
RIVPIQP8 : calculee restituee primrest = 1 : "Pinel 7QP - Montant  a reporter sur declarations futures" ;
RIVPIQQ : calculee restituee primrest = 1 : "Pinel 7QQ - Montant  a reporter sur declarations futures" ;
RIVPIQQ8 : calculee restituee primrest = 1 : "Pinel 7QQ - Montant  a reporter sur declarations futures" ;
RIVPIQW : calculee restituee primrest = 1 : "Pinel 7QW - Montant  a reporter sur declarations futures" ;
RIVPIQW5 : calculee restituee primrest = 1 : "Pinel 7QW - Montant  a reporter sur declarations futures" ;
RIVPIQX : calculee restituee primrest = 1 : "Pinel 7QX - Montant  a reporter sur declarations futures" ;
RIVPIQX8 : calculee restituee primrest = 1 : "Pinel 7QX - Montant  a reporter sur declarations futures" ;
RIVPIQY : calculee restituee primrest = 1 : "Pinel 7QY - Montant  a reporter sur declarations futures" ;
RIVPIQY5 : calculee restituee primrest = 1 : "Pinel 7QW - Montant  a reporter sur declarations futures" ;
RIVPIRP : calculee restituee primrest = 1 : "Pinel 7RP - Montant  a reporter sur declarations futures" ;
RIVPIRP2 : calculee restituee primrest = 1 : "Pinel 7RP - Montant  a reporter sur declarations futures" ;
RIVPIRQ : calculee restituee primrest = 1 : "Pinel 7RQ - Montant  a reporter sur declarations futures" ;
RIVPIRQ2 : calculee restituee primrest = 1 : "Pinel 7RQ - Montant  a reporter sur declarations futures" ;
RIVPIRX : calculee restituee primrest = 1 : "Pinel 7RX  - Montant  a reporter sur declarations futures" ;
RIVPIRX2 : calculee restituee primrest = 1 : "Pinel 7RX  - Montant  a reporter sur declarations futures" ;
RIVPIRY : calculee restituee primrest = 1 : "Pinel 7RY  - Montant  a reporter sur declarations futures" ;
RIVPIRY2 : calculee restituee primrest = 1 : "Pinel 7RY  - Montant  a reporter sur declarations futures" ;
RI_INIT : calculee primrest = 0 base : " nouv cor:taxation 2042_INIT pour la TL: sauvegard RI" ;
RI_RECT : calculee primrest = 0 base : " nouv cor: taxation 2042_RECT pour la TL: sauvegarde RI" ;
RI_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde TL" ;
RLOC117 : calculee restituee primrest = 0 : "Reduction HSL retrocede" ;
RLOC1171731 : calculee restituee primrest = 0 base : "Reduction HSL retrocede" ;
RLOC117P2 : calculee restituee primrest = 0 base : "Reduction HSL retrocede" ;
RLOC117_1 : calculee restituee primrest = 0 : "Reduction HSL retrocede" ;
RLOC117_P : calculee primrest = 0 base : "Reduction HSL retrocede" ;
RLOC118 : calculee restituee primrest = 0 : "Reduction HSQ retrocede" ;
RLOC1181731 : calculee restituee primrest = 0 base : "Reduction HSQ retrocede" ;
RLOC118P2 : calculee restituee primrest = 0 base : "Reduction HSQ retrocede" ;
RLOC118_1 : calculee restituee primrest = 0 : "Reduction HSQ retrocede" ;
RLOC118_P : calculee primrest = 0 base : "Reduction HSQ retrocede" ;
RLOC119 : calculee restituee primrest = 0 : "Reduction HSV retrocede" ;
RLOC1191731 : calculee restituee primrest = 0 base : "Reduction HSV retrocede" ;
RLOC119P2 : calculee restituee primrest = 0 base : "Reduction HSV retrocede" ;
RLOC119_1 : calculee restituee primrest = 0 : "Reduction HSV retrocede" ;
RLOC119_P : calculee primrest = 0 base : "Reduction HSV retrocede" ;
RLOC120 : calculee restituee primrest = 0 : "Reduction HTA retrocede" ;
RLOC1201731 : calculee restituee primrest = 0 base : "Reduction HTA retrocede" ;
RLOC120P2 : calculee restituee primrest = 0 base : "Reduction HTA retrocede" ;
RLOC120_1 : calculee restituee primrest = 0 : "Reduction HTA retrocede" ;
RLOC120_P : calculee primrest = 0 base : "Reduction HTA retrocede" ;
RLOC121 : calculee restituee primrest = 0 : "Reduction HSK retrocede" ;
RLOC1211731 : calculee restituee primrest = 0 base : "Reduction HSK retrocede" ;
RLOC121P2 : calculee restituee primrest = 0 base : "Reduction HSK retrocede" ;
RLOC121_1 : calculee restituee primrest = 0 : "Reduction HSK retrocede" ;
RLOC121_P : calculee primrest = 0 base : "Reduction HSK retrocede" ;
RLOC122 : calculee restituee primrest = 0 : "Reduction HSP retrocede" ;
RLOC1221731 : calculee restituee primrest = 0 base : "Reduction HSP retrocede" ;
RLOC122P2 : calculee restituee primrest = 0 base : "Reduction HSP retrocede" ;
RLOC122_1 : calculee restituee primrest = 0 : "Reduction HSP retrocede" ;
RLOC122_P : calculee primrest = 0 base : "Reduction HSP retrocede" ;
RLOC123 : calculee restituee primrest = 0 : "Reduction HSU retrocede" ;
RLOC1231731 : calculee restituee primrest = 0 base : "Reduction HSU retrocede" ;
RLOC123P2 : calculee restituee primrest = 0 base : "Reduction HSU retrocede" ;
RLOC123_1 : calculee restituee primrest = 0 : "Reduction HSU retrocede" ;
RLOC123_P : calculee primrest = 0 base : "Reduction HSU retrocede" ;
RLOC124 : calculee restituee primrest = 0 : "Reduction HSZ retrocede" ;
RLOC1241731 : calculee restituee primrest = 0 base : "Reduction HSZ retrocede" ;
RLOC124P2 : calculee restituee primrest = 0 base : "Reduction HSZ retrocede" ;
RLOC124_1 : calculee restituee primrest = 0 : "Reduction HSZ retrocede" ;
RLOC124_P : calculee primrest = 0 base : "Reduction HSZ retrocede" ;
RLOC125 : calculee restituee primrest = 0 : "Reduction HAB" ;
RLOC1251731 : calculee restituee primrest = 0 base : "Reduction HAB" ;
RLOC125P2 : calculee restituee primrest = 0 base : "Reduction HAB" ;
RLOC125_1 : calculee restituee primrest = 0 : "Reduction HAB" ;
RLOC125_P : calculee restituee primrest = 0 : "Reduction HAB" ;
RLOC126 : calculee restituee primrest = 0 : "Reduction HAG" ;
RLOC1261731 : calculee restituee primrest = 0 base : "Reduction HAG" ;
RLOC126P2 : calculee restituee primrest = 0 base : "Reduction HAG" ;
RLOC126_1 : calculee restituee primrest = 0 : "Reduction HAG" ;
RLOC126_P : calculee restituee primrest = 0 : "Reduction HAG" ;
RLOC127 : calculee restituee primrest = 0 : "Reduction HAL" ;
RLOC1271731 : calculee restituee primrest = 0 base : "Reduction HAL" ;
RLOC127P2 : calculee restituee primrest = 0 base : "Reduction HAL" ;
RLOC127_1 : calculee restituee primrest = 0 : "Reduction HAL" ;
RLOC127_P : calculee restituee primrest = 0 : "Reduction HAL" ;
RLOC128 : calculee restituee primrest = 0 : "Reduction HAQ" ;
RLOC1281731 : calculee restituee primrest = 0 base : "Reduction HAQ" ;
RLOC128P2 : calculee restituee primrest = 0 base : "Reduction HAQ" ;
RLOC128_1 : calculee restituee primrest = 0 : "Reduction HAQ" ;
RLOC128_P : calculee restituee primrest = 0 : "Reduction HAQ" ;
RLOC129 : calculee restituee primrest = 0 : "Reduction HAV" ;
RLOC1291731 : calculee restituee primrest = 0 base : "Reduction HAV" ;
RLOC129P2 : calculee restituee primrest = 0 base : "Reduction HAV" ;
RLOC129_1 : calculee restituee primrest = 0 : "Reduction HAV" ;
RLOC129_P : calculee restituee primrest = 0 : "Reduction HAV" ;
RLOC130 : calculee restituee primrest = 0 : "Reduction HBB" ;
RLOC1301731 : calculee restituee primrest = 0 base : "Reduction HBB" ;
RLOC130P2 : calculee restituee primrest = 0 base : "Reduction HBB" ;
RLOC130_1 : calculee restituee primrest = 0 : "Reduction HBB" ;
RLOC130_P : calculee restituee primrest = 0 : "Reduction HBB" ;
RLOC131 : calculee restituee primrest = 0 : "Reduction HAA" ;
RLOC1311731 : calculee restituee primrest = 0 base : "Reduction HAA" ;
RLOC131P2 : calculee restituee primrest = 0 base : "Reduction HAA" ;
RLOC131_1 : calculee restituee primrest = 0 : "Reduction HAA" ;
RLOC131_P : calculee restituee primrest = 0 : "Reduction HAA" ;
RLOC132 : calculee restituee primrest = 0 : "Reduction HAF" ;
RLOC1321731 : calculee restituee primrest = 0 base : "Reduction HAF" ;
RLOC132P2 : calculee restituee primrest = 0 base : "Reduction HAF" ;
RLOC132_1 : calculee restituee primrest = 0 : "Reduction HAF" ;
RLOC132_P : calculee restituee primrest = 0 : "Reduction HAF" ;
RLOC133 : calculee restituee primrest = 0 : "Reduction HAK" ;
RLOC1331731 : calculee restituee primrest = 0 base : "Reduction HAK" ;
RLOC133P2 : calculee restituee primrest = 0 base : "Reduction HAK" ;
RLOC133_1 : calculee restituee primrest = 0 : "Reduction HAK" ;
RLOC133_P : calculee restituee primrest = 0 : "Reduction HAK" ;
RLOC134 : calculee restituee primrest = 0 : "Reduction HAP" ;
RLOC1341731 : calculee restituee primrest = 0 base : "Reduction HAP" ;
RLOC134P2 : calculee restituee primrest = 0 base : "Reduction HAP" ;
RLOC134_1 : calculee restituee primrest = 0 : "Reduction HAP" ;
RLOC134_P : calculee restituee primrest = 0 : "Reduction HAP" ;
RLOC135 : calculee restituee primrest = 0 : "Reduction HAU" ;
RLOC1351731 : calculee restituee primrest = 0 base : "Reduction HAU" ;
RLOC135P2 : calculee restituee primrest = 0 base : "Reduction HAU" ;
RLOC135_1 : calculee restituee primrest = 0 : "Reduction HAU" ;
RLOC135_P : calculee restituee primrest = 0 : "Reduction HAU" ;
RLOC136 : calculee restituee primrest = 0 : "Reduction HBA" ;
RLOC1361731 : calculee restituee primrest = 0 base : "Reduction HBA" ;
RLOC136P2 : calculee restituee primrest = 0 base : "Reduction HBA" ;
RLOC136_1 : calculee restituee primrest = 0 : "Reduction HBA" ;
RLOC136_P : calculee restituee primrest = 0 : "Reduction HBA" ;
RLOC137 : calculee restituee primrest = 0 : "Reduction HAC" ;
RLOC1371731 : calculee restituee primrest = 0 base : "Reduction HAC" ;
RLOC137P2 : calculee restituee primrest = 0 base : "Reduction HAC" ;
RLOC137_1 : calculee restituee primrest = 0 : "Reduction HAC" ;
RLOC137_P : calculee restituee primrest = 0 : "Reduction HAC" ;
RLOC138 : calculee restituee primrest = 0 : "Reduction HAH" ;
RLOC1381731 : calculee restituee primrest = 0 base : "Reduction HAH" ;
RLOC138P2 : calculee restituee primrest = 0 base : "Reduction HAH" ;
RLOC138_1 : calculee restituee primrest = 0 : "Reduction HAH" ;
RLOC138_P : calculee restituee primrest = 0 : "Reduction HAH" ;
RLOC139 : calculee restituee primrest = 0 : "Reduction HAM" ;
RLOC1391731 : calculee restituee primrest = 0 base : "Reduction HAM" ;
RLOC139P2 : calculee restituee primrest = 0 base : "Reduction HAM" ;
RLOC139_1 : calculee restituee primrest = 0 : "Reduction HAM" ;
RLOC139_P : calculee restituee primrest = 0 : "Reduction HAM" ;
RLOC140 : calculee restituee primrest = 0 : "Reduction HAR" ;
RLOC1401731 : calculee restituee primrest = 0 base : "Reduction HAR" ;
RLOC140P2 : calculee restituee primrest = 0 base : "Reduction HAR" ;
RLOC140_1 : calculee restituee primrest = 0 : "Reduction HAR" ;
RLOC140_P : calculee restituee primrest = 0 : "Reduction HAR" ;
RLOC141 : calculee restituee primrest = 0 : "Reduction HAW" ;
RLOC1411731 : calculee restituee primrest = 0 base : "Reduction HAW" ;
RLOC141P2 : calculee restituee primrest = 0 base : "Reduction HAW" ;
RLOC141_1 : calculee restituee primrest = 0 : "Reduction HAW" ;
RLOC141_P : calculee restituee primrest = 0 : "Reduction HAW" ;
RLOC142 : calculee restituee primrest = 0 : "Reduction HBE" ;
RLOC1421731 : calculee restituee primrest = 0 base : "Reduction HBE" ;
RLOC142P2 : calculee restituee primrest = 0 base : "Reduction HBE" ;
RLOC142_1 : calculee restituee primrest = 0 : "Reduction HBE" ;
RLOC142_P : calculee restituee primrest = 0 : "Reduction HBE" ;
RLOC143 : calculee restituee primrest = 0 : "Reduction HAE" ;
RLOC1431731 : calculee restituee primrest = 0 base : "Reduction HAE" ;
RLOC143P2 : calculee restituee primrest = 0 base : "Reduction HAE" ;
RLOC143_1 : calculee restituee primrest = 0 : "Reduction HAE" ;
RLOC143_P : calculee restituee primrest = 0 : "Reduction HAE" ;
RLOC144 : calculee restituee primrest = 0 : "Reduction HAJ" ;
RLOC1441731 : calculee restituee primrest = 0 base : "Reduction HAJ" ;
RLOC144P2 : calculee restituee primrest = 0 base : "Reduction HAJ" ;
RLOC144_1 : calculee restituee primrest = 0 : "Reduction HAJ" ;
RLOC144_P : calculee restituee primrest = 0 : "Reduction HAJ" ;
RLOC145 : calculee restituee primrest = 0 : "Reduction HAO" ;
RLOC1451731 : calculee restituee primrest = 0 base : "Reduction HAO" ;
RLOC145P2 : calculee restituee primrest = 0 base : "Reduction HAO" ;
RLOC145_1 : calculee restituee primrest = 0 : "Reduction HAO" ;
RLOC145_P : calculee restituee primrest = 0 : "Reduction HAO" ;
RLOC146 : calculee restituee primrest = 0 : "Reduction HAT" ;
RLOC1461731 : calculee restituee primrest = 0 base : "Reduction HAT" ;
RLOC146P2 : calculee restituee primrest = 0 base : "Reduction HAT" ;
RLOC146_1 : calculee restituee primrest = 0 : "Reduction HAT" ;
RLOC146_P : calculee restituee primrest = 0 : "Reduction HAT" ;
RLOC147 : calculee restituee primrest = 0 : "Reduction HAY" ;
RLOC1471731 : calculee restituee primrest = 0 base : "Reduction HAY" ;
RLOC147P2 : calculee restituee primrest = 0 base : "Reduction HAY" ;
RLOC147_1 : calculee restituee primrest = 0 : "Reduction HAY" ;
RLOC147_P : calculee restituee primrest = 0 : "Reduction HAY" ;
RLOC148 : calculee restituee primrest = 0 : "Reduction HBG" ;
RLOC1481731 : calculee restituee primrest = 0 base : "Reduction HBG" ;
RLOC148P2 : calculee restituee primrest = 0 base : "Reduction HBG" ;
RLOC148_1 : calculee restituee primrest = 0 : "Reduction HBG" ;
RLOC148_P : calculee restituee primrest = 0 : "Reduction HBG" ;
RLOC149 : calculee restituee primrest = 0 : "Reduction HAB retrocede" ;
RLOC1491731 : calculee restituee primrest = 0 base : "Reduction HAB retrocede" ;
RLOC149P2 : calculee restituee primrest = 0 base : "Reduction HAB retrocede" ;
RLOC149_1 : calculee restituee primrest = 0 : "Reduction HAB retrocede" ;
RLOC149_P : calculee restituee primrest = 0 : "Reduction HAB retrocede" ;
RLOC150 : calculee restituee primrest = 0 : "Reduction HAG retrocede" ;
RLOC1501731 : calculee restituee primrest = 0 base : "Reduction HAG retrocede" ;
RLOC150P2 : calculee restituee primrest = 0 base : "Reduction HAG retrocede" ;
RLOC150_1 : calculee restituee primrest = 0 : "Reduction HAG retrocede" ;
RLOC150_P : calculee restituee primrest = 0 : "Reduction HAG retrocede" ;
RLOC151 : calculee restituee primrest = 0 : "Reduction HAL retrocede" ;
RLOC1511731 : calculee restituee primrest = 0 base : "Reduction HAL retrocede" ;
RLOC151P2 : calculee restituee primrest = 0 base : "Reduction HAL retrocede" ;
RLOC151_1 : calculee restituee primrest = 0 : "Reduction HAL retrocede" ;
RLOC151_P : calculee restituee primrest = 0 : "Reduction HAL retrocede" ;
RLOC152 : calculee restituee primrest = 0 : "Reduction HAQ retrocede" ;
RLOC1521731 : calculee restituee primrest = 0 base : "Reduction HAQ retrocede" ;
RLOC152P2 : calculee restituee primrest = 0 base : "Reduction HAQ retrocede" ;
RLOC152_1 : calculee restituee primrest = 0 : "Reduction HAQ retrocede" ;
RLOC152_P : calculee restituee primrest = 0 : "Reduction HAQ retrocede" ;
RLOC70 : calculee restituee primrest = 0 : "Reduction HRI" ;
RLOC701731 : calculee restituee primrest = 0 base : "Reduction HRI" ;
RLOC70P2 : calculee restituee primrest = 0 base : "Reduction HRI" ;
RLOC70_1 : calculee primrest = 0 : "Reduction HRI" ;
RLOC71 : calculee restituee primrest = 0 : "Reduction HRO" ;
RLOC711731 : calculee restituee primrest = 0 base : "Reduction HRO" ;
RLOC71P2 : calculee restituee primrest = 0 base : "Reduction HRO" ;
RLOC71_1 : calculee primrest = 0 : "Reduction HRO" ;
RLOC72 : calculee restituee primrest = 0 : "Reduction HRT" ;
RLOC721731 : calculee restituee primrest = 0 base : "Reduction HRT" ;
RLOC72P2 : calculee restituee primrest = 0 base : "Reduction HRT" ;
RLOC72_1 : calculee primrest = 0 : "Reduction HRT" ;
RLOC73 : calculee restituee primrest = 0 : "Reduction HRY" ;
RLOC731731 : calculee restituee primrest = 0 base : "Reduction HRY" ;
RLOC73P2 : calculee restituee primrest = 0 base : "Reduction HRY" ;
RLOC73_1 : calculee primrest = 0 : "Reduction HRY" ;
RLOC74 : calculee restituee primrest = 0 : "Reduction HNY" ;
RLOC741731 : calculee restituee primrest = 0 base : "Reduction HNY" ;
RLOC74P2 : calculee restituee primrest = 0 base : "Reduction HNY" ;
RLOC74_1 : calculee primrest = 0 : "Reduction HNY" ;
RLOC75 : calculee restituee primrest = 0 : "Reduction HPO retrocede" ;
RLOC751731 : calculee restituee primrest = 0 base : "Reduction HPO retrocede" ;
RLOC75P2 : calculee restituee primrest = 0 base : "Reduction HPO retrocede" ;
RLOC75_1 : calculee primrest = 0 : "Reduction HPO retrocede" ;
RLOC76 : calculee restituee primrest = 0 : "Reduction HPT retrocede" ;
RLOC761731 : calculee restituee primrest = 0 base : "Reduction HPT retrocede" ;
RLOC76P2 : calculee restituee primrest = 0 base : "Reduction HPT retrocede" ;
RLOC76_1 : calculee primrest = 0 : "Reduction HPT retrocede" ;
RLOC77 : calculee restituee primrest = 0 : "Reduction HPY retrocede" ;
RLOC771731 : calculee restituee primrest = 0 base : "Reduction HPY retrocede" ;
RLOC77P2 : calculee restituee primrest = 0 base : "Reduction HPY retrocede" ;
RLOC77_1 : calculee primrest = 0 : "Reduction HPY retrocede" ;
RLOC78 : calculee restituee primrest = 0 : "Reduction HRL retrocede" ;
RLOC781731 : calculee restituee primrest = 0 base : "Reduction HRL retrocede" ;
RLOC78P2 : calculee restituee primrest = 0 base : "Reduction HRL retrocede" ;
RLOC78_1 : calculee primrest = 0 : "Reduction HRL retrocede" ;
RLOC79 : calculee restituee primrest = 0 : "Reduction HRQ retrocede" ;
RLOC791731 : calculee restituee primrest = 0 base : "Reduction HRQ retrocede" ;
RLOC79P2 : calculee restituee primrest = 0 base : "Reduction HRQ retrocede" ;
RLOC79_1 : calculee primrest = 0 : "Reduction HRQ retrocede" ;
RLOCANA : calculee primrest = 0 : "location logement ANAH - reduction" ;
RLOCANAH : calculee restituee primrest = 1 : "location logement ANAH - reduction" ;
RLOCANAH1731 : calculee restituee primrest = 0 base : "RLOCANAH reduction  a la fin 1er traitement si 1731bis" ;
RLOCANAH_1 : calculee restituee primrest = 0 : "location logement ANAH - reduction" ;
RLOCANAH_P : calculee primrest = 0 base : "location logement ANAH - reduction" ;
RLOCENT : calculee restituee primrest = 1 : "Investissements outre mer entreprise - retenu" ;
RLOCENT1731 : calculee restituee primrest = 0 base : "RLOCENT reduction  a la fin 1er traitement si 1731bis" ;
RLOCENTP2 : calculee restituee primrest = 0 base : "RLOCENT reduction  a la fin 1er traitement si 1731bis" ;
RLOCENT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RLOCENT_P : calculee primrest = 0 base : "Investissements outre mer entreprise - retenu" ;
RLOCFNPIC : calculee primrest = 0 : "BIC micro - Loc. meublee non pro" ;
RLOCFNPIP : calculee primrest = 0 : "BIC micro - Loc. meublee non pro" ;
RLOCFNPIV : calculee primrest = 0 : "BIC micro - Loc. meublee non pro" ;
RLOCHEN : calculee restituee primrest = 0 : "Reduction HEN" ;
RLOCHEN1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHENP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHENR : calculee restituee primrest = 0 : "Reduction HEN" ;
RLOCHENR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHENRP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHENR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHENR_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHEN_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHEN_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHEO : calculee restituee primrest = 0 : "Reduction HEO" ;
RLOCHEO1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHEOP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHEOR : calculee restituee primrest = 0 : "Reduction HEO" ;
RLOCHEOR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHEORP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHEOR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHEOR_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHEO_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHEO_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHEP : calculee restituee primrest = 0 : "Reduction HEP" ;
RLOCHEP1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHEPP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHEP_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHEP_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHER : calculee restituee primrest = 0 : "Reduction HER" ;
RLOCHER1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHERP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHER_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHER_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHES : calculee restituee primrest = 0 : "Reduction HES" ;
RLOCHES1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHESP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHESR : calculee restituee primrest = 0 : "Reduction HES" ;
RLOCHESR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHESRP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHESR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHESR_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHES_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHES_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHET : calculee restituee primrest = 0 : "Reduction HET" ;
RLOCHET1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHETP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHETR : calculee restituee primrest = 0 : "Reduction HET" ;
RLOCHETR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHETRP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHETR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHETR_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHET_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHET_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHEU : calculee restituee primrest = 0 : "Reduction HEU" ;
RLOCHEU1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHEUP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHEU_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHEU_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHEW : calculee restituee primrest = 0 : "Reduction HEW" ;
RLOCHEW1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHEWP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOCHEW_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHEW_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOCHFN : calculee restituee primrest = 0 : "Reduction HFN" ;
RLOCHFN1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFNR : calculee restituee primrest = 0 : "Reduction HFN" ;
RLOCHFNR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFNR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFN_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFO : calculee restituee primrest = 0 : "Reduction HFO" ;
RLOCHFO1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFOR : calculee restituee primrest = 0 : "Reduction HFO" ;
RLOCHFOR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFOR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFO_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFP : calculee restituee primrest = 0 : "Reduction HFP" ;
RLOCHFP1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFP_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFR : calculee restituee primrest = 0 : "Reduction HFR" ;
RLOCHFR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFS : calculee restituee primrest = 0 : "Reduction HFS" ;
RLOCHFS1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFSR : calculee restituee primrest = 0 : "Reduction HFS" ;
RLOCHFSR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFSR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFS_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFT : calculee restituee primrest = 0 : "Reduction HFT" ;
RLOCHFT1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFTR : calculee restituee primrest = 0 : "Reduction HFT" ;
RLOCHFTR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFTR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFT_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFU : calculee restituee primrest = 0 : "Reduction HFU" ;
RLOCHFU1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFU_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHFW : calculee restituee primrest = 0 : "Reduction HFW" ;
RLOCHFW1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOCHFW_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOCHGS : calculee restituee primrest = 0 : "Reduction HGS" ;
RLOCHGS1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGSR : calculee restituee primrest = 0 : "Reduction HGS" ;
RLOCHGSR1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGSR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGS_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGT : calculee restituee primrest = 0 : "Reduction HGT" ;
RLOCHGT1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGTR : calculee restituee primrest = 0 : "Reduction HGT" ;
RLOCHGTR1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGTR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGT_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGU : calculee restituee primrest = 0 : "Reduction HGU" ;
RLOCHGU1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGU_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGW : calculee restituee primrest = 0 : "Reduction HGW" ;
RLOCHGW1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHGW_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHS : calculee restituee primrest = 0 : "Reduction HHS" ;
RLOCHHS1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHSR : calculee restituee primrest = 0 : "Reduction HHS" ;
RLOCHHSR1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHSR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHS_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHT : calculee restituee primrest = 0 : "Reduction HHT" ;
RLOCHHT1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHTR : calculee restituee primrest = 0 : "Reduction HHT" ;
RLOCHHTR1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHTR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHT_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHU : calculee restituee primrest = 0 : "Reduction HHU" ;
RLOCHHU1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHU_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHW : calculee restituee primrest = 0 : "Reduction HHW" ;
RLOCHHW1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHHW_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIS : calculee restituee primrest = 0 : "Reduction HIS" ;
RLOCHIS1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHISR : calculee restituee primrest = 0 : "Reduction HIS" ;
RLOCHISR1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHISR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIS_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIT : calculee restituee primrest = 0 : "Reduction HIT" ;
RLOCHIT1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHITR : calculee restituee primrest = 0 : "Reduction HIT" ;
RLOCHITR1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHITR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIT_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIU : calculee restituee primrest = 0 : "Reduction HIU" ;
RLOCHIU1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIU_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIW : calculee restituee primrest = 0 : "Reduction HIW" ;
RLOCHIW1731 : calculee restituee primrest = 0 base : "Pour simplifier prog Art1731 - reduction" ;
RLOCHIW_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction" ;
RLOCIDEFG : calculee restituee primrest = 1 : "Invest. loc. meublees non pro - report (7ID,7IE,7IF,7IG) - reduction" ;
RLOCIDEFG1731 : calculee restituee primrest = 0 base : "RLOCDEFG reduction  a la fin 1er traitement si 1731bis" ;
RLOCIDEFGP2 : calculee restituee primrest = 0 base : "RLOCDEFG reduction  a la fin 1er traitement si 1731bis" ;
RLOCIDEFG_P : calculee primrest = 0 base : "Invest. loc. meublees non pro - report (7ID,7IE,7IF,7IG) - reduction" ;
RLOCIDFG1 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2012 - report n+1 (7ID + 7IF + 7IG)" ;
RLOCIDFG8 : calculee restituee primrest = 1 : "Invest. loc. meublees non pro. 2012 - report n+8 (7ID + 7IF + 7IG)" ;
RLOCNPRO : calculee primrest = 0 : "Reductions impot locations meublees non pro" ;
RLOCNPRO_1 : calculee restituee primrest = 0 : "allege prog -RLOCNPRO si 1731bis" ;
RLOG01 : calculee restituee primrest = 0 : "Reduction HQB" ;
RLOG011731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG01P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG01_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG01_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG02 : calculee restituee primrest = 0 : "Reduction HQC" ;
RLOG021731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG02P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG02_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG02_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG03 : calculee restituee primrest = 0 : "Reduction HQT" ;
RLOG031731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG03P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG03_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG03_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG04 : calculee restituee primrest = 0 : "Reduction HOA" ;
RLOG041731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG04P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG04_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG04_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG05 : calculee restituee primrest = 0 : "Reduction HOH" ;
RLOG051731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG05P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG05_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG05_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG06 : calculee restituee primrest = 0 : "Reduction HOL" ;
RLOG061731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG06P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG06_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG06_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG07 : calculee restituee primrest = 0 : "Reduction HOO" ;
RLOG071731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG07P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG07_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG07_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG08 : calculee restituee primrest = 0 : "Reduction HOS" ;
RLOG081731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG08P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG08_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG08_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG09 : calculee restituee primrest = 0 : "Reduction HQL" ;
RLOG091731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG09P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG09_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG09_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG10 : calculee restituee primrest = 0 : "Reduction HQM" ;
RLOG101731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG10_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG10_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG11 : calculee restituee primrest = 0 : "Reduction HQD" ;
RLOG111731 : calculee restituee primrest = 0 base : "RLOG11 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG11_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG11_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG12 : calculee restituee primrest = 0 : "Reduction HOB" ;
RLOG121731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG12_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG12_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG13 : calculee restituee primrest = 0 : "Reduction HOC" ;
RLOG131731 : calculee restituee primrest = 0 base : "RLOG13 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG13_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG13_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG14 : calculee restituee primrest = 0 : "Reduction HOI" ;
RLOG141731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG14_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG14_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG15 : calculee restituee primrest = 0 : "Reduction HOJ" ;
RLOG151731 : calculee restituee primrest = 0 base : "RLOG15 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG15_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG15_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG16 : calculee restituee primrest = 0 : "Reduction HOK" ;
RLOG161731 : calculee restituee primrest = 0 base : "RLOG16 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG16_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG16_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG17 : calculee restituee primrest = 0 : "Reduction HOM" ;
RLOG171731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG17_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG17_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG18 : calculee restituee primrest = 0 : "Reduction HON" ;
RLOG181731 : calculee restituee primrest = 0 base : "RLOG18 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG18_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG18_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG19 : calculee restituee primrest = 0 : "Reduction HOP" ;
RLOG191731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG19_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG19_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG20 : calculee restituee primrest = 0 : "Reduction HOQ" ;
RLOG201731 : calculee restituee primrest = 0 base : "RLOG20 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG20_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG20_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG21 : calculee restituee primrest = 0 : "Reduction HOR" ;
RLOG211731 : calculee restituee primrest = 0 base : "RLOG21 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG21_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG21_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG22 : calculee restituee primrest = 0 : "Reduction HOT" ;
RLOG221731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG22_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG22_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG23 : calculee restituee primrest = 0 : "Reduction HOU" ;
RLOG231731 : calculee restituee primrest = 0 base : "RLOG23 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG23_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG23_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG24 : calculee restituee primrest = 0 : "Reduction HOV" ;
RLOG241731 : calculee restituee primrest = 0 base : "RLOG24 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG24_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG24_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG25 : calculee restituee primrest = 0 : "Reduction HOW" ;
RLOG251731 : calculee restituee primrest = 0 base : "RLOG25 plaf av fiscaux a la fin 1er traitement si 1731bis" ;
RLOG25_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG25_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG26 : calculee restituee primrest = 0 : "Reduction HOD" ;
RLOG261731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG26P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG26_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG26_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG27 : calculee restituee primrest = 0 : "Reduction HOE" ;
RLOG271731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG27P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG27_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG27_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG28 : calculee restituee primrest = 0 : "Reduction HOF" ;
RLOG281731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG28P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG28_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG28_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG29 : calculee restituee primrest = 0 : "Reduction HOG" ;
RLOG291731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG29P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG29_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG29_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG30 : calculee restituee primrest = 0 : "Reduction HOX" ;
RLOG301731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG30P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG30_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG30_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG31 : calculee restituee primrest = 0 : "Reduction HOY" ;
RLOG311731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG31P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG31_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG31_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG32 : calculee restituee primrest = 0 : "Reduction HOZ" ;
RLOG321731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG32P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG32_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG32_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG33 : calculee restituee primrest = 0 : "Reduction HUA" ;
RLOG331731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG33P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG33_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG33_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG34 : calculee restituee primrest = 0 : "Reduction HUB" ;
RLOG341731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG34P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG34_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG34_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG35 : calculee restituee primrest = 0 : "Reduction HUC" ;
RLOG351731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG35P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG35_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG35_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG36 : calculee restituee primrest = 0 : "Reduction HUD" ;
RLOG361731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG36P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG36_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG36_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG37 : calculee restituee primrest = 0 : "Reduction HUE" ;
RLOG371731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG37P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG37_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG37_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG38 : calculee restituee primrest = 0 : "Reduction HUF" ;
RLOG381731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG38P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG38_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG38_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG39 : calculee restituee primrest = 0 : "Reduction HUG" ;
RLOG391731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG39P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG39_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG39_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG40 : calculee restituee primrest = 0 : "Reduction HUH" ;
RLOG401731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG40P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG40_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG40_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG41 : calculee restituee primrest = 0 : "Reduction HUI" ;
RLOG411731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG41P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG41_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG41_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG42 : calculee restituee primrest = 0 : "Reduction HUJ" ;
RLOG421731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG42P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG42_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG42_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG43 : calculee restituee primrest = 0 : "Reduction HUK" ;
RLOG431731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG43P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG43_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG43_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG44 : calculee restituee primrest = 0 : "Reduction HUL" ;
RLOG441731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG44P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG44_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG44_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG45 : calculee restituee primrest = 0 : "Reduction HUM" ;
RLOG451731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG45P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG45_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG45_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG46 : calculee restituee primrest = 0 : "Reduction HUN" ;
RLOG461731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG46P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG46_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG46_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG47 : calculee restituee primrest = 0 : "Reduction HUO" ;
RLOG471731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG47P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG47_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG47_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG48 : calculee restituee primrest = 0 : "Reduction HUP" ;
RLOG481731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG48P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG48_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG48_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG49 : calculee restituee primrest = 0 : "Reduction HUQ" ;
RLOG491731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG49P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG49_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG49_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG50 : calculee restituee primrest = 0 : "Reduction HUR" ;
RLOG501731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG50P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG50_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG50_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG51 : calculee restituee primrest = 0 : "Reduction HUS" ;
RLOG511731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG51P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG51_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG51_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG52 : calculee restituee primrest = 0 : "Reduction HUT" ;
RLOG521731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG52P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG52_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG52_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG53 : calculee restituee primrest = 0 : "Reduction HUU" ;
RLOG531731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG53P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG53_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG53_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG54 : calculee restituee primrest = 0 : "Reduction HVA" ;
RLOG541731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG54P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG54_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG54_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG55 : calculee restituee primrest = 0 : "Reduction HVB" ;
RLOG551731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG55P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG55_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG55_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG56 : calculee restituee primrest = 0 : "Reduction HVC" ;
RLOG561731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG56P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG56_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG56_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG57 : calculee restituee primrest = 0 : "Reduction HVD" ;
RLOG571731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG57P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG57_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG57_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG58 : calculee restituee primrest = 0 : "Reduction HVE" ;
RLOG581731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG58P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG58_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG58_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG59 : calculee restituee primrest = 0 : "Reduction HVF" ;
RLOG591731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG59P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG59_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG59_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOG60 : calculee restituee primrest = 0 : "Reduction HVG" ;
RLOG601731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RLOG60P2 : calculee restituee primrest = 0 base : "art1731bis - primitif" ;
RLOG60_1 : calculee restituee primrest = 0 : "Pour simplifier prog -reduction sans art1731bis" ;
RLOG60_P : calculee primrest = 0 base : "Art1731bis Reduction fin 1er traitement" ;
RLOGDOM : calculee restituee primrest = 1 : "Investissements outre mer logement - reduction" ;
RLOGDOM1731 : calculee restituee primrest = 0 base : "RLOGDOM retenu  a la fin 1er traitement si 1731bis" ;
RLOGDOMP2 : calculee restituee primrest = 0 base : "RLOGDOM retenu  a la fin 1er traitement si 1731bis" ;
RLOGDOMTEO : calculee primrest = 0 : "Investissements outre mer logement - reduction AF" ;
RLOGDOMTOT : calculee primrest = 0 : "pour alleger prog - Investissements outre mer logement - reduction " ;
RLOGDOMTOT_1 : calculee restituee primrest = 0 : "pour 1731" ;
RLOGDOM_1 : calculee primrest = 0 : "pour alleger prog - Investissements outre mer logement - reduction" ;
RLOGDOM_P : calculee primrest = 0 base : "Investissements outre mer logement - reduction" ;
RLOGHVH : calculee restituee primrest = 0 : "Reduction HVH" ;
RLOGHVH1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOGHVHP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RLOGHVH_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOGHVH_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RLOGHVI : calculee restituee primrest = 0 : "Reduction HVI" ;
RLOGHVI1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RLOGHVI_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOGHVJ : calculee restituee primrest = 0 : "Reduction HVJ" ;
RLOGHVJ1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YM a la fin 1er traitement si 1731bis" ;
RLOGHVJ_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOGHVK : calculee restituee primrest = 0 : "Reduction HVK" ;
RLOGHVK1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc HVK a la fin 1er traitement si 1731bis" ;
RLOGHVK_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOGHVL : calculee restituee primrest = 0 : "Reduction HVL" ;
RLOGHVL1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc HVL a la fin 1er traitement si 1731bis" ;
RLOGHVL_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RLOGSOC : calculee restituee primrest = 1 : "Investissements outre mer logement social - reduction" ;
RLOGSOC1731 : calculee restituee primrest = 0 base : "RLOGSOC reduction  a la fin 1er traitement si 1731bis" ;
RLOGSOCP2 : calculee restituee primrest = 0 base : "RLOGSOC reduction  a la fin 1er traitement si 1731bis" ;
RLOGSOCTEO : calculee primrest = 0 : "Investissements outre mer logement social - reduction AF" ;
RLOGSOC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RLOGSOC_P : calculee primrest = 0 base : "Investissements outre mer logement social - reduction" ;
RMF : calculee restituee primrest = 0 : "regime micro-fonciers nets imposables  agregats IR" ;
RMF1731 : calculee restituee primrest = 0 base : "RF micro  avec 1731" ;
RMF4BK : calculee primrest = 0 : "regime micro-fonciers nets imposables  agregats IR quotient" ;
RMFN : calculee restituee primrest = 1 : "regime micro-fonciers nets imposables yc def.ant. agregats IR" ;
RMFNQ : calculee restituee primrest = 1 : "regime micro-fonciers nets imposables yc def.ant. agregats IR quotient" ;
RMFRBE : calculee primrest = 0 : "regime micro-fonciers nets imposables  agregats IR quotient" ;
RMFRBE1731 : calculee restituee primrest = 0 base : "RF micro  avec 1731" ;
RMFRBK : calculee primrest = 0 : "regime micro-fonciers nets imposables  agregats IR quotient" ;
RMOND : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8ZW : "Revenu net mondial (taux moyen pour les non-residents)" ;
RMONDT : calculee restituee primrest = 1 : "Taux moyen : revenu mondial" ;
RMOND_1 : calculee primrest = 0 : "tx effectif   sans 1731 " ;
RMOND_2 : calculee primrest = 0 : "tx effectif   avec 1731 " ;
RMOND_P : calculee primrest = 0 base : "Correctif: " ;
RN6DEC1 : calculee restituee primrest = 1 base : "revenus net liquidation impot fictif dec1" ;
RN6DEC2 : calculee restituee primrest = 1 base : "revenus net liquidation impot fictif dec2" ;
RN6DEC3 : calculee restituee primrest = 1 base : "revenus net liquidation impot fictif dec3" ;
RN6FOY : calculee primrest = 0 base : "revenus net liquidation impot fictif  foyer" ;
RNABT2CH : calculee primrest = 0 base : " Abattement Rnabt(2CH) modulation" ;
RNABT2DH : calculee primrest = 0 base : " Abattement Rnabt(2DH) modulation" ;
RNABT2VV : calculee primrest = 0 base : " Abattement Rnabt(2VV) modulation" ;
RNABT2WW : calculee primrest = 0 base : " Abattement Rnabt(2WW) modulation" ;
RNABTRCH : calculee primrest = 0 base : " Abattement Rnabt(RCH) modulation" ;
RNBA : saisie penalite primrest = 0 alias V_RNBA : "Zone corrective" ;
RNBE : calculee restituee primrest = 1 : "reduct. etudiants: nombre d'enfants declares retenu" ;
RNBE1731 : calculee restituee primrest = 0 base : "RNBE retenu  a la fin 1er traitement si 1731bis" ;
RNBE_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNBE_P : calculee primrest = 0 base : "reduct. etudiants: nombre d'enfants declares retenu" ;
RNC : calculee primrest = 0 : "Revenus ouvrant droit a abattement nets imposables" ;
RNCO : saisie penalite primrest = 0 alias V_RNCO : "Zone corrective" ;
RND2CHRCH : calculee primrest = 0 base : " Abattement 2CH RCH" ;
RND2CHRCH2 : calculee primrest = 0 base : " Abattement 2CH RCH" ;
RNET2CH : calculee primrest = 0 base : " Abattement Rnet(2CH)" ;
RNET2DH : calculee primrest = 0 base : " Abattement Rnet(2DH) " ;
RNET2RA : calculee primrest = 0 base : " Abattement Rnet(2RA)" ;
RNET2RA2 : calculee primrest = 0 base : " Abattement Rnet2DA" ;
RNET2RB : calculee primrest = 0 base : " Abattement Rnet(2RB)" ;
RNET2RB2 : calculee primrest = 0 base : " Abattement Rnet(2RB)" ;
RNET2RC : calculee primrest = 0 base : " Abattement Rnet(2RC)" ;
RNET2RD : calculee primrest = 0 base : " Abattement Rnet(2RD)" ;
RNET2VV2WW : calculee primrest = 0 base : " Abattement Rnet(2VV, 2WW) " ;
RNETRCH : calculee primrest = 0 base : " Abattement Rnet(RCH)" ;
RNETU : calculee restituee primrest = 0 : "P A enfants majeurs non etudiants" ;
RNG : calculee restituee primrest = 1 : "Revenu net global" ;
RNGTEF : calculee primrest = 0 : "Revenu net global tx effectif" ;
RNGTEFRFR : calculee primrest = 0 : "Revenu net global tx effectif" ;
RNI : calculee restituee primrest = 1 : "Revenu imposable" ;
RNICOL : calculee restituee primrest = 0 : "revenu ou deficit net a reporter pour Colbert" ;
RNIDF : calculee restituee primrest = 1 : "Deficit a reporter total (toutes annees confondue)" ;
RNIDF0 : calculee restituee primrest = 1 : "Deficit a reporter annee n" ;
RNIDF01731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF0P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF1 : calculee restituee primrest = 1 : "Deficit a reporter annee n - 1  (futur 6FE)" ;
RNIDF11731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-1 pr affichage 1731" ;
RNIDF1731 : calculee restituee primrest = 0 base : "Deficit a reporter total  avant application av 1731 pr affichage" ;
RNIDF1P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF2 : calculee restituee primrest = 1 : "Deficit a reporter annee n - 2  (futur 6FD)" ;
RNIDF21731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-2 pr affichage 1731" ;
RNIDF2P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF3 : calculee restituee primrest = 1 : "Deficit a reporter annee n - 3  (futur 6FC)" ;
RNIDF31731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-3 pr affichage 1731" ;
RNIDF3P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF4 : calculee restituee primrest = 1 : "Deficit a reporter annee n - 4  (futur 6FB)" ;
RNIDF41731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-4 pr affichage 1731" ;
RNIDF4P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF5 : calculee restituee primrest = 1 : "Deficit a reporter annee la plus ancienne (futur 6FA)" ;
RNIDF51731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n-5 pr affichage 1731" ;
RNIDF5P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF6 : calculee restituee primrest = 0 : "Deficits non impute pour 1731bis" ;
RNIDF61731 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF6P2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF6_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDFP2 : calculee restituee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731" ;
RNIDF_R : calculee primrest = 0 base : "Deficit a reporter" ;
RNIDOM1 : calculee primrest = 0 : "Montant RNI investissements outre mer (taux 15 %)" ;
RNIDOM2 : calculee primrest = 0 : "Montant RNI investissements outre mer (taux 13 %)" ;
RNIDOM3 : calculee primrest = 0 : "Montant RNI investissements outre mer (taux 11 %)" ;
RNI_A : calculee primrest = 0 base : "Correctif Rev. imposable servant a la valorisation de la priorite  10" ;
RNI_INIT : calculee primrest = 0 base : " nouv cor:taxation 2042_INIT pour la TL: sauvegard RNI" ;
RNI_R : calculee primrest = 0 base : "REVENU NET IMPOSABLE DE LA DECLARATION DE REFERENCE" ;
RNI_RECT : calculee primrest = 0 base : " nouv cor:taxation 2042_RECT pour la TL: sauvegarde RNI" ;
RNI_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde RNI" ;
RNLO : saisie penalite primrest = 0 alias V_RNLO : "Zone corrective" ;
RNNC : saisie penalite primrest = 0 alias V_RNNC : "Zone corrective" ;
RNONA : calculee restituee primrest = 1 : "Investissement Denormandie - reduction 7NA" ;
RNONA1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONA_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONA_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RNONB : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONB1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONB_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RNONC : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONC1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONC_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONC_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RNOND : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNOND1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNOND_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNOND_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RNONE : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONE1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONE_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONE_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RNONF : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONF1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONF_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONF_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RNONG : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONG1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONG_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONG_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RNONH : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONH1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONH_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONH_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RNONI : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONI1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONI_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONI_P : calculee primrest = 0 base : "RI evt avant" ;
RNONJ : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONJ1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONJ_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONJ_P : calculee primrest = 0 base : "RI evt avant" ;
RNONK : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONK1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONK_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONK_P : calculee primrest = 0 base : "RI evt avant" ;
RNONL : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONL1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONL_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONL_P : calculee primrest = 0 base : "RI evt avant" ;
RNONM : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONM1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONM_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONM_P : calculee primrest = 0 base : "RI evt avant" ;
RNONN : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNONN1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNONN_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNONN_P : calculee primrest = 0 base : "RI evt avant" ;
RNOPF : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNOPF1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNOPF_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNOPF_P : calculee primrest = 0 base : "RI evt avant" ;
RNOPG : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNOPG1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNOPG_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNOPG_P : calculee primrest = 0 base : "RI evt avant" ;
RNORABCD : calculee restituee primrest = 0 : "Inv. Denormandie - Mtant reduction avant imputation sur droits dus" ;
RNORMAB : calculee restituee primrest = 1 : "Investissement Denormandie - reduction 7NA 7NB" ;
RNORMAB1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNORMAB_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNORMAN : calculee restituee primrest = 1 : "Investissement Denormandie - reduction" ;
RNORMCD : calculee restituee primrest = 1 : "Investissement Denormandie - reduction 7NC 7ND" ;
RNORMCD1731 : calculee restituee primrest = 0 base : "Denormandie - Reduc  a la fin 1er traitement si 1731bis" ;
RNORMCD_1 : calculee restituee primrest = 0 : "Investissements Denormandie" ;
RNORMEF : calculee restituee primrest = 1 : "Investissement Denormandie - reduction 7NE 7NF" ;
RNORMEF1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMEF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMGH : calculee restituee primrest = 1 : "Investissement Denormandie - reduction 7NG 7NH" ;
RNORMGH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMGH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJA : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJA_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RNORMJB : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJB1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJB_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RNORMJC : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJC_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RNORMJD : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJD_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RNORMJR : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJR1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJR_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMJS : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJS1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJS_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMJT : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJT1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJT_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMJU : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMJU1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMJU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMJU_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMLG : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMLG1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMLG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMLG_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMLH : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMLH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMLH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMLH_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMLI : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMLI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMLI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMLI_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMLJ : calculee restituee primrest = 0 : "Investissement Denormandie report - reduction" ;
RNORMLJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RNORMLJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNORMLJ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RNORMREP : calculee restituee primrest = 1 : "Investissement Denormandie reports - reduction" ;
RNORMTOT : calculee restituee primrest = 0 : "somme investissements DENORMANDIE" ;
RNORMTOT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNOUV : calculee restituee primrest = 1 : "Reduction Capital de societes nouvelles" ;
RNOUV1731 : calculee restituee primrest = 0 base : "RNOUV reduction a la fin 1er traitement si 1731bis" ;
RNOUVP2 : calculee restituee primrest = 0 base : "RNOUV reduction a la fin 1er traitement si 1731bis" ;
RNOUV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RNOUV_P : calculee primrest = 0 base : "Reduction Capital de societes nouvelles" ;
RNPILOCC : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (dec2)" ;
RNPILOCF : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (foyer)" ;
RNPILOCP : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (pac)" ;
RNPILOCSC : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (dec2)" ;
RNPILOCSF : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PS (foyer)" ;
RNPILOCSP : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (PAC)" ;
RNPILOCSV : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (dec1)" ;
RNPILOCV : calculee primrest = 0 : "BIC net non pro total des locations meublees pour PAS (dec1)" ;
RNPLOCPASC : calculee primrest = 0 : "BIC net non pro hors CGA - Locations meublees pour acomptes PAS (dec2)" ;
RNPLOCPASP : calculee primrest = 0 : "BIC net non pro hors CGA - Locations meublees pour acomptes PAS (Pac)" ;
RNPLOCPASV : calculee primrest = 0 : "BIC net non pro hors CGA - Locations meublees pour acomptes PAS (dec1)" ;
RNRF : saisie penalite primrest = 0 alias V_RNRF : "Zone corrective" ;
ROFIMP : calculee restituee primrest = 1 : "Investissements forestiers : montant impute" ;
ROFREST : calculee restituee primrest = 1 : "Investissements forestiers : montant restitution" ;
RON1 : calculee primrest = 0 base : "Total revenu ordinaire 1" ;
RON2 : calculee primrest = 0 base : "Total revenu ordinaire 2" ;
RONDEC1 : calculee primrest = 0 base : "Total revenu ordinaire dec1" ;
RONDEC2 : calculee primrest = 0 base : "Total revenu ordinaire dec2" ;
RONDECPAC : calculee primrest = 0 base : "Total revenu ordinaire PAC" ;
RONS : calculee primrest = 0 : "Reduction dons aux oeuvres" ;
RONTOT : calculee primrest = 0 base : "Total revenu ordinaire " ;
RONTOTDEC1 : calculee primrest = 0 base : "Total revenu ordinaire dec1" ;
RONTOTDEC2 : calculee primrest = 0 base : "Total revenu ordinaire dec2" ;
RONTOTDEC3 : calculee primrest = 0 base : "Total revenu ordinaire PAC" ;
RP : calculee restituee primrest = 1 : "Revenus professionnels du declarant et du conjoint" ;
RPALE : calculee restituee primrest = 1 : "Pension enfants majeurs : montant retenu" ;
RPALETEF : calculee primrest = 0 : "Pension enfants majeurs : montant retenu tx eff" ;
RPALETEFRFR : calculee primrest = 0 : "Pension enfants majeurs : montant retenu tx eff" ;
RPALP : calculee restituee primrest = 1 : "Autres pensions alimentaires" ;
RPALPTEF : calculee primrest = 0 : "Autres pensions alimentaires tx eff" ;
RPALPTEFRFR : calculee primrest = 0 : "Autres pensions alimentaires tx eff" ;
RPATNAT : calculee restituee primrest = 1 : "Reduction retenue depense protection du patrimoine naturel" ;
RPATNAT1731 : calculee restituee primrest = 0 base : "RPATNAT reduction  a la fin 1er traitement si 1731bis" ;
RPATNAT2 : calculee restituee primrest = 1 : "Report 2011 Reduction impute depense protection patrimoine naturel" ;
RPATNAT21731 : calculee restituee primrest = 0 base : "RPATNAT2 reduction  a la fin 1er traitement si 1731bis" ;
RPATNAT2P2 : calculee restituee primrest = 0 base : "RPATNAT2 reduction  a la fin 1er traitement si 1731bis" ;
RPATNATP2 : calculee restituee primrest = 0 base : "RPATNAT reduction  a la fin 1er traitement si 1731bis" ;
RPATNAT_1 : calculee primrest = 0 : "pour alleger prog - Reduc retenue depense protection pat naturel" ;
RPATNAT_P : calculee primrest = 0 base : "Reduction retenue depense protection du patrimoine naturel" ;
RPEN : calculee restituee primrest = 0 : "penalites modifiees par Olivier" ;
RPENTCY : calculee restituee primrest = 1 : "Reduction 7CY" ;
RPENTCY1731 : calculee restituee primrest = 0 base : " report - Reduc  a la fin 1er traitement si 1731bis" ;
RPENTCYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
RPENTCY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPENTCY_P : calculee primrest = 0 base : "Primitif pour art1731 bis - Reduc apres imputation sur droits dus" ;
RPENTDY : calculee restituee primrest = 1 : "Report plafonnement global RI petites entreprises 7DY" ;
RPENTDY1731 : calculee restituee primrest = 0 base : " report - Reduc  a la fin 1er traitement si 1731bis" ;
RPENTDY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPENTDY_P : calculee primrest = 0 base : "Primitif pour art1731 bis - Reduc apres imputation sur droits dus" ;
RPENTEK : calculee restituee primrest = 1 : "Report 2021 plafonnement global RI petites entreprises 7EK" ;
RPENTEK1731 : calculee restituee primrest = 0 base : " report - Reduc  a la fin 1er traitement si 1731bis" ;
RPENTEK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPENTEK_P : calculee primrest = 0 base : "RI evt avant" ;
RPENTEY : calculee restituee primrest = 1 : "Report plafonnement global RI petites entreprises 7EY" ;
RPENTEY1731 : calculee restituee primrest = 0 base : " report - Reduc  a la fin 1er traitement si 1731bis" ;
RPENTEYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
RPENTEY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPENTEY_P : calculee primrest = 0 base : "Primitif pour art1731 bis - Reduc apres imputation sur droits dus" ;
RPENTFY : calculee restituee primrest = 1 : "Report plafonnement global RI petites entreprises 7FY" ;
RPENTFY1731 : calculee restituee primrest = 0 base : " report - Reduc  a la fin 1er traitement si 1731bis" ;
RPENTFYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
RPENTFY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPENTFY_P : calculee primrest = 0 base : "RI evt avant" ;
RPENTGY : calculee restituee primrest = 1 : "Report 2021 plafonnement global RI petites entreprises 7GY" ;
RPENTGY1731 : calculee restituee primrest = 0 base : " retenu  a la fin 1er traitement si 1731bis" ;
RPENTGYP2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
RPENTGY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPENTGY_P : calculee primrest = 0 base : "Primitif pour art1731 bis - Reduc apres imputation sur droits dus" ;
RPENTOT : calculee restituee primrest = 1 : "Reduction plafonnement PME - total" ;
RPENTOT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPERPC : calculee primrest = 0 : "bse retenu PERP" ;
RPERPMUTC : calculee primrest = 0 : "fraction cotisation PERP admise sur le plafond du Cjt" ;
RPERPMUTV : calculee primrest = 0 : "fraction cotisation PERP admise sur le plafond de Vous" ;
RPERPP : calculee primrest = 0 : "bse retenu PERP" ;
RPERPV : calculee primrest = 0 : "bse retenu PERP" ;
RPIJN : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJN1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJN_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJO : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJO1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJO_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJP : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJP1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJP_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJQ : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJQ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJQ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJV : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJV1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJV_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJW : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJW1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJW_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJX : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJX_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIJY : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIJY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIJY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIJY_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPINABCD : calculee restituee primrest = 0 : "Inv. Pinel - Mtant reduction avant imputation sur droits dus" ;
RPINEL : calculee restituee primrest = 1 : "Investissement Pinel - reduction" ;
RPINELTOT : calculee restituee primrest = 0 : "somme investissements PINEL" ;
RPINELTOT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPINRRS : calculee restituee primrest = 0 : "Inv. Pinel prorogation - reduction avant imputation sur droits dus" ;
RPIQA : calculee restituee primrest = 0 : "Inv. Pinel 2020 - Mtant reduction avant imputation sur droits dus" ;
RPIQA1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQA_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQB : calculee restituee primrest = 0 : "Inv. Pinel 2020 - Mtant reduction avant imputation sur droits dus" ;
RPIQB1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQC : calculee restituee primrest = 0 : "Inv. Pinel 2020 - Mtant reduction avant imputation sur droits dus" ;
RPIQC1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQC_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQD : calculee restituee primrest = 0 : "Inv. Pinel 2020 - Mtant reduction avant imputation sur droits dus" ;
RPIQD1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQD_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIQI : calculee restituee primrest = 0 : "Inv. Pinel - Mtant reduction avant imputation sur droits dus" ;
RPIQI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQIJ1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQIJP2 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQIJ_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQI_P : calculee primrest = 0 base : "RI evt avant" ;
RPIQJ : calculee restituee primrest = 0 : "Inv. Pinel - Mtant reduction avant imputation sur droits dus" ;
RPIQJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQJ_P : calculee primrest = 0 base : "RI evt avant" ;
RPIQK : calculee restituee primrest = 0 : "Inv. Pinel - Mtant reduction avant imputation sur droits dus" ;
RPIQK1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQKL1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQKLP2 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQKL_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQK_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQK_P : calculee primrest = 0 base : "RI evt avant" ;
RPIQL : calculee restituee primrest = 0 : "Inv. Pinel - Mtant reduction avant imputation sur droits dus" ;
RPIQL1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQL_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQL_P : calculee primrest = 0 base : "RI evt avant" ;
RPIQM : calculee restituee primrest = 0 : "Inv. Pinel 2017 - Mtant reduction avant imputation sur droits dus" ;
RPIQM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQMNP2 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQM_P : calculee primrest = 0 base : "RI evt avant" ;
RPIQN : calculee restituee primrest = 0 : "Inv. Pinel 2017 - Mtant reduction avant imputation sur droits dus" ;
RPIQN1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQN_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQN_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQO : calculee restituee primrest = 0 : "Inv. Pinel 2017 - Mtant reduction avant imputation sur droits dus" ;
RPIQO1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQO_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQO_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIQP : calculee restituee primrest = 0 : "Inv. Pinel 2017 - Mtant reduction avant imputation sur droits dus" ;
RPIQP1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQP_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIQQ : calculee restituee primrest = 0 : "Inv. Pinel 2019 - Mtant reduction avant imputation sur droits dus" ;
RPIQQ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQQ_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQU_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIQW : calculee restituee primrest = 0 : "Inv. Pinel 2019 - Mtant reduction avant imputation sur droits dus" ;
RPIQW1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQW_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQX : calculee restituee primrest = 0 : "Inv. Pinel 2019 - Mtant reduction avant imputation sur droits dus" ;
RPIQX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQX_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIQY : calculee restituee primrest = 0 : "Inv. Pinel 2019 - Mtant reduction avant imputation sur droits dus" ;
RPIQY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIQY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIQY_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREP : calculee restituee primrest = 1 : "Investissement Pinel reports - reduction" ;
RPIREPAI1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPAI_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPBI : calculee restituee primrest = 1 : "Ivt Pinel realise acheve 2014 -engagement 9 ans- report -Reduction" ;
RPIREPBI1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPBI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPBI_P : calculee primrest = 0 base : "Report Ivt Pinel 7AI - Primitif pour art1731bis" ;
RPIREPCI1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPCI_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPCZ : calculee restituee primrest = 1 : "Ivt Pinel realise acheve 2015 -engagement 9 ans- report -Reduction" ;
RPIREPCZ1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPCZP2 : calculee restituee primrest = 0 base : "Pinel 7CZ report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPCZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPCZ_P : calculee primrest = 0 base : "Report Ivt Pinel 7CZ - Primitif pour art1731bis" ;
RPIREPDI : calculee restituee primrest = 1 : "Ivt Pinel DOM realise acheve 2014 -engagement 9 ans- report -Reduction" ;
RPIREPDI1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPDI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPDI_P : calculee primrest = 0 base : "Report Ivt Pinel 7AI - Primitif pour art1731bis" ;
RPIREPEZ : calculee restituee primrest = 1 : "Ivt Pinel realise acheve 2009 -engagement 9 ans- report -Reduction" ;
RPIREPEZ1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPEZP2 : calculee restituee primrest = 0 base : "Pinel 7EZ report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPEZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPEZ_P : calculee primrest = 0 base : "Report Ivt Pinel 7EZ - Primitif pour art1731bis" ;
RPIREPJM : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIREPJM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIREPJM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPJM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIREPKM : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIREPKM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIREPKM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPKM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIREPLM : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIREPLM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIREPLM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPLM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIREPMM : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIREPMM1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIREPMM_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPMM_P : calculee primrest = 0 base : "Correctif: RI pour 1731" ;
RPIREPRA : calculee restituee primrest = 0 : "Ivt Pinel realise acheve 2017 -engagement 6 ans- report -Reduction" ;
RPIREPRA1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRAP2 : calculee restituee primrest = 0 base : "Pinel 7RA report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRA_P : calculee primrest = 0 base : "Report Ivt Pinel 7RA - Primitif pour art1731bis" ;
RPIREPRB : calculee restituee primrest = 0 : "Ivt Pinel realise acheve 2017 -engagement 6 ans- report -Reduction" ;
RPIREPRB1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRBP2 : calculee restituee primrest = 0 base : "Pinel 7RB report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRB_P : calculee primrest = 0 base : "Report Ivt Pinel 7RB - Primitif pour art1731bis" ;
RPIREPRC : calculee restituee primrest = 0 : "Ivt Pinel realise acheve 2017 -engagement 6 ans- report -Reduction" ;
RPIREPRC1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRCP2 : calculee restituee primrest = 0 base : "Pinel 7RC report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRC_P : calculee primrest = 0 base : "Report Ivt Pinel 7RC - Primitif pour art1731bis" ;
RPIREPRD : calculee restituee primrest = 0 : "Ivt Pinel realise acheve 2017 -engagement 6 ans- report -Reduction" ;
RPIREPRD1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRDP2 : calculee restituee primrest = 0 base : "Pinel 7RD report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRD_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRD_P : calculee primrest = 0 base : "Report Ivt Pinel 7RD - Primitif pour art1731bis" ;
RPIREPRE : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Reduction" ;
RPIREPRE1731 : calculee restituee primrest = 0 base : "RPIREPRE retenu  a la fin 1er traitement si 1731bis" ;
RPIREPRE_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRE_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIREPRF : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Reduction" ;
RPIREPRF1731 : calculee restituee primrest = 0 base : "RPIREPRF retenu  a la fin 1er traitement si 1731bis" ;
RPIREPRF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRF_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIREPRG : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Reduction" ;
RPIREPRG1731 : calculee restituee primrest = 0 base : "RPIREPRG retenu a la fin 1er traitement si 1731bis" ;
RPIREPRG_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRG_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIREPRH : calculee restituee primrest = 0 : "Invest. Pinel O.M realise et ou acheve en 2017 - report - Reduction" ;
RPIREPRH1731 : calculee restituee primrest = 0 base : "RPIREPRH retenu a la fin 1er traitement si 1731bis" ;
RPIREPRH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRH_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIREPRZ : calculee restituee primrest = 0 : "Ivt Pinel realise acheve 2016 -engagement 6 ans- report -Reduction" ;
RPIREPRZ1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRZP2 : calculee restituee primrest = 0 base : "Pinel 7RZ report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPRZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPRZ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIREPTZ : calculee restituee primrest = 0 : "Ivt Pinel realise acheve 2016 -engagement 6 ans- report -Reduction" ;
RPIREPTZ1731 : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPTZP2 : calculee restituee primrest = 0 base : "Pinel 7TZ report - Reduc  a la fin 1er traitement si 1731bis" ;
RPIREPTZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIREPTZ_P : calculee primrest = 0 base : "Report Investissement Duflot 7FK -Primitif pour 1731bis" ;
RPIRI : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIRI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIRI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIRI_P : calculee primrest = 0 base : "RI evt avant" ;
RPIRJ : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIRJ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIRJ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIRJ_P : calculee primrest = 0 base : "RI evt avant" ;
RPIRP : calculee restituee primrest = 1 : "Investissement Pinel prorogation - reduction" ;
RPIRP1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIRP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIRP_P : calculee primrest = 0 base : "RI evt avant" ;
RPIRQ : calculee restituee primrest = 1 : "Investissement Pinel prorogation - reduction" ;
RPIRQ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIRQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIRQ_P : calculee primrest = 0 base : "RI evt avant" ;
RPIRX : calculee restituee primrest = 1 : "Investissement Pinel prorogation - reduction" ;
RPIRX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIRX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIRX_P : calculee primrest = 0 base : "RI evt avant" ;
RPIRY : calculee restituee primrest = 1 : "Investissement Pinel prorogation - reduction" ;
RPIRY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIRY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIRY_P : calculee primrest = 0 base : "RI evt avant" ;
RPISX : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPISX1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPISX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPISX_P : calculee primrest = 0 base : "RI evt avant" ;
RPISY : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPISY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPISY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPISY_P : calculee primrest = 0 base : "RI evt avant" ;
RPIUY : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIUY1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIUY_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIUY_P : calculee primrest = 0 base : "RI evt avant" ;
RPIUZ : calculee restituee primrest = 0 : "Investissement Pinel  report - reduction" ;
RPIUZ1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RPIUZ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RPIUZ_P : calculee primrest = 0 base : "RI evt avant" ;
RPLAFPME17 : calculee restituee primrest = 1 : "Var Colbert - Plaft reduc souscrip. capital petites 2017" ;
RPLAFPME18 : calculee restituee primrest = 1 : "Var Colbert - Plaft reduc souscrip. capital petites 2018" ;
RPLAFPME19 : calculee restituee primrest = 1 : "Var Colbert - Plaft reduc souscrip. capital petites 2019" ;
RPLAFPME20 : calculee restituee primrest = 1 : "Var Colbert - Plaft reduc souscrip. capital petites 2020" ;
RPLAFPME21 : calculee restituee primrest = 1 : " Plaft reduc souscrip. capital petites 2021 limite 10000" ;
RPLAFPME22 : calculee restituee primrest = 1 : " Plaft reduc souscrip. capital petites 2022 limite 10000" ;
RPLAFREPME4 : calculee restituee primrest = 1 : "Report 2013 suite a plaf av fisc PME- reduction-Avis Facture- 7CY" ;
RPLAFREPME41731 : calculee restituee primrest = 0 base : " report - Reduc  a la fin 1er traitement si 1731bis" ;
RPLAFREPME4P2 : calculee restituee primrest = 0 base : "report plaf glob reduc PME a la fin 1er traitement si 1731bis" ;
RPLAFREPME4_P : calculee primrest = 0 base : "Primitif pour art1731 bis - Reduc apres imputation sur droits dus" ;
RPLAFSOCFO20 : calculee restituee primrest = 1 : " Plaft glob reduc souscrip. capital societe fociere solidaire 2020" ;
RPQ1 : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
RPQ1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
RPQ2 : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ3 : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4 : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4C : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4CM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4RAJV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me RAJ" ;
RPQ4RBJC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me RBJ" ;
RPQ4TVC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4TVCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4V : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4VC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4VCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQ4VM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
RPQF1 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
RPQF1M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
RPQF2 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
RPQF2M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
RPQF3 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
RPQF3M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
RPQF4 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
RPQF4M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
RPQFC : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
RPQFCM : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
RPQFV : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
RPQFVM : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
RPQPALIM1 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM1M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM2 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM2M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM3 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM3M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM4 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIM4M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIMC : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIMCM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIMV : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPALIMVM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR1 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR1M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR2 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR2M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR3 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR3M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR4 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRR4M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRC : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRCM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRV : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRVM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRZ1 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient code RxZ" ;
RPQPRRZ1M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRZ2 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient code RxZ" ;
RPQPRRZ2M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRZ3 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient code RxZ" ;
RPQPRRZ3M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRZ4 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient code RxZ" ;
RPQPRRZ4M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRZC : calculee primrest = 0 : "pensions  alim imposables suivant le quotient code RxZ" ;
RPQPRRZCM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQPRRZV : calculee primrest = 0 : "pensions  alim imposables suivant le quotient code RxZ" ;
RPQPRRZVM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
RPQRAF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAI : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAIM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRALM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRAMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBI : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBIM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRBMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCK : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCKM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCMCH : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMCHM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMDC : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMDCM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMFU : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMFUM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMGO : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMGOM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRCMTR : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMTRM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMTS : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMTSM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMYY : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRCMYYM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient " ;
RPQRDF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRDMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQREF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQREFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQREL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRELM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQREM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQREMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRF1 : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
RPQRF1M : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
RPQRF2 : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
RPQRF2M : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
RPQRF3 : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme RBE" ;
RPQRF3M : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme RBE" ;
RPQRFF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRFMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRGG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRGGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQRUA : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NUA" ;
RPQRUAM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NUA" ;
RPQRVG : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NVG" ;
RPQRVGM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NVG" ;
RPQRVO : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO5 : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO5M : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO5R : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO5RM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO6 : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO6M : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO6R : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO6RM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO7 : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO7M : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO7R : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVO7RM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVOM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVOR : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRVORM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
RPQRWA : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWA" ;
RPQRWAM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWA" ;
RPQRWB : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWB" ;
RPQRWBM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWB" ;
RPQTS1 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS1M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS2 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS2M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS3 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS3M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS4 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTS4M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSC : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSCM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP1 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP1M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP2 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP2M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP3 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP3M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP4 : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMP4M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMPC : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMPCM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMPV : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSREMPVM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSV : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPQTSVM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
RPREC : calculee restituee primrest = 1 : "Frais d'accueil" ;
RPRESCOMP : calculee restituee primrest = 1 : "Reduct. prestations compensatoires retenue et pas encore deduit" ;
RPRESCOMPAN : calculee primrest = 0 : "Reduct. prestations compensatoires retenue annee" ;
RPRESCOMPREP : calculee restituee primrest = 0 : "Reduct. prestations compensatoires retenue et pas encore deduit rep" ;
RPRESSE : calculee restituee primrest = 1 : "Souscription capital entreprises presse" ;
RPRESSE1 : calculee restituee primrest = 1 : "Souscription capital entreprises presse" ;
RPRESSE1731 : calculee restituee primrest = 0 base : "RPRESSE reduction  a la fin 1er traitement si 1731bis" ;
RPRESSE_1 : calculee restituee primrest = 0 : "Reduction presse pour 1731" ;
RPRESSE_P : calculee primrest = 0 base : "Investissement presse" ;
RPROPINEL : calculee restituee primrest = 1 : "Investissement Pinel prorogation - reduction" ;
RPROPIREP : calculee restituee primrest = 1 : "Investissement Pinel prorogation reports - reduction" ;
RPROPIREP1 : calculee restituee primrest = 1 : "Investissement Pinel prorogation reports - reduction" ;
RRBE : calculee primrest = 0 : "R/RBE net- 4BD" ;
RRBG : calculee restituee primrest = 1 : "Revenu global" type REEL ;
RRBGPROV : calculee restituee primrest = 0 base : "RRBG prov sans DFANTIMPU pour art 1731" ;
RRBGPROV1731 : calculee restituee primrest = 0 base : "RRBG prov sans DFANTIMPU pour art 1731" ;
RRBGPROV_A : calculee primrest = 0 base : "base evt n-1 " ;
RRBGTEF : calculee primrest = 0 : "Revenu global tx eff" type REEL ;
RRBGTEFRFR : calculee primrest = 0 : "Revenu global tx eff" type REEL ;
RRBK : calculee primrest = 0 : "RF quotient" ;
RRBT : calculee primrest = 0 : "RF quotient" ;
RRCELA : calculee restituee primrest = 1 : "Report Scellier A" ;
RRCELB : calculee restituee primrest = 1 : "Report Scellier B" ;
RRCELC : calculee restituee primrest = 1 : "Report Scellier C" ;
RRCELD : calculee restituee primrest = 1 : "Report Scellier D" ;
RRCELE : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017 - 7ZB 7ZF" ;
RRCELF : calculee restituee primrest = 1 : "Scellier - Reduc restant a imputer report 2018 - 7ZA ZC ZD ZE ZG ZH ZF" ;
RRCELG : calculee restituee primrest = 1 : "montant provenant de l'annee 2018 (report G 2018)" ;
RRCELH : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017 - 7ZI ZK ZL" ;
RRCELHZ : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report" ;
RRCELI : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017" ;
RRCELJ : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017" ;
RRCELK : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017" ;
RRCELKC : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7KC" ;
RRCELKD : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7KD" ;
RRCELKT : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017" ;
RRCELKU : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017" ;
RRCELKV : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report" ;
RRCELL : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report" ;
RRCELLA : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2017 - 7LA" ;
RRCELLB : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2017 - 7LB" ;
RRCELLC : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2017 - 7LC" ;
RRCELLQ : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2016 - 7LQ" ;
RRCELLR : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2016 - 7LR" ;
RRCELLU : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2016 - 7LU" ;
RRCELLV : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2016 - 7LV" ;
RRCELLY : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2017 - 7LY" ;
RRCELMA : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 7MA" ;
RRCELMB : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 7MB" ;
RRCELMC : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 7MC" ;
RRCELMD : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 7MD" ;
RRCELMI : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report" ;
RRCELMJ : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report" ;
RRCELMK : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report" ;
RRCELML : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report" ;
RRCELMO : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MO" ;
RRCELMP : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MP" ;
RRCELMQ : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MQ" ;
RRCELMR : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MR" ;
RRCELMS : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MS" ;
RRCELMT : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MT" ;
RRCELMU : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MU" ;
RRCELMV : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report annee 2018 - 7MV" ;
RRCELPC : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7PC" ;
RRCELPD : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7PD" ;
RRCELPE : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7PD" ;
RRCELRK : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report" ;
RRCELRL : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report" ;
RRCELRM : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report" ;
RRCELRN : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report" ;
RRCELUU : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7UU" ;
RRCELUV : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7UV" ;
RRCELUW : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7UW" ;
RRCELUX : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report - 7UX" ;
RRCELXO : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7XO" ;
RRCELXP : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7XP" ;
RRCELXQ : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7XQ" ;
RRCELYI : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7YI" ;
RRCELYJ : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7YJ" ;
RRCELYK : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7YK" ;
RRCELYL : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7YL" ;
RRCELZI : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7ZI" ;
RRCELZJ : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7ZJ" ;
RRCELZK : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7ZK" ;
RRCELZL : calculee restituee primrest = 1 : "Scellier - Reduc prorogation report 2017 - 7ZL" ;
RRCELZO : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017 - 7ZO" ;
RRCELZP : calculee restituee primrest = 1 : "Scellier - Reduc impot restant a imputer, report 2017 - 7ZP" ;
RRCM : calculee restituee primrest = 1 : "Revenus de capitaux mobiliers retenus" ;
RRCM_P : calculee primrest = 0 base : "Rev mob.." ;
RRCN : calculee primrest = 0 : "Souscriptions capital SOFICA" ;
RRCN1 : calculee primrest = 0 : "Souscriptions capital SOFICA 7EN" ;
RRCN2 : calculee primrest = 0 : "Souscriptions capital SOFICA 7GN" ;
RRCN3 : calculee primrest = 0 : "Souscriptions capital SOFICA 7FN" ;
RRE : calculee primrest = 0 : "reduction rachat d'entreprise par un salarie" ;
RREHAB : calculee restituee primrest = 1 : "Travaux de rehabilitation residence tourisme - reduction" ;
RREHAB1731 : calculee restituee primrest = 0 base : " traitement 1731bis" ;
RREHAB_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RREHAB_P : calculee restituee primrest = 0 base : "Pinel report - Reduc  a la fin 1er traitement si 1731bis" ;
RREPA : calculee restituee primrest = 1 : "Dons : fourniture de repas particulier" ;
RREPA1731 : calculee restituee primrest = 0 base : "RREPA reduction  a la fin 1er traitement si 1731bis" ;
RREPA_1 : calculee restituee primrest = 0 : " reduction non plaf pour 1731bis" ;
RREPA_P : calculee primrest = 0 base : "Dons : fourniture de repas particulier" ;
RRESINEUV : calculee restituee primrest = 1 : "Investissements locations meublees dans residence neuve - reduction" ;
RRESINEUV1731 : calculee restituee primrest = 0 base : "RRESINEUV reduction  a la fin 1er traitement si 1731bis" ;
RRESINEUVP2 : calculee restituee primrest = 0 base : "RRESINEUV reduction  a la fin 1er traitement si 1731bis" ;
RRESIVIEU : calculee restituee primrest = 1 : "Invest. locations meublees dans residence neuve (7IW) - reduction" ;
RRESIVIEU1731 : calculee restituee primrest = 0 base : "RRESIVIEU reduction  a la fin 1er traitement si 1731bis" ;
RRESIVIEUP2 : calculee restituee primrest = 0 base : "RRESIVIEU reduction  a la fin 1er traitement si 1731bis" ;
RRESTIMO : calculee restituee primrest = 1 : "Travaux de restauration immobiliere avant 2017 - reduction" ;
RRESTIMO1 : calculee restituee primrest = 1 : "Travaux de restauration immobiliere a/c 2017 - reduction" ;
RRESTIMO11731 : calculee restituee primrest = 0 base : "RRESTIMO1 reduction  a la fin 1er traitement si 1731bis" ;
RRESTIMO1731 : calculee restituee primrest = 0 base : "RRESTIMO reduction  a la fin 1er traitement si 1731bis" ;
RRESTIMO1P2 : calculee restituee primrest = 0 base : "RRESTIMO reduction  a la fin 1er traitement si 1731bis" ;
RRESTIMO1_1 : calculee restituee primrest = 0 : "Travaux de restauration immobiliere - reduction" ;
RRESTIMO1_P : calculee primrest = 0 base : "RI evt avant" ;
RRESTIMONX : calculee primrest = 0 : "Plaf av fisco -Travaux de restauration immobiliere - reduc liee a 7NX" ;
RRESTIMONX1731 : calculee restituee primrest = 0 base : "traitement si 1731bis" ;
RRESTIMONX_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Reduction emprunt reprise societe" ;
RRESTIMONX_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RRESTIMONY : calculee primrest = 0 : "Plaf av fisco -Travaux de restauration immobiliere - reduc liee a 7NY" ;
RRESTIMONY1731 : calculee restituee primrest = 0 base : "Reduction pour 1731" ;
RRESTIMONY_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Reduction emprunt reprise societe" ;
RRESTIMONY_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RRESTIMOP2 : calculee restituee primrest = 0 base : "RRESTIMO reduction  a la fin 1er traitement si 1731bis" ;
RRESTIMOTX : calculee primrest = 0 : "Plaf av fisco -Travaux de restauration immobiliere - reduc liee a 7TX" ;
RRESTIMOTY : calculee primrest = 0 : "Plaf av fisco -Travaux de restauration immobiliere - reduc liee a 7TY" ;
RRESTIMOX : calculee primrest = 0 : "Plaf av fisco -Travaux de restauration immobiliere - reduc liee a 7SX" ;
RRESTIMOXY : calculee restituee primrest = 0 : "Plaf av fisco - Travaux de restaur immo - reduc 7SX 7SY hors champ" ;
RRESTIMO_1 : calculee restituee primrest = 0 : "pour alleger prog - Travaux de restauration immobiliere - reduction" ;
RRESTIMO_P : calculee primrest = 0 base : "Travaux de restauration immobiliere - reduction" ;
RRESTREP : calculee restituee primrest = 1 : "Travaux de restauration immo a compter 2017 - report" ;
RRESTREP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RRETU : calculee restituee primrest = 1 : "Reduct. etudiants: montant retenu" ;
RRETU1731 : calculee restituee primrest = 0 base : "RRETU reduction  a la fin 1er traitement si 1731bis" ;
RRETUP2 : calculee restituee primrest = 0 base : "RRETU reduction  a la fin 1er traitement si 1731bis" ;
RRETU_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RRETU_P : calculee primrest = 0 base : "Reduct. etudiants: montant retenu" ;
RRFI : calculee restituee primrest = 1 : "Revenus fonciers nets" ;
RRFIPS : calculee primrest = 0 : "Revenu foncier ordinaire imposable article 1731bis" ;
RRFI_P : calculee primrest = 0 base : "Rev fonc." ;
RRFTEO : calculee primrest = 0 : "Plaf. avantages fiscaux : Revenu foncier ordinaire th?orique imposable" ;
RRI1 : calculee primrest = 0 : "Reductions impot lot 1" ;
RRI1DUPI : calculee primrest = 0 : "Reductions impot lot 1 pr art. 1731 bis" ;
RRILOC : calculee primrest = 0 : "Reductions impot avant investissement O.M" ;
RRIRENOV : calculee restituee primrest = 1 : "Travaux de restauration des objets classes - reduction" ;
RRIRENOV1731 : calculee restituee primrest = 0 base : "RRIRENOV reduction  a la fin 1er traitement si 1731bis" ;
RRIRENOVP2 : calculee restituee primrest = 0 base : "RRIRENOV reduction  a la fin 1er traitement si 1731bis" ;
RRIRENOV_1 : calculee restituee primrest = 0 : "pour alleger prog - Travaux de restauration objets classes - reduction" ;
RRIRENOV_P : calculee primrest = 0 base : "Travaux de restauration des objets classes - reduction" ;
RRIRENT : calculee primrest = 0 : "Reductions impot avant investissement O.M" ;
RRIREP : calculee restituee primrest = 0 : "Reductions impot avant investissement O.M (report)" ;
RRIREP1731 : calculee restituee primrest = 0 base : " a la fin 1er traitement si 1731bis" ;
RRIREPP2 : calculee restituee primrest = 0 base : "  a la fin 1er traitement si 1731bis" ;
RRIREP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RRIREP_P : calculee primrest = 0 base : "pour art1731bis" ;
RRISUP : calculee primrest = 0 : "Reductions impot avant investissement O.M" ;
RRPRESCOMP : calculee restituee primrest = 1 : "reduction prestations compensatoires deduit" ;
RRPRESCOMP1731 : calculee restituee primrest = 0 base : "RRESPRESCOMP reduction  a la fin 1er traitement si 1731bis" ;
RRPRESCOMPP2 : calculee restituee primrest = 0 base : "RRESPRESCOMP reduction  a la fin 1er traitement si 1731bis" ;
RRPRESCOMP_1 : calculee restituee primrest = 0 : "pour alleger prog - reduction prestations compensatoires deduit" ;
RRPRESCOMP_P : calculee primrest = 0 base : "reduction prestations compensatoires deduit" ;
RRRBG : calculee restituee primrest = 1 : "Revenu global" ;
RRREHAP : calculee restituee primrest = 0 : "Montant reduction d'impot calcule rehab res tour" ;
RRREHAP1731 : calculee restituee primrest = 0 base : "RREHAB reduction  a la fin 1er traitement si 1731bis" ;
RRREHAPP2 : calculee restituee primrest = 0 base : "RREHAB reduction  a la fin 1er traitement si 1731bis" ;
RRREHAP_1 : calculee restituee primrest = 0 : "Montant reduction d'impot calcule rehab res tour_imput" ;
RRS : calculee primrest = 0 : "Reduction rente survie" ;
RRSOFON : calculee restituee primrest = 1 : "Reduction 2020  RI societe foncieres solidaires 7GW" ;
RRSOFON1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RRSOFON_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RRSOFON_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RSE1 : calculee restituee primrest = 1 : "CSG revenus source etrangere (8TQ)" ;
RSE19YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE19YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE19YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE19YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE19YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE1A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE1" ;
RSE1BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TQ (avis CSG)" ;
RSE1BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE1 en base declaration fictive" ;
RSE1BASEHCOT : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE1BASEHCOT_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE1BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE1BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE1base" ;
RSE1BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE1BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE1BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE1BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE1" ;
RSE1BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE1BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE1 1er evenement" ;
RSE1N : calculee restituee primrest = 0 : "CSG nette apres CI 8TQ" ;
RSE1NET : calculee restituee primrest = 1 : "CSG rev. source etrang. 7,5 % nette" ;
RSE1NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE1NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE1TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE1 pour retard" ;
RSE1TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE1 pour retard" ;
RSE1_A : calculee primrest = 0 base : "correctif : RSE1 anterieure" ;
RSE1_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE1_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE1_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE1" ;
RSE1_NTL : calculee primrest = 0 base : "MONTANT base des INR NTL retard traitement courant" ;
RSE1_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE1_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE1_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE1_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE1_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE1_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE1_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE1_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse1" ;
RSE1_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE1_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE1_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE1_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE1_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE1_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE1_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE1_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE1_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE1_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE1_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE1_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE1_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE1_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE1 7,5% pour retard" ;
RSE1_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL: sauvegarde" ;
RSE1_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE1_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
RSE1_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE1_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE1_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE1_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE1_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
RSE1_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE1_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2 : calculee restituee primrest = 1 : "CSG revenus source etrangere (8TV)" ;
RSE29YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE29YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE29YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE29YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE29YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE2A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE2" ;
RSE2BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TV (avis CSG)" ;
RSE2BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE2 en base declaration fictive" ;
RSE2BASEHCOL : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE2BASEHCOL_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE2BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE2BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE2base" ;
RSE2BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE2BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE2BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE2BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE2" ;
RSE2BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE2BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE2 1er evenement" ;
RSE2N : calculee restituee primrest = 0 : "CSG nette apres CI 8TV" ;
RSE2NET : calculee restituee primrest = 1 : "CSG rev. source etrang. 6,6 % nette" ;
RSE2NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE2NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE2TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE2 pour retard" ;
RSE2TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE2 pour retard" ;
RSE2_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE2_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE2_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE2" ;
RSE2_NTL : calculee primrest = 0 base : "MONTANT base des INR NTL retard traitement courant" ;
RSE2_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE2_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE2_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE2_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE2_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE2_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE2_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE2_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse2" ;
RSE2_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE2_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE2_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE2_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE2_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE2_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE2_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE2_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE2_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE2_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE2_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE2_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE2_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE2_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE2 6,6% pour retard" ;
RSE2_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL: sauvegarde" ;
RSE2_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE2_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
RSE2_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE2_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE2_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE2_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE2_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
RSE2_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE2_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3 : calculee restituee primrest = 1 : "CSG revenus source etrangere (8TW)" ;
RSE39YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE39YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE39YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE39YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE39YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE3A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE3" ;
RSE3BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TW (avis CSG)" ;
RSE3BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE3 en base declaration fictive" ;
RSE3BASEHCOM : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE3BASEHCOM_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE3BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE3BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE3base" ;
RSE3BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE3BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE3BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE3BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE3" ;
RSE3BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE3BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE3 1er evenement" ;
RSE3N : calculee restituee primrest = 0 : "CSG nette apres CI 8TW" ;
RSE3NET : calculee restituee primrest = 1 : "CSG rev. source etrang. 6,2 % nette" ;
RSE3NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE3NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE3TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE3 pour retard" ;
RSE3TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE3 pour retard" ;
RSE3_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE3_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE3_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE3" ;
RSE3_NTL : calculee primrest = 0 base : "MONTANT base des INR NTL retard traitement courant" ;
RSE3_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE3_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE3_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE3_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE3_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE3_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE3_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE3_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse3" ;
RSE3_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE3_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE3_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE3_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE3_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE3_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE3_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE3_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE3_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE3_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE3_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE3_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE3_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE3_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE3 6,2% pour retard" ;
RSE3_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL: sauvegarde" ;
RSE3_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE3_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
RSE3_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE3_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE3_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE3_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE3_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
RSE3_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE3_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4 : calculee restituee primrest = 1 : "CSG revenus source etrangere (8TX)" ;
RSE49YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE49YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE49YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE49YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE49YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE4A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE4" ;
RSE4BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TX (avis CSG)" ;
RSE4BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE4 en base declaration fictive" ;
RSE4BASEHCOO : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE4BASEHCOO_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE4BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE4BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE4base" ;
RSE4BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE4BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE4BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE4BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE4" ;
RSE4BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE4BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE4 1er evenement" ;
RSE4N : calculee restituee primrest = 0 : "CSG nette apres CI 8TX" ;
RSE4NET : calculee restituee primrest = 1 : "CSG rev. source etrang. 3,8 % nette" ;
RSE4NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE4NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE4TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE4 pour retard" ;
RSE4TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE4 pour retard" ;
RSE4_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE4_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE4_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE4" ;
RSE4_NTL : calculee primrest = 0 base : "MONTANT base des INR NTL retard traitement courant" ;
RSE4_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE4_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE4_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE4_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE4_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE4_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE4_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE4_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse4" ;
RSE4_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE4_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE4_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE4_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE4_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE4_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE4_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE4_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE4_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE4_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE4_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE4_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE4_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE4_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE4 3,8% pour retard" ;
RSE4_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL: sauvegarde" ;
RSE4_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE4_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
RSE4_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE4_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE4_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE4_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE4_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
RSE4_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE4_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5 : calculee restituee primrest = 1 : "CSG revenus source etrangere (8TR)" ;
RSE59YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE59YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE59YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE59YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE59YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE5A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE5" ;
RSE5BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TR (avis CSG)" ;
RSE5BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE5 en base declaration fictive" ;
RSE5BASEHCOJ : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE5BASEHCOJ_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE5BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE5BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE5base" ;
RSE5BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE5BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE5BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE5BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE5 1OY 1NY" ;
RSE5BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE5BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE5 1er evenement" ;
RSE5N : calculee restituee primrest = 0 : "CSG nette apres CI 8TR" ;
RSE5NET : calculee restituee primrest = 1 : "CSG rev. source etrang. 7,5 % nette" ;
RSE5NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE5NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE5TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE5 pour retard" ;
RSE5TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE5 pour retard" ;
RSE5_A : calculee primrest = 0 base : "correctif : RSE5 anterieure" ;
RSE5_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE5_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE5_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE5" ;
RSE5_NTL : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE5_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE5_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE5_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE5_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE5_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE5_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE5_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_P : calculee primrest = 0 base : "CSG 7,5%  sur gains levee options a c du 28 09 2012 - primitive" ;
RSE5_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse5" ;
RSE5_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE5_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE5_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE5_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE5_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE5_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE5_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE5_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE5_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE5_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE5_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE5_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE5_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE5_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE5 pour retard" ;
RSE5_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE5_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE5_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
RSE5_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE5_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE5_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE5_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE5_TL_1 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code 22" ;
RSE5_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE5_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6 : calculee restituee primrest = 1 : "CSG revenus source etrangere (8TV 8SA 8SC)" ;
RSE69YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE69YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE69YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE69YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE69YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE6A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE6" ;
RSE6BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TR (avis CSG)" ;
RSE6BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE6 en base declaration fictive" ;
RSE6BASEHCOP : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE6BASEHCOP_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE6BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE6BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE5base" ;
RSE6BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE6BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE6BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE6BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE6 8TV 8SA 8SC" ;
RSE6BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE6BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE6 1er evenement" ;
RSE6N : calculee restituee primrest = 0 : "CSG - CASA nette apres CI " ;
RSE6NET : calculee restituee primrest = 1 : "CSG  CASA rev. source etrang. 0,30 % nette" ;
RSE6NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE6NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE6TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE6 pour retard" ;
RSE6TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE6 pour retard" ;
RSE6_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE6_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE6_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE6" ;
RSE6_NTL : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE6_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE6_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE6_NTLDEC_1 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE6_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE6_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE6_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE6_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_NTL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE6_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse5" ;
RSE6_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE6_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE6_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE6_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE6_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE6_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE6_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE6_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE6_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE6_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE6_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE6_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE6_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE6_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE6 pour retard" ;
RSE6_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE6_TL2 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant" ;
RSE6_TLDEC : calculee primrest = 0 base : "MONTANT chr  base des INR retard TL du traitement courant" ;
RSE6_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE6_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE6_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE6_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE6_TL_1 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code 22" ;
RSE6_TL_22 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE6_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE7BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE7 en base declaration fictive" ;
RSE7BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE7" ;
RSE8 : calculee restituee primrest = 1 : "Base CSG revenus de source etrangere (8TH 8SD)" ;
RSE89YP : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
RSE89YP_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
RSE89YP_P : calculee primrest = 0 base : "IR9YI primitif" ;
RSE89YP_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE89YP_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
RSE8A_TL : calculee primrest = 0 base : "Taxation 2042_TL pour la TL : sauvegarde RSE8" ;
RSE8BASE : calculee primrest = 0 : "Base imposable rev. source etrang. 8TH 8SD (avis CSG)" ;
RSE8BASE2042_FIC : calculee restituee primrest = 0 base : "Montant final RSE8 en base declaration fictive" ;
RSE8BASEHCOH : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
RSE8BASEHCOH_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE8BASE_A : calculee primrest = 0 base : "correctif : base calculee effectivement anterieure" ;
RSE8BASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE8base" ;
RSE8BASE_INR : calculee primrest = 0 : " nouv cor: base impot ou contribution  pour INR" ;
RSE8BASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
RSE8BASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
RSE8BASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo RSE8" ;
RSE8BASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE8BASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde RSE8 1er evenement" ;
RSE8N : calculee restituee primrest = 0 : "CSG nette apres CI 8TH 8SD" ;
RSE8NET : calculee restituee primrest = 1 : "CSG  8TH 8SD rev. source etrang.  nette" ;
RSE8NETEMP : calculee restituee primrest = 0 : "ps nette temp pour correctif " ;
RSE8NET_A : calculee primrest = 0 base : "Net a payer anterieur" ;
RSE8SA : calculee restituee primrest = 0 : "CSG revenus source etrangere (8SA) 6,6%" ;
RSE8SB : calculee restituee primrest = 0 : "CSG revenus source etrangere (8SB) 3,8 %" ;
RSE8TARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde RSE8 pour retard" ;
RSE8TARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde RSE8 pour retard" ;
RSE8TV : calculee restituee primrest = 0 : "CSG revenus source etrangere (8SA) 6,6%" ;
RSE8TX : calculee restituee primrest = 0 : "CSG revenus source etrangere (8SB) 3,8%" ;
RSE8_ANT : calculee primrest = 0 base : "MONTANT  base des INR retard traitement precedent" ;
RSE8_ANT2 : calculee primrest = 0 base : "MONTANT base des INR retard traitement precedent" ;
RSE8_INIT : calculee primrest = 0 base : "Taxation 2042_INIT pour la TL : sauvegarde RSE8" ;
RSE8_NTL : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE8_NTL2 : calculee primrest = 0 : "MONTANT  base des INR NTL retard traitement courant" ;
RSE8_NTLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant" ;
RSE8_NTLDEC_198 : calculee primrest = 0 base : "MONTANT  base des INR retard non TL du traitement courant code 22" ;
RSE8_NTLDEC_22 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE8_NTLDEC_24 : calculee primrest = 0 base : "MONTANT base des INR retard non TL du traitement courant code 22" ;
RSE8_NTL_1 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE8_NTL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE8_NTL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE8_NTL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE8_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
RSE8_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR rse8" ;
RSE8_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR ant" ;
RSE8_PRI : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE8_PRI2 : calculee primrest = 0 base : "MONTANT  base des INR retard primitif" ;
RSE8_R : calculee primrest = 0 base : "( REFERENCE )" ;
RSE8_R9901 : calculee primrest = 0 base : " nouv cor: base impo rectifie pour calcul INR code 99 prim. " ;
RSE8_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
RSE8_R99R : calculee primrest = 0 base : " nouv cor: rectifie pour calcul INR code 99 prim. penalisee" ;
RSE8_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
RSE8_RECT : calculee primrest = 0 base : " nouv cor:Impot rectifie pour calcul INR" ;
RSE8_REF : calculee primrest = 0 base : "MONTANT   base du calcul INR" ;
RSE8_REFP : calculee primrest = 0 base : "MONTANT  initiale maj R99 et C base du calcul INR" ;
RSE8_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur base au calcul INR" ;
RSE8_REF_INR : calculee primrest = 0 base : "MONTANT  base des INR TL retard traitement de reference" ;
RSE8_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde RSE8 pour retard" ;
RSE8_TL : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde " ;
RSE8_TL2 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant" ;
RSE8_TLDEC : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant " ;
RSE8_TLDEC_1 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE8_TLDEC_199 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE8_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE8_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
RSE8_TL_1 : calculee primrest = 0 : "MONTANT  base des INR TL retard traitement courant code 22" ;
RSE8_TL_222 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE8_TL_24 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSE8_TL_242 : calculee primrest = 0 base : "MONTANT  base des INR NTL retard traitement courant code 22" ;
RSENETTOT : calculee restituee primrest = 1 : "Somme RSE net revenus de source etrangere " ;
RSEPROVTOT : calculee restituee primrest = 1 : "Somme  RSE provisoire revenus de source etrangere " ;
RSEREC : calculee primrest = 0 base : "Indicateur CSG rev. source etrangere recouvrees" ;
RSETOT : calculee restituee primrest = 1 : "CSG revenus source etrangere total" ;
RSN : calculee primrest = 0 : "Reduction societes nouvelles" ;
RSNBS : calculee restituee primrest = 0 : "Reduction societes nouvelles 7BS" ;
RSNBS1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNBS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNBS_P : calculee primrest = 0 base : "RI evt avant" ;
RSNBT : calculee restituee primrest = 0 : "Reduction societes nouvelles 7BT" ;
RSNBT1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNBT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNBT_P : calculee primrest = 0 base : "RI evt avant" ;
RSNCA : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CA" ;
RSNCA1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCA_P : calculee primrest = 0 base : "RI evt avant" ;
RSNCC : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CC" ;
RSNCCP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCC_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCF : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CF" ;
RSNCF1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCFP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCF_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCF_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCH : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CH" ;
RSNCH1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RSNCH_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCH_P : calculee restituee primrest = 1 : "ba hors quotient pac" ;
RSNCI : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CI" ;
RSNCI1731 : calculee restituee primrest = 0 base : "reduc non plaf. art 1731bis" ;
RSNCI_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCI_P : calculee primrest = 0 base : "RI evt avant" ;
RSNCL : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CL" ;
RSNCLP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCL_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCM1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCMP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCM_1 : calculee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCN : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CN" ;
RSNCN1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCNP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCN_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCQ : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CQ" ;
RSNCQ1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCQP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCQ_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCQ_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCR : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CR" ;
RSNCR1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCRP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCR_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCR_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCS : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CS" ;
RSNCS1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCS_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCS_P : calculee primrest = 0 base : "RI evt avant" ;
RSNCT : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CT" ;
RSNCT1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCT_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCT_P : calculee primrest = 0 base : "RI evt avant" ;
RSNCV : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CV" ;
RSNCV1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCVP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCV_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCV_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNCX : calculee restituee primrest = 0 : "Reduction societes nouvelles 7CX" ;
RSNCX1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNCXP2 : calculee restituee primrest = 0 base : "Art1731bis  reduction a la fin 1er traitement" ;
RSNCX_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNCX_P : calculee primrest = 0 base : "art1731bis - reduc fin primitif" ;
RSNDC : calculee restituee primrest = 0 : "Reduction societes nouvelles 7DC" ;
RSNDC1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNDC_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNDC_P : calculee primrest = 0 base : "RI evt avant" ;
RSNGW : calculee restituee primrest = 0 : "Reduction societes nouvelles 7GW" ;
RSNGW1731 : calculee restituee primrest = 0 base : "Art 1731bis - reduc apres situation corrigee R99 ou C" ;
RSNGW_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RSNGW_P : calculee primrest = 0 base : "RI evt avant" ;
RSNNBS : calculee primrest = 0 : "Reduction societes nouvelles 7BS avant imputation DS et autres reduc" ;
RSNNBT : calculee primrest = 0 : "Reduction societes nouvelles 7BT avant imputation DS et autres reduc" ;
RSNNCA : calculee primrest = 0 : "Reduction societes nouvelles 7CA avant imputation DS et autres reduc" ;
RSNNCC : calculee primrest = 0 : "Reduction societes nouvelles 7CC avant imputation DS et autres reduc" ;
RSNNCH : calculee primrest = 0 : "Reduction societes nouvelles 7CH avant imputation DS et autres reduc" ;
RSNNCI : calculee primrest = 0 : "Reduction societes nouvelles 7CH avant imputation DS et autres reduc" ;
RSNNCL : calculee primrest = 0 : "Reduction societes nouvelles 7CL avant imputation DS et autres reduc" ;
RSNNCR : calculee primrest = 0 : "Reduction societes nouvelles 7CR avant imputation DS et autres reduc" ;
RSNNCS : calculee primrest = 0 : "Reduction societes nouvelles 7CS avant imputation DS et autres reduc" ;
RSNNCT : calculee primrest = 0 : "Reduction societes nouvelles 7CT avant imputation DS et autres reduc" ;
RSNNCV : calculee primrest = 0 : "Reduction societes nouvelles 7CV avant imputation DS et autres reduc" ;
RSNNCX : calculee primrest = 0 : "Reduction societes nouvelles 7CX avant imputation DS et autres reduc" ;
RSNNDC : calculee primrest = 0 : "Reduction societes nouvelles 7DC avant imputation DS et autres reduc" ;
RSNNGW : calculee primrest = 0 : "Reduction societes nouvelles 7GW avant imputation DS et autres reduc" ;
RSOC35 : calculee restituee primrest = 0 : "Reduction HRA retrocedee" ;
RSOC351731 : calculee restituee primrest = 0 base : "RSOC35 reduction  a la fin 1er traitement si 1731bis" ;
RSOC35P2 : calculee restituee primrest = 0 base : "RSOC35 reduction  a la fin 1er traitement si 1731bis" ;
RSOC35_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC35_P : calculee primrest = 0 base : "Investissements outre mer logement social - reduction" ;
RSOC36 : calculee restituee primrest = 0 : "Reduction HRB retrocedee" ;
RSOC361731 : calculee restituee primrest = 0 base : "RSOC36 reduction  a la fin 1er traitement si 1731bis" ;
RSOC36P2 : calculee restituee primrest = 0 base : "RSOC36 reduction  a la fin 1er traitement si 1731bis" ;
RSOC36_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC36_P : calculee primrest = 0 base : "Investissements outre mer logement social - reduction" ;
RSOC37 : calculee restituee primrest = 0 : "Reduction HRC retrocedee" ;
RSOC371731 : calculee restituee primrest = 0 base : "RSOC37 reduction  a la fin 1er traitement si 1731bis" ;
RSOC37P2 : calculee restituee primrest = 0 base : "RSOC37 reduction  a la fin 1er traitement si 1731bis" ;
RSOC37_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC37_P : calculee primrest = 0 base : "Investissements outre mer logement social - reduction" ;
RSOC38 : calculee restituee primrest = 0 : "Reduction HRD retrocedee" ;
RSOC381731 : calculee restituee primrest = 0 base : "RSOC38 reduction  a la fin 1er traitement si 1731bis" ;
RSOC38P2 : calculee restituee primrest = 0 base : "RSOC38 reduction  a la fin 1er traitement si 1731bis" ;
RSOC38_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC38_P : calculee primrest = 0 base : "Investissements outre mer logement social - reduction" ;
RSOC39 : calculee restituee primrest = 0 : "Reduction HXA" ;
RSOC391731 : calculee restituee primrest = 0 base : "Reduction HXA" ;
RSOC39P2 : calculee restituee primrest = 0 base : "Reduction HXA" ;
RSOC39_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC39_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC40 : calculee restituee primrest = 0 : "Reduction HXB" ;
RSOC401731 : calculee restituee primrest = 0 base : "Reduction HXB" ;
RSOC40P2 : calculee restituee primrest = 0 base : "Reduction HXB" ;
RSOC40_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC40_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC41 : calculee restituee primrest = 0 : "Reduction HXC" ;
RSOC411731 : calculee restituee primrest = 0 base : "Reduction HXC" ;
RSOC41P2 : calculee restituee primrest = 0 base : "Reduction HXC" ;
RSOC41_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC41_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC42 : calculee restituee primrest = 0 : "Reduction HXE" ;
RSOC421731 : calculee restituee primrest = 0 base : "Reduction HXE" ;
RSOC42P2 : calculee restituee primrest = 0 base : "Reduction HXE" ;
RSOC42_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC42_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC43 : calculee restituee primrest = 0 : "Reduction HXA retrocedee" ;
RSOC431731 : calculee restituee primrest = 0 base : "Reduction HXA retrocedee" ;
RSOC43P2 : calculee restituee primrest = 0 base : "Reduction HXA retrocedee" ;
RSOC43_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC43_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC44 : calculee restituee primrest = 0 : "Reduction HXB retrocedee" ;
RSOC441731 : calculee restituee primrest = 0 base : "Reduction HXB retrocedee" ;
RSOC44P2 : calculee restituee primrest = 0 base : "Reduction HXB retrocedee" ;
RSOC44_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC44_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC45 : calculee restituee primrest = 0 : "Reduction HXC retrocedee" ;
RSOC451731 : calculee restituee primrest = 0 base : "Reduction HXC retrocedee" ;
RSOC45P2 : calculee restituee primrest = 0 base : "Reduction HXC retrocedee" ;
RSOC45_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC45_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC46 : calculee restituee primrest = 0 : "Reduction HXE retrocedee" ;
RSOC461731 : calculee restituee primrest = 0 base : "Reduction HXE retrocedee" ;
RSOC46P2 : calculee restituee primrest = 0 base : "Reduction HXE retrocedee" ;
RSOC46_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC46_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC47 : calculee restituee primrest = 0 : "Reduction HXF" ;
RSOC471731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC47P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC47_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC47_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC48 : calculee restituee primrest = 0 : "Reduction HXG" ;
RSOC481731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC48P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC48_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC48_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC49 : calculee restituee primrest = 0 : "Reduction HXH" ;
RSOC491731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC49P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC49_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC49_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC50 : calculee restituee primrest = 0 : "Reduction HXI" ;
RSOC501731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC50P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC50_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC50_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC51 : calculee restituee primrest = 0 : "Reduction HXK" ;
RSOC511731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC51P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC51_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC51_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC52 : calculee restituee primrest = 0 : "Reduction HXF retrocedee" ;
RSOC521731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC52P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC52_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC52_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC53 : calculee restituee primrest = 0 : "Reduction HXG retrocedee" ;
RSOC531731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC53P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC53_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC53_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOC54 : calculee restituee primrest = 0 : "Reduction HXH retrocedee" ;
RSOC541731 : calculee restituee primrest = 0 base : "art1731bis - apres situation corrigee R99 ou C" ;
RSOC54P2 : calculee restituee primrest = 0 base : "art. 1731 bis - primitif" ;
RSOC54_1 : calculee restituee primrest = 0 : "Pour simplifier prog - Inv. outre mer logt social - reduction" ;
RSOC54_P : calculee primrest = 0 : "art1731bis - plafonnement reduc " ;
RSOCHYA : calculee restituee primrest = 0 : "Reduction HYA" ;
RSOCHYA1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYAP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RSOCHYAR : calculee restituee primrest = 0 : "Reduction HYA" ;
RSOCHYAR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYARP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RSOCHYAR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYAR_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RSOCHYA_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYA_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RSOCHYB : calculee restituee primrest = 0 : "Reduction HYB" ;
RSOCHYB1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYBP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RSOCHYBR : calculee restituee primrest = 0 : "Reduction HYB" ;
RSOCHYBR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYBRP2 : calculee restituee primrest = 0 base : "Reduction a la fin 1er traitement si 1731bis" ;
RSOCHYBR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYBR_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RSOCHYB_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYB_P : calculee primrest = 0 base : "Pour art 1731bis - reduc a la fin du primitif" ;
RSOCHYC : calculee restituee primrest = 0 : "Reduction HYC" ;
RSOCHYC1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYCR : calculee restituee primrest = 0 : "Reduction HYC" ;
RSOCHYCR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYCR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYC_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYD : calculee restituee primrest = 0 : "Reduction HYD" ;
RSOCHYD1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYDR : calculee restituee primrest = 0 : "Reduction HYD" ;
RSOCHYDR1731 : calculee restituee primrest = 0 base : "Reduction a la fin situation corrigee (R99, C) si 1731bis" ;
RSOCHYDR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYD_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYE : calculee restituee primrest = 0 : "Reduction HYE" ;
RSOCHYE1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YM a la fin 1er traitement si 1731bis" ;
RSOCHYER : calculee restituee primrest = 0 : "Reduction HYE" ;
RSOCHYER1731 : calculee restituee primrest = 0 base : " Scellier report - Reduc 7YM a la fin 1er traitement si 1731bis" ;
RSOCHYER_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYE_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYF : calculee restituee primrest = 0 : "Reduction HYF" ;
RSOCHYF1731 : calculee restituee primrest = 0 base : "Scellier report - Reduc HYF a la fin 1er traitement si 1731bis" ;
RSOCHYFR : calculee restituee primrest = 0 : "Reduction HYF retrocede" ;
RSOCHYFR1731 : calculee restituee primrest = 0 base : "Scellier report - Reduc HYF a la fin 1er traitement si 1731bis" ;
RSOCHYFR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYF_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYG : calculee restituee primrest = 0 : "Reduction HYG" ;
RSOCHYG1731 : calculee restituee primrest = 0 base : "Scellier report - Reduc HYG a la fin 1er traitement si 1731bis" ;
RSOCHYGR : calculee restituee primrest = 0 : "Reduction HYG retrocede" ;
RSOCHYGR1731 : calculee restituee primrest = 0 base : "Scellier report - Reduc HYG a la fin 1er traitement si 1731bis" ;
RSOCHYGR_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCHYG_1 : calculee restituee primrest = 0 : "Pour simplifier prog Art1731 - reduction RLOCENT" ;
RSOCREP : calculee primrest = 0 : "Reduction emprunt reprise societe" ;
RSOCREPR : calculee restituee primrest = 1 : "Reduction emprunt reprise societe" ;
RSOCREPR1731 : calculee restituee primrest = 0 base : "RSOCREPR reduction  a la fin 1er traitement si 1731bis" ;
RSOCREPRISE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7FH : "Interets d'emprunts pour acquisition societe reprise " ;
RSOCREPRISE_A : calculee primrest = 0 : "RI evt avant" ;
RSOCREPRP2 : calculee restituee primrest = 0 base : "RSOCREPR reduction  a la fin 1er traitement si 1731bis" ;
RSOCREPR_1 : calculee restituee primrest = 0 : "pour simplifier programmation - Reduction emprunt reprise societe" ;
RSOCREPR_P : calculee primrest = 0 base : "Reduction emprunt reprise societe" ;
RSOFON : calculee restituee primrest = 1 : "reduction souscription capital societe foncieres solidaires" ;
RSOUFIP : calculee restituee primrest = 1 : "Investissement de proximite" ;
RSOUFIP1 : calculee restituee primrest = 1 : "Investissement de proximite" ;
RSOUFIP1731 : calculee restituee primrest = 0 base : "RSOUFIP reduction  a la fin 1er traitement si 1731bis" ;
RSOUFIPP2 : calculee restituee primrest = 0 base : "RSOUFIP reduction  a la fin 1er traitement si 1731bis" ;
RSOUFIP_1 : calculee restituee primrest = 0 : "pour alleger la programmation - Investissement de proximite" ;
RSOUFIP_P : calculee primrest = 0 base : "Investissement de proximite" ;
RSURV : calculee restituee primrest = 1 : "Rente-survie, contrat handicap" ;
RSURV1 : calculee restituee primrest = 1 : "Rente-survie, contrat handicap" ;
RSURV1731 : calculee restituee primrest = 0 base : "RSURV reduction  a la fin 1er traitement si 1731bis" ;
RSURVP2 : calculee restituee primrest = 0 base : "RSURV reduction  a la fin 1er traitement si 1731bis" ;
RSURV_1 : calculee restituee primrest = 0 : "pour alleger programmation - Rente-survie, contrat handicap" ;
RSURV_P : calculee primrest = 0 base : "Rente-survie, contrat handicap" ;
RTCAR : calculee primrest = 0 : "Revenu TOTAL des autres RCM n'ouvrant pas droit a abattement" ;
RTNC : calculee primrest = 0 : "Revenu TOTAL titres non cotes PEA" ;
RTOUR : calculee restituee primrest = 0 : "Reduction Investissements locatifs tourisme pour colbert" ;
RTOUREPA : calculee restituee primrest = 1 : "Reduction Investissements locatifs tourisme report" ;
RTOUREPA1731 : calculee restituee primrest = 0 base : "RTOUREPA reduction  a la fin 1er traitement si 1731bis" ;
RTOUREPAP2 : calculee restituee primrest = 0 base : "RTOUREPA reduction  a la fin 1er traitement si 1731bis" ;
RTOUREPA_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RTOURREP : calculee restituee primrest = 1 : "Reduction Investissements locatifs tourisme report" ;
RTOURREP1731 : calculee restituee primrest = 0 base : "RTOURREP reduction  a la fin 1er traitement si 1731bis" ;
RTOURREPP2 : calculee restituee primrest = 0 base : "RTOURREP reduction  a la fin 1er traitement si 1731bis" ;
RTOURREP_1 : calculee restituee primrest = 0 : "reduc non plaf. art 1731bis" ;
RV1 : calculee primrest = 0 : "Montant imposable des rentes viageres - de 50 ans" ;
RV2 : calculee primrest = 0 : "Montant imposable des rentes viageres de 50 a 59 ans" ;
RV3 : calculee primrest = 0 : "Montant imposable des rentes viageres de 60 a 69 ans" ;
RV4 : calculee primrest = 0 : "Montant imposable des rentes viageres a partir de 70 ans" ;
RVB1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1AW : "Rentes viageres : moins de 50 ans" ;
RVB2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1BW : "Rentes viageres : de 50 a 59 ans" ;
RVB3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CW : "Rentes viageres : de 60 a 69 ans" ;
RVB4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DW : "Rentes viageres : a partir de 70 ans" ;
RVCURE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7CD : "Depenses d'hebergement pour personnes dependantes - 1ere personne" ;
RVTOT : calculee restituee primrest = 1 : "Total Rentes Viageres a titre onereux" ;
RVTOTAUXF : calculee restituee primrest = 0 : "RVTO total foyer PAS" ;
RZRE : calculee restituee primrest = 1 : "Retenu ZRE (limite au RBG)" ;
RZRF : calculee restituee primrest = 1 : "Retenu ZRF (limite au RBG)" ;
R_QUOTIENT : calculee restituee primrest = 0 : "IMPOT au QUOTIENT" ;
SACIND : calculee restituee primrest = 1 : "indicateur sanction action indue ou arret acompte" ;
SACPTHD : calculee restituee primrest = 1 base : "Indicateur sanction pour non paiement d'acomptes dans les delais " ;
SALAGGE1 : calculee restituee primrest = 0 : "Salaires etrangers + agent assu + gerant PAS - dec1" ;
SALAGGE2 : calculee restituee primrest = 0 : "Salaires etrangers + agent assu + gerant PAS - dec2" ;
SALAGGEP : calculee restituee primrest = 0 : "Salaires etrangers + agent assu + gerant PAS - pac" ;
SALECS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 11 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TQ : "Revenus non salariaux etrangers soumis a CSG au taux de 9,2 %" ;
SALECSG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 19 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 8TR : "Revenus salariaux etrangers soumis a CSG au taux de 9,2 %" ;
SALEXT1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1CC : "Salaires exoneres etrangers - PAC 1" ;
SALEXT2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1DC : "Salaires exoneres etrangers - PAC 2" ;
SALEXT3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1EC : "Salaires exoneres etrangers - PAC 3" ;
SALEXT4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1FC : "Salaires exoneres etrangers - PAC 4" ;
SALEXTC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1BC : "Salaires exoneres etrangers - Declarant 2" ;
SALEXTV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 7 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1AC : "Salaires exoneres etrangers - Declarant 1" ;
SALIMP : calculee restituee primrest = 1 : "Emploi salarie : montant impute" ;
SALREST : calculee restituee primrest = 1 : "Emploi salarie : montant restitution" ;
SANACOMIR : calculee restituee primrest = 1 : "Montant sanction acompte IR" ;
SANACOMPS : calculee restituee primrest = 1 : "Montant sanction acompte PS" ;
SANCTX : calculee restituee primrest = 1 : "support calcul taux sanction PAS IR" ;
SANCTXIR : calculee primrest = 0 : "support calcul taux sanction PAS IR" ;
SANCTXPS : calculee restituee primrest = 1 : "support calcul taux sanction PAS IR" ;
SANULEM7 : calculee primrest = 0 : "intermediaire EM7 " ;
SANULEM7QAR : calculee primrest = 0 : "intermediaire EM7QAR" ;
SCBASIR : calculee restituee primrest = 1 : "Base sanction PAS IR" ;
SCBASPS : calculee restituee primrest = 1 : " Base sanction PAS PS" ;
SCMTIR : calculee restituee primrest = 1 : " Montant sanction IR PAS" ;
SCMTPS : calculee restituee primrest = 1 : " Montant sanction PAS PS" ;
SCTXIR : calculee restituee primrest = 1 : " taux de la sanction PAS IR" ;
SCTXPS : calculee restituee primrest = 1 : "taux de la sanction PAS PS" ;
SDC1 : calculee primrest = 0 : "solde charges hors DCI non imputes sur RG" ;
SDCC : calculee primrest = 0 : "solde charges non imputees sur RG" ;
SDCTEF : calculee primrest = 0 : "solde charges non imputees sur RG tx effectif" ;
SDCTEFRFR : calculee primrest = 0 : "solde charges non imputees sur RG tx effectif pour RFR" ;
SDDD : calculee primrest = 0 : "solde deficits non imputes sur RG" ;
SDDTEF : calculee primrest = 0 : "solde deficits non imputes sur RG tx effectif" ;
SDDTEFRFR : calculee primrest = 0 : "solde deficits non imputes sur RG tx effectif pour le rfr" ;
SDMM : calculee primrest = 0 : "solde abattements APA et AMA non imputes sur RNG" ;
SDVV : calculee primrest = 0 : "solde abattements APA non imputes sur RNG" ;
SENS_RAPPEL : saisie penalite primrest = 0 alias V_SEN_RAPPEL : "Champ sens du rappel dans une ligne rappel" ;
SEUILCIIMSI : calculee restituee primrest = 0 : "donnee equipe batch pour CNTDF : seuil imposition  tx normal CSG" ;
SEUILCIIMSI1 : calculee restituee primrest = 0 : "donnee equipe batch pour CNTDF : seuil imposition  tx normal CSG" ;
SEUILCIIMSIN1 : calculee restituee primrest = 0 : "donnee equipe batch pour CNTDF : seuil imposition  tx normal CSG n-1" ;
SEUILCIIMSIN11 : calculee restituee primrest = 0 : "donnee equipe batch pour CNTDF : seuil imposition  tx normal CSG n-1" ;
SEUILCIRIRF : calculee restituee primrest = 0 : "donnee equipe batch pour CNTDF : seuil imposition CSG CRDS" ;
SEUILCIRIRFN1 : calculee restituee primrest = 0 : "donnee equipe batch pour CNTDF : seuil imposition CSG CRDS n-1" ;
SEUILRED1 : calculee primrest = 0 : "seuil du revenu imposable pour le deduction des reductions d'impot" ;
SEUIL_12 : const=12.00000  ;
SEUIL_61 : const=61.00000  ;
SEUIL_8 : const=8.00000  ;
SEUIL_ACOMPTE : const=356.00000  ;
SEUIL_DECOTE1 : const=833.00000  ;
SEUIL_DECOTE2 : const=1378.00000  ;
SEUIL_IMPDEFBA : const=119765.00000  ;
SEUIL_TXMIN : const=305.00000  ;
SFCD1 : calculee primrest = 0 : "Zone Situation de Famille - Celibataires,Divorces sans PAC" ;
SFCD2 : calculee primrest = 0 : "Zone Situation de Famille - Celibataires,Divorces avec PAC" ;
SFDEFBANI : calculee restituee primrest = 0 : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANI1731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANI470 : calculee restituee primrest = 0 : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANI4701731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANI470P2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANI470P3 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANIH470 : calculee restituee primrest = 0 : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANIH4701731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANIH470P2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANIH470P3 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANIP2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDEFBANIP3 : calculee restituee primrest = 0 base : "BA. : deficits ant. imputes1731 sans fofait" ;
SFDFANTPROV : calculee restituee primrest = 0 : "Deficits globaux des annees anterieures sans forfait" ;
SFDFANTPROV1731 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures sans forfait" ;
SFDFANTPROVP2 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures sans forfait" ;
SFDFANTPROVP3 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures sans forfait" ;
SFL : calculee primrest = 0 : "Zone Situation de Famille - C,D,V avec case L" ;
SFM : calculee primrest = 0 : "Zone Situation de Famille - Maries" ;
SFUTILE : calculee restituee primrest = 1 : "Zone Situation de Famille" ;
SFV1 : calculee primrest = 0 : "Zone Situation de Famille - Veufs annee veuvage differente" ;
SFV2 : calculee primrest = 0 : "Zone Situation de Famille - Veufs annee veuvage" ;
SHBA : calculee restituee primrest = 0 : "Somme des revenus categoriels nets hors BA" ;
SHBA1 : calculee restituee primrest = 0 : "Somme des revenus categoriels nets hors BA" ;
SHBA1731 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
SHBA1731BIS : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
SHBABIS1731 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
SHBAP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
SHBAP3 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA 1731bis" ;
SHBAPAS : calculee primrest = 0 : "Somme des revenus categoriels nets hors BA PAS" ;
SHBA_P : calculee primrest = 0 base : "Correctif: base tot Reve cat en primitif pour 1731" ;
SINISFORET : saisie revenu classe = 0 priorite = 31 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 1 rapcat = 13 sanction = 9 nat_code = 1 modcat = 1 restituee primrest = 0 alias 7UT : "CI travaux forestiers apres sinistre " type REEL ;
SNPLOCPASC : calculee primrest = 0 : "BIC non pro sous CGA - locations meublees pour acomptes PAS (dec2)" ;
SNPLOCPASP : calculee primrest = 0 : "BIC non pro sous CGA - locations meublees pour acomptes PAS (Pac)" ;
SNPLOCPASV : calculee primrest = 0 : "BIC non pro sous CGA - locations meublees pour acomptes PAS (dec1)" ;
SOFIRNG : calculee restituee primrest = 1 : "SIMULIR rng correspondant aux sofica et sofipeche" ;
SOLDCSGPS : calculee restituee primrest = 1 : "CSG excedent acompte a imputer sur IR - documents comptables" ;
SOLDCSGPSD : calculee restituee primrest = 1 : "CSG excedent acompte a imputer sur IR - DESF" ;
SOLDE3VR1 : calculee primrest = 0 : "Calcul solde 3VR pour corriger le RFR etape intermediaire " ;
SOLDE3VR2 : calculee primrest = 0 : "Calcul solde 3VR pour corriger le RFR etape intermediaire " ;
SOLDE3VR3 : calculee primrest = 0 : "Calcul solde 3VR pour corriger le RFR etape intermediaire " ;
SOLDPSOLPS : calculee restituee primrest = 1 : "PSOL excedent acompte a imputer sur IR - documents comptables" ;
SOLDPSOLPSD : calculee restituee primrest = 1 : "PSOL excedent acompte a imputer sur IR - DESF" ;
SOM0F : calculee primrest = 0 : "Somme intermediaire nbre enfant" ;
SOM0H : calculee primrest = 0 : "Somme intermediaire nbre enfant" ;
SOM0N : calculee primrest = 0 : "Somme intermediaire nbre enfant" ;
SOM0P : calculee primrest = 0 : "Somme intermediaire nbre enfant" ;
SOM9YI : calculee primrest = 0 : "Somme pour 9YI" ;
SOM9YIINTER : calculee primrest = 0 : "Somme pour 9YI calcul intermediaire" ;
SOM9YIINTERP : calculee primrest = 0 : "Calcul INR : Base pour prorata 9YI/9YP primitif" ;
SOM9YIINTERP_P : calculee primrest = 0 base : "IR9YI primitif" ;
SOM9YIP : calculee primrest = 0 : "Calcul INR : Base pour prorata 9YI/9YP primitif" ;
SOM9YIPA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
SOM9YIPA_A : calculee primrest = 0 base : "Correctif:9YI " ;
SOM9YIP_A : calculee primrest = 0 base : "Correctif:9YI " ;
SOM9YIP_P : calculee primrest = 0 base : "Correctif: IR9YI" ;
SOMBADF : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMBADF1731 : calculee restituee primrest = 0 base : "Somme rev ba pour  1731bis" ;
SOMBCOSC : calculee primrest = 0 : "Base cotisation syndicale - Somme des revenus - dec 2" ;
SOMBCOSP : calculee primrest = 0 : "Base cotisation syndicale - Somme des revenus - PAC" ;
SOMBCOSV : calculee primrest = 0 : "Base cotisation syndicale - Somme des revenus - dec 1" ;
SOMBICDF : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMBICDF1731 : calculee restituee primrest = 0 base : "Somme rev BIC pour  1731bis" ;
SOMBNCDF : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMBNCDF1731 : calculee restituee primrest = 0 base : "Somme rev BnC pour  1731bis" ;
SOMDBIC : calculee restituee primrest = 0 : "Somme def bnc pour 1731bis" ;
SOMDBIC1731 : calculee restituee primrest = 0 : "Somme def bnc pour 1731bis" ;
SOMDBNC : calculee restituee primrest = 0 : "Somme def bnc pour 1731bis" ;
SOMDBNC1731 : calculee restituee primrest = 0 base : "somme def bnc 1731bis" ;
SOMDEFANT : calculee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDEFBANI : calculee restituee primrest = 0 : "BA. : deficits ant. imput?s1731" ;
SOMDEFBIC : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDEFBNC : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDEFICIT : calculee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDEFICITHTS : calculee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDEFLOC : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDEFTS : calculee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMDFANTIMPU : calculee primrest = 0 : "Somme REV  pour art 1731bis pour calcul DFANTIMPU" ;
SOMDLOC : calculee restituee primrest = 0 : "Somme def bnc pour 1731bis" ;
SOMDLOC1731 : calculee restituee primrest = 0 : "Somme def bnc pour 1731bis" ;
SOMLOCDF : calculee restituee primrest = 0 : "Somme def  pour art 1731bis" ;
SOMLOCDF1731 : calculee restituee primrest = 0 base : "Somme rev LOC  pour  1731bis" ;
SOMMEA030 : calculee primrest = 0 : "zone pour faire le controle 030" ;
SOMMEA031 : calculee primrest = 0 : "zone pour faire le controle 031" ;
SOMMEA538 : calculee primrest = 0 : "zone pour faire le controle 538" ;
SOMMEA538CB : calculee primrest = 0 : "zone pour faire le controle 538 - Conjoint - Benefices" ;
SOMMEA538CP : calculee primrest = 0 : "zone pour faire le controle 538 - Conjoint - Plus-values" ;
SOMMEA538PB : calculee primrest = 0 : "zone pour faire le controle 538 - PAC - Benefices" ;
SOMMEA538PP : calculee primrest = 0 : "zone pour faire le controle 538 - PAC - Plus-values" ;
SOMMEA538VB : calculee primrest = 0 : "zone pour faire le controle 538 - Vous - Benefices" ;
SOMMEA538VP : calculee primrest = 0 : "zone pour faire le controle 538 - Vous - Plus-values" ;
SOMMEA700 : calculee primrest = 0 : "zone pour faire le controle 700" ;
SOMMEA719 : calculee primrest = 0 : "zone pour faire le controle 719" ;
SOMMEA755 : calculee primrest = 0 : "zone pour faire le controle 755" ;
SOMMEA802 : calculee primrest = 0 : "zone pour faire le controle 802" ;
SOMMEA804 : calculee primrest = 0 : "zone pour faire le controle 804" ;
SOMMEA805 : calculee primrest = 0 : "zone pour faire le controle 805" ;
SOMMEA858 : calculee primrest = 0 : "Somme pour faire le controle 858" ;
SOMMEA859 : calculee primrest = 0 : "zone pour faire le controle 859" ;
SOMMEA862 : calculee primrest = 0 : "zone pour faire le controle 862" ;
SOMMEA874 : calculee primrest = 0 : "zone pour faire le controle 874" ;
SOMMEA877 : calculee primrest = 0 : "zone pour faire le controle 877" ;
SOMMEA878 : calculee primrest = 0 : "zone pour faire le controle 878" ;
SOMMEA879 : calculee primrest = 0 : "zone pour faire le controle 879" ;
SOMMEA880 : calculee primrest = 0 : "zone pour faire le controle 880" ;
SOMMEA881 : calculee primrest = 0 : "zone pour faire le controle 881" ;
SOMMEA884 : calculee primrest = 0 : "zone pour faire le controle 884" ;
SOMMEA890 : calculee primrest = 0 : "zone pour faire le controle 890" ;
SOMMEA891 : calculee primrest = 0 : "zone pour faire le controle 891" ;
SOMMEA892 : calculee primrest = 0 : "zone pour faire le controle 892" ;
SOMMEA893 : calculee primrest = 0 : "zone pour faire le controle 893" ;
SOMMEA895 : calculee primrest = 0 : "zone pour faire le controle 895" ;
SOMMEA896 : calculee primrest = 0 : "zone pour faire le controle 896" ;
SOMMEA898 : calculee primrest = 0 : "zone pour faire le controle 898" ;
SOMMEA9201 : calculee primrest = 0 : "zone pour faire le controle 92001" ;
SOMMEA9202 : calculee primrest = 0 : "zone pour faire le controle 92002" ;
SOMMEANOEXP : calculee primrest = 0 : "zone colonne 2 annexe4 du cahier des charges avis" ;
SOMMEBA : calculee restituee primrest = 0 : "Somme rev BA pour art 1731bis" ;
SOMMEBA1731 : calculee restituee primrest = 0 base : "Somme rev BA pour  1731bis" ;
SOMMEBAINF : calculee restituee primrest = 0 base : "Somme rev BA pour art 1731bis  avec et  SHBA inf seuil" ;
SOMMEBAND_2 : calculee restituee primrest = 0 base : "Somme rev BA sans code def  pour art 1731bis  avec" ;
SOMMEBASUP : calculee restituee primrest = 0 base : "Somme rev BA pour art 1731bis  avec et  SHBA SUP seuil" ;
SOMMEBA_2 : calculee restituee primrest = 0 base : "Somme rev BA pour art 1731bis  avec" ;
SOMMEBA_P : calculee primrest = 0 base : "Correctif: Somme rev   pour 1731" ;
SOMMEBIC : calculee restituee primrest = 0 : "Somme rev BIC pour art 1731bis" ;
SOMMEBIC1731 : calculee restituee primrest = 0 base : "Somme rev BA pour  1731bis" ;
SOMMEBICND_2 : calculee restituee primrest = 0 base : "Somme rev Bic   pour art 1731bis  " ;
SOMMEBIC_2 : calculee restituee primrest = 0 base : "Somme rev BIC pour art 1731bis  avec" ;
SOMMEBIC_P : calculee primrest = 0 base : "Correctif: Somme rev   pour 1731" ;
SOMMEBNC : calculee restituee primrest = 0 : "Somme rev BNC  pour art 1731bis" ;
SOMMEBNC1731 : calculee restituee primrest = 0 base : "Somme rev BA pour  1731bis" ;
SOMMEBNCND_2 : calculee restituee primrest = 0 base : "Somme rev Bnc   pour art 1731bis  " ;
SOMMEBNC_2 : calculee restituee primrest = 0 base : "Somme rev BNC pour art 1731bis  avec" ;
SOMMEBNC_P : calculee primrest = 0 base : "Correctif: Somme rev   pour 1731" ;
SOMMEGLOBAL_2 : calculee restituee primrest = 0 base : "Somme rev Global pour art 1731bis  avec" ;
SOMMEGLOBND_2 : calculee restituee primrest = 0 base : "Somme rev Global avec SOMMEBA pour art 1731bis  avec" ;
SOMMELOC : calculee restituee primrest = 0 : "Somme rev Location meublee  pour art 1731bis" ;
SOMMELOC1731 : calculee restituee primrest = 0 base : "Somme rev BA pour  1731bis" ;
SOMMELOC_2 : calculee restituee primrest = 0 base : "Somme rev LOC pour art 1731bis  avec" ;
SOMMELOC_P : calculee primrest = 0 base : "Correctif: Somme rev   pour 1731" ;
SOMMEM210 : calculee primrest = 0 : "Somme variables pour RICI" ;
SOMMEMOND_2 : calculee restituee primrest = 0 base : "Somme rev MONDE  pour art 1731bis  avec" ;
SOMMERCM : calculee restituee primrest = 0 : "Somme rev capitaux mobilier  pour art 1731bis" ;
SOMMERCM1731 : calculee restituee primrest = 0 base : "Somme rev BA pour  1731bis" ;
SOMMERCM_2 : calculee restituee primrest = 0 base : "Somme rev BIC pour art 1731bis  avec" ;
SOMMERCM_P : calculee primrest = 0 base : "Correctif: Somme rev   pour 1731" ;
SOMMERF : calculee restituee primrest = 0 : "Somme rev fonciers  pour art 1731bis" ;
SOMMERF1731 : calculee restituee primrest = 0 base : "Somme rev BA pour  1731bis" ;
SOMMERF_2 : calculee restituee primrest = 0 base : "Somme rev BIC pour art 1731bis  avec" ;
SOMMERF_P : calculee primrest = 0 base : "Correctif: Somme rev   pour 1731" ;
SOMMERI1731 : calculee restituee primrest = 0 base : "Somme des r?ductions et autres sommes_1 pour article1731bis" ;
SOMMERI_2 : calculee restituee primrest = 0 base : "Somme reductions pour art 1731bis  avec" ;
SPEABC : calculee primrest = 0 : "Abattement forfaitaire conjoint BNC regime special" ;
SPEABNPC : calculee restituee primrest = 1 : "Abattement forfaitaire conj BNC regime special non professionnel" ;
SPEABNPP : calculee restituee primrest = 1 : "Abattement forfaitaire pac BNC regime special non professionnel" ;
SPEABNPV : calculee restituee primrest = 1 : "Abattement forfaitaire vous BNC regime special non professionnel" ;
SPEABP : calculee primrest = 0 : "Abattement forfaitaire pac BNC regime special" ;
SPEABPC : calculee restituee primrest = 1 : "Abattement forfaitaire conjoint BNC regime special professionnel" ;
SPEABPP : calculee restituee primrest = 1 : "Abattement forfaitaire pac BNC regime special professionnel" ;
SPEABPV : calculee restituee primrest = 1 : "Abattement forfaitaire vous BNC regime special professionnel" ;
SPEABV : calculee primrest = 0 : "Abattement forfaitaire vous BNC regime special" ;
SPEBASABC : calculee primrest = 0 : "	le rev total cjt prof et non prof BNC reg spe base AB" ;
SPEBASABP : calculee primrest = 0 : "	le rev total pac prof et non prof BNC reg spe base AB" ;
SPEBASABV : calculee primrest = 0 : "	le rev total vous prof et non prof BNC reg spe base AB" ;
SPEDREPC : calculee restituee primrest = 1 : "AVIS99:BNC PROFESS., REGIME SPECIAL MOINS VALUE: CONJOINT" ;
SPEDREPNPC : calculee restituee primrest = 1 : "AVIS99:BNC NON PROFESS., REGIME SPECIAL MOINS VALUE: CONJOINT" ;
SPEDREPNPP : calculee restituee primrest = 1 : "AVIS99:BNC NON PROFESS., REGIME SPECIAL MOINS VALUE: PAC" ;
SPEDREPNPV : calculee restituee primrest = 1 : "AVIS99:BNC NON PROFESS., REGIME SPECIAL MOINS VALUE: VOUS" ;
SPEDREPP : calculee restituee primrest = 1 : "AVIS99:BNC PROFESS., REGIME SPECIAL MOINS VALUE: PAC" ;
SPEDREPV : calculee restituee primrest = 1 : "AVIS99:BNC PROFESS., REGIME SPECIAL MOINS VALUE: VOUS" ;
SPENET : calculee primrest = 0 : "Net imposable total BNC regime special prof et non professionnel" ;
SPENETC : calculee restituee primrest = 0 : "Net imposable conjoint BNC regime special (prof. + non prof.)" ;
SPENETCT : calculee primrest = 0 : "Net imposable prof. BNC regime special PV a court terme" ;
SPENETCTC : calculee primrest = 0 : "Net imposable prof. BNC regime special PV a court terme conjoint" ;
SPENETCTP : calculee primrest = 0 : "Net imposable prof. BNC regime special PV a court terme pac" ;
SPENETCTV : calculee primrest = 0 : "Net imposable prof. BNC regime special PV a court terme vous" ;
SPENETNPC : calculee restituee primrest = 1 : "Net imposable conj BNC regime special non professionnel" ;
SPENETNPCT : calculee primrest = 0 : "Net imposable prof. BNC NON PRO regime special PV a court terme" ;
SPENETNPF : calculee restituee primrest = 1 : "Net imposable non prof. BNC regime special" ;
SPENETNPNC : calculee primrest = 0 : "Net imposable vous BNC regime special non professionnel negatif" ;
SPENETNPNCTC : calculee primrest = 0 : "Net imposable vous BNC regime special non professionnel negatif" ;
SPENETNPNCTP : calculee primrest = 0 : "Net imposable vous BNC regime special non professionnel negatif" ;
SPENETNPNCTV : calculee primrest = 0 : "Net imposable vous BNC regime special non professionnel negatif" ;
SPENETNPP : calculee restituee primrest = 1 : "Net imposable pac BNC regime special non professionnel" ;
SPENETNPV : calculee restituee primrest = 1 : "Net imposable vous BNC regime special non professionnel" ;
SPENETP : calculee restituee primrest = 0 : "Net imposable pac BNC regime special (prof. + non prof.)" ;
SPENETPC : calculee restituee primrest = 1 : "Net imposable conj BNC regime special professionnel" ;
SPENETPC1731 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPCP2 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPCP3 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPF : calculee restituee primrest = 1 : "Net imposable prof. BNC regime special" ;
SPENETPP : calculee restituee primrest = 1 : "Net imposable pac BNC regime special professionnel" ;
SPENETPP1731 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPPP2 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPPP3 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPV : calculee restituee primrest = 1 : "Net imposable vous BNC regime special professionnel" ;
SPENETPV1731 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPVP2 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETPVP3 : calculee restituee primrest = 0 base : "Net imposable vous BNC regime special professionnel 1731bic" ;
SPENETV : calculee restituee primrest = 0 : "Net imposable vous BNC regime special (prof. + non prof.)" ;
SPEPV : calculee primrest = 0 : "Montant net Plus Values total BNC regime special prof et non prof" ;
SPEPVNPC : calculee primrest = 0 : "Montant net Plus Values conj BNC regime special non prof" ;
SPEPVNPP : calculee primrest = 0 : "Montant net Plus Values pac BNC regime special non prof" ;
SPEPVNPV : calculee primrest = 0 : "Montant net Plus Values vous BNC regime special non prof" ;
SPEPVPC : calculee primrest = 0 : "Montant net Plus Values conj BNC regime special prof" ;
SPEPVPP : calculee primrest = 0 : "Montant net Plus Values pac BNC regime special prof" ;
SPEPVPV : calculee primrest = 0 : "Montant net vous BNC regime special prof" ;
SPETOTC : calculee primrest = 0 : "	le rev total conj prof et non prof BNC regime special" ;
SPETOTP : calculee primrest = 0 : "	le rev total pac prof et non prof BNC regime special" ;
SPETOTV : calculee primrest = 0 : "	le rev total vous prof et non prof BNC regime special" ;
SPETXAB : const=34.00000  ;
SPIE12IR : calculee primrest = 0 : "declenchement sanction partie IR SPIE1 SPIE2" ;
SPIE12PS : calculee primrest = 0 : "declenchement sanction partie PS SPIE1 SPIE2" ;
SPIE1IR : calculee primrest = 0 : "declenchement sanction partie IR" ;
SPIE1PS : calculee primrest = 0 : "declenchement sanction partie PS" ;
SPIE2IR : calculee primrest = 0 : "declenchement sanction partie IR" ;
SPIE2PS : calculee primrest = 0 : "declenchement sanction partie PS" ;
SPIEIRPS : calculee primrest = 0 : "declenchement sanction partie IR PS" ;
STRATC82001 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 01 " ;
STRATC82003 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 03" ;
STRATC82004 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 04" ;
STRATC82005 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 05" ;
STRATC82006 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 06" ;
STRATC82007 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 07" ;
STRATC82008 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 08" ;
STRATC82010 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 10" ;
STRATC82011 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 11" ;
STRATC82017 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 17" ;
STRATC82022 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 22" ;
STRATC82035 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 35" ;
STRATC82055 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 55" ;
STRATC82099 : calculee restituee primrest = 0 base : " nouv cor : Montant CS 8.2ayant servi de base au calcul des majo 99" ;
STRATCAP01 : calculee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 01 " ;
STRATCAP02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 02" ;
STRATCAP02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 02" ;
STRATCAP03 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 03" ;
STRATCAP04 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 04" ;
STRATCAP05 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 05" ;
STRATCAP06 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 06" ;
STRATCAP07 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 07" ;
STRATCAP08 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 08" ;
STRATCAP10_1 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 10" ;
STRATCAP10_2 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 10" ;
STRATCAP11 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 11" ;
STRATCAP17_1 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 10" ;
STRATCAP17_2 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 10" ;
STRATCAP22 : calculee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 22" ;
STRATCAP30 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 30" ;
STRATCAP31 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 31" ;
STRATCAP35 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 35" ;
STRATCAP55 : calculee restituee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 55" ;
STRATCAP99 : calculee primrest = 0 base : " nouv cor : Montant CAP ayant servi de base au calcul des majo 99" ;
STRATCDIS01 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30%ayant servi de base au calcul des majo 01 " ;
STRATCDIS03 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30% pour base du calcul des majo 03 " ;
STRATCDIS04 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30% pour base du calcul des majo 04 " ;
STRATCDIS05 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30 % pour base du calcul des majo 05 " ;
STRATCDIS06 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30% pour  base du calcul des majo 06 " ;
STRATCDIS07 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30 % pour base du calcul des majo 07 " ;
STRATCDIS08 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal pour base du calcul des majo 08 " ;
STRATCDIS10 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30 % pour base du calcul des majo 10 " ;
STRATCDIS11 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal pour base du calcul des majo 11 " ;
STRATCDIS17 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal pour base du calcul des majo 17 " ;
STRATCDIS22 : calculee primrest = 0 base : " nouv cor : Montant CSal % pour base du calcul des majo 22 " type REEL ;
STRATCDIS35 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30% pour base du calcul des majo 35" ;
STRATCDIS55 : calculee restituee primrest = 0 base : " nouv cor : Montant CSal 30 % pour base du calcul des majo 55" ;
STRATCDIS99 : calculee primrest = 0 base : " nouv cor : Montant CSal 30% pour base du calcul des majo 99" ;
STRATCS01 : calculee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 01 " ;
STRATCS03 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 03 " ;
STRATCS04 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 04 " ;
STRATCS05 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 05 " ;
STRATCS06 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 06 " ;
STRATCS07 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 07 " ;
STRATCS08 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 08 " ;
STRATCS10 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 10 " ;
STRATCS11 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 11 " ;
STRATCS17 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 17 " ;
STRATCS22 : calculee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 22 " type REEL ;
STRATCS30 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 30 " ;
STRATCS31 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 31 " ;
STRATCS32 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 32 " ;
STRATCS35 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 35" ;
STRATCS55 : calculee restituee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 55" ;
STRATCS99 : calculee primrest = 0 base : " nouv cor : Montant CS ayant servi de base au calcul des majo 99" ;
STRATCVN01 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 01 " ;
STRATCVN03 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 03 " ;
STRATCVN04 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 04 " ;
STRATCVN05 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 05 " ;
STRATCVN06 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 06 " ;
STRATCVN07 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 07" ;
STRATCVN08 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 08" ;
STRATCVN10 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 10" ;
STRATCVN11 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 11" ;
STRATCVN17 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 17" ;
STRATCVN22 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 22" ;
STRATCVN35 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 35" ;
STRATCVN55 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 55" ;
STRATCVN99 : calculee restituee primrest = 0 base : " nouv cor : Montant Cvnsal ayant servi de base au calcul des majo 99" ;
STRATGLO01 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 01 " ;
STRATGLO03 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 03 " ;
STRATGLO04 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 04 " ;
STRATGLO05 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 05 " ;
STRATGLO06 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 06 " ;
STRATGLO07 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 07 " ;
STRATGLO08 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 08 " ;
STRATGLO10 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 10 " ;
STRATGLO11 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 11 " ;
STRATGLO17 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 17 " ;
STRATGLO22 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 22 " ;
STRATGLO35 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 35" ;
STRATGLO55 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 55 " ;
STRATGLO99 : calculee restituee primrest = 0 base : " nouv cor : Montant CGLOA ayant servi de base au calcul des majo 99 " ;
STRATHR01 : calculee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 01 " ;
STRATHR02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 02" ;
STRATHR02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 02" ;
STRATHR03 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 03" ;
STRATHR04 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 04" ;
STRATHR05 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 05" ;
STRATHR06 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 06" ;
STRATHR07 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 07" ;
STRATHR08 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 08" ;
STRATHR10_1 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 10" ;
STRATHR10_2 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 10" ;
STRATHR11 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 11" ;
STRATHR17_1 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 10" ;
STRATHR17_2 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 10" ;
STRATHR22 : calculee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 22" ;
STRATHR30 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 30" ;
STRATHR31 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 31" ;
STRATHR32 : calculee restituee primrest = 0 base : " nouv cor : Montant hauts rev ayant servi de base calcul des majo 32 " ;
STRATHR35 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 35" ;
STRATHR55 : calculee restituee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 55" ;
STRATHR99 : calculee primrest = 0 base : " nouv cor : Montant HR ayant servi de base au calcul des majo 99" ;
STRATIFI01 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 01 " ;
STRATIFI02 : calculee primrest = 0 base : " nouv cor : Montant IFI pour base du calcul des majo 02 " ;
STRATIFI03 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 03" ;
STRATIFI04 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 04" ;
STRATIFI05 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 05" ;
STRATIFI07 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI pour base du calcul des majo 07 " ;
STRATIFI08 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI pour base du calcul des majo 08 " ;
STRATIFI10 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 10" ;
STRATIFI11 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 11" ;
STRATIFI17 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI pour base du calcul des majo 17 " ;
STRATIFI22 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 22" ;
STRATIFI35 : calculee restituee primrest = 0 base : " nouv cor : Montant ifi ayant servi de base au calcul des majo 35" ;
STRATIFI55 : calculee restituee primrest = 0 base : " nouv cor : Montant IFI ayant servi de base au calcul des majo 55" ;
STRATIFI99 : calculee primrest = 0 base : " nouv cor : Montant IFI pour base du calcul des majo 99" ;
STRATIR01 : calculee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 01 " ;
STRATIR02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 02 1758A" ;
STRATIR02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 02 1758A" ;
STRATIR03 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 03 " ;
STRATIR04 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 04 " ;
STRATIR05 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 05 " ;
STRATIR06 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 06 " ;
STRATIR07 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 07 " ;
STRATIR08 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 08 " ;
STRATIR10_1 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 10 1728" ;
STRATIR10_2 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 10 1758A" ;
STRATIR11 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 11 " ;
STRATIR17_1 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 17 1728" ;
STRATIR17_2 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 17 1758A" ;
STRATIR22 : calculee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 22 " type REEL ;
STRATIR30 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 30 " ;
STRATIR31 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 31 " ;
STRATIR32 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 32 " ;
STRATIR35 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 35" ;
STRATIR55 : calculee restituee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 55" ;
STRATIR99 : calculee primrest = 0 base : " nouv cor : Montant IR ayant servi de base au calcul des majo 99" ;
STRATPSOL01 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 24" ;
STRATPSOL03 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 03 " ;
STRATPSOL04 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 04 " ;
STRATPSOL05 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 05 " ;
STRATPSOL06 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 06 " ;
STRATPSOL07 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 07 " ;
STRATPSOL08 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 08 " ;
STRATPSOL10 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 10 " ;
STRATPSOL11 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 11 " ;
STRATPSOL17 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des maj17 " ;
STRATPSOL22 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 22" ;
STRATPSOL30 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 30 " ;
STRATPSOL31 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 31 " ;
STRATPSOL32 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 32 " ;
STRATPSOL35 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 35 " ;
STRATPSOL55 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 55" ;
STRATPSOL99 : calculee restituee primrest = 0 base : " nouv cor : Montant PSOL ayant servi de base au calcul des majo 99" ;
STRATRD01 : calculee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 01 " ;
STRATRD03 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 03 " ;
STRATRD04 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 04 " ;
STRATRD05 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 05 " ;
STRATRD06 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 06 " ;
STRATRD07 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 07 " ;
STRATRD08 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 08 " ;
STRATRD10 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 10 " ;
STRATRD11 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 11 " ;
STRATRD17 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des maj17 " ;
STRATRD22 : calculee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 22 " type REEL ;
STRATRD30 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 30 " ;
STRATRD31 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 31 " ;
STRATRD32 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 32 " ;
STRATRD35 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 35" ;
STRATRD55 : calculee restituee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 55" ;
STRATRD99 : calculee primrest = 0 base : " nouv cor : Montant RD ayant servi de base au calcul des majo 99" ;
STRATRSE101 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 ayant servi de base au calcul des majo 01 " ;
STRATRSE103 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 03 " ;
STRATRSE104 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 04 " ;
STRATRSE105 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 05 " ;
STRATRSE106 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour  base du calcul des majo 06 " ;
STRATRSE107 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 07 " ;
STRATRSE108 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 08 " ;
STRATRSE110 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 10 " ;
STRATRSE111 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 11 " ;
STRATRSE117 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 17 " ;
STRATRSE122 : calculee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 22 " type REEL ;
STRATRSE135 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE155 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 55" ;
STRATRSE199 : calculee primrest = 0 base : " nouv cor : Montant RSE1 pour base du calcul des majo 99" ;
STRATRSE201 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 ayant servi de base au calcul des majo 01 " ;
STRATRSE203 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 03 " ;
STRATRSE204 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 04 " ;
STRATRSE205 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 05 " ;
STRATRSE206 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour  base du calcul des majo 06 " ;
STRATRSE207 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 07 " ;
STRATRSE208 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 08 " ;
STRATRSE210 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 10 " ;
STRATRSE211 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 11 " ;
STRATRSE217 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 17 " ;
STRATRSE222 : calculee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 22 " type REEL ;
STRATRSE235 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE255 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 55" ;
STRATRSE299 : calculee primrest = 0 base : " nouv cor : Montant RSE2 pour base du calcul des majo 99" ;
STRATRSE301 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 ayant servi de base au calcul des majo 01 " ;
STRATRSE303 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 03 " ;
STRATRSE304 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 04 " ;
STRATRSE305 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 05 " ;
STRATRSE306 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour  base du calcul des majo 06 " ;
STRATRSE307 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 07 " ;
STRATRSE308 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 08 " ;
STRATRSE310 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 10 " ;
STRATRSE311 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 11 " ;
STRATRSE317 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 17 " ;
STRATRSE322 : calculee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 22 " type REEL ;
STRATRSE335 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE355 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 55" ;
STRATRSE399 : calculee primrest = 0 base : " nouv cor : Montant RSE3 pour base du calcul des majo 99" ;
STRATRSE401 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 ayant servi de base au calcul des majo 01 " ;
STRATRSE403 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 03 " ;
STRATRSE404 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 04 " ;
STRATRSE405 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 05 " ;
STRATRSE406 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour  base du calcul des majo 06 " ;
STRATRSE407 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 07 " ;
STRATRSE408 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 08 " ;
STRATRSE410 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 10 " ;
STRATRSE411 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 11 " ;
STRATRSE417 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 17 " ;
STRATRSE422 : calculee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 22 " type REEL ;
STRATRSE435 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE455 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 55" ;
STRATRSE499 : calculee primrest = 0 base : " nouv cor : Montant RSE4 pour base du calcul des majo 99" ;
STRATRSE501 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 01 " ;
STRATRSE503 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 03 " ;
STRATRSE504 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 04 " ;
STRATRSE505 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 05 " ;
STRATRSE506 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 06 " ;
STRATRSE507 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 07 " ;
STRATRSE508 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 08 " ;
STRATRSE510 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 10 " ;
STRATRSE511 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 11 " ;
STRATRSE517 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 17 " ;
STRATRSE522 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 22 " ;
STRATRSE535 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE555 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 55 " ;
STRATRSE599 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE5 ayant servi de base au calcul des majo 99 " ;
STRATRSE601 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 01 " ;
STRATRSE603 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 03 " ;
STRATRSE604 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 04" ;
STRATRSE605 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 05" ;
STRATRSE606 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 06" ;
STRATRSE607 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 07" ;
STRATRSE608 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 08" ;
STRATRSE610 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 10" ;
STRATRSE611 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 11" ;
STRATRSE617 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 17" ;
STRATRSE622 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 22" ;
STRATRSE635 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE655 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 55" ;
STRATRSE699 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE6 ayant servi de base au calcul des majo 99" ;
STRATRSE801 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 01 " ;
STRATRSE803 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 03 " ;
STRATRSE804 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 04" ;
STRATRSE805 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 05" ;
STRATRSE806 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 06" ;
STRATRSE807 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 07" ;
STRATRSE808 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 08" ;
STRATRSE810 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 10" ;
STRATRSE811 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 11" ;
STRATRSE817 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 17" ;
STRATRSE822 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 22" ;
STRATRSE835 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE pour base du calcul des majo 35" ;
STRATRSE855 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 55" ;
STRATRSE899 : calculee restituee primrest = 0 base : " nouv cor : Montant RSE8 ayant servi de base au calcul des majo 99" ;
STRATTAXA01 : calculee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 01 " ;
STRATTAXA02_2_NTL : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 02" ;
STRATTAXA02_2_TL : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 02" ;
STRATTAXA03 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 03" ;
STRATTAXA04 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 04" ;
STRATTAXA05 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 05" ;
STRATTAXA06 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 06" ;
STRATTAXA07 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 07" ;
STRATTAXA08 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 08" ;
STRATTAXA10_1 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 10" ;
STRATTAXA10_2 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 10" ;
STRATTAXA11 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 11" ;
STRATTAXA17_1 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 10" ;
STRATTAXA17_2 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 10" ;
STRATTAXA22 : calculee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 22" ;
STRATTAXA30 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 30" ;
STRATTAXA31 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 31" ;
STRATTAXA35 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 35" ;
STRATTAXA55 : calculee restituee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 55" ;
STRATTAXA99 : calculee primrest = 0 base : " nouv cor : Montant TAXA ayant servi de base au calcul des majo 99" ;
STR_TR00 : saisie penalite primrest = 0 alias V_STR_TR00 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR01 : saisie penalite primrest = 0 alias V_STR_TR01 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR02 : saisie penalite primrest = 0 alias V_STR_TR02 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR03 : saisie penalite primrest = 0 alias V_STR_TR03 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR04 : saisie penalite primrest = 0 alias V_STR_TR04 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR05 : saisie penalite primrest = 0 alias V_STR_TR05 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR06 : saisie penalite primrest = 0 alias V_STR_TR06 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR07 : saisie penalite primrest = 0 alias V_STR_TR07 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR08 : saisie penalite primrest = 0 alias V_STR_TR08 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR09 : saisie penalite primrest = 0 alias V_STR_TR09 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR10 : saisie penalite primrest = 0 alias V_STR_TR10 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR11 : saisie penalite primrest = 0 alias V_STR_TR11 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR12 : saisie penalite primrest = 0 alias V_STR_TR12 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR13 : saisie penalite primrest = 0 alias V_STR_TR13 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR14 : saisie penalite primrest = 0 alias V_STR_TR14 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR15 : saisie penalite primrest = 0 alias V_STR_TR15 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR16 : saisie penalite primrest = 0 alias V_STR_TR16 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR17 : saisie penalite primrest = 0 alias V_STR_TR17 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR18 : saisie penalite primrest = 0 alias V_STR_TR18 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR19 : saisie penalite primrest = 0 alias V_STR_TR19 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR20 : saisie penalite primrest = 0 alias V_STR_TR20 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR21 : saisie penalite primrest = 0 alias V_STR_TR21 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR22 : saisie penalite primrest = 0 alias V_STR_TR22 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR23 : saisie penalite primrest = 0 alias V_STR_TR23 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR24 : saisie penalite primrest = 0 alias V_STR_TR24 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
STR_TR25 : saisie penalite primrest = 0 alias V_STR_TR25 : " nouv cor : indicateur si traite traite pour evenement en cours" ;
SUBSTITRENTE : saisie revenu classe = 0 priorite = 31 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 10 sanction = 9 nat_code = 1 modcat = 1 primrest = 0 alias 7WM : "Capital en substitution de rente " ;
SUP2CAP : tableau[26] calculee primrest = 0 base : "SUPPLEMENT pensions en capital base majo 1758A pour la strate" ;
SUP2HR : tableau[26] calculee primrest = 0 base : "SUPPLEMENT hauts revenus  base majo 1758A pour la strate" ;
SUP2IR : tableau[26] calculee primrest = 0 base : "SUPPLEMENT IR base majo 1758A pour la strate" ;
SUP2TAXA : tableau[26] calculee primrest = 0 base : "SUPPLEMENT TAXAGA  base majo 1758A pour la strate" ;
SUPC820 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT   base majo pour la strate" ;
SUPCAP : tableau[26] calculee primrest = 0 base : "SUPPLEMENT pensions en capital  base majo pour la strate" ;
SUPCDIS : tableau[26] calculee primrest = 0 base : "SUPPLEMENT cdis  base majo pour la strate" ;
SUPCS : tableau[26] calculee primrest = 0 base : "SUPPLEMENT CS base majo pour la strate" ;
SUPCVN : tableau[26] calculee primrest = 0 base : "SUPPLEMENT CVN  base majo pour la strate" ;
SUPGLO : tableau[26] calculee primrest = 0 base : "SUPPLEMENT GLO  base majo pour la strate" ;
SUPHR : tableau[26] calculee primrest = 0 base : "SUPPLEMENT hauts revenus  base majo pour la strate" ;
SUPIFI : tableau[26] calculee primrest = 0 base : "SUPPLEMENT IFI base majo pour la strate" ;
SUPIR : tableau[26] calculee primrest = 0 base : "SUPPLEMENT IR base majo pour la strate" ;
SUPPS : tableau[26] calculee primrest = 0 base : "SUPPLEMENT PS base majo pour la strate" ;
SUPPSOL : tableau[26] calculee primrest = 0 base : "SUPPLEMENT PS base majo pour la strate" ;
SUPRD : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RD base majo pour la strate" ;
SUPREV : const=0.25000  ;
SUPRSE1 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE1  base majo pour la strate" ;
SUPRSE2 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE2  base majo pour la strate" ;
SUPRSE3 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE3  base majo pour la strate" ;
SUPRSE4 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE4  base majo pour la strate" ;
SUPRSE5 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE5  base majo pour la strate" ;
SUPRSE6 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE6  base majo pour la strate" ;
SUPRSE8 : tableau[26] calculee primrest = 0 base : "SUPPLEMENT RSE8  base majo pour la strate" ;
SUPTAXA : tableau[26] calculee primrest = 0 base : "SUPPLEMENT TAXAGA  base majo pour la strate" ;
SUP_C820_MAX : calculee primrest = 0 base : "SUP  RECTIF/  PRI  issus de la 2042" ;
SUP_C820_MAX2 : calculee primrest = 0 base : "SUP c820 RECTIF/  PRI  issus de la 2042" ;
SUP_CDIS_MAX : calculee primrest = 0 base : "SUP cdis RECTIF/  PRI  issus de la 2042" ;
SUP_CDIS_MAX2 : calculee primrest = 0 base : "SUP cdis RECTIF/  PRI  issus de la 2042" ;
SUP_CHR_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_CHR_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_CRDS_MAX : calculee primrest = 0 base : "SUP CRDS RECTIF/  PRI  issus de la 2042" ;
SUP_CRDS_MAX2 : calculee primrest = 0 base : "SUP CRDS RECTIF/  PRI  issus de la 2042" ;
SUP_CSG_MAX : calculee primrest = 0 base : "SUP CSG RECTIF/  PRI  issus de la 2042" ;
SUP_CSG_MAX2 : calculee primrest = 0 base : "SUP CSG RECTIF/  PRI  issus de la 2042" ;
SUP_CVN_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_CVN_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_GLO_MAX : calculee primrest = 0 base : "SUP glo RECTIF/  PRI  issus de la 2042" ;
SUP_GLO_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_IFI_MAX : calculee primrest = 0 base : "SUP IFI RECTIF/  PRI  issus de la 2042" ;
SUP_IFI_MAX2 : calculee primrest = 0 base : "SUP IFI RECTIF/  PRI  issus de la 2042" ;
SUP_IR_MAX : calculee primrest = 0 base : "SUP IR RECT/ IR PRI  issus de la 2042" ;
SUP_IR_MAX2 : calculee primrest = 0 base : "SUP IR RECT/ IR PRI  issus de la 2042" ;
SUP_PCAP_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_PCAP_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_PSOL_MAX : calculee primrest = 0 base : "SUP PSol RECTIF/  PRI  issus de la 2042" ;
SUP_PSOL_MAX2 : calculee primrest = 0 base : "SUP PS RECTIF/  PRI  issus de la 2042" ;
SUP_RSE1_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE1_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_RSE2_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE2_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_RSE3_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE3_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_RSE4_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE4_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_RSE5_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE5_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_RSE6_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE6_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_RSE8_MAX : calculee primrest = 0 base : "SUP  RECT/ IR PRI  issus de la 2042" ;
SUP_RSE8_MAX2 : calculee primrest = 0 base : "SUP  RECT/  PRI  issus de la 2042" ;
SUP_TAXA_MAX : calculee primrest = 0 base : "SUP Taxe assur RECTIF/  PRI  issus de la 2042" ;
SUP_TAXA_MAX2 : calculee primrest = 0 base : "SUP Taxe assur RECTIF/  PRI  issus de la 2042" ;
SURIMP : calculee restituee primrest = 1 : "avis IR : impot       en sursis de paiement" ;
SYNIMP : calculee restituee primrest = 1 : "Credit cotisations syndicales : montant impute" ;
SYNREST : calculee restituee primrest = 1 : "Credit cotisations syndicales : montant restitution" ;
T02 : const=10.00000  ;
T03 : const=40.00000  ;
T07 : const=10.00000  ;
T08 : const=40.00000  ;
T09 : const=80.00000  ;
T10 : const=10.00000  ;
T10MINS1 : calculee primrest = 0 : "tx eff. deductions plafonnees" ;
T10MINS2 : calculee primrest = 0 : "tx eff. deductions plafonnees" ;
T10MINS3 : calculee primrest = 0 : "tx eff. deductions plafonnees" ;
T10MINS4 : calculee primrest = 0 : "tx eff. deductions plafonnees" ;
T10MINSC : calculee primrest = 0 : "tx eff. deductions plafonnees" ;
T10MINSP : calculee restituee primrest = 0 : "deductions hors droits d'auteur plafonnees pour tx eff" ;
T10MINSV : calculee primrest = 0 : "tx eff. deductions plafonnees" ;
T11 : const=40.00000  ;
T12 : const=80.00000  ;
T17 : const=10.00000  ;
T22 : const=0.00000  ;
T2MAJOCAP : tableau[26] calculee primrest = 0 base : "Montant des majos pensions en capital de la strate en cours majo1758A" ;
T2MAJOHR : tableau[26] calculee primrest = 0 base : "Montant des majos hauts revenus  de la strate en cours majo1758A" ;
T2MAJOIR : tableau[26] calculee primrest = 0 base : "Montant des majos IR de la strate en cours majo 1758A" ;
T2MAJOTAXA : tableau[26] calculee primrest = 0 base : "Montant des majos TAXAGA  de la strate en cours majo1758A" ;
T2PRB1 : calculee primrest = 0 : "Tx effectif  Pensions brutes totales" ;
T2PRB2 : calculee primrest = 0 : "Tx effectif  Pensions brutes totales" ;
T2PRB3 : calculee primrest = 0 : "Tx effectif  Pensions brutes totales" ;
T2PRB4 : calculee primrest = 0 : "Tx effectif  Pensions brutes totales" ;
T2PRBC : calculee primrest = 0 : "Tx effectif  Pensions brutes totales" ;
T2PRBV : calculee primrest = 0 : "Tx effectif  Pensions brutes totales" ;
T2RV : calculee restituee primrest = 1 : "Total imposable des rentes viageres du foyer: quotient 2" ;
T2TSN1 : calculee primrest = 0 : "Tx effectif :  somme TS + allocation  " ;
T2TSN2 : calculee primrest = 0 : "Tx effectif :  somme TS + allocation  " ;
T2TSN3 : calculee primrest = 0 : "Tx effectif :  somme TS + allocation  " ;
T2TSN4 : calculee primrest = 0 : "Tx effectif :  somme TS + allocation  " ;
T2TSNC : calculee primrest = 0 : "Tx effectif :  somme TS + allocation  " ;
T2TSNV : calculee primrest = 0 : "Tx effectif :  somme TS + allocation  " ;
T31 : const=80.00000  ;
TABDOMDAJ : calculee primrest = 0 : "Abattement frais pro proratise pour EAJ tx eff." ;
TABDOMDBJ : calculee primrest = 0 : "Abattement frais pro proratise pour EAJ tx eff." ;
TABDOMEAJ : calculee primrest = 0 : "Abattement frais pro proratise pour EAJ tx eff." ;
TABDOMEBJ : calculee primrest = 0 : "Abattement frais pro proratise pour EAJ tx eff." ;
TABGL1C : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGL1V : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGL2C : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGL2V : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGL3C : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGL3V : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGLTC : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABGLTV : calculee primrest = 0 : "part de l'abattement pour frais sur gains de levee d'option eff." ;
TABPR1 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%) eff." ;
TABPR2 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%) eff." ;
TABPR3 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%) eff." ;
TABPR4 : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%) eff." ;
TABPRC : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%) eff." ;
TABPRV : calculee primrest = 0 : "Abattement brut avant ajustement (pensions retraites 10%) eff." ;
TABTS1AA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1AC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1AD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1AF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1AG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1AJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1AP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1BA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1BC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1BD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1BF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1BG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1BJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1BP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1CA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1CC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1CD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1CF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1CG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1CJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1CP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1DA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1DC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1DD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1DF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1DG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1DJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1DP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1EA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1EC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1ED : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1EF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1EG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1EJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1EP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1FA : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1FC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1FD : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1FF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1FG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1FJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1FP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1GB : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1GF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1GG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1GH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1HB : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1HF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1HG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1HH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1IB : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1IF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1IG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1IH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1JB : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1JF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1JG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1JH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1KF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1KG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1KH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1LF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1LG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1LH : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux" ;
TABTS1NX : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1OX : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1PM : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1QM : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1TP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1TT : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS1UP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx effectif" ;
TABTS1UT : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS3VJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTS3VK : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSC : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx eff." ;
TABTSRAF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRAG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRAJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRAP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRBF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRBG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRBJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRBP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRCF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRCG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRCJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRCP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRDF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRDG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRDJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRDP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSREF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSREJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSREP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRFF : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRFG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRFJ : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRFP : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSRGG : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux eff." ;
TABTSV : calculee primrest = 0 : "part de l'abattement pour frais sur TS normaux tx eff." ;
TAPB1 : calculee primrest = 0 : "tx eff. Minimum d'abattement 10% (PR)" ;
TAPB2 : calculee primrest = 0 : "tx eff. Minimum d'abattement 10% (PR)" ;
TAPB3 : calculee primrest = 0 : "tx eff. Minimum d'abattement 10% (PR)" ;
TAPB4 : calculee primrest = 0 : "tx eff. Minimum d'abattement 10% (PR)" ;
TAPBC : calculee primrest = 0 : "tx eff. Minimum d'abattement 10% (PR)" ;
TAPBV : calculee primrest = 0 : "tx eff. Minimum d'abattement 10% (PR)" ;
TAPR1 : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPR1AH : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1AL : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1AM : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1AO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1AS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1AZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1BH : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1BL : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1BM : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1BO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1BS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1BZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1CH : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1CL : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1CM : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1CO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1CS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1CZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1DH : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1DL : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1DM : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1DO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1DS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1DZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1EH : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1EL : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1EM : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1EO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1ES : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1EZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1FH : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1FL : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1FM : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1FO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1FS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR1FZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPR2 : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPR3 : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPR4 : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRC : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRFAS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRFBS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRFCS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRFDS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRFES : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRFFS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRAL : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRAM : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRAO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRAS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRAZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRBL : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRBM : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRBO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRBS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRBZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRCL : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRCM : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRCO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRCS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRCZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRDL : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRDM : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRDO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRDS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRDZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRREL : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRREM : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRREO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRES : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRREZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRFL : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRFM : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TAPRRFO : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRFS : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRRFZ : calculee primrest = 0 : "Abattement pensions retraites 10% tx effectif" ;
TAPRV : calculee primrest = 0 : "Abattement pensions retraites 10% tx eff." ;
TARDIFEVT2 : saisie penalite primrest = 0 alias V_TARDIFEVT2 : "nouv cor : si tardive, evt = 2, mino ou rectif" ;
TAUX1 : calculee primrest = 0 : "calcul des droits simple: TAUX 1 tranche" ;
TAUX2 : calculee primrest = 0 : "calcul des droits simple: TAUX 2 tranche" ;
TAUX3 : calculee primrest = 0 : "calcul des droits simple: TAUX 3 tranche" ;
TAUX4 : calculee primrest = 0 : "calcul des droits simple: TAUX 4 tranche" ;
TAUX5 : calculee primrest = 0 : "calcul des droits simple: TAUX 5 tranche" ;
TAUX6 : calculee primrest = 0 : "calcul des droits simple: TAUX 6 tranche" ;
TAUX_2042 : saisie penalite primrest = 0 alias V_TAUX_2042 : "nouv cor: taux majoration de la 2042 fourni par l interface" ;
TAUX_CONV : const=6.55957  ;
TAUX_STRATE : saisie penalite primrest = 0 alias V_TAUX_STRAT : "nouv cor: constante taux majoration de la strate" ;
TAX1649 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 1 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 1 alias 8VW : "Taxation train de vie (art. 1649 quater-0 B ter) (correctif)" ;
TAXA9YI : calculee primrest = 0 : "Calcul INR : Prorata des acomptes base deja verses " ;
TAXA9YI_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde 9YI " ;
TAXA9YI_P : calculee primrest = 0 base : "IR9YI primitif" ;
TAXA9YI_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
TAXA9YI_PA_A : calculee primrest = 0 base : "Correctif: impot 9YI base au calcul INR" ;
TAXABASE : calculee primrest = 0 : " nouv cor:base des majo TAXAGA" ;
TAXABASE2042_FIC : calculee restituee primrest = 0 base : "Montant final TAXAGA en base declaration fictive" ;
TAXABASEHCOU : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
TAXABASEHCOU_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
TAXABASE_A : calculee primrest = 0 base : "correctif : taxe assur calculee effectivement anterieure" ;
TAXABASE_DEF : calculee primrest = 0 : "nouv cor : sauvegarde irbase" ;
TAXABASE_I : calculee restituee primrest = 0 : "base des majo TAXAGA pour alimenter TAXABASE_IREF" ;
TAXABASE_INR : calculee primrest = 0 : " nouv cor:base des majo TAXAGA pour INR" ;
TAXABASE_INRREF : calculee primrest = 0 : " nouv cor:base des majo TAXAGA pour INR" ;
TAXABASE_INR_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR - 9YI" ;
TAXABASE_INR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR " ;
TAXABASE_IRECT : calculee restituee primrest = 0 base : "impot isole des credits d impot de la strate precedente" ;
TAXABASE_MAJO : calculee restituee primrest = 0 : " nouv cor:base des majo TAXAGA" ;
TAXABASE_N : calculee restituee primrest = 0 : "base des majo TAXAGA pour alimenter TAXABASE_NREF" ;
TAXABASE_NRECT : calculee restituee primrest = 0 base : "impot net des credits d impot de la strate precedente (TAXAGA - CI)" ;
TAXABASE_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
TAXABASE_REF : calculee primrest = 0 base : "nouv cor : sauvegarde TAXABASE" ;
TAXABRUT_P : calculee primrest = 0 base : "Correctif: impot servant de base au  MAJOS 1728" ;
TAXACUM : calculee restituee primrest = 1 : "Cumul de la taxe agent assurance deja acquittee" ;
TAXADEG : calculee restituee primrest = 0 : "droit de bail TAXASSUR degrevee" ;
TAXAGA_ANT : calculee primrest = 0 base : "MONTANT taxe assur base des INR retard traitement precedent" ;
TAXAGA_ANT2 : calculee primrest = 0 base : "MONTANT taxe assur base des INR retard traitement precedent" ;
TAXAGA_INIT : calculee primrest = 0 base : "nouv cor : taxation 2042_INIT pour la TL : sauvegarde TAXAGA " ;
TAXAGA_NTL : calculee primrest = 0 base : "MONTANT taxe assur base des INR NTL retard traitement courant" ;
TAXAGA_NTL2 : calculee primrest = 0 : "MONTANT taxe assur base des INR NTL retard traitement courant" ;
TAXAGA_NTL_1 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_NTL_22 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_NTL_222 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_NTL_24 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_NTL_242 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_PRI : calculee primrest = 0 base : "MONTANT taxe assur base des INR retard primitif" ;
TAXAGA_PRI2 : calculee primrest = 0 base : "MONTANT taxe assur base des INR retard primitif" ;
TAXAGA_RECT : calculee primrest = 0 base : "nouv cor : taxation 2042_RECT pour la TL: sauvegarde TAXAGA" ;
TAXAGA_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL: sauvegarde TAXAGA" ;
TAXAGA_TL2 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL: sauvegarde taxe assur" ;
TAXAGA_TL_1 : calculee primrest = 0 base : " nouv cor:taxation 2042_TL pour la TL inr red : sauvegarde taxe assur" ;
TAXAGA_TL_22 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_TL_222 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_TL_24 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAGA_TL_242 : calculee primrest = 0 base : "MONTANT Taxe assur base des INR NTL retard traitement courant code 22" ;
TAXAISO_DERSTTR : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias V_TAXAISO_DE : "TAXAGA sans imputation credits impots de la strate precedente" ;
TAXANEG : calculee primrest = 0 : "taxe + INR + majo" ;
TAXANET : calculee restituee primrest = 1 : "taxe + INR + majo" ;
TAXANET3 : calculee restituee primrest = 1 : "taxe + INR + majo - documents comptables" ;
TAXANET_A : calculee primrest = 0 base : "Net a payer taxe agent assurance anterieur" ;
TAXANTAFF : calculee restituee primrest = 1 : "Taxe assurance anterieur a afficher sur l avis" ;
TAXASSUR : calculee restituee primrest = 1 : "Montant taxe assurance " ;
TAXASSURC : calculee restituee primrest = 1 : "Montant taxe assurance  conjoint" ;
TAXASSURV : calculee restituee primrest = 1 : "Montant taxe assurance  vous" ;
TAXASSUR_EVT1 : calculee primrest = 0 base : "TAXASSUR 1er evt R07, 08, 17, 18, 31 utile si C ensuite" ;
TAXATARDIF_A : calculee restituee primrest = 0 base : "nouv cor : sauvegarde TAXAGA pour retard" ;
TAXATARDIF_DEF : calculee primrest = 0 : "nouv cor : sauvegarde TAXAGA pour retard" ;
TAXA_ISO : calculee restituee primrest = 0 : "base des majo TAXAGA isole pour alimenter TAXAISO_DERSTTR" ;
TAXA_ISO_RECT : calculee primrest = 0 base : "IR apres prise en compte de tous rappels" ;
TAXA_NTLDEC : calculee primrest = 0 base : "MONTANT taxe assur base des INR retard non TL traitement courant" ;
TAXA_NTLDEC_1 : calculee primrest = 0 base : "MONTANT taxe ass base des INR retard non TL traitement courant code 22" ;
TAXA_NTLDEC_198 : calculee primrest = 0 base : "MONTANT taxe ass base des INR retard non TL traitement courant code 22" ;
TAXA_NTLDEC_22 : calculee primrest = 0 base : "MONTANT taxe ass base des INR retard non TL traitement courant code 22" ;
TAXA_NTLDEC_24 : calculee primrest = 0 base : "MONTANT taxe ass base des INR retard non TL traitement courant code 22" ;
TAXA_P : calculee primrest = 0 base : "TAXAGA primitif" ;
TAXA_PA : calculee primrest = 0 : "Correctif: impot taxe assur. servant de base au calcul INR" ;
TAXA_PA_A : calculee primrest = 0 base : "Correctif: impot taxe assur servant de base au calcul INR" ;
TAXA_R : calculee primrest = 0 base : "Taxe assur (D REFERENCE)" ;
TAXA_R9901 : calculee primrest = 0 base : " nouv cor:Taxe assur rectifie pour calcul INR code 99 prim. " ;
TAXA_R9901_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 et 01" ;
TAXA_R99R : calculee primrest = 0 base : " nouv cor:Taxe assur rectifie pour calcul INR code 99 prim. penalisee" ;
TAXA_R99R_A : calculee primrest = 0 base : "Correctif: impot issu du calcul apres maj 99 penalise" ;
TAXA_REF : calculee primrest = 0 base : "MONTANT Taxe assur base du calcul INR retard" ;
TAXA_REFP : calculee primrest = 0 base : "MONTANT taxe assur initiale maj R99 et C base du calcul INR" ;
TAXA_REF_A : calculee primrest = 0 base : "Correctif: impot reference anterieur OBbase au calcul INR" ;
TAXA_REF_INR : calculee primrest = 0 base : "MONTANT taxe ass base des INR TL retard traitement de reference" ;
TAXA_TARDIF : calculee primrest = 0 : "nouv cor : sauvegarde TAXAGA pour retard" ;
TAXA_TL : calculee primrest = 0 base : "nouv cor : taxation 2042_TL pour la TL: sauvegarde TAXAGA" ;
TAXA_TLDEC : calculee primrest = 0 base : "MONTANT tax base des INR retard TL du traitement courant" ;
TAXA_TLDEC_1 : calculee primrest = 0 base : "MONTANT taxe assu base des INR retard TL du traitement courant code 22" ;
TAXA_TLDEC_199 : calculee primrest = 0 base : "MONTANT taxe assu base des INR retard TL du traitement courant code 22" ;
TAXA_TLDEC_22 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
TAXA_TLDEC_24 : calculee primrest = 0 base : "MONTANT  base des INR retard TL du traitement courant code 22" ;
TAXDEG : calculee primrest = 0 : "Taxe aga 2,5% degrevee" ;
TAXNET : calculee primrest = 0 : "taxe + INR + majo" ;
TBICNPABC : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBICNPABP : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBICNPABV : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBICNPF : calculee primrest = 0 : "Revenu tot BIC mic. tx eff. auto" ;
TBICNPOCC : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICNPOCF : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICNPOCP : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICNPOCV : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICNPOF : calculee primrest = 0 : "BIC non pro - Taux eff - Revenus ordinaires nets imposables du foyer" ;
TBICNPONCC : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable" ;
TBICNPONCP : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable" ;
TBICNPONCV : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu ordinaire net imposable" ;
TBICNPOTF : calculee primrest = 0 : "BIC non pro - Taux eff - Total net imposable ordinaire apres deficit" ;
TBICNPPROVC : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBICNPPROVP : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBICNPQCC : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu au quotient net imposable compense" ;
TBICNPQCF : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu au quotient net imposable compense" ;
TBICNPQCP : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu au quotient net imposable compense" ;
TBICNPQCV : calculee primrest = 0 : "BIC non pro - Taux eff - Revenu au quotient net imposable compense" ;
TBICNPQF : calculee primrest = 0 : "BIC non pro - Taux eff - Revenus au quotient nets imposables du foyer" ;
TBICNPQTF : calculee primrest = 0 : "BIC non pro - Taux eff - Total net imposable au quotient apres deficit" ;
TBICPABC : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TBICPABP : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TBICPABV : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TBICPF : calculee primrest = 0 : "Revenu tot BIC mic. tx eff. auto" ;
TBICPROOCC : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICPROOCF : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICPROOCP : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICPROOCV : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable compense" ;
TBICPROOF : calculee primrest = 0 : "BIC pro - Taux eff - Rvenus ordinaires nets imposables du foyer" ;
TBICPROONCC : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable (micro+reel)" ;
TBICPROONCP : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable (micro+reel)" ;
TBICPROONCV : calculee primrest = 0 : "BIC pro - Taux eff - Revenu ordinaire net imposable (micro+reel)" ;
TBICPROQCC : calculee primrest = 0 : "BIC pro - Taux eff - Revenu au quotient net imposable (reel) compense" ;
TBICPROQCF : calculee primrest = 0 : "BIC pro - Taux eff - Revenu au quotient net imposable (reel) compense" ;
TBICPROQCP : calculee primrest = 0 : "BIC pro - Taux eff - Revenu au quotient net imposable (reel) compense" ;
TBICPROQCV : calculee primrest = 0 : "BIC pro - Taux eff - Revenu au quotient net imposable (reel) compense" ;
TBICPROQF : calculee primrest = 0 : "BIC pro - Taux eff - Revenus au quotient nets imposables du foyer" ;
TBICPROVC : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBICPROVP : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBNCDF : calculee restituee primrest = 0 : "BNC somme deficits" ;
TBNCDF1 : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF2 : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF2P : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF3 : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF3P : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF4 : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF4P : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF5 : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF5P : calculee primrest = 0 : "BNC def. reportable n-2 tx effectif" ;
TBNCDF6 : calculee primrest = 0 : "BNC def. reportable n-x tx effectif" ;
TBNCDF6P : calculee primrest = 0 : "BNC def. reportable n-2 tx effectif" ;
TBNCDF_P : calculee primrest = 0 base : "Deficit a reporter annee n pr affichage 1731 tx effectif" ;
TBNCIF : calculee restituee primrest = 0 : "AVIS99:REVENUS NON COMM NON PROF NETS DU FOYER IMPOSABLES tx effectif" ;
TBNCNPABC : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBNCNPABP : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBNCNPABV : calculee primrest = 0 : "repartition de l abat rev  non professionnels prestations tx eff. auto" ;
TBNCNPHQCC : calculee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro tx eff" ;
TBNCNPHQCF : calculee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro tx eff" ;
TBNCNPHQCP : calculee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro tx eff" ;
TBNCNPHQCV : calculee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro tx eff" ;
TBNCNPHQF : calculee primrest = 0 : "Total imposable BNC  hors quotient compense non  pro " ;
TBNCNPHQNCC : calculee primrest = 0 : "Total imposable BNC  hors quotient tot non pro sans compensation" ;
TBNCNPHQNCP : calculee primrest = 0 : "Total imposable BNC  hors quotient tot non pro sans compensation" ;
TBNCNPHQNCV : calculee primrest = 0 : "Total imposable BNC  hors quotient tot non pro sans compensation" ;
TBNCNPQC : calculee restituee primrest = 0 : " BNC  non pro Q pour avis conj" ;
TBNCNPQCC : calculee primrest = 0 : "Total imposable BNC  quotient tot  non pro compensation" ;
TBNCNPQCF : calculee primrest = 0 : "Total imposable BNC  quotient tot foyer non pro compensation" ;
TBNCNPQCP : calculee primrest = 0 : "Total imposable BNC  quotient tot  non pro compensation" ;
TBNCNPQCV : calculee primrest = 0 : "Total imposable BNC  quotient tot vous non pro compensation" ;
TBNCNPQF : calculee restituee primrest = 0 : " BNC  non pro Q pour avis foyer" ;
TBNCPABC : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TBNCPABP : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TBNCPABV : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TBNCPHQC : calculee primrest = 0 : "Total imposable BNC quotient pro" ;
TBNCPHQCC : calculee primrest = 0 : " BNC  pro Q pour avis compensation " ;
TBNCPHQCF : calculee primrest = 0 : "Total imposable BNC  quotient tot foyer pro" ;
TBNCPHQCP : calculee primrest = 0 : " BNC  pro Q pour avis compensation " ;
TBNCPHQCV : calculee primrest = 0 : " BNC  pro Q pour avis compensation " ;
TBNCPHQF : calculee primrest = 0 : "Total imposable BNC hors  quotient tot foyer pro" ;
TBNCPHQNCC : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro conj" ;
TBNCPHQNCF : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro " ;
TBNCPHQNCP : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro " ;
TBNCPHQNCV : calculee primrest = 0 : "Total imposable BNC  hors quotient sans def pro " ;
TBNCPQC : calculee restituee primrest = 0 : " BNC  pro Q pour avis" ;
TBNCPQCC : calculee primrest = 0 : " BNC  pro Q pour avis compensation " ;
TBNCPQCF : calculee primrest = 0 : "Total imposable BNC  quotient tot foyer pro" ;
TBNCPQCP : calculee primrest = 0 : " BNC  pro Q pour avis compensation " ;
TBNCPQCV : calculee primrest = 0 : " BNC  pro Q pour avis compensation " ;
TBNCPQF : calculee restituee primrest = 0 : " BNC  pro Q pour avis foyer" ;
TBNCPQNCC : calculee primrest = 0 : "Total imposable BNC quotient sans def pro" ;
TBNCPQNCP : calculee primrest = 0 : "Total imposable BNC quotient sans def pro" ;
TBNCPQNCV : calculee primrest = 0 : "Total imposable BNC quotient sans def pro" ;
TBNCPQUOTF : calculee primrest = 0 : "Total imposable BNC  quotient tot foyer pro" ;
TBNCTOTABC : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto tot" ;
TBNCTOTABP : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto tot" ;
TBNCTOTABV : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto tot" ;
TBNN : calculee primrest = 0 : "Revenu tot BNC mic. tx eff. auto" ;
TBNNAMNC : calculee primrest = 0 : " BNC  " ;
TBNNAMNP : calculee primrest = 0 : " BNC  " ;
TBNNAMNV : calculee primrest = 0 : " BNC  " ;
TBNNNC : calculee restituee primrest = 0 : "BNC non pro hors quotient total - dec 1 tx eff" ;
TBNNNP : calculee restituee primrest = 0 : "BNC non pro hors quotient total - dec 1 tx eff" ;
TBNNNV : calculee restituee primrest = 0 : "BNC non pro hors quotient total - dec 1 tx eff" ;
TBNNS5QI : calculee primrest = 0 : " BNC  " ;
TBNNS5RI : calculee primrest = 0 : " BNC  " ;
TBNNS5SI : calculee primrest = 0 : " BNC  " ;
TBNNS5TI : calculee primrest = 0 : " BNC  " ;
TBNNS5UI : calculee primrest = 0 : " BNC  " ;
TBNNS5VI : calculee primrest = 0 : " BNC  " ;
TBNNS5XK : calculee primrest = 0 : " BNC  " ;
TBNNS5YK : calculee primrest = 0 : " BNC  " ;
TBNNS5ZK : calculee primrest = 0 : " BNC  " ;
TBNNSMNC : calculee primrest = 0 : " BNC  " ;
TBNNSMNP : calculee primrest = 0 : " BNC  " ;
TBNNSMNV : calculee primrest = 0 : " BNC  " ;
TC820BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot CSG de la strate en cours" ;
TCDIS : const=30.00000  ;
TCDISBASE : tableau[26] calculee primrest = 0 base : "Montant de l impot CSG de la strate en cours" ;
TCHRBASE : tableau[26] calculee primrest = 0 base : "Montant hauts revenus de la strate en cours" ;
TCHRBASEDEF : tableau[26] calculee primrest = 0 base : "Montant CHR definitif de la strate en cours" ;
TCSBASE : tableau[26] calculee primrest = 0 base : "Montant de l impot CSG de la strate en cours" ;
TCVNBASE : tableau[26] calculee primrest = 0 base : "Montant CVNSALC de la strate en cours" ;
TD10M1 : calculee primrest = 0 : "deduction 10% apres prise en compte de la deduction minimale  effectif" ;
TD10M2 : calculee primrest = 0 : "deduction 10% apres prise en compte de la deduction minimale  effectif" ;
TD10M3 : calculee primrest = 0 : "deduction 10% apres prise en compte de la deduction minimale  effectif" ;
TD10M4 : calculee primrest = 0 : "deduction 10% apres prise en compte de la deduction minimale  effectif" ;
TD10MC : calculee primrest = 0 : "deduction 10% apres prise en compte de la deduction minimale  effectif" ;
TD10MV : calculee primrest = 0 : "deduction 10% apres prise en compte de la deduction minimale  effectif" ;
TDABNCNPC : calculee restituee primrest = 0 : "PAS Somme deficits BNC - taux effectif - dec2" ;
TDABNCNPF : calculee restituee primrest = 0 : "PAS Somme deficits BNC - taux effectif - foyer" ;
TDABNCNPP : calculee restituee primrest = 0 : "PAS Somme deficits BNC - taux effectif - PAC" ;
TDABNCNPV : calculee restituee primrest = 0 : "PAS Somme deficits BNC - taux effectif - dec1" ;
TDEDMIN1 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires tx eff." ;
TDEDMIN2 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires tx eff." ;
TDEDMIN3 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires tx eff." ;
TDEDMIN4 : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires tx eff." ;
TDEDMINC : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires tx eff." ;
TDEDMINV : calculee primrest = 0 : "Deduction minimale a appliquer sur salaires tx eff." ;
TDEF5QC : calculee primrest = 0 : " BNC  " ;
TDEF5QI : calculee primrest = 0 : " BNC  " ;
TDEF5RC : calculee primrest = 0 : " BNC  " ;
TDEF5RI : calculee primrest = 0 : " BNC  " ;
TDEF5SC : calculee primrest = 0 : " BNC  " ;
TDEF5SI : calculee primrest = 0 : " BNC  " ;
TDEF5TF : calculee primrest = 0 : " BNC  " ;
TDEF5TI : calculee primrest = 0 : " BNC  " ;
TDEF5UF : calculee primrest = 0 : " BNC  " ;
TDEF5UI : calculee primrest = 0 : " BNC  " ;
TDEF5VF : calculee primrest = 0 : " BNC  " ;
TDEF5VI : calculee primrest = 0 : " BNC  " ;
TDEF5XJ : calculee primrest = 0 : " BNC  " ;
TDEF5XK : calculee primrest = 0 : " BNC  " ;
TDEF5YJ : calculee primrest = 0 : " BNC  " ;
TDEF5YK : calculee primrest = 0 : " BNC  " ;
TDEF5ZJ : calculee primrest = 0 : " BNC  " ;
TDEF5ZK : calculee primrest = 0 : " BNC  " ;
TDEFBANI : calculee restituee primrest = 0 : "BA. : deficits ant. imput?s1731 tx effectif" ;
TDEFBANI1731 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731 tx effectif" ;
TDEFBANIF : calculee restituee primrest = 0 : "BA. : deficits ant. imputes1731 tx effectif " ;
TDEFBANIP2 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731 tx effectif" ;
TDEFBANIP3 : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731 tx effectif" ;
TDEFBANI_P : calculee restituee primrest = 0 base : "BA. : deficits ant. imput?s1731 tx effectif" ;
TDEFBICNPF : calculee primrest = 0 : "BIC non professionnel deficit du foyer tx effectif" ;
TDEFBNCNP : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDEFBNCNP1731 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDEFBNCNPF : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDEFBNCNPP2 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDEFBNCNPP3 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput" ;
TDEFBNCNP_P : calculee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDEFCQC : calculee primrest = 0 : " BNC  " ;
TDEFCQI : calculee primrest = 0 : " BNC  " ;
TDEFCRC : calculee primrest = 0 : " BNC  " ;
TDEFCRI : calculee primrest = 0 : " BNC  " ;
TDEFCSC : calculee primrest = 0 : " BNC  " ;
TDEFCSI : calculee primrest = 0 : " BNC  " ;
TDEFNPI : calculee restituee primrest = 0 : "BIC np - deficits anterieurs imputes hors 1731  tx effectif" ;
TDEFNPI1731 : calculee restituee primrest = 0 base : "def bic non impute tx effectif" ;
TDEFNPIP2 : calculee restituee primrest = 0 base : "def bic non impute tx effectif" ;
TDEFNPI_P : calculee primrest = 0 base : "def bic non impute tx effectif" ;
TDFANTIMPU : calculee restituee primrest = 0 : "Deficits globaux des annees anterieures imputes tx effectif" ;
TDFANTPROV : calculee restituee primrest = 0 : "Deficits globaux des annees anterieures tx eff" ;
TDFANTPROV1731 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures tx eff" ;
TDFANTPROVP2 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures tx eff" ;
TDFANTPROVP3 : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures tx eff" ;
TDFANTPROV_P : calculee restituee primrest = 0 base : "Deficits globaux des annees anterieures tx eff" ;
TDFBICNPF : calculee restituee primrest = 0 : "BIC non professionnels pour 1731 tx effectif" ;
TDFBICNPF1731 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput tx effectif" ;
TDFBICNPFP2 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput tx effectif" ;
TDFBICNPFP3 : calculee restituee primrest = 0 base : "def bic pour 1731 non imput calcul 1731 avec majo 1731" ;
TDFBICNPF_P : calculee primrest = 0 base : "def bic pour 1731 non imput tx effectif" ;
TDFN1 : calculee primrest = 0 : "tx effectif Deduction forfaitaire de 10%" ;
TDFN2 : calculee primrest = 0 : "tx effectif Deduction forfaitaire de 10%" ;
TDFN3 : calculee primrest = 0 : "tx effectif Deduction forfaitaire de 10%" ;
TDFN4 : calculee primrest = 0 : "tx effectif Deduction forfaitaire de 10%" ;
TDFNC : calculee primrest = 0 : "tx effectif Deduction forfaitaire de 10%" ;
TDFNV : calculee primrest = 0 : "tx effectif Deduction forfaitaire de 10%" ;
TDIDABNCNP : calculee restituee primrest = 0 : "Act. non comm. non prof. : deficits ant. imput?s tx eff" ;
TDIDABNCNP1 : calculee restituee primrest = 0 : "Act. non comm. non prof. : deficits ant. imput?s tx eff" ;
TDIDABNCNP11731 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDIDABNCNP1P2 : calculee restituee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDIDABNCNP1_P : calculee primrest = 0 base : "def bnc pour 1731 non imput tx effectif" ;
TDIDABNCNPHQ : calculee primrest = 0 : "Act. non comm. non prof. : deficits ant. imputes HQ" ;
TDIDABNCNPQ : calculee primrest = 0 : "Act. non comm. non prof. : deficits ant. imputes Q" ;
TDNPLOCIMPU : calculee primrest = 0 : "location meublee non pro deficit ant impute  tx effectif" ;
TECIMP : calculee restituee primrest = 1 : "Risques technologiques : montant impute" ;
TECREST : calculee restituee primrest = 1 : "Risques technologiques : montant restitution" ;
TEFF : calculee restituee primrest = 0 : "Taux effectif : revenu total" ;
TEFFHRC : saisie revenu classe = 0 priorite = 51 categorie_TL = 20 cotsoc = 8 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8YC : "Revenus etrangers taux effectif contribution hauts revenus" type REEL ;
TEFFN : calculee restituee primrest = 1 : "Taux effectif : deficit mondial" ;
TEFFN_1 : calculee primrest = 0 : "tx effectif sans 1731 " ;
TEFFN_2 : calculee primrest = 0 : "tx effectif  avec 1731 " ;
TEFFP : calculee restituee primrest = 1 : "Taux effectif : revenu mondial" ;
TEFFP_1 : calculee primrest = 0 : "tx effectif sans 1731 " ;
TEFFP_2 : calculee primrest = 0 : "tx effectif  avec 1731 " ;
TEFFREV : calculee primrest = 0 : "Revenu tot BIC mic. BNC reg. spec. tx eff. auto" ;
TEFFREVINTER : calculee primrest = 0 : "Revenu intermediaire tx eff. auto" ;
TEFFREVINTERHR : calculee primrest = 0 : "Revenu intermediaire tx eff. auto pour CHR " ;
TEFFREVRFR : calculee primrest = 0 : "Revenu tot BIC mic. BNC reg. spec. tx eff. auto" ;
TEFFREVTOT : calculee primrest = 0 : "Revenu tot BIC mic. BNC reg. spec. tx eff. auto" ;
TEFFREVTOTRFR : calculee primrest = 0 : "Revenu tot BIC mic. BNC reg. spec. tx eff. auto" ;
TEFFREVTOTRFRHR : calculee primrest = 0 : "Revenu tot BIC mic. BNC reg. spec. tx eff. auto haut revenu" ;
TEGL3 : calculee primrest = 0 : "Revenus au quotient  hors revenus footballeurs nets imposables" ;
TEGLF1 : calculee primrest = 0 : "pensions footballeurs imposables - tx eff" ;
TEGLF2 : calculee primrest = 0 : "pensions footballeurs imposables - tx eff" ;
TEGLF3 : calculee primrest = 0 : "pensions footballeurs imposables - tx eff" ;
TEGLF4 : calculee primrest = 0 : "pensions footballeurs imposables - tx eff" ;
TEGLFC : calculee primrest = 0 : "pensions footballeurs imposables - tx eff" ;
TEGLFV : calculee primrest = 0 : "pensions footballeurs imposables - tx eff" ;
TEGLRF1 : calculee primrest = 0 : "Rev foncier   imposables tx effectif" ;
TEGLRF2 : calculee primrest = 0 : "Rev foncier   imposables tx effectif" ;
TEGLRF3 : calculee primrest = 0 : "Rev foncier   imposables tx effectif" ;
TERASRPQ4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQ4C : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQ4P : calculee primrest = 0 : "Revenus au quotient   nets imposables PAC" ;
TERASRPQ4RAJV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQ4RBJC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQ4TVC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQ4V : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQ4VC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQF1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQF2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQF3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQF4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQFC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQFV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPALIM1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPALIM2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPALIM3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPALIM4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPALIMC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPALIMV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRR1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRR2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRR3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRR4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRZ1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRZ2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRZ3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRZ4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRZC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQPRRZV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRAF : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRAG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRAI : calculee primrest = 0 : "Revenus au quotient nets imposables" ;
TERASRPQRAL : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRAM : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRBF : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRBG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRBI : calculee primrest = 0 : "Revenus au quotient nets imposables" ;
TERASRPQRBL : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRBM : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCF : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCK : calculee primrest = 0 : "Revenus au quotient nets imposables" ;
TERASRPQRCL : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCM : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMCH : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMDC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMFU : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMGO : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMTR : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMTS : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRCMYY : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRDF : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRDG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRDL : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRDM : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQREF : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQREL : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQREM : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRF1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRF2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRF3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRFF : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRFG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRFL : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRFM : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRGG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRUA : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVG : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO5 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO5R : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO6 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO6R : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO7 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVO7R : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRVOR : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRWA : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQRWB : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTS1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTS2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTS3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTS4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSREMP1 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSREMP2 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSREMP3 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSREMP4 : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSREMPC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSREMPV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERASRPQTSV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TERPQ1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ4C : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  conj" ;
TERPQ4CM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ4RAJV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot.  RAJ vous " ;
TERPQ4RBJC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot.  RBJ cjt" ;
TERPQ4TVC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  vous conj" ;
TERPQ4TVCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ4V : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  vous" ;
TERPQ4VC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  vous conj" ;
TERPQ4VCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQ4VM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQF4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQFC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQFCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQFV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQFVM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIM4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIMC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIMCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIMV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPALIMVM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRR4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRVM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZ4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQPRRZVM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAF : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAI : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot. " ;
TERPQRAIM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot. " ;
TERPQRAL : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRALM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRAMM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBF : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBI : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot. " ;
TERPQRBIM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot. " ;
TERPQRBL : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBLM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRBMM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCF : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCK : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot. " ;
TERPQRCKM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bareme quot. " ;
TERPQRCL : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCLM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMCH : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMCHM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMDC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMDCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMFU : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMFUM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMGO : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMGOM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMTR : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMTRM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMTS : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMTSM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMYY : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRCMYYM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDF : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDL : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDLM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRDMM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQREF : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQREFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQREL : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRELM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQREM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQREMM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRF1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRF1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRF2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRF2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRF3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRF3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFF : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFL : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFLM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRFMM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRGG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRGGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRUA : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  code RUA" ;
TERPQRUAM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  RUA" ;
TERPQRVG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  code RVG" ;
TERPQRVGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  RVG" ;
TERPQRVO : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO5 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO5M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO5R : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO5RM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO6 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO6M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO6R : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO6RM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO7 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO7M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO7R : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVO7RM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVOM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVOR : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRVORM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQRWA : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  code RWA" ;
TERPQRWAM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  RWA" ;
TERPQRWB : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  code RWB" ;
TERPQRWBM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot.  RWB" ;
TERPQTS1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTS4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMP4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMPC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMPCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMPV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSREMPVM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TERPQTSVM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TESTBLOC : calculee restituee primrest = 1 base : "Indicateur synthese bloc 3" ;
TESTCOMP : calculee restituee primrest = 1 base : "Indicateur controle comptable" ;
TETONEQUO1 : calculee primrest = 0 : "somme des revenus au quot divises par leur quotient respectif tx eff" ;
TETONEQUOM1 : calculee primrest = 0 : "somme des revenus au quot divises par leur quotient respectif tx eff" ;
TEXPR1 : calculee primrest = 0 : "Tx effectif Pensions totales PAC (1CS + ACS +BCS + CCS)" ;
TEXPR2 : calculee primrest = 0 : "Tx effecitf Pensions totales PAC (1DS + ADS +BDS + CDS)" ;
TEXPR3 : calculee primrest = 0 : "Tx effectif Pensions totales PAC (1RS + ARS +BRS + CRS)" ;
TEXPR4 : calculee primrest = 0 : "Tx effectif Pensions totales PAC (1TS + ATS +BTS + CTS)" ;
TEXPRC : calculee primrest = 0 : "Tx effectif Pensions totales conjoint (1BS + ABS +BBS + CBS)" ;
TEXPRV : calculee primrest = 0 : "Tx effectif Pensions totales vous (1AS + AAS +BAS + CAS)" ;
TEXSPB1 : calculee primrest = 0 : " tx eff. salaires et pensions declares ordinaires + exceptionnels" ;
TEXSPB2 : calculee primrest = 0 : " tx eff. salaires et pensions declares ordinaires + exceptionnels" ;
TEXSPB3 : calculee primrest = 0 : " tx eff. salaires et pensions declares ordinaires + exceptionnels" ;
TEXSPB4 : calculee primrest = 0 : " tx eff. salaires et pensions declares ordinaires + exceptionnels" ;
TEXSPBC : calculee primrest = 0 : " tx eff. salaires et pensions declares ordinaires + exceptionnels" ;
TEXSPBV : calculee primrest = 0 : " tx eff. salaires et pensions declares ordinaires + exceptionnels" ;
TEXTS1 : calculee primrest = 0 : "Tx effectif Salaires totaux PAC (1CJ + ACJ +BCJ + CCJ)" ;
TEXTS2 : calculee primrest = 0 : "Tx effectif  Salaires totaux PAC (1DJ + ADJ +BDJ + CDJ)" ;
TEXTS3 : calculee primrest = 0 : "Tx effectif  Salaires totaux PAC (1EJ + AEJ +BEJ + CEJ)" ;
TEXTS4 : calculee primrest = 0 : "Tx effectif  Salaires totaux PAC (1FJ + AFJ +BFJ + CFJ)" ;
TEXTSC : calculee primrest = 0 : "Tx effectif  Salaires totaux conjoint (1BJ + ABJ +BBJ + CBJ)" ;
TEXTSV : calculee primrest = 0 : "Salaires totaux vous (1AJ + AAJ +BAJ + CAJ)" ;
TFPT1 : calculee primrest = 0 : "deduction de 10% ou frais reels tx eff." ;
TFPT2 : calculee primrest = 0 : "deduction de 10% ou frais reels tx eff." ;
TFPT3 : calculee primrest = 0 : "deduction de 10% ou frais reels tx eff." ;
TFPT4 : calculee primrest = 0 : "deduction de 10% ou frais reels tx eff." ;
TFPTC : calculee primrest = 0 : "deduction de 10% ou frais reels tx eff." ;
TFPTV : calculee primrest = 0 : "deduction de 10% ou frais reels tx eff." ;
TFRD1 : calculee restituee primrest = 0 : "Frais reels declares tx effectif" ;
TFRD11731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD1P2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD1_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD1_P : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD2 : calculee restituee primrest = 0 : "Frais reels declares tx effectif" ;
TFRD21731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD2P2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD2_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD2_P : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD3 : calculee restituee primrest = 0 : "Frais reels declares tx effectif" ;
TFRD31731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD3P2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD3_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD3_P : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD4 : calculee restituee primrest = 0 : "Frais reels declares tx effectif" ;
TFRD41731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD4P2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRD4_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRD4_P : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRDC : calculee restituee primrest = 0 : "Frais reels declares tx effectif" ;
TFRDC1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRDCP2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRDC_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRDC_P : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRDP : calculee restituee primrest = 0 : "Frais reels declares pac" ;
TFRDPROV1 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROV11731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV1P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROV21731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV2P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV3 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROV31731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV3P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV4 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROV41731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROV4P2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROVC : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROVC1731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROVCP2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROVP : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROVP1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 pac" ;
TFRDPROVPP2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 pac" ;
TFRDPROVV : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731 tx eff" ;
TFRDPROVV1731 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDPROVVP2 : calculee restituee primrest = 0 base : "Frais reel TS  pour 1731" ;
TFRDV : calculee restituee primrest = 0 : "Frais reels declares tx effectif" ;
TFRDV1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRDVP2 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TFRDV_A : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TFRDV_P : calculee primrest = 0 base : "Correctif: frais prof suite defaut ou retard" ;
TGATASAC : calculee restituee primrest = 0 : "Tx effectif Gains de cessions taxables en salaires sur avis (3VK  1UT)" ;
TGATASAV : calculee restituee primrest = 0 : "Tx effectif Gains de cessions taxables en salaires sur avis (3VK  1UT)" ;
TGL1 : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL1M : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGL2 : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL2M : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGL3 : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL3M : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGL4 : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL4C : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL4CM : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGL4M : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGL4RAJV : calculee primrest = 0 : "Revenus au quotient 1 RAJ nets imposables" ;
TGL4RBJC : calculee primrest = 0 : "Revenus au quotient 1 RBJ nets imposables" ;
TGL4TVC : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL4TVCM : calculee primrest = 0 : "Revenus au quotient 4 hors rev foot nets imposablesTXMOY" ;
TGL4V : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL4VC : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGL4VCM : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGL4VM : calculee primrest = 0 : "Revenus au quotient 1 hors rev foot nets imposablesTXMOY" ;
TGLDOMAVDAJV : calculee primrest = 0 : "Rev salaraiux excep metro dom net pour avis eff." ;
TGLDOMAVDBJC : calculee primrest = 0 : "Rev salaraiux excep metro dom net pour avis eff." ;
TGLDOMAVEAJV : calculee primrest = 0 : "Rev salaraiux excep metro dom net pour avis eff." ;
TGLDOMAVEBJC : calculee primrest = 0 : "Rev salaraiux excep metro dom net pour avis eff." ;
TGLF1 : calculee primrest = 0 : "pensions footballeurs imposables - " ;
TGLF1M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLF2 : calculee primrest = 0 : "pensions footballeurs imposables - " ;
TGLF2M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLF3 : calculee primrest = 0 : "pensions footballeurs imposables - " ;
TGLF3M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLF4 : calculee primrest = 0 : "pensions footballeurs imposables - " ;
TGLF4M : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLFC : calculee primrest = 0 : "pensions footballeurs imposables - " ;
TGLFCM : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLFTOT : calculee primrest = 0 : "pensions footballeurs imposables - " ;
TGLFTOTM : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLFV : calculee primrest = 0 : "pensions footballeurs imposables - Vous" ;
TGLFVM : calculee primrest = 0 : "Revenus  foot nets imposablesTXMOY" ;
TGLN3 : calculee primrest = 0 : "Gain de levee d'option net tx eff" ;
TGLN3C : calculee primrest = 0 : "Gain de levee d'option net eff." ;
TGLN3V : calculee primrest = 0 : "Gain de levee d'option net eff." ;
TGLN4C : calculee primrest = 0 : "Gain de levee d'option net eff." ;
TGLN4V : calculee primrest = 0 : "Gain de levee d'option net eff." ;
TGLOBASE : tableau[26] calculee primrest = 0 base : "Montant CGLOA de la strate en cours" ;
TGLPALIM1 : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM1M : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM2 : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM2M : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM3 : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM3M : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM4 : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIM4M : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIMC : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIMCM : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIMTOT : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIMTOTM : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIMV : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPALIMVM : calculee primrest = 0 : "Revenus au quotient pension alimentaire" ;
TGLPRR1 : calculee primrest = 0 : "Revenus au quotient pension normale tx effectif" ;
TGLPRR1M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRR2 : calculee primrest = 0 : "Revenus au quotient pension normale tx effectif" ;
TGLPRR2M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRR3 : calculee primrest = 0 : "Revenus au quotient pension normale tx effectif" ;
TGLPRR3M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRR4 : calculee primrest = 0 : "Revenus au quotient pension normale tx effectif" ;
TGLPRR4M : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRRC : calculee primrest = 0 : "Revenus au quotient pension normale tx effectif" ;
TGLPRRCM : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRRTOT : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLPRRTOTM : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRRV : calculee primrest = 0 : "Revenus au quotient pension normale tx effectif" ;
TGLPRRVM : calculee restituee primrest = 0 : "Revenus au quotient pension normale" ;
TGLPRRZ1 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ1M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ2 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ2M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ3 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ3M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ4 : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZ4M : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZC : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZCM : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZV : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLPRRZVM : calculee restituee primrest = 0 : "Revenus au quotient pension normale code RxZ tx eff" ;
TGLRAF : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAG : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAGM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAI : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAIM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAL : calculee primrest = 0 : "TS et PR quotient" ;
TGLRALM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRAMM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBF : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBG : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBGM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBI : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBIM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBL : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBLM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRBMM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCF : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCG : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCGM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCK : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCKM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCL : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCLM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCMCH : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMCHM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRCMDC : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMDCM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRCMFU : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMFUM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRCMGO : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMGOM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRCMM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRCMTOT : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLRCMTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRCMTR : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMTRM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRCMTS : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMTSM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRCMYY : calculee primrest = 0 : "Revenus au quotient  tx eff" ;
TGLRCMYYM : calculee restituee primrest = 0 : "Revenus au quotient " ;
TGLRDF : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDG : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDGM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDL : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDLM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRDMM : calculee primrest = 0 : "TS et PR quotient" ;
TGLREF : calculee primrest = 0 : "TS et PR quotient" ;
TGLREFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLREL : calculee primrest = 0 : "TS et PR quotient" ;
TGLRELM : calculee primrest = 0 : "TS et PR quotient" ;
TGLREM : calculee primrest = 0 : "TS et PR quotient" ;
TGLREMM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRF1 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables tx eff" ;
TGLRF1M : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRF2 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables tx eff" ;
TGLRF2M : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRF3 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables tx eff" ;
TGLRF3M : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables tx eff" ;
TGLRFF : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFG : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFGM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFL : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFLM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFMM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRFTOT : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLRFTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRGG : calculee primrest = 0 : "TS et PR quotient" ;
TGLRGGM : calculee primrest = 0 : "TS et PR quotient" ;
TGLRUA : calculee restituee primrest = 0 : "Revenus au quotient NUA hors revenus footballeurs nets imposables" ;
TGLRUAM : calculee restituee primrest = 0 : "Revenus au quotient NUA hors revenus footballeurs nets imposables" ;
TGLRVG : calculee restituee primrest = 0 : "Revenus au quotient NVG hors revenus footballeurs nets imposables" ;
TGLRVGM : calculee restituee primrest = 0 : "Revenus au quotient NVG hors revenus footballeurs nets imposables" ;
TGLRVO : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLRVO5 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO5M : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRVO5R : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO5RM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO6 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO6M : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRVO6R : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO6RM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO7 : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables tx eff" ;
TGLRVO7M : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRVO7R : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVO7RM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVOM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRVOR : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVORM : calculee primrest = 0 : "Revenus au quotient hors rev foot nets imposables" ;
TGLRVOTOT : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLRVOTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLRWA : calculee restituee primrest = 0 : "Revenus au quotient NWA hors revenus footballeurs nets imposables" ;
TGLRWAM : calculee restituee primrest = 0 : "Revenus au quotient NWA hors revenus footballeurs nets imposables" ;
TGLRWB : calculee restituee primrest = 0 : "Revenus au quotient NWA hors revenus footballeurs nets imposables" ;
TGLRWBM : calculee restituee primrest = 0 : "Revenus au quotient NWB hors revenus footballeurs nets imposables" ;
TGLTOT : calculee primrest = 0 : "Revenus au quotient 1 hors revenus footballeurs nets imposables" ;
TGLTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLTS1 : calculee primrest = 0 : "Traitements AFN imposables tx effectif" ;
TGLTS1M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
TGLTS2 : calculee primrest = 0 : "Traitements AFN imposables tx effectif" ;
TGLTS2M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
TGLTS3 : calculee primrest = 0 : "Traitements AFN imposables tx effectif" ;
TGLTS3M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
TGLTS4 : calculee primrest = 0 : "Traitements AFN imposables tx effectif" ;
TGLTS4M : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
TGLTSC : calculee primrest = 0 : "Traitements AFN imposables tx effectif" ;
TGLTSCM : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
TGLTSREMP1 : calculee primrest = 0 : "Traitements  imposables quotient tx effectif" ;
TGLTSREMP1M : calculee primrest = 0 : "Traitements  imposables quotient" ;
TGLTSREMP2 : calculee primrest = 0 : "Traitements  imposables quotient tx effectif" ;
TGLTSREMP2M : calculee primrest = 0 : "Traitements  imposables quotient" ;
TGLTSREMP3 : calculee primrest = 0 : "Traitements  imposables quotient tx effectif" ;
TGLTSREMP3M : calculee primrest = 0 : "Traitements  imposables quotient" ;
TGLTSREMP4 : calculee primrest = 0 : "Traitements  imposables quotient tx effectif" ;
TGLTSREMP4M : calculee primrest = 0 : "Traitements  imposables quotient" ;
TGLTSREMPC : calculee primrest = 0 : "Traitements  imposables quotient tx effectif" ;
TGLTSREMPCM : calculee primrest = 0 : "Traitements  imposables quotient" ;
TGLTSREMPTOT : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLTSREMPTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLTSREMPV : calculee primrest = 0 : "Traitements  imposables quotient tx effectif" ;
TGLTSREMPVM : calculee primrest = 0 : "Traitements  imposables quotient" ;
TGLTSTOT : calculee primrest = 0 : "gain levee  quotient total foyer  tx eff" ;
TGLTSTOTM : calculee primrest = 0 : "gain levee  quotient total foyer " ;
TGLTSV : calculee primrest = 0 : "Traitements AFN imposables tx effectif" ;
TGLTSVM : calculee primrest = 0 : "Traitements AFN imposables Conjoint" ;
THCHRRO : calculee restituee primrest = 1 : "Taux moyen d imposition historique code 3WH" ;
THPVRO : calculee restituee primrest = 1 : "Taux moyen d imposition historique code 3WG" ;
TIFI4BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot IFI de la strate en cours" ;
TIND_101 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% tx eff." ;
TIND_102 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% tx eff." ;
TIND_103 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% tx eff." ;
TIND_104 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% tx eff." ;
TIND_10C : calculee primrest = 0 : "Indicateur d'affichage deduction 10% tx eff." ;
TIND_10MIN_01 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale tx eff." ;
TIND_10MIN_02 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale tx eff." ;
TIND_10MIN_03 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale tx eff." ;
TIND_10MIN_04 : calculee primrest = 0 : "booleen d'existence d'une deduction minimale tx eff." ;
TIND_10MIN_0C : calculee primrest = 0 : "booleen d'existence d'une deduction minimale tx eff." ;
TIND_10MIN_0V : calculee primrest = 0 : "booleen d'existence d'une deduction minimale tx eff." ;
TIND_10V : calculee primrest = 0 : "Indicateur d'affichage deduction 10% tx eff." ;
TIND_APB1 : calculee primrest = 0 : "booleen application deduction minimale pensions tx eff." ;
TIND_APB2 : calculee primrest = 0 : "booleen application deduction minimale pensions tx eff." ;
TIND_APB3 : calculee primrest = 0 : "booleen application deduction minimale pensions tx eff." ;
TIND_APB4 : calculee primrest = 0 : "booleen application deduction minimale pensions tx eff." ;
TIND_APBC : calculee primrest = 0 : "booleen application deduction minimale pensions tx eff." ;
TIND_APBV : calculee primrest = 0 : "booleen application deduction minimale pensions tx eff." ;
TIND_MIN1 : calculee primrest = 0 : "pour tx effectif " ;
TIND_MIN2 : calculee primrest = 0 : "pour tx effectif " ;
TIND_MIN3 : calculee primrest = 0 : "pour tx effectif " ;
TIND_MIN4 : calculee primrest = 0 : "pour tx effectif " ;
TIND_MINC : calculee primrest = 0 : "pour tx effectif " ;
TIND_MINV : calculee primrest = 0 : "pour tx effectif " ;
TINR : calculee restituee primrest = 0 base : "Taux des interets de retard" ;
TINR2 : calculee primrest = 0 : "Taux des interets de retard" ;
TINRISF : calculee restituee primrest = 0 base : "Taux des interets de retard ISF" ;
TINRISF2 : calculee primrest = 0 : "Taux des interets de retard isf" ;
TINRISF_A : calculee primrest = 0 base : "Taux des interets de retard ISF" ;
TINR_1 : calculee restituee primrest = 0 base : "Taux des interets de retard code 22" ;
TINR_1_A : calculee primrest = 0 base : "Taux des interets de retard code 22" ;
TINR_222 : calculee primrest = 0 : "Taux des interets de retard code 22" ;
TINR_242 : calculee primrest = 0 : "Taux des interets de retard code 22" ;
TINR_A : calculee primrest = 0 base : "Taux des interets de retard" ;
TIRBASE : tableau[26] calculee primrest = 0 base : "Montant de l impotIR de la strate en cours" ;
TIRBASEDEF : tableau[26] calculee primrest = 0 base : "Montant de l impotIR definitif de la strate en cours " ;
TISF4BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot ISF de la strate en cours" ;
TL : calculee restituee primrest = 0 : "Tolerance legale" ;
TLIR : calculee restituee primrest = 0 : "nouv corr:restitution de TL_IR calcule en base" ;
TLTAXAGA : calculee restituee primrest = 0 : "nouv corr : restitution de TL_TAXAGA calcule en base" ;
TL_C820 : calculee restituee primrest = 0 base : "Booleen vaut 1 si pas TL MCSG820" ;
TL_CAP : calculee restituee primrest = 0 base : "Booleen : vaut 1 si pas TL pour les pensions en capital" ;
TL_CAP_A : calculee primrest = 0 base : "interet de retard indicateur TL n-1" ;
TL_CDIS : calculee restituee primrest = 0 base : "nouv cor : booleen : vaut 1 si pas TL en cdis" ;
TL_CDIS_A : calculee primrest = 0 base : "nouv cor : booleen : vaut 1 si pas TL en cdis n-1" ;
TL_CHR : calculee restituee primrest = 0 base : "Booleen: vaut 1 si pas TL en contribution hauts revenus" ;
TL_CHR_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_CS : calculee restituee primrest = 0 base : "nouv cor: booleen vaut 1 si pas TL CSG" ;
TL_CS_A : calculee primrest = 0 base : "interet de retard indicateur TL CSG n-1" ;
TL_CVN : calculee restituee primrest = 0 base : "Booleen: vaut 1 si pas TL CVN" ;
TL_CVN_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_GLO : calculee restituee primrest = 0 base : "Booleen : vaut 1 si pas TL en GLO" ;
TL_GLO_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_IFI : calculee restituee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL en IFI" ;
TL_IFI_A : calculee primrest = 0 base : "interet de retard indicateur TL n-1" ;
TL_IR : calculee restituee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL en IR" ;
TL_IR_A : calculee primrest = 0 base : "interet de retard indicateur TL n-1" ;
TL_LOY : calculee restituee primrest = 0 base : "Booleen : vaut 1 si pas TL pour les loyers eleves" ;
TL_MCSG820 : calculee restituee primrest = 0 base : "Booleen vaut 1 si pas TL MCSG820" ;
TL_MCSG820_A : calculee primrest = 0 base : "nouv cor : booleen : vaut 1 si pas TL en CSG820  n-1" ;
TL_MF : calculee primrest = 0 base : "Correctif: Booleen utilepour la TL : vaut 1 si mauvaise foi" ;
TL_PS : calculee restituee primrest = 0 base : "Booleen vaut 1 si pas TL PRS" ;
TL_PSOL : calculee restituee primrest = 0 base : "Booleen vaut 1 si pas TL PSOL" ;
TL_PSOL_A : calculee primrest = 0 base : "Booleen : vaut 1 si pas TL PSOL en n-1" ;
TL_PS_A : calculee primrest = 0 base : "Booleen : vaut 1 si pas TL PRS en n-1" ;
TL_RD : calculee restituee primrest = 0 base : "Booleen vaut 1 si pas TL RDS" ;
TL_RD_A : calculee primrest = 0 base : "Booleen : vaut 1 si pas TL RDS en n-1" ;
TL_RSE1 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TQ)" ;
TL_RSE1_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_RSE2 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TV)" ;
TL_RSE2_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_RSE3 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TW)" ;
TL_RSE3_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_RSE4 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TX)" ;
TL_RSE4_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_RSE5 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TR)" ;
TL_RSE5_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_RSE6 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TR)" ;
TL_RSE6_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_RSE8 : calculee restituee primrest = 0 base : "Tolerance legale pour revenus de sources etrangeres (8TH 8SD)" ;
TL_RSE8_A : calculee primrest = 0 base : " nouv cor: booleen: vaut 1 si pas TL " ;
TL_TAXAGA : calculee restituee primrest = 0 base : "nouv cor : booleen : vaut 1 si pas TL en TAXAGA" ;
TL_TAXAGA_A : calculee primrest = 0 base : "nouv cor : booleen : vaut 1 si pas TL en TAXAGA n-1" ;
TMAJOC820 : tableau[26] calculee primrest = 0 base : "Montant des majos CSal 8.2 % de la strate en cours" ;
TMAJOCAP  : tableau[26] calculee primrest = 0 base : "Montant des majos pensions en capital de la strate en cours" ;
TMAJOCDIS : tableau[26] calculee primrest = 0 base : "Montant des majos CSal 30% de la strate en cours" ;
TMAJOCS : tableau[26] calculee primrest = 0 base : "Montant des majos CSG de la strate en cours" ;
TMAJOCVN : tableau[26] calculee primrest = 0 base : "Montant des majos CVNSALC  de la strate en cours" ;
TMAJOGLO : tableau[26] calculee primrest = 0 base : "Montant des majos GLO  de la strate en cours" ;
TMAJOHR : tableau[26] calculee primrest = 0 base : "Montant des majos hauts revenus  de la strate en cours" ;
TMAJOIFI : tableau[26] calculee primrest = 0 base : "Montant des majos IFI de la strate en cours" ;
TMAJOIR : tableau[26] calculee primrest = 0 base : "Montant des majos IR de la strate en cours" ;
TMAJOPS : tableau[26] calculee primrest = 0 base : "Montant des majos PRS de la strate en cours" ;
TMAJOPSOL : tableau[26] calculee primrest = 0 base : "Montant des majos PRS de la strate en cours solidaire" ;
TMAJORD : tableau[26] calculee primrest = 0 base : "Montant des majos RDS de la strate en cours" ;
TMAJORSE1 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE1 7,5% de la strate en cours" ;
TMAJORSE2 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE2 6,6% de la strate en cours" ;
TMAJORSE3 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE3 6,2% de la strate en cours" ;
TMAJORSE4 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE4 3,8% de la strate en cours" ;
TMAJORSE5 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE5  de la strate en cours" ;
TMAJORSE6 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE6  de la strate en cours" ;
TMAJORSE8 : tableau[26] calculee primrest = 0 base : "Montant des majos RSE8 de la strate en cours" ;
TMAJOTAXA : tableau[26] calculee primrest = 0 base : "Montant des majos TAXAGA  de la strate en cours" ;
TMIBNETNPPF : calculee restituee primrest = 0 : "activit de prest services non prof. pour le foyer agregat IR tx eff au" ;
TMIBNETNPTOT : calculee primrest = 0 : "Avis - Micro bic net total foyer (sauf + V 16%) tx effectif" ;
TMIBNETNPVF : calculee restituee primrest = 0 : "activit de ventes non prof. pour le foyer agregat IR tx eff auto" ;
TMIBNETPF : calculee restituee primrest = 0 : "activit de prest services profes. pour le foyer agr. IR tx eff auto" ;
TMIBNETVF : calculee restituee primrest = 0 : "activit de vente de marchandises prof. pour le foyer agregat IR tx eff" ;
TMIB_ABNPPC : calculee primrest = 0 : "repartition de l abat rev  NON professionnels prestations tx eff. auto" ;
TMIB_ABNPPLC : calculee primrest = 0 : "repartition de l abat rev  NON professionnels prestations tx eff. auto" ;
TMIB_ABNPPLP : calculee primrest = 0 : "repartition de l abat rev  NON professionnels prestations tx eff. auto" ;
TMIB_ABNPPLV : calculee primrest = 0 : "repartition de l abat rev  NON professionnels prestations tx eff. auto" ;
TMIB_ABNPPP : calculee primrest = 0 : "repartition de l abat rev  NON professionnels prestations tx eff. auto" ;
TMIB_ABNPPV : calculee primrest = 0 : "repartition de l abat rev  NON professionnels prestations tx eff. auto" ;
TMIB_ABNPVC : calculee primrest = 0 : "repartition de l abat rev  NON professionnels vente de march tx eff." ;
TMIB_ABNPVLC : calculee primrest = 0 : "repartition de l abat rev  NON professionnels loc tx eff." ;
TMIB_ABNPVLP : calculee primrest = 0 : "repartition de l abat rev  NON professionnels loc tx eff." ;
TMIB_ABNPVLV : calculee primrest = 0 : "repartition de l abat rev  NON professionnels loc tx eff." ;
TMIB_ABNPVP : calculee primrest = 0 : "repartition de l abat rev  NON professionnels vente de march tx eff." ;
TMIB_ABNPVV : calculee primrest = 0 : "repartition de l abat rev  NON professionnels vente de march tx eff." ;
TMIB_ABPC : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TMIB_ABPP : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TMIB_ABPV : calculee primrest = 0 : "repartition de l abat rev  professionnels prestations tx eff. auto" ;
TMIB_ABVC : calculee primrest = 0 : " repartition de l abat rev professionnels vente de marchandise tx eff." ;
TMIB_ABVP : calculee primrest = 0 : "repartition de l abat rev professionnels vente de marchandise tx eff." ;
TMIB_ABVV : calculee primrest = 0 : "repartition de l abat rev professionnels vente de marchandise tx eff." ;
TMIB_APC : calculee primrest = 0 : "Abattements prestations de service tx eff. auto" ;
TMIB_APP : calculee primrest = 0 : "Abattements prestations de service tx eff. auto" ;
TMIB_APV : calculee primrest = 0 : "Abattements prestations de service tx eff. auto" ;
TMIB_AUTOAPC : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_AUTOAPP : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_AUTOAPV : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_AUTOAVC : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_AUTOAVP : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_AUTOAVV : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_AVC : calculee primrest = 0 : "abattements vente de marchandise tx eff. auto" ;
TMIB_AVP : calculee primrest = 0 : "abattements vente de marchandise tx eff. auto" ;
TMIB_AVV : calculee primrest = 0 : "abattements vente de marchandise tx eff.auto " ;
TMIB_NETNPPC : calculee primrest = 0 : "prestations de services net  non pro tx eff auto" ;
TMIB_NETNPPP : calculee primrest = 0 : "prestations de services net  non pro tx eff auto" ;
TMIB_NETNPPV : calculee primrest = 0 : "prestations de services net  non pro tx eff auto" ;
TMIB_NETNPVC : calculee primrest = 0 : "activit de vente de marchandises ou assimile NON prof tx eff. auto" ;
TMIB_NETNPVP : calculee primrest = 0 : "activit de vente de marchandises ou assimile NON prof tx eff. auto" ;
TMIB_NETNPVV : calculee primrest = 0 : "activit de vente de marchandises ou assimile NON prof tx eff auto" ;
TMIB_NETPC : calculee primrest = 0 : "prestations de services net pro tx eff auto" ;
TMIB_NETPP : calculee primrest = 0 : "prestations de services net pro tx eff auto" ;
TMIB_NETPV : calculee primrest = 0 : "prestations de services net pro tx eff auto" ;
TMIB_NETVC : calculee primrest = 0 : "activit de vente de marchandises ou assimile tx eff. auto" ;
TMIB_NETVP : calculee primrest = 0 : "activit de vente de marchandises ou assimile tx eff. auto" ;
TMIB_NETVV : calculee primrest = 0 : "activit de vente de marchandises ou assimile tx eff. auto" ;
TMIB_PRESAC : calculee primrest = 0 : "prestation tx eff auto" ;
TMIB_PRESAP : calculee primrest = 0 : "prestation tx eff auto" ;
TMIB_PRESAV : calculee primrest = 0 : "prestation tx eff auto" ;
TMIB_TPRESC : calculee primrest = 0 : "le total rev prof et non prof prestations de services tx eff. auto" ;
TMIB_TPRESP : calculee primrest = 0 : "le total rev prof et non prof prestations de services  tx eff. auto" ;
TMIB_TPRESV : calculee primrest = 0 : "le total rev prof et non prof prestations de services tx. eff. auto" ;
TMIB_TTC : calculee primrest = 0 : "Total prof et non prof declares tx eff. auto" ;
TMIB_TTP : calculee primrest = 0 : "Total prof et non prof declares tx eff. auto" ;
TMIB_TTV : calculee primrest = 0 : "Total prof et non prof declares tx eff. auto" ;
TMIB_TVENC : calculee primrest = 0 : "le total rev prof et non prof  activit de vente de march tx eff. auto" ;
TMIB_TVENP : calculee primrest = 0 : "le total rev prof et non prof  activit de vente de march tx eff. auto" ;
TMIB_TVENV : calculee primrest = 0 : "le total rev prof et non prof  activit de vente de march tx eff. auto" ;
TMIB_VENTAC : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_VENTAP : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMIB_VENTAV : calculee primrest = 0 : "PV totales (prof et non professionnelles ) tx eff auto" ;
TMOY : calculee restituee primrest = 1 : "Taux Moyen" ;
TNAPCR : tableau[26] calculee primrest = 0 base : " nouv cor:sauvegarde des NAPCR par strate de majoration" ;
TONE1 : calculee primrest = 0 : " revenus au quotient >=2 nets tx eff" ;
TONEQUO : calculee restituee primrest = 1 : " revenus au quotient >=2 nets" ;
TONEQUO1 : calculee restituee primrest = 1 : "somme des revenus au quotient divises par leur quotient respectif" ;
TONEQUO1T : calculee primrest = 0 : "somme des revenus au quot divises par leur quotient respectif tx eff" ;
TONEQUOHT : calculee restituee primrest = 0 : " revenus au quotient >=2 nets tx eff" ;
TONEQUOM : calculee restituee primrest = 1 : " revenus au quotient >=2 nets TXMOY" ;
TONEQUOM1 : calculee primrest = 0 : "somme des revenus au quotient divises par leur quot. respectif TXMOY" ;
TONEQUOM1T : calculee primrest = 0 : "somme des revenus au quot divises par leur quotient respectif tx eff" ;
TONEQUOMHT : calculee primrest = 0 : " revenus au quotient >=2 nets tx eff" ;
TOTALPLAF1 : calculee primrest = 0 : "Montant total investissements outre mer plafond (taux 15 %)" ;
TOTALPLAF2 : calculee primrest = 0 : "Montant total investissements outre mer plafond (taux 13 %)" ;
TOTALPLAF3 : calculee primrest = 0 : "Montant total investissements outre mer plafond (taux 11 %)" ;
TOTALPLAFA : calculee primrest = 0 : "Montant total investissements outre mer plafond" ;
TOTALPLAFB : calculee primrest = 0 : "Montant total investissements outre mer plafond" ;
TOTALPLAFC : calculee primrest = 0 : "Montant total investissements outre mer plafond" ;
TOTALQUO : calculee restituee primrest = 1 : "Somme des revenus au quotient >=2" ;
TOTALQUO1731 : calculee restituee primrest = 0 base : "Somme des revenus au quotient >=2" ;
TOTALQUOHT : calculee primrest = 0 : "Somme des revenus au quotient >=2 hors tx eff" ;
TOTALQUOP2 : calculee restituee primrest = 0 base : "Somme des revenus au quotient >=2" ;
TOTALQUOP3 : calculee restituee primrest = 0 base : "Somme des revenus au quotient" ;
TOTALQUORET : calculee restituee primrest = 0 : "Total quotient pour 1731bis" ;
TOTALQUO_P : calculee primrest = 0 base : "Somme des revenus au quotient >=2" ;
TOTAXAGA : calculee restituee primrest = 0 : "Cumul de la taxa aga seule deja acquittee" ;
TOTBGE : calculee restituee primrest = 1 : "Total base gros equipements 7UI + 7WI" ;
TOTBNCC : calculee restituee primrest = 0 : "total deficit micro bnc non pro : deficits pour CFIR conj" ;
TOTBNCP : calculee restituee primrest = 0 : "total deficit micro bnc non pro : deficits pour CFIR pac" ;
TOTBNCV : calculee restituee primrest = 0 : "total deficit micro bnc non pro : deficits pour CFIR vous" ;
TOTCHARDED : calculee restituee primrest = 1 : "Total des charges deduites CSG deductible inclus" ;
TOTCORSE : calculee restituee primrest = 1 : "indicateur d'affichage de la ligne 02 de l'avis detaille d l'IR" ;
TOTCR : calculee restituee primrest = 0 : "Cumul de l'imposition anterieurement acquittee CSG RDS PRS" ;
TOTCRA : calculee primrest = 0 : "Net a payer total apres correctif CSG RDS PRS - anterieur" ;
TOTCRBIS : calculee primrest = 0 : "TOTCR intermediaire" ;
TOTCRBRUT : calculee primrest = 0 : "Cumul de l'imposition anterieurement acquittee CSG RDS PRS brute" ;
TOTCRNET : calculee primrest = 0 : "Cumul de l'imposition anterieurement acquittee CSG RDS PRS nette" ;
TOTDABNCNP : calculee primrest = 0 : "def bnc impute art 1731" ;
TOTDEFLOC : calculee restituee primrest = 0 : "total deficit location meublees : deficits pour CFIR" ;
TOTDEFLOCNP : calculee restituee primrest = 1 : "location meublee non pro deficit " ;
TOTDEFLOCNPBIS : calculee primrest = 0 : "def loc impute art 1731" ;
TOTDEFLOCNPPS : calculee primrest = 0 : "location meublee non pro deficit  art. 1731bis" ;
TOTDEFNP : calculee primrest = 0 : "def bic impute art 1731" ;
TOTDEFRCM : calculee restituee primrest = 0 : "total deficit RCM : deficits pour CFIR" ;
TOTDLMRN : calculee restituee primrest = 0 : "total Loc. meublees (reel) : deficits" ;
TOTDONS : calculee restituee primrest = 1 : "Total RREPAS RDONS" ;
TOTIMPUT : calculee restituee primrest = 1 : "Total imputation I2DH IAVF CRDIE" ;
TOTINVDOM : calculee primrest = 0 : "Total provisoir pour calcul Tx histoique 3WG" ;
TOTIRCUM : calculee restituee primrest = 1 : "Cumul total de l'imposition anterieurement acquittee sans PS" ;
TOTIRE : calculee restituee primrest = 1 base : "Somme de IREP + ITRED  - IRE2" ;
TOTIRPS : calculee primrest = 0 : "total IR PS" ;
TOTIRPSANT : calculee primrest = 0 : "Total de votre imposition ANT IR PS" ;
TOTMIBC : calculee restituee primrest = 0 : "total deficit micro bic pro : deficits pour CFIR conj" ;
TOTMIBP : calculee restituee primrest = 0 : "total deficit micro bic pro : deficits pour CFIR pac" ;
TOTMIBV : calculee restituee primrest = 0 : "total deficit micro bic pro : deficits pour CFIR vous" ;
TOTNET : calculee restituee primrest = 1 : "Total de votre imposition IRNET + DBNET" ;
TOTPA : calculee primrest = 0 : "Total  PA" ;
TOTPENCS : calculee restituee primrest = 1 : "Cumul de l'imposition  acquittee CS nette" ;
TOTPENIR : calculee restituee primrest = 1 : "Cumul de l'imposition  acquittee CS nette" ;
TOTPERP : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPC : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPI : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPIC : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPIP : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPIV : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPM : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMC : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMI : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMIC : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMIP : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMIV : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMP : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPMV : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPP : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPERPV : calculee restituee primrest = 1 : "PERP:Total PERP pour affichage" ;
TOTPSNET : calculee restituee primrest = 1 : "Total des PS retenus avant PAS" ;
TOTREC : calculee primrest = 0 base : "booleen =1 si IR et PRS recouvres" ;
TOTRI3WG : calculee primrest = 0 : "Total RI retenu avec 3WG" ;
TOTSPEREP : calculee restituee primrest = 0 : "total deficit bnc reg special pro : deficits pour CFIR" ;
TOTSPEREPNP : calculee restituee primrest = 0 : "total deficit bnc reg special non pro : deficits pour CFIR" ;
TOTSTR : calculee restituee primrest = 0 : "cumul numero strate pour verif" ;
TOTTP : calculee restituee primrest = 1 base : "Somme de TTPVQ et REVTP" ;
TOT_BASE_MAJO : calculee restituee primrest = 0 : " variable intermediaire pour calculer SUPIR, SUPTAXA, SUPCAP, SUPHR " ;
TOT_CGA_AGA : calculee restituee primrest = 0 : "variable CFIR : ligne 13bis matrice IR_SDFDL decl. + majo. 0,25" type REEL ;
TOT_REF : calculee restituee primrest = 0 : " variable intermediaire pour calculer SUPIR, SUPTAXA, SUPCAP, SUPHR" ;
TPCAPBASE : tableau[26] calculee primrest = 0 base : "Montant pensions en capital de la strate en cours" ;
TPCAPBASEDEF : tableau[26] calculee primrest = 0 base : "Montant PCAP definitif de la strate en cours" ;
TPENALIM1 : calculee primrest = 0 : "pensions nettes  alimentaire tx eff." ;
TPENALIM2 : calculee primrest = 0 : "pensions nettes  alimentaire tx eff." ;
TPENALIM3 : calculee primrest = 0 : "pensions nettes  alimentaire tx eff." ;
TPENALIM4 : calculee primrest = 0 : "pensions nettes  alimentaire tx eff." ;
TPENALIMC : calculee primrest = 0 : "pensions nettes  alimentaire tx eff." ;
TPENALIMV : calculee primrest = 0 : "pensions nettes  alimentaire tx eff." ;
TPENF1 : calculee primrest = 0 : "Pensions nettes footballeurs - tx eff." ;
TPENF2 : calculee primrest = 0 : "Pensions nettes footballeurs - tx eff." ;
TPENF3 : calculee primrest = 0 : "Pensions nettes footballeurs - tx eff." ;
TPENF4 : calculee primrest = 0 : "Pensions nettes footballeurs - tx eff." ;
TPENFC : calculee primrest = 0 : "Pensions nettes footballeurs - tx eff." ;
TPENFV : calculee primrest = 0 : "Pensions nettes footballeurs - tx eff." ;
TPLR1 : calculee primrest = 0 : "Seuil calcule de l'abattement tx eff." ;
TPLR2 : calculee primrest = 0 : "Seuil calcule de l'abattement tx eff." ;
TPLR3 : calculee primrest = 0 : "Seuil calcule de l'abattement tx eff." ;
TPLR4 : calculee primrest = 0 : "Seuil calcule de l'abattement tx eff." ;
TPLRC : calculee primrest = 0 : "Seuil calcule de l'abattement tx eff." ;
TPLRV : calculee primrest = 0 : "Seuil calcule de l'abattement tx eff." ;
TPL_PB : calculee primrest = 0 : "plafond pensions a repartir tx eff." ;
TPMIB_APC : calculee primrest = 0 : "Abattements prestations de service PERP tx eff. auto" ;
TPMIB_APP : calculee primrest = 0 : "Abattements prestations de service PERP tx eff. auto" ;
TPMIB_APV : calculee primrest = 0 : "Abattements prestations de service PERP tx eff. auto" ;
TPMIB_AVC : calculee primrest = 0 : "abattements vente de marchandise PERP tx eff. auto" ;
TPMIB_AVP : calculee primrest = 0 : "abattements vente de marchandise PERP tx eff. auto" ;
TPMIB_AVV : calculee primrest = 0 : "abattements vente de marchandise PERP tx eff. auto" ;
TPMIB_NETPC : calculee primrest = 0 : "prestations de services net pro PERP tx eff auto" ;
TPMIB_NETPP : calculee primrest = 0 : "prestations de services net pro PERP tx eff auto" ;
TPMIB_NETPV : calculee primrest = 0 : "prestations de services net pro PERP tx eff auto" ;
TPMIB_NETVC : calculee primrest = 0 : "activit de vente de marchandises ou assimile PERP tx eff. auto" ;
TPMIB_NETVP : calculee primrest = 0 : "activit de vente de marchandises ou assimile PERP tx eff. auto" ;
TPMIB_NETVV : calculee primrest = 0 : "activit de vente de marchandises ou assimile PERP tx eff. auto" ;
TPR1 : calculee primrest = 0 : "Traitements, salaires et pensions" ;
TPR2 : calculee primrest = 0 : "Traitements, salaires et pensions" ;
TPR3 : calculee primrest = 0 : "Traitements, salaires et pensions" ;
TPR4 : calculee primrest = 0 : "Traitements, salaires et pensions" ;
TPRB1 : calculee primrest = 0 : "Pensions brutes totales tx effectif" ;
TPRB2 : calculee primrest = 0 : "Pensions brutes totales tx effectif" ;
TPRB3 : calculee primrest = 0 : "Pensions brutes totales tx effectif" ;
TPRB4 : calculee primrest = 0 : "Pensions brutes totales tx effectif" ;
TPRBC : calculee primrest = 0 : "Pensions brutes totales tx effectif" ;
TPRBV : calculee primrest = 0 : "Pensions brutes totales tx effectif" ;
TPRC : calculee primrest = 0 : "Traitements, salaires et pensions" ;
TPRN1 : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRN1AH : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1AI : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1AL : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1AM : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1AO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1AS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1AZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BH : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BI : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BL : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BM : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1BZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CH : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CI : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CL : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CM : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1CZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DH : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DI : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DL : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DM : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1DZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1EH : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1EI : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1EL : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1EM : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1EO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1ES : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1EZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FH : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FI : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FL : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FM : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN1FZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRN2 : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRN3 : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRN4 : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNC : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNDEF1AH : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1AI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1AL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1AM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1AO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1AS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1AZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BH : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1BZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CH : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1CZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DH : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1DZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1EH : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1EI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1EL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1EM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1EO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1ES : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1EZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FH : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEF1FZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFFAS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFFBS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFFCS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFFDS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFFES : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFFFS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRAI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRAL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRAM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRAO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRAS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRAZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRBI : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRBL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRBM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRBO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRBS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRBZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRCK : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRCL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRCM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRCO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRCS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRCZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRDL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRDM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRDO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRDS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRDZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFREL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFREM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFREO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRES : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFREZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRFL : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRFM : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRFO : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRFS : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNDEFRFZ : calculee primrest = 0 : "part def ts sur pensions nettes d'abattement de 10% tx effectif" ;
TPRNFAS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNFBS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNFCS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNFDS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNFES : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNFFS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNN1 : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNN1AH : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1AL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1AM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1AO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1AS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1AZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1BH : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1BL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1BM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1BO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1BS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1BZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1CH : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1CL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1CM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1CO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1CS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1CZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1DH : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1DL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1DM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1DO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1DS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1DZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1EH : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1EL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1EM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1EO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1ES : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1EZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1FH : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1FL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1FM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1FO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1FS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN1FZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNN2 : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNN3 : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNN4 : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNC : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNFAS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNFBS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNFCS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNFDS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNFES : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNFFS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNP : calculee primrest = 0 : "pensions des personnes a charge tx effectif" ;
TPRNNRAL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRAM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRAO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRAS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRAZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRBL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRBM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRBO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRBS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRBZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRCL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRCM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRCO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRCS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRCZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRDL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRDM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRDO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRDS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRDZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNREL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNREM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNREO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRES : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNREZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRFL : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRFM : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNNRFO : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRFS : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNRFZ : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx effectif" ;
TPRNNV : calculee primrest = 0 : "pensions nettes d'abattement de 10% tx eff." ;
TPRNRAI : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRAL : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRAM : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRAO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRAS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRAZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRBI : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRBL : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRBM : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRBO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRBS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRBZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRCK : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRCL : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRCM : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRCO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRCS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRCZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRDL : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRDM : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRDO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRDS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRDZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNREL : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNREM : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNREO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRES : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNREZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRFL : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRFM : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRNRFO : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRFS : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNRFZ : calculee primrest = 0 : "pensions nettes totale tx effectif" ;
TPRNV : calculee primrest = 0 : "Pensions et rentes nettes tx eff." ;
TPRR1 : calculee primrest = 0 : "Pensions nettes ordinaires - tx eff." ;
TPRR2 : calculee primrest = 0 : "Pensions nettes ordinaires - tx eff." ;
TPRR21 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR22 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR23 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR24 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2C : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RAI : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RAL : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RAM : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RBI : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RBL : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RBM : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RCK : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RCL : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RCM : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RDL : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RDM : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2REL : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2REM : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RFL : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2RFM : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2V : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient 2 " ;
TPRR2Z1 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient code RxZ" ;
TPRR2Z2 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient code RxZ" ;
TPRR2Z3 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient code RxZ" ;
TPRR2Z4 : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient code RxZ" ;
TPRR2ZC : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient code RxZ" ;
TPRR2ZV : calculee primrest = 0 : "tx efectif Pensions nettes taxees au quotient code RxZ" ;
TPRR3 : calculee primrest = 0 : "Pensions nettes ordinaires - tx eff." ;
TPRR4 : calculee primrest = 0 : "Pensions nettes ordinaires - tx eff." ;
TPRRC : calculee primrest = 0 : "Pensions nettes ordinaires - tx eff." ;
TPRRV : calculee primrest = 0 : "Pensions nettes ordinaires - tx eff." ;
TPRV : calculee primrest = 0 : "Traitements, salaires et pensions" ;
TPS101 : calculee primrest = 0 : "abattement 10% brut" ;
TPS102 : calculee primrest = 0 : "abattement 10% brut" ;
TPS103 : calculee primrest = 0 : "abattement 10% brut" ;
TPS104 : calculee primrest = 0 : "abattement 10% brut" ;
TPS10C : calculee primrest = 0 : "abattement 10% brut" ;
TPS10V : calculee primrest = 0 : "abattement 10% brut" ;
TPSOLBASE : tableau[26] calculee primrest = 0 base : "Montant de l impot PRS de la strate en cours" ;
TR15QC : calculee primrest = 0 : " BNC  " ;
TR15RC : calculee primrest = 0 : " BNC  " ;
TR15SC : calculee primrest = 0 : " BNC  " ;
TR15TF : calculee primrest = 0 : " BNC  " ;
TR15UF : calculee primrest = 0 : " BNC  " ;
TR15VF : calculee primrest = 0 : " BNC  " ;
TR15XJ : calculee primrest = 0 : " BNC  " ;
TR15YJ : calculee primrest = 0 : " BNC  " ;
TR15ZJ : calculee primrest = 0 : " BNC  " ;
TR1CQC : calculee primrest = 0 : " BNC  " ;
TR1CRC : calculee primrest = 0 : " BNC  " ;
TR1CSC : calculee primrest = 0 : " BNC  " ;
TR1_BOIS : calculee primrest = 0 : "1er tranche n'excedant pas 101897 euros" ;
TR1_GFA : calculee primrest = 0 : "1er tranche n'excedant pas 101897 euros" ;
TR2MAJ5QI : calculee primrest = 0 : " BNC  " ;
TR2MAJ5RI : calculee primrest = 0 : " BNC  " ;
TR2MAJ5SI : calculee primrest = 0 : " BNC  " ;
TR2MAJCQI : calculee primrest = 0 : " BNC  " ;
TR2MAJCRI : calculee primrest = 0 : " BNC  " ;
TR2MAJCSI : calculee primrest = 0 : " BNC  " ;
TR2_BOIS : calculee primrest = 0 : "2er tranche superieur a 101897 euros" ;
TR2_GFA  : calculee primrest = 0 : "2er tranche superieur a 101897 euros" ;
TR2_IFI : calculee primrest = 0 : "IFI : Montant IFI correspondant a la deuxieme tranche" ;
TR3_IFI : calculee primrest = 0 : "IFI : Montant IFI correspondant a la troisieme tranche" ;
TR4_IFI : calculee primrest = 0 : "IFI : Montant IFI correspondant a la quatrieme tranche" ;
TR5_IFI : calculee primrest = 0 : "IFI : Montant IFI correspondant a la cinquieme tranche" ;
TR6_IFI : calculee primrest = 0 : "IFI : Montant IFI correspondant a la sixieme tranche" ;
TRANSFERT : calculee restituee primrest = 0 : "Restitution cfir code 8WW apres controle" ;
TRASGL4 : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGL4C : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGL4P : calculee primrest = 0 : "RAS Revenus au quotient 4 hors revenus footballeurs nets imposables" ;
TRASGL4V : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLF1 : calculee primrest = 0 : "quotient " ;
TRASGLF2 : calculee primrest = 0 : "quotient " ;
TRASGLF3 : calculee primrest = 0 : "quotient " ;
TRASGLF4 : calculee primrest = 0 : "quotient " ;
TRASGLFC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLFTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLFV : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPALIM1 : calculee primrest = 0 : "quotient " ;
TRASGLPALIM2 : calculee primrest = 0 : "quotient " ;
TRASGLPALIM3 : calculee primrest = 0 : "quotient " ;
TRASGLPALIM4 : calculee primrest = 0 : "quotient " ;
TRASGLPALIMC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPALIMTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPALIMV : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPRR1 : calculee primrest = 0 : "quotient " ;
TRASGLPRR2 : calculee primrest = 0 : "quotient " ;
TRASGLPRR3 : calculee primrest = 0 : "quotient " ;
TRASGLPRR4 : calculee primrest = 0 : "quotient " ;
TRASGLPRRC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPRRTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPRRV : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPRRZ1 : calculee primrest = 0 : "quotient " ;
TRASGLPRRZ2 : calculee primrest = 0 : "quotient " ;
TRASGLPRRZ3 : calculee primrest = 0 : "quotient " ;
TRASGLPRRZ4 : calculee primrest = 0 : "quotient " ;
TRASGLPRRZC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLPRRZV : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRAF : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRAG : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRAI : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRAL : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRAM : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRBF : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRBG : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRBI : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRBL : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRBM : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCF : calculee primrest = 0 : "quotient " ;
TRASGLRCG : calculee primrest = 0 : "quotient " ;
TRASGLRCK : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCL : calculee primrest = 0 : "quotient " ;
TRASGLRCM : calculee primrest = 0 : "quotient " ;
TRASGLRCMCH : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMDC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMFU : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMGO : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMTR : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMTS : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRCMYY : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRDF : calculee primrest = 0 : "quotient " ;
TRASGLRDG : calculee primrest = 0 : "quotient " ;
TRASGLRDL : calculee primrest = 0 : "quotient " ;
TRASGLRDM : calculee primrest = 0 : "quotient " ;
TRASGLREF : calculee primrest = 0 : "quotient " ;
TRASGLREL : calculee primrest = 0 : "quotient " ;
TRASGLREM : calculee primrest = 0 : "quotient " ;
TRASGLRF1 : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRF2 : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRF3 : calculee primrest = 0 : "RAS Revenus au quotient hors rev foot nets imposables" ;
TRASGLRFF : calculee primrest = 0 : "quotient " ;
TRASGLRFG : calculee primrest = 0 : "quotient " ;
TRASGLRFL : calculee primrest = 0 : "quotient " ;
TRASGLRFM : calculee primrest = 0 : "quotient " ;
TRASGLRFTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRGG : calculee primrest = 0 : "quotient " ;
TRASGLRUA : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVG : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO5 : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO5R : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO6 : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO6R : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO7 : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVO7R : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVOR : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRVOTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRWA : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLRWB : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTS1 : calculee primrest = 0 : "quotient " ;
TRASGLTS2 : calculee primrest = 0 : "quotient " ;
TRASGLTS3 : calculee primrest = 0 : "quotient " ;
TRASGLTS4 : calculee primrest = 0 : "quotient " ;
TRASGLTSC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTSREMP1 : calculee primrest = 0 : "quotient " ;
TRASGLTSREMP2 : calculee primrest = 0 : "quotient " ;
TRASGLTSREMP3 : calculee primrest = 0 : "quotient " ;
TRASGLTSREMP4 : calculee primrest = 0 : "quotient " ;
TRASGLTSREMPC : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTSREMPTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTSREMPV : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTSTOT : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASGLTSV : calculee primrest = 0 : "RAS Revenus au quotient  nets imposables" ;
TRASRPQ4 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQ4C : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQ4P : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme" ;
TRASRPQ4RAJV : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TRASRPQ4RBJC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TRASRPQ4TVC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TRASRPQ4V : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQ4VC : calculee primrest = 0 : "Revenus au quotient   nets imposables" ;
TRASRPQF1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQF2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQF3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQF4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQFC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQFV : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQPALIM1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPALIM2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPALIM3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPALIM4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPALIMC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQPALIMV : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQPRR1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRR2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRR3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRR4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRRC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQPRRV : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQPRRZ1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRRZ2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRRZ3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRRZ4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQPRRZC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQPRRZV : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRAF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRAG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRAI : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme quot. " ;
TRASRPQRAL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRAM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRBF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRBG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRBI : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme quot. " ;
TRASRPQRBL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRBM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCK : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bareme quot. " ;
TRASRPQRCL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMCH : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMDC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMFU : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMGO : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMTR : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMTS : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRCMYY : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRDF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRDG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRDL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRDM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQREF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQREL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQREM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRF1 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRF2 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRF3 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRFF : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRFG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRFL : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRFM : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRGG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRUA : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NUA" ;
TRASRPQRVG : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO5 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO5R : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO6 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO6R : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO7 : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVO7R : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRVOR : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRWA : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQRWB : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQTS1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTS2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTS3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTS4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTSC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQTSREMP1 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTSREMP2 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTSREMP3 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTSREMP4 : calculee primrest = 0 : "RAS TS imposables suivant le quotient soumis au bareme" ;
TRASRPQTSREMPC : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQTSREMPV : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRASRPQTSV : calculee primrest = 0 : "RAS Revenu imposable suivant le quotient soumis au bar}me quot. " ;
TRCMABD : calculee primrest = 0 : "total xDC avant refaction" ;
TRCMRABD : calculee primrest = 0 : "total refaction sur xDC" ;
TRCMRNCH : calculee primrest = 0 base : " Total RCM 2CH et RCH quotient net abattement" ;
TRCMRTNC : calculee primrest = 0 : "total refaction sur xFU" ;
TRDBASE : tableau[26] calculee primrest = 0 base : "Montant de l impot RDS de la strate en cours" ;
TREP101 : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA" ;
TREP102 : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA" ;
TREP103 : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA" ;
TREP104 : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA" ;
TREP10C : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA eff." ;
TREP10V : calculee primrest = 0 : "frais de 10% servant aux abtt. de 10% pour GL et SA eff." ;
TREV4 : calculee primrest = 0 : " revenus au quotient 4 tx eff" ;
TREV4_1731 : calculee primrest = 0 : " revenus au quotient 4 pour 1731 tx effe" ;
TREVEX : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 0XX : "Revenus a imposer selon le systeme du quotient " ;
TREVORDI : calculee primrest = 0 : "Somme des revenus ordinaires PAS taux effectif" ;
TRG : calculee restituee primrest = 0 : "Revenu global" ;
TRGPROV : calculee primrest = 0 : "RG prov sans DFANTIMPU pour art 1731 pour taux effectif" ;
TRNIDF1731 : calculee restituee primrest = 0 base : "Deficit a reporter total  avant application av 1731 pr affichage tx ef" ;
TRNIDF61731 : calculee restituee primrest = 0 base : "Deficit a reporter total  avant application av 1731 pr affichage tx ef" ;
TRPQ1 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ1M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ2 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ2M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ3 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ3M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4 : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4C : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4CM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4M : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4RAJV : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1 RAJ" ;
TRPQ4RBJC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1 RBJ" ;
TRPQ4TVC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
TRPQ4TVCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me" ;
TRPQ4V : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4VC : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4VCM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQ4VM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. 1" ;
TRPQF1 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
TRPQF1M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
TRPQF2 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
TRPQF2M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
TRPQF3 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
TRPQF3M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
TRPQF4 : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
TRPQF4M : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
TRPQFC : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
TRPQFCM : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
TRPQFV : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bareme" ;
TRPQFVM : calculee primrest = 0 : "pensions footballeurs imposables suivant le quotient soumis au bar}me" ;
TRPQPALIM1 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM1M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM2 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM2M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM3 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM3M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM4 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIM4M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIMC : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIMCM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIMV : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPALIMVM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRR1 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRR1M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRR2 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRR2M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRR3 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRR3M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRR4 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRR4M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRC : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRCM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRV : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRVM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRZ1 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRZ1M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRZ2 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRZ2M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRZ3 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRZ3M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRZ4 : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRZ4M : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRZC : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRZCM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQPRRZV : calculee primrest = 0 : "pensions  alim imposables suivant le quotient tx eff" ;
TRPQPRRZVM : calculee primrest = 0 : "pensions  alim imposables suivant le quotient soumis au bareme" ;
TRPQRAF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAI : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAIM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRALM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRAMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBI : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBIM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRBMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCK : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCKM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCMCH : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMCHM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRCMDC : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMDCM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRCMFU : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMFUM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRCMGO : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMGOM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRCMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRCMTR : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMTRM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRCMTS : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMTSM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRCMYY : calculee primrest = 0 : "Revenu imposable suivant le quotient  tx eff" ;
TRPQRCMYYM : calculee primrest = 0 : "Revenu imposable suivant le quotient " ;
TRPQRDF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRDMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQREF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQREFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQREL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRELM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQREM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQREMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRF1 : calculee primrest = 0 : "rev. foncier imposables suivant le quotient tx eff" ;
TRPQRF1M : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
TRPQRF2 : calculee primrest = 0 : "rev. foncier imposables suivant le quotient tx eff" ;
TRPQRF2M : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
TRPQRF3 : calculee primrest = 0 : "rev. foncier imposables suivant le quotient tx eff" ;
TRPQRF3M : calculee primrest = 0 : "rev. foncier imposables suivant le quotient soumis au bareme" ;
TRPQRFF : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFL : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFLM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRFMM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRGG : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRGGM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQRUA : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NUA" ;
TRPQRUAM : calculee restituee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NUA" ;
TRPQRVG : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NVG" ;
TRPQRVGM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NVG" ;
TRPQRVO : calculee primrest = 0 : "rente viagere imposables suivant le quotient tx eff" ;
TRPQRVO5 : calculee primrest = 0 : "rente viagere imposables suivant le quotient tx eff" ;
TRPQRVO5M : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO5R : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO5RM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO6 : calculee primrest = 0 : "rente viagere imposables suivant le quotient tx eff" ;
TRPQRVO6M : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO6R : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO6RM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO7 : calculee primrest = 0 : "rente viagere imposables suivant le quotient tx eff" ;
TRPQRVO7M : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO7R : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVO7RM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVOM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVOR : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRVORM : calculee primrest = 0 : "rente viagere imposables suivant le quotient soumis au bareme" ;
TRPQRWA : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWA" ;
TRPQRWAM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWA" ;
TRPQRWB : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWB" ;
TRPQRWBM : calculee primrest = 0 : "Revenu imposable suivant le quotient soumis au bar}me quot. NWB" ;
TRPQTS1 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTS1M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTS2 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTS2M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTS3 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTS3M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTS4 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTS4M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSC : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSCM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSREMP1 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSREMP1M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSREMP2 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSREMP2M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSREMP3 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSREMP3M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSREMP4 : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSREMP4M : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSREMPC : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSREMPCM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSREMPV : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSREMPVM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRPQTSV : calculee primrest = 0 : "TS imposables suivant le quotient tx eff" ;
TRPQTSVM : calculee primrest = 0 : "TS imposables suivant le quotient soumis au bareme" ;
TRSE1BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot RSE1 de la strate en cours" ;
TRSE2BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot RSE2 de la strate en cours" ;
TRSE3BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot RSE3 de la strate en cours" ;
TRSE4BASE : tableau[26] calculee primrest = 0 base : "Montant de l impot RSE4 de la strate en cours" ;
TRSE5BASE : tableau[26] calculee primrest = 0 base : "Montant RSE5 de la strate en cours" ;
TRSE6BASE : tableau[26] calculee primrest = 0 base : "Montant RSE6 de la strate en cours" ;
TRSE8BASE : tableau[26] calculee primrest = 0 base : "Montant RSE8 de la strate en cours" ;
TS1 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TS2 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TS3 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TS4 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSALC : calculee restituee primrest = 0 : "Traitements, salaires" ;
TSALP : calculee restituee primrest = 0 : "Traitements, salaires" ;
TSALV : calculee restituee primrest = 0 : "Traitements, salaires" ;
TSASSUC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1BQ : "Agent d'assurance - TS : revenus exoneres - Declarant 2" ;
TSASSUV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1AQ : "Agent d'assurance : salaires exoneres - Declarant 1" ;
TSB1 : calculee restituee primrest = 0 : "Salaires declares" ;
TSB11731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSB1_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TSB2 : calculee restituee primrest = 0 : "Salaires declares" ;
TSB21731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSB2_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TSB3 : calculee restituee primrest = 0 : "Salaires declares" ;
TSB31731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSB3_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TSB4 : calculee restituee primrest = 0 : "Salaires declares" ;
TSB41731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSB4_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TSBC : calculee restituee primrest = 0 : "Salaires declares Conjoint" ;
TSBC1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSBC_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TSBN1 : calculee primrest = 0 : " somme TS + allocation  " ;
TSBN2 : calculee primrest = 0 : " somme TS + allocation  " ;
TSBN3 : calculee primrest = 0 : " somme TS + allocation  " ;
TSBN4 : calculee primrest = 0 : " somme TS + allocation  " ;
TSBNC : calculee restituee primrest = 1 : " somme TS + allocation" ;
TSBNP : calculee restituee primrest = 1 : " somme TS + allocation personne a charge 1 a 4" ;
TSBNV : calculee restituee primrest = 1 : " somme TS + allocation" ;
TSBP : calculee restituee primrest = 0 : "revenu brut salarial des personnes a charge" ;
TSBP1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSBP_P : calculee primrest = 0 base : "Correctif:TS primitif  pour 1731" ;
TSBV : calculee restituee primrest = 0 : "Salaires declares Vous" ;
TSBV1731 : calculee restituee primrest = 0 base : "Frais TS retenu pour 1731" ;
TSBV_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TSC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSDECC : calculee restituee primrest = 1 : "Somme TS - Declarant 2" ;
TSDECP : calculee restituee primrest = 1 : "Somme TS - PAC" ;
TSDECV : calculee restituee primrest = 1 : "Somme TS - Declarant 1" ;
TSHALLO1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1CJ : "Salaires - PAC 1" ;
TSHALLO2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1DJ : "Traitements et salaires - PAC 2" ;
TSHALLO3 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1EJ : "Salaires - PAC 3" ;
TSHALLO4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 primrest = 0 alias 1FJ : "Salaires - PAC 4" ;
TSHALLOC : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1BJ : "Salaires - Declarant 2" ;
TSHALLOP : calculee restituee primrest = 0 : " somme TS personnes a charge 1 a 4" ;
TSHALLOV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 4 sanction = 8 nat_code = 0 modcat = 1 restituee primrest = 0 alias 1AJ : "Salaires - Declarant 1" ;
TSHBA : calculee restituee primrest = 0 : "Somme des revenus categoriels nets hors BA tx eff." ;
TSHBA1 : calculee restituee primrest = 0 : "Somme des revenus categoriels nets hors BA tx eff." ;
TSHBA1731 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA" ;
TSHBAP2 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA tx effectif" ;
TSHBAP3 : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA tx effectif" ;
TSHBA_P : calculee restituee primrest = 0 base : "Somme des revenus categoriels nets hors BA tx effectif" ;
TSN : calculee restituee primrest = 1 : "zone batch 1507 (SAL-TS-N)" ;
TSN1 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1AA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1AD : calculee restituee primrest = 1 : "Traitements et salaires nets de frais" ;
TSN1AF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1AG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1AJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1AP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1BA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1BD : calculee restituee primrest = 1 : "Traitements et salaires nets de frais" ;
TSN1BF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1BG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1BJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1BP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1CA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1CD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1CF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1CG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1CJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1CP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1DA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1DD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1DF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1DG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1DJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1DP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1EA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1ED : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1EF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1EG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1EJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1EP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1FA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1FD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1FF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1FG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1FJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1FP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1GB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1GF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1GG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1GH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1HB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1HF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1HG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1HH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1IB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1IF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1IG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1IH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1JB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1JF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1JG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1JH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1KF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1KG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1KH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1LF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1LG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1LH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1NX : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1OX : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1PM : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1QM : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1TP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1TT : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1UP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN1UT : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN2 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN3 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN3VJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN3VK : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSN4 : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNDAJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNDBJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNEAJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNEBJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNN1 : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - PAC" ;
TSNN1_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNN2 : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - PAC" ;
TSNN21 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - PAC" ;
TSNN21AFF : calculee restituee primrest = 0 : "Salaires declares taxes au quotient Vous pour avis" ;
TSNN22 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - PAC" ;
TSNN22AFF : calculee restituee primrest = 0 : "Salaires declares taxes au quotient Vous pour avis" ;
TSNN23 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - PAC" ;
TSNN23AFF : calculee restituee primrest = 0 : "Salaires declares taxes au quotient Vous pour avis" ;
TSNN24 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - PAC" ;
TSNN24AFF : calculee restituee primrest = 0 : "Salaires declares taxes au quotient Vous pour avis" ;
TSNN2C : calculee restituee primrest = 1 : "salaires normaux quot. 2 hors droits d'auteur imposables - Cjt" ;
TSNN2CAFF : calculee restituee primrest = 1 : "Salaires declares taxes au quotient Conj pour avis" ;
TSNN2P : calculee restituee primrest = 1 : "salaires nets taxees au quotient 2 - PAC" ;
TSNN2PAFF : calculee restituee primrest = 1 : "Salaires declares taxes au quotient PAC pour avis" ;
TSNN2RAF : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - Vous" ;
TSNN2RAG : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - Vous" ;
TSNN2RBF : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RBG : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RCF : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RCG : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RDF : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RDG : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2REF : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2REMP1 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2REMP1_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 " ;
TSNN2REMP2 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2REMP2_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 " ;
TSNN2REMP3 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2REMP3_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 " ;
TSNN2REMP4 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2REMP4_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 " ;
TSNN2REMPC : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2REMPC_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 " ;
TSNN2REMPT_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 total" ;
TSNN2REMPV : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2REMPV_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 " ;
TSNN2RFF : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RFG : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2RGG : calculee restituee primrest = 0 : "salaires quotient" ;
TSNN2TS1 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2TS1_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731" ;
TSNN2TS2 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2TS2_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731" ;
TSNN2TS3 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2TS3_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731" ;
TSNN2TS4 : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2TS4_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731" ;
TSNN2TSC : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - " ;
TSNN2TSC_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731" ;
TSNN2TST_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables -  1731 total" ;
TSNN2TSV : calculee restituee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - Vous" ;
TSNN2TSV_1731 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables - Vous 1731" ;
TSNN2V : calculee restituee primrest = 1 : "salaires normaux quot. 2 hors droits d'auteur imposables - Vous" ;
TSNN2VAFF : calculee restituee primrest = 1 : "Salaires declares taxes au quotient Vous pour avis" ;
TSNN2_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNN3 : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - PAC" ;
TSNN3_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNN4 : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - PAC" ;
TSNN4_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNNC : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - Cjt" ;
TSNNC_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNNT : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - Vous" ;
TSNNT_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNNV : calculee restituee primrest = 0 : "salaires normaux hors droits d'auteur imposables - Vous" ;
TSNNV_P : calculee primrest = 0 base : "Correctif: RCM def pour 1731" ;
TSNONIMPU : calculee primrest = 0 : "salaires normaux pour 1731" ;
TSNRAF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRAG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRAJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRAP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRBF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRBG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRBJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRBP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRCF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRCG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRCJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRCP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRDF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRDG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRDJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRDP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNREF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNREG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNREJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNREP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRFF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRFG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRFJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRFP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNRGG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSNT1 : calculee restituee primrest = 0 : "salaires apres deduction des frais professionnels" ;
TSNT2 : calculee restituee primrest = 0 : "salaires apres deduction des frais professionnels" ;
TSNT3 : calculee restituee primrest = 0 : "salaires apres deduction des frais professionnels" ;
TSNT4 : calculee restituee primrest = 0 : "salaires apres deduction des frais professionnels" ;
TSNTC : calculee restituee primrest = 0 : "salaires apres deduction des frais professionnels" ;
TSNTV : calculee restituee primrest = 0 : "salaires apres deduction des frais professionnels" ;
TSNV : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TSPEABC : calculee primrest = 0 : "Abattement forfaitaire conjoint BNC regime special tx eff auto" ;
TSPEABNPC : calculee restituee primrest = 0 : "Abattement forfaitaire conj BNC regime special non pro tx eff auto" ;
TSPEABNPP : calculee restituee primrest = 0 : "Abattement forfaitaire pac BNC regime special non pro tx eff auto" ;
TSPEABNPV : calculee restituee primrest = 0 : "Abattement forfaitaire vous BNC regime special non pro tx eff auto" ;
TSPEABP : calculee primrest = 0 : "Abattement forfaitaire pac BNC regime special tx eff auto" ;
TSPEABPC : calculee restituee primrest = 0 : "Abattement forfaitaire conjoint BNC regime special pro tx eff auto" ;
TSPEABPP : calculee restituee primrest = 0 : "Abattement forfaitaire pac BNC regime special pro tx eff auto" ;
TSPEABPV : calculee restituee primrest = 0 : "Abattement forfaitaire vous BNC regime special pro tx eff auto" ;
TSPEABV : calculee primrest = 0 : "Abattement forfaitaire vous BNC regime special tx eff auto" ;
TSPEBASABC : calculee primrest = 0 : "le rev total cjt prof et non prof BNC reg spe base AB tx eff auto" ;
TSPEBASABP : calculee primrest = 0 : "le rev total pac prof et non prof BNC reg spe base AB tx eff auto" ;
TSPEBASABV : calculee primrest = 0 : "le rev total vous prof et non prof BNC reg spe base AB tx eff auto" ;
TSPENET : calculee primrest = 0 : "Net imposable total BNC regime special prof et non pro tx eff auto" ;
TSPENETC : calculee restituee primrest = 0 : "Net imposable conjoint BNC regime special (prof. + non prof.) tx eff" ;
TSPENETNPC : calculee restituee primrest = 0 : "Net imposable conj BNC regime special non pro tx eff auto" ;
TSPENETNPF : calculee restituee primrest = 0 : "Net imposable non prof. BNC regime special tx effectif" ;
TSPENETNPP : calculee restituee primrest = 0 : "Net imposable pac BNC regime special non pro tx eff auto" ;
TSPENETNPV : calculee restituee primrest = 0 : "Net imposable vous BNC regime special non pro tx eff auto" ;
TSPENETP : calculee restituee primrest = 0 : "Net imposable pac BNC regime special (prof. + non prof.) tx eff" ;
TSPENETPC : calculee restituee primrest = 0 : "Net imposable conj BNC regime special pro tx eff auto" ;
TSPENETPP : calculee restituee primrest = 0 : "Net imposable pac BNC regime special pro tx eff auto" ;
TSPENETPV : calculee restituee primrest = 0 : "Net imposable vous BNC regime special pro tx eff auto" ;
TSPENETV : calculee restituee primrest = 0 : "Net imposable vous BNC regime special (prof. + non prof.) tx eff" ;
TSPETAUXF : calculee restituee primrest = 0 : "TSPE total foyer PAS" ;
TSPETOTC : calculee primrest = 0 : "le rev total conj prof et non prof BNC regime special tx eff auto" ;
TSPETOTP : calculee primrest = 0 : "le rev total pac prof et non prof BNC regime special tx eff auto" ;
TSPETOTV : calculee primrest = 0 : "le rev total vous prof et non prof BNC regime special tx eff auto" ;
TSPR : calculee restituee primrest = 0 : "Traitement salaire pension rentes imposables" ;
TSPR1 : calculee primrest = 0 : "Traitements,salaires, pensions, retraites imposables" ;
TSPR2 : calculee primrest = 0 : "Traitements,salaires, pensions, retraites imposables" ;
TSPR3 : calculee primrest = 0 : "Traitements,salaires, pensions, retraites imposables" ;
TSPR4 : calculee primrest = 0 : "Traitements,salaires, pensions, retraites imposables" ;
TSPRC : calculee restituee primrest = 1 : "Salaires, pensions imposables Conjoint" ;
TSPRC1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis" ;
TSPRCP2 : calculee restituee primrest = 0 base : "TS. : net TSPR 1731" ;
TSPRCP3 : calculee restituee primrest = 0 base : "TS. : net TSPR 1731" ;
TSPRC_P : calculee primrest = 0 base : "Correctif: TSPR pour 1731" ;
TSPRD1 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac1 deficit art 1731bis" ;
TSPRD2 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac2 deficit art 1731bis" ;
TSPRD3 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac3 deficit art 1731bis" ;
TSPRD4 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac4 deficit art 1731bis" ;
TSPRDP : calculee restituee primrest = 0 : "Salaires, pensions imposables total PAC deficit art 1731bis" ;
TSPRP : calculee restituee primrest = 1 : "Salaires, pensions imposables personnes a charge" ;
TSPRP1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis" ;
TSPRPP2 : calculee restituee primrest = 0 base : "TS. : net TSPR 1731" ;
TSPRPP3 : calculee restituee primrest = 0 base : "TS. : net TSPR 1731" ;
TSPRP_P : calculee primrest = 0 base : "Correctif: TSPR pour 1731" ;
TSPRT : calculee restituee primrest = 1 : "Salaires, pensions imposables TOTAL" ;
TSPRT1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables TOTAL pour calcul 1731bis" ;
TSPRTOT : calculee primrest = 0 : "Salaires, pensions imposables totale pour report" ;
TSPRTP2 : calculee restituee primrest = 0 base : "Salaires, pensions imposables TOTAL pour calcul 1731bis" ;
TSPRV : calculee restituee primrest = 1 : "Salaires, pensions imposables Vous" ;
TSPRV1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis" ;
TSPRVP2 : calculee restituee primrest = 0 base : "TS. : net TSPR 1731" ;
TSPRVP3 : calculee restituee primrest = 0 base : "TS. : net TSPR 1731" ;
TSPRV_P : calculee primrest = 0 base : "Correctif: TSPR pour 1731" ;
TSPR_P : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR + MAJOS 1728" ;
TSQCJ : calculee restituee primrest = 1 : "Salaires declares taxes au quotient Conjoint" ;
TSQPC : calculee restituee primrest = 1 : "Salaires declares taxes au quotient PAC" ;
TSQVO : calculee restituee primrest = 1 : "Salaires declares taxes au quotient Vous" ;
TSRASF : calculee restituee primrest = 0 : "Traitements et salaires total PAS" ;
TSTAUXINDIV : calculee restituee primrest = 0 : "TS taux RAS indiv" ;
TSTAUXRAS : calculee restituee primrest = 0 : "Revenus soumis a RAS total" ;
TSTAUXRASC : calculee restituee primrest = 0 : "Revenus soumis a RAS - dec 2" ;
TSTAUXRASP : calculee restituee primrest = 0 : "Revenus soumis a RAS - pac" ;
TSTAUXRASV : calculee restituee primrest = 0 : "Revenus soumis a RAS - dec 1" ;
TSTEFF : calculee restituee primrest = 1 : "AG 1507: cumul des salaires taux effectif" ;
TSV : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTAXABASE : tableau[26] calculee primrest = 0 base : "Montant TAXAGA de la starte en cours" ;
TTAXABASEDEF : tableau[26] calculee primrest = 0 base : "Montant TAXAGA definitif de la starte en cours" ;
TTPR1 : calculee primrest = 0 : "Traitements, salaires et pensions tx eff." ;
TTPR2 : calculee primrest = 0 : "Traitements, salaires et pensions tx eff." ;
TTPR3 : calculee primrest = 0 : "Traitements, salaires et pensions tx eff." ;
TTPR4 : calculee primrest = 0 : "Traitements, salaires et pensions tx eff." ;
TTPRC : calculee primrest = 0 : "Traitements, salaires et pensions tx eff." ;
TTPRV : calculee primrest = 0 : "Traitements, salaires et pensions tx eff." ;
TTPS101 : calculee primrest = 0 : "tx effectif abattement 10% brut" ;
TTPS102 : calculee primrest = 0 : "tx effectif abattement 10% brut" ;
TTPS103 : calculee primrest = 0 : "tx effectif abattement 10% brut" ;
TTPS104 : calculee primrest = 0 : "tx effectif abattement 10% brut" ;
TTPS10C : calculee primrest = 0 : "tx effectif abattement 10% brut" ;
TTPS10V : calculee primrest = 0 : "tx effectif abattement 10% brut" ;
TTPVQ : calculee restituee primrest = 1 : "Plus-values et gains soumis au quotient" ;
TTS1 : calculee primrest = 0 : "tx eff." ;
TTS2 : calculee primrest = 0 : "tx eff." ;
TTS3 : calculee primrest = 0 : "tx eff." ;
TTS4 : calculee primrest = 0 : "tx eff." ;
TTSB1 : calculee restituee primrest = 0 : "tx effectif  Salaires declares pac1" ;
TTSB1_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TTSB2 : calculee restituee primrest = 0 : "tx effectif  Salaires declares pac2" ;
TTSB2_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TTSB3 : calculee restituee primrest = 0 : "tx effectif  Salaires declares pac3" ;
TTSB3_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TTSB4 : calculee restituee primrest = 0 : "tx effectif  Salaires declares pac4" ;
TTSB4_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TTSBC : calculee restituee primrest = 0 : "tx effectif  Salaires declares conj." ;
TTSBC_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TTSBN1 : calculee primrest = 0 : " Tx effectif : somme TS + allocation  " ;
TTSBN2 : calculee primrest = 0 : " Tx effectif : somme TS + allocation  " ;
TTSBN3 : calculee primrest = 0 : " Tx effectif : somme TS + allocation  " ;
TTSBN4 : calculee primrest = 0 : " Tx effectif : somme TS + allocation  " ;
TTSBNC : calculee primrest = 0 : " Tx effectif : somme TS + allocation  " ;
TTSBNV : calculee primrest = 0 : " Tx effectif : somme TS + allocation  " ;
TTSBP : calculee restituee primrest = 0 : "Tx effectif revenu brut salarial des personnes a charge" ;
TTSBV : calculee restituee primrest = 0 : "tx effectif  Salaires declares Vous" ;
TTSBV_P : calculee primrest = 0 base : "Correctif:  TS  pour 1731" ;
TTSC : calculee primrest = 0 : "tx eff." ;
TTSN1 : calculee primrest = 0 : "Traitements et salaires nets de frais tx eff." ;
TTSN1AA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1AC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1AD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1AF : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1AG : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1AJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1AP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1BA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1BC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1BD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1BF : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1BG : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1BJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1BP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1CA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1CC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1CD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1CF : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1CG : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1CJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1CP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1DA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1DC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1DD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1DF : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1DG : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1DJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1DP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1EA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1EC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1ED : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1EF : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1EG : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1EJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1EP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1FA : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1FC : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1FD : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1FF : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1FG : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1FJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1FP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1GB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1GF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1GG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1GH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1HB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1HF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1HG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1HH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1IB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1IF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1IG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1IH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1JB : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1JF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1JG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1JH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1KF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1KG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1KH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1LF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1LG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1LH : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1NX : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1OX : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1PM : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1QM : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1TP : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1TT : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN1UP : calculee primrest = 0 : "Traitements et salaires nets de frais tx effectif" ;
TTSN1UT : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN2 : calculee primrest = 0 : "Traitements et salaires nets de frais tx eff." ;
TTSN3 : calculee primrest = 0 : "Traitements et salaires nets de frais tx eff." ;
TTSN3VJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN3VK : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSN4 : calculee primrest = 0 : "Traitements et salaires nets de frais tx eff." ;
TTSNC : calculee primrest = 0 : "Traitements et salaires nets de frais tx eff." ;
TTSNDAJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNDBJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNEAJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNEBJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNN1 : calculee primrest = 0 : "salaires normaux hors droits d'auteur imposables - tx eff." ;
TTSNN2 : calculee primrest = 0 : "salaires normaux hors droits d'auteur imposables - tx eff." ;
TTSNN21 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN22 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN23 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN24 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2C : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2RAF : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RAG : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RBF : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RBG : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RCF : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RCG : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RDF : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RDG : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2REF : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2REMP1 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2REMP2 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2REMP3 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2REMP4 : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2REMPC : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2REMPV : calculee primrest = 0 : "Tx effectif salaires normaux quot. 2 imposables - " ;
TTSNN2RFF : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RFG : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2RGG : calculee restituee primrest = 0 : "salaires normaux quot. " ;
TTSNN2TS1 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables  tx eff." ;
TTSNN2TS2 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables  tx eff." ;
TTSNN2TS3 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables  tx eff." ;
TTSNN2TS4 : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables  tx eff." ;
TTSNN2TSC : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables  tx eff." ;
TTSNN2TSV : calculee primrest = 0 : "salaires normaux quot. 2 hors droits d'auteur imposables  tx eff." ;
TTSNN2V : calculee primrest = 0 : "salaires normaux quot. 2 imposables - Vous" ;
TTSNN3 : calculee primrest = 0 : "salaires normaux hors droits d'auteur imposables - tx eff." ;
TTSNN4 : calculee primrest = 0 : "salaires normaux hors droits d'auteur imposables - tx eff." ;
TTSNNC : calculee primrest = 0 : "salaires normaux hors droits d'auteur imposables - tx eff." ;
TTSNNV : calculee primrest = 0 : "salaires normaux hors droits d'auteur imposables - tx eff." ;
TTSNRAF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRAG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRAJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRAP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRBF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRBG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRBJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRBP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRCF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRCG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRCJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRCP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRDF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRDG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRDJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRDP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNREF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNREJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNREP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRFF : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRFG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRFJ : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRFP : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNRGG : calculee primrest = 0 : "Traitements et salaires nets de frais" ;
TTSNT1 : calculee primrest = 0 : "salaires apres deduction des frais professionnels tx eff." ;
TTSNT2 : calculee primrest = 0 : "salaires apres deduction des frais professionnels tx eff." ;
TTSNT3 : calculee primrest = 0 : "salaires apres deduction des frais professionnels tx eff." ;
TTSNT4 : calculee primrest = 0 : "salaires apres deduction des frais professionnels tx eff." ;
TTSNTC : calculee primrest = 0 : "salaires apres deduction des frais professionnels tx eff." ;
TTSNTV : calculee primrest = 0 : "salaires apres deduction des frais professionnels tx eff." ;
TTSNV : calculee primrest = 0 : "Traitements et salaires nets de frais tx eff." ;
TTSPR : calculee primrest = 0 : "Traitement salaire pension rentes imposables tx eff." ;
TTSPR1 : calculee primrest = 0 : "Salaires, pensions imposables tx eff." ;
TTSPR2 : calculee primrest = 0 : "Salaires, pensions imposables tx eff." ;
TTSPR3 : calculee primrest = 0 : "Salaires, pensions imposables tx eff." ;
TTSPR4 : calculee primrest = 0 : "Salaires, pensions imposables tx eff." ;
TTSPRC : calculee restituee primrest = 0 : "Salaires, pensions imposables tx eff." ;
TTSPRC1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRCP2 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRCP3 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRD1 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac4 deficit art 1731bis" ;
TTSPRD2 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac4 deficit art 1731bis" ;
TTSPRD3 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac4 deficit art 1731bis" ;
TTSPRD4 : calculee restituee primrest = 0 : "Salaires, pensions imposables Pac4 deficit art 1731bis" ;
TTSPRDP : calculee restituee primrest = 0 : "Salaires, pensions imposables total PAC deficit art 1731bis" ;
TTSPRP : calculee restituee primrest = 0 : "Salaires, pensions imposables personnes a charge tx eff." ;
TTSPRP1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRPP2 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRPP3 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRT : calculee restituee primrest = 0 : "Salaires, pensions imposables TOTAL tx eff." ;
TTSPRT1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables TOTAL tx eff. art 1731bis" ;
TTSPRTP2 : calculee restituee primrest = 0 base : "Salaires, pensions imposables TOTAL tx eff. art 1731bis" ;
TTSPRV : calculee restituee primrest = 0 : "Salaires, pensions imposables tx eff." ;
TTSPRV1731 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRVP2 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSPRVP3 : calculee restituee primrest = 0 base : "Salaires, pensions imposables pour calcul 1731bis tx effectif" ;
TTSV : calculee primrest = 0 : "tx eff." ;
TX002 : const=2.00000  ;
TX01 : const=1.00000  ;
TX0128 : const=12.80000  ;
TX017 : const=1.70000  ;
TX0172 : const=0.17200  ;
TX02 : const=2.00000  ;
TX022 : const=2.20000  ;
TX023 : const=2.30000  ;
TX038 : const=3.80000  ;
TX04 : const=4.00000  ;
TX041 : const=4.10000  ;
TX042 : const=4.20000  ;
TX048 : const=4.80000  ;
TX05 : const=5.00000  ;
TX050 : const=0.50000  ;
TX051 : const=5.10000  ;
TX06 : const=6.00000  ;
TX062 : const=6.20000  ;
TX066 : const=6.60000  ;
TX068 : const=6.80000  ;
TX07 : const=7.00000  ;
TX075 : const=7.50000  ;
TX082 : const=8.20000  ;
TX09 : const=9.00000  ;
TX092 : const=9.20000  ;
TX10 : const=10.00000  ;
TX11 : const=11.00000  ;
TX12 : const=12.00000  ;
TX128 : const=12.80000  ;
TX13 : const=13.00000  ;
TX15 : const=15.00000  ;
TX16 : const=16.00000  ;
TX17 : const=17.00000  ;
TX172 : const=17.20000  ;
TX1758A : const=10.00000  ;
TX18 : const=18.00000  ;
TX19 : const=19.00000  ;
TX20 : const=20.00000  ;
TX22 : const=22.00000  ;
TX225 : const=22.50000  ;
TX23 : const=23.00000  ;
TX24 : const=24.00000  ;
TX25 : const=25.00000  ;
TX29 : const=29.00000  ;
TX30 : const=30.00000  ;
TX34 : const=34.00000  ;
TX35 : const=35.00000  ;
TX36 : const=36.00000  ;
TX375 : const=37.50000  ;
TX40 : const=40.00000  ;
TX41 : const=41.00000  ;
TX44 : const=44.00000  ;
TX45 : const=45.00000  ;
TX4737 : const=47.37000  ;
TX48 : const=48.00000  ;
TX50 : const=50.00000  ;
TX5263 : const=52.63000  ;
TX56 : const=56.00000  ;
TX6 : const=6.00000  ;
TX60 : const=60.00000  ;
TX625 : const=62.50000  ;
TX65 : const=65.00000  ;
TX66 : const=66.00000  ;
TX70 : const=70.00000  ;
TX75 : const=75.00000  ;
TX76 : const=76.00000  ;
TX768 : const=7.68000  ;
TX87 : const=87.00000  ;
TX896 : const=8.96000  ;
TX90 : const=90.00000  ;
TXBAR0 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXBAR1 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXBAR2 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXBAR3 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXBAR4 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXBAR5 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXBAR6 : calculee primrest = 0 : "Taux bareme double liquidation" ;
TXC : calculee restituee primrest = 0 : "TAUX interets de retard + majo CSG de l 'avis CSG" ;
TXCASA : const=0.30000  ;
TXCDIS : calculee restituee primrest = 0 : "TAUX interets de retard + majo  Cont. Sal. de l 'avis Cdis" ;
TXCSG820 : calculee restituee primrest = 1 : "TAUX interets de retard + majo  Cont. Sal. de l 'avis CS 8.2" ;
TXCVN : calculee restituee primrest = 0 : "TAUX interets de retard + majo  Cont. Sal. CVN de l 'avis" ;
TXFIPDOM : const=38.00000  ;
TXGAIN0 : const=16.00000  ;
TXGAIN1 : const=19.00000  ;
TXGAIN2 : const=22.50000  ;
TXGAIN3 : const=30.00000  ;
TXGAIN4 : const=41.00000  ;
TXGLOA : calculee restituee primrest = 0 : "TAUX interets de retard + majo  gains levee d option CGLOA de l 'avis" ;
TXHR1 : const=3.00000  ;
TXHR2 : const=4.00000  ;
TXINDIV1 : calculee restituee primrest = 0 : "Taux individuel 1 PAS" ;
TXINDIV2 : calculee restituee primrest = 0 : "Taux individuel 2 PAS" ;
TXINR : calculee restituee primrest = 0 : "Taux des interets de retard" ;
TXINRISF : calculee primrest = 0 : "Taux des interets de retard isf" ;
TXINRISF_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers) ISF" ;
TXINRISF_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR ISF" ;
TXINRISF_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
TXINRRED : calculee primrest = 0 : "Taux des interets de retard reduit" ;
TXINRRED22 : calculee primrest = 0 : "Taux des interets de retard reduit" ;
TXINRRED22_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers) reduit" ;
TXINRRED24 : calculee primrest = 0 : "Taux des interets de retard reduit" ;
TXINRRED24_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers) reduit" ;
TXINRREDISF : calculee primrest = 0 : "Taux des interets de retard isf reduit" ;
TXINRREDISF22 : calculee primrest = 0 : "Taux des interets de retard isf reduit" ;
TXINRREDISF22_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers) reduit ISF" ;
TXINRREDISF24 : calculee primrest = 0 : "Taux des interets de retard isf reduit" ;
TXINRREDISF24_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers) reduit ISF" ;
TXINRRED_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers) reduit" ;
TXINR_A : calculee primrest = 0 base : "Correctif: taux inr n- (calcul divers)" ;
TXINR_PA : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR" ;
TXINR_PA22 : calculee primrest = 0 : "Correctif: impot servant de base au calcul INR reduit 22" ;
TXINR_PA22_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR reduit 22" ;
TXINR_PA_A : calculee primrest = 0 base : "Correctif: impot servant de base au calcul INR" ;
TXINT : calculee restituee primrest = 0 : "Taux interets de retard" ;
TXINTIFI : calculee restituee primrest = 0 : "Taux interets de retard tx plein" ;
TXINTIFI1 : calculee restituee primrest = 0 : "Taux interets de retard tx plein" ;
TXINTIFI2 : calculee restituee primrest = 0 : "Taux interets de retard tx plein" ;
TXINTIFI22 : calculee restituee primrest = 0 : "Taux interets de retard tx reduit" ;
TXINTIFIR1 : calculee restituee primrest = 0 : "Taux interets de retard tx reduit" ;
TXINTIFIR2 : calculee restituee primrest = 0 : "Taux interets de retard tx reduit" ;
TXMARJ : calculee restituee primrest = 1 : "Taux marginal d imposition ( taux de la derniere tranche)" ;
TXMARJBA : calculee primrest = 0 : "Taux marginal d imposition (derniere tranche) pour les BA tx marj" ;
TXMIN : calculee restituee primrest = 0 : "Taux individuel PAS" ;
TXMOISRED : const=0.70000  ;
TXMOISRED2 : const=0.50000  ;
TXMOISRETARD : const=0.40000  ;
TXMOISRETARD2 : const=0.20000  ;
TXMOYIMP : calculee restituee primrest = 1 : "Taux moyen d imposition" ;
TXMOYIMPC : calculee restituee primrest = 0 : "Taux moyen d imposition calcule avant conditions" ;
TXMOYIMPDEN : calculee primrest = 0 : "denominateur pour calcul Taux moyen d imposition" ;
TXMOYIMPDEN1 : calculee primrest = 0 : "den. Taux moyen d imposition 1 revenus soumis au bareme" ;
TXMOYIMPDEN2 : calculee primrest = 0 : "den. Taux moyen d imposition 2 sommes a deduire des rev. bareme" ;
TXMOYIMPDEN3 : calculee primrest = 0 : "den. Taux moyen d imposition 3 sommes + Values taux prop." ;
TXMOYIMPDEN4 : calculee primrest = 0 : "den. Taux moyen d imposition 4 sommes Rev. net + + Values quotient" ;
TXMOYIMPDEN5 : calculee primrest = 0 : "den. Taux moyen d imposition 5 rev. prelevement liberatoire" ;
TXMOYIMPDEN6 : calculee primrest = 0 : "den. Taux moyen d imposition 5 rev. agent assurance" ;
TXMOYIMPNUM : calculee primrest = 0 : "numerateur pour calcul Taux moyen d imposition" ;
TXP : calculee restituee primrest = 0 : "TAUX interets de retard + majo  PS de l 'avis CSG" ;
TXPAC005 : const=0.50000  ;
TXPAC013 : const=1.30000  ;
TXPAC015 : const=1.50000  ;
TXPAC021 : const=2.10000  ;
TXPAC025 : const=2.50000  ;
TXPAC029 : const=2.90000  ;
TXPAC035 : const=3.50000  ;
TXPAC041 : const=4.10000  ;
TXPAC045 : const=4.50000  ;
TXPAC053 : const=5.30000  ;
TXPAC06 : const=6.00000  ;
TXPAC075 : const=7.50000  ;
TXPAC09 : const=9.00000  ;
TXPAC099 : const=9.90000  ;
TXPAC105 : const=10.50000  ;
TXPAC119 : const=11.90000  ;
TXPAC12 : const=12.00000  ;
TXPAC138 : const=13.80000  ;
TXPAC14 : const=14.00000  ;
TXPAC158 : const=15.80000  ;
TXPAC16 : const=16.00000  ;
TXPAC179 : const=17.90000  ;
TXPAC18 : const=18.00000  ;
TXPAC20 : const=20.00000  ;
TXPAC24 : const=24.00000  ;
TXPAC28 : const=28.00000  ;
TXPAC33 : const=33.00000  ;
TXPAC38 : const=38.00000  ;
TXPAC43 : const=43.00000  ;
TXPASMIN : calculee restituee primrest = 0 : "Indicateur taux individuel PAS mini" ;
TXPASPS : const=17.20000  ;
TXPF1728 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture (1728)" ;
TXPF1728C820 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour la CSAL 8.2 %" ;
TXPF1728CAP : calculee primrest = 0 : "Taux du code majo le plus fort avis IR (1728) pour PCAP" ;
TXPF1728CDIS : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour la CSAL30%" ;
TXPF1728CHR : calculee primrest = 0 : "Taux du code majo le plus fort avis IR (1728) pour la CHR" ;
TXPF1728CRP : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728)" ;
TXPF1728CVN : calculee primrest = 0 : "Taux du code majo le plus fort avis IR (1728) pour 3SN 3VN" ;
TXPF1728GLO : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour GLO%" ;
TXPF1728IFI : calculee primrest = 0 : "Taux du code majo le plus fort avis ISF (1728) pour IFI" ;
TXPF1728RSE1 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour RSE 8TQ" ;
TXPF1728RSE2 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour RSE 8TV" ;
TXPF1728RSE3 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour RSE 8TW" ;
TXPF1728RSE4 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour RSE 8TX" ;
TXPF1728RSE5 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour RSE 8TR" ;
TXPF1728RSE6 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour CASA 8TV 8SA 8SC" ;
TXPF1728RSE8 : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (1728) pour 8TH 8SD" ;
TXPFC : calculee primrest = 0 : "Taux du code majo le plus fort avis facture CSG" ;
TXPFC820 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture Cdis" ;
TXPFCDIS : calculee primrest = 0 : "Taux du code majo le plus fort avis facture Cdis" ;
TXPFCVN : calculee primrest = 0 : "Taux du code majo le plus fort avis facture CVN" ;
TXPFGLO : calculee primrest = 0 : "Taux du code majo le plus fort avis facture GLO" ;
TXPFI : calculee primrest = 0 : "Taux du code majo le plus fort avis facture (insuff)" ;
TXPFIC820 : calculee primrest = 0 : "Taux du code majo le plus fort avis Csal 8.2 % (insuff)" ;
TXPFICAP : calculee primrest = 0 : "Taux du code majo le plus fort avis facture (insuff PCAP)" ;
TXPFICDIS : calculee primrest = 0 : "Taux du code majo le plus fort avis Csal 30% (insuff)" ;
TXPFICHR : calculee primrest = 0 : "Taux du code majo le plus fort avis facture (insuff CHR)" ;
TXPFICRP : calculee primrest = 0 : "Taux du code majo le plus fort avis CSG (insuff)" ;
TXPFICVN : calculee primrest = 0 : "Taux du code majo le plus fort avis 3SN 3VN (insuff)" ;
TXPFIGLO : calculee primrest = 0 : "Taux du code majo le plus fort avis facture (insuff CGLOA)" ;
TXPFIRSE1 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE1% (insuff)" ;
TXPFIRSE2 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE2% (insuff)" ;
TXPFIRSE3 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE3% (insuff)" ;
TXPFIRSE4 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE4% (insuff)" ;
TXPFIRSE5 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE5 (insuff)" ;
TXPFIRSE6 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE6 (insuff)" ;
TXPFIRSE8 : calculee primrest = 0 : "Taux du code majo le plus fort avis RSE8 (insuff)" ;
TXPFITAXA : calculee primrest = 0 : "Taux du code majo le plus fort avis facture (insuff TAXA)" ;
TXPFP : calculee primrest = 0 : "Taux du code majo le plus fort avis facture PRS" ;
TXPFR : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RDS" ;
TXPFRSE1 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE1" ;
TXPFRSE2 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE2" ;
TXPFRSE3 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE3" ;
TXPFRSE4 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE4" ;
TXPFRSE5 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE5" ;
TXPFRSE6 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE5" ;
TXPFRSE8 : calculee primrest = 0 : "Taux du code majo le plus fort avis facture RSE8" ;
TXPSOL : const=7.50000  ;
TXR : calculee restituee primrest = 0 : "TAUX interets de retard + majo RDS de l 'avis CSG" ;
TXRSE1 : calculee restituee primrest = 0 : "TAUX interets de retard + majo  RSE1" ;
TXRSE2 : calculee restituee primrest = 0 : "TAUX interets de retard + majo  RSE2" ;
TXRSE3 : calculee restituee primrest = 0 : "TAUX interets de retard + majo  RSE3" ;
TXRSE4 : calculee restituee primrest = 0 : "TAUX interets de retard + majo  RSE4" ;
TXRSE5 : calculee restituee primrest = 0 : "TAUX interets de retard + majo  RSE5" ;
TXRSE6 : calculee restituee primrest = 0 : "TAUX interets de retard + majo  RSE6 -CASA" ;
TXRSE8 : calculee restituee primrest = 1 : "TAUX interets de retard + majo  RSE8 8TH 8SD" ;
TXRVT1 : const=70.00000  ;
TXRVT2 : const=50.00000  ;
TXRVT3 : const=40.00000  ;
TXRVT4 : const=30.00000  ;
TXSANCIR : const=10.00000  ;
TXSANCTION : const=10.00000  ;
TXSPEAAC : calculee primrest = 0 : "Rev non comm. pro conjoint regime special tx eff auto" ;
TXSPEAAP : calculee primrest = 0 : "Rev non comm. pro PAC regime special tx eff auto" ;
TXSPEAAV : calculee primrest = 0 : "Rev non comm. pro vous regime special tx eff auto" ;
TXSPEHC : calculee restituee primrest = 0 : "Net imposable conjoint BNC regime special (prof.) exo tx eff" ;
TXSPEHP : calculee restituee primrest = 0 : "Net imposable pac BNC regime special (prof.) exo tx eff" ;
TXSPEHV : calculee restituee primrest = 0 : "Net imposable vous BNC regime special (prof.) exo tx eff" ;
TXTO : calculee restituee primrest = 0 : "TAUX TO RESTITUE" ;
TXTQ : const=9.20000  ;
TXTQDED : const=6.80000  ;
TXTR : const=9.20000  ;
TXTRDED : const=6.80000  ;
TXTV : const=8.30000  ;
TXTVDED : const=5.90000  ;
TXTW : const=6.20000  ;
TXTWDED : const=3.80000  ;
TXTX : const=3.80000  ;
TXTXDED : const=3.80000  ;
TX_AIDOMI : const=50.00000  ;
TX_ASSUR1 : const=2.00000  ;
TX_ASSUR2 : const=0.60000  ;
TX_ASSUR3 : const=2.60000  ;
TX_BAIL : const=2.50000  ;
TX_BAR0 : const=0.00000  ;
TX_BAR1 : const=0.00000  ;
TX_BAR2 : const=11.00000  ;
TX_BAR3 : const=30.00000  ;
TX_BAR4 : const=41.00000  ;
TX_BAR5 : const=45.00000  ;
TX_BAR6 : const=0.00000  ;
TX_BASECOTSYN : const=1.00000  ;
TX_BASEDUP : const=20.00000  ;
TX_CIAQCUL : const=40.00000  ;
TX_CINE1 : const=36.00000  ;
TX_CINE2 : const=30.00000  ;
TX_CINE3 : const=25.00000  ;
TX_CREREVET : const=16.00000  ;
TX_CSG : calculee restituee primrest = 0 : "Taux de la cotisation sociale generalisee (restit)" ;
TX_CURE : const=25.00000  ;
TX_DEDFORFTS : const=10.00000  ;
TX_DEDPER : const=10.00000  ;
TX_DIFAGRI : const=50.00000  ;
TX_FCPI : const=18.00000  ;
TX_FIPCORSE : const=38.00000  ;
TX_FORET : const=50.00000  ;
TX_IDCSG : calculee restituee primrest = 0 : "Taux de la CSG deductible (restit)" ;
TX_MIBPRES : const=50.00000  ;
TX_MIBVEN : const=71.00000  ;
TX_MICFON : const=30.00000  ;
TX_MIN_DOM : const=14.40000  ;
TX_MIN_DOM2 : const=20.00000  ;
TX_MIN_MET : const=20.00000  ;
TX_MIN_MET2 : const=30.00000  ;
TX_MOD0 : const=0.00000  ;
TX_MOD1 : const=0.00000  ;
TX_MOD2 : const=11.00000  ;
TX_MOD3 : const=30.00000  ;
TX_MOD4 : const=41.00000  ;
TX_MOD5 : const=45.00000  ;
TX_MOD6 : const=0.00000  ;
TX_PATNAT : const=18.00000  ;
TX_PERPPLAF : const=10.00000  ;
TX_PREL_SOC : calculee restituee primrest = 0 : "Taux du prelevement social (restit)" ;
TX_PRESCOMP : const=25.00000  ;
TX_PRETUD : const=25.00000  ;
TX_PREVLIB : const=7.50000  ;
TX_RABDOM : const=30.00000  ;
TX_RABGUY : const=40.00000  ;
TX_RASAR : const=12.00000  ;
TX_RDS : calculee restituee primrest = 0 : "Taux de la contribution remboursement dette sociale (restit)" ;
TX_REDCOTSYN : const=66.00000  ;
TX_REDDON : const=66.00000  ;
TX_REDFIP : const=18.00000  ;
TX_REDGARD : const=50.00000  ;
TX_REDIL20 : const=20.00000  ;
TX_REDIL25 : const=25.00000  ;
TX_REDREPAS : const=75.00000  ;
TX_REDSURV : const=25.00000  ;
TX_RENOV : const=18.00000  ;
TX_RESTIMO1 : const=27.00000  ;
TX_SOCREPR : const=25.00000  ;
TX_TR2_IFI : const=50.00000  ;
TX_TR2_ISF : const=50.00000  ;
TX_TR3_IFI : const=70.00000  ;
TX_TR3_ISF : const=70.00000  ;
TX_TR4_IFI : const=1.00000  ;
TX_TR4_ISF : const=1.00000  ;
TX_TR5_IFI : const=125.00000  ;
TX_TR5_ISF : const=125.00000  ;
TX_TR6_IFI : const=15.00000  ;
TX_TR6_ISF : const=15.00000  ;
TYPE0 : const=0.00000  ;
TYPE1 : const=1.00000  ;
TYPE2 : const=2.00000  ;
TYPE3 : const=3.00000  ;
TYPE4 : const=4.00000  ;
T_CSG : const=9.20000  ;
T_CSGCRDS : const=9.70000  ;
T_IDCSG : const=6.80000  ;
T_PCAPTAX : const=7.50000  ;
T_PREL_SOC : const=6.80000  ;
T_PREL_SOCDOM : const=2.30000  ;
T_RABP : saisie penalite primrest = 0 alias V_T_RABP : "Somme des rappels bruts 1728 de type P" ;
T_RABP07 : saisie penalite primrest = 0 alias V_T_RABP07 : "Somme des rappels bruts de code majo 07 de type P" ;
T_RABP08 : saisie penalite primrest = 0 alias V_T_RABP08 : "Somme des rappels bruts de code majo 08 de type P" ;
T_RABP09 : saisie penalite primrest = 0 alias V_T_RABP09 : "Somme des rappels bruts de code majo 09 de type P" ;
T_RABP10 : saisie penalite primrest = 0 alias V_T_RABP10 : "Somme des rappels bruts de code majo 10 de type P" ;
T_RABP11 : saisie penalite primrest = 0 alias V_T_RABP11 : "Somme des rappels bruts de code majo 11 de type P" ;
T_RABP12 : saisie penalite primrest = 0 alias V_T_RABP12 : "Somme des rappels bruts de code majo 12 de type P" ;
T_RABP17 : saisie penalite primrest = 0 alias V_T_RABP17 : "Somme des rappels bruts de code majo 17 de type P" ;
T_RABP31 : saisie penalite primrest = 0 alias V_T_RABP31 : "Somme des rappels bruts de code majo 31 de type P" ;
T_RABPCH : saisie penalite primrest = 0 alias V_T_RABPCH : "Somme des rappels bruts 1728 de type P de CHR" ;
T_RABPCH07 : saisie penalite primrest = 0 alias V_T_RABPCH07 : "Somme des rappels bruts de code majo 07 de type P de CHR" ;
T_RABPCH08 : saisie penalite primrest = 0 alias V_T_RABPCH08 : "Somme des rappels bruts de code majo 08 de type P de CHR" ;
T_RABPCH09 : saisie penalite primrest = 0 alias V_T_RABPCH09 : "Somme des rappels bruts de code majo 09 de type P de CHR" ;
T_RABPCH10 : saisie penalite primrest = 0 alias V_T_RABPCH10 : "Somme des rappels bruts de code majo 10 de type P de CHR" ;
T_RABPCH11 : saisie penalite primrest = 0 alias V_T_RABPCH11 : "Somme des rappels bruts de code majo 11 de type P de CHR" ;
T_RABPCH12 : saisie penalite primrest = 0 alias V_T_RABPCH12 : "Somme des rappels bruts de code majo 12 de type P de CHR" ;
T_RABPCH17 : saisie penalite primrest = 0 alias V_T_RABPCH17 : "Somme des rappels bruts de code majo 12 de type P de CHR" ;
T_RABPCH31 : saisie penalite primrest = 0 alias V_T_RABPCH31 : "Somme des rappels bruts de code majo 31 de type P de CHR" ;
T_RABPCS : saisie penalite primrest = 0 alias V_T_RABPCS : "Somme des rappels bruts 1728 de type P de CSG" ;
T_RABPCS07 : saisie penalite primrest = 0 alias V_T_RABPCS07 : "Somme des rappels bruts de code majo 07 de type P de CSG" ;
T_RABPCS08 : saisie penalite primrest = 0 alias V_T_RABPCS08 : "Somme des rappels bruts de code majo 08 de type P de CSG" ;
T_RABPCS09 : saisie penalite primrest = 0 alias V_T_RABPCS09 : "Somme des rappels bruts de code majo 09 de type P de CSG" ;
T_RABPCS10 : saisie penalite primrest = 0 alias V_T_RABPCS10 : "Somme des rappels bruts de code majo 10 de type P de CSG" ;
T_RABPCS11 : saisie penalite primrest = 0 alias V_T_RABPCS11 : "Somme des rappels bruts de code majo 11 de type P de CSG" ;
T_RABPCS12 : saisie penalite primrest = 0 alias V_T_RABPCS12 : "Somme des rappels bruts de code majo 12 de type P de CSG" ;
T_RABPCS17 : saisie penalite primrest = 0 alias V_T_RABPCS17 : "Somme des rappels bruts de code majo 17 de type P de CSG" ;
T_RABPCS31 : saisie penalite primrest = 0 alias V_T_RABPCS31 : "Somme des rappels bruts de code majo 31 de type P de CSG" ;
T_RABPLO : saisie penalite primrest = 0 alias V_T_RABPLO : "Somme des rappels bruts 1728 de type P pour TAXLOY" ;
T_RABPLO07 : saisie penalite primrest = 0 alias V_T_RABPLO07 : "Somme des rappels bruts de code majo 07 de type P pour TAXLOY" ;
T_RABPLO08 : saisie penalite primrest = 0 alias V_T_RABPLO08 : "Somme des rappels bruts de code majo 08 de type P pour TAXLOY" ;
T_RABPLO09 : saisie penalite primrest = 0 alias V_T_RABPLO09 : "Somme des rappels bruts de code majo 09 de type P pour TAXLOY" ;
T_RABPLO10 : saisie penalite primrest = 0 alias V_T_RABPLO10 : "Somme des rappels bruts de code majo 10 de type P pour TAXLOY" ;
T_RABPLO11 : saisie penalite primrest = 0 alias V_T_RABPLO11 : "Somme des rappels bruts de code majo 11 de type P pour TAXLOY" ;
T_RABPLO12 : saisie penalite primrest = 0 alias V_T_RABPLO12 : "Somme des rappels bruts de code majo 12 de type P pour TAXLOY" ;
T_RABPLO17 : saisie penalite primrest = 0 alias V_T_RABPLO17 : "Somme des rappels bruts de code majo 17 de type P pour TAXLOY" ;
T_RABPLO31 : saisie penalite primrest = 0 alias V_T_RABPLO31 : "Somme des rappels bruts de code majo 31 de type P pour TAXLOY" ;
T_RABPPS : saisie penalite primrest = 0 alias V_T_RABPPS : "Somme des rappels bruts 1728 de type P de Cot Soc" ;
T_RABPPS07 : saisie penalite primrest = 0 alias V_T_RABPPS07 : "Somme des rappels bruts de code majo 07 de type P de Cot Soc" ;
T_RABPPS08 : saisie penalite primrest = 0 alias V_T_RABPPS08 : "Somme des rappels bruts de code majo 08 de type P de Cot Soc" ;
T_RABPPS09 : saisie penalite primrest = 0 alias V_T_RABPPS09 : "Somme des rappels bruts de code majo 09 de type P de Cot Soc" ;
T_RABPPS10 : saisie penalite primrest = 0 alias V_T_RABPPS10 : "Somme des rappels bruts de code majo 10 de type P de Cot Soc" ;
T_RABPPS11 : saisie penalite primrest = 0 alias V_T_RABPPS11 : "Somme des rappels bruts de code majo 11 de type P de Cot Soc" ;
T_RABPPS12 : saisie penalite primrest = 0 alias V_T_RABPPS12 : "Somme des rappels bruts de code majo 12 de type P de Cot Soc" ;
T_RABPPS17 : saisie penalite primrest = 0 alias V_T_RABPPS17 : "Somme des rappels bruts de code majo 17 de type P de Cot Soc" ;
T_RABPPS31 : saisie penalite primrest = 0 alias V_T_RABPPS31 : "Somme des rappels bruts de code majo 31 de type P de Cot Soc" ;
T_RABPRD : saisie penalite primrest = 0 alias V_T_RABPRD : "Somme des rappels bruts 1728 de type P de CRDS" ;
T_RABPRD07 : saisie penalite primrest = 0 alias V_T_RABPRD07 : "Somme des rappels bruts de code majo 07 de type P de CRDS" ;
T_RABPRD08 : saisie penalite primrest = 0 alias V_T_RABPRD08 : "Somme des rappels bruts de code majo 08 de type P de CRDS" ;
T_RABPRD09 : saisie penalite primrest = 0 alias V_T_RABPRD09 : "Somme des rappels bruts de code majo 09 de type P de CRDS" ;
T_RABPRD10 : saisie penalite primrest = 0 alias V_T_RABPRD10 : "Somme des rappels bruts de code majo 10 de type P de CRDS" ;
T_RABPRD11 : saisie penalite primrest = 0 alias V_T_RABPRD11 : "Somme des rappels bruts de code majo 11 de type P de CRDS" ;
T_RABPRD12 : saisie penalite primrest = 0 alias V_T_RABPRD12 : "Somme des rappels bruts de code majo 12 de type P de CRDS" ;
T_RABPRD17 : saisie penalite primrest = 0 alias V_T_RABPRD17 : "Somme des rappels bruts de code majo 17 de type P de CRDS" ;
T_RABPRD31 : saisie penalite primrest = 0 alias V_T_RABPRD31 : "Somme des rappels bruts de code majo 31 de type P de CRDS" ;
T_RDS : const=0.50000  ;
VALREGCO : saisie revenu classe = 0 priorite = 20 categorie_TL = 10 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 primrest = 0 alias 8ZA : "Regime d'imposition des non residents - Valeur 2 ou 3" ;
VAR0AV : calculee primrest = 0 : "variable nbr qar part 0AV veuf" ;
VAR0BT : calculee primrest = 0 : "variable 0bt saisie seule ou avec indication veuf" ;
VAR9GN : calculee restituee primrest = 0 : "Indicateur presence code 9GN" ;
VAR9YIIR : calculee primrest = 0 : "Calcul INR : Prorata des acomptes INR base deja verses " ;
VAR9YIPS : calculee primrest = 0 : "Calcul INR : Prorata des acomptes INR base deja verses " ;
VARBACDEC : calculee restituee primrest = 0 base : " deficit ant impute pour art 1731" ;
VARBACDEP : calculee restituee primrest = 0 base : " deficit ant impute pour art 1731" ;
VARBACDEV : calculee restituee primrest = 0 base : " deficit ant impute pour art 1731" ;
VARBAHDEC : calculee restituee primrest = 0 base : " deficit ant impute pour art 1731" ;
VARBAHDEP : calculee restituee primrest = 0 base : " deficit ant impute pour art 1731" ;
VARBAHDEV : calculee restituee primrest = 0 base : " deficit ant impute pour art 1731" ;
VARDMOND : calculee restituee primrest = 1 : "8ZY recalcule suite art 1731 bis" ;
VARIDF : calculee primrest = 0 : "Variable pour indicateur IDF CITE" ;
VARIPTEFN : calculee restituee primrest = 0 : "8ZN recalcule suite art 1731 bis" ;
VARIPTEFP : calculee restituee primrest = 0 : "8ZR recalcule suite art 1731 bis" ;
VARIR12 : calculee primrest = 0 : "donnee intermediaire pour var. cum" ;
VARIR61 : calculee primrest = 0 : "dinnees intermediaire pour calcul des var cum" ;
VARIRDROIT : calculee primrest = 0 base : "Var droits IR TAXA etc entre derniere  1ere strate pour test 61 euros " type REEL ;
VARIRPSNET : calculee restituee primrest = 1 : "Solde total impot sur le revenu et prelevements sociaux (1507)" ;
VARNAPTIR : calculee restituee primrest = 1 : "Variation solde IR" ;
VARNON : calculee primrest = 0 base : "Var pour calculer simplement NONREST et NONMER" ;
VARPERP : calculee primrest = 0 : "Indicateur presence codes PERP" ;
VARPREVSOC : calculee restituee primrest = 1 : "Variation solde PS" ;
VARPS : calculee primrest = 0 : "Variable intermediaire pour calcul des COMPENSxxx" ;
VARPS61 : calculee primrest = 0 : "dinnees intermediaire pour calcul des var cum" ;
VARPS611 : calculee primrest = 0 : "dinnees intermediaire pour calcul des var cum avant CIMR" ;
VARR10 : calculee restituee primrest = 0 base : "Variable afin d identifier code majo 10" ;
VARR30 : calculee restituee primrest = 0 base : "Variable afin d identifier code majo 30" ;
VARR30R32 : calculee restituee primrest = 0 base : "Variable afin d identifier code majo 30 et 32" ;
VARR32 : calculee restituee primrest = 0 base : "Variable afin d identifier code majo 32" ;
VARREVKIRE : calculee primrest = 0 : "variable pour donnee commune Revenu de reference et HR" ;
VARRMOND : calculee restituee primrest = 1 : "8ZW recalcule suite art 1731 bis" ;
VARTMP1 : calculee primrest = 0 : "variable temporaire" ;
VARTMP2 : calculee primrest = 0 : "variable temporaire" ;
VARTMPTAB1 : tableau[50] calculee primrest = 0 base : "tableau temporaire" ;
VARZDC : calculee restituee primrest = 0 : "Variable affichage pour ZDC = 1" ;
VARZDC_A : calculee primrest = 0 : "Variable affichage pour ZDC = 1 anterieur" ;
VEHIMP : calculee restituee primrest = 1 : "charge vehicule electrique : montant impute" ;
VEHREST : calculee restituee primrest = 1 : "charge vehicule electrique : montant restitution" ;
VERSLIB : calculee restituee primrest = 1 : "Complement versement liberatoire" ;
V_0AB : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 0 modcat = 1 primrest = 0 alias 0AB : "Case a cocher : option pour la declaration separee" type BOOLEEN ;
V_0AC : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 0 alias 0AC : "Case a cocher : situation de famille Celibataire " type BOOLEEN ;
V_0AD : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 0 alias 0AD : "Case a cocher : situation de famille Divorce " type BOOLEEN ;
V_0AF : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AF : "Case a cocher : Declarant 2 invalide " type BOOLEEN ;
V_0AG : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AG : "Case a cocher : veuve avec pension de guerre " type BOOLEEN ;
V_0AL : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AL : "Case a cocher : enfant eleve pendant 5 ans par un contribuable seul" type BOOLEEN ;
V_0AM : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 0 alias 0AM : "Case a cocher : situation de famille Maries " type BOOLEEN ;
V_0AN : saisie revenu classe = 0 priorite = 21 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 1 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 0AN : "Case a cocher : contribuable ne vivant pas seul" type BOOLEEN ;
V_0AO : saisie famille classe = 0 priorite = 20 categorie_TL = 60 nat_code = 0 modcat = 1 restituee primrest = 0 alias 0AO : "Case a cocher : situation de famille pacses " type BOOLEEN ;
V_0AP : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AP : "Case a cocher : Declarant 1 invalide " type BOOLEEN ;
V_0AS : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AS : "Case a cocher : maries titulaires d'une carte de combattant " type BOOLEEN ;
V_0AU : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AU : "Case a cocher : mariage des 2 partenaires lies par un PACS " type BOOLEEN ;
V_0AV : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 0 alias 0AV : "Case a cocher : situation de famille Veuf " type BOOLEEN ;
V_0AW : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AW : "Case a cocher : contribuable seul titulaire de la carte du combattant " type BOOLEEN ;
V_0AX : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AX : "Date de mariage " type DATE_JJMMAAAA ;
V_0AY : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AY : "Date de divorce, separation ou de rupture du PACS " type DATE_JJMMAAAA ;
V_0AZ : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0AZ : "Date de deces du Declarant 2  " type DATE_JJMMAAAA ;
V_0BT : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0BT : "Case a cocher : declarant parent isole " type BOOLEEN ;
V_0CF : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0CF : "Nombre d'enfants mineurs ou handicapes " ;
V_0CG : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0CG : "Nombre d'enfants avec carte d'invalidite " ;
V_0CH : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0CH : "Nombre d'enfants en residence alternee - mineurs ou handicapes " ;
V_0CI : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0CI : "Nombre d'enfants en residence alternee avec carte d'invalidite " ;
V_0CR : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0CR : "Nombre de personnes invalides a charge vivant sous le toit  " ;
V_0DA : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias 0DA : "Annee de naissance du Declarant 1 " type DATE_AAAA ;
V_0DB : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias 0DB : "Annee de naissance du Declarant 2 " type DATE_AAAA ;
V_0DJ : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0DJ : "Nombre d'enfants celibataires rattaches " ;
V_0DN : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0DN : "Nombre d'enfants maries rattaches " ;
V_0DP : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 restituee primrest = 1 alias 0DP : "Nombre de petits enfants rattaches residence alternee " ;
V_0F0 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F0 : "Annee de naissance enfant " type DATE_AAAA ;
V_0F1 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F1 : "Annee de naissance enfant  " type DATE_AAAA ;
V_0F2 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F2 : "Annee de naissance enfant " type DATE_AAAA ;
V_0F3 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F3 : "Annee de naissance enfant  " type DATE_AAAA ;
V_0F4 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F4 : "Annee de naissance enfant" type DATE_AAAA ;
V_0F5 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F5 : "Annee de naissance enfant" type DATE_AAAA ;
V_0F6 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F6 : "Annee de naissance enfant" type DATE_AAAA ;
V_0F7 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0F7 : "Annee de naissance enfant" type DATE_AAAA ;
V_0G0 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0G0 : "Annee de naissance enfant invalide " ;
V_0G1 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0G1 : "Annee de naissance enfant invalide " ;
V_0G2 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0G2 : "Annee de naissance enfant invalide " ;
V_0G3 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0G3 : "Annee de naissance enfant invalide " ;
V_0G4 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0G4 : "Annee de naissance enfant invalide " ;
V_0G5 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0G5 : "Annee de naissance enfant invalide " ;
V_0H0 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0H0 : "Annee de naissance enfant en residence alternee " ;
V_0H1 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0H1 : "Annee de naissance enfant en residence alternee " ;
V_0H2 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0H2 : "Annee de naissance enfant en residence alternee " ;
V_0H3 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0H3 : "Annee de naissance enfant en residence alternee " ;
V_0H4 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0H4 : "Annee de naissance enfant en residence alternee " ;
V_0H5 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0H5 : "Annee de naissance enfant en residence alternee " ;
V_0I0 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0I0 : "Annee de naissance enfant en residence alternee invalide" ;
V_0I1 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0I1 : "Annee de naissance enfant en residence alternee invalide" ;
V_0I2 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0I2 : "Annee de naissance enfant en residence alternee invalide" ;
V_0I3 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0I3 : "Annee de naissance enfant en residence alternee invalide" ;
V_0I4 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0I4 : "Annee de naissance enfant en residence alternee invalide" ;
V_0I5 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0I5 : "Annee de naissance enfant en residence alternee invalide" ;
V_0J0 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0J0 : "Annee de naissance enfant rattache " ;
V_0J1 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0J1 : "Annee de naissance enfant rattache " ;
V_0J2 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0J2 : "Annee de naissance enfant rattache " ;
V_0J3 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0J3 : "Annee de naissance enfant rattache " ;
V_0J4 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0J4 : "Annee de naissance enfant rattache " ;
V_0J5 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0J5 : "Annee de naissance enfant rattache " ;
V_0N0 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0N0 : "Annee de naissance enfant marie rattache " ;
V_0N1 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0N1 : "Annee de naissance enfant marie rattache" ;
V_0N2 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0N2 : "Annee de naissance enfant marie rattache " ;
V_0N3 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0N3 : "Annee de naissance enfant marie rattache " ;
V_0N4 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0N4 : "Annee de naissance enfant marie rattache " ;
V_0N5 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0N5 : "Annee de naissance enfant marie rattache " ;
V_0P0 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0P0 : "Annee de naissance petit enfant en residence alternee  " ;
V_0P1 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0P1 : "Annee de naissance petit enfant en residence alternee  " ;
V_0P2 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0P2 : "Annee de naissance petit enfant en residence alternee  " ;
V_0P3 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0P3 : "Annee de naissance petit enfant en residence alternee  " ;
V_0P4 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0P4 : "Annee de naissance petit enfant en residence alternee  " ;
V_0P5 : saisie famille classe = 0 priorite = 21 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0P5 : "Annee de naissance petit enfant en residence alternee  " ;
V_0R0 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0R0 : "Annee de naissance personne invalide " ;
V_0R1 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0R1 : "Annee de naissance personne invalide " ;
V_0R2 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0R2 : "Annee de naissance personne invalide " ;
V_0R3 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0R3 : "Annee de naissance personne invalide " ;
V_0R4 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0R4 : "Annee de naissance personne invalide " ;
V_0R5 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 1 modcat = 1 primrest = 0 alias 0R5 : "Annee de naissance personne invalide " ;
V_0SA : saisie famille classe = 0 priorite = 20 categorie_TL = 60 nat_code = 0 modcat = 1 primrest = 0 alias 0SA : "Primo declarant " type BOOLEEN ;
V_0TA : saisie famille classe = 0 priorite = 20 categorie_TL = 60 nat_code = 0 modcat = 1 primrest = 0 alias 0TA : "2042 deposee par mandataire" type BOOLEEN ;
V_0VA : saisie famille classe = 0 priorite = 20 categorie_TL = 60 nat_code = 0 modcat = 1 primrest = 0 alias 0VA : "Tiers de confiance" type BOOLEEN ;
V_8ZT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 11 sanction = 0 nat_code = 1 modcat = 1 restituee primrest = 0 alias 8ZT : "Revenus non soumis a l'impot sur le revenu (Declarant 1)" ;
V_9VV : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9VV : "Zone permettant le passage direct au bareme (colbert web)" ;
V_9XX : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9XX : "Zone permettant le passage direct au bareme (colbert web)" ;
V_9ZZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 60 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias 9ZZ : "Zone permettant le passage direct au bareme (colbert web)" ;
V_ACO_CIREL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ACO_CIREL : "liquidation acomptes provisionnels" ;
V_ACO_MTAP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ACO_MTAP : "liquidation acomptes provisionnels" ;
V_ACO_MTAPPS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ACO_MTAPPS : "liquidation acomptes provisionnels PS" ;
V_ACPASCSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASCSANT : "Impot IR Anterieur :  ACPASCS traitement anterieur" ;
V_ACPASCSNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASCSNANT : "Impot IR Anterieur : ACPASCS negatif" ;
V_ACPASIRANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASIRANT : "Impot IR    Anterieur :  ACPASIR traitement anterieur" ;
V_ACPASIRNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASIRNANT : "Impot IR anterieur :  ACPASIR traitement anterieur negatif" ;
V_ACPASPSOLANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASPSOLANT : "Impot IR    Anterieur :  ACPASCS traitement anterieur" ;
V_ACPASPSONANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASPSONANT : "Impot IR Anterieur : ACPASPSOL negatif" ;
V_ACPASTOTNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASTOTNANT : "Impot total  Anterieur :  ACPAStot negatif traitement anterieur" ;
V_ACPASTOTPANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ACPASTOTPANT : "Impot total  Anterieur :  ACPAStot positif traitement anterieur" ;
V_ACTPAS : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias ACTPAS : "Indicateur action contribuable PAS" type BOOLEEN ;
V_ANCSDED : saisie contexte classe = 0 priorite = 10 categorie_TL = 20 modcat = 1 restituee primrest = 0 alias ANCSDED : "Annee de revenu pour variation CSG" ;
V_ANC_BAR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ANC_BAR : "flag pour faire un calcul avec l ancienne loi fictive" ;
V_ANC_NAP : calculee restituee primrest = 0 : "resultat du 1er calcul avec l ancienne loi fictive" ;
V_ANC_NAPE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ANC_NAP : "resultat du 1er calcul avec l ancienne loi fictive" ;
V_ANC_NEG : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias ANC_NEG : "signe du 1er calcul avec l ancienne loi fictive" ;
V_ANREV : saisie contexte classe = 0 priorite = 10 categorie_TL = 20 modcat = 1 restituee primrest = 0 alias ANREV : "Annee des revenus" type REEL ;
V_ANTCR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ANTCR : "Impot CSG/RDS/PRS/Csal/Cdis anterieur alimente par TOTCR precedent" ;
V_ANTIFI : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ANTIFI : "Impot IFI   Anterieur :  = IFICUM - IFIANT du trt precedant" ;
V_ANTIR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ANTIR : "Impot IR    Anterieur :  = IRCUM - IRANT du trt precedant" ;
V_ANTRE : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ANTRE : "Restitution Anterieure = RECUM du trt precedent" ;
V_ANTREIR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias ANTREIR : "Restitution Anterieure = RECUM du trt precedent IR sans PS" ;
V_AVFISCOPBIS : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias AVFISCOPBIS : "Plaf av fiscaux a ajouter au net a payer, a restituer, a degrever" ;
V_BARIDRS4 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BARIDRS4 : "IR avant reduction impot avec nouveau bareme" ;
V_BARIITAZIR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BARIITAZIR : "IITAZIR avec nouveau bareme" ;
V_BARINDTAZ : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BARINDTAZ : "INDTAZ avec nouveau bareme" ;
V_BARIRTOTAL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias BARIRTOTAL : "IR total PAS avec nouveau bareme" ;
V_BARTXDEC1 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BARTXDEC1 : "Taux dec1 PAS avec nouveau bareme" ;
V_BARTXDEC2 : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BARTXDEC2 : "Taux dec2 PAS avec nouveau bareme" ;
V_BARTXFOYER : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BARTXFOYER : "Taux foyer PAS avec nouveau bareme" ;
V_BCSG3 : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BCSG3 : "Base CSG article 1731" ;
V_BPRS3 : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BPRS3 : "Base prelevement social 1% anterieur" ;
V_BRDS3 : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias BRDS3 : "Base CRDS" ;
V_BT0AC : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BT0AC : "Case a cocher : situation de famille Celibataire n-1" type BOOLEEN ;
V_BT0AD : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BT0AD : "Case a cocher : situation de famille Divorce N-1" type BOOLEEN ;
V_BT0AM : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BT0AM : "Case a cocher : situation de famille Maries N-1" type BOOLEEN ;
V_BT0AO : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BT0AO : "Case a cocher : situation de Pacses n-1" type BOOLEEN ;
V_BT0AV : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BT0AV : "Case a cocher : situation de famille Veuf n-1" type BOOLEEN ;
V_BT0CF : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0CF : "Nombre d'enfants a charge en N-1" ;
V_BT0CH : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0CH : "Nombre d'enfants en residence alternee en N-1" ;
V_BT0F0 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0F0 : "Annee de naissance case F en N-1 1 er enfant" ;
V_BT0F1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0F1 : "Annee de naissance case F en N-1 2 ieme enfant" ;
V_BT0F2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0F2 : "Annee de naissance case F en N-1 3 ieme enfant" ;
V_BT0F3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0F3 : "Annee de naissance case F en N-1 4 ieme enfant" ;
V_BT0F4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0F4 : "Annee de naissance case F en N-1 5 ieme enfant" ;
V_BT0F5 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0F5 : "Annee de naissance case F en N-1 6 ieme enfant" ;
V_BT0H0 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0H0 : "Annee de naissance case H en N-1 1 er enfant" ;
V_BT0H1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0H1 : "Annee de naissance case H en N-1 2 ieme enfant" ;
V_BT0H2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0H2 : "Annee de naissance case H en N-1 3 ieme enfant" ;
V_BT0H3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0H3 : "Annee de naissance case H en N-1 4 ieme enfant" ;
V_BT0H4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0H4 : "Annee de naissance case H en N-1 5 ieme enfant" ;
V_BT0H5 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT0H5 : "Annee de naissance case H en N-1 6 ieme enfant" ;
V_BT8UA : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT8UA : "BNC fractionne - anterieur" ;
V_BT8UB : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT8UB : "BNC fractionne - montant de l'interet - anterieur" ;
V_BT8UC : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BT8UC : "BNC fractionne 3 ou 5 ans - anterieur" ;
V_BT8ZKN1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BT8ZKN1 : "indicateur 8ZK N-1" ;
V_BTALT1 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTALT1 : "Nombre d'enfants en residence alternee N-1" type BOOLEEN ;
V_BTANC : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTANC : "Indicateur contribuable nouveau ou ancien" ;
V_BTBAMICC1 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTBAMICC1 : "BA micro - Revenus imposables n-2 Dec 2" ;
V_BTBAMICC2 : saisie famille classe = 2 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTBAMICC2 : "BA micro - Revenus imposables n-1 Dec 2" ;
V_BTBAMICP1 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTBAMICP1 : "BA micro - Revenus imposables n-2 PAC" ;
V_BTBAMICP2 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTBAMICP2 : "BA micro - Revenus imposables n-1 PAC" ;
V_BTBAMICV1 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTBAMICV1 : "BA micro - Revenus imposables n-2 Dec 1" ;
V_BTBAMICV2 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTBAMICV2 : "BA micro - Revenus imposables n-1 Dec 1" ;
V_BTBICDF : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTBICDF : "Report deficits BIC non pro." ;
V_BTCHAR1 : saisie famille classe = 0 priorite = 20 categorie_TL = 10 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTCHAR1 : "Nombre de personnes à charges ou rattachees N-1" type BOOLEEN ;
V_BTCO2044P : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTCO2044P : "Indicateur amortissement Perissol    anterieur N-1" ;
V_BTCSGDED : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTCSGDED : "CSG deductible calculee en N-1 apres eventuels correctifs" ;
V_BTDBA : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDBA : "Deficit BA anterieur" ;
V_BTDEFNPLOC : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTDEFNPLOC : "Report deficits locations meublees non pro." ;
V_BTDFRCM1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDFRCM1 : "Report deficitaire RCM n-6" ;
V_BTDFRCM2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDFRCM2 : "Report deficitaire RCM n-5" ;
V_BTDFRCM3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDFRCM3 : "Report deficitaire RCM n-4" ;
V_BTDFRCM4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDFRCM4 : "Report deficitaire RCM n-3" ;
V_BTDFRCM5 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDFRCM5 : "Report deficitaire RCM n-2" ;
V_BTDFRCM6 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDFRCM6 : "Report deficitaire RCM n-1" ;
V_BTDONS1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDONS1 : "Report dons aux oeuvres n-1" ;
V_BTDONS2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDONS2 : "Report dons aux oeuvres n-2" ;
V_BTDONS3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDONS3 : "Report dons aux oeuvres n-3" ;
V_BTDONS4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDONS4 : "Report dons aux oeuvres n-4" ;
V_BTDONS5 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTDONS5 : "Report dons aux oeuvres n-5" ;
V_BTDRIMM1 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTDRIMM1 : "Depenses restauration immobiliere retenues N-1" ;
V_BTDRIMM2 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTDRIMM2 : "Depenses restauration immobiliere retenues N-2" ;
V_BTDRIMM3 : saisie famille classe = 2 priorite = 10 categorie_TL = 15 nat_code = 0 modcat = 1 primrest = 0 alias BTDRIMM3 : "Depenses restauration immobiliere retenues N-3" ;
V_BTFONSOL1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTFONSOL1 : "Report versements societes foncieres solidaires n-1" ;
V_BTFONSOL2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTFONSOL2 : "Report versements societes foncieres solidaires n-2" ;
V_BTGECUM : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTGECUM : "Depenses en faveur de l aide a la personne cumul" ;
V_BTIMPETAL0 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTIMPETAL0 : "Impot BA fractionne deuxieme annee pour les 4 annees suivantes" ;
V_BTIMPETAL1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTIMPETAL1 : "Impot BA fractionne troisieme annee pour les 4 annees suivantes" ;
V_BTIMPETAL9 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTIMPETAL9 : "Impot BA fractionne premiere annee pour les 4 annees suivantes" ;
V_BTINDIR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTINDIR : "Condition IR de remise a zero taux PAS" ;
V_BTIRF : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTIRF : "Indicateur de presence de revenus ou de deficits fonciers en n-1" ;
V_BTITENT1A : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT1A : "Report versement des petites entreprises n-1 (du 01/01 au 08/05)" ;
V_BTITENT1B : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT1B : "Report versement des petites entreprises n-1 PME (du 09/05 au 31/12)" ;
V_BTITENT1C : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT1C : "Report versement des petites entreprises n-1 ESUS (du 09/05 au 31/12)" ;
V_BTITENT2A : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT2A : "Report versement des petites entreprises n-2 (du 01/01 au 09/08)" ;
V_BTITENT2B : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT2B : "Report versement des petites entreprises n-2 (du 10/08 au 31/12)" ;
V_BTITENT3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT3 : "Report versement des petites entreprises n-3" ;
V_BTITENT4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTITENT4 : "Report versement des petites entreprises n-4" ;
V_BTMUL : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTMUL : "Indicateur declarations multiples n-1" ;
V_BTNBP1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTNBP1 : "Nombre de part anterieures n-1" ;
V_BTNBP2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTNBP2 : "Nombre de part anterieures n-2" ;
V_BTNI1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTNI1 : "Indicateur contribuable non imposable en N-1" ;
V_BTNUREPAR : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTNUREPAR : "Report grosses reparations des nus-proprietaires" ;
V_BTOPTSEP1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTOPTSEP1 : "Indicateur option separe n-1" ;
V_BTOPTSEP2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTOPTSEP2 : "Indicateur option separe n-2" ;
V_BTPERPC : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPC : "Report plafond deductibilite PERP n-1" ;
V_BTPERPNUC1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUC1 : "Report plafond deductibilite non utilise PERP n-1" ;
V_BTPERPNUC2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUC2 : "Report plafond deductibilite non utilise PERP n-2" ;
V_BTPERPNUC3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUC3 : "Report plafond deductibilite non utilise PERP n-3" ;
V_BTPERPNUP1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUP1 : "Report plafond deductibilite non utilise PERP n-1" ;
V_BTPERPNUP2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUP2 : "Report plafond deductibilite non utilise PERP n-2" ;
V_BTPERPNUP3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUP3 : "Report plafond deductibilite non utilise PERP n-3" ;
V_BTPERPNUV1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUV1 : "Report plafond deductibilite non utilise PERP n-1" ;
V_BTPERPNUV2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUV2 : "Report plafond deductibilite non utilise PERP n-2" ;
V_BTPERPNUV3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPNUV3 : "Report plafond deductibilite non utilise PERP n-3" ;
V_BTPERPP : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPP : "Report plafond deductibilite PERP n-1" ;
V_BTPERPTOTC : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPTOTC : "Report plafond deductibilite total PERP n-1" ;
V_BTPERPTOTP : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPTOTP : "Report plafond deductibilite total PERP n-1" ;
V_BTPERPTOTV : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPTOTV : "Report plafond deductibilite total PERP n-1" ;
V_BTPERPV : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPERPV : "Report plafond deductibilite PERP n-1" ;
V_BTPLAFPME1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPLAFPME1 : "Report n-1 plafonnement global souscription PME (13000)" ;
V_BTPLAFPME2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPLAFPME2 : "Report n-1 plafonnement global souscription PME (10000)" ;
V_BTPRESCOMP : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 1 modcat = 1 primrest = 0 alias BTPRESCOMP : "Prestation compens. calculee en N-1 apres eventuels correctifs" ;
V_BTPRT1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT1 : "Depenses prevention risques technologiques n-1" ;
V_BTPRT2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT2 : "Depenses prevention risques technologiques n-2" ;
V_BTPRT3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT3 : "Depenses prevention risques technologiques n-3" ;
V_BTPRT4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT4 : "Depenses prevention risques technologiques n-4" ;
V_BTPRT5 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT5 : "Depenses prevention risques technologiques n-5" ;
V_BTPRT6 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT6 : "Depenses prevention risques technologiques n-6" ;
V_BTPRT7 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 0 alias BTPRT7 : "Depenses prevention risques technologiques n-7" ;
V_BTPVREP : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTPVREP : "Plus value en report d'imposition annee N-1" ;
V_BTRCELE : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELE : "Reports 2016 a 2019 RI Scellier prorogation realise ou engage 2010" ;
V_BTRCELF : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELF : "Reports 2016 a 2019 RI Scellier prorogation realise ou engage 2011" ;
V_BTRCELG : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELG : "Reports 2017 a 2019 RI Scellier prorogation realise ou engage 2012" ;
V_BTRCELH : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELH : "Reports 2018 et 2019 RI Scellier prorogation realise ou engage 2009" ;
V_BTRCELI : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELI : "Report 2019/20 RI Scellier 2nde prorogation realise ou engage 2010" ;
V_BTRCELJ : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELJ : "Report 2019/20 RI Scellier 2nde prorogation realise ou engage 2011" ;
V_BTRCELK : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELK : "Report 2020 RI Scellier 2nde prorogation realise ou engage 2012" ;
V_BTRCELL : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRCELL : "Report 2021 RI Scellier 2nde prorogation realise ou engage 2012" ;
V_BTRFRHR1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRFRHR1 : "Revenu fiscal reference anterieur cont. haut revenu n-1" ;
V_BTRFRHR2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRFRHR2 : "Revenu fiscal reference anterieur cont. haut revenu n-2" ;
V_BTRFRN1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRFRN1 : "Report RFR de l'annee N-1" ;
V_BTRFRN2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRFRN2 : "Report RFR de l'annee N-2" ;
V_BTRFRN3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRFRN3 : "Report RFR de l'annee N-3" ;
V_BTRILMNP1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRILMNP1 : "Report RI non imputee inv. loc. meub. non pro. (2013 a 2016)" ;
V_BTRILMNP2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRILMNP2 : "Reports RI non imputee inv. loc. meub. non pro. (2012)" ;
V_BTRILMNP3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRILMNP3 : "Reports RI non imputee inv. loc. meub. non pro. (2011)" ;
V_BTRILMNP4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRILMNP4 : "Reports RI non imputee inv. loc. meub. non pro. (2010)" ;
V_BTRILMNP5 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRILMNP5 : "Reports RI non imputee inv. loc. meub. non pro. (2009)" ;
V_BTRNI : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRNI : "Revenu imposable anterieur" ;
V_BTRRCEL1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRRCEL1 : "Reports 2012 a 2016 invest. Scellier" ;
V_BTRRCEL2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRRCEL2 : "Reports 2011 a 2016 invest. Scellier" ;
V_BTRRCEL3 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRRCEL3 : "Reports 2010 a 2016 invest. Scellier" ;
V_BTRRCEL4 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTRRCEL4 : "Reports 2009 a 2016 invest. Scellier" ;
V_BTSANCTION : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 primrest = 0 alias BTSANCTION : "Indicateur re-declenchement calcul sanctions" ;
V_BTXYZ1 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTXYZ1 : "presence d un evenement en N-1" ;
V_BTXYZ2 : saisie famille classe = 0 priorite = 10 categorie_TL = 20 nat_code = 0 modcat = 1 restituee primrest = 1 alias BTXYZ2 : "presence d un evenement en N-2" ;
V_CALCULIR : saisie contexte classe = 0 priorite = 51 categorie_TL = 10 modcat = 1 primrest = 0 alias CALCULIR : "= 0 si saisie 2042 ILIAD , = 1 si CALCULIR sous ILIAD" ;
V_CALCUL_ACO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CALCUL_ACO : "flag lancer calcul des acomptes" ;
V_CALCUL_MESGOUV : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CALCUL_MESGO : "flag lancer calcul de mesgouv" ;
V_CALCUL_NAPS : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CALCUL_NAPS : "flag lancer calcul du NAP sans pena" ;
V_CDISANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias CDISANT : "Cont. sociale salariale anterieure" ;
V_CHR3WA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CHR3WA : "CHR apres reduc avec 3Wa" ;
V_CHR3WB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CHR3WB : "CHR apres reduc avec 3WB" ;
V_CHRANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CHRANT : "Contrib haut revenu HAUTREVCUM du trt precedent" ;
V_CNR : calculee primrest = 0 : "Code non resident et regime taux minimum ou valeur locative" ;
V_CNR2 : calculee primrest = 0 : "Code non resident du regime general" ;
V_CODILIAD : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias CODILIAD : "Indicateur de saisie des 2042 en local (=1 si oui)" ;
V_CODPF : saisie penalite primrest = 0 alias CODPF : "Code Majo le plus fort Avis Facture" ;
V_CODPF1728 : saisie penalite primrest = 0 alias CODPF1728 : "Code Majo le plus fort Avis Facture (1728)" ;
V_CODPF1728C820 : saisie penalite primrest = 0 alias CODPF1728C82 : "Code Majo le plus fort Avis CSG (1728) pour la CSAL 8.2" ;
V_CODPF1728CAP : saisie penalite primrest = 0 alias CODPF1728CAP : "Code Majo le plus fort Avis CSG (1728) pour la GAIN" ;
V_CODPF1728CDIS : saisie penalite primrest = 0 alias CODPF1728CDI : "Code Majo le plus fort Avis CSG (1728) pour la CSAL 30%" ;
V_CODPF1728CHR : saisie penalite primrest = 0 alias CODPF1728CHR : "Code Majo le plus fort Avis CSG (1728) pour la CHR" ;
V_CODPF1728CRP : saisie penalite primrest = 0 alias CODPF1728CRP : "Code Majo le plus fort Avis CSG (1728)" ;
V_CODPF1728CSAL : saisie penalite primrest = 0 alias CODPF1728CSA : "Code Majo le plus fort Avis CSG (1728) pour la CSAL 2,5 %" ;
V_CODPF1728CVN : saisie penalite primrest = 0 alias CODPF1728CVN : "Code Majo le plus fort Avis  (1728) pour 3SN VN" ;
V_CODPF1728GAIN : saisie penalite primrest = 0 alias CODPF1728GAI : "Code Majo le plus fort Avis CSG (1728) pour la GAIN" ;
V_CODPF1728GLO : saisie penalite primrest = 0 alias CODPF1728GLO : "Code Majo le plus fort Avis CSG (1728) pour la CGLOA" ;
V_CODPF1728ISF : saisie penalite primrest = 0 alias CODPF1728ISF : "Code Majo le plus fort Avis CSG (1728) pour la CSAL 30%" ;
V_CODPF1728LOY : saisie penalite primrest = 0 alias CODPF1728LOY : "Code Majo le plus fort Avis CSG (1728) pour la loyer petites surfaces" ;
V_CODPF1728RSE1 : saisie penalite primrest = 0 alias CODPF1728RS1 : "Code Majo le plus fort Avis CSG (1728) pour la RSE1" ;
V_CODPF1728RSE2 : saisie penalite primrest = 0 alias CODPF1728RS2 : "Code Majo le plus fort Avis CSG (1728) pour la RSE2" ;
V_CODPF1728RSE3 : saisie penalite primrest = 0 alias CODPF1728RS3 : "Code Majo le plus fort Avis CSG (1728) pour la RSE3" ;
V_CODPF1728RSE4 : saisie penalite primrest = 0 alias CODPF1728RS4 : "Code Majo le plus fort Avis CSG (1728) pour la RSE4" ;
V_CODPF1728RSE5 : saisie penalite primrest = 0 alias CODPF1728RS5 : "Code Majo le plus fort Avis  (1728) pour RSE5" ;
V_CODPF1728RSE6 : saisie penalite primrest = 0 alias CODPF1728RS6 : "Code Majo le plus fort Avis  (1728) pour CASA 8TV 8SA 8SC" ;
V_CODPF1728RSE7 : saisie penalite primrest = 0 alias CODPF1728RS7 : "Code Majo le plus fort Avis  (1728) pour 8PH" ;
V_CODPF1728RSE8 : saisie penalite primrest = 0 alias CODPF1728RS8 : "Code Majo le plus fort Avis  (1728) pour 8TH 8SD" ;
V_CODPFC : saisie penalite primrest = 0 alias CODPFC : "Code Majo le plus fort Avis Facture CSG" ;
V_CODPFC820 : saisie penalite primrest = 0 alias CODPFC820 : "Code Majo le plus fort Avis Facture CS 8.2 %" ;
V_CODPFCAP : saisie penalite primrest = 0 alias CODPFCAP : "Code Majo le plus fort Avis Facture IR Prelevement CAP" ;
V_CODPFCDIS : saisie penalite primrest = 0 alias CODPFCDIS : "Code Majo le plus fort Avis Facture Cdis" ;
V_CODPFCHR : saisie penalite primrest = 0 alias CODPFCHR : "Code Majo le plus fort Avis Facture IR contrib hauts revenus" ;
V_CODPFCSAL : saisie penalite primrest = 0 alias CODPFCSAL : "Code Majo le plus fort Avis Facture Csal" ;
V_CODPFCVN : saisie penalite primrest = 0 alias CODPFCVN : "Code majo le plus fort contrib salariale 1,6% (avis CSG)" ;
V_CODPFGAIN : saisie penalite primrest = 0 alias CODPFGAIN : "Code Majo le plus fort Avis Facture contrib. salariale 8 %" ;
V_CODPFGLO : saisie penalite primrest = 0 alias CODPFGLO : "Code majo le plus fort gain levee option 28 09 2012  1,6 %(avis CSG)" ;
V_CODPFI : saisie penalite primrest = 0 alias CODPFI : "Code Majo le plus fort Avis Facture (Insuffisance)" ;
V_CODPFIC820 : saisie penalite primrest = 0 alias CODPFIC820 : "Code Majo le plus fort Avis Facture CS 8.2 %" ;
V_CODPFICAP : saisie penalite primrest = 0 alias CODPFICAP : "Code Majo le plus fort Avis Facture PCAP" ;
V_CODPFICDIS : saisie penalite primrest = 0 alias CODPFICDIS : "Code Majo le plus fort Avis Facture CDIS" ;
V_CODPFICHR : saisie penalite primrest = 0 alias CODPFICHR : "Code Majo le plus fort Avis Facture CHR" ;
V_CODPFICRP : saisie penalite primrest = 0 alias CODPFICRP : "Code Majo le plus fort Avis CSG (Insuffisance)" ;
V_CODPFICSAL : saisie penalite primrest = 0 alias CODPFICSAL : "Code Majo le plus fort Avis Facture CSAL" ;
V_CODPFICVN : saisie penalite primrest = 0 alias CODPFICVN : "Code Majo le plus fort Avis CVN (Insuffisance)" ;
V_CODPFIGAIN : saisie penalite primrest = 0 alias CODPFIGAIN : "Code Majo le plus fort Avis Facture GAIN" ;
V_CODPFIGLO : saisie penalite primrest = 0 alias CODPFIGLO : "Code Majo le plus fort Avis Facture CGLOA" ;
V_CODPFIISF : saisie penalite primrest = 0 alias CODPFIISF : "Code Majo le plus fort Avis Facture ISF" ;
V_CODPFILOY : saisie penalite primrest = 0 alias CODPFILOY : "Code Majo le plus fort Avis Facture loyer petite surface" ;
V_CODPFIRSE1 : saisie penalite primrest = 0 alias CODPFIRSE1 : "Code Majo le plus fort Avis Facture RSE1" ;
V_CODPFIRSE2 : saisie penalite primrest = 0 alias CODPFIRSE2 : "Code Majo le plus fort Avis Facture RSE2" ;
V_CODPFIRSE3 : saisie penalite primrest = 0 alias CODPFIRSE3 : "Code Majo le plus fort Avis Facture RSE3" ;
V_CODPFIRSE4 : saisie penalite primrest = 0 alias CODPFIRSE4 : "Code Majo le plus fort Avis Facture RSE4" ;
V_CODPFIRSE5 : saisie penalite primrest = 0 alias CODPFIRSE5 : "Code Majo le plus fort Avis Facture RSE5" ;
V_CODPFIRSE6 : saisie penalite primrest = 0 alias CODPFIRSE6 : "Code Majo le plus fort Avis Facture RSE6" ;
V_CODPFIRSE7 : saisie penalite primrest = 0 alias CODPFIRSE7 : "Code Majo le plus fort Avis Facture RSE7" ;
V_CODPFIRSE8 : saisie penalite primrest = 0 alias CODPFIRSE8 : "Code Majo le plus fort Avis Facture RSE8" ;
V_CODPFISF : saisie penalite primrest = 0 alias CODPFISF : "Code Majo le plus fort Avis Facture ISF" ;
V_CODPFITAXA : saisie penalite primrest = 0 alias CODPFITAXA : "Code Majo le plus fort Avis Facture TAXAGA" ;
V_CODPFLOY : saisie penalite primrest = 0 alias CODPFLOY : "Code Majo le plus fort Avis Facture IR loyer petite surface" ;
V_CODPFP : saisie penalite primrest = 0 alias CODPFP : "Code Majo le plus fort Avis Facture PRS" ;
V_CODPFR : saisie penalite primrest = 0 alias CODPFR : "Code Majo le plus fort Avis Facture RDS" ;
V_CODPFRSE1 : saisie penalite primrest = 0 alias CODPFRSE1 : "Code majo le plus fort rev. source etrang. 8TQ (avis CSG)" ;
V_CODPFRSE2 : saisie penalite primrest = 0 alias CODPFRSE2 : "Code majo le plus fort rev. source etrang. 8TV (avis CSG)" ;
V_CODPFRSE3 : saisie penalite primrest = 0 alias CODPFRSE3 : "Code majo le plus fort rev. source etrang. 8TW (avis CSG)" ;
V_CODPFRSE4 : saisie penalite primrest = 0 alias CODPFRSE4 : "Code majo le plus fort rev. source etrang. 8TX (avis CSG)" ;
V_CODPFRSE5 : saisie penalite primrest = 0 alias CODPFRSE5 : "Code majo le plus fort rev.activite salarie 7,5 %(avis CSG)" ;
V_CODPFRSE6 : saisie penalite primrest = 0 alias CODPFRSE6 : "Code majo le plus fort CASA 0,30 %(avis CSG)" ;
V_CODPFRSE7 : saisie penalite primrest = 0 alias CODPFRSE7 : "Code majo le plus fort 8PH (avis CSG)" ;
V_CODPFRSE8 : saisie penalite primrest = 0 alias CODPFRSE8 : "Code majo le plus fort 8TH 8SD (avis CSG)" ;
V_CPASIRESTANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias CPASIRESTANT : "Restitution PAS IR - documents comptables anterieur" ;
V_CR2 : calculee primrest = 0 : "Code regime taux minimum" ;
V_CRESTACIANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias CRESTACIANT : "Restitution ACI - documents comptables anterieur" ;
V_CSALANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias CSALANT : "Cont. salariale anterieure" ;
V_CSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias CSANT : "CSG anterieure" ;
V_CSG820ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias CSG820ANT : "Cont. sociale salariale anterieure" ;
V_CSNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias CSNANT : "CSG anterieure (si negatif)" ;
V_CVNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias CVNANT : "CVNSAL ant" ;
V_DATEINR : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 restituee primrest = 0 alias DATEINR : "Variable restituee ILIAD pour dernier evenement INR" type DATE_JJMMAAAA ;
V_DATISF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias DATISF : "date depart INR ISF" ;
V_DIFTEOREEL : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias DIFTEOREEL : "Itheor - Ireel quelle que soit annee engagement depenses plafonnables" ;
V_EAD : calculee primrest = 0 : "Contribuable residant dans un DOM" ;
V_EAG : calculee primrest = 0 : "Contribuable residant en Guyane" ;
V_ETCVL : saisie contexte classe = 0 priorite = 51 categorie_TL = 10 modcat = 1 primrest = 0 alias ETCVL : "ISF : Variable relative a l etat civil " type BOOLEEN ;
V_FLAG8OT : calculee restituee primrest = 0 base : "Indicateur presence 8OT en primitif" ;
V_FLAGANO726 : calculee restituee primrest = 0 base : "IFI : indicateur majo 24" ;
V_FLAGMENC : calculee restituee primrest = 0 base : "Transfo M en C" ;
V_FLAGR22 : calculee restituee primrest = 0 base : "IFI : indicateur majo 24" ;
V_FLAGR24 : calculee restituee primrest = 0 base : "IFI : indicateur majo 24" ;
V_FLAGR34 : calculee restituee primrest = 0 base : "ISF : indicateur majo 34 revelation d avoir a l etranger" ;
V_FLAGR35 : calculee restituee primrest = 0 base : "Indicateur majo 35" ;
V_FORCA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias FORCA : "Forfait a fixer BA : Declarant 2 (case cochee)" type BOOLEEN ;
V_FORPA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias FORPA : "Forfait a fixer BA : personne a charge (case cochee)" type BOOLEEN ;
V_FORVA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias FORVA : "Forfait a fixer BA : Declarant 1 (case cochee)" type BOOLEEN ;
V_GAINSALANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias GAINSALANT : "Cont. salariale anterieure" ;
V_GESTPAS : saisie famille classe = 0 priorite = 21 categorie_TL = 60 nat_code = 0 modcat = 1 restituee primrest = 1 alias GESTPAS : "Case a cocher : variable GESTPAS" type BOOLEEN ;
V_GLOANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias GLOANT : "GLO ant 1TT et 1UT" ;
V_IAD11TEO : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IAD11TEO : "Impot sans RED - Plaf av fiscaux" ;
V_IAR3WA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IAR3WA : "Impot apres reduc et credit avec 3WA" ;
V_IAR3WB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IAR3WB : "Impot apres reduc et credit sans 3WB" ;
V_ID113WA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ID113WA : "Impot apres reduc 3WA" ;
V_ID113WB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias ID113WB : "Impot apres reduc 3WB" ;
V_IDANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IDANT : "CSG deductible anterieure" ;
V_IDEC3WB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IDEC3WB : "Decote avec 3WB" ;
V_IDGLOANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IDGLOANT : "Gain levee option 1TT 1UT deductible anterieure" ;
V_IDOM113WB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IDOM113WB : "Impot avant reduc 3WB" ;
V_IDRSEANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IDRSEANT : "Revenu de source etrangere  deductible anterieure" ;
V_IMPCSGIRANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias IMPCSGIRANT : "CSG excedent acompte impute sur IR - anterieure" ;
V_IMPCSGPSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias IMPCSGPSANT : "IMPCSGPS anterieure" ;
V_IMPPSOLIRANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias IMPPSOLIRANT : "PSOL excedent acompte impute sur IR - anterieure" ;
V_IMPPSOLPSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias IMPPSOLPSANT : "IMPPSOLPS anterieure" ;
V_INDCITE19 : saisie revenu classe = 0 priorite = 20 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias INDCITE19 : "Indicateur condition ressources 1 = oui  0 = non" ;
V_INDG : saisie revenu classe = 0 priorite = 20 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias INDG : "Indicateur de genre (H/F)" ;
V_INDIDF : saisie revenu classe = 0 priorite = 20 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias INDIDF : "Indicateur Ile de France 1 = oui 0 = non" ;
V_INDREEL : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias INDREEL : "flag lancer 1ere boucle reelle pour calcul avantages fiscaux" ;
V_INDTEO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias INDTEO : "flag lancer calcul de l'impot theorique en excluant avantages fiscaux" ;
V_INDVB31 : saisie revenu classe = 0 priorite = 20 categorie_TL = 10 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias INDVB31 : "Indicateur CNR ayant demenage dans l annee 1 ou 0" type BOOLEEN ;
V_IND_NAP : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IND_NAP : "resultat du 1er calcul avec l ancienne loi fictive" ;
V_IND_TRAIT : saisie contexte classe = 0 priorite = 10 categorie_TL = 20 modcat = 1 restituee primrest = 0 alias IND_TRAIT : "indicateur de nature de trait. primitif ou correctif" ;
V_INETEO : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias INETEO : "Somme credit impot non restituable - Plaf av fiscaux" ;
V_IPVRO : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias IPVRO : "Impot  PV en report imposition" ;
V_IRETEO : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IRETEO : "Somme credit impot  restituable - Plaf av fiscaux" ;
V_IRPSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IRPSANT : "Somme des anterieurs  PS et IR" ;
V_IRPURANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IRPURANT : "IR hors RICI IRPUR du trt precedent" ;
V_IRRAPANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias IRRAPANT : "Reprise avance RICI IRRAP du trt precedent" ;
V_MODUL : saisie famille classe = 0 priorite = 21 categorie_TL = 60 nat_code = 0 modcat = 1 restituee primrest = 0 alias MODUL : "Case a cocher : pour passer en mode modulation" type BOOLEEN ;
V_NANTCR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NANTCR : "TOTCR precedent (si negatif)" ;
V_NAPREEL : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NAPREEL : "Net a payer reel (ou a restituer, a degrever) - Plaf av fiscaux" ;
V_NAPTEO : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NAPTEO : "Net a payer theorique (ou a restituer, a degrever) - Plaf av fiscaux" ;
V_NAPTIR3WA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NAPTIR3WA : "Impot apres reduc avec 3WA" ;
V_NAPTIR3WB : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NAPTIR3WB : "Impot apres reduc sans 3WB" ;
V_NAPTIRN2NANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NAPTIRN2NANT : "NAPTIRNET2 negatif du traitement anterieur - documents comptables" ;
V_NAPTIRNE2ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NAPTIRNE2ANT : "NAPTIRNET2 positif du traitement anterieur - documents comptables" ;
V_NAPTIRNETANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NAPTIRNETANT : "NAPTIRNET positif du traitement anterieur - documents comptables" ;
V_NAPTIRNTNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NAPTIRNTNANT : "NAPTIRNET negatif du traitement anterieur - documents comptables" ;
V_NBCOD1728 : saisie penalite primrest = 0 alias NBCOD1728 : "Indicateur Nombre de codes majo 1728 Avis Facture" ;
V_NBCOD1728C820 : saisie penalite primrest = 0 alias NBCOD1728C82 : "Indicateur Nombre de codes majo 1728 Avis CSG pour Csal 8.2 %" ;
V_NBCOD1728CAP : saisie penalite primrest = 0 alias NBCOD1728CAP : "Indicateur nombre de codes majo 1728 Avis IR pour PCAP" ;
V_NBCOD1728CDIS : saisie penalite primrest = 0 alias NBCOD1728CDI : "Indicateur Nombre de codes majo 1728 Avis CSG pour Csal 30%" ;
V_NBCOD1728CHR : saisie penalite primrest = 0 alias NBCOD1728CHR : "Indicateur nombre de codes majo 1728 Avis  pour Hauts revenus" ;
V_NBCOD1728CRP : saisie penalite primrest = 0 alias NBCOD1728CRP : "Indicateur Nombre de codes majo 1728 Avis CSG" ;
V_NBCOD1728CSAL : saisie penalite primrest = 0 alias NBCOD1728CSA : "Indicateur Nombre de codes majo 1728 Avis CSG pour Csal 2,5%" ;
V_NBCOD1728CVN : saisie penalite primrest = 0 alias NBCOD1728CVN : "Indicateur Nombre de codes majo 1728 Avis  pour 3SN et 3VN" ;
V_NBCOD1728GAIN : saisie penalite primrest = 0 alias NBCOD1728GAI : "Indicateur nombre de codes majo 1728 Avis CSG pour Csal 8 %" ;
V_NBCOD1728GLO : saisie penalite primrest = 0 alias NBCOD1728GLO : "Indicateur Nombre de codes majo 1728 Avis pour GLO" ;
V_NBCOD1728ISF : saisie penalite primrest = 0 alias NBCOD1728ISF : "Indicateur Nombre de codes majo 1728 Avis ISF" ;
V_NBCOD1728LOY : saisie penalite primrest = 0 alias NBCOD1728LOY : "Indicateur nombre de codes majo 1728 Avis IR - loyer petite surface" ;
V_NBCOD1728RSE1 : saisie penalite primrest = 0 alias NB1728RSE1 : "Indicateur nb de codes majo 1728 avis CSG pour RSE 8TQ" ;
V_NBCOD1728RSE2 : saisie penalite primrest = 0 alias NB1728RSE2 : "Indicateur nb de codes majo 1728 avis CSG pour RSE 8TV" ;
V_NBCOD1728RSE3 : saisie penalite primrest = 0 alias NB1728RSE3 : "Indicateur nb de codes majo 1728 avis CSG pour RSE 8TW" ;
V_NBCOD1728RSE4 : saisie penalite primrest = 0 alias NB1728RSE4 : "Indicateur nb de codes majo 1728 avis CSG pour RSE 8TX" ;
V_NBCOD1728RSE5 : saisie penalite primrest = 0 alias NB1728RSE5 : "Indicateur nb de codes majo 1728 avis CSG pour RSE 8TR" ;
V_NBCOD1728RSE6 : saisie penalite primrest = 0 alias NB1728RSE6 : "Indicateur nb de codes majo 1728 avis CSG pour CASA 8TV 8SA 8SC" ;
V_NBCOD1728RSE7 : saisie penalite primrest = 0 alias NB1728RSE7 : "Indicateur nb de codes majo 1728 avis CSG pour 8PH" ;
V_NBCOD1728RSE8 : saisie penalite primrest = 0 alias NB1728RSE8 : "Indicateur nb de codes majo 1728 avis CSG pour 8TH 8SD" ;
V_NBCOD1758ACAP : saisie penalite primrest = 0 alias NBCOD1758ACA : "Indicateur Nombre de codes majo 1758A Avis Facture" ;
V_NBCOD1758ACHR : saisie penalite primrest = 0 alias NBCOD1758ACH : "Indicateur Nombre de codes majo 1758A Avis Facture" ;
V_NBCOD1758AIR : saisie penalite primrest = 0 alias NBCOD1758AIR : "Indicateur Nombre de codes majo 1758A Avis Facture" ;
V_NBCOD1758ALOY : saisie penalite primrest = 0 alias NBCOD1758ALO : "Indicateur Nombre de codes majo 1758A TAXLOY Avis Facture" ;
V_NBCOD1758ATA : saisie penalite primrest = 0 alias NBCOD1758ATA : "Indicateur Nombre de codes majo 1758A Avis Facture" ;
V_NBCODC : saisie penalite primrest = 0 alias NBCODC : "Indicateur Nombre de codes majo Avis Facture CSG" ;
V_NBCODC820 : saisie penalite primrest = 0 alias NBCODC820 : "Indicateur Nombre de codes majo Avis Facture CS 8.2" ;
V_NBCODCDIS : saisie penalite primrest = 0 alias NBCODCDIS : "Indicateur Nombre de codes majo Avis Facture Cdis" ;
V_NBCODCSAL : saisie penalite primrest = 0 alias NBCODCSAL : "Indicateur Nombre de codes majo Avis Facture Csal" ;
V_NBCODCVN : saisie penalite primrest = 0 alias NBCODCVN : "Indicateur nb de codes majo cont. salariale CVN (avis IR -CSG)" ;
V_NBCODGAIN : saisie penalite primrest = 0 alias NBCODGAIN : "Indicateur Nombre de codes majo contrib. salariale 8 % (avis CSG)" ;
V_NBCODGLO : saisie penalite primrest = 0 alias NBCODGLO : "Indicateur nb de codes majo gains levee option (avis IR -CSG)" ;
V_NBCODI : saisie penalite primrest = 0 alias NBCODI : "Indicateur Nombre de codes majo insuffisance Avis Facture" ;
V_NBCODIC820 : saisie penalite primrest = 0 alias NBCODIC820 : "Indicateur Nombre de codes majo insuffisance Avis Facture CS 8.2" ;
V_NBCODICAP : saisie penalite primrest = 0 alias NBCODICAP : "Indicateur Nombre de codes majo insuffisance Avis Facture CAP" ;
V_NBCODICDIS : saisie penalite primrest = 0 alias NBCODICDIS : "Indicateur Nombre de codes majo insuffisance Avis Facture CDIS" ;
V_NBCODICHR : saisie penalite primrest = 0 alias NBCODICHR : "Indicateur Nombre de codes majo insuffisance Avis Facture CHR" ;
V_NBCODICRP : saisie penalite primrest = 0 alias NBCODICRP : "Indicateur Nombre de codes majo insuffisance Avis CSG" ;
V_NBCODICSAL : saisie penalite primrest = 0 alias NBCODICSAL : "Indicateur Nombre de codes majo insuffisance Avis Facture CSAL" ;
V_NBCODICVN : saisie penalite primrest = 0 alias NBCODICVN : "Indicateur Nombre de codes majo insuffisance Avis- CVN" ;
V_NBCODIGAIN : saisie penalite primrest = 0 alias NBCODIGAIN : "Indicateur nombre codes majo insuffisance avis CSG cont. sal.  8 %" ;
V_NBCODIGLO : saisie penalite primrest = 0 alias NBCODIGLO : "Indicateur Nombre de codes majo insuffisance Avis Facture CGLOA" ;
V_NBCODIISF : saisie penalite primrest = 0 alias NBCODIISF : "Indicateur Nombre de codes majo insuffisance Avis Facture ISF" ;
V_NBCODILOY : saisie penalite primrest = 0 alias NBCODILOY : "Indicateur Nombre de codes majo insuffisance Avis- loyer petite surfac" ;
V_NBCODIRSE1 : saisie penalite primrest = 0 alias NBCODIRSE1 : "Indicateur Nombre de codes majo insuffisance Avis Facture RSE1" ;
V_NBCODIRSE2 : saisie penalite primrest = 0 alias NBCODIRSE2 : "Indicateur Nombre de codes majo insuffisance Avis Facture RSE2" ;
V_NBCODIRSE3 : saisie penalite primrest = 0 alias NBCODIRSE3 : "Indicateur Nombre de codes majo insuffisance Avis Facture RSE3" ;
V_NBCODIRSE4 : saisie penalite primrest = 0 alias NBCODIRSE4 : "Indicateur Nombre de codes majo insuffisance Avis Facture RSE4" ;
V_NBCODIRSE5 : saisie penalite primrest = 0 alias NBCODIRSE5 : "Indicateur Nombre de codes majo insuffisance Avis- RSE5" ;
V_NBCODIRSE6 : saisie penalite primrest = 0 alias NBCODIRSE6 : "Indicateur Nombre de codes majo insuffisance Avis- RSE6" ;
V_NBCODIRSE7 : saisie penalite primrest = 0 alias NBCODIRSE7 : "Indicateur Nombre de codes majo insuffisance Avis- RSE7" ;
V_NBCODIRSE8 : saisie penalite primrest = 0 alias NBCODIRSE8 : "Indicateur Nombre de codes majo insuffisance Avis- RSE8" ;
V_NBCODISF : saisie penalite primrest = 0 alias NBCODISF : "Indicateur Nombre de codes majo Avis Facture ISF" ;
V_NBCODITAXA : saisie penalite primrest = 0 alias NBCODITAXA : "Indicateur Nombre de codes majo insuffisance Avis Facture TAXAGA" ;
V_NBCODP : saisie penalite primrest = 0 alias NBCODP : "Indicateur Nombre de codes majo Avis Facture PRS" ;
V_NBCODR : saisie penalite primrest = 0 alias NBCODR : "Indicateur Nombre de codes majo Avis Facture RDS" ;
V_NBCODRSE1 : saisie penalite primrest = 0 alias NBCODRSE1 : "Indicateur nb de codes majo rev. source etrang. 8TQ (avis CSG)" ;
V_NBCODRSE2 : saisie penalite primrest = 0 alias NBCODRSE2 : "Indicateur nb de codes majo rev. source etrang. 8TV (avis CSG)" ;
V_NBCODRSE3 : saisie penalite primrest = 0 alias NBCODRSE3 : "Indicateur nb de codes majo rev. source etrang. 8TW (avis CSG)" ;
V_NBCODRSE4 : saisie penalite primrest = 0 alias NBCODRSE4 : "Indicateur nb de codes majo rev. source etrang. 8TX (avis CSG)" ;
V_NBCODRSE5 : saisie penalite primrest = 0 alias NBCODRSE5 : "Indicateur nb de codes majo rev. activite salariee 8YE(avis IR -CSG)" ;
V_NBCODRSE6 : saisie penalite primrest = 0 alias NBCODRSE6 : "Indicateur nb de codes majo CASA 8TV 8SA 8SC (CSG)" ;
V_NBCODRSE7 : saisie penalite primrest = 0 alias NBCODRSE7 : "Indicateur nb de codes majo 8PH" ;
V_NBCODRSE8 : saisie penalite primrest = 0 alias NBCODRSE8 : "Indicateur nb de codes majo 8TH 8SD" ;
V_NEGACO : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NEGACO : "Indicateur de NAP negatif pour acompte " ;
V_NEGREEL : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NEGREEL : "Indicateur de NAP reel negatif" ;
V_NEGTEO : saisie revenu classe = 0 priorite = 0 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NEGTEO : "Indicateur de NAP theorique negatif" ;
V_NIMPA : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NIMPA : "NATIMP anterieur" ;
V_NIMPAIR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NIMPAIR : "NATIMP IR sans PS anterieur" ;
V_NONMERANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NONMERANT : "Non mer en recouvrement calculee" ;
V_NONMERPSANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 0 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NONMERPSANT : "Montant non mis en recouvrement origine PS anterieur" ;
V_NONRESTANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NONRESTANT : "restitution calculee mais non restituee anterieure" ;
V_NONRESTPSANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias NONRESTPSANT : "Montant non restitue origine PS anterieur" ;
V_NOPAS : saisie contexte classe = 0 priorite = 21 categorie_TL = 10 modcat = 1 restituee primrest = 0 alias NOPAS : "Case a cocher : annulation des lignes PAS" type BOOLEEN ;
V_NOTRAIT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NOTRAIT : "Numero de Traitement" ;
V_NOTRAITANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias NOTRAITANT : "Numero de Traitement 1 er evt" ;
V_NOVBAR : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias NOVBAR : "flag pour calcul nouveau bareme" ;
V_NUMEVT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias NUMEVT : "Pour Cfir et ANTREIR recup num evt" ;
V_PASIRANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PASIRANT : "Paiements PAS - documents comptables (anterieur positif)" ;
V_PASIRNANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PASIRNANT : "Paiements PAS - documents comptables (anterieur negatif)" ;
V_PCAPANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias PCAPANT : "Pensions versees en capital du trt precedent" ;
V_PRELCSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PRELCSANT : "Prelevements sociaux CSG CRDS 17,2% (anterieur positif)" ;
V_PRELCSNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PRELCSNANT : "Prelevements sociaux CSG CRDS 17,2% (anterieur negatif)" ;
V_PRELPSOLANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PRELPSOLANT : "Prelevements sociaux PSOL 17,2% (anterieur positif)" ;
V_PRELPSOLNANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PRELPSOLNANT : "Prelevements sociaux PSOL 17,2% (anterieur negatif)" ;
V_PREVSOCANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PREVSOCANT : "Prelevements sociaux CS + PSOL + autres PS (anterieur positif)" ;
V_PREVSOCNANT : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PREVSOCNANT : "Prelevements sociaux CS + PSOL + autres PS (anterieur negatif)" ;
V_PSANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias PSANT : "Prelevement Social Anterieur = PSCUM - PRSPROV du trt precedent" ;
V_PSOLANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias PSOLANT : "Prelevement Social solidarite ant = PSCUM - PRSPROV du trt precedent" ;
V_PSOLNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias PSOLNANT : "PSOL anterieure (si negatif)" ;
V_QTEFF : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias QTEFF : "Base tx eff  quotient" ;
V_RASDC : saisie contexte classe = 0 priorite = 20 categorie_TL = 60 modcat = 1 restituee primrest = 0 alias RASDC : "Variable RASDC (pour emplacer ZDC)" ;
V_RASDL : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASDL : "Indicateur declaration en ligne PAS" type BOOLEEN ;
V_RASOC1 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOC1 : "Indicateur option confidentialite dec 1 PAS" ;
V_RASOC2 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOC2 : "Indicateur option confidentialite dec 2 PAS" ;
V_RASOI1 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOI1 : "Indicateur option individualisation dec 1 PAS" ;
V_RASOI2 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOI2 : "Indicateur option individualisation dec 2 PAS" ;
V_RASOM1 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOM1 : "Indicateur option modulation dec 1 PAS" ;
V_RASOM2 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOM2 : "Indicateur option modulation dec 2 PAS" ;
V_RASOP1 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOP1 : "Indicateur option periodicite dec 1 PAS" ;
V_RASOP2 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RASOP2 : "Indicateur option periodicite dec 2 PAS" ;
V_RAS_ANO1 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RAS_ANO1 : "Indicateur annee option PAS dec 1" type DATE_AAAA ;
V_RAS_ANO2 : saisie contexte classe = 0 priorite = 0 categorie_TL = 0 modcat = 1 primrest = 0 alias RAS_ANO2 : "Indicateur annee option PAS dec 2" type DATE_AAAA ;
V_RDANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RDANT : "RDS anterieure" ;
V_REGANT : saisie contexte classe = 0 priorite = 51 categorie_TL = 10 modcat = 1 primrest = 0 alias REGANT : "Valeur de REGCO evt -1 calculee " ;
V_REGCO : saisie contexte classe = 0 priorite = 51 categorie_TL = 10 modcat = 1 primrest = 0 alias REGCO : "Valeur de REGCO calculee (Cf. VALREGCO)" ;
V_REGVANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias REGVANT : "Regularisation assurance vie anterieure" ;
V_RJLJ : saisie contexte classe = 0 priorite = 51 categorie_TL = 10 modcat = 1 primrest = 0 alias RJLJ : "indicateur RJLJ = 1 si exercice clos avant date RJLJ" ;
V_ROLCSG : saisie contexte classe = 0 priorite = 10 categorie_TL = 20 modcat = 1 primrest = 0 alias ROLCSG : "numero de role CSG" ;
V_RSE1ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE1ANT : "CSG rev. source etrang. 7,5 % anterieure" ;
V_RSE2ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE2ANT : "CSG rev. source etrang. 6,6 % anterieure" ;
V_RSE3ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE3ANT : "CSG rev. source etrang. 6,2 % anterieure" ;
V_RSE4ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE4ANT : "CSG rev. source etrang. 3,8 % anterieure" ;
V_RSE5ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE5ANT : "CSG rev. source etrang. 7,5 % anterieure" ;
V_RSE6ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias RSE6ANT : "CSG CASA rev. source etrang.0,30 % anterieure" ;
V_RSE7ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias RSE7ANT : "CSG 8PH rev. source etrang.9,2 % anterieure" ;
V_RSE8ANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias RSE8ANT : "CSG 8TH 8SD rev. source etrang. anterieure" ;
V_SPE2044 : saisie revenu classe = 0 priorite = 60 categorie_TL = 60 cotsoc = 5 ind_abat = 1 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias 4BZ : "Case a cocher : depot d'une declaration 2044-SPE" type BOOLEEN ;
V_TAXANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias TAXANT : "Taxe aga TAXACUM du trt precedent" ;
V_TOTIRANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias TOTIRANT : "Somme des anterieurs sans PS" ;
V_TOTIRNANT : saisie revenu classe = 0 priorite = 10 categorie_TL = 20 cotsoc = 0 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 primrest = 0 alias TOTIRNANT : "Somme des anterieurs sans PS (si negatif)" ;
V_TRCT : saisie contexte classe = 0 priorite = 51 categorie_TL = 10 modcat = 1 primrest = 0 alias TRCT : "Variable relative a la telecorrection" ;
V_VAR7WZ : saisie revenu classe = 0 priorite = 0 categorie_TL = 0 cotsoc = 0 ind_abat = 0 acompte = 0 avfisc = 1 rapcat = 13 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 0 alias VAR7WZ : "MONTANT de la valeur code 7WZ primitif" ;
V_ZDC : saisie famille classe = 0 priorite = 20 categorie_TL = 60 nat_code = 1 modcat = 1 restituee primrest = 0 alias ZDC : "Case DC" ;
WTXMARJ : calculee primrest = 0 : "zone pour le calcul du taux marginal d imposition" ;
X : saisie penalite primrest = 0 alias V_X : "Zone corrective" ;
X10MINS1 : calculee primrest = 0 : "EXO deductions  plafonnees" ;
X10MINS2 : calculee primrest = 0 : "EXO deductions  plafonnees" ;
X10MINS3 : calculee primrest = 0 : "EXO deductions  plafonnees" ;
X10MINS4 : calculee primrest = 0 : "EXO deductions  plafonnees" ;
X10MINSC : calculee primrest = 0 : "EXO deductions hors droits d'auteur plafonnees" ;
X10MINSV : calculee primrest = 0 : "EXO deductions hors droits d'auteur plafonnees" ;
XBAC : calculee restituee primrest = 1 : "BA exonere nets a reintegrer conjoint" ;
XBAMIC : calculee restituee primrest = 0 : "EXO revenus BA micro" ;
XBAP : calculee restituee primrest = 1 : "BA exonere nets a reintegrer PAC" ;
XBATOT : calculee restituee primrest = 1 : "zone pour visual basic: revenus exo agricoles" ;
XBAV : calculee restituee primrest = 1 : "BA exonere nets a reintegrer vous" ;
XBICHDC : calculee primrest = 0 : "EXO revenus BIC prof hors deficits conjoint" ;
XBICHDP : calculee primrest = 0 : "EXO revenus BIC prof hors deficits pac" ;
XBICHDV : calculee primrest = 0 : "EXO revenus BIC prof hors deficits vous" ;
XBICIMPC : calculee primrest = 0 : "EXO revenus BIC imposables         conjoint" ;
XBICIMPP : calculee primrest = 0 : "EXO revenus BIC imposables         pac" ;
XBICIMPV : calculee primrest = 0 : "EXO revenus BIC imposables         vous" ;
XBICMNPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBICMPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBICNETC : calculee primrest = 0 : "EXO revenus BIC prof nets  conjoint" ;
XBICNETP : calculee primrest = 0 : "EXO revenus BIC prof nets  pac" ;
XBICNETV : calculee primrest = 0 : "EXO revenus BIC prof nets  vous" ;
XBICNPHDC : calculee primrest = 0 : "EXO revenus BIC non  prof hors deficits conjoint" ;
XBICNPHDP : calculee primrest = 0 : "EXO revenus BIC non  prof hors deficits PAC" ;
XBICNPHDV : calculee primrest = 0 : "EXO revenus BIC non  prof hors deficits vous" ;
XBICNPNETC : calculee primrest = 0 : "EXO revenus BIC non prof nets  conjoint" ;
XBICNPNETP : calculee primrest = 0 : "EXO revenus BIC non prof nets  pac" ;
XBICNPNETV : calculee primrest = 0 : "EXO revenus BIC non prof nets  vous" ;
XBICNPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBICNPSC : calculee primrest = 0 : "EXO revenus BIC non prof somme   conjoint" ;
XBICNPSP : calculee primrest = 0 : "EXO revenus BIC non prof somme   pac" ;
XBICNPSV : calculee primrest = 0 : "EXO revenus BIC non prof somme   vous" ;
XBICPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBICSC : calculee primrest = 0 : "EXO revenus BIC prof nets  + plus values CJT" ;
XBICSP : calculee primrest = 0 : "EXO revenus BIC prof nets  + plus values PAC" ;
XBICSV : calculee primrest = 0 : "EXO revenus BIC prof nets  + plus values VOUS" ;
XBIMN : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC micro" ;
XBINPC : calculee restituee primrest = 1 : "EXO benefice ventile: partie revenus non professionnels" ;
XBINPP : calculee restituee primrest = 1 : "EXO benefice ventile: partie revenus non professionnels" ;
XBINPV : calculee restituee primrest = 1 : "EXO benefice ventile: partie revenus non professionnels" ;
XBIPC : calculee restituee primrest = 1 : "EXO benefice ventile: partie revenus professionnels" ;
XBIPP : calculee restituee primrest = 1 : "EXO benefice ventile: partie revenus professionnels" ;
XBIPV : calculee restituee primrest = 1 : "EXO benefice ventile: partie revenus professionnels" ;
XBISC : calculee primrest = 0 : "EXO revenus BIC somme prof et non prof conjoint" ;
XBISP : calculee primrest = 0 : "EXO revenus BIC somme prof et non prof PAC" ;
XBISV : calculee primrest = 0 : "EXO revenus BIC somme prof et non prof VOUS" ;
XBITC : calculee primrest = 0 : "EXO revenus BIC y compris les deficits CONJOINTS" ;
XBITP : calculee primrest = 0 : "EXO revenus BIC y compris les deficits PAC" ;
XBITV : calculee primrest = 0 : "EXO revenus BIC y compris les deficits VOUS" ;
XBNC : calculee restituee primrest = 1 : "BNC exonere nets a reintegrer CONJOINT" ;
XBNCMNPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBNCMPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBNCNPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBNCPRO : calculee restituee primrest = 0 : "zone pour visual basic: revenus exo BIC professionnels" ;
XBNNPC : calculee restituee primrest = 1 : "BNC exonere non pro nets a reintegrer conjoint" ;
XBNNPP : calculee restituee primrest = 1 : "BNC exonere non pro nets a reintegrer pac" ;
XBNNPV : calculee restituee primrest = 1 : "BNC exonere non pro nets a reintegrer VOUS" ;
XBNP : calculee restituee primrest = 1 : "BNC exonere nets a reintegrer PAC" ;
XBNV : calculee restituee primrest = 1 : "BNC exonere nets a reintegrer VOUS" ;
XDF1 : calculee primrest = 0 : "EXO Deductions forfaitaires des frais professionnels" ;
XDF2 : calculee primrest = 0 : "EXO Deductions forfaitaires des frais professionnels" ;
XDF3 : calculee primrest = 0 : "EXO Deductions forfaitaires des frais professionnels" ;
XDF4 : calculee primrest = 0 : "EXO Deductions forfaitaires des frais professionnels" ;
XDFC : calculee primrest = 0 : "EXO Deductions forfaitaires des frais professionnels" ;
XDFN1 : calculee primrest = 0 : "EXO Deduction forfaitaire de 10%" ;
XDFN2 : calculee primrest = 0 : "EXO Deduction forfaitaire de 10%" ;
XDFN3 : calculee primrest = 0 : "EXO Deduction forfaitaire de 10%" ;
XDFN4 : calculee primrest = 0 : "EXO Deduction forfaitaire de 10%" ;
XDFNC : calculee primrest = 0 : "EXO Deduction forfaitaire de 10%" ;
XDFNV : calculee primrest = 0 : "EXO Deduction forfaitaire de 10%" ;
XDFV : calculee primrest = 0 : "EXO Deductions forfaitaires des frais professionnels" ;
XETRAN : calculee restituee primrest = 1 : "somme des revenus exo etrangers declares" ;
XETRANC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1EY : "Revenus exoneres des salaries impatries - Declarant 2" ;
XETRANV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 4 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 1DY : "Revenus exoneres des salaries impatries - Declarant 1" ;
XETSNNC : calculee restituee primrest = 1 : "EXO salaires normaux imposables - Conjoint detache a l etranger" ;
XETSNNV : calculee restituee primrest = 1 : "EXO salaires normaux imposables - Vous detache a l etranger" ;
XEXOCET : calculee restituee primrest = 1 : "Sommes exo. d'un CET versees sur PERCO apres 10%" ;
XEXOCETC : calculee restituee primrest = 1 : "EXO salaires CET verse perco imposables - Conjoint" ;
XEXOCETV : calculee restituee primrest = 1 : "EXO salaires CET verse perco imposables - Vous" ;
XEXTS1 : calculee primrest = 0 : "EXO Salaires totaux pac 1" ;
XEXTS2 : calculee primrest = 0 : "EXO Salaires totaux pac 2" ;
XEXTS3 : calculee primrest = 0 : "EXO Salaires totaux pac 3" ;
XEXTS4 : calculee primrest = 0 : "EXO Salaires totaux pac 4" ;
XEXTSC : calculee primrest = 0 : "EXO Salaires totaux conjoint (1BJ + ABJ +BBJ + CBJ)" ;
XEXTSP : calculee primrest = 0 : "EXO Salaires totaux PAC" ;
XEXTSV : calculee primrest = 0 : "EXO Salaires totaux vous (1AJ + AAJ +BAJ + CAJ)" ;
XFPT1 : calculee primrest = 0 : "EXO deduction de 10% ou frais reels" ;
XFPT2 : calculee primrest = 0 : "EXO deduction de 10% ou frais reels" ;
XFPT3 : calculee primrest = 0 : "EXO deduction de 10% ou frais reels" ;
XFPT4 : calculee primrest = 0 : "EXO deduction de 10% ou frais reels" ;
XFPTC : calculee primrest = 0 : "EXO deduction de 10% ou frais reels" ;
XFPTV : calculee primrest = 0 : "EXO deduction de 10% ou frais reels" ;
XHEURSUPP : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - PAC" ;
XHSUP1 : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - pac1" ;
XHSUP2 : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - pac2" ;
XHSUP3 : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - pac3" ;
XHSUP4 : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - pac4" ;
XHSUPC : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - Conj" ;
XHSUPP : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - PAC" ;
XHSUPTOT : calculee restituee primrest = 1 : "Heures sup exonerees dec 1 2 et pac" ;
XHSUPV : calculee restituee primrest = 1 : "EXO salaires heure supp imposables - Vous" ;
XIND_101 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XIND_102 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XIND_103 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XIND_104 : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XIND_10C : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XIND_10P : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XIND_10V : calculee primrest = 0 : "Indicateur d'affichage deduction 10% pour RFR" ;
XPOUR1 : calculee restituee primrest = 1 : "EXO pourboire  - Pac1" ;
XPOUR2 : calculee restituee primrest = 1 : "EXO pourboire  - Pac2" ;
XPOUR3 : calculee restituee primrest = 1 : "EXO pourboire  - Pac3" ;
XPOUR4 : calculee restituee primrest = 1 : "EXO pourboire  - Pac4" ;
XPOURC : calculee restituee primrest = 1 : "EXO pourboire  - Conj" ;
XPOURP : calculee restituee primrest = 1 : "EXO pourboires - PAC" ;
XPOURTOT : calculee restituee primrest = 1 : "Pourboires exoneres dec 1 2 et pac" ;
XPOURV : calculee restituee primrest = 1 : "EXO pourboire  - Vous" ;
XPRIM1 : calculee restituee primrest = 1 : "EXO partie prime valorisation imposable - " ;
XPRIM2 : calculee restituee primrest = 1 : "EXO partie prime valorisation imposable - " ;
XPRIM3 : calculee restituee primrest = 1 : "EXO partie prime valorisation imposable - " ;
XPRIM4 : calculee restituee primrest = 1 : "EXO partie prime valorisation imposable - " ;
XPRIMC : calculee restituee primrest = 1 : "EXO partie prime valorisation imposable - " ;
XPRIMP : calculee restituee primrest = 1 : "EXO primes valorisation imposables - PAC" ;
XPRIMTOT : calculee restituee primrest = 1 : "Primes valorisation exonerees dec 1 2 et pac" ;
XPRIMV : calculee restituee primrest = 1 : "EXO partie prime valorisation imposable - Vous" ;
XSPENPC : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5UH : "BNC non professionnels regime micro - Revenus exoneres - Declarant 2 " ;
XSPENPP : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5VH : "BNC non professionnels regime micro - Revenus exoneres - PAC " ;
XSPENPV : saisie revenu classe = 0 priorite = 10 categorie_TL = 15 cotsoc = 5 ind_abat = 0 acompte = 1 avfisc = 0 rapcat = 8 sanction = 0 nat_code = 0 modcat = 1 restituee primrest = 1 alias 5TH : "BNC non professionnels regime micro - Revenus exoneres - Declarant 1 " ;
XTPS101 : calculee primrest = 0 : "EXO abattement 10% brut" ;
XTPS102 : calculee primrest = 0 : "EXO abattement 10% brut" ;
XTPS103 : calculee primrest = 0 : "EXO abattement 10% brut" ;
XTPS104 : calculee primrest = 0 : "EXO abattement 10% brut" ;
XTPS10C : calculee primrest = 0 : "EXO abattement 10% brut" ;
XTPS10V : calculee primrest = 0 : "EXO abattement 10% brut" ;
XTSB1 : calculee primrest = 0 : "EXO Salaires declares pac 1" ;
XTSB2 : calculee primrest = 0 : "EXO Salaires declares pac 2" ;
XTSB3 : calculee primrest = 0 : "EXO Salaires declares pac 3" ;
XTSB4 : calculee primrest = 0 : "EXO Salaires declares pac 4" ;
XTSBC : calculee primrest = 0 : "EXO Salaires declares Conjoint" ;
XTSBV : calculee primrest = 0 : "EXO Salaires declares Vous" ;
XTSC : calculee primrest = 0 : "TS exo - Dec2" ;
XTSN1 : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSN2 : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSN3 : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSN4 : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSNC : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSNN : calculee restituee primrest = 1 : "zone pour visual basic: revenus exo agent assurance" ;
XTSNNC : calculee restituee primrest = 1 : "EXO salaires normaux hors droits d'auteur imposables - Cjt" ;
XTSNNV : calculee restituee primrest = 1 : "EXO salaires normaux hors droits d'auteur imposables - Vous" ;
XTSNP : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSNT1 : calculee primrest = 0 : "EXO salaires apres deduction des frais professionnels" ;
XTSNT2 : calculee primrest = 0 : "EXO salaires apres deduction des frais professionnels" ;
XTSNT3 : calculee primrest = 0 : "EXO salaires apres deduction des frais professionnels" ;
XTSNT4 : calculee primrest = 0 : "EXO salaires apres deduction des frais professionnels" ;
XTSNTC : calculee primrest = 0 : "EXO salaires apres deduction des frais professionnels" ;
XTSNTV : calculee primrest = 0 : "EXO salaires apres deduction des frais professionnels" ;
XTSNV : calculee primrest = 0 : "EXO Traitements et salaires nets de frais" ;
XTSP : calculee primrest = 0 : "ts exo PAC" ;
XTSV : calculee primrest = 0 : "TS exo - Dec1" ;
ZIG820ANT : calculee restituee primrest = 1 : "Avis csg PV 150-0 B ter 8,2 % anterieur" ;
ZIGANNUL : calculee restituee primrest = 1 : "Indicateur avis csg (lignes 7385 et 7386)" ;
ZIGAUTRE : calculee restituee primrest = 1 : "Indicateur autres revenus CSG CRDS" ;
ZIGBASECS : calculee restituee primrest = 1 : "avis csg base imposable CS" ;
ZIGBASECVN : calculee restituee primrest = 1 : "Indicateur base imposable CVNSAL" ;
ZIGBASEPS : calculee restituee primrest = 1 : "avis csg base imposable PS" ;
ZIGBASERD : calculee restituee primrest = 1 : "avis csg base imposable RD" ;
ZIGCDIS : calculee restituee primrest = 1 : "Avis ps revenus contributions sociales salariales de 30 %" ;
ZIGCDISANT : calculee restituee primrest = 1 : "avis csg contribution anterieure contribution sociale salariale" ;
ZIGCDISPROV : calculee restituee primrest = 1 : "avis csg contribution anterieure contribution sociale salariale" ;
ZIGCIGLOA : calculee restituee primrest = 1 : "Avis CSG - credit impot etranger " ;
ZIGCIRSE6 : calculee restituee primrest = 1 : "Indicateur credit impot etranger CASA" ;
ZIGCIRSE8 : calculee restituee primrest = 1 : "Indicateur credit impot etranger" ;
ZIGCOD8YL : calculee restituee primrest = 1 : "avis csg contribution anterieure contribution sociale salariale " ;
ZIGCOD8YT : calculee restituee primrest = 1 : "avis csg contribution anterieure contribution sociale salariale " ;
ZIGCSANT : calculee restituee primrest = 1 : "Indicateur ligne CSG anterieure a deduire" ;
ZIGCSG820 : calculee restituee primrest = 1 : "Indicateur CSG PV 150-0 B ter" ;
ZIGCSGDCOR1 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+1" ;
ZIGCSGDCOR2 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+2" ;
ZIGCSGDCOR3 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+3" ;
ZIGCSGDCOR4 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+4" ;
ZIGCSGDCOR5 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+5" ;
ZIGCSGDCOR6 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+6" ;
ZIGCSGDCOR7 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+7" ;
ZIGCSNANT : calculee restituee primrest = 1 : "Indicateur ligne CSG anterieure a deduire (si négatif)" ;
ZIGCVN : calculee restituee primrest = 1 : "Indicateur interets de retard cotisation sociale salariale" ;
ZIGCVN22 : calculee restituee primrest = 1 : "Indicateur INR CS code 22 contribution sociale salariale" ;
ZIGCVNANT : calculee restituee primrest = 1 : "Avis csg contribution salariale 10 % anterieur" ;
ZIGDCSGD1 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+1" ;
ZIGDCSGD2 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+2" ;
ZIGDCSGD3 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+3" ;
ZIGDCSGD4 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+4" ;
ZIGDCSGD5 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+5" ;
ZIGDCSGD6 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter n+6" ;
ZIGDRSED1 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter revenus source etrangere n+1" ;
ZIGDRSED2 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter revenus source etrangere n+2" ;
ZIGDRSED3 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter revenus source etrangere n+3" ;
ZIGDRSED4 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter revenus source etrangere n+4" ;
ZIGDRSED5 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter revenus source etrangere n+5" ;
ZIGDRSED6 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter revenus source etrangere n+6" ;
ZIGGAINLEV : calculee restituee primrest = 1 : "avis csg gains levee options" ;
ZIGGLOA : calculee restituee primrest = 1 : "Indicateur gains de levee options taxes a 7,5 %  pour 1-V_CNR " ;
ZIGIDGLO : calculee restituee primrest = 1 : "Indicateur CSG deductible a reporter gains levee options" ;
ZIGIDGLO1 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter gains levee options n+1" ;
ZIGIDGLO2 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter gains levee options n+2" ;
ZIGIDGLO3 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter gains levee options n+3" ;
ZIGIDGLO4 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter gains levee options n+4" ;
ZIGIDGLO5 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter gains levee options n+5" ;
ZIGIDGLO6 : calculee restituee primrest = 1 : "Ligne CSG deductible a reporter gains levee options n+6" ;
ZIGIDRSE : calculee restituee primrest = 1 : "Indicateur CSG deductible a reporter revenus source etrangere" ;
ZIGINFO : calculee restituee primrest = 1 : "Indicateur avis CSG" ;
ZIGINT : calculee restituee primrest = 1 : "avis csg interets de retard cotisation sociale salariale" ;
ZIGINT1 : calculee restituee primrest = 1 : "Interets de retard rev. source etrang. 8TQ (avis CSG)" ;
ZIGINT122 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit RSE (8TQ)" ;
ZIGINT2 : calculee restituee primrest = 1 : "Interets de retard rev. source etrang. 8TV (avis CSG)" ;
ZIGINT22 : calculee restituee primrest = 1 : "Indicateur INR CS code 22 contribution sociale salariale" ;
ZIGINT222 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit RSE (8TV)" ;
ZIGINT3 : calculee restituee primrest = 1 : "Interets de retard rev. source etrang. 8TW (avis CSG)" ;
ZIGINT322 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit RSE (8TW)" ;
ZIGINT4 : calculee restituee primrest = 1 : "Interets de retard rev. source etrang. 8TX (avis CSG)" ;
ZIGINT422 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit RSE (8TX)" ;
ZIGINT5 : calculee restituee primrest = 1 : "Interets de retard rev. source etrang. 8TR (avis CSG)" ;
ZIGINT522 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit RSE (8TR)" ;
ZIGINT6 : calculee restituee primrest = 1 : "Interets de retard rev. source etrang.CASA (avis CSG)" ;
ZIGINT622 : calculee restituee primrest = 1 : "Indicateur interets de retard reduit RSE CASA" ;
ZIGINT8 : calculee restituee primrest = 1 : "Interets de retard revenus placement etrangers (avis CSG)" ;
ZIGINT820 : calculee restituee primrest = 1 : "Indicateur interets de retard PV 150-0 B ter" ;
ZIGINT822 : calculee restituee primrest = 1 : "Interets de retard reduit revenus placement etrangers (avis CSG)" ;
ZIGLOA : calculee restituee primrest = 1 : "Indicateur interets de retard gains levee options (7,5 %)" ;
ZIGLOA22 : calculee restituee primrest = 1 : "Indicateur interets de retard gains levee options (7,5 %) code 22" ;
ZIGLOANT : calculee restituee primrest = 1 : "Indicateur ligne GLO anterieure a deduire" ;
ZIGLOCO : calculee restituee primrest = 1 : "Indicateur correctif CSG TS deductible a reporter" ;
ZIGLOCOR : calculee primrest = 1 : "Indicateur correctif CSG TS deductible a reporter" ;
ZIGLOCOR1 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+1" ;
ZIGLOCOR2 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+2" ;
ZIGLOCOR3 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+3" ;
ZIGLOCOR4 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+4" ;
ZIGLOCOR5 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+5" ;
ZIGLOCOR6 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+6" ;
ZIGLOCOR7 : calculee restituee primrest = 1 : "Ligne CSG TS deductible a reporter n+7" ;
ZIGLODD : calculee restituee primrest = 1 : "Indicateur correctif CSG TS deductible diminution" ;
ZIGLORS : calculee restituee primrest = 1 : "Indicateur correctif CSG TS deductible augmentation" ;
ZIGMONTCS : calculee restituee primrest = 1 : "avis csg montant de la contribution CS" ;
ZIGMONTPS : calculee restituee primrest = 1 : "avis csg montant de la contribution PS" ;
ZIGMONTRD : calculee restituee primrest = 1 : "avis csg montant de la contribution RD" ;
ZIGMONTS : calculee restituee primrest = 1 : "indicateur avis csg montant de la contribution salariale" ;
ZIGNONASSU : calculee restituee primrest = 1 : "Indicateur avis revenus non assujettis 8RW 8RX" ;
ZIGNONR30 : calculee restituee primrest = 1 : "Indicateur avis csg sans rappel R30" ;
ZIGPENA8201 : calculee restituee primrest = 1 : "Indicateur taux penalites nature 1 PV 150-0 B ter" ;
ZIGPENA8204 : calculee restituee primrest = 1 : "Indicateur taux penalites nature 4 PV 150-0 B ter" ;
ZIGPENACDIS : calculee restituee primrest = 1 : "avis csg taux penalites nature 1 contribution sociale salariale" ;
ZIGPENACDIS4 : calculee restituee primrest = 1 : "avis csg taux penalites nature 4 contribution sociale salariale" ;
ZIGPENACVN : calculee restituee primrest = 1 : "Indicateur taux penalites nature 1 contribution sociale salariale" ;
ZIGPENACVN4 : calculee restituee primrest = 1 : "Indicateur taux penalites nature 4 contribution sociale salariale" ;
ZIGPENAGLO1 : calculee restituee primrest = 1 : "Indicateur taux penalites nature 1 gains levee options" ;
ZIGPENAGLO4 : calculee restituee primrest = 1 : "Indicateur taux penalites nature 4 gains levee options" ;
ZIGPENARSE1 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. source etrang. 8TQ" ;
ZIGPENARSE14 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. source etrang. 8TQ" ;
ZIGPENARSE2 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. source etrang. 8TV" ;
ZIGPENARSE24 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. source etrang. 8TV" ;
ZIGPENARSE3 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. source etrang. 8TW" ;
ZIGPENARSE34 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. source etrang. 8TW" ;
ZIGPENARSE4 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. source etrang. 8TX" ;
ZIGPENARSE44 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. source etrang. 8TX" ;
ZIGPENARSE5 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. source etrang. 8TR" ;
ZIGPENARSE54 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. source etrang. 8TR" ;
ZIGPENARSE6 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. source etrang. CASA" ;
ZIGPENARSE64 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. source etrang. CASA" ;
ZIGPENARSE8 : calculee restituee primrest = 1 : "Taux penalites nature 1 rev. placement etrang." ;
ZIGPENARSE84 : calculee restituee primrest = 1 : "Taux penalites nature 4 rev. placement etrang." ;
ZIGPENATAUX : calculee restituee primrest = 1 : "avis csg taux penalites nature 1" ;
ZIGPENATX4 : calculee restituee primrest = 1 : "avis csg taux penalites nature 4" ;
ZIGPREREV : calculee restituee primrest = 1 : "Indicateur avis csg code 8VX valorise" ;
ZIGPROVYD : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YD)" ;
ZIGPROVYE : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YE)" ;
ZIGPROVYF : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YF)" ;
ZIGPROVYG : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YG)" ;
ZIGPROVYH : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YH)" ;
ZIGPROVYQ : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YQ)" ;
ZIGPROVYV : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8YV)" ;
ZIGPROVZH : calculee restituee primrest = 1 : "Indicateur revenus de source etrangere provisoire (8ZH)" ;
ZIGPSOLANT : calculee restituee primrest = 1 : "Indicateur ligne PRSOL anterieure a deduire" ;
ZIGPSOLNANT : calculee restituee primrest = 1 : "Indicateur ligne PRSOL anterieure a deduire (si négatif)" ;
ZIGPVTER : calculee restituee primrest = 1 : "Indicateur PV 150-0 B ter taxes a 8,2 % " ;
ZIGR1649 : calculee restituee primrest = 1 : "Indicateur avis csg (lignes 7166)" ;
ZIGR30 : calculee restituee primrest = 1 : "Indicateur avis csg rappel R30" ;
ZIGRDANT : calculee restituee primrest = 1 : "Indicateur ligne RDS anterieure a deduire" ;
ZIGRE168 : calculee restituee primrest = 1 : "Indicateur avis csg (lignes 7163)" ;
ZIGREVXA : calculee restituee primrest = 1 : "Indicateur credit impot etranger (8XA)" ;
ZIGREVXB : calculee restituee primrest = 1 : "Indicateur credit impot etranger (8XB)" ;
ZIGREVXC : calculee restituee primrest = 1 : "Indicateur credit impot etranger (8XC)" ;
ZIGREVXD : calculee restituee primrest = 1 : "Indicateur credit impot etranger (8XD)" ;
ZIGREVXE : calculee restituee primrest = 1 : "Indicateur credit impot etranger (8XE)" ;
ZIGRFDEP : calculee restituee primrest = 1 : "edition CSG CRDS PS sur rev fonciers apres depart a l etranger 8XK" ;
ZIGRFRET : calculee restituee primrest = 1 : "edition CSG CRDS PS sur rev fonciers avant retour de l etranger 8YK" ;
ZIGRFZRA : calculee restituee primrest = 1 : "edition CSG CRDS PS sur rev fonciers 8XK avec ZRA" ;
ZIGRSE1 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere (8TQ)" ;
ZIGRSE1ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. 7,5 % anterieur" ;
ZIGRSE2 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere (8TV)" ;
ZIGRSE2ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. 6,6 % anterieur" ;
ZIGRSE3 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere (8TW)" ;
ZIGRSE3ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. 6,2 % anterieur" ;
ZIGRSE4 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere (8TX)" ;
ZIGRSE4ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. 3,8 % anterieur" ;
ZIGRSE5 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere (8TR)" ;
ZIGRSE5ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. 7,5 % anterieur" ;
ZIGRSE6 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere (CASA 8SC 8SA 8TV)" ;
ZIGRSE6ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. 7,5 % anterieur" ;
ZIGRSE8 : calculee restituee primrest = 1 : "Avis CSG revenus de source etrangere" ;
ZIGRSE8ANT : calculee restituee primrest = 1 : "Avis csg rev. source etrang. RSE8 anterieur" ;
ZIGRSECO : calculee restituee primrest = 1 : "Indicateur correctif CSG revenus etrangers deductibles a reporter" ;
ZIGRSECOR : calculee primrest = 1 : "Indicateur correctif CSG revenus etrangers deductibles a reporter" ;
ZIGRSECOR1 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+1" ;
ZIGRSECOR2 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+2" ;
ZIGRSECOR3 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+3" ;
ZIGRSECOR4 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+4" ;
ZIGRSECOR5 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+5" ;
ZIGRSECOR6 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+6" ;
ZIGRSECOR7 : calculee restituee primrest = 1 : "Ligne CSG revenus etrangers deductibles a reporter n+7" ;
ZIGRSEDD : calculee restituee primrest = 1 : "Indicateur correctif CSG revenus etrangers deductibles diminution" ;
ZIGRSERS : calculee restituee primrest = 1 : "Indicateur correctif CSG revenus etrangers deductibles augmentation" ;
ZIGTAUX1 : calculee restituee primrest = 1 : "avis csg TAUX CSG" ;
ZIGTAUX4 : calculee restituee primrest = 1 : "avis csg TAUX CSG" ;
ZIGTAUX5 : calculee restituee primrest = 1 : "avis csg TAUX CSG" ;
ZIGTAX1649 : calculee restituee primrest = 1 : "Indicateur avis csg code 8VW valorise" ;
ZIGTITRE : calculee restituee primrest = 1 : "avis csg titre Contrib. salariale" ;
ZIG_BASE : calculee restituee primrest = 1 : "avis csg base imposable" ;
ZIG_BPCOS : calculee restituee primrest = 1 : "avis csg: gains de cession" ;
ZIG_CRDETR : calculee restituee primrest = 1 : "avis csg creedit dimpot revenus etrangers" ;
ZIG_CSGD99 : calculee restituee primrest = 1 : "avis csg primitif CSG deductible a reporter 99" ;
ZIG_CSGDC : calculee restituee primrest = 1 : "avis csg correctif CSG deductible a reporter" ;
ZIG_CSGDCOR : calculee primrest = 1 : "avis csg correctif CSG deductible a reporter" ;
ZIG_CSGDDO : calculee restituee primrest = 1 : "avis csg CSG deductible diminution" ;
ZIG_CSGDPRIM : calculee primrest = 1 : "avis csg primitif CSG deductible a reporter" ;
ZIG_CSGDRS : calculee restituee primrest = 1 : "avis csg CSG deductible augmentation" ;
ZIG_CTRIPROV : calculee restituee primrest = 1 : "avis csg contribution provisoire a deduire" ;
ZIG_INF8 : calculee restituee primrest = 1 : "avis csg netap < 8 euros apres degrevement" ;
ZIG_INT : calculee restituee primrest = 1 : "avis csg interets de retard" ;
ZIG_INT22 : calculee restituee primrest = 1 : "indicateur ligne INR CS de l'avis detaille de l'IR code 22" ;
ZIG_MONTANT : calculee restituee primrest = 1 : "avis csg montant de la contribution" ;
ZIG_NETAP : calculee restituee primrest = 1 : "avis csg net a payer" ;
ZIG_PEN17281 : calculee restituee primrest = 1 : "avis csg taux penalites article 1728 nature 1 et tx dif 10%" ;
ZIG_PENAMONT : calculee primrest = 1 : "avis csg montant penalites" ;
ZIG_PENATAUX : calculee restituee primrest = 1 : "avis csg taux penalites nature 1" ;
ZIG_PENATX4 : calculee restituee primrest = 1 : "avis csg taux penalites nature 4" ;
ZIG_PRIM : calculee restituee primrest = 1 : "avis csg" ;
ZIG_PROF : calculee restituee primrest = 1 : "avis csg           revenu prof. non salaries" ;
ZIG_RCM : calculee restituee primrest = 1 : "avis csg RCM" ;
ZIG_REVETR : calculee restituee primrest = 1 : "avis csg rev etrengers" ;
ZIG_RF : calculee restituee primrest = 1 : "avis csg Revenus Fonciers nets" ;
ZIG_RTF : calculee restituee primrest = 1 : "avis csg rev taux forfaiaire" ;
ZIG_RVORIGND : calculee restituee primrest = 1 : "avis csg revenus d origine indeterminee" ;
ZIG_RVTO : calculee restituee primrest = 1 : "avis csg rente viagere titre onereux" ;
ZIG_TITREP : calculee restituee primrest = 1 : "avis csg titre CSG" ;
ZIG_TOTDEG : calculee restituee primrest = 1 : "avis csg montant total degreve" ;
ZIPQ11 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ15 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ1TOT : calculee primrest = 0 : "somme des ZIPQi1" ;
ZIPQ21 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ25 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ31 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ35 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ41 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ45 : calculee primrest = 0 : "Droit sur les bases de quotient 1 @ x" ;
ZIPQ5TOT : calculee primrest = 0 : "somme des ZIPQi5" ;
ZIPQANT11 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 @ x" ;
ZIPQANT1TOT : calculee primrest = 0 : "somme des ZIPQANTi1" ;
ZIPQANT21 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 @ x" ;
ZIPQANT31 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 @ x" ;
ZIPQANT41 : calculee primrest = 0 : "ancien plafqf:Droit sur les bases de quotient 1 @ x" ;
ZIPQANTRUA : calculee primrest = 0 : "Droit sur les bases de quotient RUA " ;
ZIPQANTRVG : calculee primrest = 0 : "Droit sur les bases de quotient RVG " ;
ZIPQANTRWA : calculee primrest = 0 : "Droit sur les bases de quotient RWA" ;
ZIPQANTRWB : calculee primrest = 0 : "Droit sur les bases de quotient RVWB" ;
ZIPQF11 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC avant x par le quotient" ;
ZIPQF15 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC  avant x par le quotient" ;
ZIPQF1TOT : calculee primrest = 0 : "somme des ZIPQ" ;
ZIPQF21 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC avant x par le quotient" ;
ZIPQF25 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC  avant x par le quotient" ;
ZIPQF31 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC avant x par le quotient" ;
ZIPQF35 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC  avant x par le quotient" ;
ZIPQF41 : calculee primrest = 0 : "Droit sur les pensions foot PAC avant x par le quotient" ;
ZIPQF45 : calculee primrest = 0 : "Droit sur les pensions footballeurs PAC  avant x par le quotient" ;
ZIPQF5TOT : calculee primrest = 0 : "somme des ZIPQ" ;
ZIPQFANT11 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions footb PAC avant x par le quotient" ;
ZIPQFANT1TOT : calculee primrest = 0 : "somme des ZIPQ" ;
ZIPQFANT21 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions foot PAC avant x par le quotient" ;
ZIPQFANT31 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions foot PAC avant x par le quotient" ;
ZIPQFANT41 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions foot PAC avant x par le quotient" ;
ZIPQFANTC1 : calculee primrest = 0 : "ancien plafqf:Droit sur pensions foot CONJOINT avant x par le quotient" ;
ZIPQFANTV1 : calculee primrest = 0 : "ancien plafqf:Droit sur les pensions foot VOUS avant x par le quotient" ;
ZIPQFC1 : calculee primrest = 0 : "Droit sur les pensions footballeurs CONJOINT avant x par le quotient" ;
ZIPQFC5 : calculee primrest = 0 : "Droit sur les pensions footballeurs CJT  avant x par le quotient" ;
ZIPQFV1 : calculee primrest = 0 : "Droit sur les pensions footballeurs  VOUS    avant x par le quotient" ;
ZIPQFV5 : calculee primrest = 0 : "Droit sur les pensions footballeurs VOUS avant x par le quotient" ;
ZIPQPALIM11 : calculee primrest = 0 : "droit sur les pensions Alim Conjoint avant x par le quotient" ;
ZIPQPALIM15 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIM1TOT : calculee primrest = 0 : "somme des ZIPQi1" ;
ZIPQPALIM21 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPALIM25 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIM31 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPALIM35 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIM41 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPALIM45 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIM5TOT : calculee primrest = 0 : "somme des ZIPQi5" ;
ZIPQPALIMANT11 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMANT1TOT : calculee primrest = 0 : "droit sur les pensions  avant x par le quotient" ;
ZIPQPALIMANT21 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMANT31 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMANT41 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMANTC1 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMANTV1 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMC1 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPALIMC5 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPALIMV1 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPALIMV5 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRR11 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRR15 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRR1TOT : calculee primrest = 0 : "somme des ZIPQi1" ;
ZIPQPRR21 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRR25 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRR31 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRR35 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRR41 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRR45 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRR5TOT : calculee primrest = 0 : "somme des ZIPQi5" ;
ZIPQPRRANT11 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANT1TOT : calculee primrest = 0 : "droit sur les pensions  avant x par le quotient" ;
ZIPQPRRANT21 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANT31 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANT41 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTC1 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTV1 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTZ11 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTZ1TOT : calculee primrest = 0 : "somme des ZIPQZiant" ;
ZIPQPRRANTZ21 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTZ31 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTZ41 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTZC1 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRANTZV1 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRC1 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRRC5 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRV1 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRRV5 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRZ11 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRRZ15 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRZ1TOT : calculee primrest = 0 : "somme des ZIPQZi1" ;
ZIPQPRRZ21 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRRZ25 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRZ31 : calculee primrest = 0 : "droit sur les pensions  avant x par le quotient" ;
ZIPQPRRZ35 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRZ41 : calculee primrest = 0 : "droit sur les pensions  avant x par le quotient" ;
ZIPQPRRZ45 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRZ5TOT : calculee primrest = 0 : "somme des ZIPQZi5 " ;
ZIPQPRRZC1 : calculee primrest = 0 : "droit sur les pensions Alim  avant x par le quotient" ;
ZIPQPRRZC5 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQPRRZV1 : calculee primrest = 0 : "droit sur les pensions RAZ  avant x par le quotient" ;
ZIPQPRRZV5 : calculee primrest = 0 : "droit sur les pensions avant x par le quotient" ;
ZIPQRAF1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAF5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAFANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAG1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAG5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAGANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAI1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAI5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAIANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAL1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAL5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRALANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAM1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAM5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRAMANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBF1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBF5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBFANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBG1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBG5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBGANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBI1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBI5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBIANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBL1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBL5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBLANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBM1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBM5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRBMANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCF1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCF5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCFANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCG1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCG5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCGANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCK1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCK5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCKANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCL1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCL5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCLANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCM1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCM1TOT : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCM5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCM5TOT : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRCMANT1TOT : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMCH1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMCH5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMCHANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMDC1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMDC5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMDCANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMFU1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMFU5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMFUANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMGO1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMGO5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMGOANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMTR1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMTR5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMTRANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMTS1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMTS5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMTSANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient" ;
ZIPQRCMYY1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient RYY" ;
ZIPQRCMYY5 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient RYY" ;
ZIPQRCMYYANT1 : calculee primrest = 0 : "droit sur les rcm  avant x par le quotient RYY" ;
ZIPQRDF1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDF5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDFANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDG1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDG5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDGANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDL1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDL5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDLANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDM1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDM5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRDMANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREF1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREF5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREFANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREL1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREL5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRELANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREM1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREM5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQREMANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRF11 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF15 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF1TOT : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF21 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF25 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF31 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF35 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRF5TOT : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRFANT11 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRFANT1TOT : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRFANT21 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRFANT31 : calculee primrest = 0 : "droit sur les rev fonc  avant x par le quotient" ;
ZIPQRFF1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFF5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFFANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFG1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFG5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFGANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFL1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFL5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFLANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFM1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFM5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRFMANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRGG1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRGG5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRGGANT1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQRUA1 : calculee primrest = 0 : "Droit sur les bases de quotient RUA" ;
ZIPQRUA5 : calculee primrest = 0 : "Droit sur les bases de quotient RUA" ;
ZIPQRVG1 : calculee primrest = 0 : "Droit sur les bases de quotient RVG " ;
ZIPQRVG5 : calculee primrest = 0 : "Droit sur les bases de quotient RVG " ;
ZIPQRVO1 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO1R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO5 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO51 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO51R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO55 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO55R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO5ANT1 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO5ANT1R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO5R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO61 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO61R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO65 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO65R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO6ANT1 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO6ANT1R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO71 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO71R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO75 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO75R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO7ANT1 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVO7ANT1R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVOANT1 : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRVOANT1R : calculee primrest = 0 : "droit sur les rvo  avant x par le quotient" ;
ZIPQRWA1 : calculee primrest = 0 : "Droit sur les bases de quotient RWA" ;
ZIPQRWA5 : calculee primrest = 0 : "Droit sur les bases de quotient RWA" ;
ZIPQRWB1 : calculee primrest = 0 : "Droit sur les bases de quotient RWB" ;
ZIPQRWB5 : calculee primrest = 0 : "Droit sur les bases de quotient RWA" ;
ZIPQTS11 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS15 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS21 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS25 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS31 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS35 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS41 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTS45 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSANT11 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSANT21 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSANT31 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSANT41 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSANTC1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSANTV1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSC1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSC5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP11 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP15 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP1TOT : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP21 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP25 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP31 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP35 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP41 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP45 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMP5TOT : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANT11 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANT1TOT : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANT21 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANT31 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANT41 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANTC1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPANTV1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPC1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPC5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPV1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSREMPV5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSV1 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
ZIPQTSV5 : calculee primrest = 0 : "ancien plafqf : droit sur les TS avant x par le quotient" ;
